﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Rule validations for contexts that are applicable accross all of the CGLS services.</title>

    <!-- CONTEXT VALIDATIONS -->

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.000208

            IF COUNT(RP) <> 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000208" diagnostics="DVR.ATO.GEN.000208" subject="xbrli:context" test="count(xbrli:context[@id=$RP.ContextId]) = 1"></assert>
        <!--
            Rule ID: VR.ATO.GEN.000240

            IF context id = NULLORBLANK
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000240" diagnostics="DVR.ATO.GEN.000240" subject="xbrli:context" test="count(xbrli:context[(count(@id) = 0 or string-length(normalize-space(@id)) = 0) and not(@i:nil='true' or @i:nil='1')]) = 0"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404039

            IF COUNT (CONTEXT(JE)) > 4
               RETURN VALIDATION MESSAGE 
            ENDIF
        -->

        <assert  id="VR.ATO.CGLS.404039" diagnostics="DVR.ATO.CGLS.404039" subject="xbrli:context" test="count($JE.ContextIds) &lt;= 4"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404038

            IF COUNT (CONTEXT(TRFR)) > 12
               RETURN VALIDATION MESSAGE 
            ENDIF
        -->

        <assert  id="VR.ATO.CGLS.404038" diagnostics="DVR.ATO.CGLS.404038" subject="xbrli:context" test="count($TRFR.ContextIds) &lt;= 12"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404040

            IF COUNT(CONTEXT(RP.COTT)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CGLS.404040" diagnostics="DVR.ATO.CGLS.404040" subject="xbrli:context" test="count(xbrli:context[@id=$RP.COTT.ContextId]) &lt;= 1"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404041

            IF COUNT(CONTEXT(RP.COTP)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CGLS.404041" diagnostics="DVR.ATO.CGLS.404041" subject="xbrli:context" test="count(xbrli:context[@id=$RP.COTP.ContextId]) &lt;= 1"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404042

            IF COUNT(CONTEXT(RP.COTF)) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CGLS.404042" diagnostics="DVR.ATO.CGLS.404042" subject="xbrli:context" test="count(xbrli:context[@id=$RP.COTF.ContextId]) &lt;= 1"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404043

            IF COUNT(CONTEXT(RP.GRP)) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->

        <assert  id="VR.ATO.CGLS.404043" diagnostics="DVR.ATO.CGLS.404043" subject="xbrli:context" test="count(xbrli:context[@id=$RP.GRP.ContextId]) &lt;= 1"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404044

            IF COUNT(CONTEXT(RP.TRFD)) > 1
            RETURN VALIDATION MESSAGE
            END IF 
        -->

        <assert  id="VR.ATO.CGLS.404044" diagnostics="DVR.ATO.CGLS.404044" subject="xbrli:context" test="count(xbrli:context[@id=$RP.TRFD.ContextId]) &lt;= 1"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404045

            IF COUNT(CONTEXT(RP.TOT)) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->

        <assert  id="VR.ATO.CGLS.404045" diagnostics="DVR.ATO.CGLS.404045" subject="xbrli:context" test="count(xbrli:context[@id=$RP.TOT.ContextId]) &lt;= 1"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404113

            IF COUNT(CONTEXT(RP.Y0)) > 1
            RETURN VALIDATION MESSAGE
            END IF 
        -->

        <assert  id="VR.ATO.CGLS.404113" diagnostics="DVR.ATO.CGLS.404113" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0.ContextId]) &lt;= 1"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404114

            IF COUNT(CONTEXT(RP.Y0-1)) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->

        <assert  id="VR.ATO.CGLS.404114" diagnostics="DVR.ATO.CGLS.404114" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-1.ContextId]) &lt;= 1"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404115

            IF COUNT(CONTEXT(RP.Y0-2)) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->

        <assert  id="VR.ATO.CGLS.404115" diagnostics="DVR.ATO.CGLS.404115" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-2.ContextId]) &lt;= 1"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404116

            IF COUNT(CONTEXT(RP.Y0-3)) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->

        <assert  id="VR.ATO.CGLS.404116" diagnostics="DVR.ATO.CGLS.404116" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-3.ContextId]) &lt;= 1"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404117

            IF COUNT(CONTEXT(RP.Y0-4+)) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->

        <assert  id="VR.ATO.CGLS.404117" diagnostics="DVR.ATO.CGLS.404117" subject="xbrli:context" test="count(xbrli:context[@id=$RP.Y0-4P.ContextId]) &lt;= 1"></assert>
         <!--
            Rule ID: VR.ATO.CGLS.404125
            
            IF COUNT([CGLS15]) > 6
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS15] = CGLS:TRFR:rvctc3.xx.xx:Tax.Losses.TransferredUtilised.Fraction
        -->

        <assert  id="VR.ATO.CGLS.404125" diagnostics="DVR.ATO.CGLS.404125" subject="xbrli:context" test="count(rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction) &lt;= 6"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404127
            
            IF COUNT([CGLS30]) > 6
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS30] = CGLS:TRFR:rvctc3.xx.xx:Capital.Losses.TransferredUtilised.Fraction
        -->

        <assert  id="VR.ATO.CGLS.404127" diagnostics="DVR.ATO.CGLS.404127" subject="xbrli:context" test="count(rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction) &lt;= 6"></assert>
    </rule>

    <rule
            context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF (period.startDate = NULLORBLANK WHERE CONTEXT(ALL))
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000199" diagnostics="DVR.ATO.GEN.000199.0" subject="xbrli:period/xbrli:startDate" test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
            IF period.endDate = NULLORBLANK WHERE CONTEXT(ALL)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000237" diagnostics="DVR.ATO.GEN.000237.0" subject="xbrli:period/xbrli:endDate" test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
            Rule ID: VR.ATO.GEN.000201

            IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201.0" subject="xbrli:period/xbrli:startDate" test="
                        not
                        (
                          function:IsDate1GreaterOrEqualToDate2
                          (
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                            
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                          )
                        )"></assert>
        <!--
            Rule ID: VR.ATO.GEN.001020
                
            IF enitity.identifier = NULLORBLANK
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.001020" diagnostics="DVR.ATO.GEN.001020" subject="xbrli:entity/xbrli:identifier" test="string-length(normalize-space(xbrli:entity/xbrli:identifier)) &gt; 0"></assert>
        <!--
            Rule ID: VR.ATO.GEN.001021

            IF Identifier Scheme <> "http://www.ato.gov.au/tfn"
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021" subject="xbrli:entity/xbrli:identifier" test="count(xbrli:entity/xbrli:identifier[not(Exslt.ExsltStrings:lowercase(@scheme)='http://www.ato.gov.au/tfn')]) = 0"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404032    

            IF MajOwnshpAndCntrlTestType.xx.xx:MajorityOwnershipAndControlTestDimension <> NULLORBLANK AND
            MajOwnshpAndCntrlTestType.xx.xx:MajorityOwnershipAndControlTestDimension <> SET (“MajOwnshpAndCntrlTestType.02.00:COTPassed",“MajOwnshpAndCntrlTestType.02.00:COTFailedSBTPassed",“MajOwnshpAndCntrlTestType.02.00:COTTrust")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CGLS.404032" diagnostics="DVR.ATO.CGLS.404032" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[regexp:test(@dimension, '^MajOwnshpAndCntrlTestType.\d\d\.\d\d:MajorityOwnershipAndControlTestsTypeDimension$') 
                          and not(regexp:test(., '^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTPassed$'))
                          and not(regexp:test(., '^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTFailedSBTPassed$'))
                          and not(regexp:test(., '^MajOwnshpAndCntrlTestType\.\d\d\.\d\d:COTTrust$'))]) = 0"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404033    
            
            IF LossGenSource.xx.xx:LossGenerationSourceDimension <> NULLORBLANK AND
            LossGenSource.xx.xx:LossGenerationSourceDimension <> SET
            (“LossGenSource.02.00:Group", “LossGenSource.02.00:Transferred","LossGenSource.02.00:Total") 
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CGLS.404033" diagnostics="DVR.ATO.CGLS.404033" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[regexp:test(@dimension, '^LossGenSource.\d\d\.\d\d:LossGenerationSourceDimension$') 
                            and not(regexp:test(., '^LossGenSource\.\d\d\.\d\d:Group$'))
                            and not(regexp:test(., '^LossGenSource\.\d\d\.\d\d:Transferred$'))
                            and not(regexp:test(., '^LossGenSource\.\d\d\.\d\d:Total$'))]) = 0"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404034    
            
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:ReportingParty") OR (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:Transferor") OR (RprtPyType. xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:JoiningEntity")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CGLS.404034" diagnostics="DVR.ATO.CGLS.404034" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')
                            and not(regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$'))
                            and not(regexp:test(., '^RprtPyType\.\d\d\.\d\d:Transferor$'))
                            and not(regexp:test(., '^RprtPyType\.\d\d\.\d\d:JoiningEntity$'))]) = 0"></assert>
    </rule>


    <rule
              context="xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember
                    [   
                            not(@i:nil='true' or @i:nil='1')
                            and regexp:test(@dimension, '^RelPrdDrtn\.\d\d\.\d\d:RelativePeriodDurationDimension$')
                    ]">
        
        
        <!--
        Rule ID: VR.ATO.CGLS.404150
        
        IFRelPrdDrtn.xx.xx:RelativePeriodDurationDimension <> NULLORBLANK AND
        RelPrdDrtn.xx.xx:RelativePeriodDurationDimension <> SET
            ("RelPrdDrtn.02.00:Y0", "RelPrdDrtn.02.00:Y0Minus1", "RelPrdDrtn.02.00:Y0Minus2", "RelPrdDrtn.02.00:Y0Minus3", "RelPrdDrtn.02.00:Y0Minus4Plus")
        RETURN VALIDATION MESSAGE
        ENDIF
        Expected result: CMN.ATO.CGLS.404150
        -->
        
            <assert  id="VR.ATO.CGLS.404150" diagnostics="DVR.ATO.CGLS.404150" 
                     subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" 
                     test="regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')
                           or regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')
                           or regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')
                           or regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')
                           or regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus4Plus$')"></assert>

    </rule>

    <rule
            context="xbrli:context/xbrli:entity[./xbrli:segment/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and contains(., 'ReportingParty')]]">

        <!--
            Rule ID: VR.ATO.CGLS.404134
            
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.02.03:ReportingParty") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CGLS.404134" diagnostics="DVR.ATO.CGLS.404134" subject="xbrli:identifier" test="xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'] = $RP.Identifier.TFN"></assert>
        <!--
            Rule ID: VR.ATO.GEN.410113

            IF RP:entity.identifier.TFN = NULLORBLANK 
                 RETURN VALIDATION MESSAGE
            ENDIF  
        -->

        <assert  id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113.0" subject="xbrli:identifier" test="
                        string-length(normalize-space(
                        xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'])) &gt; 0"></assert>
    </rule>

    <rule
            context="xbrli:context/xbrli:entity[./xbrli:segment/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and contains(., 'Transferor')]]">

        <!--
            Rule ID: VR.ATO.CGLS.404139

            IF TRFR:entity.identifier = ANY OTHER OCCURANCE(TRFR:entity.identifier.TFN)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CGLS.404139" diagnostics="DVR.ATO.CGLS.404139" subject="xbrli:identifier" test="
                        not(xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'] = 
                        preceding::xbrli:entity[./xbrli:segment/xbrldi:explicitMember[contains(., 'Transferor')]]/xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'])"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404140
            
            IF (ALGORITHM([CGLS:TRFR:entity.identifier.TFN]) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CGLS.404131" diagnostics="DVR.ATO.CGLS.404131" subject="xbrli:identifier" test="
                        not
                        (
                            string-length(normalize-space(
                            xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'])) &gt; 0
                            and
                            not(function:ValidateTFN(xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn']))
                        )"></assert>
    </rule>

    <rule
            context="xbrli:context/xbrli:entity[not(@i:nil='true' or @i:nil='1') and ./xbrli:segment/xbrldi:explicitMember[contains(., 'JoiningEntity')]]">

        <!--
            Rule ID: VR.ATO.CGLS.404140

            IF JE:entity.identifier = ANY OTHER OCCURANCE(JE:entity.identifier.TFN)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CGLS.404140" diagnostics="DVR.ATO.CGLS.404140" subject="xbrli:identifier" test="
                        not(xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'] = 
                        preceding::xbrli:entity[./xbrli:segment/xbrldi:explicitMember[contains(., 'JoiningEntity')]]/xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'])"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404133
            
            IF (ALGORITHM([CGLS:JE:entity.identifier.TFN]) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CGLS.404133" diagnostics="DVR.ATO.CGLS.404133" subject="xbrli:identifier" test="
                        not
                        (
                            string-length(normalize-space(
                            xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'])) &gt; 0
                            and
                            not(function:ValidateTFN(xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn']))
                        )"></assert>
    </rule>
</pattern>