﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Length" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Length and Monetary Format Validations for CGLS</title>

    <!-- FRACTION TYPES -->

    <rule
            context="rvctc3.02.02:Tax.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404111
                    
            IF [CGLS15] <> NULL AND [CGLS15] <> NUMBER(U,4,3)
                 RETURN VALIDATION ERROR
            ENDIF

            [CGLS15] = CGLS:$TRFR:rvctc3.xx.xx:Tax.Losses.TransferredUtilised.Fraction
        -->
        <let
                    name="This.ContextId"
                    value="@contextRef" />


        <assert  id="VR.ATO.CGLS.404111" diagnostics="DVR.ATO.CGLS.404111" test="count($TRFR.ContextIds[. = $This.ContextId]) = 0 or
                          regexp:test(number(./xbrli:numerator) div number(./xbrli:denominator),'^[0-9]{1}(\.[0-9]{0,3})?$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Capital.Losses.TransferredUtilised.Fraction[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404112
                    
            IF [CGLS30] <> NULL AND [CGLS30] <> NUMBER (U,4,3) 
                 RETURN VALIDATION MESSAGE
            END IF

            [CGLS30] = CGLS:TRFR:rvctc3.xx.xx:Capital.Losses.TransferredUtilised.Fraction
        -->
        <let
                    name="This.ContextId"
                    value="@contextRef" />


        <assert  id="VR.ATO.CGLS.404112" diagnostics="DVR.ATO.CGLS.404112" test="count($TRFR.ContextIds[. = $This.ContextId]) = 0 or
                          regexp:test(number(./xbrli:numerator) div number(./xbrli:denominator),'^[0-9]{1}(\.[0-9]{0,3})?$')"></assert>
    </rule>
    <!-- MONETARY TYPES -->

    <rule
            context="rvctc3.02.02:Capital.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [CGLS49] <> NULL AND [CGLS49] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS49] = CGLS:$RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount
        -->

        <assert  id="VR.ATO.CGLS.404084" diagnostics="DVR.ATO.CGLS.404084" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404070

            IF [CGLS32] <> NULL AND [CGLS32] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS32] = CGLS:$RP.GRP:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
        -->

        <assert  id="VR.ATO.CGLS.404070" diagnostics="DVR.ATO.CGLS.404070" test="@contextRef != $RP.GRP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404071

            IF [CGLS33] <> NULL AND [CGLS33] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS33] = CGLS:$RP.TRFD:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
        -->

        <assert  id="VR.ATO.CGLS.404071" diagnostics="DVR.ATO.CGLS.404071" test="@contextRef != $RP.TRFD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404072

            IF [CGLS34] <> NULL AND [CGLS34] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS34] = CGLS:$RP.TOT:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
        -->

        <assert  id="VR.ATO.CGLS.404072" diagnostics="DVR.ATO.CGLS.404072" test="@contextRef != $RP.TOT.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Capital.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404082

            IF [CGLS47] <> NULL AND [CGLS47] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS47] = CGLS:$RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount
        -->

        <assert  id="VR.ATO.CGLS.404082" diagnostics="DVR.ATO.CGLS.404082" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404063

            IF [CGLS23] <> NULL AND [CGLS23] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS23] = CGLS:$RP.COTP:rvctc3.xx.xx:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
        -->

        <assert  id="VR.ATO.CGLS.404063" diagnostics="DVR.ATO.CGLS.404063" test="@contextRef != $RP.COTP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404064

            IF [CGLS24] <> NULL AND [CGLS24] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS24] = CGLS:$RP.COTF:rvctc3.xx.xx:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
        -->

        <assert  id="VR.ATO.CGLS.404064" diagnostics="DVR.ATO.CGLS.404064" test="@contextRef != $RP.COTF.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404065

            IF [CGLS25] <> NULL AND [CGLS25] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS25] = CGLS:$RP.COTT:rvctc3.xx.xx:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
        -->

        <assert  id="VR.ATO.CGLS.404065" diagnostics="DVR.ATO.CGLS.404065" test="@contextRef != $RP.COTT.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404060

            IF [CGLS20] <> NULL AND [CGLS20] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS20] = CGLS:$RP.COTP:rvctc3.xx.xx:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount
        -->

        <assert  id="VR.ATO.CGLS.404060" diagnostics="DVR.ATO.CGLS.404060" test="@contextRef != $RP.COTP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404061

            IF [CGLS21] <> NULL AND [CGLS21] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS21] = CGLS:$RP.COTF:rvctc3.xx.xx:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount
        -->

        <assert  id="VR.ATO.CGLS.404061" diagnostics="DVR.ATO.CGLS.404061" test="@contextRef != $RP.COTF.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404062

            IF [CGLS22] <> NULL AND [CGLS22] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS22] = CGLS:$RP.COTT:rvctc3.xx.xx:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount
        -->

        <assert  id="VR.ATO.CGLS.404062" diagnostics="DVR.ATO.CGLS.404062" test="@contextRef != $RP.COTT.ContextId or regexp:test(.,'[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Capital.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404069

            IF [CGLS31] <> NULL AND [CGLS31] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS31] = CGLS:$TRFR:rvctc3.xx.xx:Capital.Losses.TransferredUtilised.Amount
        -->
        <let
                    name="This.ContextId"
                    value="@contextRef" />


        <assert  id="VR.ATO.CGLS.404069" diagnostics="DVR.ATO.CGLS.404069" test="@i:nil='true' or @i:nil='1' or
                            count($TRFR.ContextIds[. = $This.ContextId]) = 0 or
                            regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Capital.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [CGLS45] <> NULL AND [CGLS45] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS45] = CGLS:$RP:rvctc3.xx.xx:Capital.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount
        -->

        <assert  id="VR.ATO.CGLS.404080" diagnostics="DVR.ATO.CGLS.404080" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Capital.Losses.UtilisedNet.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404066

            IF [CGLS26] <> NULL AND [CGLS26] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS26] = CGLS:$RP.GRP:rvctc3.xx.xx:Capital.Losses.UtilisedNet.Amount
        -->

        <assert  id="VR.ATO.CGLS.404066" diagnostics="DVR.ATO.CGLS.404066" test="@contextRef != $RP.GRP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404067

            IF [CGLS27] <> NULL AND [CGLS27] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS27] = CGLS:$RP.TRFD:rvctc3.xx.xx:Capital.Losses.UtilisedNet.Amount
        -->

        <assert  id="VR.ATO.CGLS.404067" diagnostics="DVR.ATO.CGLS.404067" test="@contextRef != $RP.TRFD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404068

            IF [CGLS28] <> NULL AND [CGLS28] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS28] = CGLS:$RP.TOT:rvctc3.xx.xx:Capital.Losses.UtilisedNet.Amount
        -->

        <assert  id="VR.ATO.CGLS.404068" diagnostics="DVR.ATO.CGLS.404068" test="@contextRef != $RP.TOT.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>
    

    <rule
            context="rvctc3.02.02:Tax.Losses.AttributabletoForeignNonAssessableNonExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404091

            IF [CGLS71] <> NULL AND [CGLS71] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS71] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.AttributabletoForeignNonAssessableNonExemptIncome.Amount
        -->

        <assert  id="VR.ATO.CGLS.404091" diagnostics="DVR.ATO.CGLS.404091" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [CGLS83] <> NULL AND [CGLS83] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS83] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount
        -->

        <assert  id="VR.ATO.CGLS.404124" diagnostics="DVR.ATO.CGLS.404124" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404083

            IF [CGLS48] <> NULL AND [CGLS48] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS48] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount
        -->

        <assert  id="VR.ATO.CGLS.404083" diagnostics="DVR.ATO.CGLS.404083" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404090

            IF [CGLS70] <> NULL AND [CGLS70] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS70] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount
        -->

        <assert  id="VR.ATO.CGLS.404090" diagnostics="DVR.ATO.CGLS.404090" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.CarriedForward.ForeignLossComponentExcludingControlledForeignCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404098

            IF [CGLS80] <> NULL AND [CGLS80] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS80] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.ForeignLossComponentExcludingControlledForeignCompanies.Amount
        -->

        <assert  id="VR.ATO.CGLS.404098" diagnostics="DVR.ATO.CGLS.404098" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404110

            IF [CGLS93] <> NULL AND [CGLS93] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS93] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->

        <assert  id="VR.ATO.CGLS.404110" diagnostics="DVR.ATO.CGLS.404110" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404081

            IF [CGLS46] <> NULL AND [CGLS46] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS46] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.CarriedForward.SameBusinessTestPassedBeforeBeingUtilised.Amount
        -->

        <assert  id="VR.ATO.CGLS.404081" diagnostics="DVR.ATO.CGLS.404081" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404057

            IF [CGLS17] <> NULL AND [CGLS17] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS17] = CGLS:$RP.GRP:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
        -->

        <assert  id="VR.ATO.CGLS.404057" diagnostics="DVR.ATO.CGLS.404057" test="@contextRef != $RP.GRP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404058

            IF [CGLS18] <> NULL AND [CGLS18] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS18] = CGLS:$RP.TRFD:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
        -->

        <assert  id="VR.ATO.CGLS.404058" diagnostics="DVR.ATO.CGLS.404058" test="@contextRef != $RP.TRFD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404059

            IF [CGLS19] <> NULL AND [CGLS19] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS19] = CGLS:$RP.TOT:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
        -->

        <assert  id="VR.ATO.CGLS.404059" diagnostics="DVR.ATO.CGLS.404059" test="@contextRef != $RP.TOT.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404100

            IF [CGLS82] <> NULL AND [CGLS82] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS82] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.ControlledForeignCompany.Amount
        -->

        <assert  id="VR.ATO.CGLS.404100" diagnostics="DVR.ATO.CGLS.404100" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404089

            IF [CGLS69] <> NULL AND [CGLS69] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS69] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.ControlledForeignCompanyDeducted.Amount
        -->

        <assert  id="VR.ATO.CGLS.404089" diagnostics="DVR.ATO.CGLS.404089" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404105

            IF [CGLS88] <> NULL AND [CGLS88] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS88] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount
        -->

        <assert  id="VR.ATO.CGLS.404105" diagnostics="DVR.ATO.CGLS.404105" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>




    <rule
            context="rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404106

            IF [CGLS89] <> NULL AND [CGLS89] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS89] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.ExemptIncomeNet.Amount
        -->

        <assert  id="VR.ATO.CGLS.404106" diagnostics="DVR.ATO.CGLS.404106" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.ForeignLossComponentExcludingControlledForeignCompanyDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
            Rule ID: VR.ATO.CGLS.404097

            IF [CGLS79] <> NULL AND [CGLS79] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS79] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.ForeignLossComponentExcludingControlledForeignCompanyDeducted.Amount
        -->

        <assert  id="VR.ATO.CGLS.404097" diagnostics="DVR.ATO.CGLS.404097" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.ForeignLossComponentOfTaxLossTransferredFromJoiningEntities.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404099

            IF [CGLS81] <> NULL AND [CGLS81] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS81] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.ForeignLossComponentOfTaxLossTransferredFromJoiningEntities.Amount
        -->

        <assert  id="VR.ATO.CGLS.404099" diagnostics="DVR.ATO.CGLS.404099" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404103

            IF [CGLS86] <> NULL AND [CGLS86] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS86] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.ForgivenDebtNet.Amount
        -->

        <assert  id="VR.ATO.CGLS.404103" diagnostics="DVR.ATO.CGLS.404103" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.Forgone.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404107

            IF [CGLS90] <> NULL AND [CGLS90] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS90] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.Forgone.Amount
        -->

        <assert  id="VR.ATO.CGLS.404107" diagnostics="DVR.ATO.CGLS.404107" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.Incurred.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404104

            IF [CGLS87] <> NULL AND [CGLS87] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS87] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.Incurred.Amount
        -->

        <assert  id="VR.ATO.CGLS.404104" diagnostics="DVR.ATO.CGLS.404104" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.00:Tax.Losses.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404108

            IF [CGLS91] <> NULL AND [CGLS91] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS91] = CGLS:RP:rvctc3.xx.xx:Tax.Losses.Total.Amount
        -->

        <assert  id="VR.ATO.CGLS.404108" diagnostics="DVR.ATO.CGLS.404108" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404050
            
            IF [CGLS8] <> NULL AND [CGLS8] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS8] = CGLS:RP.COTP:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
        -->

        <assert  id="VR.ATO.CGLS.404050" diagnostics="DVR.ATO.CGLS.404050" test="@contextRef != $RP.COTP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404051

            IF [CGLS9] <> NULL AND [CGLS9] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS9] = CGLS:$RP.COTF:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
        -->

        <assert  id="VR.ATO.CGLS.404051" diagnostics="DVR.ATO.CGLS.404051" test="@contextRef != $RP.COTF.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404052

            IF [CGLS10] <> NULL AND [CGLS10] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS10] = CGLS:$RP.COTT:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
        -->

        <assert  id="VR.ATO.CGLS.404052" diagnostics="DVR.ATO.CGLS.404052" test="@contextRef != $RP.COTT.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404047

            IF [CGLS5] <> NULL AND [CGLS5] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS5] = CGLS:$RP.COTP:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount
        -->

        <assert  id="VR.ATO.CGLS.404047" diagnostics="DVR.ATO.CGLS.404047" test="@contextRef != $RP.COTP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404048

            IF [CGLS6] <> NULL AND [CGLS6] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS6] = CGLS:$RP.COTF:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount
        -->

        <assert  id="VR.ATO.CGLS.404048" diagnostics="DVR.ATO.CGLS.404048" test="@contextRef != $RP.COTF.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404049

            IF [CGLS7] <> NULL AND [CGLS7] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS7] = CGLS:$RP.COTT:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount
        -->

        <assert  id="VR.ATO.CGLS.404049" diagnostics="DVR.ATO.CGLS.404049" test="@contextRef != $RP.COTT.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404102

            IF [CGLS85] <> NULL AND [CGLS85] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS85] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount
        -->

        <assert  id="VR.ATO.CGLS.404102" diagnostics="DVR.ATO.CGLS.404102" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404073

            IF [CGLS38] <> NULL AND [CGLS38] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS38] = CGLS:$JE:rvctc3.xx.xx:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount
        -->
        <let
                    name="This.ContextId"
                    value="@contextRef" />


        <assert  id="VR.ATO.CGLS.404073" diagnostics="DVR.ATO.CGLS.404073" test="@i:nil='true' or @i:nil='1' or
                            count($JE.ContextIds[. = $This.ContextId]) = 0 or
                            regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404074

            IF [CGLS39] <> NULL AND [CGLS39] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS39] = CGLS:$RP.Y0:rvctc3.xx.xx:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
        -->

        <assert  id="VR.ATO.CGLS.404074" diagnostics="DVR.ATO.CGLS.404074" test="@contextRef != $RP.Y0.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404075

            IF [CGLS40] <> NULL AND [CGLS40] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS40] = CGLS:$RP.Y0-1:rvctc3.xx.xx:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
        -->

        <assert  id="VR.ATO.CGLS.404075" diagnostics="DVR.ATO.CGLS.404075" test="@contextRef != $RP.Y0-1.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404076

            IF [CGLS41] <> NULL AND [CGLS41] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS41] = CGLS:$RP.Y0-2:rvctc3.xx.xx:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
        -->

        <assert  id="VR.ATO.CGLS.404076" diagnostics="DVR.ATO.CGLS.404076" test="@contextRef != $RP.Y0-2.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404077

            IF [CGLS42] <> NULL AND [CGLS42] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS42] = CGLS:$RP.Y0-3:rvctc3.xx.xx:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
        -->

        <assert  id="VR.ATO.CGLS.404077" diagnostics="DVR.ATO.CGLS.404077" test="@contextRef != $RP.Y0-3.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404078

            IF [CGLS43] <> NULL AND [CGLS43] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS43] = CGLS:$RP.Y0-4+:rvctc3.xx.xx:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
        -->

        <assert  id="VR.ATO.CGLS.404078" diagnostics="DVR.ATO.CGLS.404078" test="@contextRef != $RP.Y0-4P.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.TransferredOut.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [CGLS92] <> NULL AND [CGLS92] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS92] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.TransferredOut.Amount
        -->

        <assert  id="VR.ATO.CGLS.404109" diagnostics="DVR.ATO.CGLS.404109" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404056

            IF [CGLS16] <> NULL AND [CGLS16] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS16] = CGLS:$TRFR:rvctc3.xx.xx:Tax.Losses.TransferredUtilised.Amount
        -->
        <let
                    name="This.ContextId"
                    value="@contextRef" />


        <assert  id="VR.ATO.CGLS.404056" diagnostics="DVR.ATO.CGLS.404056" test="@i:nil='true' or @i:nil='1' or
                            count($TRFR.ContextIds[. = $This.ContextId]) = 0 or
                            regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404123

            IF [CGLS94] <> NULL AND [CGLS94] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS94] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount
        -->

        <assert  id="VR.ATO.CGLS.404123" diagnostics="DVR.ATO.CGLS.404123" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.00:Tax.Losses.Utilised.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
	        Rule ID: VR.ATO.CGLS.404053

            IF [CGLS11] <> NULL AND [CGLS11] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS11] = CGLS:$RP.GRP:rvctc3.xx.xx:Tax.Losses.Utilised.Amount
        -->

        <assert  id="VR.ATO.CGLS.404053" diagnostics="DVR.ATO.CGLS.404053" test="@contextRef != $RP.GRP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
	        Rule ID: VR.ATO.CGLS.404054

            IF [CGLS12] <> NULL AND [CGLS12] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS12] = CGLS:$RP.TRFD:rvctc3.xx.xx:Tax.Losses.Utilised.Amount
        -->

        <assert  id="VR.ATO.CGLS.404054" diagnostics="DVR.ATO.CGLS.404054" test="@contextRef != $RP.TRFD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
        <!--
            Rule ID: VR.ATO.CGLS.404055

            IF [CGLS13] <> NULL AND [CGLS13] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS13] = CGLS:$RP.TOT:rvctc3.xx.xx:Tax.Losses.Utilised.Amount
        -->

        <assert  id="VR.ATO.CGLS.404055" diagnostics="DVR.ATO.CGLS.404055" test="@contextRef != $RP.TOT.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>

    <rule
            context="rvctc3.02.02:Tax.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CGLS.404079

            IF [CGLS44] <> NULL AND [CGLS44] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS44] = CGLS:$RP:rvctc3.xx.xx:Tax.Losses.UtilisedAfterConsolidationOwnershipContinuityTestNotPassedAndSameBusinessTest.Amount
        -->

        <assert  id="VR.ATO.CGLS.404079" diagnostics="DVR.ATO.CGLS.404079" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
    </rule>
    <!-- ENUMERATIONS -->

    <rule
            context="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.410049

            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.410049" diagnostics="DVR.ATO.GEN.410049" test="Exslt.ExsltStrings:uppercase(.) = 'MN'"></assert>
    </rule>
</pattern>