﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Rule validations for contexts that are applicable accross all of the CGTS services.</title>

<!-- CONTEXT VALIDATIONS -->

<rule
		context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID:  VR.ATO.GEN.000208
            
            IF COUNT(RP) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000208" diagnostics="DVR.ATO.GEN.000208" subject="xbrli:context" test="count(xbrli:context[@id=$RP.ContextId]) = 1"></assert>
<!--
            Rule ID:  VR.ATO.GEN.000240
            
            IF context id = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000240" diagnostics="DVR.ATO.GEN.000240" subject="xbrli:context" test="count(xbrli:context[(count(@id) = 0 or string-length(normalize-space(@id)) = 0) and not(@i:nil='true' or @i:nil='1')]) = 0"></assert>
<!--
            Rule ID:  VR.ATO.GEN.001019
            
            IF RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:ReportingParty"
                RETURN VALIDATION MESSAGE
            ENDIF    
        -->

<assert  id="VR.ATO.GEN.001019" diagnostics="DVR.ATO.GEN.001019" subject="xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') 
                        and not(regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$'))]) = 0"></assert>
<!--
            Rule ID:  VR.ATO.GEN.410113
            
            IF (RP:entity.identifier.TFN = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113" subject="xbrli:context" test="xbrli:context[@id=$RP.ContextId]/xbrli:entity/xbrli:identifier and
                        count(xbrli:context[@id=$RP.ContextId]/xbrli:entity/xbrli:identifier[(@scheme != 'http://www.ato.gov.au/tfn') or string-length(normalize-space(.)) = 0]) = 0 "></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402104
            
            IF COUNT(CONTEXT(RP.AA)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402104" diagnostics="DVR.ATO.CGTS.402104" subject="xbrli:context" test="count(xbrli:context[@id=$RP.AA.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402105
        
            IF COUNT(CONTEXT(RP.ANA)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402105" diagnostics="DVR.ATO.CGTS.402105" subject="xbrli:context" test="count(xbrli:context[@id=$RP.ANA.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402106
        
            IF COUNT(CONTEXT(RP.AA.MI)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402106" diagnostics="DVR.ATO.CGTS.402106" subject="xbrli:context" test="count(xbrli:context[@id=$RP.AA.MI.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402107
            
            IF COUNT(CONTEXT(RP.ANA.MI)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402107" diagnostics="DVR.ATO.CGTS.402107" subject="xbrli:context" test="count(xbrli:context[@id=$RP.ANA.MI.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402108
            
            IF COUNT(CONTEXT(RP.AA.MD)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402108" diagnostics="DVR.ATO.CGTS.402108" subject="xbrli:context" test="count(xbrli:context[@id=$RP.AA.MD.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402109
            
            IF COUNT(CONTEXT(RP.ANA.MD)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402109" diagnostics="DVR.ATO.CGTS.402109" subject="xbrli:context" test="count(xbrli:context[@id=$RP.ANA.MD.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402110
            
            IF COUNT(CONTEXT(RP.AA.MO)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402110" diagnostics="DVR.ATO.CGTS.402110" subject="xbrli:context" test="count(xbrli:context[@id=$RP.AA.MO.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402111
            
            IF COUNT(CONTEXT(RP.ANA.MO)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402111" diagnostics="DVR.ATO.CGTS.402111" subject="xbrli:context" test="count(xbrli:context[@id=$RP.ANA.MO.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402112
            
            IF COUNT(CONTEXT(RP.MI)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402112" diagnostics="DVR.ATO.CGTS.402112" subject="xbrli:context" test="count(xbrli:context[@id=$RP.MI.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402113
            
            IF COUNT(CONTEXT(RP.MD)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402113" diagnostics="DVR.ATO.CGTS.402113" subject="xbrli:context" test="count(xbrli:context[@id=$RP.MD.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402114
            
            IF COUNT(CONTEXT(RP.MO)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402114" diagnostics="DVR.ATO.CGTS.402114" subject="xbrli:context" test="count(xbrli:context[@id=$RP.MO.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402115
            
            IF COUNT(CONTEXT(RP.MI.CU)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402115" diagnostics="DVR.ATO.CGTS.402115" subject="xbrli:context" test="count(xbrli:context[@id=$RP.MI.CU.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402116
            
            IF COUNT(CONTEXT(RP.MI.PR)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402116" diagnostics="DVR.ATO.CGTS.402116" subject="xbrli:context" test="count(xbrli:context[@id=$RP.MI.PR.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402117
            
            IF COUNT(CONTEXT(RP.MI.TR)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402117" diagnostics="DVR.ATO.CGTS.402117" subject="xbrli:context" test="count(xbrli:context[@id=$RP.MI.TR.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402118
            
            IF COUNT(CONTEXT(RP.MD.CU)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402118" diagnostics="DVR.ATO.CGTS.402118" subject="xbrli:context" test="count(xbrli:context[@id=$RP.MD.CU.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402119
            
            IF COUNT(CONTEXT(RP.MD.PR)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402119" diagnostics="DVR.ATO.CGTS.402119" subject="xbrli:context" test="count(xbrli:context[@id=$RP.MD.PR.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402120
            
            IF COUNT(CONTEXT(RP.MD.TR)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402120" diagnostics="DVR.ATO.CGTS.402120" subject="xbrli:context" test="count(xbrli:context[@id=$RP.MD.TR.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402121
            
            IF COUNT(CONTEXT(RP.MO.CU)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402121" diagnostics="DVR.ATO.CGTS.402121" subject="xbrli:context" test="count(xbrli:context[@id=$RP.MO.CU.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402122
            
            IF COUNT(CONTEXT(RP.MO.PR)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402122" diagnostics="DVR.ATO.CGTS.402122" subject="xbrli:context" test="count(xbrli:context[@id=$RP.MO.PR.ContextId]) &lt;= 1"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402123
            
            IF COUNT(CONTEXT(RP.MO.TR)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402123" diagnostics="DVR.ATO.CGTS.402123" subject="xbrli:context" test="count(xbrli:context[@id=$RP.MO.TR.ContextId]) &lt;= 1"></assert>
</rule>

<rule
		context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID:  VR.ATO.GEN.000199
        
            IF (period.startDate = NULLORBLANK WHERE CONTEXT(ALL))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000199" diagnostics="DVR.ATO.GEN.000199.0" subject="xbrli:period/xbrli:startDate" test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            Rule ID:  VR.ATO.GEN.000237
            
            IF period.endDate = NULLORBLANK WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000237" diagnostics="DVR.ATO.GEN.000237.0" subject="xbrli:period/xbrli:endDate" test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            Rule ID:  VR.ATO.GEN.000201
            
            IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201" subject="xbrli:context/xbrli:period/xbrli:startDate" test="
                            not
                            (
                              function:IsDate1GreaterOrEqualToDate2
                              (xbrli:period[not(@i:nil='true' or @i:nil='1')]/
                                xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                                
                                xbrli:period[not(@i:nil='true' or @i:nil='1')]/
                                xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                    
                              )
                            )"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402101
                    
            IF CGTAssetType.xx.xx:CGTAssetTypeDimension <> NULLORBLANK 
            AND CGTAssetType.xx.xx:CGTAssetTypeDimension <> SET("CGTAssetType.02.00:Active","CGTAssetType.02.00:NonActive")
                RETURN VALIDATION MESSAGE
            ENDIF
     
        -->

<assert  id="VR.ATO.CGTS.402101" diagnostics="DVR.ATO.CGTS.402101" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:entity/xbrli:segment[count
                            (./xbrldi:explicitMember) &gt; 1]/xbrldi:explicitMember[regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') 
                            and not(regexp:test(., '^CGTAssetType\.\d\d\.\d\d:Active$'))
                            and not(regexp:test(., '^CGTAssetType\.\d\d\.\d\d:NonActive$'))]) = 0"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402102
            
            IF CGTMethod.xx.xx:CGTMethodDimension <> NULLORBLANK 
            AND CGTMethod.xx.xx:CGTMethodDimension <> SET("CGTMethod.02.00:Indexation","CGTMethod.02.00:Discount","CGTMethod.02.00:Other")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402102" diagnostics="DVR.ATO.CGTS.402102" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:entity/xbrli:segment[count
                            (./xbrldi:explicitMember) &gt; 1]/xbrldi:explicitMember[regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') 
                            and not(regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$'))
                            and not(regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$'))
                            and not(regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$'))
                            ]) = 0"></assert>
<!--
            Rule ID:  VR.ATO.CGTS.402103
            
            IF CapLossApplicPrdType.xx.xx:CapitalLossApplicabilityPeriodTypeDimension <> NULLORBLANK 
            AND CapLossApplicPrdType.xx.xx:CapitalLossApplicabilityPeriodTypeDimension <> 
            SET("CapLossApplicPrdType.02.00:CurrentYear","CapLossApplicPrdType.02.00:PreviousYear","CapLossApplicPrdType.02.00:TransferredIn")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.CGTS.402103" diagnostics="DVR.ATO.CGTS.402103" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:entity/xbrli:segment[count
                            (./xbrldi:explicitMember) = 3]/xbrldi:explicitMember[regexp:test(@dimension, '^CapLossApplicPrdType.\d\d\.\d\d:CapitalLossApplicabilityPeriodTypeDimension$') 
                            and not(regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:CurrentYear$'))
                            and not(regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:PreviousYear$'))
                            and not(regexp:test(., '^CapLossApplicPrdType\.\d\d\.\d\d:TransferredIn$'))
                            ]) = 0"></assert>
</rule>

<rule
		context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID:  VR.ATO.GEN.001021
            
            IF Identifier Scheme <> "http://www.ato.gov.au/tfn"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021.0" subject="xbrli:identifier" test="count(xbrli:identifier[not(exslt:lowercase(@scheme)='http://www.ato.gov.au/tfn')]) = 0"></assert>
<!--
            Rule ID:  VR.ATO.GEN.001023
        
            IF (entity.identifier.TFN WHERE CONTEXT(ALL)) <> RP:entity.identifier.TFN
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023" subject="xbrli:context" test="xbrli:identifier[exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'] = $RP.Identifier.TFN"></assert>
</rule>
</pattern>