﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Length" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Field Pattern Validations</title>


<rule
		context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">

<!--     
            Rule ID: VR.ATO.GEN.428016

            IF (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier <> NULLORBLANK) AND (TFNALGORITHM(pyid.xx.xx:Identifiers.TaxFileNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
            
        -->

<assert  id="VR.ATO.GEN.428016" diagnostics="DVR.ATO.GEN.428016" subject="pyid.02.00:Identifiers.TaxFileNumber.Identifier" test="not(../../@id = $RP.ContextId) or not(exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN') or string-length(normalize-space(.)) = 0 or function:ValidateTFN(.)"></assert>
</rule>

<rule
		context="cgts.0001.lodge.request.02.00:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesNumberOfOriginalEntities.Count[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402097

	        IF (CGTS71 <> NULL) AND (CGTS71 <> NUMBER(U,3,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS71] = cgts.0001.lodge.request.02.00:AcquiringEntity/CGTS:$RP:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesNumberOfOriginalEntities.Count
        -->

<assert  id="VR.ATO.CGTS.402097" diagnostics="DVR.ATO.CGTS.402097" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,3}$')"></assert>
</rule>

<rule
		context="cgts.0001.lodge.request.02.00:AcquiringEntity/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesSharesUnitsIssued.Count[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402099

	        IF (CGTS73 <> NULL) AND (CGTS73 <> NUMBER(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS73] = cgts.0001.lodge.request.02.00:AcquiringEntity/CGTS:$RP:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesSharesUnitsIssued.Count
       -->

<assert  id="VR.ATO.CGTS.402099" diagnostics="DVR.ATO.CGTS.402099" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOptionsRightsIssued.Count[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402098

	        IF (CGTS74 <> NULL) AND (CGTS74 <> NUMBER(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS74] = cgts.0001.lodge.request.02.00:AcquiringEntity/CGTS:$RP:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOptionsRightsIssued.Count
        -->

<assert  id="VR.ATO.CGTS.402098" diagnostics="DVR.ATO.CGTS.402098" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>
<!-- xsd-datatype-monetary -->

<rule
		context="xbrli:xbrl/rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402066

	        IF (CGTS6 <> NULL) AND (CGTS6 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS6] = CGTS:$RP.ANA.MI:rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
         -->

<assert  id="VR.ATO.CGTS.402066" diagnostics="DVR.ATO.CGTS.402066" test="@contextRef != $RP.ANA.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402066

	        IF (CGTS7 <> NULL) AND (CGTS7 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS7] = CGTS:$RP.ANA.MD:rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
        -->

<assert  id="VR.ATO.CGTS.402066" diagnostics="DVR.ATO.CGTS.402066" test="@contextRef != $RP.ANA.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402066

	        IF (CGTS8 <> NULL) AND (CGTS8 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS8] = 	CGTS:$RP.ANA.MO:rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
         -->

<assert  id="VR.ATO.CGTS.402066" diagnostics="DVR.ATO.CGTS.402066" test="@contextRef != $RP.ANA.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402070

	        IF (CGTS20 <> NULL) AND (CGTS20 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS20] = CGTS:$RP.AA.MO:rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
        -->

<assert  id="VR.ATO.CGTS.402070" diagnostics="DVR.ATO.CGTS.402070" test="@contextRef != $RP.AA.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402070

	        IF (CGTS18 <> NULL) AND (CGTS18 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS18] = CGTS:$RP.AA.MI:rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
      -->

<assert  id="VR.ATO.CGTS.402070" diagnostics="DVR.ATO.CGTS.402070" test="@contextRef != $RP.AA.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402070

	        IF (CGTS19 <> NULL) AND (CGTS19 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS19] = CGTS:$RP.AA.MD:rvctc3.02.02:CapitalGainsTax.SharesAndUnitsInUnitTrusts.Amount
       -->

<assert  id="VR.ATO.CGTS.402070" diagnostics="DVR.ATO.CGTS.402070" test="@contextRef != $RP.AA.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:CapitalGainsTax.RealEstate.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402067

	        IF (CGTS9 <> NULL) AND (CGTS9 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS9] = CGTS:$RP.ANA.MI:rvctc3.02.02:CapitalGainsTax.RealEstate.Amount
       -->

<assert  id="VR.ATO.CGTS.402067" diagnostics="DVR.ATO.CGTS.402067" test="@contextRef != $RP.ANA.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402067

	        IF (CGTS10 <> NULL) AND (CGTS10 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS10] = CGTS:$RP.ANA.MD:rvctc3.02.02:CapitalGainsTax.RealEstate.Amount
       -->

<assert  id="VR.ATO.CGTS.402067" diagnostics="DVR.ATO.CGTS.402067" test="@contextRef != $RP.ANA.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402067

	        IF (CGTS11 <> NULL) AND (CGTS11 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS11] = CGTS:$RP.ANA.MO:rvctc3.02.02:CapitalGainsTax.RealEstate.Amount
       -->

<assert  id="VR.ATO.CGTS.402067" diagnostics="DVR.ATO.CGTS.402067" test="@contextRef != $RP.ANA.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402071

	        IF (CGTS22 <> NULL) AND (CGTS22 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS22] = CGTS:$RP.AA.MD:rvctc3.02.02:CapitalGainsTax.RealEstate.Amount
       -->

<assert  id="VR.ATO.CGTS.402071" diagnostics="DVR.ATO.CGTS.402071" test="@contextRef != $RP.AA.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402071

	        IF (CGTS23 <> NULL) AND (CGTS23 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS23] = CGTS:$RP.AA.MO:rvctc3.02.02:CapitalGainsTax.RealEstate.Amount
       -->

<assert  id="VR.ATO.CGTS.402071" diagnostics="DVR.ATO.CGTS.402071" test="@contextRef != $RP.AA.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402071

	        IF (CGTS21 <> NULL) AND (CGTS21 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS21] = CGTS:$RP.AA.MI:rvctc3.02.02:CapitalGainsTax.RealEstate.Amount
       -->

<assert  id="VR.ATO.CGTS.402071" diagnostics="DVR.ATO.CGTS.402071" test="@contextRef != $RP.AA.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402068

	        IF (CGTS12 <> NULL) AND (CGTS12 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS12] = CGTS:$RP.ANA.MI:rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount
        -->

<assert  id="VR.ATO.CGTS.402068" diagnostics="DVR.ATO.CGTS.402068" test="@contextRef != $RP.ANA.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402068

	        IF (CGTS13 <> NULL) AND (CGTS13 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS13] = CGTS:$RP.ANA.MO:rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount
        -->

<assert  id="VR.ATO.CGTS.402068" diagnostics="DVR.ATO.CGTS.402068" test="@contextRef != $RP.ANA.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402068

	        IF (CGTS14 <> NULL) AND (CGTS14 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS14] = CGTS:$RP.ANA.MD:rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount
        -->

<assert  id="VR.ATO.CGTS.402068" diagnostics="DVR.ATO.CGTS.402068" test="@contextRef != $RP.ANA.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402072

	        IF (CGTS26 <> NULL) AND (CGTS26 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS26] = CGTS:$RP.AA.MO:rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount
        -->

<assert  id="VR.ATO.CGTS.402072" diagnostics="DVR.ATO.CGTS.402072" test="@contextRef != $RP.AA.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402072

	        IF (CGTS24 <> NULL) AND (CGTS24 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS24] = CGTS:$RP.AA.MD:rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount
        -->

<assert  id="VR.ATO.CGTS.402072" diagnostics="DVR.ATO.CGTS.402072" test="@contextRef != $RP.AA.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402072

	        IF (CGTS25 <> NULL) AND (CGTS25 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS25] = CGTS:$RP.AA.MI:rvctc3.02.02:CapitalGainsTax.AssetsOrEvents.Amount
        -->

<assert  id="VR.ATO.CGTS.402072" diagnostics="DVR.ATO.CGTS.402072" test="@contextRef != $RP.AA.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:CapitalGainsTax.Collectables.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402069

	        IF (CGTS15 <> NULL) AND (CGTS15 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS15] = CGTS:$RP.ANA.MI:rvctc3.02.02:CapitalGainsTax.Collectables.Amount
        -->

<assert  id="VR.ATO.CGTS.402069" diagnostics="DVR.ATO.CGTS.402069" test="@contextRef != $RP.ANA.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402069

	        IF (CGTS16 <> NULL) AND (CGTS16 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS16] = CGTS:$RP.ANA.MD:rvctc3.02.02:CapitalGainsTax.Collectables.Amount
        -->

<assert  id="VR.ATO.CGTS.402069" diagnostics="DVR.ATO.CGTS.402069" test="@contextRef != $RP.ANA.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402069

	        IF (CGTS17 <> NULL) AND (CGTS17 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS17] = CGTS:$RP.ANA.MO:rvctc3.02.02:CapitalGainsTax.Collectables.Amount
        -->

<assert  id="VR.ATO.CGTS.402069" diagnostics="DVR.ATO.CGTS.402069" test="@contextRef != $RP.ANA.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:Capital.Losses.Applied.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402073

	        IF (CGTS38 <> NULL) AND (CGTS38 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS38] = CGTS:$RP.MO.TR:rvctc3.02.02:Capital.Losses.Applied.Amount
        -->

<assert  id="VR.ATO.CGTS.402073" diagnostics="DVR.ATO.CGTS.402073" test="@contextRef != $RP.MO.TR.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402073

	        IF (CGTS35 <> NULL) AND (CGTS35 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS35] = CGTS:$RP.MO.PR:rvctc3.02.02:Capital.Losses.Applied.Amount
        -->

<assert  id="VR.ATO.CGTS.402073" diagnostics="DVR.ATO.CGTS.402073" test="@contextRef != $RP.MO.PR.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402073

	        IF (CGTS36 <> NULL) AND (CGTS36 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS36] = CGTS:$RP.MI.TR:rvctc3.02.02:Capital.Losses.Applied.Amount
        -->

<assert  id="VR.ATO.CGTS.402073" diagnostics="DVR.ATO.CGTS.402073" test="@contextRef != $RP.MI.TR.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402073

	        IF (CGTS37 <> NULL) AND (CGTS37 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS37] = 	CGTS:$RP.MD.TR:rvctc3.02.02:Capital.Losses.Applied.Amount
        -->

<assert  id="VR.ATO.CGTS.402073" diagnostics="DVR.ATO.CGTS.402073" test="@contextRef != $RP.MD.TR.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402073

	        IF (CGTS32 <> NULL) AND (CGTS32 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS32] = CGTS:$RP.MO.CU:rvctc3.02.02:Capital.Losses.Applied.Amount
        -->

<assert  id="VR.ATO.CGTS.402073" diagnostics="DVR.ATO.CGTS.402073" test="@contextRef != $RP.MO.CU.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402073

	        IF (CGTS33 <> NULL) AND (CGTS33 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS33] = CGTS:$RP.MI.PR:rvctc3.02.02:Capital.Losses.Applied.Amount
        -->

<assert  id="VR.ATO.CGTS.402073" diagnostics="DVR.ATO.CGTS.402073" test="@contextRef != $RP.MI.PR.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402073

	        IF (CGTS34 <> NULL) AND (CGTS34 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS34] = CGTS:$RP.MD.PR:rvctc3.02.02:Capital.Losses.Applied.Amount
        -->

<assert  id="VR.ATO.CGTS.402073" diagnostics="DVR.ATO.CGTS.402073" test="@contextRef != $RP.MD.PR.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402073

	        IF (CGTS30 <> NULL) AND (CGTS30 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS30] = CGTS:$RP.MI.CU:rvctc3.02.02:Capital.Losses.Applied.Amount
        -->

<assert  id="VR.ATO.CGTS.402073" diagnostics="DVR.ATO.CGTS.402073" test="@contextRef != $RP.MI.CU.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402073

	        IF (CGTS31 <> NULL) AND (CGTS31 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS31] = CGTS:$RP.MD.CU:rvctc3.02.02:Capital.Losses.Applied.Amount
        -->

<assert  id="VR.ATO.CGTS.402073" diagnostics="DVR.ATO.CGTS.402073" test="@contextRef != $RP.MD.CU.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402074

	        IF (CGTS44 <> NULL) AND (CGTS44 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	       [CGTS44] = CGTS:$RP.AA.MO:rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
        -->

<assert  id="VR.ATO.CGTS.402074" diagnostics="DVR.ATO.CGTS.402074" test="@contextRef != $RP.AA.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402074

	        IF (CGTS41 <> NULL) AND (CGTS41 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS41] = CGTS:$RP.ANA.MO:rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
        -->

<assert  id="VR.ATO.CGTS.402074" diagnostics="DVR.ATO.CGTS.402074" test="@contextRef != $RP.ANA.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402074

	        IF (CGTS42 <> NULL) AND (CGTS42 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS42] = CGTS:$RP.AA.MI:rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
        -->

<assert  id="VR.ATO.CGTS.402074" diagnostics="DVR.ATO.CGTS.402074" test="@contextRef != $RP.AA.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402074

	        IF (CGTS43 <> NULL) AND (CGTS43 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS43] = CGTS:$RP.AA.MD:rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
        -->

<assert  id="VR.ATO.CGTS.402074" diagnostics="DVR.ATO.CGTS.402074" test="@contextRef != $RP.AA.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402074

	        IF (CGTS39 <> NULL) AND (CGTS39 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS39] = CGTS:$RP.ANA.MI:rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
        -->

<assert  id="VR.ATO.CGTS.402074" diagnostics="DVR.ATO.CGTS.402074" test="@contextRef != $RP.ANA.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402074

	        IF (CGTS40 <> NULL) AND (CGTS40 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS40] = CGTS:$RP.ANA.MD:rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
        -->

<assert  id="VR.ATO.CGTS.402074" diagnostics="DVR.ATO.CGTS.402074" test="@contextRef != $RP.ANA.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:CapitalGainsTax.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402075

	        IF (CGTS45 <> NULL) AND (CGTS45 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS45] = CGTS:$RP.ANA:rvctc3.02.02:CapitalGainsTax.Total.Amount
        -->

<assert  id="VR.ATO.CGTS.402075" diagnostics="DVR.ATO.CGTS.402075" test="@contextRef != $RP.ANA.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402075

	        IF (CGTS46 <> NULL) AND (CGTS46 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS46] = CGTS:$RP.AA:rvctc3.02.02:CapitalGainsTax.Total.Amount
        -->

<assert  id="VR.ATO.CGTS.402075" diagnostics="DVR.ATO.CGTS.402075" test="@contextRef != $RP.AA.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402076

	        IF (CGTS49 <> NULL) AND (CGTS49 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS49] = CGTS:$RP.MO:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
        -->

<assert  id="VR.ATO.CGTS.402076" diagnostics="DVR.ATO.CGTS.402076" test="@contextRef != $RP.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402076

	        IF (CGTS47 <> NULL) AND (CGTS47 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS47] = CGTS:$RP.MI:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
        -->

<assert  id="VR.ATO.CGTS.402076" diagnostics="DVR.ATO.CGTS.402076" test="@contextRef != $RP.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402076

	        IF (CGTS48 <> NULL) AND (CGTS48 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS48] = CGTS:$RP.MD:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
        -->

<assert  id="VR.ATO.CGTS.402076" diagnostics="DVR.ATO.CGTS.402076" test="@contextRef != $RP.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402077

	        IF (CGTS50 <> NULL) AND (CGTS50 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS50] = CGTS:$RP.MI:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
        -->

<assert  id="VR.ATO.CGTS.402077" diagnostics="DVR.ATO.CGTS.402077" test="@contextRef != $RP.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402077

	        IF (CGTS51 <> NULL) AND (CGTS51 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS51] = CGTS:$RP.MD:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount

	    -->

<assert  id="VR.ATO.CGTS.402077" diagnostics="DVR.ATO.CGTS.402077" test="@contextRef != $RP.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402077

	        IF (CGTS52 <> NULL) AND (CGTS52 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS52] = CGTS:$RP.MO:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount

        -->

<assert  id="VR.ATO.CGTS.402077" diagnostics="DVR.ATO.CGTS.402077" test="@contextRef != $RP.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402078

	        IF (CGTS55 <> NULL) AND (CGTS55 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS55] = CGTS:$RP.MO:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount
        -->

<assert  id="VR.ATO.CGTS.402078" diagnostics="DVR.ATO.CGTS.402078" test="@contextRef != $RP.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402078

	        IF (CGTS53 <> NULL) AND (CGTS53 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS53] = CGTS:$RP.MI:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount
        -->

<assert  id="VR.ATO.CGTS.402078" diagnostics="DVR.ATO.CGTS.402078" test="@contextRef != $RP.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402078

	        IF (CGTS54 <> NULL) AND (CGTS54 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS54] = CGTS:$RP.MD:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount
        -->

<assert  id="VR.ATO.CGTS.402078" diagnostics="DVR.ATO.CGTS.402078" test="@contextRef != $RP.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402079

	        IF (CGTS58 <> NULL) AND (CGTS58 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS58] = CGTS:$RP.MO:gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount
        -->

<assert  id="VR.ATO.CGTS.402079" diagnostics="DVR.ATO.CGTS.402079" test="@contextRef != $RP.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402079

	        IF (CGTS56 <> NULL) AND (CGTS56 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS56] = CGTS:$RP.MI:gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount
      -->

<assert  id="VR.ATO.CGTS.402079" diagnostics="DVR.ATO.CGTS.402079" test="@contextRef != $RP.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402079

	        IF (CGTS57 <> NULL) AND (CGTS57 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS57] = CGTS:$RP.MD:gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount
       -->

<assert  id="VR.ATO.CGTS.402079" diagnostics="DVR.ATO.CGTS.402079" test="@contextRef != $RP.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402080

	        IF (CGTS60 <> NULL) AND (CGTS60 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS60] = CGTS:$RP.MD:bafpr1.02.00:Income.CapitalGainsNet.Amount
        -->

<assert  id="VR.ATO.CGTS.402080" diagnostics="DVR.ATO.CGTS.402080" test="@contextRef != $RP.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402080

	        IF (CGTS61 <> NULL) AND (CGTS61 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS61] = CGTS:$RP.MO:bafpr1.02.00:Income.CapitalGainsNet.Amount
        -->

<assert  id="VR.ATO.CGTS.402080" diagnostics="DVR.ATO.CGTS.402080" test="@contextRef != $RP.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402080

	        IF (CGTS59 <> NULL) AND (CGTS59 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS59] = CGTS:$RP.MI:bafpr1.02.00:Income.CapitalGainsNet.Amount
        -->

<assert  id="VR.ATO.CGTS.402080" diagnostics="DVR.ATO.CGTS.402080" test="@contextRef != $RP.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402081

	        IF (CGTS86 <> NULL) AND (CGTS86 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS86] = CGTS:$RP.ANA.MI:rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
        -->

<assert  id="VR.ATO.CGTS.402081" diagnostics="DVR.ATO.CGTS.402081" test="@contextRef != $RP.ANA.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402081

	        IF (CGTS87 <> NULL) AND (CGTS87 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS87] = CGTS:$RP.ANA.MO:rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
       -->

<assert  id="VR.ATO.CGTS.402081" diagnostics="DVR.ATO.CGTS.402081" test="@contextRef != $RP.ANA.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402081

	        IF (CGTS83 <> NULL) AND (CGTS83 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS83] = CGTS:$RP.AA.MI:rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
        -->

<assert  id="VR.ATO.CGTS.402081" diagnostics="DVR.ATO.CGTS.402081" test="@contextRef != $RP.AA.MI.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402081

	        IF (CGTS84 <> NULL) AND (CGTS84 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS84] = CGTS:$RP.AA.MO:rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
        -->

<assert  id="VR.ATO.CGTS.402081" diagnostics="DVR.ATO.CGTS.402081" test="@contextRef != $RP.AA.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402081

	        IF (CGTS85 <> NULL) AND (CGTS85 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS85] = CGTS:$RP.ANA.MD:rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
        -->

<assert  id="VR.ATO.CGTS.402081" diagnostics="DVR.ATO.CGTS.402081" test="@contextRef != $RP.ANA.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402081

	        IF (CGTS82 <> NULL) AND (CGTS82 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS82] = CGTS:$RP.AA.MD:rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
        -->

<assert  id="VR.ATO.CGTS.402081" diagnostics="DVR.ATO.CGTS.402081" test="@contextRef != $RP.AA.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:CapitalGainsTax.HedgingFinancialArrangements.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402082

	        IF (CGTS88 <> NULL) AND (CGTS88 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS88] = CGTS:$RP.ANA.MD:rvctc3.02.02:CapitalGainsTax.HedgingFinancialArrangements.Amount
        -->

<assert  id="VR.ATO.CGTS.402082" diagnostics="DVR.ATO.CGTS.402082" test="@contextRef != $RP.ANA.MD.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.CGTS.402082

	        IF (CGTS89 <> NULL) AND (CGTS89 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS89] = CGTS:$RP.ANA.MO:rvctc3.02.02:CapitalGainsTax.HedgingFinancialArrangements.Amount
        -->

<assert  id="VR.ATO.CGTS.402082" diagnostics="DVR.ATO.CGTS.402082" test="@contextRef != $RP.ANA.MO.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:Capital.Losses.SharesAndUnitsInUnitTrusts.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402083

	        IF (CGTS27 <> NULL) AND (CGTS27 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS27] = CGTS:$RP:rvctc3.02.02:Capital.Losses.SharesAndUnitsInUnitTrusts.Amount
        -->

<assert  id="VR.ATO.CGTS.402083" diagnostics="DVR.ATO.CGTS.402083" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:Capital.Losses.RealEstate.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402084

	        IF (CGTS28 <> NULL) AND (CGTS28 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS28] = CGTS:$RP:rvctc3.02.02:Capital.Losses.RealEstate.Amount
        -->

<assert  id="VR.ATO.CGTS.402084" diagnostics="DVR.ATO.CGTS.402084" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:Capital.Losses.CGTAssetsOrEventsOther.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402085

	        IF (CGTS29 <> NULL) AND (CGTS29 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS29] = CGTS:$RP:rvctc3.02.02:Capital.Losses.CGTAssetsOrEventsOther.Amount
        -->

<assert  id="VR.ATO.CGTS.402085" diagnostics="DVR.ATO.CGTS.402085" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedCollectables.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402086

	        IF (CGTS62 <> NULL) AND (CGTS62 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS62] = CGTS:$RP:rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedCollectables.Amount
        -->

<assert  id="VR.ATO.CGTS.402086" diagnostics="DVR.ATO.CGTS.402086" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedOther.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402087

	        IF (CGTS63 <> NULL) AND (CGTS63 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS63] = CGTS:$RP:rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedOther.Amount
        -->

<assert  id="VR.ATO.CGTS.402087" diagnostics="DVR.ATO.CGTS.402087" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402088

	        IF (CGTS64 <> NULL) AND (CGTS64 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS64] = CGTS:$RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount
        -->

<assert  id="VR.ATO.CGTS.402088" diagnostics="DVR.ATO.CGTS.402088" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerOriginalInterestsCostBase.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402089

	        IF (CGTS67 <> NULL) AND (CGTS67 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS67] = CGTS:$RP:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerOriginalInterestsCostBase.Amount
        -->

<assert  id="VR.ATO.CGTS.402089" diagnostics="DVR.ATO.CGTS.402089" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerReplacementInterestsMarketValue.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402090

	        IF (CGTS68 <> NULL) AND (CGTS68 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS68] = CGTS:$RP:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerReplacementInterestsMarketValue.Amount
        -->

<assert  id="VR.ATO.CGTS.402090" diagnostics="DVR.ATO.CGTS.402090" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerCashAndOtherConsiderations.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402091

	        IF (CGTS69 <> NULL) AND (CGTS69 <> MONETARY(S,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS69] = CGTS:$RP:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverExchangingTaxpayerCashAndOtherConsiderations.Amount
        -->

<assert  id="VR.ATO.CGTS.402091" diagnostics="DVR.ATO.CGTS.402091" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterest.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402095

	        IF (CGTS81 <> NULL) AND (CGTS81 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS81] = CGTS:$RP:rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount
        -->

<assert  id="VR.ATO.CGTS.402095" diagnostics="DVR.ATO.CGTS.402095" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="rvctc3.02.02:Capital.Losses.HedgingFinancialArrangements.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402096

	        IF (CGTS90 <> NULL) AND (CGTS90 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS90] = CGTS:$RP:rvctc3.02.02:Capital.Losses.HedgingFinancialArrangements.Amount
        -->

<assert  id="VR.ATO.CGTS.402096" diagnostics="DVR.ATO.CGTS.402096" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="cgts.0001.lodge.request.02.00:AcquiringEntity/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402092

	        IF (CGTS78 <> NULL) AND (CGTS78 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS78] = cgts.0001.lodge.req:AcquiringEntity/CGTS:$RP:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount
        -->

<assert  id="VR.ATO.CGTS.402092" diagnostics="DVR.ATO.CGTS.402092" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="cgts.0001.lodge.request.02.00:AcquiringEntity/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesElementOfCostBase.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402093

	        IF (CGTS76 <> NULL) AND (CGTS76 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS76] = cgts.0001.lodge.req:AcquiringEntity/CGTS:$RP:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesElementOfCostBase.Amount
        -->

<assert  id="VR.ATO.CGTS.402093" diagnostics="DVR.ATO.CGTS.402093" test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		context="cgts.0001.lodge.request.02.00:AcquiringEntity/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOtherConsiderations.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
	        Rule ID: VR.ATO.CGTS.402094

	        IF (CGTS75 <> NULL) AND (CGTS75 <> MONETARY(U,11,0))
	            RETURN VALIDATION MESSAGE
	        ENDIF

	        [CGTS75] = cgts.0001.lodge.req:AcquiringEntity/CGTS:$RP:rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOtherConsiderations.Amount
        -->

<assert  id="VR.ATO.CGTS.402094" diagnostics="DVR.ATO.CGTS.402094" test="@contextRef != $RP.ContextId or regexp:test(.,'^[-+]?[0-9]{1,11}$')"></assert>
</rule>
<!-- ENUMERATIONS -->

<rule
		context="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
        Rule ID: VR.ATO.GEN.410049

        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN")
           RETURN VALIDATION MESSAGE
        ENDIF
        Note: "subject" removed intentionally to avoid duplicate element name in location path.
        TODO: Pending outcome of LEVEL A issue raised.
        -->

    <assert  id="VR.ATO.GEN.410049" diagnostics="DVR.ATO.GEN.410049" test="regexp:test(Exslt.ExsltStrings:uppercase(.),'^MN$')"></assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionAssetOrEvent.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.CGTS.402000
            
            IF ([CGTS65] <> NULLORBLANK) AND ([CGTS65] <> SET(DOMAIN(dtyp.xx.xx:sbrCGTEventOrAssetsItemType)))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS65] = CGTS:$RP:gfagc.02.01.xx.xx:TaxConcession.CapitalGains.SmallBusinessExemptionAssetOrEvent.Code
        -->

<assert  id="VR.ATO.CGTS.402000" diagnostics="DVR.ATO.CGTS.402000" test="string-length(normalize-space(.)) = 0 or @contextRef != $RP.ContextId or regexp:test(.,'^(S|U|R|G|O)$')"></assert>
</rule>
</pattern>