﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="CrossFormCGTS" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>XBRL Cross Form Validations that are applicable to CGTS.</title>

  <!-- CGTS Variables -->
  <let name="CGT.Context"
       value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0001/cgts.0001.lodge.request.02.00.report.xsd']]" />

  <let
            name="RP.CGT.Context"
            value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
  <let
          name="RP.CGT.ContextId"
          value="$RP.CGT.Context/@id" />
  <!--RP.AA.CGT Context-->
  <let
          name="RP.AA.CGT.Context"
          value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:Active$')]) = 1]
          ]" />
  <let
          name="RP.AA.CGT.ContextId"
          value="$RP.AA.CGT.Context/@id" />
  <!--RP.ANA.CGT Context-->
  <let
          name="RP.ANA.CGT.Context"
          value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:NonActive$')]) = 1]
       ]" />
  <let
          name="RP.ANA.CGT.ContextId"
          value="$RP.ANA.CGT.Context/@id" />
  <!--RP.MI.CGT Context-->
  <let
          name="RP.MI.CGT.Context"
          value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$')]) = 1]
        ]" />
  <let
          name="RP.MI.CGT.ContextId"
          value="$RP.MI.CGT.Context/@id" />
  <!--RP.MD.CGT Context-->
  <let
          name="RP.MD.CGT.Context"
          value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$')]) = 1]
       ]" />
  <let
          name="RP.MD.CGT.ContextId"
          value="$RP.MD.CGT.Context/@id" />
  <!--RP.MO.CGT Context-->
  <let
          name="RP.MO.CGT.Context"
          value="$CGT.Context/xbrli:context[
               not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$')]) = 1]
     ]" />
  <let
          name="RP.MO.CGT.ContextId"
          value="$RP.MO.CGT.Context/@id" />
  <!--RP.AA.MD.CGT Context-->
  <let
          name="RP.AA.MD.CGT.Context"
          value="$CGT.Context/xbrli:context[
         not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:Active$')]) = 1]
     ]" />
  <let
          name="RP.AA.MD.CGT.ContextId"
          value="$RP.AA.MD.CGT.Context/@id" />
  <!--RP.AA.MI.CGT Context-->
  <let
          name="RP.AA.MI.CGT.Context"
          value="$CGT.Context/xbrli:context[
           not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:Active$')]) = 1]
     ]" />
  <let
          name="RP.AA.MI.CGT.ContextId"
          value="$RP.AA.MI.CGT.Context/@id" />
  <!--RP.AA.MO.CGT Context-->
  <let
          name="RP.AA.MO.CGT.Context"
          value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:Active$')]) = 1]
    ]" />
  <let
          name="RP.AA.MO.CGT.ContextId"
          value="$RP.AA.MO.CGT.Context/@id" />
  <!--RP.ANA.MI.CGT Context-->
  <let
          name="RP.ANA.MI.CGT.Context"
          value="$CGT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Indexation$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:NonActive$')]) = 1]
    ]" />
  <let
          name="RP.ANA.MI.CGT.ContextId"
          value="$RP.ANA.MI.CGT.Context/@id" />
  <!--RP.ANA.MD.CGT Context-->
  <let
          name="RP.ANA.MD.CGT.Context"
          value="$CGT.Context/xbrli:context[
             not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Discount$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:NonActive$')]) = 1]
     ]" />
  <let
          name="RP.ANA.MD.CGT.ContextId"
          value="$RP.ANA.MD.CGT.Context/@id" />
  <!--RP.ANA.MO.CGT Context-->
  <let
          name="RP.ANA.MO.CGT.Context"
          value="$CGT.Context/xbrli:context[
               not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTMethod.\d\d\.\d\d:CGTMethodDimension$') and regexp:test(., '^CGTMethod\.\d\d\.\d\d:Other$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CGTAssetType.\d\d\.\d\d:CGTAssetTypeDimension$') and regexp:test(., '^CGTAssetType\.\d\d\.\d\d:NonActive$')]) = 1]
     ]" />
  <let
          name="RP.ANA.MO.CGT.ContextId"
          value="$RP.ANA.MO.CGT.Context/@id" />


  <rule
          context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0001/cgts.0001.lodge.request.02.00.report.xsd']]">

    <!--
            Rule Id: VR.ATO.GEN.402009
            
            IF RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009.0" subject="xbrli:context/xbrli:entity/xbrli:identifier" test="not(
                            xbrli:context[@id=$RP.CGT.ContextId]/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $RP.CTR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                            )"></assert>
    <!--
            Rule Id: VR.ATO.GEN.402010
            
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010" subject="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier" test="
                        not(                    
                            (
                                $CTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                                and
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                            and
                            (
                                pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                !=
                                $CTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                
                            )
                        )"></assert>
    <!--
            Rule Id: VR.ATO.GEN.001027
            
            IF RP:period.startDate <> PARENT RETURN:RP:period.startDate
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.001027" diagnostics="DVR.ATO.GEN.001027" subject="xbrli:context/xbrli:period/xbrli:startDate" test="
                        not(                    
                            (
                                $RP.CTR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                                !=
                                $RP.CGT.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                             )
                    
                        )"></assert>
    <!--
            Rule Id: VR.ATO.GEN.001028
            
            IF RP:period.endDate <> PARENT RETURN:RP:period.endDate
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

    <assert  id="VR.ATO.GEN.001028" diagnostics="DVR.ATO.GEN.001028" subject="xbrli:context/xbrli:period/xbrli:endDate" test="
                        not(                    
                            (
                                $RP.CTR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                                !=
                                $RP.CGT.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                             )
                    
                        )"></assert>
    <!--
            Rule Id: VR.ATO.GEN.428045
            Update Comment: CR 394
            
            IF RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> NULL
            AND RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> 
            (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails)
            WHERE (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")
            AND  (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.428045" diagnostics="DVR.ATO.GEN.428045" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text"
             test="
                    not(                    
                        count(orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                            != 0
                        and 
                            orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            !=
                            $CTR.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 
                            and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                            and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C']
                    )"></assert>

    <!--
            Rule Id: VR.ATO.CGTS.402050
            
            IF PARENT RETURN <> SET("CTR","TRT") AND ([CGTS70] <> NULL OR [CGTS71] <> NULL OR [CGTS72] <> NULLORBLANK OR [CGTS73] <> NULL OR [CGTS74] <> NULL OR [CGTS75] <> NULL OR [CGTS76] <> NULL OR [CGTS77] <> NULL OR [CGTS78] <> NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS70] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS71] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesNumberOfOriginalEntities.Count IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS72] = CGTS:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS73] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesSharesUnitsIssued.Count IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS74] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOptionsRightsIssued.Count IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS75] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesOtherConsiderations.Amount IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS76] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesElementOfCostBase.Amount IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS77] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesJointChoice.Indicator IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            [CGTS78] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntitiesCommonStakeholderInterestsCostBase.Amount IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
        
        <iso:assert name="VR.ATO.CGTS.402050" id="CMN.ATO.CGTS.402050"
                    subject="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator"
                    test="not(
                                $CTR.Context
                                    )
                        "/>

            Rule Id: VR.ATO.CGTS.402051
            
            IF PARENT RETURN = SET("CTR","TRT") AND [CGTS70] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS70] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator IN TUPLE(cgts.0001.lodge.req.xx.xx:AcquiringEntity)
            
            TODO:  Add the TRT form check in phase 3
        -->

    <assert  id="VR.ATO.CGTS.402051" diagnostics="DVR.ATO.CGTS.402051" subject="rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator" test="not(
                                $CTR.Context
                                and
                                count(cgts.0001.lodge.request.02.00:AcquiringEntity[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ScripForScripRolloverAcquiringEntities.Indicator[@contextRef = $RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                                
                            )
                        "></assert>
    <!--
            Rule Id: VR.ATO.CGTS.402056
            
            IF PARENT RETURN <> "CTR" AND [CGTS79] <> NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS79] = CGTS:RP:lrla.xx.xx:EmployerConditions.EmployeeShareScheme.Indicator
        
<iso:assert name="VR.ATO.CGTS.402056" id="CMN.ATO.CGTS.402056"
                    subject="lrla.02.05:EmployerConditions.EmployeeShareScheme.Indicator"
                    test="not(
                            not($CTR.Context) and lrla.02.05:EmployerConditions.EmployeeShareScheme.Indicator[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                           
                        )"/>

            Rule Id: VR.ATO.CGTS.402057
            
            IF PARENT RETURN = "CTR" AND [CGTS79] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS79] = CGTS:RP:lrla.xx.xx:EmployerConditions.EmployeeShareScheme.Indicator
        -->

    <assert  id="VR.ATO.CGTS.402057" diagnostics="DVR.ATO.CGTS.402057" subject="lrla.02.05:EmployerConditions.EmployeeShareScheme.Indicator" test="not(
                            $CTR.Context and count(lrla.02.05:EmployerConditions.EmployeeShareScheme.Indicator[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                           
                        )"></assert>
    <!--
            Rule ID: VR.ATO.CGTS.402059

            IF PARENT RETURN = ""CTR"" AND [CGTS80] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS80] = CGTS:RP:rvctc3.xx.xx:CapitalGainsTax.SameMajorityUnderlyingOwnershipPreCGTAssets.Indicator
        -->

    <assert  id="VR.ATO.CGTS.402059" diagnostics="DVR.ATO.CGTS.402059" subject="rvctc3.02.02:CapitalGainsTax.SameMajorityUnderlyingOwnershipPreCGTAssets.Indicator" test="not(
                            $CTR.Context and count(
                            rvctc3.02.02:CapitalGainsTax.SameMajorityUnderlyingOwnershipPreCGTAssets.Indicator
                            [@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )"></assert>
    <!--
            Rule Id: VR.ATO.CGTS.402060
            
            IF [CTR90] = TRUE AND ([CGTS86] = NULL AND [CGTS85] = NULL AND [CGTS87] = NULL AND [CGTS83] = NULL AND [CGTS82] = NULL AND [CGTS84] = NULL AND [CGTS81] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR90] = PARENT RETURN:RP:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
            [CGTS86] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS85] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS87] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS83] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS82] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS84] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS81] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount
        -->

    <assert  id="VR.ATO.CGTS.402060" diagnostics="DVR.ATO.CGTS.402060" subject="rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount" test="not(
                                $CTR.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and (.='true' or .='1')]
                                and
                                count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                                and
                                count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                                and
                                count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                                and
                                count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                                and
                                count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                                and
                                count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                                and
                                count(rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                              
                            
                            )
                        "></assert>
    <!--
            Rule Id: VR.ATO.CGTS.402061
            
            IF ([CGTS86] <> NULL OR [CGTS85] <> NULL OR [CGTS87] <> NULL OR [CGTS83] <> NULL OR [CGTS82] <> NULL OR [CGTS84] <> NULL OR [CGTS81] <> NULL) AND [CTR90] <> TRUE
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS86] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS85] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS87] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS83] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS82] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS84] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS81] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount
            [CTR90] = PARENT RETURN:RP:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
        -->

    <assert  id="VR.ATO.CGTS.402061" diagnostics="DVR.ATO.CGTS.402061" subject="rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount" test="not(
                                (count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) != 0
                                or
                                count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) != 0
                                or
                                count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) != 0
                                or
                                count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) != 0
                                or
                                count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) != 0
                                or
                                count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) != 0
                                or
                                count(rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) != 0)
                                and
                                count($CTR.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and (. = 'true' or . = '1')]) = 0
                             
                            
                            )
                        "></assert>
    <!--
            Rule Id: VR.ATO.CGTS.402030
            
            IF PARENT RETURN = "CTR" AND ([CTR49] = "63100" OR [CTR52] = "088") AND [CGTS46] <> (([CGTS43]/3) +/- 1) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR49] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR52] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [CGTS46] = CGTS:RP.AA:rvctc3.xx.xx:CapitalGainsTax.Total.Amount
            [CGTS43] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
        -->

    <assert  id="VR.ATO.CGTS.402030" diagnostics="DVR.ATO.CGTS.402030" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not(
                                $CTR.Context
                                and
                                (
                                    $CTR.Context/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] = '63100'
                                    or 
                                    $CTR.Context/pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] = '088'
                                )
                                and
                                 math:abs(
                                           sum(common:node-set(rvctc3.02.02:CapitalGainsTax.Total.Amount[@contextRef=$RP.AA.CGT.ContextId and not(@i:nil='true' or @i:nil='1')] ))
                                            -
                                            (
                                                sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                                div 3
                                            )
                                        ) &gt; 1                     
                            
                            )
                        "></assert>
    <!--
            Rule Id: VR.ATO.CGTS.402031
            
            IF ((PARENT RETURN = "CTR" AND [CTR49] = "63100") OR PARENT RETURN = SET("FITR","TRT","SMSFAR")) AND [CGTS48] > ((([CGTS43] - [CGTS46])*0.5) + 1) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR49] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CGTS48] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
            [CGTS43] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS46] = CGTS:RP.AA:rvctc3.xx.xx:CapitalGainsTax.Total.Amount
            
            TODO:  implement the other form rules 
        -->

    <assert  id="VR.ATO.CGTS.402031" diagnostics="DVR.ATO.CGTS.402031" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not(
                                (
                                    $CTR.Context
                                    and
                                    $CTR.Context/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] = '63100'
                                 )
                                and
                                number(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef=$RP.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                                * 10
                                &gt;   
                                (
                                    round(
                                            (
                                                sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                                - 
                                                sum(common:node-set(rvctc3.02.02:CapitalGainsTax.Total.Amount[@contextRef=$RP.AA.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                            )
                                                * 0.5 * 10 
                                         )
                                        + 1 * 10
                                ) 
                            )
                        "></assert>
    <!--
            Rule Id: VR.ATO.CGTS.402022
            
            IF PARENT RETURN = "CTR" AND ([CTR49] = "63100" OR [CTR52] = "088") AND [CGTS45] <> (([CGTS40]/3) +/- 1) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR49] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR52] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [CGTS45] = CGTS:RP.ANA:rvctc3.xx.xx:CapitalGainsTax.Total.Amount
            [CGTS40] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
        -->

    <assert  id="VR.ATO.CGTS.402022" diagnostics="DVR.ATO.CGTS.402022" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not(
                                $CTR.Context
                                and
                                (
                                    $CTR.Context/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] = '63100'
                                    or 
                                    $CTR.Context/pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] = '088'
                                )
                                and
                                 math:abs(
                                           sum(common:node-set(rvctc3.02.02:CapitalGainsTax.Total.Amount[@contextRef=$RP.ANA.CGT.ContextId and not(@i:nil='true' or @i:nil='1')] ))
                                            -
                                            (
                                                round(sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef=$RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                                div 3 )
                                            )
                                        ) &gt; 1                   
                            
                            )
                        "></assert>
    <!--
            Rule Id: VR.ATO.CGTS.402020
            
            IF PARENT RETURN = "CTR" AND [CTR53] <> "1" AND [CGTS63] > 0 AND ([CGTS39] + [CGTS42] + [CGTS40] + [CGTS43] + [CGTS41] + [CGTS44]) > 0 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR53] = CTR:RP:pyde.xx.xx:OrganisationDetails.TaxConsolidationStatus.Code
            [CGTS63] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedOther.Amount
            [CGTS39] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS42] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS40] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS43] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS41] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
            [CGTS44] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.AfterApplyingCapitalLosses.Amount
        -->

    <assert  id="VR.ATO.CGTS.402020" diagnostics="DVR.ATO.CGTS.402020" subject="rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount" test="not(
                                $CTR.Context
                                and
                                    (
                                        $CTR.Context/pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] != '1'
                                    )
                                and
                                    number(rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedOther.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                and
                                    sum(common:node-set(rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                        |rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                        |rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef=$RP.AA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                        |rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef=$RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                        |rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                        |rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef=$RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                        |rvctc3.02.02:CapitalGainsTax.AfterApplyingCapitalLosses.Amount[@contextRef=$RP.AA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    )) &gt; 0 
                            )
                        "></assert>
    <!--
            Rule Id: VR.ATO.CGTS.402012
            
            IF PARENT RETURN = "CTR" AND [CTR53] <> "1" AND [CGTS62] > 0 AND ([CGTS15] > 0 OR [CGTS16] > 0 OR [CGTS17] > 0) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR53] = CTR:RP:pyde.xx.xx:OrganisationDetails.TaxConsolidationStatus.Code
            [CGTS62] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedCollectables.Amount
            [CGTS15] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.Collectables.Amount
            [CGTS16] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.Collectables.Amount
            [CGTS17] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.Collectables.Amount
        -->

    <assert  id="VR.ATO.CGTS.402012" diagnostics="DVR.ATO.CGTS.402012" subject="rvctc3.02.02:CapitalGainsTax.Collectables.Amount" test="not(
                                $CTR.Context
                                and
                                    (
                                        $CTR.Context/pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] != '1'
                                    )
                                and
                                    number(rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedCollectables.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                and
                                    (
                                        number(rvctc3.02.02:CapitalGainsTax.Collectables.Amount[@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0 
                                        or
                                        number(rvctc3.02.02:CapitalGainsTax.Collectables.Amount[@contextRef=$RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0 
                                        or
                                        number(rvctc3.02.02:CapitalGainsTax.Collectables.Amount[@contextRef=$RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0 
                                    )
                            )
                        "></assert>
    <!--
            Rule Id: VR.ATO.CGTS.402035
            
            IF PARENT RETURN = "CTR" AND [CTR49] <> SET("63100","62400") AND [CTR52] <> "088" AND ([CGTS45] > 0 OR [CGTS46] > 0) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR49] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR52] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [CGTS45] = CGTS:RP.ANA:rvctc3.xx.xx:CapitalGainsTax.Total.Amount
            [CGTS46] = CGTS:RP.AA:rvctc3.xx.xx:CapitalGainsTax.Total.Amount
        -->

    <assert  id="VR.ATO.CGTS.402035" diagnostics="DVR.ATO.CGTS.402035" subject="rvctc3.02.02:CapitalGainsTax.Total.Amount" test="not(
                                $CTR.Context
                                and
                                    (
                                        $CTR.Context/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and (. != '63100' and . != '62400')] 
                                     )
                                and
                                        $CTR.Context/pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] != '088'
                                and
                                    (
                                        number(rvctc3.02.02:CapitalGainsTax.Total.Amount[@contextRef=$RP.ANA.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0 
                                        or
                                        number(rvctc3.02.02:CapitalGainsTax.Total.Amount[@contextRef=$RP.AA.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0 
                                    )
                            )
                        "></assert>
    <!--
            Rule Id: VR.ATO.CGTS.402038
            
            IF PARENT RETURN = "CTR" AND [CTR49] <> SET("63100", "62400") AND [CTR52] <> "088" AND ([CGTS48] <> NULL OR [CGTS51] <> NULL OR [CGTS54] <> NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR49] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR52] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [CGTS48] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
            [CGTS51] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
            [CGTS54] = CGTS:RP.MD:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRollover.Amount
        -->

    <assert  id="VR.ATO.CGTS.402038" diagnostics="DVR.ATO.CGTS.402038" subject="gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount" test="not(
                                $CTR.Context
                                and
                                    (
                                        $CTR.Context/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and (. != '63100' and . != '62400')] 
                                     )
                                and
                                        $CTR.Context/pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] != '088'
                                and
                                    (
                                       count(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef=$RP.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])  != 0 
                                       or
                                       count(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef=$RP.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])  != 0 
                                       or
                                       count(gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef=$RP.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])  != 0 
                                    )
                            )
                        "></assert>
    <!--
            Rule Id: VR.ATO.CGTS.402042
            
            IF PARENT RETURN = "CTR" AND [CTR53] <> "1" AND [CGTS63] > 0 AND ([CGTS59] + [CGTS60] + [CGTS61]) > 0 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR53] = CTR:RP:pyde.xx.xx:OrganisationDetails.TaxConsolidationStatus.Code
            [CGTS63] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedOther.Amount
            [CGTS59] = CGTS:RP.MI:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CGTS60] = CGTS:RP.MD:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CGTS61] = CGTS:RP.MO:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
        -->

    <assert  id="VR.ATO.CGTS.402042" diagnostics="DVR.ATO.CGTS.402042" subject="bafpr1.02.00:Income.CapitalGainsNet.Amount" test="not(
                                $CTR.Context
                                and
                                    (
                                        $CTR.Context/pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')] != '1'
                                    )
                                and
                                    number(rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedOther.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                and
                                    sum(common:node-set(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                        |bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                        |bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    )) &gt; 0 
                            )
                        "></assert>
  </rule>
</pattern>