﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="CrossFormRAD" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable across RAD</title>

     <rule context="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/rds/rds_0001/rds.0001.lodge.request.02.00.report.xsd']]">


            <!--
            Rule Id: VR.ATO.GEN.402009
            
            IF RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009" test="not(
                            xbrli:context[@id=$RP.RAD.ContextId]/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $CTR.Context/xbrli:context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                            )"></assert>

        <!--
            Rule Id: VR.ATO.GEN.428045
            Update Comment: CR 394
            
            IF RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> NULL
            AND RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> 
            (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails)
            WHERE (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")
            AND  (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.428045" diagnostics="DVR.ATO.GEN.428045" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text"
                 test="
                     not
                     (                    
                        count(orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.RAD.ContextId and not(@i:nil='true' or @i:nil='1')])
                            != 0
                        and 
                            orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.RAD.ContextId and not(@i:nil='true' or @i:nil='1')]
                            !=
                            $CTR.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 
                            and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                            and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C']
                     )"></assert>
        
        <!--
            Rule Id: VR.ATO.GEN.402010
            
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010" subject="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier" test="
                        not(                    
                             (
                                    $CTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                                    and
                                    pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.RAD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                )
                                and
                                (
                                    pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.RAD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                    !=
                                    $CTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                                   
                                )
                        )"></assert>
        <!--
        Rule ID: VR.ATO.RDS.422012
        
        IF ([CTR53] <> 2 AND ([CTR97] <> [RDS3] OR [CTR105] <> [RDS54] OR [CTR107] <> [RDS81] OR [CTR119] <> [RDS112] OR [CTR210] <> [RDS113] OR [CTR106] <> [RDS55] OR [CTR109] <> [RDS100]))
        RETURN VALIDATION MESSAGE
ENDIF 

[CTR53] = CTR:RP:pyde.xx.xx:OrganisationDetails.TaxConsolidationStatus.Code
[CTR97] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount
[RDS3] = RDS:RP:bafpr3.xx.xx:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount
[CTR105] = CTR:RP.CTAUST:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount
[RDS54] = RDS:RP.CTAUSTC:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount
[CTR107] = CTR:RP.CTAUST:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount
[RDS81] = RDS:RP.CTAUST:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount
[CTR119] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount
[RDS112] = RDS:RP:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.TaxOffsetEligible.Amount
[CTR210] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount
[RDS113] = RDS:RP:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.CalculatedTaxOffset.Amount
[CTR106] = CTR:RP.CTFGN:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount
[RDS55] = RDS:RP.CTFGN:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount
[CTR109] = CTR:RP.CTFGN:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount
[RDS100] = RDS:RP.CTFGN:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount
        -->

        <assert  id="VR.ATO.RDS.422012" diagnostics="DVR.ATO.RDS.422012" subject="pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code" test="
         not(   
         (
         $CTR.Context/pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] != 2
         )
         and
        (
                sum(common:node-set($CTR.Context/gfagc.02.00:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            !=
                            sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount[@contextRef=$RP.RAD.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            or
                            sum(common:node-set($CTR.Context/gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef=$RP.CTAUST.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            !=
                            sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef=$RP.CTAUSTC.RAD.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            or
                            sum(common:node-set($CTR.Context/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount[@contextRef=$RP.CTAUST.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            !=
                            sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount[@contextRef=$RP.CTAUST.RAD.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            or
                            sum(common:node-set($CTR.Context/gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            !=
                            sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef=$RP.RAD.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            or
                            sum(common:node-set($CTR.Context/gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            !=
                            sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount[@contextRef=$RP.RAD.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            or
                            sum(common:node-set($CTR.Context/gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef=$RP.CTFGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            !=
                            sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef=$RP.CTFGN.RAD.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            or
                            sum(common:node-set($CTR.Context/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount[@contextRef=$RP.CTFGN.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            !=
                            sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount[@contextRef=$RP.CTFGN.RAD.ContextId and not(@i:nil='true' or @i:nil='1')]))

        )
        )"></assert>
    </rule>
</pattern>