﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="EnumerationPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Enumeration Pattern Validations that are applicable accross all of the CTR services.</title>

    <rule
                  context="ctr.0002.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation[not(@i:nil='true' or @i:nil='1')]">

        <!--
          Rule Id: VR.ATO.CTR.428073
          
          IF ([CTR166] <> NULL) AND ([CTR166] <> SET (1-999999))
            RETURN VALIDATION MESSAGE
          ENDIF  
          
          [CTR166] = CTR:RP:gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number
          IN TUPLE(ctr.0002.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)   
        -->
        <assert  id="VR.ATO.CTR.428073" diagnostics="DVR.ATO.CTR.428073"
                 test="not(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and
                          not(. &gt; 0 and
                          . &lt; 1000000)]
                        )"/>


        <!--
          Rule Id: VR.ATO.CTR.428074
          
            IF ([CTR167] <> NULL) AND ([CTR167] <> SET("1998","1999","2000","2001","2002","2003","2004","2005","2006","2007","2008","2009","2010","2011"))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR167] = CTR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year IN TUPLE(ctr.0002.lodge.req.xx.xx:ForestryManagedInvestmentScheme)
        -->
        <assert id="VR.ATO.CTR.428074" diagnostics="DVR.ATO.CTR.428074"
                 test="not(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and
                        not(regexp:test(.,'^(1998|1999|2000|2001|2002|2003|2004|2005|2006|2007|2008|2009|2010|2011)$'))]
                       )"/>
    </rule>

    <rule
            context="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

        <!--
        Rule ID:  VR.ATO.GEN.000434
       
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND 
          (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")
            RETURN VALIDATION MESSAGE
        ENDIF
      -->

        <assert  id="VR.ATO.GEN.000434" diagnostics="DVR.ATO.GEN.000434" test="not(regexp:test(.,'^(.*) - (.*)$'))"/>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.410203" diagnostics="DVR.ATO.GEN.410203" test="
                not(
                  regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or
                  regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$'))"/>
        <!--  
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.410204" diagnostics="DVR.ATO.GEN.410204" test="
                not(
                  regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$') or
                  regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$'))"/>
        <!-- 
        Rule ID:  VR.ATO.GEN.428249
        
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND SET(DOMAIN(SUFFIX CODES)))
           RETURN VALIDATION MESSAGE
        ENDIF      
      -->

        <assert  id="VR.ATO.GEN.428249" diagnostics="DVR.ATO.GEN.428249" test="
                    not(
                      regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$') or
                      regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$') or
                      regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$') or
                      regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$'))"/>
    </rule>

    <rule
            context="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.410208" diagnostics="DVR.ATO.GEN.410208" test="
                not(
                  regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or 
                  regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$'))"/>
        <!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.410209" diagnostics="DVR.ATO.GEN.410209" test="
                not(
                  regexp:test(.,'^(?i)(MR |MRS |MISS |MS )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( MR | MRS | MISS | MS )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( MR| MRS| MISS| MS)$') or
                  regexp:test(.,'^(?i)(MR|MRS|MISS|MS)$'))"/>
        <!--
      Rule ID: VR.ATO.GEN.410207
      
      IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
      RETURN VALIDATION MESSAGE
      ENDIF
      -->

        <assert  id="VR.ATO.GEN.410207" diagnostics="DVR.ATO.GEN.410207" test="not(regexp:test(.,'^(.*)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)(.*)$'))"/>
        <!--
        Rule ID:  VR.ATO.GEN.000446
        
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND 
          (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS  " - ")
            RETURN VALIDATION MESSAGE
        ENDIF
      -->

        <assert  id="VR.ATO.GEN.000446" diagnostics="DVR.ATO.GEN.000446" test="not(@i:nil='true' or @i:nil='1') and 
                    string-length(normalize-space(.)) != 0 and 
                    not(regexp:test(.,'^(.*) - (.*)$'))"/>
        <!-- 
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND 
          (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))
          RETURN VALIDATION MESSSAGE
        ENDIF
      -->

        <assert  id="VR.ATO.GEN.410131" diagnostics="DVR.ATO.GEN.410131" test="string-length(normalize-space(.)) = 0 or regexp:test(.,'^(.*)[a-zA-Z](.*)$')"/>
    </rule>

    <rule
            context="pyde.02.00:PersonNameDetails.NameSuffix.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule Id: VR.ATO.GEN.000458
      
      IF (pyde.02.00:PersonNameDetails.NameSuffix.Text <> NULLORBLANK) AND 
        (pyde.02.00:PersonNameDetails.NameSuffix.Text <> SET(DOMAIN(SUFFIX CODES)))
          RETURN VALIDATION MESSAGE
      ENDIF
    -->
        <let
                    name="ucName"
                    value="exslt:uppercase(.)" />


        <assert  id="VR.ATO.GEN.000458" diagnostics="DVR.ATO.GEN.000458" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  $ucName = 'ESQ' or
                  $ucName = 'II' or 
                  $ucName = 'III' or 
                  $ucName = 'IV' or 
                  $ucName = 'JNR' or 
                  $ucName = 'JP' or 
                  $ucName = 'MHA' or 
                  $ucName = 'MHR' or 
                  $ucName = 'MLA' or 
                  $ucName = 'MLC' or 
                  $ucName = 'MP' or
                  $ucName = 'QC' or
                  $ucName = 'SNR'"/>
    </rule>

    <rule
            context="pyde.02.00:PersonNameDetails.Title.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule Id: VR.ATO.GEN.000459
      
      IF (pyde.02.00:PersonNameDetails.Title.Text <> NULLORBLANK) AND 
        (pyde.02.00:PersonNameDetails.Title.Text <> SET(DOMAIN(TITLE CODES)))
          RETURN VALIDATION MESSAGE
      ENDIF  
   -->
        <let
                    name="ucName"
                    value="exslt:uppercase(.)" />


        <assert  id="VR.ATO.GEN.000459" diagnostics="DVR.ATO.GEN.000459" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  $ucName = '2LT' or
                  $ucName = 'AB' or
                  $ucName = 'ABBOT' or
                  $ucName = 'AC' or
                  $ucName = 'ACM' or
                  $ucName = 'ACW' or
                  $ucName = 'ADM' or
                  $ucName = 'AIR CDRE' or
                  $ucName = 'ALDERMAN' or
                  $ucName = 'AM' or
                  $ucName = 'AMBSR' or
                  $ucName = 'ARCHBISHOP' or
                  $ucName = 'ARCHDEACON' or
                  $ucName = 'ASSOC PROF' or
                  $ucName = 'AVM' or
                  $ucName = 'BARON' or
                  $ucName = 'BARONESS' or
                  $ucName = 'BDR' or
                  $ucName = 'BISHOP' or
                  $ucName = 'BR' or
                  $ucName = 'BRIG' or
                  $ucName = 'CANON' or
                  $ucName = 'CAPT' or
                  $ucName = 'CARDINAL' or
                  $ucName = 'CDRE' or
                  $ucName = 'CDT' or
                  $ucName = 'CHAP' or
                  $ucName = 'CMDR' or
                  $ucName = 'CMM' or
                  $ucName = 'COL' or
                  $ucName = 'CONST' or
                  $ucName = 'CONSUL' or
                  $ucName = 'COUNT' or
                  $ucName = 'COUNTESS' or
                  $ucName = 'CPL' or
                  $ucName = 'CPO' or
                  $ucName = 'DAME' or
                  $ucName = 'DEACON' or
                  $ucName = 'DEACONESS' or
                  $ucName = 'DEAN' or
                  $ucName = 'DEPUTY SUPT' or
                  $ucName = 'DIRECTOR' or
                  $ucName = 'DR' or
                  $ucName = 'DUCHESS' or
                  $ucName = 'DUKE' or
                  $ucName = 'EARL' or
                  $ucName = 'EF' or
                  $ucName = 'ENGR' or
                  $ucName = 'FLGOFF' or
                  $ucName = 'FLT LT' or
                  $ucName = 'FR' or
                  $ucName = 'FSGT' or
                  $ucName = 'GEN' or
                  $ucName = 'GNR' or
                  $ucName = 'GOV' or
                  $ucName = 'GP CAPT' or
                  $ucName = 'HON' or
                  $ucName = 'HON JUDGE' or
                  $ucName = 'HON JUST' or
                  $ucName = 'HRH' or
                  $ucName = 'INSP' or
                  $ucName = 'JUDGE' or
                  $ucName = 'JUST' or
                  $ucName = 'LAC' or
                  $ucName = 'LACW' or
                  $ucName = 'LADY' or
                  $ucName = 'LBDR' or
                  $ucName = 'LCPL' or
                  $ucName = 'LEUT' or
                  $ucName = 'LORD' or
                  $ucName = 'LS' or
                  $ucName = 'LT' or
                  $ucName = 'LT CMDR' or
                  $ucName = 'LT COL' or
                  $ucName = 'LT GEN' or
                  $ucName = 'LTGOV' or
                  $ucName = 'MADAM' or
                  $ucName = 'MADAME' or
                  $ucName = 'MAJ' or
                  $ucName = 'MAJ GEN' or
                  $ucName = 'MASTER' or
                  $ucName = 'MATRON' or
                  $ucName = 'MAYOR' or
                  $ucName = 'MAYORESS' or
                  $ucName = 'MGR' or
                  $ucName = 'MIDN' or
                  $ucName = 'MISS' or
                  $ucName = 'MON' or
                  $ucName = 'MOST REV' or
                  $ucName = 'MR' or
                  $ucName = 'MRS' or
                  $ucName = 'MS' or
                  $ucName = 'NURSE' or
                  $ucName = 'OCDT' or
                  $ucName = 'PASTOR' or
                  $ucName = 'PATRIARCH' or
                  $ucName = 'PLT OFF' or
                  $ucName = 'PO' or
                  $ucName = 'PRIOR' or
                  $ucName = 'PROF' or
                  $ucName = 'PTE' or
                  $ucName = 'RABBI' or
                  $ucName = 'RADM' or
                  $ucName = 'RECTOR' or
                  $ucName = 'REG SGT MJR' or
                  $ucName = 'REV' or
                  $ucName = 'RF' or
                  $ucName = 'RT HON' or
                  $ucName = 'RT REV' or
                  $ucName = 'RT REV BISHOP' or
                  $ucName = 'RT REV MON' or
                  $ucName = 'SBLT' or
                  $ucName = 'SCDT' or
                  $ucName = 'SEN' or
                  $ucName = 'SGT' or
                  $ucName = 'SIR' or
                  $ucName = 'SISTER SUP' or
                  $ucName = 'SM' or
                  $ucName = 'SMN' or
                  $ucName = 'SNR' or
                  $ucName = 'SNR CONST' or
                  $ucName = 'SQN LDR' or
                  $ucName = 'SR' or
                  $ucName = 'SSGT' or
                  $ucName = 'SUPR' or
                  $ucName = 'SWAMI' or
                  $ucName = 'TF' or
                  $ucName = 'VADM' or
                  $ucName = 'VCE CMNDR' or
                  $ucName = 'VERY REV' or
                  $ucName = 'VICAR' or
                  $ucName = 'VISCOUNT' or
                  $ucName = 'WG CDR' or
                  $ucName = 'WO' or
                  $ucName = 'WO1' or
                  $ucName = 'WO2' or
                  $ucName = 'WOFF'"/>
    </rule>

    <rule
            context="pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule Id: VR.ATO.GEN.300009
      
      IF((pyde.02.05:PersonUnstructuredName.Usage.Code) <> NULLORBLANK) AND
          ((pyde.02.05:PersonUnstructuredName.Usage.Code) <> "Contact")
            RETURN VALIDATION MESSAGE
      ENDIF
   -->

        <assert  id="VR.ATO.GEN.300009" diagnostics="DVR.ATO.GEN.300009" test="@i:nil='true' or @i:nil='1' or  string-length(normalize-space(.)) = 0 or
                  exslt:uppercase(.) = 'CONTACT'"/>
    </rule>

    <rule
            context="rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
      IF ([CTR55] <> NULL) AND 
        ([CTR55] <> SET("1995","1996","1997","1998","1999","2000","2001","2002","2003","2004","2005","2006","2007","2008","2009","2010"))
          RETURN VALIDATION MESSAGE
      ENDIF
      [CTR55] = CTR:RP:rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year
    -->

        <assert  id="VR.ATO.CTR.428036" diagnostics="DVR.ATO.CTR.428036" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or 
                  . = '1995' or 
                  . = '1996' or
                  . = '1997' or
                  . = '1998' or
                  . = '1999' or
                  . = '2000' or
                  . = '2001' or
                  . = '2002' or
                  . = '2003' or
                  . = '2004' or
                  . = '2005' or
                  . = '2006' or
                  . = '2007' or
                  . = '2008' or
                  . = '2009' or
                  . = '2010' or
                  . = '2011'"/>
    </rule>

    <rule
            context="gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsIncludesFuel.Indicator[not(@i:nil='true' or @i:nil='1')]">

        <!--
          Rule ID: VR.ATO.CTR.428053
          
          IF ([CTR69] <> NULL) OR ([CTR69] <> TRUE)
            RETURN VALIDATION MESSAGE
          ENDIF
          
          [CTR69] = CTR:RP:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsIncludesFuel.Indicator
        -->

        <assert  id="VR.ATO.CTR.428053" diagnostics="DVR.ATO.CTR.428053" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or
                        (exslt:uppercase(.) = 'TRUE' or . = 1)"/>
    </rule>

    <rule
            context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.Group.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
          Rule Id: VR.ATO.CTR.428065	
          IF ([CTR108] <> NULLORBLANK) AND ([CTR108] <> "G")
            RETURN VALIDATION MESSAGE
          ENDIF
          
          [CTR108] = CTR:RP.CTAUST:gfagc.02.01:TaxConcession.ResearchAndDevelopment.Group.Code
        -->

        <assert  id="VR.ATO.CTR.428065" diagnostics="DVR.ATO.CTR.428065" test="@contextRef != $RP.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or 
                      exslt:uppercase(.) = 'G'"/>
        <!--
          Rule Id: VR.ATO.CTR.428066

          IF ([CTR110] <> NULLORBLANK) AND ([CTR110] <> "G")
            RETURN VALIDATION MESSAGE
          ENDIF
          [CTR110] = CTR:RP.CTFGN:gfagc.02.01:TaxConcession.ResearchAndDevelopment.Group.Code
        -->

        <assert  id="VR.ATO.CTR.428066" diagnostics="DVR.ATO.CTR.428066" test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or 
                          exslt:uppercase(.) = 'G'"/>
    </rule>

    <rule
            context="bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
          Rule Id: VR.ATO.CTR.428067
          
          IF ([CTR126] <> NULLORBLANK) AND ([CTR126] <> SET("C","M","R"))
            RETURN VALIDATION MESSAGE
          ENDIF
          
          [CTR126] = CTR:RPI.Closing:bafpo7.02.02:Assets.Inventories.ValuationMethod.Code
        -->

        <assert  id="VR.ATO.CTR.428067" diagnostics="DVR.ATO.CTR.428067" test="@contextRef != $RPI.Closing.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                      exslt:uppercase(.) = 'C' or
                      exslt:uppercase(.) = 'M' or 
                      exslt:uppercase(.) = 'R'"/>
    </rule>

    <rule
            context="gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule Id: VR.ATO.CTR.428072
          
            IF ([CTR165] <> NULLORBLANK) AND ([CTR165] <> SET("PR","AN"))
            RETURN VALIDATION MESSAGE
            ENDIF^^
            [CTR165] = CTR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code
            IN TUPLE(ctr.0002.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
        -->
        <assert  id="VR.ATO.CTR.428072" diagnostics="DVR.ATO.CTR.428072"
                 test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                       exslt:uppercase(.) = 'PR' or 
                       exslt:uppercase(.) = 'AN'"/>

    </rule>



    <rule
            context="gfati.02.00:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
          Rule Id: VR.ATO.CTR.428075
          IF ([CTR173] <> NULLORBLANK) AND ([CTR173] <> SET("C", "P", "T"))
            RETURN VALIDATION MESSAGE
          ENDIF
          
          [CTR173] = CTR:RP:gfati.02.00:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code IN TUPLE(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset)
  	    -->

        <assert  id="VR.ATO.CTR.428075" diagnostics="DVR.ATO.CTR.428075" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or         
                          string-length(normalize-space(.)) = 0 or                        
                          exslt:uppercase(.) = 'C' or
                          exslt:uppercase(.) = 'P' or
                          exslt:uppercase(.) = 'T'"/>
    </rule>

    <rule
            context="bafot.02.05:Miscellaneous.FunctionalCurrency.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
          IF [CTR244] <> NULL AND ([CTR244] <> SET(DOMAIN(Foreign currency codes)) 
            OR [CTR244] = "AUD")
          RETURN VALIDATION MESSAGE
          ENDIF
          [CTR244] = CTR:RP:bafot.02.05:Miscellaneous.FunctionalCurrency.Code          
        -->
        <let
                    name="ucValue"
                    value="exslt:uppercase(.)" />


        <assert  id="VR.ATO.CTR.428081" diagnostics="DVR.ATO.CTR.428081" test="not(.) or
                    @contextRef != $RP.ContextId or
                  $ucValue = 'AED' or
                  $ucValue = 'AFN' or
                  $ucValue = 'ALL' or
                  $ucValue = 'AMD' or
                  $ucValue = 'ANG' or
                  $ucValue = 'AOA' or
                  $ucValue = 'ARS' or
                  $ucValue = 'AWG' or
                  $ucValue = 'AZN' or
                  $ucValue = 'BAM' or
                  $ucValue = 'BBD' or
                  $ucValue = 'BDT' or
                  $ucValue = 'BGN' or
                  $ucValue = 'BHD' or
                  $ucValue = 'BIF' or
                  $ucValue = 'BMD' or
                  $ucValue = 'BND' or
                  $ucValue = 'BOB' or
                  $ucValue = 'BOV' or
                  $ucValue = 'BRL' or
                  $ucValue = 'BSD' or
                  $ucValue = 'BTN' or
                  $ucValue = 'BWP' or
                  $ucValue = 'BYR' or
                  $ucValue = 'BZD' or
                  $ucValue = 'CAD' or
                  $ucValue = 'CDF' or
                  $ucValue = 'CHE' or
                  $ucValue = 'CHF' or
                  $ucValue = 'CHW' or
                  $ucValue = 'CLF' or
                  $ucValue = 'CLP' or
                  $ucValue = 'CNY' or
                  $ucValue = 'COP' or
                  $ucValue = 'COU' or
                  $ucValue = 'CRC' or
                  $ucValue = 'CUP' or
                  $ucValue = 'CVE' or
                  $ucValue = 'CZK' or
                  $ucValue = 'DJF' or
                  $ucValue = 'DKK' or
                  $ucValue = 'DOP' or
                  $ucValue = 'DZD' or
                  $ucValue = 'EEK' or
                  $ucValue = 'EGP' or
                  $ucValue = 'ERN' or
                  $ucValue = 'ETB' or
                  $ucValue = 'EUR' or
                  $ucValue = 'FJD' or
                  $ucValue = 'FKP' or
                  $ucValue = 'GBP' or
                  $ucValue = 'GEL' or
                  $ucValue = 'GHS' or
                  $ucValue = 'GIP' or
                  $ucValue = 'GMD' or
                  $ucValue = 'GNF' or
                  $ucValue = 'GTQ' or
                  $ucValue = 'GWP' or
                  $ucValue = 'GYD' or
                  $ucValue = 'HKD' or
                  $ucValue = 'HNL' or
                  $ucValue = 'HRK' or
                  $ucValue = 'HTG' or
                  $ucValue = 'HUF' or
                  $ucValue = 'IDR' or
                  $ucValue = 'ILS' or
                  $ucValue = 'INR' or
                  $ucValue = 'IQD' or
                  $ucValue = 'IRR' or
                  $ucValue = 'ISK' or
                  $ucValue = 'JMD' or
                  $ucValue = 'JOD' or
                  $ucValue = 'JPY' or
                  $ucValue = 'KES' or
                  $ucValue = 'KGS' or
                  $ucValue = 'KHR' or
                  $ucValue = 'KMF' or
                  $ucValue = 'KPW' or
                  $ucValue = 'KRW' or
                  $ucValue = 'KWD' or
                  $ucValue = 'KYD' or
                  $ucValue = 'KZT' or
                  $ucValue = 'LAK' or
                  $ucValue = 'LBP' or
                  $ucValue = 'LKR' or
                  $ucValue = 'LRD' or
                  $ucValue = 'LSL' or
                  $ucValue = 'LTL' or
                  $ucValue = 'LVL' or
                  $ucValue = 'LYD' or
                  $ucValue = 'MAD' or
                  $ucValue = 'MDL' or
                  $ucValue = 'MGA' or
                  $ucValue = 'MKD' or
                  $ucValue = 'MMK' or
                  $ucValue = 'MNT' or
                  $ucValue = 'MOP' or
                  $ucValue = 'MRO' or
                  $ucValue = 'MUR' or
                  $ucValue = 'MVR' or
                  $ucValue = 'MWK' or
                  $ucValue = 'MXN' or
                  $ucValue = 'MXV' or
                  $ucValue = 'MYR' or
                  $ucValue = 'MZN' or
                  $ucValue = 'NAD' or
                  $ucValue = 'NGN' or
                  $ucValue = 'NIO' or
                  $ucValue = 'NOK' or
                  $ucValue = 'NPR' or
                  $ucValue = 'NZD' or
                  $ucValue = 'OMR' or
                  $ucValue = 'OTH' or
                  $ucValue = 'PAB' or
                  $ucValue = 'PEN' or
                  $ucValue = 'PGK' or
                  $ucValue = 'PHP' or
                  $ucValue = 'PKR' or
                  $ucValue = 'PLN' or
                  $ucValue = 'PYG' or
                  $ucValue = 'QAR' or
                  $ucValue = 'RON' or
                  $ucValue = 'RSD' or
                  $ucValue = 'RUB' or
                  $ucValue = 'RWF' or
                  $ucValue = 'SAR' or
                  $ucValue = 'SBD' or
                  $ucValue = 'SCR' or
                  $ucValue = 'SDG' or
                  $ucValue = 'SEK' or
                  $ucValue = 'SGD' or
                  $ucValue = 'SHP' or
                  $ucValue = 'SLL' or
                  $ucValue = 'SOS' or
                  $ucValue = 'SRD' or
                  $ucValue = 'STD' or
                  $ucValue = 'SVC' or
                  $ucValue = 'SYP' or
                  $ucValue = 'SZL' or
                  $ucValue = 'THB' or
                  $ucValue = 'TJS' or
                  $ucValue = 'TMT' or
                  $ucValue = 'TND' or
                  $ucValue = 'TOP' or
                  $ucValue = 'TRY' or
                  $ucValue = 'TTD' or
                  $ucValue = 'TWD' or
                  $ucValue = 'TZS' or
                  $ucValue = 'UAH' or
                  $ucValue = 'UGX' or
                  $ucValue = 'USD' or
                  $ucValue = 'UYI' or
                  $ucValue = 'UYU' or
                  $ucValue = 'UZS' or
                  $ucValue = 'VEF' or
                  $ucValue = 'VND' or
                  $ucValue = 'VUV' or
                  $ucValue = 'WST' or
                  $ucValue = 'XAF' or
                  $ucValue = 'XCD' or
                  $ucValue = 'XOF' or
                  $ucValue = 'XPF' or
                  $ucValue = 'YER' or
                  $ucValue = 'ZAR' or
                  $ucValue = 'ZMK' or
                  $ucValue = 'ZWR'"/>
    </rule>

    <rule
            context="rvctc4.02.03:InternationalDealings.DoubleTaxAgreementFinancialInstitutionsWithholdingExemptionCountry.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF ([CTR164] <> NULLORBLANK) AND ([CTR164] <> SET(“us”,”gb”,”no”,”fn”,”jp”,”fr”,”za”))
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR164] = CTR:RP:rvctc4.xx.xx:InternationalDealings.DoubleTaxAgreementFinancialInstitutionsWithholdingExemptionCountry.Code
        -->

        <assert  id="VR.ATO.CTR.428082" diagnostics="DVR.ATO.CTR.428082" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                          exslt:uppercase(.) = 'US' or
                          exslt:uppercase(.) = 'GB' or
                          exslt:uppercase(.) = 'NO' or
                          exslt:uppercase(.) = 'FN' or
                          exslt:uppercase(.) = 'JP' or 
                          exslt:uppercase(.) = 'FR' or 
                          exslt:uppercase(.) = 'ZA'"/>
    </rule>

    <rule
            context="gfagc.02.00:TaxConcession.ImmediateAllowableTaxDeductionLandcareOperationsExpenditureAndDeductionForDeclineInValueOfWaterFacility.Amount">

        <!--
          Rule Id: VR.ATO.CTR.428077
          
          IF ([CTR191] <> NULL) AND ([CTR191] <> SET(1-13100))
            RETURN VALIDATION MESSAGE
          ENDIF
        
          [CTR191] = CTR:RP.Y0-:gfagc.02.00:TaxConcession.ImmediateAllowableTaxDeductionLandcareOperationsExpenditureAndDeductionForDeclineInValueOfWaterFacility.Amount  
        -->

        <assert  id="VR.ATO.CTR.428077" diagnostics="DVR.ATO.CTR.428077"
                 test="not($RP.Y0-.ContextId)
                       or (@contextRef != $RP.Y0-.ContextId)
                       or @i:nil='true' or @i:nil='1'
                       or (. &gt; 0 and  . &lt; 13101)"/>
    </rule>

    <rule
            context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
          Rule Id: VR.ATO.CTR.428213
          
          IF (rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code <> NULLORBLANK) AND (rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code) <> SET("DFRW","DNOABN")
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.CTR.428213" diagnostics="DVR.ATO.CTR.428213" test="@i:nil='true' or @i:nil='1' or
                  string-length(normalize-space(.)) = 0 or
                  exslt:uppercase(.) = 'DFRW' or 
                  exslt:uppercase(.) = 'DNOABN'"/>
    </rule>

    <rule
            context="rvctc3.02.00:TaxRate.Type.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule Id: VR.ATO.CTR.428214
      
      IF (rvctc3.02.00:TaxRate.Type.Code) <> "CurrencyTranslation"
        RETURN VALIDATION MESSAGE
      ENDIF
   -->

        <assert  id="VR.ATO.CTR.428214" diagnostics="DVR.ATO.CTR.428214" test="exslt:uppercase(.) = 'CURRENCYTRANSLATION'"/>
    </rule>

    <rule
            context="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule ID: VR.ATO.GEN.000423
        
      IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS "" - "")
      RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.GEN.000423" diagnostics="DVR.ATO.GEN.000423" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or not(regexp:test(.,'^(.*) - (.*)$'))"/>
        <!--
          Rule ID: VR.ATO.GEN.000427
          
          IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND 
            (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("double hyphen","''","  ") )
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.000427" diagnostics="DVR.ATO.GEN.000427" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or 
                  not(regexp:test(.,'^(.*)(  |--|\x27\x27)(.*)$'))"/>
        <!--
            Rule ID: VR.ATO.GEN.410200
            
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200" test="@i:nil='true' or @i:nil='1' or 
                          not(
                              regexp:test(.,'^(?i)(Exec for |Rep for |Trustee for )(.*)$') or
                              regexp:test(.,'^(.*)(?i)( Exec for | Rep for | Trustee for )(.*)$') or
                              regexp:test(.,'^(.*)(?i)( Exec for| Rep for| Trustee for)$') or
                              regexp:test(.,'^(?i)(Exec for|Rep for|Trustee for)$'))"/>

        <!--
            Rule ID: VR.ATO.GEN.428248
        
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND SET(DOMAIN(SUFFIX CODES)))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428248" diagnostics="DVR.ATO.GEN.428248" test="
                    not(
                      regexp:test(.,'^(?i)(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$') or
                      regexp:test(.,'^(.*)(?i)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$') or
                      regexp:test(.,'^(.*)(?i)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$') or
                      regexp:test(.,'^(?i)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$'))"/>
    </rule>

    <rule
            context="pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule Id: VR.ATO.GEN.428219
      
      IF (pyde.02.05:PersonNameDetails.Usage.Code <> NULLORBLANK) AND 
        (pyde.02.05:PersonNameDetails.Usage.Code <> "DeclarationSignatory")
          RETURN VALIDATION MESSAGE
      ENDIF
   -->

        <assert  id="VR.ATO.GEN.428219" diagnostics="DVR.ATO.GEN.428219" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  exslt:uppercase(.) = 'DECLARATIONSIGNATORY'"/>
    </rule>

    <rule
            context="pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule Id: VR.ATO.GEN.428221
      
      IF (pyde.02.00:PersonNameDetails.PersonNameType.Code <> NULLORBLANK) AND 
        (pyde.02.00:PersonNameDetails.PersonNameType.Code <> "LGL")
          RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.GEN.428221" diagnostics="DVR.ATO.GEN.428221" test="@i:nil='true' or @i:nil='1' or  string-length(normalize-space(.)) = 0 or
                  exslt:uppercase(.)='LGL'"/>
    </rule>

    <rule
            context="pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
    Rule Id: VR.ATO.GEN.428223
    
    IF (pyde.02.00:PersonNameDetails.Currency.Code <> NULLORBLANK) AND 
      (pyde.02.00:PersonNameDetails.Currency.Code <> "C")
        RETURN VALIDATION MESSAGE
    ENDIF    
   -->

        <assert  id="VR.ATO.GEN.428223" diagnostics="DVR.ATO.GEN.428223" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  exslt:uppercase(.) = 'C'"/>
    </rule>

    <rule
            context="pyde.02.00:ElectronicContact.Telephone.Usage.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF ((pyde.02.00:ElectronicContact.Telephone.Usage.Code) <> NULLORBLANK) AND ((pyde.02.00:ElectronicContact.Telephone.Usage.Code) <> "03")
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.GEN.000051" diagnostics="DVR.ATO.GEN.000051" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  . = '03'"/>
    </rule>

    <rule
            context="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

        <!-- 
      IF (pyde.02.00:AddressDetails.Line1.Text <> NULLORBLANK) AND (pyde.02.00:AddressDetails.Line1.Text CONTAINS "UNKNOWN")
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.GEN.000405" diagnostics="DVR.ATO.GEN.000405" test="not(contains(exslt:uppercase(.), 'UNKNOWN'))"/>
        <!--
          Rule ID: VR.ATO.GEN.410205

          IF (pyde.02.00:AddressDetails.Line1.Text = FOUND("AS ABOVE"))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.410205" diagnostics="DVR.ATO.GEN.410205" test="not(regexp:test(.,'^(?i)(AS ABOVE )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( AS ABOVE )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( AS ABOVE)$') or
                          regexp:test(.,'^(?i)(AS ABOVE)$'))"/>
        <!--
          Rule ID: VR.ATO.GEN.428240

          IF (pyde.02.00:AddressDetails.Line1.Text = FOUND("C/O","C/","Care Of","CO"))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.428240" diagnostics="DVR.ATO.GEN.428240" test="not(regexp:test(.,'^(?i)(C\/O |C\/ |Care Of |CO )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( C\/O | C\/ | Care Of | CO )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( C\/O| C\/| Care Of| CO)$') or
                          regexp:test(.,'^(?i)(C\/O|C\/|Care Of|CO)$'))"/>
    </rule>

    <rule
            context="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF (pyde.02.00:AddressDetails.Line2.Text <> NULLORBLANK) AND (pyde.02.00:AddressDetails.Line2.Text CONTAINS "UNKNOWN")
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.GEN.000407" diagnostics="DVR.ATO.GEN.000407" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or 
                  not(contains(exslt:uppercase(.), 'UNKNOWN'))"/>
        <!--
      Rule ID: VR.ATO.GEN.428241

      IF (pyde.02.00:AddressDetails.Line2.Text = FOUND("C/-","C/O","C/","Care Of","CO"))
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.GEN.428241" diagnostics="DVR.ATO.GEN.428241" test="not(regexp:test(.,'^(.*)(?i)(C/-|C\/O|C\/ |Care Of|CO)(.*)$'))"/>
    </rule>

    <rule
            context="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
          IF (pyde.02.00:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (pyde.02.00:AddressDetails.LocalityName.Text CONTAINS "UNKNOWN")
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.000409" diagnostics="DVR.ATO.GEN.000409" test="string-length(normalize-space(.)) = 0 or
                        not(contains(exslt:uppercase(.), 'UNKNOWN'))"/>
        <!--
          IF (pyde.02.00:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (pyde.02.00:AddressDetails.LocalityName.Text CONTAINS NUMERICS SET(0-9))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->
        <assert  id="VR.ATO.GEN.000410" diagnostics="DVR.ATO.GEN.000410" 
                 test="string-length(normalize-space(.)) = 0 or not(regexp:test(.,'\d'))"/>

        <!--
          Rule ID: VR.ATO.GEN.428230

          IF (pyde.02.00:AddressDetails.LocalityName.Text = FOUND SET("QLD","NSW","VIC","SA","WA","NT ","ACT","TAS"))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->
        <assert id="VR.ATO.GEN.428230" diagnostics="DVR.ATO.GEN.428230" 
                test="not(regexp:test(.,'(?i)(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)'))"/>
    </rule>

    <rule
            context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
          IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - ")
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.000413" diagnostics="DVR.ATO.GEN.000413.0" test="string-length(normalize-space(.)) = 0 or 
                        not(contains(., ' - '))"/>
        <!--
          IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.000414" diagnostics="DVR.ATO.GEN.000414" test="string-length(normalize-space(.)) = 0 or 
                        not(contains(exslt:uppercase(.), 'P/L'))"/>
        <!--
          Rule ID: VR.ATO.GEN.000416
                  
          IF (pyde.02.00:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("hyphenhyphen", "''", "  "))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.000416" diagnostics="DVR.ATO.GEN.000416" test="string-length(normalize-space(.)) = 0 or 
                        not(regexp:test(.,'^(.*)(--|\x27\x27|  )(.*)$'))"/>
        <!--
          Rule ID: VR.ATO.GEN.410039
                  
          IF (pyde.02.00:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
            (pyde.02.00:OrganisationNameDetails.OrganisationalName.Text DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.410039" diagnostics="DVR.ATO.GEN.410039" test="string-length(normalize-space(.)) = 0 or 
                        regexp:test(.,'^(.*)[a-zA-Z0-9](.*)$')"/>
        <!--
          Rule ID:  VR.ATO.GEN.410206

          IF (pyde.02.00:OrganisationNameDetails.OrganisationalName.Text = FOUND("The trustee","The Exec","exec","The TTE"))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.410206" diagnostics="DVR.ATO.GEN.410206" test="
                not(
                  regexp:test(.,'^(?i)(The trustee |The Exec |exec |The TTE )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( The trustee | The Exec | exec | The TTE )(.*)$') or
                  regexp:test(.,'^(.*)(?i)( The trustee| The Exec| exec| The TTE)$') or
                  regexp:test(.,'^(?i)(The trustee|The Exec|exec|The TTE)$'))"/>
    </rule>

    <rule
            context="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
          IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK)
          AND (pyde.xx.xx:OrganisationNameDetails.Currency.Code <> SET("C","P"))
             RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.000466" diagnostics="DVR.ATO.GEN.000466" subject="pyde.02.00:OrganisationNameDetails.Currency.Code" test="not(count(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                          and pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and not(regexp:test(.,'^(C|P)$'))])"/>
    </rule>

    <rule
            context="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK)
      AND (pyde.xx.xx:AddressDetails.Usage.Code <> SET("POS","BUS"))
         RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.GEN.000467" diagnostics="DVR.ATO.GEN.000467" subject="pyde.02.01:AddressDetails.Usage.Code" test="not(
                count(pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0 and
                pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')and not(regexp:test(exslt:uppercase(.),'^(POS|BUS)$'))]
                )"/>
    </rule>

    <rule
            context="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
	    Rule ID: VR.ATO.GEN.410049
      
      IF (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code <> NULLORBLANK) AND (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code <> "MN")
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.GEN.410049" diagnostics="DVR.ATO.GEN.410049" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  exslt:uppercase(.) = 'MN'"/>
    </rule>

    <rule
            context="pyde.02.00:OrganisationDetails.OrganisationActivityStatus.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
	    Rule ID: VR.ATO.CTR.428017
      
      IF ([CTR10] <> NULLORBLANK) AND ([CTR10] <> "05")
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR10] = CTR:RP:pyde.02.00:OrganisationDetails.OrganisationActivityStatus.Code
    -->

        <assert  id="VR.ATO.CTR.428017" diagnostics="DVR.ATO.CTR.428017" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  . = '05'"/>
    </rule>

    <rule
            context="pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF ([CTR49] <> SET(DOMAIN(ANZSIC Codes)))
        RETURN VALIDATION ERROR
      ENDIF
      
      [CTR49] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
    -->

        <assert  id="VR.ATO.CTR.428025" diagnostics="DVR.ATO.CTR.428025" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or
                  . ='01110' or
                  . ='01120' or
                  . ='01130' or
                  . ='01140' or
                  . ='01150' or
                  . ='01210' or
                  . ='01220' or
                  . ='01230' or
                  . ='01310' or
                  . ='01320' or
                  . ='01330' or
                  . ='01340' or
                  . ='01350' or
                  . ='01360' or
                  . ='01370' or
                  . ='01390' or
                  . ='01410' or
                  . ='01420' or
                  . ='01430' or
                  . ='01440' or
                  . ='01450' or
                  . ='01460' or
                  . ='01490' or
                  . ='01510' or
                  . ='01520' or
                  . ='01590' or
                  . ='01600' or
                  . ='01710' or
                  . ='01720' or
                  . ='01800' or
                  . ='01910' or
                  . ='01920' or
                  . ='01930' or
                  . ='01990' or
                  . ='02011' or
                  . ='02019' or
                  . ='02020' or
                  . ='02031' or
                  . ='02039' or
                  . ='03010' or
                  . ='03020' or
                  . ='04111' or
                  . ='04112' or
                  . ='04120' or
                  . ='04130' or
                  . ='04140' or
                  . ='04191' or
                  . ='04192' or
                  . ='04199' or
                  . ='04200' or
                  . ='05100' or
                  . ='05210' or
                  . ='05220' or
                  . ='05290' or
                  . ='06000' or
                  . ='07000' or
                  . ='08010' or
                  . ='08020' or
                  . ='08030' or
                  . ='08040' or
                  . ='08050' or
                  . ='08060' or
                  . ='08070' or
                  . ='08090' or
                  . ='09110' or
                  . ='09190' or
                  . ='09901' or
                  . ='09902' or
                  . ='09903' or
                  . ='09909' or
                  . ='10111' or
                  . ='10112' or
                  . ='10121' or
                  . ='10122' or
                  . ='10900' or
                  . ='11110' or
                  . ='11120' or
                  . ='11130' or
                  . ='11200' or
                  . ='11310' or
                  . ='11320' or
                  . ='11330' or
                  . ='11400' or
                  . ='11500' or
                  . ='11610' or
                  . ='11620' or
                  . ='11710' or
                  . ='11720' or
                  . ='11730' or
                  . ='11740' or
                  . ='11810' or
                  . ='11820' or
                  . ='11910' or
                  . ='11920' or
                  . ='11990' or
                  . ='12110' or
                  . ='12120' or
                  . ='12130' or
                  . ='12140' or
                  . ='12200' or
                  . ='13110' or
                  . ='13120' or
                  . ='13130' or
                  . ='13200' or
                  . ='13310' or
                  . ='13320' or
                  . ='13330' or
                  . ='13340' or
                  . ='13400' or
                  . ='13510' or
                  . ='13520' or
                  . ='14110' or
                  . ='14120' or
                  . ='14130' or
                  . ='14910' or
                  . ='14920' or
                  . ='14930' or
                  . ='14940' or
                  . ='14990' or
                  . ='15100' or
                  . ='15210' or
                  . ='15220' or
                  . ='15230' or
                  . ='15240' or
                  . ='15290' or
                  . ='16110' or
                  . ='16120' or
                  . ='16200' or
                  . ='17010' or
                  . ='17090' or
                  . ='18110' or
                  . ='18120' or
                  . ='18130' or
                  . ='18210' or
                  . ='18290' or
                  . ='18310' or
                  . ='18320' or
                  . ='18410' or
                  . ='18420' or
                  . ='18510' or
                  . ='18520' or
                  . ='18910' or
                  . ='18920' or
                  . ='18990' or
                  . ='19110' or
                  . ='19120' or
                  . ='19130' or
                  . ='19140' or
                  . ='19150' or
                  . ='19160' or
                  . ='19190' or
                  . ='19200' or
                  . ='20100' or
                  . ='20210' or
                  . ='20290' or
                  . ='20310' or
                  . ='20320' or
                  . ='20330' or
                  . ='20340' or
                  . ='20900' or
                  . ='21100' or
                  . ='21210' or
                  . ='21220' or
                  . ='21310' or
                  . ='21320' or
                  . ='21330' or
                  . ='21390' or
                  . ='21410' or
                  . ='21420' or
                  . ='21490' or
                  . ='22100' or
                  . ='22210' or
                  . ='22220' or
                  . ='22230' or
                  . ='22240' or
                  . ='22290' or
                  . ='22310' or
                  . ='22390' or
                  . ='22400' or
                  . ='22910' or
                  . ='22920' or
                  . ='22930' or
                  . ='22990' or
                  . ='23110' or
                  . ='23120' or
                  . ='23130' or
                  . ='23190' or
                  . ='23910' or
                  . ='23920' or
                  . ='23930' or
                  . ='23940' or
                  . ='23990' or
                  . ='24110' or
                  . ='24120' or
                  . ='24190' or
                  . ='24211' or
                  . ='24219' or
                  . ='24220' or
                  . ='24290' or
                  . ='24310' or
                  . ='24320' or
                  . ='24390' or
                  . ='24410' or
                  . ='24490' or
                  . ='24510' or
                  . ='24520' or
                  . ='24610' or
                  . ='24620' or
                  . ='24630' or
                  . ='24690' or
                  . ='24910' or
                  . ='24990' or
                  . ='25110' or
                  . ='25120' or
                  . ='25130' or
                  . ='25190' or
                  . ='25910' or
                  . ='25920' or
                  . ='25990' or
                  . ='26110' or
                  . ='26120' or
                  . ='26190' or
                  . ='26200' or
                  . ='26300' or
                  . ='26400' or
                  . ='27000' or
                  . ='28110' or
                  . ='28120' or
                  . ='29110' or
                  . ='29190' or
                  . ='29210' or
                  . ='29220' or
                  . ='30110' or
                  . ='30190' or
                  . ='30200' or
                  . ='31010' or
                  . ='31091' or
                  . ='31099' or
                  . ='32110' or
                  . ='32120' or
                  . ='32210' or
                  . ='32220' or
                  . ='32230' or
                  . ='32240' or
                  . ='32310' or
                  . ='32320' or
                  . ='32330' or
                  . ='32340' or
                  . ='32390' or
                  . ='32410' or
                  . ='32420' or
                  . ='32430' or
                  . ='32440' or
                  . ='32450' or
                  . ='32910' or
                  . ='32920' or
                  . ='32990' or
                  . ='33110' or
                  . ='33120' or
                  . ='33190' or
                  . ='33210' or
                  . ='33221' or
                  . ='33229' or
                  . ='33230' or
                  . ='33310' or
                  . ='33320' or
                  . ='33390' or
                  . ='34110' or
                  . ='34190' or
                  . ='34910' or
                  . ='34920' or
                  . ='34930' or
                  . ='34940' or
                  . ='34990' or
                  . ='35010' or
                  . ='35020' or
                  . ='35030' or
                  . ='35040' or
                  . ='35050' or
                  . ='36010' or
                  . ='36020' or
                  . ='36030' or
                  . ='36040' or
                  . ='36050' or
                  . ='36061' or
                  . ='36062' or
                  . ='36090' or
                  . ='37110' or
                  . ='37120' or
                  . ='37200' or
                  . ='37310' or
                  . ='37320' or
                  . ='37330' or
                  . ='37340' or
                  . ='37350' or
                  . ='37360' or
                  . ='37390' or
                  . ='38000' or
                  . ='39110' or
                  . ='39120' or
                  . ='39130' or
                  . ='39211' or
                  . ='39219' or
                  . ='39220' or
                  . ='40000' or
                  . ='41100' or
                  . ='41211' or
                  . ='41212' or
                  . ='41213' or
                  . ='41220' or
                  . ='41230' or
                  . ='41290' or
                  . ='42110' or
                  . ='42120' or
                  . ='42130' or
                  . ='42140' or
                  . ='42210' or
                  . ='42220' or
                  . ='42290' or
                  . ='42310' or
                  . ='42320' or
                  . ='42410' or
                  . ='42420' or
                  . ='42430' or
                  . ='42441' or
                  . ='42442' or
                  . ='42450' or
                  . ='42510' or
                  . ='42520' or
                  . ='42530' or
                  . ='42590' or
                  . ='42600' or
                  . ='42711' or
                  . ='42712' or
                  . ='42720' or
                  . ='42731' or
                  . ='42732' or
                  . ='42733' or
                  . ='42740' or
                  . ='42791' or
                  . ='42792' or
                  . ='42793' or
                  . ='42794' or
                  . ='42799' or
                  . ='43101' or
                  . ='43102' or
                  . ='43109' or
                  . ='43201' or
                  . ='43202' or
                  . ='43209' or
                  . ='44000' or
                  . ='45110' or
                  . ='45120' or
                  . ='45130' or
                  . ='45200' or
                  . ='45301' or
                  . ='45302' or
                  . ='46100' or
                  . ='46210' or
                  . ='46220' or
                  . ='46231' or
                  . ='46239' or
                  . ='47100' or
                  . ='47200' or
                  . ='48100' or
                  . ='48200' or
                  . ='49001' or
                  . ='49009' or
                  . ='50100' or
                  . ='50210' or
                  . ='50290' or
                  . ='51010' or
                  . ='51020' or
                  . ='52110' or
                  . ='52120' or
                  . ='52190' or
                  . ='52200' or
                  . ='52910' or
                  . ='52920' or
                  . ='52991' or
                  . ='52999' or
                  . ='53010' or
                  . ='53090' or
                  . ='54110' or
                  . ='54120' or
                  . ='54130' or
                  . ='54140' or
                  . ='54190' or
                  . ='54200' or
                  . ='55110' or
                  . ='55120' or
                  . ='55130' or
                  . ='55140' or
                  . ='55210' or
                  . ='55220' or
                  . ='56100' or
                  . ='56210' or
                  . ='56220' or
                  . ='57000' or
                  . ='58010' or
                  . ='58020' or
                  . ='58090' or
                  . ='59100' or
                  . ='59210' or
                  . ='59220' or
                  . ='60100' or
                  . ='60200' or
                  . ='62100' or
                  . ='62210' or
                  . ='62220' or
                  . ='62230' or
                  . ='62290' or
                  . ='62300' or
                  . ='62400' or
                  . ='63100' or
                  . ='63210' or
                  . ='63220' or
                  . ='63300' or
                  . ='64110' or
                  . ='64190' or
                  . ='64200' or
                  . ='66110' or
                  . ='66190' or
                  . ='66200' or
                  . ='66310' or
                  . ='66320' or
                  . ='66390' or
                  . ='66400' or
                  . ='67110' or
                  . ='67120' or
                  . ='67200' or
                  . ='69100' or
                  . ='69210' or
                  . ='69220' or
                  . ='69230' or
                  . ='69240' or
                  . ='69250' or
                  . ='69310' or
                  . ='69320' or
                  . ='69400' or
                  . ='69500' or
                  . ='69610' or
                  . ='69621' or
                  . ='69622' or
                  . ='69629' or
                  . ='69700' or
                  . ='69910' or
                  . ='69990' or
                  . ='70000' or
                  . ='72110' or
                  . ='72120' or
                  . ='72200' or
                  . ='72910' or
                  . ='72920' or
                  . ='72930' or
                  . ='72940' or
                  . ='72990' or
                  . ='73110' or
                  . ='73120' or
                  . ='73130' or
                  . ='73200' or
                  . ='75100' or
                  . ='75200' or
                  . ='75300' or
                  . ='75400' or
                  . ='75510' or
                  . ='75520' or
                  . ='76000' or
                  . ='77110' or
                  . ='77120' or
                  . ='77130' or
                  . ='77140' or
                  . ='77190' or
                  . ='77200' or
                  . ='80100' or
                  . ='80210' or
                  . ='80220' or
                  . ='80230' or
                  . ='80240' or
                  . ='81011' or
                  . ='81019' or
                  . ='81020' or
                  . ='82110' or
                  . ='82120' or
                  . ='82191' or
                  . ='82199' or
                  . ='82200' or
                  . ='84010' or
                  . ='84020' or
                  . ='85110' or
                  . ='85121' or
                  . ='85122' or
                  . ='85123' or
                  . ='85124' or
                  . ='85125' or
                  . ='85129' or
                  . ='85201' or
                  . ='85202' or
                  . ='85203' or
                  . ='85209' or
                  . ='85310' or
                  . ='85320' or
                  . ='85330' or
                  . ='85340' or
                  . ='85391' or
                  . ='85399' or
                  . ='85910' or
                  . ='85990' or
                  . ='86011' or
                  . ='86012' or
                  . ='86090' or
                  . ='87100' or
                  . ='87900' or
                  . ='89100' or
                  . ='89210' or
                  . ='89220' or
                  . ='90010' or
                  . ='90021' or
                  . ='90029' or
                  . ='90030' or
                  . ='91110' or
                  . ='91121' or
                  . ='91122' or
                  . ='91123' or
                  . ='91124' or
                  . ='91125' or
                  . ='91126' or
                  . ='91129' or
                  . ='91131' or
                  . ='91139' or
                  . ='91140' or
                  . ='91210' or
                  . ='91291' or
                  . ='91292' or
                  . ='91299' or
                  . ='91310' or
                  . ='91390' or
                  . ='92010' or
                  . ='92020' or
                  . ='92091' or
                  . ='92092' or
                  . ='92099' or
                  . ='94110' or
                  . ='94121' or
                  . ='94129' or
                  . ='94191' or
                  . ='94192' or
                  . ='94193' or
                  . ='94199' or
                  . ='94210' or
                  . ='94220' or
                  . ='94290' or
                  . ='94910' or
                  . ='94990' or
                  . ='95110' or
                  . ='95120' or
                  . ='95200' or
                  . ='95310' or
                  . ='95320' or
                  . ='95330' or
                  . ='95340' or
                  . ='95391' or
                  . ='95392' or
                  . ='95393' or
                  . ='95399' or
                  . ='95400' or
                  . ='95510' or
                  . ='95520' or
                  . ='95591' or
                  . ='95599' or
                  . ='96010' or
                  . ='96020' or
                  . ='96030' or
                  . ='98000' or
                  . ='99010' or
                  . ='99020' or
                  . ='99030' or
                  . ='99040' or
                  . ='99050' or
                  . ='99060' or
                  . ='99070'"/>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
      Rule Id: VR.ATO.GEN.428211
      
      IF COUNT (rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW") > 1
       RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.GEN.428211" diagnostics="DVR.ATO.GEN.428211" test="count(ctr.0002.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[exslt:uppercase(.)='DFRW']) &lt; 2"/>
        <!--
            Rule Id: VR.ATO.GEN.428212      
            IF COUNT (rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN") > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428212" diagnostics="DVR.ATO.GEN.428212" subject="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code" test="count(ctr.0002.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[exslt:uppercase(.)='DNOABN']) &lt; 2"/>
        <!-- 
            Rule Id: VR.ATO.CTR.428028
            
            IF [CTR50] <> NULL AND [CTR50] <> SET(1-100) 
              RETURN VALIDATION MESSAGE 
            ENDIF
            [CTR50] = CTR:RP:bafpo2.xx.xx:Equity.ContributedEquity.NonAustralianShareholding.Percent
        -->

        <assert  id="VR.ATO.CTR.428028" diagnostics="DVR.ATO.CTR.428028" subject="bafpo2.02.00:Equity.ContributedEquity.NonAustralianShareholding.Percent" test="not(
                            bafpo2.02.00:Equity.ContributedEquity.NonAustralianShareholding.Percent[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and 
                            (
                                number(bafpo2.02.00:Equity.ContributedEquity.NonAustralianShareholding.Percent) &lt; 1 or
                                number(bafpo2.02.00:Equity.ContributedEquity.NonAustralianShareholding.Percent) &gt; 100
                            )
                        )"/>
    </rule>
    <!--count(bafpo2.02.02:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Indicator[bafpo2.02.02:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Indicator[not(@i:nil='true' or @i:nil='1')]]) &gt; 0
count(bafpo2.02.02:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Indicator[not(@i:nil='true' or @i:nil='1')]) &gt; 0-->

    <rule
            context="pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF (CTR:RP:pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code <> NULLORBLANK) AND 
        (CTR:RP:pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code <> SET("01","02","03"))
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.CTR.428029" diagnostics="DVR.ATO.CTR.428029" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                    . = '01' or
                    . = '02' or
                    . = '03'"/>
    </rule>

    <rule
            context="pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF ([CTR53] <> NULLORBLANK) AND ([CTR53] <> SET("1","2"))
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR53] = CTR:RP:pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code
    -->

        <assert  id="VR.ATO.CTR.428032" diagnostics="DVR.ATO.CTR.428032" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  . = '1' or
                  . = '2'"/>
    </rule>

    <rule
            context="xbrli:xbrl/pyde.02.03:OrganisationDetails.OrganisationType.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF (CTR:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code" <> NULLORBLANK) AND (CTR:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code <> SET ("027","032","045","054","088","120","139","163","174","205"))
        RETURN VALIDATION MESSAGE
      ENDIF  
    -->

        <assert  id="VR.ATO.CTR.428033" diagnostics="DVR.ATO.CTR.428033" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                    . = '027' or
                    . = '032' or
                    . = '045' or
                    . = '054' or
                    . = '088' or
                    . = '120' or
                    . = '139' or
                    . = '163' or
                    . = '174' or
                    . = '205'"/>
    </rule>

    <rule
            context="pyde.02.03:OrganisationDetails.ActivityEvent.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF (pyde.02.03:OrganisationDetails.ActivityEvent.Code <> NULLORBLANK) AND (pyde.02.03:OrganisationDetails.ActivityEvent.Code <> SET ("01","02","03"))
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.CTR.428035" diagnostics="DVR.ATO.CTR.428035" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  . = '01' or
                  . = '02' or
                  . = '03'"/>
    </rule>

    <rule
            context="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF (pyde.02.00:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) AND 
          (pyde.02.00:AddressDetails.StateOrTerritory.Code <> SET("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
            RETURN VALIDATION MESSAGE
      ENDIF
    -->
        <let
                    name="ucName"
                    value="exslt:uppercase(.)" />


        <assert  id="VR.ATO.GEN.428036" diagnostics="DVR.ATO.GEN.428036" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or                
                  $ucName = 'QLD' or 
                  $ucName = 'NSW' or 
                  $ucName = 'VIC' or 
                  $ucName = 'SA' or 
                  $ucName = 'WA' or 
                  $ucName = 'NT' or 
                  $ucName = 'ACT' or 
                  $ucName = 'TAS'"/>
    </rule>

    <rule
            context="pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF (pyde.02.00:AddressDetails.Postcode.Text <> NULLORBLANK) AND (pyde.02.00:AddressDetails.Postcode.Text <> SET(0200-9999))
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.GEN.428041" diagnostics="DVR.ATO.GEN.428041" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  regexp:test(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$')"/>
    </rule>

    <rule
            context="ctr.0002.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]/ pyde.02.03:OrganisationDetails.OrganisationType.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule Id: VR.ATO.CTR.428051
      
      IF ([CTR62] <> NULLORBLANK) AND ([CTR62] <> SET ("059", "090", "112", "072","077","071", "039", "089", "179","184"))
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR62] = CTR:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code IN TUPLE(ctr.0002.lodge.req.xx.xx:TrustDistributionIncome)
    -->

        <assert  id="VR.ATO.CTR.428051" diagnostics="DVR.ATO.CTR.428051" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  . = '059' or 
                  . ='090' or
                  . ='112' or
                  . ='072' or 
                  . ='077' or 
                  . ='071' or 
                  . ='039' or 
                  . ='089' or 
                  . ='179' or 
                  . ='184'"/>
    </rule>

    <rule
            context="ctr.0002.lodge.req.02.00:UltimateHoldingCompany[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:Residency.TaxPurposesCountry.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF ([CTR45] <> NULLORBLANK) AND ([CTR45] <> SET(DOMAIN(Location Codes)))
        RETURN VALIDATION MESSAGE
      END
      
      [CTR45] = CTR:RP:pyde.02.00:Residency.TaxPurposesCountry.Code IN TUPLE(ctr.0002.lodge.req.02.00:UltimateHoldingCompany)
      
      
    -->
        <let
                    name="ucName"
                    value="exslt:uppercase(.)" />


        <assert  id="VR.ATO.CTR.428059" diagnostics="DVR.ATO.CTR.428059" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  $ucName = 'AW' or
                  $ucName = 'AF' or  
                  $ucName = 'AO' or
                  $ucName = 'AI' or
                  $ucName = 'AX' or
                  $ucName = 'AL' or
                  $ucName = 'AD' or
                  $ucName = 'AN' or
                  $ucName = 'AE' or
                  $ucName = 'AR' or
                  $ucName = 'AM' or
                  $ucName = 'AS' or
                  $ucName = 'AQ' or
                  $ucName = 'TF' or
                  $ucName = 'AG' or
                  $ucName = 'AU' or
                  $ucName = 'AT' or
                  $ucName = 'AZ' or
                  $ucName = 'BI' or
                  $ucName = 'BE' or
                  $ucName = 'BJ' or
                  $ucName = 'BF' or
                  $ucName = 'BD' or
                  $ucName = 'BG' or
                  $ucName = 'BS' or
                  $ucName = 'BA' or
                  $ucName = 'BY' or
                  $ucName = 'BZ' or
                  $ucName = 'BM' or
                  $ucName = 'BO' or
                  $ucName = 'BR' or
                  $ucName = 'BB' or
                  $ucName = 'BN' or
                  $ucName = 'BT' or
                  $ucName = 'BV' or
                  $ucName = 'BW' or
                  $ucName = 'CF' or
                  $ucName = 'CA' or
                  $ucName = 'CC' or
                  $ucName = 'CH' or
                  $ucName = 'CL' or
                  $ucName = 'CN' or
                  $ucName = 'CI' or
                  $ucName = 'CM' or
                  $ucName = 'CD' or
                  $ucName = 'CG' or
                  $ucName = 'CK' or
                  $ucName = 'CO' or
                  $ucName = 'KM' or
                  $ucName = 'CV' or
                  $ucName = 'CR' or
                  $ucName = 'CU' or
                  $ucName = 'CX' or
                  $ucName = 'KY' or
                  $ucName = 'CY' or
                  $ucName = 'CZ' or
                  $ucName = 'BH' or
                  $ucName = 'DE' or
                  $ucName = 'DJ' or
                  $ucName = 'DM' or
                  $ucName = 'DK' or
                  $ucName = 'DO' or
                  $ucName = 'DZ' or
                  $ucName = 'EC' or
                  $ucName = 'EG' or
                  $ucName = 'ER' or
                  $ucName = 'EH' or
                  $ucName = 'ES' or
                  $ucName = 'EE' or
                  $ucName = 'ET' or
                  $ucName = 'FI' or
                  $ucName = 'FJ' or
                  $ucName = 'FK' or
                  $ucName = 'FR' or
                  $ucName = 'FO' or
                  $ucName = 'FM' or
                  $ucName = 'GA' or
                  $ucName = 'GB' or
                  $ucName = 'GE' or
                  $ucName = 'GG' or
                  $ucName = 'GH' or
                  $ucName = 'GI' or
                  $ucName = 'GN' or
                  $ucName = 'GP' or
                  $ucName = 'GM' or
                  $ucName = 'GW' or
                  $ucName = 'GQ' or
                  $ucName = 'GR' or
                  $ucName = 'GD' or
                  $ucName = 'GL' or
                  $ucName = 'GT' or
                  $ucName = 'GF' or
                  $ucName = 'GU' or
                  $ucName = 'GY' or
                  $ucName = 'HK' or
                  $ucName = 'HM' or
                  $ucName = 'HN' or
                  $ucName = 'HR' or
                  $ucName = 'HT' or
                  $ucName = 'HU' or
                  $ucName = 'ID' or
                  $ucName = 'IM' or
                  $ucName = 'IN' or
                  $ucName = 'IO' or
                  $ucName = 'IE' or
                  $ucName = 'IR' or
                  $ucName = 'IQ' or
                  $ucName = 'IS' or
                  $ucName = 'IL' or
                  $ucName = 'IT' or
                  $ucName = 'JM' or
                  $ucName = 'JE' or
                  $ucName = 'JO' or
                  $ucName = 'JP' or
                  $ucName = 'KZ' or
                  $ucName = 'KE' or
                  $ucName = 'KG' or
                  $ucName = 'KH' or
                  $ucName = 'KI' or
                  $ucName = 'KN' or
                  $ucName = 'KR' or
                  $ucName = 'KW' or
                  $ucName = 'LA' or
                  $ucName = 'LB' or
                  $ucName = 'LR' or
                  $ucName = 'LY' or
                  $ucName = 'LC' or
                  $ucName = 'LI' or
                  $ucName = 'LK' or
                  $ucName = 'LS' or
                  $ucName = 'LT' or
                  $ucName = 'LU' or
                  $ucName = 'LV' or
                  $ucName = 'MO' or
                  $ucName = 'MA' or
                  $ucName = 'MC' or
                  $ucName = 'MD' or
                  $ucName = 'MG' or
                  $ucName = 'MV' or
                  $ucName = 'MX' or
                  $ucName = 'MH' or
                  $ucName = 'MK' or
                  $ucName = 'ML' or
                  $ucName = 'MT' or
                  $ucName = 'MM' or
                  $ucName = 'ME' or
                  $ucName = 'MN' or
                  $ucName = 'MP' or
                  $ucName = 'MZ' or
                  $ucName = 'MR' or
                  $ucName = 'MS' or
                  $ucName = 'MQ' or
                  $ucName = 'MU' or
                  $ucName = 'MW' or
                  $ucName = 'MY' or
                  $ucName = 'YT' or
                  $ucName = 'NA' or
                  $ucName = 'NC' or
                  $ucName = 'NE' or
                  $ucName = 'NF' or
                  $ucName = 'NG' or
                  $ucName = 'NI' or
                  $ucName = 'NU' or
                  $ucName = 'NL' or
                  $ucName = 'NO' or
                  $ucName = 'NP' or
                  $ucName = 'NR' or
                  $ucName = 'NZ' or
                  $ucName = 'OM' or
                  $ucName = 'PK' or
                  $ucName = 'PA' or
                  $ucName = 'PN' or
                  $ucName = 'PE' or
                  $ucName = 'PH' or
                  $ucName = 'PW' or
                  $ucName = 'PG' or
                  $ucName = 'PL' or
                  $ucName = 'PR' or
                  $ucName = 'KP' or
                  $ucName = 'PT' or
                  $ucName = 'PY' or
                  $ucName = 'PS' or
                  $ucName = 'PF' or
                  $ucName = 'QA' or
                  $ucName = 'RE' or
                  $ucName = 'RO' or
                  $ucName = 'RO' or
                  $ucName = 'RU' or
                  $ucName = 'RW' or
                  $ucName = 'SA' or
                  $ucName = 'SD' or
                  $ucName = 'SN' or
                  $ucName = 'SG' or
                  $ucName = 'GS' or
                  $ucName = 'SH' or
                  $ucName = 'SJ' or
                  $ucName = 'SB' or
                  $ucName = 'SL' or
                  $ucName = 'SV' or
                  $ucName = 'SM' or
                  $ucName = 'SO' or
                  $ucName = 'PM' or
                  $ucName = 'RS' or
                  $ucName = 'ST' or
                  $ucName = 'SR' or
                  $ucName = 'SK' or
                  $ucName = 'SI' or
                  $ucName = 'SE' or
                  $ucName = 'SZ' or
                  $ucName = 'SC' or
                  $ucName = 'SY' or
                  $ucName = 'TC' or
                  $ucName = 'TD' or
                  $ucName = 'TG' or
                  $ucName = 'TH' or
                  $ucName = 'TJ' or
                  $ucName = 'TK' or
                  $ucName = 'TM' or
                  $ucName = 'TL' or
                  $ucName = 'TO' or
                  $ucName = 'TT' or
                  $ucName = 'TN' or
                  $ucName = 'TR' or
                  $ucName = 'TV' or
                  $ucName = 'TW' or
                  $ucName = 'TZ' or
                  $ucName = 'UG' or
                  $ucName = 'UA' or
                  $ucName = 'UM' or
                  $ucName = 'UY' or
                  $ucName = 'US' or
                  $ucName = 'UZ' or
                  $ucName = 'VA' or
                  $ucName = 'VC' or
                  $ucName = 'VE' or
                  $ucName = 'VG' or
                  $ucName = 'VI' or
                  $ucName = 'VN' or
                  $ucName = 'VU' or
                  $ucName = 'WF' or
                  $ucName = 'WS' or
                  $ucName = 'YE' or
                  $ucName = 'ZA' or
                  $ucName = 'ZM' or
                  $ucName = 'ZW'"/>
    </rule>

    <rule
            context="bafpo1.02.02:Assets.LoansAndReceivablesAction.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      Rule Id: VR.ATO.CTR.428070
      IF ([CTR146] <> NULLORBLANK) AND ([CTR146] <> SET("A","B","M"))
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR146] = CTR:RP:bafpo1.02.02:Assets.LoansAndReceivablesAction.Code
    -->

        <assert  id="VR.ATO.CTR.428070" diagnostics="DVR.ATO.CTR.428070" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  exslt:uppercase(.) = 'A' or
                  exslt:uppercase(.) = 'B' or
                  exslt:uppercase(.) = 'M'"/>
    </rule>

    <rule
            context="lrla.02.05:Remuneration.WagesAndSalariesAction.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF ([CTR152] <> NULLORBLANK) AND ([CTR152] <> SET("C","A","B","O"))
        RETURN VALIDATION MESSAGE
      ENDIF
      [CTR152] = CTR:RP:lrla.02.05:Remuneration.WagesAndSalariesAction.Code
    -->

        <assert  id="VR.ATO.CTR.428071" diagnostics="DVR.ATO.CTR.428071" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  exslt:uppercase(.) = 'C' or
                  exslt:uppercase(.) = 'A' or
                  exslt:uppercase(.) = 'B' or
                  exslt:uppercase(.) = 'O'"/>
    </rule>

    <rule
            context="bafpr1.02.00:Income.NonMembers.Percent[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
      IF ([CTR178] <> NULL) AND ([CTR178] <> SET(1-100))
        RETURN VALIDATION MESSAGE
      ENDIF
      
      [CTR178] = CTR:RP:bafpr1.02.00:Income.NonMembers.Percent
    -->

        <assert  id="VR.ATO.CTR.428076" diagnostics="DVR.ATO.CTR.428076" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or
                  . &gt; 0 and
                  . &lt; 101"/>
    </rule>

    <rule
            context="pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF (pyde.02.00:AddressDetails.OverseasAddress.Indicator <> NULL) AND (pyde.02.00:AddressDetails.OverseasAddress.Indicator <> FALSE)
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.CTR.428107" diagnostics="DVR.ATO.CTR.428107" test="@i:nil='true' or @i:nil='1' or exslt:uppercase(.) = 'FALSE' or .='0'"/>
    </rule>

    <rule
            context="pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
      IF (pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code <> NULLORBLANK)
        AND (pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code <> SET("01","02","03","09"))
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.GEN.428208" diagnostics="DVR.ATO.GEN.428208" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or
                  . = '01' or
                  . = '02' or
                  . = '03' or
                  . = '09'"/>
    </rule>

    <rule
            context="pyin.02.00:Report.Statement.Summary.PaymentRefundOrNil.Code[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
	    Rule ID: VR.ATO.CTR.428241
      
      IF (CTR:RP:pyin.02.00:Report.Statement.Summary.PaymentRefundOrNil.Code <> SET("0", "1", "2"))
        RETURN VALIDATION MESSAGE
      ENDIF
    -->

        <assert  id="VR.ATO.CTR.428241" diagnostics="DVR.ATO.CTR.428241" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or
                  . = '0' or
                  . = '1' or
                  . = '2'"/>
    </rule>
</pattern>