﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Variables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Context Id variables that are applicable across all of the DIS services.</title>

    <!-- CONTEXT ID SINGLE DIMENSION VARIABLES -->
    <let
            name="RP.Context"
            value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and
                  ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]]" />
    <let
            name="RP.ContextId"
            value="$RP.Context/@id" />
    <let
            name="Int.Context"
            value="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and
                  ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]]" />
    <let
            name="Int.ContextId"
            value="$Int.Context/@id" />
    
    <!-- CONTEXT ID DOUBLE DIMENSION VARIABLES -->
    <let  name="RP.CFI.Context"
          value="xbrli:xbrl/xbrli:context[
        not(@i:nil='true' or @i:nil='1')
        and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
        xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2
        and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
        and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and regexp:test(., '^AssblFrgnIncClass\.\d\d\.\d\d:ConduitForeignIncome$')]) = 1]
        ]" />

    <let name="RP.CFI.ContextId"
         value="$RP.CFI.Context/@id" />
    
    <let name="RP.NONCFI.Context"
         value="xbrli:xbrl/xbrli:context[
        not(@i:nil='true' or @i:nil='1')
        and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
        xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2
        and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
        and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^AssblFrgnIncClass.\d\d\.\d\d:AssessableForeignIncomeClassificationDimension$') and regexp:test(., '^AssblFrgnIncClass\.\d\d\.\d\d:NonConduitForeignIncome$')]) = 1]
        ]" />

    <let name="RP.NONCFI.ContextId"
         value="$RP.NONCFI.Context/@id" />
    
</pattern>

