﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Address" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Address Common Validations</title>

    <rule context="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
        Rule Id : VR.ATO.GEN.430246	
        WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
        IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = FALSE) AND (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS NUMERICS SET(0-9))
           RETURN VALIDATION MESSAGE
        ENDIF

        -->
        <assert id="VR.ATO.GEN.430246" diagnostics="DVR.ATO.GEN.430246"
                test="not(
                        pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                        and regexp:test(pyde.02.00:AddressDetails.LocalityName.Text,'^(.*)[0-9](.*)$')
                          )"/>

        <!--
        Rule ID: VR.ATO.GEN.410191	
        
        WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = TRUE) AND 
                (pyde.xx.xx:AddressDetails.Country.Code = NULLORBLANK)
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.410191" diagnostics="DVR.ATO.GEN.410191"
                 test="
                 not(pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'TRUE' or . = '1')] and
                 not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))
                 " />
        
        <!--
            Rule ID: VR.ATO.GEN.410002
            
            WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF ((pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "C/-") AND (pyde.xx.xx:AddressDetails.Line2.Text = NULLORBLANK))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410002" diagnostics="DVR.ATO.GEN.410002"
                test="not(
                        pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and contains(exslt:uppercase(.), 'C/-')]
                        and
                        not(pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))
                    "/>

        <!-- 
            Rule ID: VR.ATO.GEN.410148
            
            IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF pyde.xx.xx:AddressDetails.Currency.Code = NULLORBLANK
              RETURN VALIDATION MESSAGE
            END IF 
          -->
        <assert  id="VR.ATO.GEN.410148" diagnostics="DVR.ATO.GEN.410148"
                 test="pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') 
                         and string-length(normalize-space(.)) != 0]"/>

        <!--
        Rule ID: VR.ATO.GEN.410211
        
        WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
        IF (pyde.xx.xx:AddressDetails.Country.Code = "au") AND  (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = TRUE)
        RETURN VALIDATION MESSAGE
        ENDIF
        CMN.ATO.GEN.410211
        -->
        <assert  id="VR.ATO.GEN.410211" diagnostics="DVR.ATO.GEN.410211"
                 test="not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and normalize-space(exslt:uppercase(.))='AU']  
                       and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])"/>


        <!--
        Rule ID: VR.ATO.GEN.410212
        
        WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
        IF (pyde.xx.xx:AddressDetails.Country.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Country.Code <> "au") 
        AND  (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = FALSE)
        RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert  id="VR.ATO.GEN.410212" diagnostics="DVR.ATO.GEN.410212"
                test="not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
               and pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and normalize-space(exslt:uppercase(.))!='AU']  
                      and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')])"/>
        <!-- 
          Rule ID: VR.ATO.GEN.410167 
          
          WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
          IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = NULLORBLANK)
            RETURN VALIDATION MESSAGE
          END IF 
        -->
        <assert  id="VR.ATO.GEN.410167" diagnostics="DVR.ATO.GEN.410167"
                 test="pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') 
                              and string-length(normalize-space(.)) != 0]"/>
        <!--Rule ID: VR.ATO.GEN.430245	
          WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
          IF (pyde.xx.xx:AddressDetails.LocalityName.Text = NULLORBLANK)
          RETURN VALIDATION MESSAGE 	CMN.ATO.GEN.430245
          -->
        <assert  id="VR.ATO.GEN.430245" diagnostics="DVR.ATO.GEN.430245"
        test="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>


    </rule>

    <rule context="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]">

        <!-- Rule : VR.ATO.GEN.428254
            IF (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "UNKNOWN")
                RETURN VALIDATION MESSAGE
            ENDIF
         -->

        <assert  id="VR.ATO.GEN.428254" diagnostics="DVR.ATO.GEN.428254" test="not(regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$'))"/>

        <!--
            Rule ID: VR.ATO.GEN.410205
            
            IF (pyde.xx.xx:AddressDetails.Line1.Text = FOUND("AS ABOVE"))
              RETURN VALIDATION MESSAGE
            ENDIF 
            CMN.ATO.GEN.410001
        -->
        <assert id="VR.ATO.GEN.410205" diagnostics="DVR.ATO.GEN.410205"
                test="not(contains(exslt:uppercase(.), 'AS ABOVE'))"/>
        <!--
          Rule ID: VR.ATO.GEN.428240

          IF (pyde.02.00:AddressDetails.Line1.Text = FOUND("C/O","C/","Care Of","CO"))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

        <assert  id="VR.ATO.GEN.428240" diagnostics="DVR.ATO.GEN.428240" test="not(regexp:test(.,'^(?i)(C\/O |C\/ |Care Of |CO )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( C\/O | C\/ | Care Of | CO )(.*)$') or
                          regexp:test(.,'^(.*)(?i)( C\/O| C\/| Care Of| CO)$') or
                          regexp:test(.,'^(?i)(C\/O|C\/|Care Of|CO)$'))"/>
    </rule>

    <rule context="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]">

        <!-- Rule : VR.ATO.GEN.428255
            IF (pyde.xx.xx:AddressDetails.Line2.Text CONTAINS "UNKNOWN")
                RETURN VALIDATION MESSAGE
            ENDIF
         -->

        <assert  id="VR.ATO.GEN.428255" diagnostics="DVR.ATO.GEN.428255" test="not(regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$'))"/>
    </rule>



    <rule context="pyde.02.00:AddressDetails.Line3.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule ID: VR.ATO.GEN.410008
            
            IF (pyde.xx.xx:AddressDetails.Line3.Text <> NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410008" diagnostics="DVR.ATO.GEN.410008"
                test="string-length(normalize-space(.)) = 0"/>
    </rule>

    <rule context="pyde.02.00:AddressDetails.Line4.Text[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
            Rule ID: VR.ATO.GEN.410013
            
            IF (pyde.xx.xx:AddressDetails.Line4.Text <> NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF 
        -->
        <assert id="VR.ATO.GEN.410013" diagnostics="DVR.ATO.GEN.410013"
                test="string-length(normalize-space(.)) = 0"/>
    </rule>

    <rule context="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS "UNKNOWN")
               RETURN VALIDATION MESSAGE
            ENDIF
         -->
        <assert id="VR.ATO.GEN.428256" diagnostics="DVR.ATO.GEN.428256" 
                test="not(regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$'))"/>

        <!--
            IF (pyde.xx.xx:AddressDetails.LocalityName.Text = FOUND("QLD","NSW","VIC","SA","WA","NT ","ACT","TAS"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428230" diagnostics="DVR.ATO.GEN.428230" 
                test="not(regexp:test(.,'(?i)(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)'))"/>
    </rule>

    <rule context="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK)
                AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> SET ("ACT","NSW","NT","QLD","SA","VIC","WA","TAS","AAT"))
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <let name="ucName" value="exslt:uppercase(.)" />
        <assert id="VR.ATO.GEN.300003" diagnostics="DVR.ATO.GEN.300003"
                test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or                
                    $ucName = 'ACT' or 
                    $ucName = 'NSW' or 
                    $ucName = 'NT' or 
                    $ucName = 'QLD' or 
                    $ucName = 'SA' or 
                    $ucName = 'VIC' or 
                    $ucName = 'WA' or 
                    $ucName = 'TAS' or
                    $ucName = 'AAT'"/>
    </rule>


    <rule context="pyde.02.00:AddressDetails.CountryName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.GEN.410213
        
        IF (pyde.xx.xx:AddressDetails.CountryName.Text <> NULLORBLANK)
            RETURN VALIDATION MESSAGE
        ENDIF
        CMN.ATO.GEN.410213
        -->
        <assert  id="VR.ATO.GEN.410213" diagnostics="DVR.ATO.GEN.410213"
                 test="not(
                 
                 string-length(normalize-space(.)) != 0
                 
                 )"/>
    </rule>
</pattern>
