﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">



        <!-- 
            IF (RP:entity.identifier.TFN = NULLORBLANK) AND (INT:entity.identifier.ABN = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.001026" diagnostics="DVR.ATO.GEN.001026.FITR"
                test="not(
                        count(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                        xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])
                        = 0
                        and
                        count(xbrli:context[@id = $INT.ContextId and not(@i:nil='true' or @i:nil='1')]/
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                        xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0])
                        = 0
                     )" />
        
        <!--
            IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201"
                test="count(xbrli:context/xbrli:period[not(@i:nil='true' or @i:nil='1') and function:IsDate1GreaterOrEqualToDate2(./xbrli:startDate, ./xbrli:endDate)]) = 0"/>
        
        <!--
            IF COUNT(RP) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000208" diagnostics="DVR.ATO.GEN.000208"
                test="count(xbrli:context[@id=$RP.ContextId]) = 1"/>

        <!--
            IF COUNT(INT) > 1
            RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert  id="VR.ATO.GEN.000226" diagnostics="DVR.ATO.GEN.000226"
                 test="count($INT.Context) &lt;= 1"/>

        <!--
            IF context.id = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF        
        -->
        <assert id="VR.ATO.GEN.000240" diagnostics="DVR.ATO.GEN.000240.FITR"
                test="count(xbrli:context[(count(@id) = 0 or string-length(normalize-space(@id)) = 0) and not(@i:nil='true' or @i:nil='1')]) = 0"/>

        <!--
            IF (IntlJurisdiction.xx.xx:InternationalJurisdictionDimension <> NULLORBLANK) 
				AND (IntlJurisdiction.xx.xx:InternationalJurisdictionDimension <> SET("IntlJurisdiction.02.00:Australian", "IntlJurisdiction.02.00:Foreign"))
				RETURN VALIDATION MESSAGE
			ENDIF
        -->
        <assert id="VR.ATO.GEN.430261" diagnostics="DVR.ATO.GEN.430261"
                test="not(
                        xbrli:context[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                                xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
										and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') 
										and not(regexp:test(., '^IntlJurisdiction.02.00:(Australian|Foreign)$'))]
                    )"/>

        <!--
			IF (CountryResCFCClass.xx.xx:CountryOfResidencyCFCClassificationDimension <> NULLORBLANK) 
				AND (CountryResCFCClass.xx.xx:CountryOfResidencyCFCClassificationDimension <> 
					SET("CountryResCFCClass.02.00:ListedCountry", "CountryResCFCClass.02.00:Section404Country", "CountryResCFCClass.02.00:UnlistedCountry"))
			   RETURN VALIDATION MESSAGE
			ENDIF
        -->
        <assert id="VR.ATO.GEN.430262" diagnostics="DVR.ATO.GEN.430262"
                test="not(
                        xbrli:context[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                                xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and
                                        regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') 
                                            and not(regexp:test(., '^CountryResCFCClass.02.00:(ListedCountry|Section404Country|UnlistedCountry)$'))]
                    )"/>

        <!--
            IF COUNT(CONTEXT(RP.JAus)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430266" diagnostics="DVR.ATO.GEN.430266"
                test="count($RP.JAUS.Context) &lt;= 1"/>

        <!--
            IF COUNT(CONTEXT(RP.JForeign)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430267" diagnostics="DVR.ATO.GEN.430267"
                test="count($RP.JFOREIGN.Context) &lt;= 1"/>

        <!-- 
            IF COUNT(RP.TOFA) > 1
                RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.GEN.430302" diagnostics="DVR.ATO.GEN.430302"
                test="count($RP.TOFA.Context) &lt;= 1"/>

        <!--
            IF COUNT(CONTEXT(RP.CFCLC)) > 1
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FITR.434163" diagnostics="DVR.ATO.FITR.434163"
                test="count($RP.CFCLC.Context) &lt;= 1"/>

        <!--
            IF COUNT(CONTEXT(RP.CFC404)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF 
        -->
        <assert id="VR.ATO.FITR.434165" diagnostics="DVR.ATO.FITR.434165"
                test="count($RP.CFC404.Context) &lt;= 1"/>

        <!--
            IF COUNT(CONTEXT(RP.CFCUC)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FITR.434166" diagnostics="DVR.ATO.FITR.434166"
                test="count($RP.CFCUC.Context) &lt;= 1"/>
        <!--
            IF COUNT(CONTEXT(RP.Closing)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
         <assert id="VR.ATO.FITR.434240" diagnostics="DVR.ATO.FITR.434240"
                 test="not(count(xbrli:context[@id=$RP.Closing.ContextId])&gt; 1)
            "/>
        <!--
            IF COUNT(CONTEXT(RPI.Closing)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430280" diagnostics="DVR.ATO.GEN.430280"
                test="not(count(xbrli:context[@id=$RPI.Closing.ContextId])&gt; 1)
            "/>
        
    </rule>
    
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
            IF (INT:entity.identifier.ABN <> NULLORBLANK) AND
            (ABNALGORITHM (INT:entity.identifier.ABN) = FALSE)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
         <assert id="VR.ATO.GEN.428253" diagnostics="DVR.ATO.GEN.428253.FITR"
                 test="not(
                        @id = $INT.ContextId and 
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                          xbrli:identifier[not(@i:nil='true' or @i:nil='1')
                            and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN'
                            and string-length(normalize-space(.)) != 0
                            and not(function:ValidateABN(.))]
                    )"/>
        
        <!--
            IF (RP:entity.identifier.TFN = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113.FITR"
                 test="not(
                        @id = $RP.ContextId and 
                        not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                           xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])
                      )"/>
        
        <!--
            IF (entity.identifier.TFN WHERE CONTEXT (ALL))<> RP.entity.identifier.TFN
                RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert  id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023"
                 test="
                    (xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn'and not(@i:nil='true' or @i:nil='1')] =
                    $RP.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')])
                    or
                    not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')])"/>

        <!--
            IF (FinclArrngmtType.xx.xx:FinancialArrangementTypeDimension <> NULLORBLANK) 
				AND (FinclArrngmtType.xx.xx:FinancialArrangementTypeDimension <> "FinclArrngmtType.02.00:TOFA")
			   RETURN VALIDATION MESSAGE
			ENDIF
        -->
        <assert id="VR.ATO.GEN.430301" diagnostics="DVR.ATO.GEN.430301"
                test="not(
						xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
							/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')
								and regexp:test(@dimension, '^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$')
								and . != 'FinclArrngmtType.02.00:TOFA']
						)"/>		
        
        <!--
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = "RprtPyType.02.03:ReportingParty")
            AND (entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432265" diagnostics="DVR.ATO.GEN.432265"
                test="not(
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:(ReportingParty)$')]
                    )
                    or
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = "RprtPyType.02.03:Intermediary")
            AND (entity.identifier.scheme <> "http://www.ato.gov.au/abn")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432266" diagnostics="DVR.ATO.GEN.432266"
                test="not(
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                    xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:(Intermediary)$')]
                    )
                    or
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/abn' and not(@i:nil='true' or @i:nil='1')]"/>

        <!--  
            IF (OpenCloseBalance.xx.xx:OpeningClosingBalanceDimension <> NULLORBLANK) AND (OpenCloseBalance.xx.xx:OpeningClosingBalanceDimension <> “OpenCloseBalance.02.00:Closing”)
            RETURN VALIDATION MESSAGE
        -->
        <assert id="VR.ATO.FITR.434151" diagnostics="DVR.ATO.FITR.434151"
        test="not(
                    xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                        /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                        and @dimension = 'OpenCloseBalance.02.00:OpeningAndClosingBalanceDimension'
                        and not(regexp:test(., '^OpenCloseBalance.02.00:(Closing)$'))]

                  )"/>
        <!-- 
            IF period.startDate = NULLORBLANK WHERE CONTEXT <> "RPI"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FITR.434153" diagnostics="DVR.ATO.FITR.434153"
                test="(@id=$RPI.Closing.ContextId) or
                       xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
        
        <!-- 
            IF period.startDate = NULLORBLANK WHERE CONTEXT <> "RPI"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.FITR.434154" diagnostics="DVR.ATO.FITR.434154"
                test="(@id=$RPI.Closing.ContextId) or
                       xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--
            IF period.instant = NULLORBLANK WHERE CONTEXT = "RPI"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.FITR.434157" diagnostics="DVR.ATO.FITR.434157"
                 test="not(@id=$RPI.Closing.ContextId) or
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:Intermediary") AND 
               (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:ReportingParty")    
                    RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert id="VR.ATO.GEN.410197" diagnostics="DVR.ATO.GEN.410197.FITR"
                test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                            /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') 
                                and @dimension = 'RprtPyType.02.03:ReportPartyTypeDimension'
                                and not(regexp:test(., '^RprtPyType.02.03:(Intermediary|ReportingParty)$'))]
                      )"/>
        <!--
            IF entity.identifier.ABN = NULLORBLANK WHERE CONTEXT = "INT"
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430316" diagnostics="DVR.ATO.GEN.430316"
                test="not(
                            @id = $INT.ContextId and 
                           not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                                    xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0]) 
                         )"/>
        <!--
            IF entity.identifier.TFN = NULLORBLANK WHERE CONTEXT <> "INT"
                RETURN VALIDATION MESSAGE  
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430317" diagnostics="DVR.ATO.GEN.430317"
                test="not(
                           @id != $INT.ContextId and 
                           not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                               xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0]) 
                        )"/>
    </rule>

    <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (RP:entity.identifier.TFN <> NULLORBLANK) AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF        
        -->
        <assert id="VR.ATO.GEN.428016" diagnostics="DVR.ATO.GEN.428016.0" 
                test="
                        not(../../@id = $RP.ContextId) 
                        or 
                        not(exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN') or string-length(normalize-space(.)) = 0 or function:ValidateTFN(.)
                    "/>
        <!-- 
            IF entity.identifier.ABN <> NULLORBLANK AND ABNALGORITHM(entity.identifier.ABN) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430318" diagnostics="DVR.ATO.GEN.430318"
                test="not(exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN') 
                        or string-length(normalize-space(.)) = 0 
                        or function:ValidateABN(.)"/>
    </rule>
</pattern>
