﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable accross all of the FITR services.</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/fitr/fitr_0001/fitr.0001.lodge.request.02.00.report.xsd']]">


        <!-- 
          Rule ID: VR.ATO.FITR.434092
          
          IF ([FITR78] > 0 OR [FITR79] > 0 OR [FITR80] > 0) AND (COUNT(SCHEDULE = "S25A") = 0)
            RETURN VALIDATION MESSAGE
          END IF
           
          [FITR78] = FITR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
          [FITR79] = FITR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
          [FITR80] = FITR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
        -->
        <assert  id="VR.ATO.FITR.434092" diagnostics="DVR.ATO.FITR.434092" subject="bafpr3.02.02:Income.InternationalDealings.Attributed.Amount"
                 test="not(
                        count($S25A.Context) = 0
                        and (
                              sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt; 0
                              or sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt; 0
                              or sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt; 0
                             ) 
                        )"></assert>

        <!--
            Rule ID: VR.ATO.FITR.434090
            
            IF (([FITR78] = 0 OR [FITR78] = NULL) AND ([FITR79] = 0 OR [FITR79] = NULL) AND ([FITR80] = 0 OR [FITR80] = NULL)) AND (COUNT(SCHEDULE = "S25A") = 1) AND ([S25A62] > 0 OR [S25A63] > 0 OR [S25A64] > 0)
                RETURN VALIDATION MESSAGE
            ENDIF
                    
            [FITR78] = FITR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
            [FITR79] = FITR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
            [FITR80] = FITR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
            [S25A62] = S25A:RP.All:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A63] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            [S25A64] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
        -->
        <assert  id="VR.ATO.FITR.434090" diagnostics="DVR.ATO.FITR.434090"
                 test="not(
                          ( sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFCLC.FITR.ContextId]))=0
                            and sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFC404.FITR.ContextId]))=0 
                            and sum(common:node-set( bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFCUC.FITR.ContextId]))=0 
                           )
                          and 
                             count($S25A.Context) = 1
                          and
                           ( sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.All.S25A.ContextId])) &gt;0
                             or sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.S25A.ContextId])) &gt;0
                             or  sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.S25A.ContextId])) &gt;0
                            )
                       )"></assert>


        <!-- Rule ID: VR.ATO.FITR.434093
      IF ([FITR78] > 0 OR [FITR79] > 0 OR [FITR80] > 0) AND ((COUNT(SCHEDULE = "S25A") = 1) AND ([S25A53] = 0 OR [S25A53] = NULL) AND ([S25A55] = 0 OR [S25A55] = NULL) AND ([S25A57] = 0 OR [S25A57] = NULL) AND ([S25A54] = 0 OR [S25A54] = NULL) AND ([S25A56] = 0 OR [S25A56] = NULL) AND ([S25A58] = 0 OR [S25A58] = NULL))
      RETURN VALIDATION MESSAGE
      ENDIF^^
      [FITR78] = FITR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
      [FITR79] = FITR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
      [FITR80] = FITR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
      [S25A53] = S25A:RP.Opening.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
      [S25A55] = S25A:RP.Opening.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
      [S25A57] = S25A:RP.Opening.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
      [S25A54] = S25A:RP.Closing.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
      [S25A56] = S25A:RP.Closing.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
      [S25A58] = S25A:RP.Closing.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count-->

        <assert  id="VR.ATO.FITR.434093" diagnostics="DVR.ATO.FITR.434093"
             
                test="not(
                         ( sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFCLC.FITR.ContextId]))&gt;0
                            or sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFC404.FITR.ContextId]))&gt;0 
                            or sum(common:node-set( bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFCUC.FITR.ContextId]))&gt;0
                          )
                          and 
                          (
                             count($S25A.Context) = 1
                            and sum(common:node-set($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                            and  sum(common:node-set($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                            and sum(common:node-set($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                            and sum(common:node-set($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                            and sum(common:node-set($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                            and sum(common:node-set($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                            )
                       )"></assert>

        <!--Rule ID: VR.ATO.FITR.434093
      IF ([FITR78] > 0 OR [FITR79] > 0 OR [FITR80] > 0) AND ((COUNT(SCHEDULE = "S25A") = 1) AND ([S25A62] = 0 OR [S25A62] = NULL) AND ([S25A63] = 0 OR [S25A63] = NULL) AND ([S25A64] = 0 OR [S25A64] = NULL))
      RETURN VALIDATION MESSAGE
      ENDIF^^
      [FITR78] = FITR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
      [FITR79] = FITR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
      [FITR80] = FITR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
      [S25A62] = S25A:RP.All:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
      [S25A63] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
      [S25A64] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
      
       $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.All.S25A.ContextId] 
       $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.S25A.ContextId]
       $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.S25A.ContextId]
      -->

        <assert  id="VR.ATO.FITR.434094" diagnostics="DVR.ATO.FITR.434094"
             
             test="not(
                         ( sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFCLC.FITR.ContextId]))&gt;0
                            or sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFC404.FITR.ContextId]))&gt;0 
                            or sum(common:node-set( bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.CFCUC.FITR.ContextId]))&gt;0
                          )
                          and 
                          (
                             count($S25A.Context) = 1
                             and sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.All.S25A.ContextId] )) = 0
                             and  sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.S25A.ContextId])) = 0
                             and  sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.S25A.ContextId])) = 0
                           )
                       )"></assert>

        <!--
      Rule ID: VR.ATO.FITR.434033
      
      IF [FITR22] = TRUE AND (COUNT(SCHEDULE = "CGTS") = 0)
      RETURN VALIDATION MESSAGE
      ENDIF
      [FITR22] = FITR:RP:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
    -->
        <assert  id="VR.ATO.FITR.434033" diagnostics="DVR.ATO.FITR.434033"
                 test="
                  not
                  (
                     rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.)='TRUE' or .='1')]
                     and 
                     count($CGT.Context) = 0
                  )"></assert>

        <!--
      RULE: VR.ATO.FITR.434034
      
      IF [FITR23] > 10000 AND  (COUNT(SCHEDULE = "CGTS") = 0)
      RETURN VALIDATION MESSAGE
      ENDIF
      [FITR23] = FITR:RP:Income.CapitalGainsNet.Amount-->

        <assert id="VR.ATO.FITR.434034" diagnostics="DVR.ATO.FITR.434034" test="not
              (    
                    sum(common:node-set(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt; 10000
                        and
                        (
                        count($CGT.Context) = 0
                        )                
              )"/>

        <!--
      Rule ID: VR.ATO.FITR.434036
      
      IF (COUNT(SCHEDULE = "CGTS") = 1) AND [FITR23] <> ([CGTS59] + [CGTS60] + [CGTS61])
      [FITR23] = FITR:RP:Income.CapitalGainsNet.Amount
      [CGTS59] = CGTS:RP.MI:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
      [CGTS60] = CGTS:RP.MD:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
      [CGTS61] = CGTS:RP.MO:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
    -->
        <assert  id="VR.ATO.FITR.434036" diagnostics="DVR.ATO.FITR.434036"
                 test="
                  not
                  (
                   count($CGT.Context) = 1
                   and
                   (
                    round(sum(common:node-set(//bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]
                    )) * 100)
                    != 
                    round(sum(common:node-set(//bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                      |//bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                      |//bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    )) * 100)
                   )
                  )"></assert>


        <!--
        Rule ID: VR.ATO.FITR.434010
        
        IF (COUNT(SCHEDULE = ""TCS"") = 1) AND [FITR7] = NULLORBLANK 
           RETURN VALIDATION MESSAGE
        ENDIF
        [FITR7] = FITR:RP:Identifiers.AustralianBusinessNumber.Identifier
    -->
        <assert id="VR.ATO.FITR.434010" diagnostics="DVR.ATO.FITR.434010"
                test="not(
                      count($TCS.Context) &gt; 0
                      and
                      not(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                  )"/>


        <!--
      Rule ID: VR.ATO.FITR.434044
      
      IF [FITR32] > 0 AND  AND (COUNT(SCHEDULE = "NIPSS") = 0) 
        RETURN VALIDATION MESSAGE
      ENDIF
      [FITR32] = FITR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
    -->
        <assert  id="VR.ATO.FITR.434044" diagnostics="DVR.ATO.FITR.434044"
                 test="
                 not
                 (
                    number(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    and 
                    count($NIPSS.Context) = 0
                 )"></assert>


        <!--
      Rule ID: VR.ATO.FITR.434045
      
      IF (COUNT(SCHEDULE = "NIPSS") = 1)
      AND [FITR32] > 0
      AND (([FITR72] + 1) < SUM([NIPSS28])) 
      RETURN VALIDATION MESSAGE
      ENDIF
    
      [FITR32] = FITR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
      [FITR72] = FITR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
      [NIPSS28] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
      WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN")
      IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding) IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
    -->
        <assert  id="VR.ATO.FITR.434045" diagnostics="DVR.ATO.FITR.434045"
                 test="
                 not
                 (
                    count($NIPSS.Context) = 1  
                    and
                    number(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    and 
                    (
                      round(sum(common:node-set(
                        rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )) + 1) * 100
                      &lt; 
                      round(sum(common:node-set(
                        $NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/nipss.0001.lodge.req.02.00:PAYGWithholding[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code)='DNOABN']
                      ))) * 100
                    )
                 )"></assert>

        <!--
        Rule ID: VR.ATO.FITR.434056
        
        IF (COUNT(SCHEDULE = ""NIPSS"") = 1) AND SUM([NIPSS4]) > [FITR47]
        [NIPSS4] = NIPSS:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        [FITR47] = FITR:RP:Income.Other.Amount
        -->
        <assert id="VR.ATO.FITR.434056" diagnostics="DVR.ATO.FITR.434056"
                 test="not(count($NIPSS.Context) = 1
                       and
                       sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
                                            [@contextRef = $RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                       &gt; 
                       sum(common:node-set(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.FITR.ContextId  and not(@i:nil='true' or @i:nil='1')])))"/>

        <!--
            IF (COUNT(SCHEDULE = "NIPSS") = 1) AND SUM([NIPSS3]) > ([FITR71] + 1)  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [NIPSS3] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
                WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW") 
                    IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding) IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            
            [FITR71] = FITR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
        -->
        <assert id="VR.ATO.FITR.434080" diagnostics="DVR.ATO.FITR.434080"
                test="not(
                        count($NIPSS.Context) = 1 and
                        (
                            sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer/nipss.0001.lodge.req.02.00:PAYGWithholding
                                /rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                                [@contextRef = $RP.NIPSS.ContextId 
                                 and exslt:uppercase(../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[not(@i:nil='true' or @i:nil='1')]) = 'DFRW'
                                 and not(@i:nil='true' or @i:nil='1')]))
                            &gt; 
                            (sum(common:node-set(rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
                                [@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                             + 1)
                        )
                      )"/>

        <!--
			IF ([FITR76] + [FITR77]) > 100000 AND (COUNT(SCHEDULE = "LS") = 0) 
				RETURN VALIDATION MESSAGE
			ENDIF
			
			[FITR76] = FITR:RP.Closing:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
			[FITR77] = FITR:RPI.Closing:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->
        <assert id="VR.ATO.FITR.434085" diagnostics="DVR.ATO.FITR.434085"
                test="not(
						count($LOS.Context) = 0 
						and
						round(sum(common:node-set(
							rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]
							| rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef = $RPI.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))* 100 )
						&gt; 
						100000 * 100
					)"/>

        <!--
			IF (COUNT(SCHEDULE = "LS") = 1) AND [LS50] <> [FITR76]  
				RETURN VALIDATION MESSAGE
			ENDIF
	        
			[LS50] = LS:RP.ALL:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
			[FITR76] = FITR:RP.Closing:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->
        <assert id="VR.ATO.FITR.434086" diagnostics="DVR.ATO.FITR.434086"
				test="
					not
					(
						count($LOS.Context) = 1
						and
						round(sum(common:node-set(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))*100)
						!=
						round(sum(common:node-set($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.All.LOS.ContextId and not(@i:nil='true' or @i:nil='1')]))*100)
					)"/>

        <!--
        Rule ID: VR.ATO.FITR.434087
        
        IF (COUNT(SCHEDULE = "LS") = 1) AND [LS52] <> [FITR77]  
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [LS52] = LS:RP.ALL:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
        [FITR77] = FITR:RPI.Closing:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->
        <assert  id="VR.ATO.FITR.434087" diagnostics="DVR.ATO.FITR.434087"
         test="
            not
            (
                count($LOS.Context) = 1
                and
                round(sum(common:node-set(rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))*100)
                !=
                round(sum(common:node-set($LOS.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.All.LOS.ContextId and  not(@i:nil='true' or @i:nil='1')]))*100)
            )"/>


        <!--
        Rule ID: VR.ATO.FITR.434088
        
        IF (COUNT(SCHEDULE = "CGTS") = 1) AND ([CGTS62] + [CGTS63]) <> [FITR77]  
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [CGTS62] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedCollectables.Amount
        [CGTS63] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedOther.Amount
        [FITR77] = FITR:RPI.Closing:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->
        <assert  id="VR.ATO.FITR.434088" diagnostics="DVR.ATO.FITR.434088"
                 test="
                 not
                 (
                     count($CGT.Context) = 1
                     and
                     round(sum(common:node-set($CGT.Context/rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedCollectables.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]|$CGT.Context/rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedOther.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))*100)
                     !=
                     round(sum(common:node-set(rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Closing.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))*100)
                 )"/>


        <!--
      Rule ID: VR.ATO.FITR.434046
      
      IF (COUNT(SCHEDULE = "NIPSS") = 1) AND SUM([NIPSS9]) <> [FITR32] 
        RETURN VALIDATION MESSAGE
      ENDIF
      [NIPSS9] = NIPSS:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
      [FITR32] = FITR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
      -->

        <!--<assert id="VR.ATO.FITR.434046" diagnostics="DVR.ATO.FITR.434046" 
              test="not
              (
              (count($NIPSS.Context) = 1)
              and
              (
              sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]))!=
              sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))
              )
              )"/>-->

        <assert id="VR.ATO.FITR.434046" diagnostics="DVR.ATO.FITR.434046"
                test="not
              (
              count($NIPSS.Context) = 1
              and
              sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]))
              != 
              sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')]))  
              
              )"/>

        <!--                      
            IF [FITR22] = TRUE AND (COUNT(SCHEDULE = "CGTS") = 1) AND ([CGTS86] = NULL AND [CGTS85] = NULL AND [CGTS87] = NULL AND [CGTS83] = NULL AND [CGTS82] = NULL AND [CGTS84] = NULL AND [CGTS81] = NULL)  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR22] = FITR:RP:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
            [CGTS86] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS85] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS87] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS83] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS82] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS84] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS81] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount
      -->
        <assert  id="VR.ATO.FITR.434031" diagnostics="DVR.ATO.FITR.434031"
                 test="
                  not(
                  rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and (.='true' or .='1')]
                  and
                  count($CGT.Context) = 1
                  and
                  count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  and
                  count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  and
                  count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  and
                  count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  and
                  count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  and
                  count($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  and
                  count($CGT.Context/rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                  )
                  "/>


        <!--
            IF (COUNT(SCHEDULE = "CGTS") = 1)  AND [FITR22] <> TRUE  AND ([CGTS86] <> NULL OR [CGTS85] <> NULL OR [CGTS87] <> NULL OR [CGTS83] <> NULL OR [CGTS82] <> NULL OR [CGTS84] <> NULL OR [CGTS81] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            [FITR22] = FITR:RP:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
            [CGTS86] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS85] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS87] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS83] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS82] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS84] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS81] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount
      -->
        <assert  id="VR.ATO.FITR.434032" diagnostics="DVR.ATO.FITR.434032"
                 test="
                  not(
                  count($CGT.Context) = 1
                  and 
                  not(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and (.='true' or .='1')])
                  and
                  (
                    $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                    or
                    $CGT.Context/rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                  )
                  )
                  "/>


        <!-- Rule ID: VR.ATO.FITR.434066
        
        IF ([FITR56] > 100000) AND (COUNT(SCHEDULE = "CAS") = 0) 
        RETURN VALIDATION MESSAGE
        ENDIF
        
        NOTE:
       [FITR56] = FITR:RP:Expense.DepreciationAllowableDeduction.Amount
        -->
        <assert id="VR.ATO.FITR.434066" diagnostics="DVR.ATO.FITR.434066" test="not
                (
                number(bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount[@contextRef=$RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1')  and string-length(normalize-space(.)) != 0]) &gt; 100000
                and
                count($CAS.Context) = 0
                )"/>


        <!-- Rule ID: VR.ATO.FITR.434140
        
        IF (COUNT(SCHEDULE = "CAS") = 1)  AND ([CAS39] > 0 OR [CAS40] > 0) AND [FITR134] = NULL AND [FITR135] = NULL AND [FITR136] = NULL
        RETURN VALIDATION MESSAGE
        ENDIF
        
        NOTE:
        [CAS39] = CAS:RP:bafpr1.xx.xx:Income.HedgingGains.Amount
        [CAS40] = CAS:RP:bafpr1.xx.xx:Expense.HedgingLosses.Amount
        [FITR134] = FITR:RP.TOFA:Income.GainsTotal.Amount
        [FITR135] = FITR:RP.TOFA:Expense.LossesTotal.Amount
        [FITR136] = FITR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
        -->
        <assert id="VR.ATO.FITR.434140" diagnostics="DVR.ATO.FITR.434140" test="not
                (
                count ($CAS.Context) = 1
                    and
                    (
                    number ($CAS.Context/bafpr1.02.02:Income.HedgingGains.Amount[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    or
                    number ($CAS.Context/bafpr1.02.02:Expense.HedgingLosses.Amount[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    )
                    and
                    (
                    not (bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.FITR.ContextId and not(@i:nil='true' or @i:nil='1')])
                    )
                    and
                    (
                    not(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.FITR.ContextId and not(@i:nil='true' or @i:nil='1')])
                    )
                    and
                    (
                    not(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef=$RP.TOFA.FITR.ContextId and not (@i:nil='true' or @i:nil='1')])
                    )
                
                )"/>

        <!--
            IF COUNT(SCHEDULE = "CAS") = 1 AND ([CAS13] + [CAS14]) > [FITR56]  
                RETURN VALIDATION MESSAGE
            ENDIF

            [CAS13] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.DeductionForDeclineInValuePrimeCostMethodTotal.Amount
            [CAS14] = CAS:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.DeductionForDeclineInValueDiminishingValueMethodTotal.Amount
            [FITR56] = FITR:RP:Expense.DepreciationAllowableDeduction.Amount
        -->
        <assert id="VR.ATO.FITR.434065" diagnostics="DVR.ATO.FITR.434065"
                test="not(
                        count($CAS.Context) = 1
                        and (
                          (round(sum(common:node-set($CAS.Context/bafpr3.02.02:Expense.DepreciatingAssets.DeductionForDeclineInValuePrimeCostMethodTotal.Amount[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')]))*100) +
                           round(sum(common:node-set($CAS.Context/bafpr3.02.02:Expense.DepreciatingAssets.DeductionForDeclineInValueDiminishingValueMethodTotal.Amount[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')]))*100))
                            &gt;
                          round(sum(common:node-set(bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount[@contextRef=$RP.FITR.ContextId and not (@i:nil='true' or @i:nil='1')]))*100)
                        )
                      )"/>

        <!--
            IF ([FITR91] = TRUE OR [FITR92] = TRUE) AND  (COUNT(SCHEDULE = "S25A") = 0)  
                RETURN VALIDATION MESSAGE
            ENDIF 
            [FITR91] = FITR:RP:rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [FITR92] = FITR:RP:rvctc4.xx.xx:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
        -->
        <assert  id="VR.ATO.FITR.434108" diagnostics="DVR.ATO.FITR.434108"
                   test="not(
                        count($S25A.Context) = 0
                        and (
                              (rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='TRUE' or .='1'])
                             or (rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='TRUE' or .='1'])
                             ) 
                        )"/>

        <!--        
            IF([FITR91] = FALSE) AND (COUNT(SCHEDULE ="S25A") = 1) AND 
              (((ANY OCCURRENCE OF([S25A5])) <> NULLORBLANK) OR ([S25A6] > 0) OR ([S25A7] <> NULLORBLANK) OR ([S25A8] <> NULLORBLANK) OR ([S25A9] <> NULLORBLANK) OR 
              ([S25A10] > 0) OR ([S25A11] > 0) OR ([S25A12] > 0) OR ([S25A13] > 0) OR 
              ([S25A14] > 0) OR ([S25A15] > 0) OR ([S25A16] > 0) OR ([S25A17] > 0)OR ([S25A18] > 0)OR ([S25A19] > 0)OR ([S25A20] > 0) OR ([S25A21] > 0) OR
              ([S25A22] > 0) OR ([S25A23] > 0) OR ([S25A24] > 0) OR ([S25A25] > 0) OR  ([S25A26] > 0) OR  ([S25A27] > 0) OR  ([S25A28] > 0) OR  ([S25A29] > 0) OR  
              ([S25A30] > 0) OR ([S25A31] > 0) OR ([S25A32] > 0) OR  ([S25A33] > 0) OR  ([S25A34] > 0) OR  ([S25A35] > 0) OR   
              ([S25A36] > 0) OR ([S25A37] > 0)OR ([S25A38] > 0) OR ([S25A39] > 0) OR ([S25A40] > 0) OR  ([S25A41] > 0) OR 
              ([S25A42] <> NULL) OR  ([S25A43] <> NULL) OR ([S25A44] <> NULLORBLANK) OR ([S25A45] <> NULLORBLANK) OR 
              (ANY OCCURRENCE OF([S25A46]) <> NULLORBLANK) OR ([S25A47] <> NULLORBLANK) OR 
              ([S25A48] <> NULL) OR ((ANY OCCURRENCE OF ([S25A49])) <> NULLORBLANK) OR ([S25A50] <> NULLORBLANK) OR 
              ([S25A51] <> NULL) OR ([S25A52] > 0))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR91] = FITR:RP:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [S25A5] = S25A:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A6] = S25A:RP:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A7] = S25A:RP:OrganisationDetails.InternationalRelatedPartyCountry.Code 
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = "1") 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )            
            [S25A8] = S25A:RP:OrganisationDetails.InternationalRelatedPartyCountry.Code 
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = "2") 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )            
            [S25A9] = S25A:RP:OrganisationDetails.InternationalRelatedPartyCountry.Code 
            WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = '3') 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )            
            [S25A10] = S25A:RP:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A11] = S25A:RP:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A12] = S25A:RP:Expense.TangiblePropertyOther.Amount
            [S25A13] = S25A:RP:Income.TangiblePropertyOther.Amount
            [S25A14] = S25A:RP:Expense.Royalties.Amount
            [S25A15] = S25A:RP:Income.Royalties.Amount
            [S25A16] = S25A:RP:Expense.RentOtherThanRoyalties.Amount
            [S25A17] = S25A:RP:Income.RentOtherThanRoyalties.Amount
            [S25A18] = S25A:RP:Expense.IntangiblePropertyOther.Amount
            [S25A19] = S25A:RP:Income.IntangiblePropertyOther.Amount
            [S25A20] = S25A:RP:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A21] = S25A:RP:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A22] = S25A:RP:Expense.ServicesTechnicalAndConstruction.Amount
            [S25A23] = S25A:RP:Income.ServicesTechnicalAndConstruction.Amount
            [S25A24] = S25A:RP:Expense.ServicesResearchAndDevelopment.Amount
            [S25A25] = S25A:RP:Income.ServicesResearchAndDevelopment.Amount
            [S25A26] = S25A:RP:Expense.ServicesOther.Amount
            [S25A27] = S25A:RP:Income.ServicesOther.Amount
            [S25A28] = S25A:RP:Expense.InterestAndDiscounts.Amount
            [S25A29] = S25A:RP:Income.InterestAndDiscounts.Amount
            [S25A30] = S25A:RP:Expense.Insurance.Amount
            [S25A31] = S25A:RP:Income.Insurance.Amount
            [S25A32] = S25A:RP:Expense.OtherPayments.Amount
            [S25A33] = S25A:RP:Income.OtherPayments.Amount
            [S25A34] = S25A:RP.Opening:Liabilities.InterestBearingLoans.Amount
            [S25A35] = S25A:RP.Closing:Liabilities.InterestBearingLoans.Amount
            [S25A36] = S25A:RP.Opening:Assets.InterestBearingLoanReceivable.Amount
            [S25A37] = S25A:RP.Closing:Assets.InterestBearingLoanReceivable.Amount
            [S25A38] = S25A:RP.Opening:Liabilities.InterestFreeLoans.Amount
            [S25A39] = S25A:RP.Closing:Liabilities.InterestFreeLoans.Amount
            [S25A40] = S25A:RP.Opening:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A41] = S25A:RP.Closing:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A42] = S25A:RP:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A43] = S25A:RP:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A44] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
            [S25A45] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
            [S25A46] = S25A:RP:Miscellaneous.ArmsLengthPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A47] = S25A:RP:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A48] = S25A:RP:Miscellaneous.CapitalNature.Indicator
            [S25A49] = S25A:RP:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code 
            IN TUPLE(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods )
            [S25A50] = S25A:RP:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
            [S25A51] = S25A:RP:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator
            [S25A52] = S25A:RP:Miscellaneous.NumberofRelatedParties.Count
        -->
        <assert id="VR.ATO.FITR.434107" diagnostics="DVR.ATO.FITR.434107"
                test="not(                          
                          not(rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
                                [@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') 
                                 and exslt:uppercase(.)='TRUE' or .='1'])
                          and count($S25A.Context) = 1
                          and (                          
                               count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity
                                        /pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
                                        [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') 
                                         and string-length(normalize-space(.)) != 0])
	                           &gt; 0
                            or sum(common:node-set($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity
                                        /bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount
                                        [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                           &gt; 0                               
                            or count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity
                                    /s25a.0002.lodge.request.02.00:ForeignLocations
                                    /pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code
                                    [../pyin.02.00:Report.ItemOrder.Number='1' and @contextRef = $RP.S25A.ContextId 
                                     and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                               &gt; 0
                            or count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity
                                    /s25a.0002.lodge.request.02.00:ForeignLocations
                                    /pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code
                                    [../pyin.02.00:Report.ItemOrder.Number='2' and @contextRef = $RP.S25A.ContextId 
                                     and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                               &gt; 0
                            or count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity
                                    /s25a.0002.lodge.request.02.00:ForeignLocations
                                    /pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code
                                    [../pyin.02.00:Report.ItemOrder.Number='3' and @contextRef = $RP.S25A.ContextId 
                                     and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                               &gt; 0
                            or count($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                               &gt; 0
                            or count($S25A.Context/bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                               &gt; 0
                            or count($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyOther.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.TangiblePropertyOther.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.04:Expense.Royalties.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.Royalties.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.RentOtherThanRoyalties.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Expense.IntangiblePropertyOther.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.IntangiblePropertyOther.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0 
                            or count($S25A.Context/bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.02:Income.ServicesTechnicalAndConstruction.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
                            or count($S25A.Context/bafpr1.02.02:Expense.ServicesResearchAndDevelopment.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.02:Income.ServicesResearchAndDevelopment.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
                            or count($S25A.Context/bafpr1.02.02:Expense.ServicesOther.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.ServicesOther.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Expense.InterestAndDiscounts.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.InterestAndDiscounts.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
                            or count($S25A.Context/bafpr1.02.00:Expense.Insurance.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.00:Income.Insurance.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.02:Expense.OtherPayments.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpr1.02.02:Income.OtherPayments.Amount
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
                            or count($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount
                                [@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount
                                [@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount
                                [@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount
                                [@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
                            or count($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount
                                [@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount
                                [@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount
                                [@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
	                        or count($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount
                                [@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                           &gt; 0
                            or count($S25A.Context/bafot.02.02:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                             
                               &gt; 0
	                        or count($S25A.Context/bafot.02.02:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                               &gt; 0    
	                        or  count($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                           &gt; 0   
	                        or count($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                           &gt; 0
                            or count($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                           &gt; 0
	                        or count($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                           &gt; 0
                            or count($S25A.Context/bafot.02.02:Miscellaneous.CapitalNature.Indicator
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                               &gt; 0
	                        or count($S25A.Context/s25a.0002.lodge.req.02.00:AcquisitionsAndDisposalsPricingMethods/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                           &gt; 0
	                        or count($S25A.Context/bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                           &gt; 0
	                        or count($S25A.Context/bafot.02.02:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                               &gt; 0
	                        or count($S25A.Context/rvctc4.02.00:Miscellaneous.NumberofRelatedParties.Count
                                [@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and number(.) &gt; 0])
	                           &gt; 0                        
                          )                              
                        )"/>

        <!-- 
            IF [FITR92] = FALSE AND (COUNT(SCHEDULE = "S25A") = 1) 
                AND (
                        [S25A53] > 0 OR 
                        [S25A54] > 0 OR 
                        [S25A55] > 0 OR 
                        [S25A56] > 0 OR 
                        [S25A57] > 0 OR 
                        [S25A58] > 0 OR 
                        [S25A59] > 0 OR 
                        [S25A60] > 0 OR 
                        [S25A61] > 0 OR 
                        [S25A62] > 0 OR 
                        [S25A63] > 0 OR 
                        [S25A64] > 0 OR 
                        [S25A65] > 0 OR 
                        [S25A66]  > 0 OR 
                        [S25A67]  > 0 OR  
                        [S25A68]  > 0 OR  
                        [S25A69]  > 0 OR  
                        [S25A70]  > 0 OR 
                        [S25A71]  > 0 OR 
                        [S25A72]  > 0 OR  
                        [S25A73] > 0 OR  
                        [S25A76] <> NULL OR 
                        [S25A77] <> NULL OR 
                        [S25A78] <> NULL OR 
                        [S25A79] <> NULL OR 
                        [S25A80] <> NULL OR 
                        [S25A81] <> NULL OR 
                        [S25A82] <> NULL OR 
                        [S25A83] <> NULL OR 
                        [S25A84] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR92] = FITR:RP:rvctc4.xx.xx:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [S25A53] = S25A:RP.Opening.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A54] = S25A:RP.Closing.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A55] = S25A:RP.Opening.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A56] = S25A:RP.Closing.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A57] = S25A:RP.Opening.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A58] = S25A:RP.Closing.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A59] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A60] = S25A:RP.CFC404:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A61] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A62] = S25A:RP.All:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A63] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            [S25A64] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
            [S25A65] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A66] = S25A:RP.s404AndUnlisted:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A67] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A68] = S25A:RP.CFC404:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A69] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A70] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A71] = S25A:RP.CFC404:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A72] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A73] = S25A:RP:bafpr1.xx.xx:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount
            [S25A76] = S25A:RP:bafot.xx.xx:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A77] = S25A:RP:bafot.xx.xx:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A78] = S25A:RP:bafot.xx.xx:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A79] = S25A:RP:bafot.xx.xx:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A80] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
            [S25A81] = S25A:RP:bafot.xx.xx:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
            [S25A82] = S25A:RP:bafot.xx.xx:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
            [S25A83] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
            [S25A84] = S25A:RP:bafot.xx.xx:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator
        -->
        <assert id="VR.ATO.FITR.434118" diagnostics="DVR.ATO.FITR.434118" test="not
                (
                (rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='FALSE' or .='0'])
                and
                (count ($S25A.Context) = 1)
                and
                (
                sum(common:node-set($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                or
                sum(common:node-set($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Closing.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                or
                sum(common:node-set($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                or
                sum(common:node-set($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Closing.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                or
                sum(common:node-set($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                or
                sum(common:node-set($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Closing.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                or
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                or
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                or
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                or 
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.All.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                or 
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                or 
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                or 
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                or 
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.s404andUnlisted.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]))  &gt; 0 
                or 
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]))  &gt; 0 
                or 
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]))  &gt; 0 
                or 
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]))  &gt; 0 
                or 
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]))  &gt; 0 
                or 
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]))  &gt; 0 
                or 
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]))  &gt; 0 
                or 
                sum(common:node-set($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                or
                $S25A.Context/bafot.02.02:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')] 
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                or 
                $S25A.Context/bafot.02.02:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator[@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')]
                ))"/>

        <!--
            IF [FITR91] = TRUE AND (COUNT(SCHEDULE = "S25A") = 1) AND 
            (COUNT TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity) = 0) AND 
            [S25A10] = NULL AND [S25A11] = NULL AND [S25A12] = NULL AND [S25A13] = NULL AND [S25A14] = NULL AND 
            [S25A15] = NULL AND [S25A16] = NULL AND [S25A17] = NULL AND [S25A18] = NULL AND [S25A19] = NULL AND 
            [S25A20] = NULL AND [S25A21] = NULL AND [S25A22] = NULL AND [S25A23] = NULL AND [S25A24] = NULL AND 
            [S25A25] = NULL AND [S25A26] = NULL AND [S25A27] = NULL AND [S25A28] = NULL AND [S25A29] = NULL AND 
            [S25A30] = NULL AND [S25A31] = NULL AND [S25A32] = NULL AND [S25A33] = NULL AND [S25A34] = NULL AND 
            [S25A35] = NULL AND [S25A36] = NULL AND [S25A37] = NULL AND [S25A38] = NULL AND [S25A39] = NULL AND 
            [S25A40] = NULL AND [S25A41] = NULL AND [S25A42] = NULL AND [S25A43] = NULL AND [S25A44] = NULLORBLANK AND 
            [S25A45] = NULLORBLANK AND [S25A46] = NULLORBLANK AND [S25A47] = NULLORBLANK AND [S25A48] = NULL AND 
            [S25A49] = NULL AND [S25A50] = NULLORBLANK AND [S25A51] = NULL AND [S25A52] = NULL
              RETURN VALIDATION MESSAGE
            ENDIF

            [FITR91] = FITR:RP:rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [S25A10] = S25A:RP:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A11] = S25A:RP:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A12] = S25A:RP:Expense.TangiblePropertyOther.Amount
            [S25A13] = S25A:RP:Income.TangiblePropertyOther.Amount
            [S25A14] = S25A:RP:Expense.Royalties.Amount
            [S25A15] = S25A:RP:Income.Royalties.Amount
            [S25A16] = S25A:RP:Expense.RentOtherThanRoyalties.Amount
            [S25A17] = S25A:RP:Income.RentOtherThanRoyalties.Amount
            [S25A18] = S25A:RP:Expense.IntangiblePropertyOther.Amount
            [S25A19] = S25A:RP:Income.IntangiblePropertyOther.Amount
            [S25A20] = S25A:RP:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A21] = S25A:RP:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A22] = S25A:RP:Expense.ServicesTechnicalAndConstruction.Amount
            [S25A23] = S25A:RP:Income.ServicesTechnicalAndConstruction.Amount
            [S25A24] = S25A:RP:Expense.ServicesResearchAndDevelopment.Amount
            [S25A25] = S25A:RP:Income.ServicesResearchAndDevelopment.Amount
            [S25A26] = S25A:RP:Expense.ServicesOther.Amount
            [S25A27] = S25A:RP:Income.ServicesOther.Amount
            [S25A28] = S25A:RP:Expense.InterestAndDiscounts.Amount
            [S25A29] = S25A:RP:Income.InterestAndDiscounts.Amount
            [S25A30] = S25A:RP:Expense.Insurance.Amount
            [S25A31] = S25A:RP:Income.Insurance.Amount
            [S25A32] = S25A:RP:Expense.OtherPayments.Amount
            [S25A33] = S25A:RP:Income.OtherPayments.Amount
            [S25A34] = S25A:RP.Opening:Liabilities.InterestBearingLoans.Amount
            [S25A35] = S25A:RP.Closing:Liabilities.InterestBearingLoans.Amount
            [S25A36] = S25A:RP.Opening:Assets.InterestBearingLoanReceivable.Amount
            [S25A37] = S25A:RP.Closing:Assets.InterestBearingLoanReceivable.Amount
            [S25A38] = S25A:RP.Opening:Liabilities.InterestFreeLoans.Amount
            [S25A39] = S25A:RP.Closing:Liabilities.InterestFreeLoans.Amount
            [S25A40] = S25A:RP.Opening:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A41] = S25A:RP.Closing:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A42] = S25A:RP:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A43] = S25A:RP:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A44] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
            [S25A45] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
            [S25A46] = S25A:RP:Miscellaneous.ArmsLengthPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A47] = S25A:RP:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A48] = S25A:RP:Miscellaneous.CapitalNature.Indicator
            [S25A49] = S25A:RP:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods )
            [S25A50] = S25A:RP:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
            [S25A51] = S25A:RP:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator
            [S25A52] = S25A:RP:Miscellaneous.NumberofRelatedParties.Count      
        -->
        <assert id="VR.ATO.FITR.434109" diagnostics="DVR.ATO.FITR.434109"
                test="not(
                        rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.FITR.ContextId and not(@i:nil = 'true' and @i:nil = '1') and(exslt:uppercase(.) = 'TRUE' or . = '1')]
                        and count($S25A.Context) = 1
                        and count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity) = 0 
                        and not($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
	                    and not($S25A.Context/bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])                        
                        and not($S25A.Context/bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.02:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.02:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.02:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.02:Expense.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not($S25A.Context/bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.02:Expense.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpr1.02.02:Income.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) 
                        and not($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) 
                        and not($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.CapitalNature.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/s25a.0002.lodge.req.02.00:AcquisitionsAndDisposalsPricingMethods/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) 
                        and not($S25A.Context/bafot.02.02:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not($S25A.Context/rvctc4.02.00:Miscellaneous.NumberofRelatedParties.Count[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>

        <!--
            IF [FITR92] = TRUE AND (COUNT(SCHEDULE = "S25A") = 1) 
                AND (
                        [S25A53] = NULL AND 
                        [S25A54] = NULL AND 
                        [S25A55] = NULL AND 
                        [S25A56] = NULL AND 
                        [S25A57] = NULL AND 
                        [S25A58] = NULL AND 
                        [S25A59] = NULL AND 
                        [S25A60] = NULL AND 
                        [S25A61] = NULL AND 
                        [S25A62] = NULL AND 
                        [S25A63] = NULL AND 
                        [S25A64] = NULL AND 
                        [S25A65] = NULL AND 
                        [S25A66] = NULL AND 
                        [S25A67] = NULL AND 
                        [S25A68] = NULL AND 
                        [S25A69] = NULL AND 
                        [S25A70] = NULL AND 
                        [S25A71] = NULL AND 
                        [S25A72] = NULL AND 
                        [S25A73] = NULL AND 
                        [S25A76] = NULL AND 
                        [S25A77] = NULL AND 
                        [S25A78] = NULL AND 
                        [S25A79] = NULL AND 
                        [S25A80] = NULL AND 
                        [S25A81] = NULL AND 
                        [S25A82] = NULL AND 
                        [S25A83] = NULL AND 
                        [S25A84] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR92] = FITR:RP:rvctc4.xx.xx:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [S25A53] = S25A:RP.Opening.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A54] = S25A:RP.Closing.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A55] = S25A:RP.Opening.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A56] = S25A:RP.Closing.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A57] = S25A:RP.Opening.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A58] = S25A:RP.Closing.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A59] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A60] = S25A:RP.CFC404:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A61] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A62] = S25A:RP.All:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A63] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            [S25A64] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
            [S25A65] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A66] = S25A:RP.s404AndUnlisted:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A67] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A68] = S25A:RP.CFC404:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A69] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A70] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A71] = S25A:RP.CFC404:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A72] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A73] = S25A:RP:bafpr1.xx.xx:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount
            [S25A76] = S25A:RP:bafot.xx.xx:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A77] = S25A:RP:bafot.xx.xx:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A78] = S25A:RP:bafot.xx.xx:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A79] = S25A:RP:bafot.xx.xx:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A80] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
            [S25A81] = S25A:RP:bafot.xx.xx:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
            [S25A82] = S25A:RP:bafot.xx.xx:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
            [S25A83] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
            [S25A84] = S25A:RP:bafot.xx.xx:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator
        -->
        <assert id="VR.ATO.FITR.434117" diagnostics="DVR.ATO.FITR.434117"
                test="
            not(
              rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='TRUE' or .='1']
              and (count ($S25A.Context) = 1)
              and (
                    not ($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                  [@contextRef=$RP.Opening.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                  [@contextRef=$RP.Closing.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                  [@contextRef=$RP.Opening.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                  [@contextRef=$RP.Closing.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                  [@contextRef=$RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                  [@contextRef=$RP.Closing.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
                  [@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
                  [@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
                  [@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
                  [@contextRef=$RP.All.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
                  [@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
                  [@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.s404andUnlisted.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount
                  [@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
                and not ($S25A.Context/bafot.02.02:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator
                  [@contextRef=$RP.S25A.ContextId and not (@i:nil='true' or @i:nil='1')])
              ))"/>

        <!--
            IF (COUNT(SCHEDULE = "S25A") = 1) AND [FITR92] = FALSE AND ([S25A62] > 0 OR [S25A63] > 0 OR [S25A64] > 0) 
            RETURN VALIDATION MESSAGE
            ENDIF
            [FITR92] = FITR:RP:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [S25A62] = S25A:RP.All:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A63] = S25A:RP:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            [S25A64] = S25A:RP:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
        -->
        <assert id="VR.ATO.FITR.434113" diagnostics="DVR.ATO.FITR.434113"
                test="not(
                count ($S25A.Context) = 1
                and
                (rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.FITR.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='FALSE' or .='0'])
                and
                (
                  $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.All.S25A.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                  or 
                  $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                  or 
                  $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                )                
                )"/>
    </rule>

</pattern>
