﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>

	<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF COUNT(RP) <> 1
              RETURN VALIDATION MESSAGE       
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000209" diagnostics="DVR.ATO.GEN.000209"
                test="not(count($RP.Context) != 1)"/>

        <!--
            IF COUNT(INT) > 1
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.000227" diagnostics="DVR.ATO.GEN.000227"
                 test="not(count($INT.Context) &gt; 1)"/>
        
        <!--
            IF period.endDate = NULLORBLANK WHERE CONTEXT (ALL)
				RETURN VALIDATION MESSAGE
			ENDIF
        -->
		<assert id="VR.ATO.GEN.000237" diagnostics="DVR.ATO.GEN.000237.FTER"
                test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = 
                      count(xbrli:context/xbrli:period/xbrli:endDate
						[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])"/>

	</rule>
	
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF (period.startDate = NULLORBLANK WHERE CONTEXT(ALL))
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428252" diagnostics="DVR.ATO.GEN.428252.FTER"
                test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
  
        <!--
            IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201.FTER"
                test="not(
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and
                        function:IsDate1GreaterOrEqualToDate2(
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')])
                    )"/>
       <!--
            IF context id = NULLORBLANK
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000241" diagnostics="DVR.ATO.GEN.000241"
                test="@id and string-length(normalize-space(@id)) != 0"/>

        <!--
            Rule ID: VR.ATO.GEN.410197
            
            IF  (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:Intermediary") AND 
                (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:ReportingParty")    
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410197" diagnostics="DVR.ATO.GEN.410197"
                test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.02.03:ReportPartyTypeDimension$')] 
                        and
                        not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.02.03:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType.02.03:(Intermediary|ReportingParty)$')])
                    )"/>

        <!--
            IF entity.identifier.ABN = NULLORBLANK WHERE CONTEXT = "INT"
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430316" diagnostics="DVR.ATO.GEN.430316"
                test="not(
                            @id = $INT.ContextId and 
                            count(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                                    xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0]) = 0
                           )"/>
        <!-- 
            IF entity.identifier.TFN = NULLORBLANK WHERE CONTEXT <> "INT"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430317" diagnostics="DVR.ATO.GEN.430317"
                test="not(
                           @id != $INT.ContextId and                   
                           count(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                           xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0]) = 0
                          )"/>


        <!--
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.02.03:ReportingParty”) AND 
               (entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
                 RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432265" diagnostics="DVR.ATO.GEN.432265.FTER"
                test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                          /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and 
                            @dimension = 'RprtPyType.02.03:ReportPartyTypeDimension' and 
                            . = 'RprtPyType.02.03:ReportingParty']
                        and
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and 
                            @scheme != 'http://www.ato.gov.au/tfn']
                      )"/>

        <!--
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.02.03:Intermediary”) AND 
               (entity.identifier.scheme <> “http://www.ato.gov.au/abn”)
                 RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432266" diagnostics="DVR.ATO.GEN.432266.FTER"
                test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]
                          /xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and
                            @dimension = 'RprtPyType.02.03:ReportPartyTypeDimension' and
                            . = 'RprtPyType.02.03:Intermediary']
                        and
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                          /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and
                            @scheme != 'http://www.ato.gov.au/abn']
                      )"/>
    </rule>

	<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">

      <!-- 
            IF (INT:entity.identifier.ABN <> NULLORBLANK) AND (ABNALGORITHM (INT:entity.identifier.ABN) = FALSE)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
      <assert id="VR.ATO.GEN.428253" diagnostics="DVR.ATO.GEN.428253.FTER"
              test="not(
                        ../../@id = $INT.ContextId
                        and
                        exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN'
                        and
                        string-length(normalize-space(.)) != 0 
                        and
                        not(function:ValidateABN(.))
                        )
                    "/>

      <!--
            IF (RP:entity.identifier.TFN <> NULLORBLANK) AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF        
        -->
		<assert id="VR.ATO.GEN.428016" diagnostics="DVR.ATO.GEN.428016.FTER"
                test="not(../../@id = $RP.ContextId) 
                        or not(exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN') 
                        or string-length(normalize-space(.)) = 0 
                        or function:ValidateTFN(.)"/>
    </rule>
</pattern>
