﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.410113
            
            IF (RP:entity.identifier.TFN) = NULLORBLANK
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113.PTR"
                test="not(
                        xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                        and
                        not(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0])
                    )"/>
        
        <!--
            IF COUNT(INT) > 1
                RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert  id="VR.ATO.GEN.000227" diagnostics="DVR.ATO.GEN.000227"
                 test="not(count($INT.Context) &gt; 1)"/>
        <!--
            IF COUNT(CONTEXT(RP.NonPrim)) > 1 
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430259" diagnostics="DVR.ATO.GEN.430259"
                test="not(count($RP.NonPrim.Context) &gt; 1)"/>

        <!--
            IF COUNT(CONTEXT(RP.JAus)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430266" diagnostics="DVR.ATO.GEN.430266"
                test="not(count($RP.JAUS.Context) &gt; 1)"/>

        <!--
            IF COUNT(CONTEXT(RP.JForeign)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430267" diagnostics="DVR.ATO.GEN.430267"
                test="not(count($RP.JFOREIGN.Context) &gt; 1)"/>

        <!--
            IF COUNT(CONTEXT(RP.Prim.JAus)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430269" diagnostics="DVR.ATO.GEN.430269"
                test="not(count($RP.Prim.JAUS.Context) &gt; 1)"/>

        <!--
            IF COUNT(CONTEXT(RP.NonPrim.JAus)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430270" diagnostics="DVR.ATO.GEN.430270"
                test="not(count($RP.NonPrim.JAUS.Context) &gt; 1)"/>

        <!--
            IF COUNT(RP) <> 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000209" diagnostics="DVR.ATO.GEN.000209"
                test="not(count(xbrli:context[@id=$RP.ContextId]) != 1)"/>

        <!--
            IF COUNT(CONTEXT(RP.CFCLC.JForeign)) > 1 
                RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.GEN.430273" diagnostics="DVR.ATO.GEN.430273"
                test="not(count($RP.CFCLC.JForeign.Context) &gt; 1)"/>

        <!--
            IF COUNT(CONTEXT(RP.CFC404.JForeign)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430274" diagnostics="DVR.ATO.GEN.430274"
                test="not(count($RP.CFC404.JForeign.Context) &gt; 1)"/>

        <!--
            IF COUNT(CONTEXT(RP.CFCUC.JForeign)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert id="VR.ATO.GEN.430275" diagnostics="DVR.ATO.GEN.430275"
                test="not(count($RP.CFCUC.JForeign.Context) &gt; 1)"/>

        <!--
            IF COUNT(CONTEXT(RPI.Opening)) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430279" diagnostics="DVR.ATO.GEN.430279"
                test="not(count($RPI.Opening.Context) &gt; 1)"/>

        <!--
            IF COUNT(CONTEXT(RPI.Closing)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert id="VR.ATO.GEN.430280" diagnostics="DVR.ATO.GEN.430280"
                test="not(count($RPI.Closing.Context) &gt; 1)"/>

        <!--
            IF COUNT(CONTEXT(RP.TOFA)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430302" diagnostics="DVR.ATO.GEN.430302"
                test="not(count($RP.TOFA.Context) &gt; 1)"/>

        <!--
            IF COUNT(CONTEXT(RP.Prim)) > 1 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430258" diagnostics="DVR.ATO.GEN.430258"
                test="not(count($RP.Prim.Context) &gt; 1)"/>
    </rule>


    <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
            IF period.startDate = NULLORBLANK WHERE CONTEXT <> SET(“RPI.Opening”, “RPI.Closing”)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432392" diagnostics="DVR.ATO.GEN.432392"
                test=" not(
                                (   ( (@id != $RPI.Closing.ContextId) or(@id != $RPI.Opening.ContextId))
                                    and
                                    count(xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0 
                                )
                                and
                                (   not( (@id = $RPI.Closing.ContextId) or(@id = $RPI.Opening.ContextId))
                                ) 
                           )"/>

        <!--
            IF (entity.identifier.TFN WHERE CONTEXT (ALL))<> RP.entity.identifier.TFN
              RETURN VALIDATION MESSAGE
            END IF
        -->
        <assert id="VR.ATO.GEN.001023" diagnostics="DVR.ATO.GEN.001023"
                test="
                    (xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn'and not(@i:nil='true' or @i:nil='1')] =
                    $RP.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')])
                    or
                    not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')])"/>
        <!--
            IF context.id = NULLORBLANK
              RETURN VALIDATION MESSAGE CMN.ATO.GEN.430298
            ENDIF  
        -->
        <assert id="VR.ATO.GEN.000241" diagnostics="DVR.ATO.GEN.000241"
                test="@id and string-length(normalize-space(@id)) != 0"/>

        <!--
            IF (period.startDate >= period.endDate WHERE CONTEXT(ALL))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201.1"
                test="not(
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and
                        xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and
                        function:IsDate1GreaterOrEqualToDate2(
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')])
                    )"/>

        <!--
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:Intermediary") AND
            (RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:ReportingParty")    
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410197" diagnostics="DVR.ATO.GEN.410197.PTR"
                test="not
                        (
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') 
                            and not(regexp:test(., '^RprtPyType.02.03:Intermediary|RprtPyType.02.03:ReportingParty$'))]
                        )"/>

        <!--
            IF (CountryResCFCClass.xx.xx:CountryOfResidencyCFCClassificationDimension <> NULLORBLANK) AND (CountryResCFCClass.xx.xx:CountryOfResidencyCFCClassificationDimension <> SET(“CountryResCFCClass.02.00:ListedCountry”, “CountryResCFCClass.02.00:Section404Country“, "CountryResCFCClass.02.00:UnlistedCountry“))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430262" diagnostics="DVR.ATO.GEN.430262.PTR"
                test="not(
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[count(./xbrldi:explicitMember) = 3]/xbrldi:explicitMember[regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') 
                            and not(regexp:test(., '^CountryResCFCClass.02.00:ListedCountry|CountryResCFCClass.02.00:Section404Country|CountryResCFCClass.02.00:UnlistedCountry$'))]
                        )"/>

        <!--
            IF (CountryResCFCClass.xx.xx:CountryOfResidencyCFCClassification = SET(“CountryResCFCClass.02.00:ListedCountry”, “CountryResCFCClass.02.00:UnlistedCountry”, “CountryResCFCClass.02.00:Section404Country”))
            AND (IntlJurisdiction.xx.xx:InternationalJurisdictionDimension <> NULLORBLANK)
            AND (IntlJurisdiction.xx.xx:InternationalJurisdictionDimension <> “IntlJurisdiction.02.00:Foreign”) 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430272" diagnostics="DVR.ATO.GEN.430272"
                test="not
                        (
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[count(./xbrldi:explicitMember) = 3
                            and ./xbrldi:explicitMember[regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$')]
                            and ./xbrldi:explicitMember[regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and not(regexp:test(., '^IntlJurisdiction.02.00:Foreign$'))]]
                        )"/>

        <!--
            IF period.instant = NULLORBLANK WHERE CONTEXT = SET( “RPI.Opening”, “RPI.Closing”)
                RETURN VALIDATION MESSAGE  
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.430277" diagnostics="DVR.ATO.GEN.430277"
                 test="not(
                            @id=$RPI.Opening.ContextId or @id=$RPI.Closing.ContextId ) or
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1'
                          ) and string-length(normalize-space(.)) != 0]"></assert>

        <!--
            IF (IndustryProductionType.xx.xx:IndustryProductionTypeDimension = SET("IndustryProductionType.02.00:PrimaryProduction", "IndustryProductionType.02.00:NonPrimaryProduction")AND
               (IntlJurisdiction.xx.xx:InternationalJurisdictionDimension <> NULLORBLANK) AND IntlJurisdiction.xx.xx:InternationalJurisdictionDimension <> “IntlJurisdiction.02.00:Australian”)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430300" diagnostics="DVR.ATO.GEN.430300"
                test="not
                        (
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[count(./xbrldi:explicitMember) = 3
                            and ./xbrldi:explicitMember[regexp:test(@dimension, '^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and regexp:test(., '^IndustryProductionType.02.00:PrimaryProduction|IndustryProductionType.02.00:NonPrimaryProduction$')]
                            and ./xbrldi:explicitMember[regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and not(regexp:test(., '^IntlJurisdiction.02.00:Australian$'))]]
                         )"/>

        <!--
            IF period.endDate = NULLORBLANK WHERE CONTEXT <> SET(“RPI.Opening”, “RPI.Closing”)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.432393" diagnostics="DVR.ATO.GEN.432393"
                test="@id = $RPI.Closing.ContextId or @id = $RPI.Opening.ContextId 
                     or xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!--
            IF (OpenCloseBalance.xx.xx:OpeningClosingBalanceDimension <> NULLORBLANK) AND 
               (OpenCloseBalance.xx.xx:OpeningClosingBalanceDimension <> SET(“OpenCloseBalance.02.00:Opening”, “OpenCloseBalance.02.00:Closing”))
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert id="VR.ATO.GEN.430278" diagnostics="DVR.ATO.GEN.430278"
                test="not(
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[count(./xbrldi:explicitMember) &gt; 1]/xbrldi:explicitMember[regexp:test(@dimension, '^OpenCloseBalance.02.00:OpeningAndClosingBalanceDimension$') 
                        and string-length(normalize-space(.)) != 0
                        and not(regexp:test(., '^OpenCloseBalance.02.00:Opening|OpenCloseBalance.02.00:Closing$'))]
                      )" />

        <!--
            IF (IndustryProductionType.xx.xx:IndustryProductionTypeDimension <> NULLORBLANK)
                AND (IndustryProductionType.xx.xx:IndustryProductionsionTypeDimension <> SET("IndustryProductionType.02.00:PrimaryProduction", "IndustryProductionType.02.00:NonPrimaryProduct)
                RETURN VALIDATION MESSAGE
            ENDIF  
        -->
        <assert id="VR.ATO.GEN.432397" diagnostics="DVR.ATO.GEN.432397"
                test="not
                        (
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[count(./xbrldi:explicitMember) &gt; 1]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') 
                            and not(regexp:test(., '^IndustryProductionType.02.00:PrimaryProduction|IndustryProductionType.02.00:NonPrimaryProduction$'))]
                        )" />

        <!--
            IF (FinclArrngmtType.xx.xx:FinancialArrangementTypeDimension <> NULLORBLANK)
                AND (FinclArrngmtType.xx.xx:FinancialArrangementTypeDimension <> “FinclArrngmtType.02.00:TOFA”)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430301" diagnostics="DVR.ATO.GEN.430301.PTR"
                subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember"
                test="not
                        ( 
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') 
                             and not(regexp:test(., '^FinclArrngmtType.02.00:TOFA$'))]
                        )" />

        <!--
            IF (IntlJurisdiction.xx.xx:InternationalJurisdictionDimension <> NULLORBLANK) AND
               (IntlJurisdiction.xx.xx:InternationalJurisdictionDimension  <> SET("IntlJurisdiction.02.00:Australian", "IntlJurisdiction.02.00:Foreign"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.430261" diagnostics="DVR.ATO.GEN.430261.PTR"
                 test="not
                        ( 
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[count(./xbrldi:explicitMember) &gt; 1]/xbrldi:explicitMember[regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') 
                            and not(regexp:test(., '^IntlJurisdiction.02.00:Australian|IntlJurisdiction.02.00:Foreign$'))]
                        )" />

        <!-- 
            IF entity.identifier.ABN = NULLORBLANK WHERE CONTEXT = "INT"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430316" diagnostics="DVR.ATO.GEN.430316"
                test="not (
                            @id = $INT.ContextId and 
                            count(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                                    xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN' and string-length(normalize-space(.)) != 0]) = 0
                           ) "/>
        <!-- 
            IF entity.identifier.TFN = NULLORBLANK WHERE CONTEXT <> "INT"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430317" diagnostics="DVR.ATO.GEN.430317"
                test="not (
                            @id != $INT.ContextId and                   
                            count(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN' and string-length(normalize-space(.)) != 0]) = 0
                          )"/>

        <!--
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = “RprtPyType.02.03:ReportingParty”) 
            AND (entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
               RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert id="VR.ATO.GEN.432265" diagnostics="DVR.ATO.GEN.432265.PTR"
                test="not(
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType\.02\.03:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.02\.03:(ReportingParty)$')]
                        )
                        or
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            IF (RprtPyType.xx.xx:ReportingPartyTypeDimension = "RprtPyType.02.03:Intermediary")
                AND (entity.identifier.scheme <> "http://www.ato.gov.au/abn")
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert id="VR.ATO.GEN.432266" diagnostics="DVR.ATO.GEN.432266.PTR"
                test="not(
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType\.02\.03:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.02\.03:(Intermediary)$')]
                        )
                        or
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/abn' and not(@i:nil='true' or @i:nil='1')]"/>

    </rule>

</pattern>
