﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>PTR Cross Form Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ptr/ptr_0001/ptr.0001.lodge.request.02.01.report.xsd']]">

        <!--
            IF  (COUNT(SCHEDULE = ""CAS"") = 1) 
            AND 
            ([CAS39] > 0 OR [CAS40] > 0) 
            AND [PTR251] = NULL AND [PTR252] = NULL AND [PTR253] = NULL AND [PTR301] = NULL
            
            RETURN VALIDATION MESSAGE
            ENDIF
            [CAS39] = CAS:RP:bafpr1.xx.xx:Income.HedgingGains.Amount
            [CAS40] = CAS:RP:bafpr1.xx.xx:Expense.HedgingLosses.Amount
            [PTR251] = PTR:RP.TOFA:Income.GainsTotal.Amount
            [PTR252] = PTR:RP.TOFA:Expense.LossesTotal.Amount
            [PTR253] = PTR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
            [PTR301] = PTR:RP.TOFA:Income.FinancialArrangementsUnrealisedGains.Amount
        -->
        <assert id="VR.ATO.PTR.430214" diagnostics="DVR.ATO.PTR.430214"
                test="not(
                        count($CAS.Context) = 1
                        and(
                            (
                                sum(common:node-set($CAS.Context/bafpr1.02.02:Income.HedgingGains.Amount[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0 
                                or
                                sum(common:node-set($CAS.Context/bafpr1.02.02:Expense.HedgingLosses.Amount[@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            )
                            and not($PTR.Context/bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($PTR.Context/bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($PTR.Context/bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($PTR.Context/bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef = $RP.TOFA.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                           )
                        )"/>
        
        <!--
            IF (COUNT(SCHEDULE = ""RSPT"") > 0) AND (SUM(ALL OCCURRENCES OF([RSPT28]))) <> [PTR78] 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [RSPT28] = RSPT:RP:Expense.RealEstateProperty.LoanInterest.Amount
            [PTR78] = PTR:RP.JAus:Expense.Interest.Amount
        -->
        <assert id="VR.ATO.PTR.430086" diagnostics="DVR.ATO.PTR.430086"
                test="not(     
                            (
                                round( 100 * (sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                                !=
                                round( 100 * (sum(common:node-set(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]))))
                            )
                     )"/>   

        <!--
            IF (COUNT(SCHEDULE = ""RSPT"") > 0) AND SUM(ALL OCCURRENCES OF([RSPT39])) <> ([PTR77] - [PTR78] - [PTR79] - [PTR80])
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [RSPT39] = RSPT:RP:Income.RealEstateProperty.RentalNet.Amount
            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
            [PTR78] = PTR:RP.JAus:Expense.Interest.Amount
            [PTR79] = PTR:RP.JAus:Expense.CapitalWorksDeduction.Amount
            [PTR80] = PTR:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        -->

        <assert id="VR.ATO.PTR.430084" diagnostics="DVR.ATO.PTR.430084"
                test="not(
                            count($RSPT.Context) &gt; 0
                            and
                            sum ( common:node-set (
                            $RSPT.Context/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')] ))
                            !=
                            (
                            sum ( common:node-set (
                            bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            -
                            sum ( common:node-set (
                            bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            -
                            sum ( common:node-set (
                            bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            -
                            sum ( common:node-set (
                            rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]))

                            )                            
                        )"/>
        <!--
            IF (PTR:RP:pyin.xx.xx:Report.TargetFinancial.Year <> NULL) AND 
               (COUNT(SCHEDULE = "IEE") > 0) AND 
               (ANY OCCURRENCE OF ([IEE116] = "R") AND 
               ([IEE82] <> PTR:RP:pyin.xx.xx:Report.TargetFinancial.Year))
                    RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
            [IEE82] = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->
        <assert id="VR.ATO.PTR.430176" diagnostics="DVR.ATO.PTR.430176" 
                test="not(
                            count(pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and count($IEE.Context) &gt; 0
                            and count($IEE.Context/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code
                                [@contextRef = $RP.IEE.ContextId  and not(@i:nil='true' or @i:nil='1') and . = 'R']) &gt; 0
                            and $IEE.Context/rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                != pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"/>
        
        <!--
            IF [PTR110] = TRUE AND (COUNT(SCHEDULE = "PSI") = 0) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR110] = PTR:RP:Remuneration.PersonalServicesIncome.MainIncomeReward.Indicator
        -->
        <assert id="VR.ATO.PTR.430126" diagnostics="DVR.ATO.PTR.430126"
                test="not(
                        lrla.02.09:Remuneration.PersonalServicesIncome.MainIncomeReward.Indicator
                            [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.PTR.ContextId and regexp:test(.,'^(true|1)$')]
                        and count($PSI.Context) = 0
                      )"/>

        <!--
            IF (COUNT(SCHEDULE = ""RSPT"") > 0) 
            AND ([PTR77] = NULL AND ([PTR78] = 0 OR [PTR78] = NULL) 
            AND ([PTR79] = 0 OR [PTR79] = NULL) 
            AND ([PTR80] = 0 OR [PTR80] = NULL)
            )
            RETURN VALIDATION MESSAGE
            ENDIF
            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
            [PTR78] = PTR:RP.JAus:Expense.Interest.Amount
            [PTR79] = PTR:RP.JAus:Expense.CapitalWorksDeduction.Amount
            [PTR80] = PTR:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
            	
        -->
        <assert id="VR.ATO.PTR.430082" diagnostics="DVR.ATO.PTR.430082"
            test="not(
                        count($RSPT.Context) > 0
                        and not(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount
                                [@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and sum(common:node-set(bafpr1.02.05:Expense.Interest.Amount
                                [@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] )) = 0 
                        and sum(common:node-set(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
                                [@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                        and sum(common:node-set(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
                                    [@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                      )"/>
        
        <!--
            IF (COUNT(SCHEDULE = ""RSPT"") > 0) 
            AND (SUM(ALL OCCURRENCES OF([RSPT18] + [RSPT19])) <> [PTR77])
            RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT18] = RSPT:RP:Income.RealEstateProperty.Rental.Amount
            [RSPT19] = RSPT:RP:Income.RealEstateProperty.RentalRelatedOther.Amount
            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
        -->
        <assert id="VR.ATO.PTR.430083" diagnostics="DVR.ATO.PTR.430083"
                test="not(
                            count($RSPT.Context) > 0
                            and 
                                (
                                    sum(common:node-set(
                                    $RSPT.Context/bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    $RSPT.Context/bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    ))
                                !=
                                sum(common:node-set(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                )
                        )"/>

        <!--
            IF (COUNT(SCHEDULE = "IEE") > 0) AND RP:entity.identifier.TFN = (ANY OCCURRENCE OF([IEE50]) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE50] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier
            IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)
        -->
        <let name="RP.PTR.TFN"
             value="$RP.PTR.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn' and string-length(normalize-space(.)) != 0]" />
        
        <assert id="VR.ATO.GEN.430008" diagnostics="DVR.ATO.GEN.430008"
                test="not(                    
                        count($IEE.Context) &gt; 0
                        and
                        count($IEE.Context/iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier
                            [@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and . = $RP.PTR.TFN]) &gt; 0
                      )" />

        <!--
            IF ([PTR31] <> SET("62100","62210","62220","62230","62290","62300","62400","63100","63210",
                               "63220","63300',"64110","64190","64200") 
            OR (([PTR35]+[PTR36]+[PTR38]+[PTR39]+[PTR41]+[PTR43]+[PTR44]+[PTR65]+[PTR66]+[PTR69]+[PTR70]+[PTR77]+[PTR81]+
                 [PTR82]+[PTR84]+[PTR85]+[PTR89]+[PTR98]+[PTR99]+[PTR100]+[PTR104]) < 250000000)) 
            AND [PTR102] = TRUE AND [PTR33] <> TRUE 
            AND (COUNT(SCHEDULE = ""S25A"") = 1) 
            AND ([S25A53] = NULL AND [S25A55] = NULL AND [S25A57] = NULL AND [S25A54] = NULL AND [S25A56] = NULL AND 
                 [S25A58] = NULL AND [S25A59] = NULL AND [S25A60] = NULL AND [S25A61] = NULL AND [S25A62] = NULL AND 
                 [S25A63] = NULL AND [S25A64] = NULL AND [S25A65] = NULL AND [S25A66] = NULL AND [S25A67] = NULL AND 
                 [S25A68] = NULL AND [S25A69] = NULL AND [S25A70] = NULL AND [S25A71] = NULL AND [S25A72] = NULL AND 
                 [S25A73] = NULL AND [S25A76] = NULL AND [S25A77] = NULL AND [S25A78] = NULL AND [S25A79] = NULL AND 
                 [S25A80] = NULL AND [S25A81] = NULL AND [S25A82] = NULL AND [S25A83] = NULL AND [S25A84] = NULL)
                    RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR31] = PTR:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [PTR35] = PTR:RP.Prim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.NonPrim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR38] = PTR:RP.NonPrim.JAus:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR39] = PTR:RP.Prim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR41] = PTR:RP.NonPrim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR43] = PTR:RP.Prim.JAus:Income.Other.Amount
            [PTR44] = PTR:RP.NonPrim.JAus:Income.Other.Amount
            [PTR65] = PTR:RP.Prim.JAus:Income.PartnershipDistributionGross.Amount
            [PTR66] = PTR:RP.Prim.JAus:Income.TrustDistributionGross.Amount
            [PTR69] = PTR:RP.NonPrim.JAus:Income.PartnershipDistributionLessForeignIncome.Amount
            [PTR70] = PTR:RP.NonPrim.JAus:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount
            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
            [PTR81] = PTR:RP.JAus:Income.ForestryManagedInvestmentScheme.Amount
            [PTR82] = PTR:RP.JAus:Income.Interest.Gross.Amount
            [PTR84] = PTR:RP.JAus:Income.DividendsUnfranked.Amount
            [PTR85] = PTR:RP.JAus:Income.DividendsFranked.Amount
            [PTR89] = PTR:RP.JAus:Income.Other.Amount IN TUPLE(ptr.0001.lodge.req.xx.xx:OtherAustralianIncome )
            [PTR98] = PTR:RP.JForeign.CFCLC:Income.InternationalDealings.Attributed.Amount
            [PTR99] = PTR:RP.JForeign.CFC404:Income.InternationalDealings.Attributed.Amount
            [PTR100] = PTR:RP.JForeign.CFCUC:Income.InternationalDealings.Attributed.Amount
            [PTR104] = PTR:RP.JForeign:Income.Other.Amount
            [PTR102] = PTR:RP.JForeign:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
            [PTR33] = PTR:RP:OrganisationDetails.TaxConsolidationStatus.Indicator
            [S25A53] = S25A:RP.Opening.CFCLC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A55] = S25A:RP.Opening.CFC404:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A57] = S25A:RP.Opening.CFCUC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A54] = S25A:RP.Closing.CFCLC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A56] = S25A:RP.Closing.CFC404:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A58] = S25A:RP.Closing.CFCUC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A59] = S25A:RP.CFCLC:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A60] = S25A:RP.CFC404:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A61] = S25A:RP.CFCUC:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A62] = S25A:RP.All:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A63] = S25A:RP:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            [S25A64] = S25A:RP:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
            [S25A65] = S25A:RP.CFCLC:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A66] = S25A:RP.s404AndUnlisted:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A67] = S25A:RP.CFCLC:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A68] = S25A:RP.CFC404:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A69] = S25A:RP.CFCUC:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A70] = S25A:RP.CFCLC:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A71] = S25A:RP.CFC404:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A72] = S25A:RP.CFCUC:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A73] = S25A:RP:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount
            [S25A76] = S25A:RP:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A77] = S25A:RP:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A78] = S25A:RP:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A79] = S25A:RP:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A80] = S25A:RP:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
            [S25A81] = S25A:RP:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
            [S25A82] = S25A:RP:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
            [S25A83] = S25A:RP:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
            [S25A84] = S25A:RP:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator
        -->
        <assert id="VR.ATO.PTR.430118" diagnostics="DVR.ATO.PTR.430118"
                test="not(  
                        (
                        not(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(62100|62210|62220|62230|62290|62300|62400|63100|63210|63220|63300|64110|64190|64200)$')])
                        or
                        sum(common:node-set(
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.05:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            ptr.0001.lodge.req.02.01:OtherAustralianIncome/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            ))  &lt; 250000000
                        )
                        and
                        bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[@contextRef=$RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and 
                        not(pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                        and
                        count($S25A.Context) = 1
                        and (
                            not(bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Closing.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Closing.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Closing.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.All.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.s404andUnlisted.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not($S25A.Context/bafot.02.02:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])             
                            and not($S25A.Context/bafot.02.02:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            and not($S25A.Context/bafot.02.02:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            and not($S25A.Context/bafot.02.02:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            and not($S25A.Context/bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            and not($S25A.Context/bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            and not($S25A.Context/bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            and not($S25A.Context/bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            and not($S25A.Context/bafot.02.02:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        )
                      )"/>

        <!--
            IF [PTR102] = FALSE AND (COUNT(SCHEDULE = "S25A") = 1)
               AND ([S25A53] > 0 OR [S25A54] > 0 OR [S25A55] > 0 OR [S25A56] > 0 OR [S25A57] > 0 OR [S25A58] > 0 OR [S25A59] > 0 OR [S25A60] > 0 OR [S25A61] > 0 OR [S25A62] > 0 OR [S25A63] > 0 OR [S25A64] > 0 OR [S25A65] > 0 OR [S25A66] > 0 OR [S25A67] > 0 OR [S25A68] > 0 OR [S25A69] > 0 OR [S25A70] > 0 OR [S25A71] > 0 OR [S25A72] > 0 OR [S25A73] > 0 OR [S25A76] <> NULL OR [S25A77] <> NULL OR [S25A78] <> NULL OR [S25A79] <> NULL OR [S25A80] <> NULL OR [S25A81] <> NULL OR [S25A82] <> NULL OR [S25A83] <> NULL OR [S25A84] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR102] = PTR:RP.JForeign:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
            [S25A53] = S25A:RP.Opening.CFCLC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A54] = S25A:RP.Closing.CFCLC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A55] = S25A:RP.Opening.CFC404:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A56] = S25A:RP.Closing.CFC404:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A57] = S25A:RP.Opening.CFCUC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A58] = S25A:RP.Closing.CFCUC:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A59] = S25A:RP.CFCLC:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A60] = S25A:RP.CFC404:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A61] = S25A:RP.CFCUC:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A62] = S25A:RP.All:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A63] = S25A:RP:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            [S25A64] = S25A:RP:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
            [S25A65] = S25A:RP.CFCLC:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A66] = S25A:RP.s404AndUnlisted:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A67] = S25A:RP.CFCLC:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A68] = S25A:RP.CFC404:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A69] = S25A:RP.CFCUC:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A70] = S25A:RP.CFCLC:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A71] = S25A:RP.CFC404:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A72] = S25A:RP.CFCUC:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A73] = S25A:RP:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount
            [S25A76] = S25A:RP:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A77] = S25A:RP:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A78] = S25A:RP:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A79] = S25A:RP:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A80] = S25A:RP:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
            [S25A81] = S25A:RP:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
            [S25A82] = S25A:RP:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
            [S25A83] = S25A:RP:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
            [S25A84] = S25A:RP:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator
        -->
        <assert id="VR.ATO.PTR.430119" diagnostics="DVR.ATO.PTR.430119"
                test="not(
                        bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[@contextRef=$RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                        and
                        count($S25A.Context) = 1
                        and
                        (
                            $S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and (number(.) &gt; 0)]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Closing.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Closing.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef=$RP.All.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            and
                            $S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.s404andUnlisted.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/rvctc1.02.01:IncomeTax.ActiveForeignBusinessCapitalGainsReduction.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/rvctc1.02.01:IncomeTax.ActiveForeignBusinessCapitalLossesReduction.Amount[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        )
                      )"/>

        <!--
            IF ([PTR31] <> SET ( "62100","62210","62220","62230","62290","62300","62400","63100","63210","63220","63300',"64110","64190","64200") OR (([PTR35]+[PTR36]+[PTR38]+[PTR39]+[PTR41]+[PTR43]+[PTR44]+[PTR65]+[PTR66]+[PTR69]+[PTR70]+[PTR77]+[PTR81]+[PTR82]+[PTR84]+[PTR85]+[PTR89]+[PTR98]+[PTR99]+[PTR100]+[PTR104]) < 250000000)) AND ([PTR108] = TRUE OR [PTR102] = TRUE) AND [PTR33] <> TRUE  AND (COUNT(SCHEDULE = "S25A") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR31] = PTR:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [PTR35] = PTR:RP.Prim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.NonPrim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR38] = PTR:RP.NonPrim.JAus:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR39] = PTR:RP.Prim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR41] = PTR:RP.NonPrim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR43] = PTR:RP.Prim.JAus:Income.Other.Amount
            [PTR44] = PTR:RP.NonPrim.JAus:Income.Other.Amount
            [PTR65] = PTR:RP.Prim.JAus:Income.PartnershipDistributionGross.Amount
            [PTR66] = PTR:RP.Prim.JAus:Income.TrustDistributionGross.Amount
            [PTR69] = PTR:RP.NonPrim.JAus:Income.PartnershipDistributionLessForeignIncome.Amount
            [PTR70] = PTR:RP.NonPrim.JAus:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount
            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
            [PTR81] = PTR:RP.JAus:Income.ForestryManagedInvestmentScheme.Amount
            [PTR82] = PTR:RP.JAus:Income.Interest.Gross.Amount
            [PTR84] = PTR:RP.JAus:Income.DividendsUnfranked.Amount
            [PTR85] = PTR:RP.JAus:Income.DividendsFranked.Amount
            [PTR89] = PTR:RP.JAus:Income.Other.Amount IN TUPLE(ptr.0001.lodge.req.xx.xx:OtherAustralianIncome )
            [PTR98] = PTR:RP.JForeign.CFCLC:Income.InternationalDealings.Attributed.Amount
            [PTR99] = PTR:RP.JForeign.CFC404:Income.InternationalDealings.Attributed.Amount
            [PTR100] = PTR:RP.JForeign.CFCUC:Income.InternationalDealings.Attributed.Amount
            [PTR104] = PTR:RP.JForeign:Income.Other.Amount
            [PTR108] = PTR:RP:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [PTR102] = PTR:RP.JForeign:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
            [PTR33] = PTR:RP:OrganisationDetails.TaxConsolidationStatus.Indicator
        -->
        <assert id="VR.ATO.PTR.430123" diagnostics="DVR.ATO.PTR.430123"
                test="not(  
                        (
                        not(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(62100|62210|62220|62230|62290|62300|62400|63100|63210|63220|63300|64110|64190|64200)$')])
                        or
                        sum(common:node-set(
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.05:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            ptr.0001.lodge.req.02.01:OtherAustralianIncome/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            ))  &lt; 250000000
                        )
                        and
                            (
                                bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[@contextRef=$RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                                or
                                rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            )
                        and 
                        not(pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                        and
                        count($S25A.Context) = 0
                )"/>
        <!--
            IF ([PTR31] <> SET ( "62100","62210","62220","62230","62290","62300","62400","63100","63210","63220","63300',"64110","64190","64200") OR (([PTR35]+[PTR36]+[PTR38]+[PTR39]+[PTR41]+[PTR43]+[PTR44]+[PTR65]+[PTR66]+[PTR69]+[PTR70]+[PTR77]+[PTR81]+[PTR82]+[PTR84]+[PTR85]+[PTR89]+[PTR98]+[PTR99]+[PTR100]+[PTR104]) < 250000000)) AND [PTR108] = TRUE AND [PTR33] <> TRUE AND (COUNT(SCHEDULE = "S25A") = 1) AND ([S25A5] = NULL AND [S25A6] = NULL AND [S25A7] = NULL AND [S25A8] = NULL AND [S25A9] = NULL AND [S25A10] = NULL AND [S25A11] = NULL AND [S25A12] = NULL AND [S25A13] = NULL AND [S25A14] = NULL AND [S25A15] = NULL AND [S25A16] = NULL AND [S25A17] = NULL AND [S25A18] = NULL AND [S25A19] = NULL AND [S25A20] = NULL AND [S25A21] = NULL AND [S25A22] = NULL AND [S25A23] = NULL AND [S25A24] = NULL AND [S25A25] = NULL AND [S25A26] = NULL AND [S25A27] = NULL AND [S25A28] = NULL AND [S25A29] = NULL AND [S25A30] = NULL AND [S25A31] = NULL AND [S25A32] = NULL AND [S25A33] = NULL AND [S25A34] = NULL AND [S25A35] = NULL AND [S25A36] = NULL AND [S25A37] = NULL AND [S25A38] = NULL AND [S25A39] = NULL AND [S25A40] = NULL AND [S25A41] = NULL AND [S25A42] = NULL AND [S25A43] = NULL AND [S25A44] = NULL AND [S25A45] = NULL AND [S25A46] = NULL AND [S25A47] = NULL AND [S25A48] = NULL AND [S25A49] = NULL AND [S25A50] = NULL AND [S25A51] = NULL AND [S25A52] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR31] = PTR:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [PTR35] = PTR:RP.Prim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.NonPrim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR38] = PTR:RP.NonPrim.JAus:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR39] = PTR:RP.Prim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR41] = PTR:RP.NonPrim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR43] = PTR:RP.Prim.JAus:Income.Other.Amount
            [PTR44] = PTR:RP.NonPrim.JAus:Income.Other.Amount
            [PTR65] = PTR:RP.Prim.JAus:Income.PartnershipDistributionGross.Amount
            [PTR66] = PTR:RP.Prim.JAus:Income.TrustDistributionGross.Amount
            [PTR69] = PTR:RP.NonPrim.JAus:Income.PartnershipDistributionLessForeignIncome.Amount
            [PTR70] = PTR:RP.NonPrim.JAus:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount
            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
            [PTR81] = PTR:RP.JAus:Income.ForestryManagedInvestmentScheme.Amount
            [PTR82] = PTR:RP.JAus:Income.Interest.Gross.Amount
            [PTR84] = PTR:RP.JAus:Income.DividendsUnfranked.Amount
            [PTR85] = PTR:RP.JAus:Income.DividendsFranked.Amount
            [PTR89] = PTR:RP.JAus:Income.Other.Amount IN TUPLE(ptr.0001.lodge.req.xx.xx:OtherAustralianIncome )
            [PTR98] = PTR:RP.JForeign.CFCLC:Income.InternationalDealings.Attributed.Amount
            [PTR99] = PTR:RP.JForeign.CFC404:Income.InternationalDealings.Attributed.Amount
            [PTR100] = PTR:RP.JForeign.CFCUC:Income.InternationalDealings.Attributed.Amount
            [PTR104] = PTR:RP.JForeign:Income.Other.Amount
            [PTR108] = PTR:RP:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [PTR33] = PTR:RP:OrganisationDetails.TaxConsolidationStatus.Indicator
            [S25A5] = S25A:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A6] = S25A:RP:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A7] = S25A:RP:OrganisationDetails.InternationalRelatedPartyCountry.Code WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = "1") IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A8] = S25A:RP:OrganisationDetails.InternationalRelatedPartyCountry.Code WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = "2") IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A9] = S25A:RP:OrganisationDetails.InternationalRelatedPartyCountry.Code WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = "3") IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A10] = S25A:RP:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A11] = S25A:RP:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A12] = S25A:RP:Expense.TangiblePropertyOther.Amount
            [S25A13] = S25A:RP:Income.TangiblePropertyOther.Amount
            [S25A14] = S25A:RP:Expense.Royalties.Amount
            [S25A15] = S25A:RP:Income.Royalties.Amount
            [S25A16] = S25A:RP:Expense.RentOtherThanRoyalties.Amount
            [S25A17] = S25A:RP:Income.RentOtherThanRoyalties.Amount
            [S25A18] = S25A:RP:Expense.IntangiblePropertyOther.Amount
            [S25A19] = S25A:RP:Income.IntangiblePropertyOther.Amount
            [S25A20] = S25A:RP:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A21] = S25A:RP:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A22] = S25A:RP:Expense.ServicesTechnicalAndConstruction.Amount
            [S25A23] = S25A:RP:Income.ServicesTechnicalAndConstruction.Amount
            [S25A24] = S25A:RP:Expense.ServicesResearchAndDevelopment.Amount
            [S25A25] = S25A:RP:Income.ServicesResearchAndDevelopment.Amount
            [S25A26] = S25A:RP:Expense.ServicesOther.Amount
            [S25A27] = S25A:RP:Income.ServicesOther.Amount
            [S25A28] = S25A:RP:Expense.InterestAndDiscounts.Amount
            [S25A29] = S25A:RP:Income.InterestAndDiscounts.Amount
            [S25A30] = S25A:RP:Expense.Insurance.Amount
            [S25A31] = S25A:RP:Income.Insurance.Amount
            [S25A32] = S25A:RP:Expense.OtherPayments.Amount
            [S25A33] = S25A:RP:Income.OtherPayments.Amount
            [S25A34] = S25A:RP.Opening:Liabilities.InterestBearingLoans.Amount
            [S25A35] = S25A:RP.Closing:Liabilities.InterestBearingLoans.Amount
            [S25A36] = S25A:RP.Opening:Assets.InterestBearingLoanReceivable.Amount
            [S25A37] = S25A:RP.Closing:Assets.InterestBearingLoanReceivable.Amount
            [S25A38] = S25A:RP.Opening:Liabilities.InterestFreeLoans.Amount
            [S25A39] = S25A:RP.Closing:Liabilities.InterestFreeLoans.Amount
            [S25A40] = S25A:RP.Opening:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A41] = S25A:RP.Closing:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A42] = S25A:RP:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A43] = S25A:RP:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A44] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
            [S25A45] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
            [S25A46] = S25A:RP:Miscellaneous.ArmsLengthPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A47] = S25A:RP:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A48] = S25A:RP:Miscellaneous.CapitalNature.Indicator
            [S25A49] = S25A:RP:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods )
            [S25A50] = S25A:RP:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
            [S25A51] = S25A:RP:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator
            [S25A52] = S25A:RP:Miscellaneous.NumberofRelatedParties.Count
        -->
        <assert id="VR.ATO.PTR.430125" diagnostics="DVR.ATO.PTR.430125"
                test="not(  
                    (
                    not(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(62100|62210|62220|62230|62290|62300|62400|63100|63210|63220|63300|64110|64190|64200)$')])
                    or
                    sum(common:node-set(
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.05:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            ptr.0001.lodge.req.02.01:OtherAustralianIncome/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            ))  &lt; 250000000
                    )
                     and
                        (
                            rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        )
                    and 
                    not(pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                    and
                    count($S25A.Context) = 1
                    and
                    (not(
                    $S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity/bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and 
                    $S25A.Context/s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[../pyin.02.00:Report.ItemOrder.Number='1' and @contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[../pyin.02.00:Report.ItemOrder.Number='2' and @contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[../pyin.02.00:Report.ItemOrder.Number='3' and @contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
	                $S25A.Context/bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
	                $S25A.Context/bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
	                $S25A.Context/bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.02:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.02:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.02:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.02:Expense.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.02:Expense.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.02:Income.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafot.02.02:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') ]
	                and
                    $S25A.Context/bafot.02.02:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafot.02.02:Miscellaneous.CapitalNature.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/s25a.0002.lodge.req.02.00:AcquisitionsAndDisposalsPricingMethods/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafot.02.02:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/rvctc4.02.00:Miscellaneous.NumberofRelatedParties.Count[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    )
                    )
                )"/>

        <!--  
            IF [PTR35] + [PTR36] > 0 AND (COUNT(SCHEDULE = "NIPSS") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR35] = PTR:RP.Prim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.NonPrim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.PTR.430019" diagnostics="DVR.ATO.PTR.430019"
                test="not(
                        sum(common:node-set(
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                        ))
                        &gt; 0 
                        and
                        count($NIPSS.Context) = 0
                      )"/>

        <!--  
            IF SUM([NIPSS9]) <> [PTR35] + [PTR36] 
                RETURN VALIDATION MESSAGE
            ENDIF

            [NIPSS9] = NIPSS:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            [PTR35] = PTR:RP.Prim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.NonPrim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.PTR.430020" diagnostics="DVR.ATO.PTR.430020"
                test="not( count($NIPSS.Context) &gt; 0
                       and ( 
                            round(
                                sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )) * 100)
                          !=
                            round(
                            sum(common:node-set(
                                lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                             )) * 100)
                          )
                      )"/>

        <!--
            IF [PTR26] = NULL AND (COUNT(SCHEDULE = ""IEE"") > 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR26] = PTR:RP:Elections.InterposedEntityElectionStatus.Year
        -->
        <assert id="VR.ATO.PTR.430178" diagnostics="DVR.ATO.PTR.430178"
                test="not(not(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.PTR.ContextId])
                      and count($IEE.Context) &gt; 0)"/>

        <!--
            IF ([PTR27] = "R") AND (COUNT(SCHEDULE = "IEE") = 0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR27] = PTR:RP:Elections.InterposedEntityElectionRevocation.Code
        -->
        <assert id="VR.ATO.PTR.430180" diagnostics="DVR.ATO.PTR.430180"
                test="not(
                        count($IEE.Context) = 0
                        and rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code[@contextRef = $RP.PTR.ContextId  and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.)='R')]
                     )"/>

        <!--
            IF ([PTR63] > 0) AND ((COUNT(SCHEDULE = "NIPSS") = 0) OR (SUM([NIPSS28]) <> [PTR63]))
               RETURN VALIDATION ERROR
            ENDIF
            
            [PTR63] = PTR:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            [NIPSS28] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN") 
            IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding)
            IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        -->
        <assert id="VR.ATO.PTR.430183" diagnostics="DVR.ATO.PTR.430183"
                test="not(
                        rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) > 0]
                        and
                        (
                            count($NIPSS.Context) = 0
                            or
                            (
                                round(
                                    sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/nipss.0001.lodge.req.02.00:PAYGWithholding[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN']
                                    )) * 100)
                                !=
                                round(
                                    sum(common:node-set(
                                        rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    )) * 100)
                            )    
                        )       
                      )"/>
        
        <!--
            IF([PTR108] = FALSE) AND (COUNT(SCHEDULE ="S25A") = 1) AND
            (((ANY OCCURRENCE OF([S25A5])) <> NULLORBLANK) OR ([S25A6] > 0) OR ([S25A7] <> NULLORBLANK) OR ([S25A8] <> NULLORBLANK) OR ([S25A9] <> NULLORBLANK) OR
            ([S25A10] > 0) OR ([S25A11] > 0) OR ([S25A12] > 0) OR ([S25A13] > 0) OR
            ([S25A14] > 0) OR ([S25A15] > 0)OR ([S25A16] > 0) OR ([S25A17] > 0)OR ([S25A18] > 0)OR ([S25A19] > 0)OR ([S25A20] > 0) OR ([S25A21] > 0) OR
            ([S25A22] > 0) OR ([S25A23] > 0) OR ([S25A24] > 0) OR ([S25A25] > 0) OR  ([S25A26] > 0) OR  ([S25A27] > 0) OR  ([S25A28] > 0) OR  ([S25A29] > 0) OR
            ([S25A30] > 0) OR ([S25A31] > 0) OR ([S25A32] > 0) OR  ([S25A33] > 0) OR  ([S25A34] > 0) OR  ([S25A35] > 0) OR
            ([S25A36] > 0) OR ([S25A37] > 0)OR ([S25A38] > 0) OR ([S25A39] > 0) OR ([S25A40] > 0) OR  ([S25A41] > 0) OR
            ([S25A42] <> NULL) OR  ([S25A43] <> NULL) OR ([S25A44] <> NULLORBLANK) OR ([S25A45] <> NULLORBLANK) OR
            (ANY OCCURRENCE OF([S25A46]) <> NULLORBLANK) OR ([S25A47] <> NULLORBLANK) OR
            ([S25A48] <> NULL) OR ((ANY OCCURRENCE OF ([S25A49])) <> NULLORBLANK) OR ([S25A50] <> NULLORBLANK) OR
            ([S25A51] <> NULL) OR ([S25A52] > 0))
                RETURN VALIDATION MESSAGE
            ENDIF
           
            [PTR108] = PTR:RP:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [S25A5] = S25A:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A6] = S25A:RP:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A7] = S25A:RP:OrganisationDetails.InternationalRelatedPartyCountry.Code WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = "1") IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A8] = S25A:RP:OrganisationDetails.InternationalRelatedPartyCountry.Code WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = "2") IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A9] = S25A:RP:OrganisationDetails.InternationalRelatedPartyCountry.Code WHERE (TUPLE ELEMENT EXPLICIT pyin.xx.xx:Report.ItemOrder.Number = "3") IN TUPLE(s25a.0002.lodge.req.xx.xx:ForeignLocations ) IN TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity )
            [S25A10] = S25A:RP:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A11] = S25A:RP:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A12] = S25A:RP:Expense.TangiblePropertyOther.Amount
            [S25A13] = S25A:RP:Income.TangiblePropertyOther.Amount
            [S25A14] = S25A:RP:Expense.Royalties.Amount
            [S25A15] = S25A:RP:Income.Royalties.Amount
            [S25A16] = S25A:RP:Expense.RentOtherThanRoyalties.Amount
            [S25A17] = S25A:RP:Income.RentOtherThanRoyalties.Amount
            [S25A18] = S25A:RP:Expense.IntangiblePropertyOther.Amount
            [S25A19] = S25A:RP:Income.IntangiblePropertyOther.Amount
            [S25A20] = S25A:RP:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A21] = S25A:RP:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A22] = S25A:RP:Expense.ServicesTechnicalAndConstruction.Amount
            [S25A23] = S25A:RP:Income.ServicesTechnicalAndConstruction.Amount
            [S25A24] = S25A:RP:Expense.ServicesResearchAndDevelopment.Amount
            [S25A25] = S25A:RP:Income.ServicesResearchAndDevelopment.Amount
            [S25A26] = S25A:RP:Expense.ServicesOther.Amount
            [S25A27] = S25A:RP:Income.ServicesOther.Amount
            [S25A28] = S25A:RP:Expense.InterestAndDiscounts.Amount
            [S25A29] = S25A:RP:Income.InterestAndDiscounts.Amount
            [S25A30] = S25A:RP:Expense.Insurance.Amount
            [S25A31] = S25A:RP:Income.Insurance.Amount
            [S25A32] = S25A:RP:Expense.OtherPayments.Amount
            [S25A33] = S25A:RP:Income.OtherPayments.Amount
            [S25A34] = S25A:RP.Opening:Liabilities.InterestBearingLoans.Amount
            [S25A35] = S25A:RP.Closing:Liabilities.InterestBearingLoans.Amount
            [S25A36] = S25A:RP.Opening:Assets.InterestBearingLoanReceivable.Amount
            [S25A37] = S25A:RP.Closing:Assets.InterestBearingLoanReceivable.Amount
            [S25A38] = S25A:RP.Opening:Liabilities.InterestFreeLoans.Amount
            [S25A39] = S25A:RP.Closing:Liabilities.InterestFreeLoans.Amount
            [S25A40] = S25A:RP.Opening:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A41] = S25A:RP.Closing:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A42] = S25A:RP:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A43] = S25A:RP:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A44] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
            [S25A45] = S25A:RP:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
            [S25A46] = S25A:RP:Miscellaneous.ArmsLengthPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A47] = S25A:RP:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod )
            [S25A48] = S25A:RP:Miscellaneous.CapitalNature.Indicator
            [S25A49] = S25A:RP:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods )
            [S25A50] = S25A:RP:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
            [S25A51] = S25A:RP:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator
            [S25A52] = S25A:RP:Miscellaneous.NumberofRelatedParties.Count
        -->
        
        <assert  id="VR.ATO.PTR.430193" diagnostics="DVR.ATO.PTR.430193"
                 test="not(
                          not(rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.)='TRUE' or .='1')])
                          and   count($S25A.Context) = 1
                          and (
                               count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                             &gt; 0
                               or sum(common:node-set($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity/bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                             &gt; 0
                               or count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity/s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[../pyin.02.00:Report.ItemOrder.Number='1' and @contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                               &gt; 0
	                           or count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity/s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[../pyin.02.00:Report.ItemOrder.Number='2' and @contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                               &gt; 0
                              or count($S25A.Context/s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity/s25a.0002.lodge.request.02.00:ForeignLocations/pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[../pyin.02.00:Report.ItemOrder.Number='3' and @contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                               &gt; 0
                              or  count($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                               &gt; 0
                              or count($S25A.Context/bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
                               &gt; 0
                              or count($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0 
                              or count($S25A.Context/bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.02:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
                              or count($S25A.Context/bafpr1.02.02:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.02:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
                              or count($S25A.Context/bafpr1.02.02:Expense.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
                              or count($S25A.Context/bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.02:Expense.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpr1.02.02:Income.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
                              or count($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
                              or count($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
	                          or count($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0])
	                            &gt; 0
                              or count($S25A.Context/bafot.02.02:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                          or count($S25A.Context/bafot.02.02:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                          or  count($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            &gt; 0   
	                          or count($S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            &gt; 0
                              or count($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            &gt; 0
	                          or count($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod/bafot.02.02:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            &gt; 0
                              or   count($S25A.Context/bafot.02.02:Miscellaneous.CapitalNature.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                &gt; 0
	                          or count($S25A.Context/s25a.0002.lodge.req.02.00:AcquisitionsAndDisposalsPricingMethods/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            &gt; 0
	                          or count($S25A.Context/bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
	                            &gt; 0
	                          or count($S25A.Context/bafot.02.02:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                &gt; 0
	                          or count($S25A.Context/rvctc4.02.00:Miscellaneous.NumberofRelatedParties.Count[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and number(.) &gt; 0])
	                            &gt; 0
                            )  
                        )"/>    

        <!--
            IF [PTR54] < 100001 AND (COUNT(SCHEDULE = "CAS") = 1)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR54] = PTR:RP.JAus:Expense.DepreciationandAmortisation.Amount
        -->
        <assert id="VR.ATO.PTR.430042" diagnostics="DVR.ATO.PTR.430042"
                 test="not( 
                           sum(common:node-set(bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                       &lt; 100001
	                       and count($CAS.Context) = 1
                        )"/>

        <!--
            IF [PTR141] = NULL AND [PTR142] = NULL AND [PTR143] = NULL AND [PTR54] > 100000 AND (COUNT(SCHEDULE = "CAS") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR141] = PTR:RP:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount
            [PTR142] = PTR:RP:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount
            [PTR143] = PTR:RP:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount
            [PTR54] = PTR:RP.JAus:Expense.DepreciationandAmortisation.Amount
            
        -->
        <assert id="VR.ATO.PTR.430043" diagnostics="DVR.ATO.PTR.430043"
                 test="not(                        
	                       count($CAS.Context) = 0
                           and(
                               sum(common:node-set(bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                            &gt; 100000
                              and not(bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                              and not(bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                              and not(bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])
                             )
                        )"/>
        <!--  
            IF (COUNT(SCHEDULE = "NIPPS") > 0) AND [PTR38] + [PTR307] <> SUM([NIPSS4]) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR38] = PTR:RP.NonPrim.JAus:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR307] = PTR:RP.Prim.JAus:Remuneration.PaymentToForeignResidentGross.Amount
            [NIPSS4] = NIPSS:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        -->
        <assert id="VR.ATO.PTR.430025" diagnostics="DVR.ATO.PTR.430025"
                test="not( count($NIPSS.Context) &gt; 0
                         and (
                               round(
                                   sum(common:node-set($NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                  )) * 100)
                             !=
                            round(
                                 sum(common:node-set(
                                lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )) * 100)
                            )
                      )"/>

        <!--
            IF ([PTR31] = SET ("62100","62210","62220","62230","62290","62300","62400","63100","63210","63220","63300", "64110","64190","64200" ))
            AND
            (
                ([PTR35]+[PTR36]+[PTR38]+[PTR39]+[PTR41]+[PTR43]+[PTR44]+[PTR65]+[PTR66]+[PTR69]+[PTR70]+[PTR77]+[PTR81]+[PTR82]+[PTR84]+[PTR85]+[PTR89]+[PTR98]+[PTR99]+[PTR100]+[PTR104])
                >= 250000000
            )
            AND (COUNT(SCHEDULE = "S25A") > 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [PTR31] = PTR:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [PTR35] = PTR:RP.Prim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR36] = PTR:RP.NonPrim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PTR38] = PTR:RP.NonPrim.JAus:Remuneration.PaymentToForeignResidentGross.Amount
            [PTR39] = PTR:RP.Prim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR41] = PTR:RP.NonPrim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [PTR43] = PTR:RP.Prim.JAus:Income.Other.Amount
            [PTR44] = PTR:RP.NonPrim.JAus:Income.Other.Amount
            [PTR65] = PTR:RP.Prim.JAus:Income.PartnershipDistributionGross.Amount
            [PTR66] = PTR:RP.Prim.JAus:Income.TrustDistributionGross.Amount
            [PTR69] = PTR:RP.NonPrim.JAus:Income.PartnershipDistributionLessForeignIncome.Amount
            [PTR70] = PTR:RP.NonPrim.JAus:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount
            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
            [PTR81] = PTR:RP.JAus:Income.ForestryManagedInvestmentScheme.Amount
            [PTR82] = PTR:RP.JAus:Income.Interest.Gross.Amount
            [PTR84] = PTR:RP.JAus:Income.DividendsUnfranked.Amount
            [PTR85] = PTR:RP.JAus:Income.DividendsFranked.Amount
            [PTR89] = PTR:RP.JAus:Income.Other.Amount IN TUPLE(ptr.0001.lodge.req.xx.xx:OtherAustralianIncome )
            [PTR98] = PTR:RP.JForeign.CFCLC:Income.InternationalDealings.Attributed.Amount
            [PTR99] = PTR:RP.JForeign.CFC404:Income.InternationalDealings.Attributed.Amount
            [PTR100] = PTR:RP.JForeign.CFCUC:Income.InternationalDealings.Attributed.Amount
            [PTR104] = PTR:RP.JForeign:Income.Other.Amount
        -->
        <assert id="VR.ATO.PTR.430994" diagnostics="DVR.ATO.PTR.430994"
                test="not(  
                        pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(62100|62210|62220|62230|62290|62300|62400|63100|63210|63220|63300|64110|64190|64200)$')]
                        and
                        (
                            sum(common:node-set(
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.Prim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.05:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount[@contextRef=$RP.NonPrim.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            ptr.0001.lodge.req.02.01:OtherAustralianIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JFOREIGN.PTR.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            ))  &gt;= 250000000
                        )
                        and
                        count($S25A.Context) &gt; 0
                     )"/>

        <!--
            IF (COUNT(SCHEDULE = "RSPT") > 0) AND (SUM(ALL OCCURRENCES OF([RSPT34]))) <> [PTR79]
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [RSPT34] = RSPT:RP:Expense.RealEstateProperty.CapitalWorksDeduction.Amount
            [PTR79] = PTR:RP.JAus:Expense.CapitalWorksDeduction.Amount
        -->
        <assert id="VR.ATO.PTR.430088" diagnostics="DVR.ATO.PTR.430088"
                test="not(
                          count($RSPT.Context) &gt; 0
                          and 
                          round(100 * sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          !=
                          round(100 * sum(common:node-set(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])))           
                     )"/>

        <!--
            IF ([PTR77] <> NULL OR [PTR78] > 0 OR [PTR79] > 0 OR [PTR80] > 0) AND (COUNT(SCHEDULE = "RSPT") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [PTR77] = PTR:RP.JAus:Income.Operating.RentalIncomeGross.Amount
            [PTR78] = PTR:RP.JAus:Expense.Interest.Amount
            [PTR79] = PTR:RP.JAus:Expense.CapitalWorksDeduction.Amount
            [PTR80] = PTR:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        -->
        <assert id="VR.ATO.PTR.430081" diagnostics="DVR.ATO.PTR.430081"
                test="not(                  
                           (bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or sum(common:node-set(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                &gt; 0
                            or sum(common:node-set(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                &gt; 0
                            or sum(common:node-set(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                &gt; 0)
                           and (count($RSPT.Context) = 0)
                      )"/>

        <!--
            IF  (COUNT(SCHEDULE = "RSPT") > 0) AND (SUM(ALL OCCURRENCES OF([RSPT20] + [RSPT21] + 
                                                    [RSPT22] + [RSPT23] + [RSPT24] + [RSPT25] + 
                                                    [RSPT26] + [RSPT27] + [RSPT29] + [RSPT30] + 
                                                    [RSPT31] + [RSPT32] + [RSPT33] + [RSPT35] + 
                                                    [RSPT36] + [RSPT37] + [RSPT38])) <> [PTR80])
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [RSPT20] = RSPT:RP:Expense.RealEstateProperty.Marketing.Amount
            [RSPT21] = RSPT:RP:Expense.RealEstateProperty.BodyCorporate.Amount
            [RSPT22] = RSPT:RP:Expense.RealEstateProperty.Borrowing.Amount
            [RSPT23] = RSPT:RP:Expense.RealEstateProperty.Cleaning.Amount
            [RSPT24] = RSPT:RP:Expense.RealEstateProperty.CouncilRates.Amount
            [RSPT25] = RSPT:RP:Expense.DepreciationandAmortisation.Amount
            [RSPT26] = RSPT:RP:Expense.RealEstateProperty.Gardening.Amount
            [RSPT27] = RSPT:RP:Expense.RealEstateProperty.Insurance.Amount
            [RSPT29] = RSPT:RP:Expense.LandTax.Amount
            [RSPT30] = RSPT:RP:Expense.RealEstateProperty.LegalFees.Amount
            [RSPT31] = RSPT:RP:Expense.RealEstateProperty.PestControl.Amount
            [RSPT32] = RSPT:RP:Expense.RealEstateProperty.AgentFeesCommission.Amount
            [RSPT33] = RSPT:RP:Expense.RealEstateProperty.RepairsAndMaintenance.Amount
            [RSPT35] = RSPT:RP:Expense.RealEstateProperty.OfficeSupplies.Amount
            [RSPT36] = RSPT:RP:Expense.Travel.Amount
            [RSPT37] = RSPT:RP:Expense.RealEstateProperty.Water.Amount
            [RSPT38] = RSPT:RP:Expense.RealEstateProperty.Sundry.Amount
            [PTR80] = PTR:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        -->
        <assert id="VR.ATO.PTR.430090" diagnostics="DVR.ATO.PTR.430090"
                test="not(
                          count($RSPT.Context) &gt; 0
                          and 
                          round(100 * (sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr1.02.00:Expense.LandTax.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr1.02.00:Expense.Travel.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])) +
                                       sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                      )
                          )           
                          !=
                          round(100 * sum(common:node-set(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAUS.PTR.ContextId and not(@i:nil='true' or @i:nil='1')])))           
                     )"/>
    </rule>
</pattern>
