﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="CrossFormPSI" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>PSI Cross Form Variables and PSI CrossForm Validations</title>

    <let name="PSI.Context"
         value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/psi/psi_0001/psi.0001.lodge.request.02.00.report.xsd']
               ]" />

    <let name="RP.PSI.Context"
         value="$PSI.Context/xbrli:context[
                  not(@i:nil='true' or @i:nil='1') 
                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                  xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
               ]" />
    
    <let name="RP.PSI.ContextId"
         value="$RP.PSI.Context/@id" />

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/psi/psi_0001/psi.0001.lodge.request.02.00.report.xsd']]">

        <!-- *** NOTE: Only add CrossForm rules from the PSI AP360 here that are applicable to PTR. *** -->

        <!--
            IF RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009.PTR"
                test="not(
                      xbrli:context[@id=$RP.PSI.ContextId]/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn')and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                      !=
                      $RP.PTR.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                   )"></assert>

        <!--
            IF (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) AND
            (RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> PARENT RETURN:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.402010" diagnostics="DVR.ATO.GEN.402010.PTR"
                test="not(                    
                        (
                            $PTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] 
                            and
                            pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.PSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        )
                        and
                        (
                            pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.PSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            !=
                            $PTR.Context/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.PTR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        )
                     )"/>

        <!--
          IF RP:period.startDate <> PARENT RETURN:RP:period.startDate
          RETURN VALIDATION MESSAGE
          ENDIF
        -->
        <assert id="VR.ATO.GEN.001027" diagnostics="DVR.ATO.GEN.001027.PTR"
                test="not(
                        $RP.PSI.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.PTR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                      )"/>
        
        <!--
            IF RP:period.endDate <> PARENT RETURN:RP:period.endDate
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.001028" diagnostics="DVR.ATO.GEN.001028.PTR"
                test="not(                    
                        $RP.PTR.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                        !=
                        $RP.PSI.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                     )"/>
        
        <!--
            IF RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> NULL AND
            RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname1.xx.xx:OrganisationNameDetails) <> 
            (PARENT RETURN:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            IN TUPLE (xbrli\orgname2.xx.xx:OrganisationNameDetails) 
            WHERE (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")
            AND  (TUPLE EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C"))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.428045" diagnostics="DVR.ATO.GEN.428045.PTR"
                 test="not(                    
                        orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.PSI.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and 
                        (
                            orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.PSI.ContextId and not(@i:nil='true' or @i:nil='1')]
                            !=
                            $PTR.Context/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.PTR.ContextId
                            and not(@i:nil='true' or @i:nil='1') and (string-length(normalize-space(.)) != 0)
                            and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                            and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C']
                        )
                      )"/>
    </rule>
</pattern>