﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [RSPT9] > 100
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT9] = RSPT:RP:RealEstateProperty.Ownership.Percent
        -->
        <assert  id="VR.ATO.RSPT.420046" diagnostics="DVR.ATO.RSPT.420046"
                 test="not(
                           bafot.02.00:RealEstateProperty.Ownership.Percent[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 100
                       )"/>
        <!--
            IF [RSPT8] > 52
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT8] = RSPT:RP:RealEstateProperty.RentalWeeksAvailable.Count
        -->
        <assert  id="VR.ATO.RSPT.420004" diagnostics="DVR.ATO.RSPT.420004"
                 test="not(
                           bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 52
                       )"/>  
        <!--
            IF [RSPT7] > 52
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT7] = RSPT:RP:RealEstateProperty.RentalWeeks.Count
        -->
        <assert  id="VR.ATO.RSPT.420003" diagnostics="DVR.ATO.RSPT.420003"
                 test="not(
                           bafot.02.00:RealEstateProperty.RentalWeeks.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 52
                       )"/>
        <!--
            IF [RSPT12] = NULL AND ([RSPT13] <> NULL OR [RSPT15] <> NULL OR [RSPT16] <> NULL)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT12] = RSPT:RP:RealEstateProperty.Disposal.Date
            [RSPT13] = RSPT:RP:Assets.Investment.RealEstatePropertySale.Amount
            [RSPT15] = RSPT:RP:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount
            [RSPT16] = RSPT:RP:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount
        -->
        <assert  id="VR.ATO.RSPT.420011" diagnostics="DVR.ATO.RSPT.420011"
                 test="not(
                            not(bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and(
                                bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                or bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                or bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )                           
                       )"/>
        <!--
            IF [RSPT14] = NULL AND ([RSPT10] > ""1985-09-19"" AND [RSPT12] <> NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT14] = RSPT:RP:Income.RealEstateProperty.CapitalGainsNet.Amount
            [RSPT10] = RSPT:RP:RealEstateProperty.Acquisition.Date
            [RSPT12] = RSPT:RP:RealEstateProperty.Disposal.Date
        -->
        <assert  id="VR.ATO.RSPT.420007" diagnostics="DVR.ATO.RSPT.420007"
                 test="not(
                            not(bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and(
                                    (function:IsDate1GreaterThanDate2(date:date(bafot.02.00:RealEstateProperty.Acquisition.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]), date:date('1985-09-19')))
                                    and
                                    bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            )
                       )"/>
        <!--
            IF [RSPT12] <> NULL AND ([RSPT13] = NULL OR [RSPT15] = NULL OR [RSPT16] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT12] = RSPT:RP:RealEstateProperty.Disposal.Date
            [RSPT13] = RSPT:RP:Assets.Investment.RealEstatePropertySale.Amount
            [RSPT15] = RSPT:RP:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount
            [RSPT16] = RSPT:RP:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount
        -->
        <assert  id="VR.ATO.RSPT.420012" diagnostics="DVR.ATO.RSPT.420012"
                 test="not(
                            bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and(
                                not(bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                or not(bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                or not(bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )                           
                       )"/>
        <!--
            IF [RSPT13] <> NULL AND ([RSPT15] = NULL OR [RSPT16] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT13] = RSPT:RP:Assets.Investment.RealEstatePropertySale.Amount
            [RSPT15] = RSPT:RP:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount
            [RSPT16] = RSPT:RP:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount
        -->
        <assert  id="VR.ATO.RSPT.420013" diagnostics="DVR.ATO.RSPT.420013"
                 test="not(
                            bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            (not(bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or
                            not(bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                       )"/>

        <!--
            IF [RSPT39] <> (([RSPT18] + [RSPT19]) - ([RSPT20] + [RSPT21] + [RSPT22] + [RSPT23] + [RSPT24] + [RSPT25] + [RSPT26] + [RSPT27] + [RSPT28] + [RSPT29] + [RSPT30] + [RSPT31] + [RSPT32] + [RSPT33] + [RSPT34] + [RSPT35] + [RSPT36] + [RSPT37] + [RSPT38])) +/- 1
               RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT39] = RSPT:RP:Income.RealEstateProperty.RentalNet.Amount
            [RSPT18] = RSPT:RP:Income.RealEstateProperty.Rental.Amount
            [RSPT19] = RSPT:RP:Income.RealEstateProperty.RentalRelatedOther.Amount
            [RSPT20] = RSPT:RP:Expense.RealEstateProperty.Marketing.Amount
            [RSPT21] = RSPT:RP:Expense.RealEstateProperty.BodyCorporate.Amount
            [RSPT22] = RSPT:RP:Expense.RealEstateProperty.Borrowing.Amount
            [RSPT23] = RSPT:RP:Expense.RealEstateProperty.Cleaning.Amount
            [RSPT24] = RSPT:RP:Expense.RealEstateProperty.CouncilRates.Amount
            [RSPT25] = RSPT:RP:Expense.DepreciationandAmortisation.Amount
            [RSPT26] = RSPT:RP:Expense.RealEstateProperty.Gardening.Amount
            [RSPT27] = RSPT:RP:Expense.RealEstateProperty.Insurance.Amount
            [RSPT28] = RSPT:RP:Expense.RealEstateProperty.LoanInterest.Amount
            [RSPT29] = RSPT:RP:Expense.LandTax.Amount
            [RSPT30] = RSPT:RP:Expense.RealEstateProperty.LegalFees.Amount
            [RSPT31] = RSPT:RP:Expense.RealEstateProperty.PestControl.Amount
            [RSPT32] = RSPT:RP:Expense.RealEstateProperty.AgentFeesCommission.Amount
            [RSPT33] = RSPT:RP:Expense.RealEstateProperty.RepairsAndMaintenance.Amount
            [RSPT34] = RSPT:RP:Expense.RealEstateProperty.CapitalWorksDeduction.Amount
            [RSPT35] = RSPT:RP:Expense.RealEstateProperty.OfficeSupplies.Amount
            [RSPT36] = RSPT:RP:Expense.Travel.Amount
            [RSPT37] = RSPT:RP:Expense.RealEstateProperty.Water.Amount
            [RSPT38] = RSPT:RP:Expense.RealEstateProperty.Sundry.Amount
            
            NOTE: None of these amounts allow decimal places enforced by format validation rules.
        -->
        <let
          name="VR_ATO_RSPT_420015_RENTALNET_AMOUNT"
          value="sum(common:node-set(bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>
        
        <let          
          name="VR_ATO_RSPT_420015_RENTAL_MINUS_EXPENSES"
          value="sum(common:node-set(
                    bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                 -
                 sum(common:node-set(
                     bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.00:Expense.LandTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.00:Expense.Travel.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                 "/>

        <assert id="VR.ATO.RSPT.420015" diagnostics="DVR.ATO.RSPT.420015"
                test="not(
                          math:abs($VR_ATO_RSPT_420015_RENTALNET_AMOUNT - $VR_ATO_RSPT_420015_RENTAL_MINUS_EXPENSES) &gt; 1
                      )"/>

        <!--
            IF [RSPT52] <> FALSE
                 RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT52] = RSPT:RP:AddressDetails.OverseasAddress.Indicator 
                       WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C") 
                       IN TUPLE(addressdetails2.xx.xx:AddressDetails )
        -->
        <assert  id="VR.ATO.RSPT.420058" diagnostics="DVR.ATO.RSPT.420058"
                 test="not(
                         not(address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId 
                                    and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$') and 
                                    ../pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and 
                                       not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C']])
                       )"/>
        
    </rule>
    
    <rule context="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code <> NULLORBLANK) AND (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code <> "MN")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.410049" diagnostics="DVR.ATO.GEN.410049"
                 test="not(
                          not(@i:nil='true' or @i:nil='1') 
                          and not(string-length(normalize-space(.)) = 0)
                          and not (exslt:uppercase(.) = 'MN')
                       )"/>
    </rule>

    <rule context="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF pyde.xx.xx:AddressDetails.Currency.Code <> ""C""
                  RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.RSPT.420048" diagnostics="DVR.ATO.RSPT.420048"
                 test="not(
                           exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'
                       )"/>
       

    </rule>
    
</pattern>
