﻿<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:function="http://www.ato.gov.au/IS/2009/02" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:common="http://exslt.org/common" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:date="http://exslt.org/dates-and-times" xmlns:math="http://exslt.org/math" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:address2.02.01="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.01.module" xmlns:bafot.02.00="http://sbr.gov.au/icls/baf/bafot/bafot.02.00.data" xmlns:bafpo7.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data" xmlns:bafpr1.02.00="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" xmlns:bafpr1.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" xmlns:bafpr2.02.04="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.04.data" xmlns:bafpr2.02.05="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.05.data" xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" xmlns:ptr.0001.lodge.req.02.01="http://sbr.gov.au/rprt/ato/ptr/ptr.0001.lodge.request.02.01.report" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:rspt.0001.lodge.req.02.00="http://sbr.gov.au/rprt/ato/rspt/rspt.0001.lodge.request.02.00.report"><!--
      Implementers: please note that overriding process-prolog or process-root is
      the preferred method for meta-stylesheets to use where possible.
    -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" />

<!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable>
        <msxsl:script language="C#" implements-prefix="function">

        public bool IsDate(string dateToCheck)
        {
            DateTime dt;
            return DateTime.TryParse(dateToCheck, out dt);
        }

        public bool IsInt(string intToCheck)
        {
            Int32 i;
            return Int32.TryParse(intToCheck, out i);
        }

        public bool IsLong(string longToCheck)
        {
            long l;
            return long.TryParse(longToCheck, out l);
        }

    public bool IsDate1GreaterThanDate2(string date1, string date2)
    {
        bool b = false;
        
        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) > DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public bool IsDate1GreaterOrEqualToDate2(string date1, string date2)
    {
        bool b = false;

        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) >= DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public int GetDateYear(string date)
    {
      int year = 0;

      if (IsDate(date))
      {
        year = DateTime.Parse(date).Year;
      }

      return year;
    }

    public int DateToFinancialYear(DateTime date)
    {
        return DateToFinancialYear(date, 7);
    }

    public int DateToFinancialYear(DateTime date, int financialYearStartMonth)
    {
        return financialYearStartMonth > date.Month ? date.Year : date.Year + 1;
    }

    public bool ValidateABN(string abn)
    {
      string cleanABN = abn.Replace(" ", string.Empty);
           
      if (cleanABN.Length != 11)
          return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanABN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19 };
      int weightedSum = (Int32.Parse(cleanABN[0].ToString()) - 1) * weighingFactors[0];

      for (int i = cleanABN.Length; i > 1; i--)
      {
          weightedSum += Int32.Parse(cleanABN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 89;
      return (remainder == 0);
    }

    public bool ValidateTAN(string tan)
    {
      string cleanTAN = tan.Replace(" ", string.Empty);
      if (cleanTAN.Length != 8)
        return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanTAN, out result);
      if (!convertOK)
      {
        return false;
      }

      int[] weighingFactors = {7,9,8,4,6,3,5,1};
      int weightedSum = 0;
      for (int i = cleanTAN.Length; i > 0; i--)
      {
        weightedSum += Int32.Parse(cleanTAN[i-1].ToString()) * weighingFactors[i-1];
      }

      int remainder = weightedSum % 11;
      return (remainder == 0);
    }

    public static bool ValidateTFN(string tfn)
    {
      bool isValid = false;
      string cleanTFN = tfn.Replace(" ", string.Empty).TrimStart(new char[] {'0'});
      
      if (cleanTFN.Length == 8 || cleanTFN.Length == 9)
      {
          cleanTFN = cleanTFN.Length == 8 ? cleanTFN.Insert(7, "0") : cleanTFN;

          Int64 result;
          bool convertOK = Int64.TryParse(cleanTFN, out result);

          if (convertOK)
          {
              int[] weighingFactors = { 1, 4, 3, 7, 5, 8, 6, 9, 10 };
              int weightedSum = 0;

              for (int i = cleanTFN.Length; i > 0; i--)
              {
                  weightedSum += Int32.Parse(cleanTFN[i - 1].ToString()) * weighingFactors[i - 1];
              }

              isValid = (weightedSum % 11 == 0);
          }
      }

      return isValid;
    }

    public static bool ValidateACN(string acn)
    {
      string cleanACN = acn.Replace(" ", string.Empty);
      if (cleanACN.Length != 9)
      {
          return false;
      }

      Int64 result;
      bool convertOK = Int64.TryParse(cleanACN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 8, 7, 6, 5, 4, 3, 2, 1 };
      int checkDigit = Int32.Parse(cleanACN[8].ToString());

      int weightedSum = 0;
      for (int i = cleanACN.Length - 1; i > 0; i--)
      {
          weightedSum += Int32.Parse(cleanACN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 10;
      return checkDigit == (10 - remainder) % 10;
    }

        public int GetFBTYear(string date)
        {
            int fbtYear = 0;
            if (IsDate(date))
            {
                DateTime dateTime = DateTime.Parse(date);
                int year = dateTime.Year;
                if (dateTime.Month > 3)
                {
                    fbtYear = year + 1;
                }
                else
                {
                    fbtYear = year;
                }
            }
            return fbtYear;
        }
        public int GetCurrentFBTYear()
        {
            return GetFBTYear(DateTime.Now.ToString("yyyy-MM-dd"));
        }

        
        </msxsl:script>
        <xsl:output method="xml" omit-xml-declaration="no" standalone="yes" indent="no" xmlns:isns="http://www.ato.gov.au/IS/2009/02" />

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /><xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" /><xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if></xsl:when><xsl:otherwise><xsl:text>*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text><xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" /><xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
          @<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
      This mode can be used to generate prefixed XPath for humans
      (Top-level element has index)
    -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA METADATA-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M38" /><xsl:apply-templates select="/" mode="M42" /><xsl:apply-templates select="/" mode="M44" /><xsl:apply-templates select="/" mode="M45" /><xsl:apply-templates select="/" mode="M46" /></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
        PATTERN ContentContent Validations-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M38">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                            bafot.02.00:RealEstateProperty.Ownership.Percent[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 100                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RSPT.420046</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.00:RealEstateProperty.Ownership.Percent</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                            bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 52                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RSPT.420004</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                            bafot.02.00:RealEstateProperty.RentalWeeks.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 52                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RSPT.420003</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeks.Count</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             not(bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             and(                                 bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                 or bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                 or bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             )                                                   )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RSPT.420011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.00:RealEstateProperty.Disposal.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             not(bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             and(                                     (function:IsDate1GreaterThanDate2(date:date(bafot.02.00:RealEstateProperty.Acquisition.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]), date:date('1985-09-19')))                                     and                                     bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                             )                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RSPT.420007</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             bafot.02.00:RealEstateProperty.Disposal.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             and(                                 not(bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                                 or not(bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                                 or not(bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             )                                                   )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RSPT.420012</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafot.02.00:RealEstateProperty.Disposal.Date</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             and                             (not(bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             or                             not(bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             )                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RSPT.420013</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="VR_ATO_RSPT_420015_RENTALNET_AMOUNT" select="sum(common:node-set(bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))" /><xsl:variable name="VR_ATO_RSPT_420015_RENTAL_MINUS_EXPENSES" select="sum(common:node-set(                     bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                  -                  sum(common:node-set(                      bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr1.02.00:Expense.LandTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr1.02.00:Expense.Travel.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                     |bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))                  " />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           math:abs($VR_ATO_RSPT_420015_RENTALNET_AMOUNT - $VR_ATO_RSPT_420015_RENTAL_MINUS_EXPENSES) &gt; 1                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RSPT.420015</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                          not(address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]                                 /pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId                                      and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$') and                                      ../pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and                                         not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C']])                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RSPT.420058</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/address2.02.01:AddressDetails/pyde.02.00:AddressDetails.OverseasAddress.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M38" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M38">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           not(@i:nil='true' or @i:nil='1')                            and not(string-length(normalize-space(.)) = 0)                           and not (exslt:uppercase(.) = 'MN')                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410049</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M38" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M38">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                            exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RSPT.420048</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.Currency.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M38" /></xsl:template><xsl:template match="text()" priority="-1" mode="M38" /><xsl:template match="@*|node()" priority="-2" mode="M38"><xsl:apply-templates select="@*|*" mode="M38" /></xsl:template>

<!--
        PATTERN FieldPatternsField Pattern Validations-->


	<!--
      RULE -->
<xsl:template match="bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1029" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1028" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1027" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1026" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1025" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1024" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1023" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1022" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1021" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1020" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1019" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1018" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr1.02.00:Expense.DepreciationandAmortisation.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1017" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1016" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1015" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1014" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1013" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr1.02.00:Expense.LandTax.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1012" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1011" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1009" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                     )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr1.02.00:Expense.Travel.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafot.02.00:RealEstateProperty.RentalWeeks.Count[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,2}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RSPT.420044</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,2}$'))                      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RSPT.420044</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafot.02.00:RealEstateProperty.Ownership.Percent[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,3}$'))                      )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RSPT.420052</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template><xsl:template match="text()" priority="-1" mode="M42" /><xsl:template match="@*|node()" priority="-2" mode="M42"><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

<!--
        PATTERN VariablesXBRL Context Id variables that are applicable accross all of the RSPT services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]" /><xsl:variable name="RP.ContextId" select="$RP.Context/@id" /><xsl:template match="text()" priority="-1" mode="M44" /><xsl:template match="@*|node()" priority="-2" mode="M44"><xsl:apply-templates select="@*|*" mode="M44" /></xsl:template>

<!--
        PATTERN OrganisationOrganisation Common Validations-->


	<!--
      RULE -->
<xsl:template match="orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) = 0]                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410147</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) = 0]                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410215</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')                            and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(.*)[a-zA-Z0-9](.*)$'))]                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410039</isns:Code><isns:Description>Organisation name must contain at least one alpha or numeric character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[regexp:test(.,'^(.*)\ - (.*)$') and not(@i:nil='true' or @i:nil='1')]                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000413</isns:Code><isns:Description>Non Individual Name cannot contain space hyphen space combinations</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[regexp:test(.,'^(.*)(?i)P\/L(.*)$') and not(@i:nil='true' or @i:nil='1')]                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000414</isns:Code><isns:Description>Non Individual Name cannot contain "P/L"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M45">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                            regexp:test(.,'^(.*)(--|(\x27)(\x27)|  )(.*)$')                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000416</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                           regexp:test(.,'^(?i)(The trustee |The Exec |exec |The TTE )(.*)$') or                           regexp:test(.,'^(.*)(?i)( The trustee | The Exec | exec | The TTE )(.*)$') or                           regexp:test(.,'^(.*)(?i)( The trustee| The Exec| exec| The TTE)$') or                           regexp:test(.,'^(?i)(The trustee|The Exec|exec|The TTE)$')                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428042</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template><xsl:template match="text()" priority="-1" mode="M45" /><xsl:template match="@*|node()" priority="-2" mode="M45"><xsl:apply-templates select="@*|*" mode="M45" /></xsl:template>

<!--
        PATTERN AddressAddress Common Validations-->


	<!--
      RULE -->
<xsl:template match="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]" priority="1009" mode="M46">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]                         and regexp:test(pyde.02.00:AddressDetails.LocalityName.Text,'^(.*)[0-9](.*)$')                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000410</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                         not(pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'TRUE' or . = '1')] and                         not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))                       " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410191</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and contains(exslt:uppercase(.), 'C/-')]                         and                         not(pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410002</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')                           and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410148</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and normalize-space(exslt:uppercase(.))='AU']                          and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410211</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.OverseasAddress.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                and pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and normalize-space(exslt:uppercase(.))!='AU']                         and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410212</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.OverseasAddress.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]                         and(not(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                             or not(pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.434147</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1')                          and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410167</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410214</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430245</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M46">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000405</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(contains(exslt:uppercase(.), 'AS ABOVE'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410001</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                         regexp:test(.,'^(?i)(C\/O |C\/ |Care Of |CO )(.*)$') or                         regexp:test(.,'^(.*)(?i)( C\/O | C\/ | Care Of | CO )(.*)$') or                         regexp:test(.,'^(.*)(?i)( C\/O| C\/| Care Of| CO)$') or                         regexp:test(.,'^(?i)(C\/O|C\/|Care Of|CO)$')                       )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000406</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) &lt; 39" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410194</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M46">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                             regexp:test(.,'^(?i)(C\/- |C\/O |C\/ |Care Of |CO )(.*)$') or                             regexp:test(.,'^(.*)(?i)( C\/- | C\/O | C\/ | Care Of | CO )(.*)$') or                             regexp:test(.,'^(.*)(?i)( C\/-| C\/O| C\/| Care Of| CO)$') or                             regexp:test(.,'^(?i)(C\/-|C\/O|C\/|Care Of|CO)$')                           )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000408</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000407</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) &lt; 39" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410195</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line3.Text[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M46">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line4.Text[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M46">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410013</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M46">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000409</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(regexp:test(.,'(?i)(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)'))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000411</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M46"><xsl:variable name="ucName" select="exslt:uppercase(.)" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="     @i:nil='true'                          or @i:nil='1' or string-length(normalize-space(.)) = 0                          or $ucName = 'ACT'                          or $ucName = 'NSW'                          or $ucName = 'NT'                          or $ucName = 'QLD'                          or $ucName = 'SA'                          or $ucName = 'VIC'                          or $ucName = 'WA'                          or $ucName = 'TAS'                          or $ucName = 'AAT'                      " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.300003</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.CountryName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M46">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(                                          string-length(normalize-space(.)) != 0                        )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410213</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M46">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or exslt:uppercase(.) = 'C' or exslt:uppercase(.) = 'P'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428202</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M46"><xsl:variable name="ucvalue" select="exslt:uppercase(.)" />

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or                 $ucvalue = 'AD' or                 $ucvalue = 'AE' or                 $ucvalue = 'AF' or                 $ucvalue = 'AG' or                 $ucvalue = 'AI' or                 $ucvalue = 'AL' or                 $ucvalue = 'AM' or                 $ucvalue = 'AN' or                 $ucvalue = 'AO' or                 $ucvalue = 'AQ' or                 $ucvalue = 'AR' or                 $ucvalue = 'AS' or                 $ucvalue = 'AT' or                 $ucvalue = 'AU' or                 $ucvalue = 'AW' or                 $ucvalue = 'AX' or                 $ucvalue = 'AZ' or                 $ucvalue = 'BA' or                 $ucvalue = 'BB' or                 $ucvalue = 'BD' or                 $ucvalue = 'BE' or                 $ucvalue = 'BF' or                 $ucvalue = 'BG' or                 $ucvalue = 'BH' or                 $ucvalue = 'BI' or                 $ucvalue = 'BJ' or                 $ucvalue = 'BL' or                 $ucvalue = 'BM' or                 $ucvalue = 'BN' or                 $ucvalue = 'BO' or                 $ucvalue = 'BR' or                 $ucvalue = 'BS' or                 $ucvalue = 'BT' or                 $ucvalue = 'BV' or                 $ucvalue = 'BW' or                 $ucvalue = 'BY' or                 $ucvalue = 'BZ' or                 $ucvalue = 'CA' or                 $ucvalue = 'CC' or                 $ucvalue = 'CD' or                 $ucvalue = 'CF' or                 $ucvalue = 'CG' or                 $ucvalue = 'CH' or                 $ucvalue = 'CI' or                 $ucvalue = 'CK' or                 $ucvalue = 'CL' or                 $ucvalue = 'CM' or                 $ucvalue = 'CN' or                 $ucvalue = 'CO' or                 $ucvalue = 'CR' or                 $ucvalue = 'CU' or                 $ucvalue = 'CV' or                 $ucvalue = 'CX' or                 $ucvalue = 'CY' or                 $ucvalue = 'CZ' or                 $ucvalue = 'DE' or                 $ucvalue = 'DJ' or                 $ucvalue = 'DK' or                 $ucvalue = 'DM' or                 $ucvalue = 'DO' or                 $ucvalue = 'DZ' or                 $ucvalue = 'EC' or                 $ucvalue = 'EE' or                 $ucvalue = 'EG' or                 $ucvalue = 'EH' or                 $ucvalue = 'ER' or                 $ucvalue = 'ES' or                 $ucvalue = 'ET' or                 $ucvalue = 'FI' or                 $ucvalue = 'FJ' or                 $ucvalue = 'FK' or                 $ucvalue = 'FM' or                 $ucvalue = 'FO' or                 $ucvalue = 'FR' or                 $ucvalue = 'GA' or                 $ucvalue = 'GB' or                 $ucvalue = 'GD' or                 $ucvalue = 'GE' or                 $ucvalue = 'GF' or                 $ucvalue = 'GG' or                 $ucvalue = 'GH' or                 $ucvalue = 'GI' or                 $ucvalue = 'GL' or                 $ucvalue = 'GM' or                 $ucvalue = 'GN' or                 $ucvalue = 'GP' or                 $ucvalue = 'GQ' or                 $ucvalue = 'GR' or                 $ucvalue = 'GS' or                 $ucvalue = 'GT' or                 $ucvalue = 'GU' or                 $ucvalue = 'GW' or                 $ucvalue = 'GY' or                 $ucvalue = 'HK' or                 $ucvalue = 'HM' or                 $ucvalue = 'HN' or                 $ucvalue = 'HR' or                 $ucvalue = 'HT' or                 $ucvalue = 'HU' or                 $ucvalue = 'ID' or                 $ucvalue = 'IE' or                 $ucvalue = 'IL' or                 $ucvalue = 'IM' or                 $ucvalue = 'IN' or                 $ucvalue = 'IO' or                 $ucvalue = 'IQ' or                 $ucvalue = 'IR' or                 $ucvalue = 'IS' or                 $ucvalue = 'IT' or                 $ucvalue = 'JE' or                 $ucvalue = 'JM' or                 $ucvalue = 'JO' or                 $ucvalue = 'JP' or                 $ucvalue = 'KE' or                 $ucvalue = 'KG' or                 $ucvalue = 'KH' or                 $ucvalue = 'KI' or                 $ucvalue = 'KM' or                 $ucvalue = 'KN' or                 $ucvalue = 'KP' or                 $ucvalue = 'KR' or                 $ucvalue = 'KW' or                 $ucvalue = 'KY' or                 $ucvalue = 'KZ' or                 $ucvalue = 'LA' or                 $ucvalue = 'LB' or                 $ucvalue = 'LC' or                 $ucvalue = 'LI' or                 $ucvalue = 'LK' or                 $ucvalue = 'LR' or                 $ucvalue = 'LS' or                 $ucvalue = 'LT' or                 $ucvalue = 'LU' or                 $ucvalue = 'LV' or                 $ucvalue = 'LY' or                 $ucvalue = 'MA' or                 $ucvalue = 'MC' or                 $ucvalue = 'MD' or                 $ucvalue = 'ME' or                 $ucvalue = 'MF' or                 $ucvalue = 'MG' or                 $ucvalue = 'MH' or                 $ucvalue = 'MK' or                 $ucvalue = 'ML' or                 $ucvalue = 'MM' or                 $ucvalue = 'MN' or                 $ucvalue = 'MO' or                 $ucvalue = 'MP' or                 $ucvalue = 'MQ' or                 $ucvalue = 'MR' or                 $ucvalue = 'MS' or                 $ucvalue = 'MT' or                 $ucvalue = 'MU' or                 $ucvalue = 'MV' or                 $ucvalue = 'MW' or                 $ucvalue = 'MX' or                 $ucvalue = 'MY' or                 $ucvalue = 'MZ' or                 $ucvalue = 'NA' or                 $ucvalue = 'NC' or                 $ucvalue = 'NE' or                 $ucvalue = 'NF' or                 $ucvalue = 'NG' or                 $ucvalue = 'NI' or                 $ucvalue = 'NL' or                 $ucvalue = 'NO' or                 $ucvalue = 'NP' or                 $ucvalue = 'NR' or                 $ucvalue = 'NU' or                 $ucvalue = 'NZ' or                 $ucvalue = 'OM' or                 $ucvalue = 'PA' or                 $ucvalue = 'PE' or                 $ucvalue = 'PF' or                 $ucvalue = 'PG' or                 $ucvalue = 'PH' or                 $ucvalue = 'PK' or                 $ucvalue = 'PL' or                 $ucvalue = 'PM' or                 $ucvalue = 'PN' or                 $ucvalue = 'PR' or                 $ucvalue = 'PS' or                 $ucvalue = 'PT' or                 $ucvalue = 'PW' or                 $ucvalue = 'PY' or                 $ucvalue = 'QA' or                 $ucvalue = 'RE' or                 $ucvalue = 'RO' or                 $ucvalue = 'RS' or                 $ucvalue = 'RU' or                 $ucvalue = 'RW' or                 $ucvalue = 'SA' or                 $ucvalue = 'SB' or                 $ucvalue = 'SC' or                 $ucvalue = 'SD' or                 $ucvalue = 'SE' or                 $ucvalue = 'SG' or                 $ucvalue = 'SH' or                 $ucvalue = 'SI' or                 $ucvalue = 'SJ' or                 $ucvalue = 'SK' or                 $ucvalue = 'SL' or                 $ucvalue = 'SM' or                 $ucvalue = 'SN' or                 $ucvalue = 'SO' or                 $ucvalue = 'SR' or                 $ucvalue = 'ST' or                 $ucvalue = 'SV' or                 $ucvalue = 'SY' or                 $ucvalue = 'SZ' or                 $ucvalue = 'TC' or                 $ucvalue = 'TD' or                 $ucvalue = 'TF' or                 $ucvalue = 'TG' or                 $ucvalue = 'TH' or                 $ucvalue = 'TJ' or                 $ucvalue = 'TK' or                 $ucvalue = 'TL' or                 $ucvalue = 'TM' or                 $ucvalue = 'TN' or                 $ucvalue = 'TO' or                 $ucvalue = 'TR' or                 $ucvalue = 'TT' or                 $ucvalue = 'TV' or                 $ucvalue = 'TW' or                 $ucvalue = 'TZ' or                 $ucvalue = 'UA' or                 $ucvalue = 'UG' or                 $ucvalue = 'UM' or                 $ucvalue = 'US' or                 $ucvalue = 'UY' or                 $ucvalue = 'UZ' or                 $ucvalue = 'VA' or                 $ucvalue = 'VC' or                 $ucvalue = 'VE' or                 $ucvalue = 'VG' or                 $ucvalue = 'VI' or                 $ucvalue = 'VN' or                 $ucvalue = 'VU' or                 $ucvalue = 'WF' or                 $ucvalue = 'WS' or                 $ucvalue = 'YE' or                 $ucvalue = 'YT' or                 $ucvalue = 'ZA' or                 $ucvalue = 'ZM' or                 $ucvalue = 'ZW'" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410192</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template><xsl:template match="text()" priority="-1" mode="M46" /><xsl:template match="@*|node()" priority="-2" mode="M46"><xsl:apply-templates select="@*|*" mode="M46" /></xsl:template></xsl:stylesheet>