﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Rule validations for contexts that are applicable accross all of the RaD services.</title>

<!-- CONTEXT VALIDATIONS -->

<rule
		context="xbrli:xbrl">

<!--IF COUNT(RP) <> 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.GEN.000208" diagnostics="DVR.ATO.GEN.000208" subject="xbrli:context" test="count(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 1
                ">Invalid XBRL schema</assert>
<!--
    IF COUNT(CONTEXT(GM.CTFGN)) > 20
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422147" diagnostics="DVR.ATO.RDS.422147" subject="xbrli:context" test="not(count(xbrli:context[@id = $GM.CTFGN.ContextId]) &gt; 20)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(GM.CTAUST)) > 20
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422206" diagnostics="DVR.ATO.RDS.422206" subject="xbrli:context" test="not(count(xbrli:context[@id=$GM.CTAUST.ContextId]) &gt; 20)">The schedule contains an invalid number of context instances.</assert>
<!--

    IF COUNT(CONTEXT(GM.CTAUST.Y0)) > 20
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422225" diagnostics="DVR.ATO.RDS.422225" subject="xbrli:context" test="not(count(xbrli:context[@id=$GM.CTAUST.Y0.ContextId]) &gt; 20)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(GM.CTFGN.Y0)) > 20
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422226" diagnostics="DVR.ATO.RDS.422226" subject="xbrli:context" test="not(count(xbrli:context[@id=$GM.CTFGN.Y0.ContextId]) &gt; 20)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(GM.CTAUST.Y0-1)) > 20
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422227" diagnostics="DVR.ATO.RDS.422227" subject="xbrli:context" test="not(count(xbrli:context[@id=$GM.CTAUST.Y0-1.ContextId]) &gt; 20)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(GM.CTFGN.Y0-1)) > 20
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422228" diagnostics="DVR.ATO.RDS.422228" subject="xbrli:context" test="not(count(xbrli:context[@id=$GM.CTFGN.Y0-1.ContextId]) &gt; 20)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(GM.CTAUST.Y0-2)) > 20
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422229" diagnostics="DVR.ATO.RDS.422229" subject="xbrli:context" test="not(count(xbrli:context[@id=$GM.CTAUST.Y0-2.ContextId]) &gt; 20)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(GM.CTFGN.Y0-2)) > 20
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422230" diagnostics="DVR.ATO.RDS.422230" subject="xbrli:context" test="not(count(xbrli:context[@id=$GM.CTFGN.Y0-2.ContextId]) &gt; 20)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(GM.CTAUST.Y0-3)) > 20
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422231" diagnostics="DVR.ATO.RDS.422231" subject="xbrli:context" test="not(count(xbrli:context[@id=$GM.CTAUST.Y0-3.ContextId]) &gt; 20)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(GM.CTFGN.Y0-3)) > 20
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422232" diagnostics="DVR.ATO.RDS.422232" subject="xbrli:context" test="not(count(xbrli:context[@id=$GM.CTFGN.Y0-3.ContextId]) &gt; 20)">The schedule contains an invalid number of context instances.</assert>
<!--

IF COUNT(CONTEXT(RP.CTAUSTS)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422161" diagnostics="DVR.ATO.RDS.422161" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CTAUSTS.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.CTAUST)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422205" diagnostics="DVR.ATO.RDS.422205" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CTAUST.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.CTFGN)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422212" diagnostics="DVR.ATO.RDS.422212" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CTFGN.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.CTBSE)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422213" diagnostics="DVR.ATO.RDS.422213" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CTBSE.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.CTAUSTC)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422214" diagnostics="DVR.ATO.RDS.422214" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CTAUSTC.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.Y0-1)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422215" diagnostics="DVR.ATO.RDS.422215" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.Y0-1.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.Y0-2)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422216" diagnostics="DVR.ATO.RDS.422216" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.Y0-2.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.CTAUST.Y0)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422217" diagnostics="DVR.ATO.RDS.422217" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CTAUST.Y0.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.CTFGN.Y0)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422218" diagnostics="DVR.ATO.RDS.422218" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CTFGN.Y0.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.CTAUST.Y0-1)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422219" diagnostics="DVR.ATO.RDS.422219" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CTAUST.Y0-1.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.CTFGN.Y0-1)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422220" diagnostics="DVR.ATO.RDS.422220" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CTFGN.Y0-1.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.CTAUST.Y0-2)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422221" diagnostics="DVR.ATO.RDS.422221" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CTAUST.Y0-2.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.CTFGN.Y0-2)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422222" diagnostics="DVR.ATO.RDS.422222" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CTFGN.Y0-2.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.CTAUST.Y0-3)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422223" diagnostics="DVR.ATO.RDS.422223" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CTAUST.Y0-3.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
<!--
    IF COUNT(CONTEXT(RP.CTFGN.Y0-3)) > 1
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.RDS.422224" diagnostics="DVR.ATO.RDS.422224" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CTFGN.Y0-3.ContextId]) &gt; 1)">The schedule contains an invalid number of context instances.</assert>
</rule>

<rule
		context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

<!--
    IF (period.startDate = NULLORBLANK WHERE CONTEXT(ALL))
      RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.GEN.000199" diagnostics="DVR.ATO.GEN.000199.0" subject="xbrli:period/xbrli:startDate" test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                ">Mandatory field not supplied</assert>
<!--
    IF period.endDate = NULLORBLANK WHERE CONTEXT(ALL)
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.GEN.000237" diagnostics="DVR.ATO.GEN.000237.0" subject="xbrli:period/xbrli:endDate" test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                ">Mandatory field not supplied</assert>
<!--
    IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201.1" subject="xbrli:period/xbrli:endDate" test="
                not
                (
                  xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and
                  xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and
                  
                  function:IsDate1GreaterOrEqualToDate2
                  (
                    xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                    xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                  )
                )
                ">Period start date must be prior to Period end date</assert>
<!--
    IF context id = NULLORBLANK
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.GEN.000240" diagnostics="DVR.ATO.GEN.000240.0" test="@id and string-length(normalize-space(@id)) != 0
                ">Invalid XBRL schema</assert>
<!--
    IF  RprtPyType.xx.xx:ReportPartyTypeDimension <> 
        "RprtPyType.02.03:ReportingParty" OR
        RprtPyType.xx.xx:ReportPartyTypeDimension <> 
        "RprtPyType.02.03:GroupMember"    
        RETURN VALIDATION MESSAGE
    ENDIF    
    -->

<assert  id="VR.ATO.RDS.422207" diagnostics="DVR.ATO.RDS.422207" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="(count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[contains(@dimension,'ReportPartyTypeDimension') and not(contains(.,'ReportingParty'))]) = 0)
                or (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[contains(@dimension,'ReportPartyTypeDimension') and not(contains(.,'GroupMember'))]) = 0)">Invalid ReportingParty entity segment detail supplied.</assert>
<!--
    IF RelPrdDrtn.xx.xx:RelativePeriodDurationDimension <> 
    SET("RelPrdDrtn.02.01:Y0","RelPrdDrtn.02.01:Y0MINUS1","RelPrdDrtn.02.01:Y0MINUS2","RelPrdDrtn.02.01:Y0MINUS3")
       RETURN VALIDATION MESSAGE
    ENDIF    
    
<iso:assert name="VR.ATO.RDS.422208" id="CMN.ATO.RDS.422105"
					      subject = "xbrli:entity/xbrli:segment/xbrldi:explicitMember"
					      test = "count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[contains(@dimension,'RelativePeriodDurationDimension') and not(contains(.,'RelPrdDrtn.02.01:Y0')) and not(contains(.,'RelPrdDrtn.02.01:Y0MINUS1'))and not(contains(.,'RelPrdDrtn.02.01:Y0MINUS2'))and not(contains(.,'RelPrdDrtn.02.01:Y0MINUS3'))]) = 0"
                >Invalid 'Relative Period Duration' detail supplied.</iso:assert>-->

<assert  id="VR.ATO.RDS.422208" diagnostics="DVR.ATO.RDS.422208" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="((count(xbrli:entity/xbrli:segment/xbrldi:explicitMember
                        [regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and 
                          not (regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$'))])= 0) or
                        (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember
                          [regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and 
                          not (regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$'))])= 0) or
                        (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember
                          [regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and 
                          not (regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$'))])= 0) or
                        (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember
                          [regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and 
                          not (regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$'))])= 0))">Invalid 'Relative Period Duration' detail supplied.</assert>



<!--
       IF((RprtPyType.xx.xx:ReportPartyTypeDimension <> “RprtPyType.02.03:ReportingParty”
            AND ConcessionType.xx.xx:ConcessionType <> SET (“ConcessionType.02.00:Australian”, “ConcessionType.02.00:Foreign”, “ConcessionType.02.00:Base”, “ConcessionType.02.00:AustralianStandard”, “ConcessionType.02.00:AustraliaConcessional”)) 
            OR (RprtPyType.xx.xx:ReportPartyTypeDimension <> “RprtPyType.02.03:GroupMember” 
            AND ConcessionType.xx.xx:ConcessionType <> SET (“ConcessionType.02.00:Australian”, “ConcessionType.02.00:Foreign”)))
          RETURN VALIDATION MESSAGE
        ENDIF
     P.S.: User clarify this rule only applied to 2 Dimension context to check all ConcessionType  
    -->

<assert  id="VR.ATO.RDS.422211" diagnostics="DVR.ATO.RDS.422211" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2])= 0
                        or((count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and not(regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$'))])=0)
                        or (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and not(regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$'))])=0)
                        
                        or ((count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^RprtPyTypeType.\d\d\.\d\d:ReportingPartyDimension$') and not(regexp:test(., '^RprtPyTypeType\.\d\d\.\d\d:ReportingParty$'))])=0)
                        and (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and not(regexp:test(., '^ConcessionType\.\d\d\.\d\d:Base$'))])=0))
                        
                        or ((count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^RprtPyTypeType.\d\d\.\d\d:ReportingPartyDimension$') and not(regexp:test(., '^RprtPyTypeType\.\d\d\.\d\d:ReportingParty$'))])=0)
                        and (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and not(regexp:test(., '^ConcessionType\.\d\d\.\d\d:AustralianStandard$'))])=0))
                        
                        or ((count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^RprtPyTypeType.\d\d\.\d\d:ReportingPartyDimension$') and not(regexp:test(., '^RprtPyTypeType\.\d\d\.\d\d:ReportingParty$'))])=0)
                        and (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and not(regexp:test(., '^ConcessionType\.\d\d\.\d\d:AustralianConcessional$'))])=0)))">Invalid "Concession Type" detail supplied.</assert>
</rule>

<rule
		context="xbrli:context/xbrli:entity">

<!--
    IF enitity.identifier = NULLORBLANK
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.GEN.001020" diagnostics="DVR.ATO.GEN.001020.0" subject="xbrli:identifier" test="string-length(normalize-space(xbrli:identifier)) &gt; 0">Entity Identifier is not supplied</assert>
<!--
    IF Identifier Scheme <> "http://www.ato.gov.au/tfn"
    RETURN VALIDATION MESSAGE
    ENDIF
    -->

<assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021.0" subject="xbrli:identifier" test="not
                (
                  xbrli:identifier[not(@i:nil='true' or @i:nil='1')] and
                  not(xbrli:identifier[not(@i:nil='true' or @i:nil='1') and (@scheme = 'http://www.ato.gov.au/tfn')])
                )">Entity Identifier Scheme is not set to http://www.ato.gov.au/tfn </assert>
<!--
            Rule ID:  VR.ATO.GEN.428250
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.02.03:ReportingParty") AND
                (entity.identifier.TFN <> RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            Comment: Another rule VR.ATO.GEN.001021 ensure the tfn schema is in lowercase.
            -->

<assert  id="VR.ATO.GEN.428250" diagnostics="DVR.ATO.GEN.428250" subject="xbrli:context" test="
                not(./xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and 
                    regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and 
                    regexp:test(., '^RprtPyType\.\d\d\.\d\d:(ReportingParty)$')]) or
                xbrli:identifier[translate(@scheme,'A..Z','a..z') = 'http://www.ato.gov.au/tfn'] = $RP.Identifier.TFN">Unexpected TFN mismatch with Reporting Party</assert>
</rule>
</pattern>