﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Length" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Data length rule validations for RDS</title>


<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.AggregateAdjustments.Amount">

<!--
	Rule ID: VR.ATO.RDS.422104

	IF [RDS56] <> NULL AND  [RDS56] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS56 = bafpr3.02.02:Expense.ResearchAndDevelopment.AggregateAdjustments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422104" diagnostics="DVR.ATO.RDS.422104" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount">

<!--
	Rule ID: VR.ATO.RDS.422105

	IF [RDS47] <> NULL AND  [RDS47] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS47 = bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422105" diagnostics="DVR.ATO.RDS.422105" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422134

	IF [RDS50] <> NULL AND  [RDS50] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS50 = bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422134" diagnostics="DVR.ATO.RDS.422134" test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422162

	IF [RDS48] <> NULL AND  [RDS48] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS48 = bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422162" diagnostics="DVR.ATO.RDS.422162" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422163

	IF [RDS49] <> NULL AND  [RDS49] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS49 = bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422163" diagnostics="DVR.ATO.RDS.422163" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount">

<!--
	Rule ID: VR.ATO.RDS.422106

	IF [RDS37] <> NULL AND  [RDS37] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS37 = bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422106" diagnostics="DVR.ATO.RDS.422106" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422148

	IF [RDS35] <> NULL AND  [RDS35] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS35 = bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422148" diagnostics="DVR.ATO.RDS.422148" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422149

	IF [RDS36] <> NULL AND  [RDS36] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS36 = bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422149" diagnostics="DVR.ATO.RDS.422149" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount">

<!--
	Rule ID: VR.ATO.RDS.422107

	IF [RDS18] <> NULL AND  [RDS18] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF

	NOTE:
	RDS18 = bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422107" diagnostics="DVR.ATO.RDS.422107" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422128

	IF [RDS16] <> NULL AND  [RDS16] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS16 = bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422128" diagnostics="DVR.ATO.RDS.422128" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422129

	IF [RDS17] <> NULL AND  [RDS17] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS17 = bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422129" diagnostics="DVR.ATO.RDS.422129" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422131

	IF [RDS19] <> NULL AND  [RDS19] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS19 = bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422131" diagnostics="DVR.ATO.RDS.422131" test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount">

<!--
	Rule ID: VR.ATO.RDS.422108

	IF [RDS42] <> NULL AND  [RDS42] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS42 = bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422108" diagnostics="DVR.ATO.RDS.422108" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422155

	IF [RDS41] <> NULL AND  [RDS41] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS41 = bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422155" diagnostics="DVR.ATO.RDS.422155" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount">

<!--
	Rule ID: VR.ATO.RDS.422109

	IF [RDS34] <> NULL AND  [RDS34] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS34 = bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422109" diagnostics="DVR.ATO.RDS.422109" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422145

	IF [RDS32] <> NULL AND  [RDS32] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS32 = bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422145" diagnostics="DVR.ATO.RDS.422145" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422146

	IF [RDS33] <> NULL AND  [RDS33] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS33 = bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422146" diagnostics="DVR.ATO.RDS.422146" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount">

<!--
	Rule ID: VR.ATO.RDS.422110

	IF [RDS25] <> NULL AND  [RDS25] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS25 = bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422110" diagnostics="DVR.ATO.RDS.422110" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422135

	IF [RDS23] <> NULL AND  [RDS23] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS23 = bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422135" diagnostics="DVR.ATO.RDS.422135" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422136

	IF [RDS24] <> NULL AND  [RDS24] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS24 = bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422136" diagnostics="DVR.ATO.RDS.422136" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422138

	IF [RDS26] <> NULL AND  [RDS26] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS26 = bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422138" diagnostics="DVR.ATO.RDS.422138" test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount">

<!--
	Rule ID: VR.ATO.RDS.422111

	IF [RDS44] <> NULL AND  [RDS44] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS44 = bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422111" diagnostics="DVR.ATO.RDS.422111" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422157

	IF [RDS43] <> NULL AND  [RDS43] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS43 = bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422157" diagnostics="DVR.ATO.RDS.422157" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount">

<!--
	Rule ID: VR.ATO.RDS.422112

	IF [RDS14] <> NULL AND  [RDS14] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS14 = bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422112" diagnostics="DVR.ATO.RDS.422112" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422124

	IF [RDS12] <> NULL AND  [RDS12] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS12 = bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422124" diagnostics="DVR.ATO.RDS.422124" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422125

	IF [RDS13] <> NULL AND  [RDS13] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS13 = bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422125" diagnostics="DVR.ATO.RDS.422125" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422127

	IF [RDS15] <> NULL AND  [RDS15] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS15 = bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422127" diagnostics="DVR.ATO.RDS.422127" test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount">

<!--
	Rule ID: VR.ATO.RDS.422113

	IF [RDS22] <> NULL AND  [RDS22] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS22 = bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422113" diagnostics="DVR.ATO.RDS.422113" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422132

	IF [RDS20] <> NULL AND  [RDS20] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS20 = bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422132" diagnostics="DVR.ATO.RDS.422132" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422133

	IF [RDS21] <> NULL AND  [RDS21] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS21 = bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422133" diagnostics="DVR.ATO.RDS.422133" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount">

<!--
	Rule ID: VR.ATO.RDS.422114

	IF [RDS10] <> NULL AND  [RDS10] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS10 = lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422114" diagnostics="DVR.ATO.RDS.422114" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422119

	IF [RDS11] <> NULL AND  [RDS11] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS11 = lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422119" diagnostics="DVR.ATO.RDS.422119" test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422188

	IF [RDS8] <> NULL AND  [RDS8] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS8 = lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422188" diagnostics="DVR.ATO.RDS.422188" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422194

	IF [RDS9] <> NULL AND  [RDS9] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS9 = lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422194" diagnostics="DVR.ATO.RDS.422194" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount">

<!--
	Rule ID: VR.ATO.RDS.422115

	IF [RDS104] <> NULL AND  [RDS104] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS104 = gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422115" diagnostics="DVR.ATO.RDS.422115" test="@contextRef != $RP.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422117

	IF [RDS108] <> NULL AND  [RDS108] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS108 = gfagc.02.01:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount[@contextRef = $GM.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422117" diagnostics="DVR.ATO.RDS.422117" test="@contextRef != $GM.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount">

<!--
	Rule ID: VR.ATO.RDS.422116

	IF [RDS105] <> NULL AND  [RDS105] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS105 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422116" diagnostics="DVR.ATO.RDS.422116" test="@contextRef != $RP.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422118

	IF [RDS109] <> NULL AND  [RDS109] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS109 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $GM.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422118" diagnostics="DVR.ATO.RDS.422118" test="@contextRef != $GM.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchandDevelopment.TaxOffsetAggregateTotal.Amount">

<!--
	Rule ID: VR.ATO.RDS.422120

	IF [RDS109] <> NULL AND  [RDS109] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS110 = gfagc.02.01:TaxConcession.ResearchandDevelopment.TaxOffsetAggregateTotal.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422120" diagnostics="DVR.ATO.RDS.422120" test="@contextRef != $RP.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetTurnoverTotal.Amount">

<!--
	Rule ID: VR.ATO.RDS.422121

	IF [RDS111] <> NULL AND  [RDS111] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS111 = gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetTurnoverTotal.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422121" diagnostics="DVR.ATO.RDS.422121" test="@contextRef != $RP.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount">

<!--
	Rule ID: VR.ATO.RDS.422122

	IF [RDS112] <> NULL AND  [RDS112] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS112 = gfagc.02.01:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422122" diagnostics="DVR.ATO.RDS.422122" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount">

<!--
	Rule ID: VR.ATO.RDS.422123

	IF [RDS113] <> NULL AND  [RDS113] <> MONETARY(S,13,2)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS113 = gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(13,2)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422123" diagnostics="DVR.ATO.RDS.422123" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}(\.[0-9]{0,2})?$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagg.02.01:ResearchAndDevelopment.EntitlementToGovernmentGrantsAndRecoupmentsRelatingToActivitiesAndProjectsClaimed.Amount">

<!--
	Rule ID: VR.ATO.RDS.422126

	IF [RDS57] <> NULL AND  [RDS57] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS57 = gfagg.02.01:ResearchAndDevelopment.EntitlementToGovernmentGrantsAndRecoupmentsRelatingToActivitiesAndProjectsClaimed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422126" diagnostics="DVR.ATO.RDS.422126" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount">

<!--
	Rule ID: VR.ATO.RDS.422130

	IF [RDS100] <> NULL AND  [RDS100] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS100 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422130" diagnostics="DVR.ATO.RDS.422130" test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422189

	IF [RDS81] <> NULL AND  [RDS81] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS81 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422189" diagnostics="DVR.ATO.RDS.422189" test="@contextRef != $RP.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount">

<!--
	Rule ID: VR.ATO.RDS.422137

	IF [RDS7] <> NULL AND  [RDS7] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS7 = bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422137" diagnostics="DVR.ATO.RDS.422137" test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422153

	IF [RDS4] <> NULL AND  [RDS4] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS4 = bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422153" diagnostics="DVR.ATO.RDS.422153" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422164

	IF [RDS5] <> NULL AND  [RDS5] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS5 = bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422164" diagnostics="DVR.ATO.RDS.422164" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422173

	IF [RDS6] <> NULL AND  [RDS6] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS6 = bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422173" diagnostics="DVR.ATO.RDS.422173" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount">

<!--
	Rule ID: VR.ATO.RDS.422139

	IF [RDS27] <> NULL AND  [RDS27] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS27 = bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422139" diagnostics="DVR.ATO.RDS.422139" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422140

	IF [RDS28] <> NULL AND  [RDS28] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS28 = bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422140" diagnostics="DVR.ATO.RDS.422140" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422141

	IF [RDS29] <> NULL AND  [RDS29] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS29 = bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422141" diagnostics="DVR.ATO.RDS.422141" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount">

<!--
	Rule ID: VR.ATO.RDS.422142

	IF [RDS3] <> NULL AND  [RDS3] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS3 = bafpr3.02.02:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422142" diagnostics="DVR.ATO.RDS.422142" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Income.ResearchAndDevelopment.DisposalProfits.Amount">

<!--
	Rule ID: VR.ATO.RDS.422143

	IF [RDS30] <> NULL AND  [RDS30] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS30 = bafpr3.02.02:Income.ResearchAndDevelopment.DisposalProfits.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422143" diagnostics="DVR.ATO.RDS.422143" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422144

	IF [RDS31] <> NULL AND  [RDS31] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS31 = bafpr3.02.02:Income.ResearchAndDevelopment.DisposalProfits.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422144" diagnostics="DVR.ATO.RDS.422144" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount">

<!--
	Rule ID: VR.ATO.RDS.422151

	IF [RDS38] <> NULL AND  [RDS38] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS38 = bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422151" diagnostics="DVR.ATO.RDS.422151" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422152

	IF [RDS39] <> NULL AND  [RDS39] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS39 = bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422152" diagnostics="DVR.ATO.RDS.422152" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422154

	IF [RDS40] <> NULL AND  [RDS40] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS40 = bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422154" diagnostics="DVR.ATO.RDS.422154" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount">

<!--
	Rule ID: VR.ATO.RDS.422159

	IF [RDS45] <> NULL AND  [RDS45] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS45 = bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422159" diagnostics="DVR.ATO.RDS.422159" test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422160

	IF [RDS46] <> NULL AND  [RDS46] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS46 = bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422160" diagnostics="DVR.ATO.RDS.422160" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount">

<!--
	Rule ID: VR.ATO.RDS.422165

	IF [RDS51] <> NULL AND  [RDS51] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS51 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422165" diagnostics="DVR.ATO.RDS.422165" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422166

	IF [RDS52] <> NULL AND  [RDS52] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS52 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422166" diagnostics="DVR.ATO.RDS.422166" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422167

	IF [RDS53] <> NULL AND  [RDS53] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS53 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422167" diagnostics="DVR.ATO.RDS.422167" test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount">

<!--
	Rule ID: VR.ATO.RDS.422168

	IF [RDS54] <> NULL AND  [RDS54] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS54 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422168" diagnostics="DVR.ATO.RDS.422168" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422169

	IF [RDS55] <> NULL AND  [RDS55] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS55 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422169" diagnostics="DVR.ATO.RDS.422169" test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagg.02.01:ResearchAndDevelopment.GrantsAndRecoupmentsOnAustralianOwnedRandDIncrementalExpenditure.Amount">

<!--
	Rule ID: VR.ATO.RDS.422171

	IF [RDS58] <> NULL AND  [RDS58] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS58 = gfagg.02.01:ResearchAndDevelopment.GrantsAndRecoupmentsOnAustralianOwnedRandDIncrementalExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422171" diagnostics="DVR.ATO.RDS.422171" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagg.02.01:ResearchAndDevelopment.GrantsandRecoupmentsAttributableToForeignOwnedExpenditure.Amount">

<!--
	Rule ID: VR.ATO.RDS.422172

	IF [RDS59] <> NULL AND  [RDS59] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS59 = gfagg.02.01:ResearchAndDevelopment.GrantsandRecoupmentsAttributableToForeignOwnedExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422172" diagnostics="DVR.ATO.RDS.422172" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount">

<!--
	Rule ID: VR.ATO.RDS.422174

	IF [RDS63] <> NULL AND  [RDS63] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS63 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422174" diagnostics="DVR.ATO.RDS.422174" test="@contextRef != $RP.CTAUST.Y0.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422175

	IF [RDS64] <> NULL AND  [RDS64] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS64 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422175" diagnostics="DVR.ATO.RDS.422175" test="@contextRef != $RP.CTAUST.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422176

	IF [RDS65] <> NULL AND  [RDS65] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS65 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422176" diagnostics="DVR.ATO.RDS.422176" test="@contextRef != $RP.CTAUST.Y0-2.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422177

	IF [RDS66] <> NULL AND  [RDS66] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS66 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422177" diagnostics="DVR.ATO.RDS.422177" test="@contextRef != $RP.CTAUST.Y0-3.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422178

	IF [RDS69] <> NULL AND  [RDS69] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS69 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422178" diagnostics="DVR.ATO.RDS.422178" test="@contextRef != $GM.CTAUST.Y0.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422179

	IF [RDS70] <> NULL AND  [RDS70] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS70 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTAUST.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422179" diagnostics="DVR.ATO.RDS.422179" test="@contextRef != $GM.CTAUST.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422180

	IF [RDS71] <> NULL AND  [RDS71] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS71 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTAUST.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422180" diagnostics="DVR.ATO.RDS.422180" test="@contextRef != $GM.CTAUST.Y0-2.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422181

	IF [RDS72] <> NULL AND  [RDS72] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS72 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTAUST.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422181" diagnostics="DVR.ATO.RDS.422181" test="@contextRef != $GM.CTAUST.Y0-3.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422190

	IF [RDS85] <> NULL AND  [RDS85] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS85 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422190" diagnostics="DVR.ATO.RDS.422190" test="@contextRef != $RP.CTFGN.Y0.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422191

	IF [RDS86] <> NULL AND  [RDS86] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS86 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422191" diagnostics="DVR.ATO.RDS.422191" test="@contextRef != $RP.CTFGN.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422192

	IF [RDS87] <> NULL AND  [RDS87] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS87 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422192" diagnostics="DVR.ATO.RDS.422192" test="@contextRef != $RP.CTFGN.Y0-2.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422193

	IF [RDS88] <> NULL AND  [RDS88] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS88 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422193" diagnostics="DVR.ATO.RDS.422193" test="@contextRef != $RP.CTFGN.Y0-3.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422195

	IF [RDS91] <> NULL AND  [RDS91] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS91 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422195" diagnostics="DVR.ATO.RDS.422195" test="@contextRef != $GM.CTFGN.Y0.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422196

	IF [RDS92] <> NULL AND  [RDS92] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS92 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTFGN.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422196" diagnostics="DVR.ATO.RDS.422196" test="@contextRef != $GM.CTFGN.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422197

	IF [RDS93] <> NULL AND  [RDS93] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS93 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTFGN.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422197" diagnostics="DVR.ATO.RDS.422197" test="@contextRef != $GM.CTFGN.Y0-2.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422198

	IF [RDS94] <> NULL AND  [RDS94] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS94 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTFGN.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422198" diagnostics="DVR.ATO.RDS.422198" test="@contextRef != $GM.CTFGN.Y0-3.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount">

<!--
	Rule ID: VR.ATO.RDS.422182

	IF [RDS73] <> NULL AND  [RDS73] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS73 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422182" diagnostics="DVR.ATO.RDS.422182" test="@contextRef != $RP.CTAUST.Y0.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422183

	IF [RDS74] <> NULL AND  [RDS74] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS74 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422183" diagnostics="DVR.ATO.RDS.422183" test="@contextRef != $RP.CTAUST.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422184

	IF [RDS75] <> NULL AND  [RDS75] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS75 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422184" diagnostics="DVR.ATO.RDS.422184" test="@contextRef != $RP.CTAUST.Y0-2.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422185

	IF [RDS76] <> NULL AND  [RDS76] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS76 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422185" diagnostics="DVR.ATO.RDS.422185" test="@contextRef != $RP.CTAUST.Y0-3.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422199

	IF [RDS95] <> NULL AND  [RDS95] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS95 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422199" diagnostics="DVR.ATO.RDS.422199" test="@contextRef != $RP.CTFGN.Y0.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422200

	IF [RDS96] <> NULL AND  [RDS96] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS96 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422200" diagnostics="DVR.ATO.RDS.422200" test="@contextRef != $RP.CTFGN.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422201

	IF [RDS97] <> NULL AND  [RDS97] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF 

	NOTE:
	RDS97 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422201" diagnostics="DVR.ATO.RDS.422201" test="@contextRef != $RP.CTFGN.Y0-2.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422202

	IF [RDS98] <> NULL AND  [RDS98] <> MONETARY(U,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS98 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: UNSIGN DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422202" diagnostics="DVR.ATO.RDS.422202" test="@contextRef != $RP.CTFGN.Y0-3.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount">

<!--
	Rule ID: VR.ATO.RDS.422186

	IF [RDS77] <> NULL AND  [RDS77] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS77 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422186" diagnostics="DVR.ATO.RDS.422186" test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
<!--
	Rule ID: VR.ATO.RDS.422187

	IF [RDS78] <> NULL AND  [RDS78] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS78 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422187" diagnostics="DVR.ATO.RDS.422187" test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>

<rule
		context="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustmentForeignOwned.Amount">

<!--
	Rule ID: VR.ATO.RDS.422203

	IF [RDS99] <> NULL AND  [RDS99] <> MONETARY(S,11,0)
       		RETURN VALIDATION MESSAGE
	ENDIF	

	NOTE:
	RDS99 = gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustmentForeignOwned.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	FDF TYPE: DECIMAL(11,0)
	FDF LENGTH: 0
	XBRL TYPE: xbrli:monetaryItemType
	XBRL LENGTH: 0
-->

<assert  id="VR.ATO.RDS.422203" diagnostics="DVR.ATO.RDS.422203" test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')">Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</assert>
</rule>
<!-- UNKNOWN
    Rule ID: VR.ATO.GEN.410049
    
    IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN")
      RETURN VALIDATION MESSAGE
    ENDIF
    -->

<rule
		context="xbrli:xbrl/orgname1.02.00:OrganisationNameDetails">


<assert  id="VR.ATO.GEN.410049" diagnostics="DVR.ATO.GEN.410049.0" subject="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code" test="not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and . != 'MN'])">Organisation Name Type Code must be 'MN'</assert>

<assert  id="VR.ATO.GEN.410039" diagnostics="DVR.ATO.GEN.410039.0" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="count(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')])=0
                       or string-length(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')])=0
                       or regexp:test(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0],'^(.*)[a-zA-Z0-9](.*)$')
                ">Organisation name must contain at least one alpha or numeric character</assert>
<!-- WHERE IN TUPLE(orgname1.xx.xx:OrganisationNameDetails)
IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK)
   RETURN VALIDATION MESSAGE
ENDIF -->

<assert  id="VR.ATO.GEN.410147" diagnostics="DVR.ATO.GEN.410147.0" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="
                not (not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                and
                (pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                )
                
                
                "></assert>
</rule>
</pattern>