﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Rule validations for contexts that are applicable to S25A.</title>

    <!-- CONTEXT VALIDATIONS -->

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.000240
        
            IF context id = NULLORBLANK
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000240" diagnostics="DVR.ATO.GEN.000240" subject="xbrli:context" test="count(xbrli:context[(count(@id) = 0 or string-length(normalize-space(@id)) = 0) and not(@i:nil='true' or @i:nil='1')]) = 0"></assert>
        <!--
            Rule ID:  VR.ATO.GEN.001019
            
            IF RprtPyType.xx.xx:ReportPartyTypeDimension <> "RprtPyType.02.03:ReportingParty"
                RETURN VALIDATION MESSAGE
            ENDIF    
        -->

        <assert  id="VR.ATO.GEN.001019" diagnostics="DVR.ATO.GEN.001019" subject="xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') 
                        and not(regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$'))]) = 0"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424041
            
            IF COUNT(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod) > 4
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.S25A.424041" diagnostics="DVR.ATO.S25A.424041" subject="xbrli:context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod" test="not(count(s25a.0002.lodge.request.02.00:ArmsLengthPricingMethod) &gt; 4)"></assert>
        
        <!--
            Rule ID: VR.ATO.S25A.424042
            
            IF COUNT(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity) > 3
               RETURN VALIDATION MESSAGE
            ENDIF            
        -->
        <assert  id="VR.ATO.S25A.424042" diagnostics="DVR.ATO.S25A.424042" subject="xbrli:context/s25a.0002.lodge.req.02.00:InternationalDealingsBusinessActivity" test="not(count(s25a.0002.lodge.request.02.00:InternationalDealingsBusinessActivity) &gt; 3)"></assert>
        
        <!--
            Rule ID: VR.ATO.S25A.424043
            
            IF COUNT(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods) > 4
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.S25A.424043" diagnostics="DVR.ATO.S25A.424043" subject="xbrli:context/s25a.0002.lodge.req.02.00:AcquisitionsAndDisposalsPricingMethods" test="not(count(s25a.0002.lodge.request.02.00:AcquisitionsAndDisposalsPricingMethods) &gt; 4)"></assert>

        <!--
            Rule ID: VR.ATO.S25A.424045
        
            IF COUNT(RP) > 1
		    RETURN VALIDATION MESSAGE
		    ENDIF
        -->

        <assert  id="VR.ATO.GEN.000208" diagnostics="DVR.ATO.GEN.000208" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.ContextId])!= 1)"></assert>
        <!--
            Rule ID: VR.ATO.GEN.000208
        
            IF COUNT(RP.CFCLC) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424046" diagnostics="DVR.ATO.S25A.424046" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CFCLC.ContextId])&gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424047
            
            IF COUNT(RP.CFC404) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424047" diagnostics="DVR.ATO.S25A.424047" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CFC404.ContextId])&gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424048
            
            IF COUNT(RP.CFCUC) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424048" diagnostics="DVR.ATO.S25A.424048" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CFCUC.ContextId])&gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424049
        
            IF COUNT(RP.All) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424049" diagnostics="DVR.ATO.S25A.424049" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.All.ContextId])&gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424050
            
            IF COUNT(RP.s404andUnlisted) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424050" diagnostics="DVR.ATO.S25A.424050" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.s404andUnlisted.ContextId])&gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424051
            
            IF COUNT(RP.Opening) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424051" diagnostics="DVR.ATO.S25A.424051" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.Opening.ContextId])&gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424052
            
            IF COUNT(RP.Closing) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424052" diagnostics="DVR.ATO.S25A.424052" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.Closing.ContextId])&gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424053
            
            IF COUNT(RP.Opening.CFCLC) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424053" diagnostics="DVR.ATO.S25A.424053" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.Opening.CFCLC.ContextId])&gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424054
            
            IF COUNT(RP.Opening.CFC404) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424054" diagnostics="DVR.ATO.S25A.424054" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.Opening.CFC404.ContextId])&gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424055
            
            IF COUNT(RP.Opening.CFCUC) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424055" diagnostics="DVR.ATO.S25A.424055" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.Opening.CFCUC.ContextId])&gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424056
        
            IF COUNT(RP.Closing.CFCLC) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424056" diagnostics="DVR.ATO.S25A.424056" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.Closing.CFCLC.ContextId])&gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424057
            
            IF COUNT(RP.Closing.CFC404) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424057" diagnostics="DVR.ATO.S25A.424057" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.Closing.CFC404.ContextId])&gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424058
            
            IF COUNT(RP.Closing.CFCUC) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424058" diagnostics="DVR.ATO.S25A.424058" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.Closing.CFCUC.ContextId])&gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424040
            
            IF COUNT(orgname1.xx.xx:OrganisationNameDetails) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424040" diagnostics="DVR.ATO.S25A.424040" subject="orgname1.02.00:OrganisationNameDetails" test="not(count(orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')])&gt; 1)"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.000199
            
            IF (period.startDate = NULLORBLANK WHERE CONTEXT(ALL))
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000199" diagnostics="DVR.ATO.GEN.000199.0" subject="xbrli:period/xbrli:startDate" test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
            Rule ID: VR.ATO.GEN.000237
            
            IF period.endDate = NULLORBLANK WHERE CONTEXT(ALL)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000237" diagnostics="DVR.ATO.GEN.000237.0" subject="xbrli:period/xbrli:endDate" test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
        <!--
            Rule ID: VR.ATO.GEN.000201

            IF period.startDate >= period.endDate WHERE CONTEXT(ALL)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000201" diagnostics="DVR.ATO.GEN.000201.0" subject="xbrli:period/xbrli:startDate" test="
                        not
                        (
                          function:IsDate1GreaterOrEqualToDate2
                          (
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:startDate[not(@i:nil='true' or @i:nil='1')],
                            
                            xbrli:period[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                          )
                        )"></assert>
        <!--
            Rule ID: VR.ATO.GEN.001020
            
            IF entity.identifier = NULLORBLANK
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.001020" diagnostics="DVR.ATO.GEN.001020" subject="xbrli:entity/xbrli:identifier" test="not(string-length(xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1')])=0
                          or count(xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1')])=0)"></assert>
        <!--
            Rule ID: VR.ATO.GEN.001021
            
            IF (Identifier Scheme <> ""http://www.ato.gov.au/tfn"")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021" subject="xbrli:entity/xbrli:identifier" test="count(xbrli:entity/xbrli:identifier[not(Exslt.ExsltStrings:lowercase(@scheme)='http://www.ato.gov.au/tfn')]) = 0"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424100
            
            IF (OpenCloseBalance.xx.xx:OpeningAndClosingBalanceDimension <> SET("OpenCloseBalance.02.00:Opening","OpenCloseBalance.02.00:Closing"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424100" diagnostics="DVR.ATO.S25A.424100" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) &gt; 1]/xbrldi:explicitMember[regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and not(@i:nil='true' or @i:nil='1')
                          and not(regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Opening$'))
                          and not(regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$'))])=0"></assert>
        <!--
            Rule ID: VR.ATO.S25A.424101
        
            IF (CountryResCFCClass.xx.xx:CountryOfResidencyCFCClassificationDimension 
            <> SET("CountryResCFCClass.02.00:ListedCountry", 
            "CountryResCFCClass.02.00:Section404Country", 
            "CountryResCFCClass.02.00:UnlistedCountry" ,
            "CountryResCFCClass.02.00:All", 
            "CountryResCFCClass.02.00:Section404AndUnlistedCountry"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.S25A.424101" diagnostics="DVR.ATO.S25A.424101" subject="xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) &gt; 1]/xbrldi:explicitMember[regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and not(@i:nil='true' or @i:nil='1')
                          and not(regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$'))
                          and not(regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404Country$'))                                  
                          and not(regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')) 
                          and not(regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:All$'))                                  
                          and not(regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404AndUnlistedCountry$'))])=0"></assert>
    </rule>

    <rule
            context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1') and ./xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')and contains(., 'ReportingParty')]]">

        <!--
            Rule ID: VR.ATO.GEN.410113

            IF RP:entity.identifier.TFN = NULLORBLANK 
                 RETURN VALIDATION MESSAGE
            ENDIF  
        -->

        <assert  id="VR.ATO.GEN.410113" diagnostics="DVR.ATO.GEN.410113.0" subject="xbrli:identifier" test="string-length(normalize-space(
                          xbrli:identifier[Exslt.ExsltStrings:lowercase(@scheme) = 'http://www.ato.gov.au/tfn'])) &gt; 0"></assert>
    </rule>
</pattern>