﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="DataTypes" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>DataType Validations</title>

<!-- DATE TYPE -->

<rule
		name="VR.ATO.GEN.001008"
		context="xbrli:startDate[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-date" />
</rule>

<rule
		name="VR.ATO.GEN.001008"
		context="xbrli:endDate[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-date" />
</rule>
<!-- MONETARY TYPE AND FORMAT RULES-->



<rule
		name="VR.ATO.GEN.001009"
		context="bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
            Rule ID: VR.ATO.S25A.424059

            IF (S25A6 <> NULL) AND (S25A6 <> MONETARY(S,11,0))
            RETURN VALIDATION MESSAGE
            ENDIF

            S25A6 = 	bafot.02.02:Miscellaneous.InternationalDealingMainBusinessActivityCarriedOutWithInternationalRelatedPartyExcludingLoan.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
        -->

<assert  id="VR.ATO.S25A.424059" diagnostics="DVR.ATO.S25A.424059" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[+-]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
            Rule ID: VR.ATO.S25A.424085

            IF [S25A36] <> NULL AND [S25A36] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A36] = S25A:RP.Opening:bafpo1.xx.xx:Assets.InterestBearingLoanReceivable.Amount
        -->

<assert  id="VR.ATO.S25A.424085" diagnostics="DVR.ATO.S25A.424085" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Opening.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
            Rule ID: VR.ATO.S25A.424086

            IF [S25A37] <> NULL AND [S25A37] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A37] = S25A:RP.Closing:bafpo1.xx.xx:Assets.InterestBearingLoanReceivable.Amount
        -->

<assert  id="VR.ATO.S25A.424086" diagnostics="DVR.ATO.S25A.424086" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Closing.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
            Rule ID: VR.ATO.S25A.424089

            IF [S25A40] <> NULL AND [S25A40] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A40] = S25A:RP.Opening:bafpo1.xx.xx:Assets.LoansAndReceivablesInterestFree.Amount
        -->

<assert  id="VR.ATO.S25A.424089" diagnostics="DVR.ATO.S25A.424089" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Opening.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
            Rule ID: VR.ATO.S25A.424090

            IF [S25A41] <> NULL AND [S25A41] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A41] = S25A:RP.Closing:bafpo1.xx.xx:Assets.LoansAndReceivablesInterestFree.Amount
        -->

<assert  id="VR.ATO.S25A.424090" diagnostics="DVR.ATO.S25A.424090" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Closing.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
            Rule ID: VR.ATO.S25A.424083

            IF [S25A34] <> NULL AND [S25A34] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A34] = S25A:RP.Opening:bafpo1.xx.xx:Liabilities.InterestBearingLoans.Amount
        -->

<assert  id="VR.ATO.S25A.424083" diagnostics="DVR.ATO.S25A.424083" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Opening.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.S25A.424084

            IF [S25A35] <> NULL AND [S25A35] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A35] = S25A:RP.Closing:bafpo1.xx.xx:Liabilities.InterestBearingLoans.Amount
        -->

<assert  id="VR.ATO.S25A.424084" diagnostics="DVR.ATO.S25A.424084" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Closing.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424087

            IF [S25A38] <> NULL AND [S25A38] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A38] = S25A:RP.Opening:bafpo1.xx.xx:Liabilities.InterestFreeLoans.Amount
        -->

<assert  id="VR.ATO.S25A.424087" diagnostics="DVR.ATO.S25A.424087" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Opening.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [S25A39] <> NULL AND [S25A39] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A39] = S25A:RP.Closing:bafpo1.xx.xx:Liabilities.InterestFreeLoans.Amount
        -->

<assert  id="VR.ATO.S25A.424088" diagnostics="DVR.ATO.S25A.424088" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Closing.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Expense.Insurance.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424079

            IF [S25A30] <> NULL AND [S25A30] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A30] = S25A:RP:bafpr1.xx.xx:Expense.Insurance.Amount
        -->

<assert  id="VR.ATO.S25A.424079" diagnostics="DVR.ATO.S25A.424079" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424067

            IF [S25A18] <> NULL AND [S25A18] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A18] = S25A:RP:bafpr1.xx.xx:Expense.IntangiblePropertyOther.Amount
        -->

<assert  id="VR.ATO.S25A.424067" diagnostics="DVR.ATO.S25A.424067" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Expense.InterestAndDiscounts.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
        IF [S25A28] <> NULL AND [S25A28] <> MONETARY(U,11,0)
          RETURN VALIDATION MESSAGE
        ENDIF

        [S25A28] = S25A:RP:bafpr1.xx.xx:Expense.InterestAndDiscounts.Amount
        -->

<assert  id="VR.ATO.S25A.424077" diagnostics="DVR.ATO.S25A.424077" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.02:Expense.OtherPayments.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424081

            IF [S25A32] <> NULL AND [S25A32] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A32] = S25A:RP:bafpr1.xx.xx:Expense.OtherPayments.Amount
        -->

<assert  id="VR.ATO.S25A.424081" diagnostics="DVR.ATO.S25A.424081" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424065

            IF [S25A16] <> NULL AND [S25A16] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A16] = S25A:RP:bafpr1.xx.xx:Expense.RentOtherThanRoyalties.Amount
        -->

<assert  id="VR.ATO.S25A.424065" diagnostics="DVR.ATO.S25A.424065" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.04:Expense.Royalties.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
        IF [S25A14] <> NULL AND [S25A14] <> MONETARY(U,11,0)
          RETURN VALIDATION MESSAGE
        ENDIF

        [S25A14] = S25A:RP:bafpr1.xx.xx:Expense.Royalties.Amount
        -->

<assert  id="VR.ATO.S25A.424063" diagnostics="DVR.ATO.S25A.424063" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424069

            IF [S25A20] <> NULL AND [S25A20] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A20] = S25A:RP:bafpr1.xx.xx:Expense.SevicesManagementFinancialAdministrativeMarketingAndTraining.Amount
        -->

<assert  id="VR.ATO.S25A.424069" diagnostics="DVR.ATO.S25A.424069" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Expense.ServicesOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424075

            IF [S25A26] <> NULL AND [S25A26] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A26] = S25A:RP:bafpr1.xx.xx:Expense.ServicesOther.Amount
            -->

<assert  id="VR.ATO.S25A.424075" diagnostics="DVR.ATO.S25A.424075" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.02:Expense.ServicesResearchAndDevelopment.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424073

            IF [S25A24] <> NULL AND [S25A24] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A24] = S25A:RP:bafpr1.xx.xx:Expense.ServicesResearchAndDevelopment.Amount
        -->

<assert  id="VR.ATO.S25A.424073" diagnostics="DVR.ATO.S25A.424073" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424071

            IF [S25A22] <> NULL AND [S25A22] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A22] = S25A:RP:bafpr1.xx.xx:Expense.ServicesTechnicalAndConstruction.Amount
        -->

<assert  id="VR.ATO.S25A.424071" diagnostics="DVR.ATO.S25A.424071" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Expense.TangiblePropertyOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424061

	        IF (S25A12 <> NULL) AND (S25A12 <> MONETARY(S,11,0))
	        RETURN VALIDATION MESSAGE
	        ENDIF

	        S25A12 = 	bafpr1.02.02:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
        -->

<assert  id="VR.ATO.S25A.424061" diagnostics="DVR.ATO.S25A.424061" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[+-]?[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424115

            IF [S25A10] <> NULL AND  [S25A10] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A10] = S25A:RP:bafpr1.xx.xx:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
        -->

<assert  id="VR.ATO.S25A.424115" diagnostics="DVR.ATO.S25A.424115" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424091

            IF [S25A59] <> NULL AND [S25A59] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A59] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
        -->

<assert  id="VR.ATO.S25A.424091" diagnostics="DVR.ATO.S25A.424091" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.CFCLC.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.S25A.424092

            IF [S25A60] <> NULL AND [S25A60] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A60] = S25A:RP.CFC404:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
        -->

<assert  id="VR.ATO.S25A.424092" diagnostics="DVR.ATO.S25A.424092" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.CFC404.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.S25A.424093

            IF [S25A61] <> NULL AND [S25A61] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A61] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
        -->

<assert  id="VR.ATO.S25A.424093" diagnostics="DVR.ATO.S25A.424093" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.CFCUC.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.S25A.424094

            IF [S25A62] <> NULL AND [S25A62] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A62] = S25A:RP.All:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
        -->

<assert  id="VR.ATO.S25A.424094" diagnostics="DVR.ATO.S25A.424094" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.All.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
        Rule ID: VR.ATO.S25A.424096

        IF [S25A64] <> NULL AND [S25A64] <> MONETARY(U,11,0)
          RETURN VALIDATION MESSAGE
        ENDIF

        [S25A64] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
        -->

<assert  id="VR.ATO.S25A.424096" diagnostics="DVR.ATO.S25A.424096" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424095

            IF [S25A63] <> NULL AND [S25A63] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A63] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            -->

<assert  id="VR.ATO.S25A.424095" diagnostics="DVR.ATO.S25A.424095" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424097
            
            IF [S25A65] <> NULL AND [S25A65] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A65] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
        -->

<assert  id="VR.ATO.S25A.424097" diagnostics="DVR.ATO.S25A.424097" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.CFCLC.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.S25A.424098

            IF [S25A66] <> NULL AND [S25A66] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A66] = S25A:RP.s404andUnlisted:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
        -->

<assert  id="VR.ATO.S25A.424098" diagnostics="DVR.ATO.S25A.424098" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.s404andUnlisted.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Income.Insurance.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424080

            IF [S25A31] <> NULL AND [S25A31] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A31] = S25A:RP:bafpr1.xx.xx:Income.Insurance.Amount
        -->

<assert  id="VR.ATO.S25A.424080" diagnostics="DVR.ATO.S25A.424080" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Income.IntangiblePropertyOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424068

            IF [S25A19] <> NULL AND [S25A19] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A19] = S25A:RP:bafpr1.xx.xx:Income.IntangiblePropertyOther.Amount
        -->

<assert  id="VR.ATO.S25A.424068" diagnostics="DVR.ATO.S25A.424068" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Income.InterestAndDiscounts.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424078

            IF [S25A29] <> NULL AND [S25A29] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A29] = S25A:RP:bafpr1.xx.xx:Income.InterestAndDiscounts.Amount
        -->

<assert  id="VR.ATO.S25A.424078" diagnostics="DVR.ATO.S25A.424078" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424102

            IF [S25A70] <> NULL AND [S25A70] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A70] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
        -->

<assert  id="VR.ATO.S25A.424102" diagnostics="DVR.ATO.S25A.424102" subject="bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.CFCLC.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.S25A.424103

            IF [S25A71] <> NULL AND [S25A71] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A71] = S25A:RP.CFC404:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
        -->

<assert  id="VR.ATO.S25A.424103" diagnostics="DVR.ATO.S25A.424103" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.CFC404.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
            Rule ID: VR.ATO.S25A.424104

            IF [S25A72] <> NULL AND [S25A72] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A72] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
        -->

<assert  id="VR.ATO.S25A.424104" diagnostics="DVR.ATO.S25A.424104" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.CFCUC.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.02:Income.OtherPayments.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424082

            IF [S25A33] <> NULL AND [S25A33] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A33] = S25A:RP:bafpr1.xx.xx:Income.OtherPayments.Amount
        -->

<assert  id="VR.ATO.S25A.424082" diagnostics="DVR.ATO.S25A.424082" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424109

            IF [S25A68] <> NULL AND [S25A68] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A68] = S25A:RP.CFC404:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
        -->

<assert  id="VR.ATO.S25A.424109" diagnostics="DVR.ATO.S25A.424109" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.CFC404.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.S25A.424110

	        IF (S25A69 <> NULL) AND (S25A69 <> MONETARY(S,11,0))
	        RETURN VALIDATION MESSAGE
	        ENDIF

	        S25A69 = 	bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
        -->

<assert  id="VR.ATO.S25A.424110" diagnostics="DVR.ATO.S25A.424110" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.CFCUC.ContextId or regexp:test(.,'^[+-]?[0-9]{1,11}$')"></assert>
<!--
	        Rule ID: VR.ATO.S25A.424099

            IF [S25A67] <> NULL AND [S25A67] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A67] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
        -->

<assert  id="VR.ATO.S25A.424099" diagnostics="DVR.ATO.S25A.424099" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.CFCLC.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.02:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424105

            IF [S25A73] <> NULL AND [S25A73] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A73] = S25A:RP:bafpr1xx.xx:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount
        -->

<assert  id="VR.ATO.S25A.424105" diagnostics="DVR.ATO.S25A.424105" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424066

            IF [S25A17] <> NULL AND [S25A17] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A17] = S25A:RP:bafpr1.xx.xx:Income.RentOtherThanRoyalties.Amount
        -->

<assert  id="VR.ATO.S25A.424066" diagnostics="DVR.ATO.S25A.424066" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Income.Royalties.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424064

            IF [S25A15] <> NULL AND [S25A15] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A15] = S25A:RP:bafpr1.xx.xx:Income.Royalties.Amount
        -->

<assert  id="VR.ATO.S25A.424064" diagnostics="DVR.ATO.S25A.424064" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424070

            IF [S25A21] <> NULL AND [S25A21] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A21] = S25A:RP:bafpr1.xx.xx:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
        -->

<assert  id="VR.ATO.S25A.424070" diagnostics="DVR.ATO.S25A.424070" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Income.ServicesOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424076

            IF [S25A27] <> NULL AND [S25A27] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A27] = S25A:RP:bafpr1.xx.xx:Income.ServicesOther.Amount
        -->

<assert  id="VR.ATO.S25A.424076" diagnostics="DVR.ATO.S25A.424076" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.02:Income.ServicesResearchAndDevelopment.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424074

            IF [S25A25] <> NULL AND [S25A25] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A25] = S25A:RP:bafpr1.xx.xx:Income.ServicesResearchAndDevelopment.Amount
        -->

<assert  id="VR.ATO.S25A.424074" diagnostics="DVR.ATO.S25A.424074" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.02:Income.ServicesTechnicalAndConstruction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424072

            IF [S25A23] <> NULL AND [S25A23] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A23] = S25A:RP:bafpr1.xx.xx:Income.ServicesTechnicalAndConstruction.Amount
        -->

<assert  id="VR.ATO.S25A.424072" diagnostics="DVR.ATO.S25A.424072" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Income.TangiblePropertyOther.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424062

            IF [S25A13] <> NULL AND [S25A13] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A13] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyOther.Amount
        -->

<assert  id="VR.ATO.S25A.424062" diagnostics="DVR.ATO.S25A.424062" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424060

            IF [S25A11] <> NULL AND [S25A11] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A11] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
        -->

<assert  id="VR.ATO.S25A.424060" diagnostics="DVR.ATO.S25A.424060" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc1.02.01:IncomeTax.ActiveForeignBusinessCapitalGainsReduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
	        Rule ID: VR.ATO.S25A.424106

            IF [S25A74] <> NULL AND [S25A74] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A74] = S25A:RP:rvctc1.xx.xx:IncomeTax.ActiveForeignBusinessCapitalGainsReduction.Amount
        -->

<assert  id="VR.ATO.S25A.424106" diagnostics="DVR.ATO.S25A.424106" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc1.02.01:IncomeTax.ActiveForeignBusinessCapitalLossesReduction.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-monetary" />

<!--
            IF [S25A75] <> NULL AND [S25A75] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [S25A75] = S25A:RP:rvctc1.xx.xx:IncomeTax.ActiveForeignBusinessCapitalLossesReduction.Amount
        -->

<assert  id="VR.ATO.S25A.424107" diagnostics="DVR.ATO.S25A.424107" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or regexp:test(.,'^[0-9]{1,11}$')"></assert>
</rule>
<!-- BOOLEAN DATATYPES 
TODO:  get a real rule for this one
<iso:rule name="VR.ATO.GEN.001010" context="bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount">
        <iso:extends rule="xsd-datatype-boolean"/>
    </iso:rule>-->

<rule
		name="VR.ATO.GEN.001010"
		context="bafot.02.02:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafot.02.02:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafot.02.02:Miscellaneous.CapitalNature.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafot.02.02:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafot.02.02:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafot.02.02:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafot.02.02:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafot.02.02:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>

<rule
		name="VR.ATO.GEN.001010"
		context="bafot.02.02:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-boolean" />
</rule>
<!-- INTEGER DATATYPES -->

<rule
		name="VR.ATO.GEN.001013"
		context="bafot.02.02:Miscellaneous.NumberofRelatedParties.Count[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-positiveIntegerItemType" />
</rule>
<!-- ID DATATYPE -->

<rule
		name="VR.ATO.GEN.001012"
		context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/@id">
<extends
			rule="xsd-datatype-ID" />
</rule>
<!-- SPECIFIC PATTERN DATATYPES -->

<rule
		name="VR.ATO.GEN.002003"
		context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrOrganisationNameItemType" />
</rule>

<rule
		name="VR.ATO.GEN.002006"
		context="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrTaxFileNumberItemType" />
</rule>

<rule
		name="VR.ATO.GEN.002015"
		context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrAustralianBusinessNumberItemType" />
</rule>
<!-- ENUMERATIONS -->

<rule
		context="bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.S25A.424011

            IF ([S25A44] <> NULLORBLANK) AND ([S25A44] <> SET(DOMAIN(Percentage of Dollar Value of Related-Party Dealings)))
               RETURN VALIDATION MESSAGE
            ENDIF

            [S25A44] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
        -->

<assert  id="VR.ATO.S25A.424011" diagnostics="DVR.ATO.S25A.424011" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or string-length(normalize-space(.)) = 0 or regexp:test(.,'^(1|2|3|4|5|6)$')"></assert>
</rule>

<rule
		context="bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF ([S25A45] <> NULLORBLANK) AND ([S25A45] <> SET(DOMAIN(Percentage of Dollar Value of Related-Party Dealings)))
               RETURN VALIDATION MESSAGE
            ENDIF

            [S25A45] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
        -->

<assert  id="VR.ATO.S25A.424015" diagnostics="DVR.ATO.S25A.424015" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or string-length(normalize-space(.)) = 0 or regexp:test(.,'^(1|2|3|4|5|6)$')"></assert>
</rule>

<rule
		context="bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF ([S25A50] <> NULLORBLANK) AND ([S25A50] <> SET(DOMAIN(Total of Related-Party Acquisitions and Disposals as a Percentage of the Total Related-Party Dealings)))
               RETURN VALIDATION MESSAGE
            ENDIF

            [S25A50] = S25A:RP:bafot.xx.xx:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
        -->

<assert  id="VR.ATO.S25A.424024" diagnostics="DVR.ATO.S25A.424024" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or string-length(normalize-space(.)) = 0 or regexp:test(.,'^(1|2|3|4|5|6)$')"></assert>
</rule>

<rule
		context="bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-positiveIntegerItemType" />

<!--
            IF ([S25A53] <> NULL) AND ([S25A53] <> SET(1-99))
               RETURN VALIDATION MESSAGE
            ENDIF

            [S25A53] = S25A:RP.Opening.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        -->

<assert  id="VR.ATO.S25A.424025" diagnostics="DVR.ATO.S25A.424025" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Opening.CFCLC.ContextId or regexp:test(.,'^([1-9]|[1-9][0-9])$')"></assert>
<!--
            IF ([S25A55] <> NULL) AND ([S25A55] <> SET(1-99))
               RETURN VALIDATION MESSAGE
            ENDIF

            [S25A55] = S25A:RP.Opening.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        -->

<assert  id="VR.ATO.S25A.424027" diagnostics="DVR.ATO.S25A.424027" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Opening.CFC404.ContextId or regexp:test(.,'^([1-9]|[1-9][0-9])$')"></assert>
<!--
            IF ([S25A57] <> NULL) AND ([S25A57] <> SET(1-99))
               RETURN VALIDATION MESSAGE
            ENDIF

            [S25A57] = S25A:RP.Opening.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        -->

<assert  id="VR.ATO.S25A.424029" diagnostics="DVR.ATO.S25A.424029" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Opening.CFCUC.ContextId or regexp:test(.,'^([1-9]|[1-9][0-9])$')"></assert>
<!--
            IF ([S25A54] <> NULL) AND ([S25A54] <> SET(1-99))
               RETURN VALIDATION MESSAGE
            ENDIF

            [S25A54] = S25A:RP.Closing.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        -->

<assert  id="VR.ATO.S25A.424026" diagnostics="DVR.ATO.S25A.424026" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Closing.CFCLC.ContextId or regexp:test(.,'^([1-9]|[1-9][0-9])$')"></assert>
<!--
            IF ([S25A56] <> NULL) AND ([S25A56] <> SET(1-99))
               RETURN VALIDATION MESSAGE
            ENDIF

            [S25A56] = S25A:RP.Closing.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        -->

<assert  id="VR.ATO.S25A.424028" diagnostics="DVR.ATO.S25A.424028" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Closing.CFC404.ContextId or regexp:test(.,'^([1-9]|[1-9][0-9])$')"></assert>
<!--
            IF ([S25A58] <> NULL) AND ([S25A58] <> SET(1-99))
               RETURN VALIDATION MESSAGE
            ENDIF

            [S25A58] = S25A:RP.Closing.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        -->

<assert  id="VR.ATO.S25A.424030" diagnostics="DVR.ATO.S25A.424030" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.Closing.CFCUC.ContextId or regexp:test(.,'^([1-9]|[1-9][0-9])$')"></assert>
</rule>

<rule
		context="bafot.02.02:Miscellaneous.ArmsLengthPricingMethod.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF ([S25A46] <> NULLORBLANK) AND ([S25A46] <> SET(DOMAIN(Pricing Method Codes)))
               RETURN VALIDATION MESSAGE
            ENDIF

            [S25A46] = S25A:RP:bafot.xx.xx:Miscellaneous.ArmsLengthPricingMethod.Code IN TUPLE(s25a.0001.lodge.req.xx.xx:ArmsLengthPricingMethod)
        -->

<assert  id="VR.ATO.S25A.424016" diagnostics="DVR.ATO.S25A.424016" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or string-length(normalize-space(.)) = 0 or regexp:test(.,'^(0[1-9]|1[0-2])$')"></assert>
</rule>

<rule
		context="bafot.02.02:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF ([S25A47] <> NULLORBLANK) AND ([S25A47] <> SET(DOMAIN(Percentage of Dollar Value of Related-Party Dealings that are Revenue in Nature)))
               RETURN VALIDATION MESSAGE
            ENDIF

            [S25A47] = S25A:RP:bafot.xx.xx:Miscellaneous.RevenueAndExpensesPercentageBracketDollarValue.Code IN TUPLE(s25a.0001.lodge.req.xx.xx:ArmsLengthPricingMethod)
        -->

<assert  id="VR.ATO.S25A.424020" diagnostics="DVR.ATO.S25A.424020" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or string-length(normalize-space(.)) = 0 or regexp:test(.,'^(1|2|3|4|5|6)$')"></assert>
</rule>



<rule
		context="pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF ([S25A5] <> NULLORBLANK) AND ([S25A5] <> SET(DOMAIN(ANZSIC Codes)))
               RETURN VALIDATION MESSAGE
            ENDIF

            [S25A5] = S25A:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code IN TUPLE(s25a.0001.lodge.req.xx.xx:InternationalDealingsBusinessActivity)
        -->

<assert  id="VR.ATO.S25A.424000" diagnostics="DVR.ATO.S25A.424000" test="@i:nil='true' or @i:nil='1' or @contextRef != $RP.ContextId or string-length(normalize-space(.)) = 0 or regexp:test(.,'^(01110|01120|01130|01140|01150|01210|01220|01230|01310|01320|01330|01340|01350|01360|01370|01390|01410|01420|01430|01440|01450|01460|01490|01510|01520|01590|01600|01710|01720|01800|01910|1920|01930|01990|02011|02019|02020|02031|02039|03010|03020|04111|04112|04120|04130|04140|04191|04192|04199|04200|05100|05210|05220|05290|06000|07000|08010|08020|08030|08040|08050|08060|08070|08090|09110|09190|09901|09902|09903|09909|10111|10112|10121|10122|10900|11110|11120|11130|11200|11310|11320|11330|11400|11500|11610|11620|11710|11720|11730|11740|11810|11820|11910|11920|11990|12110|12120|12130|12140|12200|13110|13120|13130|13200|13310|13320|13330|13340|13400|13510|13520|14110|14120|14130|14910|14920|14930|14940|14990|15100|15210|15220|15230|15240|15290|16110|16120|16200|17010|17090|18110|18120|18130|18210|18290|18310|18320|18410|18420|18510|18520|18910|18920|18990|19110|19120|19130|19140|19150|19160|19190|19200|20100|20210|20290|20310|20320|20330|20340|20900|21100|21210|21220|21310|21320|21330|21390|21410|21420|21490|22100|22210|22220|22230|22240|22290|22310|22390|22400|22910|22920|22930|22990|23110|23120|23130|23190|23910|23920|23930|23940|23990|24110|24120|24190|24211|24219|24220|24290|24310|24320|24390|24410|24490|24510|24520|24610|24620|24630|24690|24910|24990|25110|25120|25130|25190|25910|25920|25990|26110|26120|26190|26200|26300|26400|27000|28110|28120|29110|29190|29210|29220|30110|30190|30200|31010|31091|31099|32110|32120|32210|32220|32230|32240|32310|32320|32330|32340|32390|32410|32420|32430|32440|32450|32910|32920|32990|33110|33120|33190|33210|33221|33229|33230|33310|33320|33390|34110|34190|34910|34920|34930|34940|34990|35010|35020|35030|35040|35050|36010|36020|36030|36040|36050|36061|36062|36090|37110|37120|37200|37310|37320|37330|37340|37350|37360|37390|38000|39110|39120|39130|39211|39219|39220|40000|41100|41211|41212|41213|41220|41230|41290|42110|42120|42130|42140|42210|42220|42290|42310|42320|42410|42420|42430|42441|42442|42450|42510|42520|42530|42590|42600|42711|42712|42720|42731|42732|42733|42740|42791|42792|42793|42794|42799|43101|43102|43109|43201|43202|43209|44000|45110|45120|45130|45200|45301|45302|46100|46210|46220|46231|46239|47100|47200|48100|48200|49001|49009|50100|50210|50290|51010|51020|52110|52120|52190|52200|52910|52920|52991|52999|53010|53090|54110|54120|54130|54140|54190|54200|55110|55120|55130|55140|55210|55220|56100|56210|56220|57000|58010|58020|58090|59100|59210|59220|60100|60200|62100|62210|62220|62230|62290|62300|62400|63100|63210|63220|63300|64110|64190|64200|66110|66190|66200|66310|66320|66390|66400|67110|67120|67200|69100|69210|69220|69230|69240|69250|69310|69320|69400|69500|69610|69621|69622|69629|69700|69910|69990|70000|72110|72120|72200|72910|72920|72930|72940|72990|73110|73120|73130|73200|75100|75200|75300|75400|75510|75520|76000|77110|77120|77130|77140|77190|77200|80100|80210|80220|80230|80240|81011|81019|81020|82110|82120|82191|82199|82200|84010|84020|85110|85121|85122|85123|85124|85125|85129|85201|85202|85203|85209|85310|85320|85330|85340|85391|85399|85910|85990|86011|86012|86090|87100|87900|89100|89210|89220|90010|90021|90029|90030|91110|91121|91122|91123|91124|91125|91126|91129|91131|91139|91140|91210|91291|91292|91299|91310|91390|92010|92020|92091|92092|92099|94110|94121|94129|94191|94192|94193|94199|94210|94220|94290|94910|94990|95110|95120|95200|95310|95320|95330|95340|95391|95392|95393|95399|95400|95510|95520|95591|95599|96010|96020|96030|98000|99010|99020|99030|99040|99050|99060|99070)$')"></assert>
</rule>

<rule
		context="pyde.02.06:OrganisationDetails.InternationalRelatedPartyCountry.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (pyde.xx.xx:Address Details.Country.Code <> NULLORBLANK AND pyde.xx.xx:Address Details.Country.Code <> SET(DOMAIN(Foreign Location Codes)))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.S25A.424007" diagnostics="DVR.ATO.S25A.424007" test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or regexp:test(.,'^(af|ax|al|dz|as|ad|ao|ai|aq|ag|ar|am|aw|au|at|az|bs|bh|bd|bb|by|be|bz|bj|bm|bt|bo|ba|bw|bv|br|io|bn|bg|bf|bi|kh|cm|ca|cv|ky|cf|td|cl|cn|cx|cc|co|km|cg|cd|ck|cr|ci|hr|cu|cy|cz|dk|dj|dm|do|ec|eg|sv|gq|er|ee|et|fk|fo|fj|fi|fr|gf|pf|tf|ga|gm|ge|de|gh|gi|gr|gl|gd|gp|gu|gt|gg|gn|gw|gy|ht|hm|va|hn|hk|hu|is|in|id|ir|iq|ie|im|il|it|jm|jp|je|jo|kz|ke|ki|kp|kr|kw|kg|la|lv|lb|ls|lr|ly|li|lt|lu|mo|mk|mg|mw|my|mv|ml|mt|mh|mq|mr|mu|yt|mx|fm|md|mc|mn|me|ms|ma|mz|mm|na|nr|np|nl|an|nc|nz|ni|ne|ng|nu|nf|mp|no|om|pk|pw|ps|pa|pg|py|pe|ph|pn|pl|pt|pr|qa|re|ro|ru|rw|bl|sh|kn|lc|mf|pm|vc|ws|sm|st|sa|sn|rs|sc|sl|sg|sk|si|sb|so|za|gs|es|lk|sd|sr|sj|sz|se|ch|sy|tw|tj|tz|th|tl|tg|tk|to|tt|tn|tr|tm|tc|tv|ug|ua|ae|gb|us|um|uy|uz|vu|ve|vn|vg|vi|wf|eh|ye|zm|zw)$')"></assert>
</rule>

<rule
		context="bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF ([S25A49] <> NULLORBLANK) 
               AND
               ([S25A49] <> SET(DOMAIN(Pricing Methods for Related-Party Dealings that are Non-Revenue (Capital) Nature))
                OR
                [S25A49] = ANY OTHER OCCURRENCE OF [S25A49])
               RETURN VALIDATION MESSAGE
            ENDIF

            [S25A49] = S25A:RP:bafot.xx.xx:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code IN TUPLE(s25a.0001.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods)
        -->

<assert  id="VR.ATO.S25A.424023" diagnostics="DVR.ATO.S25A.424023" test="(string-length(normalize-space(.))=0 or regexp:test(.,'^([1-9]|1[0-2])$'))
                           and (not(. = preceding::bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code))"></assert>
</rule>
</pattern>