﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">        
        <!--           
            IF [SMSFAR203] > 0 AND [SMSFAR201] = NULLORBLANK AND ([SMSFAR51] = 0 OR [SMSFAR51] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR203] = SMSFAR:RP:SuperannuationContribution.EmployerContributions.Amount 
                          IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR201] = SMSFAR:RP:Identifiers.TaxFileNumber.Identifier 
                          IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR51]  = SMSFAR:RP:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount            
        -->
        <assert id="VR.ATO.SMSFAR.436069" diagnostics="DVR.ATO.SMSFAR.436069"
              test="not(
                      count(
                                smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')
                                and 
                                sum(common:node-set(
                                       emsup.02.02:SuperannuationContribution.EmployerContributions.Amount
                                           [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt;0                      
                                and 
                                not(
                                       pyid.02.00:Identifiers.TaxFileNumber.Identifier
                                            [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                                and string-length(.)!=0])]
                           )&gt;0
                           and
                           sum(common:node-set(
                                       emsup.02.00:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
                                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))= 0     
                    )"/>

        <!--
            IF [SMSFAR28] = FALSE AND COUNT(TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)) = 0 
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR28] = SMSFAR:RP:OrganisationDetails.OperationCease.Indicator
        -->
        <assert id="VR.ATO.SMSFAR.436208" diagnostics="DVR.ATO.SMSFAR.436208"
                test="not(
                            not(pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')and regexp:test(.,'^(true|1)$')])
                            and
                            count(smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]) = 0
                          )"/>


        <!--
            (IF [SMSFAR162] <> NULLORBLANK AND [SMSFAR162] < 2011)
            OR
            (IF [SMSFAR164] <> NULLORBLANK AND [SMSFAR164] < 2011)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR162] = SMSFAR:RP:Elections.FamilyTrustElectionStatus.Year
            [SMSFAR164] = SMSFAR:RP:Elections.InterposedEntityElectionStatus.Year
        -->
        <assert id="VR.ATO.SMSFAR.436193" diagnostics="DVR.ATO.SMSFAR.436193"
                test="not(
                        rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef = $RP.ContextId
                            and not(@i:nil='true' or @i:nil='1')
                            and (string-length(normalize-space(.)) != 0)
                            and (number(.) &lt; 2011)]
                        or
                        rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef = $RP.ContextId
                            and not(@i:nil='true' or @i:nil='1')
                            and (string-length(normalize-space(.)) != 0)
                            and (number(.) &lt; 2011)]
                     )"/>

        <!--
            IF COUNT(smsfar.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation) > 99
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436190" diagnostics="DVR.ATO.SMSFAR.436190"
                test="not(
                        count(smsfar.0001.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation[not(@i:nil='true' or @i:nil='1')])
                        &gt; 99)
                     "/>

        <!--
            IF [SMSFAR31] = FALSE AND [SMSFAR32] <> NULL 
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR31] = SMSFAR:RP:CapitalGainsTax.Event.Indicator
            [SMSFAR32] = SMSFAR:RP:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
        -->
        <assert id="VR.ATO.SMSFAR.436037" diagnostics="DVR.ATO.SMSFAR.436037"
                test="not(
                            not(rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')and regexp:test(.,'^(true|1)$')])
                            and
                            rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"/>
        <!--
            IF [SMSFAR28] = TRUE AND [SMSFAR30] = NULL 
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR28] = SMSFAR:RP:OrganisationDetails.OperationCease.Indicator
            [SMSFAR30] = SMSFAR:RP:SuperannuationFundDetails.TaxObligationsMet.Indicator
        -->
        <assert id="VR.ATO.SMSFAR.436030" diagnostics="DVR.ATO.SMSFAR.436030"
                test="not(
                            pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')and regexp:test(.,'^(true|1)$')]
                            and
                            not (emsup.02.00:SuperannuationFundDetails.TaxObligationsMet.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF [SMSFAR46] > 0 AND (([SMSFAR45] * 0.48) < ([SMSFAR46] - 1)) 
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR46] = SMSFAR:RP:IncomeTax.FrankingCredits.Amount
            [SMSFAR45] = SMSFAR:RP:Income.DividendsFranked.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436057" diagnostics="DVR.ATO.SMSFAR.436057"
                test="not(
                            sum(common:node-set(rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;0
                            and
                            (
                                (0.48 * sum(common:node-set(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) &lt;
                                sum(common:node-set(rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) -1
                            )
                      )"/>


        <!--
            IF [SMSFAR45] > 0 AND [SMSFAR46] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR45] = SMSFAR:RP:Income.DividendsFranked.Amount
            [SMSFAR46] = SMSFAR:RP:IncomeTax.FrankingCredits.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436059" diagnostics="DVR.ATO.SMSFAR.436059"
                test="not(
                            sum(common:node-set(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;0
                            and
                            not (rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>



        <!--
            IF [SMSFAR37] <> NULL AND [SMSFAR37] < [SMSFAR38]  
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR37] = SMSFAR:RP.JForeign:Income.Gross.Amount
            [SMSFAR38] = SMSFAR:RP.JForeign:Income.Net.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436062" diagnostics="DVR.ATO.SMSFAR.436062"
                test="not(
                            sum(common:node-set(bafpr1.02.04:Income.Gross.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])) &lt;
                            sum(common:node-set(bafpr1.02.02:Income.Net.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]))
                      )"/>      
        
        <!--
            IF [SMSFAR38] > 0 AND [SMSFAR37] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR38] = SMSFAR:RP.JForeign:Income.Net.Amount
            [SMSFAR37] = SMSFAR:RP.JForeign:Income.Gross.Amount
            	CMN.ATO.GEN.434042
        -->
        <assert id="VR.ATO.SMSFAR.436044" diagnostics="DVR.ATO.SMSFAR.436044"
                test="not(
                        sum(bafpr1.02.02:Income.Net.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        not(bafpr1.02.04:Income.Gross.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>


        <!--
            IF [SMSFAR84] <> 
                ABS([SMSFAR74] 
                    - 
                    ([SMSFAR75] + [SMSFAR76]) 
                    + 
                    [SMSFAR77] 
                    - 
                    ([SMSFAR78] + [SMSFAR80] + [SMSFAR79] + [SMSFAR81] + [SMSFAR225] + [SMSFAR226] + [SMSFAR227] + [SMSFAR298]+[SMSFAR82])
                    + 
                    [SMSFAR83])
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR84] = SMSFAR:RP:IncomeTax.PayableOrRefundableTotal.Amount
            [SMSFAR74] = SMSFAR:RP:IncomeTax.TaxableGross.Amount
            [SMSFAR75] = SMSFAR:RP:Income.InternationalDealings.TaxOffset.Amount
            [SMSFAR76] = SMSFAR:RP:IncomeTax.TaxOffsetsAndRebatesTotal.Amount
            [SMSFAR77] = SMSFAR:RP:InternationalDealings.AAMInterestSection102.Amount
            [SMSFAR78] = SMSFAR:RP:Income.Interest.EarlyPaymentCredit.Amount
            [SMSFAR80] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
            [SMSFAR79] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
            [SMSFAR81] = SMSFAR:RP:IncomeTax.FrankingCredits.Refundable.Amount
            [SMSFAR225] = SMSFAR:RP:IncomeTax.TaxOffsetTFNNotQuoted.Amount
            [SMSFAR226] = SMSFAR:RP:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount
            [SMSFAR227] = SMSFAR:RP:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount
            [SMSFAR298] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount
            [SMSFAR82] = SMSFAR:RP:IncomeTax.LiabilityInstalmentsTotal.Amount
            [SMSFAR83] = SMSFAR:RP:IncomeTax.SupervisoryLevy.Amount
        -->

        <assert id="VR.ATO.SMSFAR.436125" diagnostics="DVR.ATO.SMSFAR.436125"
                test="not(
                        rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                        != 
                        math:abs
                        (
                        sum(common:node-set(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        -
                        (
                            sum(common:node-set(
                            bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            rvctc1.02.03:IncomeTax.TaxOffsetsAndRebatesTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))
                        )
                        +
                        sum(common:node-set(rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        -
                        (
                            sum(common:node-set(
                            bafpr2.02.02:Income.Interest.EarlyPaymentCredit.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            rvctc2.02.02:IncomeTax.FrankingCredits.Refundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            rvctc1.02.03:IncomeTax.TaxOffsetTFNNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            rvctc1.02.03:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            rvctc1.02.03:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))

                        )
                        +
                        sum(common:node-set(rvctc1.02.00:IncomeTax.SupervisoryLevy.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        )
                      )"/>


        <!--
            IF [SMSFAR28] = TRUE AND [SMSFAR137] > 0
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR28] = SMSFAR:RP:OrganisationDetails.OperationCease.Indicator
            [SMSFAR137] = SMSFAR:RP.Closing:Equity.MemberAccountBalance.Amount
        -->

        <assert id="VR.ATO.SMSFAR.436155" diagnostics="DVR.ATO.SMSFAR.436155"
                test="not(
                        pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')  and (exslt:uppercase(.)='TRUE' or .='1')]
                        and 
                        sum(common:node-set(bafpo1.02.00:Equity.MemberAccountBalance.Amount[@contextRef = $RP.CLOSING.ContextId and not(@i:nil='true' or @i:nil='1')])) > 0
                      )"/>

        <!--
            IF [SMSFAR148] = TRUE AND ([SMSFAR149] = 0 OR [SMSFAR149] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF 
            [SMSFAR148] = SMSFAR:RP:SuperannuationRegulatoryInformation.ReceiveInSpecieContributions.Indicator
            [SMSFAR149] = SMSFAR:RP:SuperannuationRegulatoryInformation.ReceiveInSpecieContributions.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436175" diagnostics="DVR.ATO.SMSFAR.436175"
                test="not(
                        emsup.02.00:SuperannuationRegulatoryInformation.ReceiveInSpecieContributions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and
                        (
                            sum(common:node-set(emsup.02.00:SuperannuationRegulatoryInformation.ReceiveInSpecieContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))= 0        
                            or
                            not (emsup.02.00:SuperannuationRegulatoryInformation.ReceiveInSpecieContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"/>
        <!--
            IF [SMSFAR28] = FALSE AND [SMSFAR30] = TRUE
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR28] = SMSFAR:RP:OrganisationDetails.OperationCease.Indicator
            [SMSFAR30] = SMSFAR:RP:SuperannuationFundDetails.TaxObligationsMet.Indicator
        -->
        <assert id="VR.ATO.SMSFAR.436289" diagnostics="DVR.ATO.SMSFAR.436289"
                test="not(
                          pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                          and emsup.02.00:SuperannuationFundDetails.TaxObligationsMet.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                      )"/>
        <!--
            IF (pyin.xx.xx:Report.TargetFinancial.Year <> NULL) AND 
            (pyin.xx.xx:Report.TargetFinancial.Year <> 2011)
                RETURN VALIDATION MESSAGE
            ENDIF             
        -->
        <assert id="VR.ATO.GEN.430295" diagnostics="DVR.ATO.GEN.430295"
                test="pyin.02.00:Report.TargetFinancial.Year = 2011"/>


        <!--
             
            IF [SMSFAR23] < (([SMSFAR1] - 1)&""-07-01"") OR ([SMSFAR23])> DATE(TODAY)
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR23] = SMSFAR:Auditor:AuditorReport.Signature.Date
            [SMSFAR1] = SMSFAR:RP:Report.TargetFinancial.Year

        -->
        <let name="SMSFARminus1" value="concat(number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])-1,'-07-01')"/>
        <let name="SMSFAR23" value="emfsm.02.00:AuditorReport.Signature.Date[@contextRef = $AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        <let name="SMSFAR1" value="concat(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'-07-01')"/>
        <let name="TODAY" value="date:date-time()"/>

        <assert id="VR.ATO.SMSFAR.436021" diagnostics="DVR.ATO.SMSFAR.436021"
                test="not(
                        function:IsDate1GreaterThanDate2($SMSFARminus1, $SMSFAR23)
                        or
                        function:IsDate1GreaterThanDate2($SMSFAR23, $TODAY)
                      )"/>
        <!--
            IF Context(INT) <> NULL AND [SMSFAR178] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR178] = SMSFAR:INT:PersonNameDetails.FamilyName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = ""Contact"") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = ""C"")) 
            IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails )
        -->
        <assert id="VR.ATO.SMSFAR.436202" diagnostics="DVR.ATO.SMSFAR.436202"
                test="not(
                       xbrli:context[@id = $INT.ContextId and not(@i:nil='true' or @i:nil='1')] 
                       and               
                       not(prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text
                                [@contextRef=$INT.ContextId and
                                 not(@i:nil='true' or @i:nil='1') and
                                 ../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='LGL'] and
                                 ../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='CONTACT'] and
                                 ../pyde.02.00:PersonNameDetails.Currency.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='C']])
                      )"/>


        <!--
        IF [SMSFAR232] = TRUE AND ([SMSFAR228] = NULL OR [SMSFAR228] = 0) AND ([SMSFAR230] = NULL OR [SMSFAR230] = 0) AND ([SMSFAR233] = NULL OR [SMSFAR233] = 0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR232] = SMSFAR:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
        [SMSFAR228] = SMSFAR:RP.TOFA:Income.GainsTotal.Amount
        [SMSFAR230] = SMSFAR:RP.TOFA:Expense.LossesTotal.Amount
        [SMSFAR233] = SMSFAR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436245" diagnostics="DVR.ATO.SMSFAR.436245"
                test="not(
                       rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='TRUE' or .='1']
                       and(
                            sum(common:node-set(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] ))=0
                            and sum(common:node-set(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] ))=0
                            and sum(common:node-set(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount [@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]))=0
                          )
                      )"/>



        <!-- 
            IF [SMSFAR232] <> TRUE 
                AND ([SMSFAR228] > 0 
                OR [SMSFAR230] > 0 
                OR ([SMSFAR233] <> 0 AND [SMSFAR233] <> NULL)) 
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR232] = SMSFAR:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
            [SMSFAR228] = SMSFAR:RP.TOFA:Income.GainsTotal.Amount
            [SMSFAR230] = SMSFAR:RP.TOFA:Expense.LossesTotal.Amount
            [SMSFAR233] = SMSFAR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount          
        -->
        <assert id="VR.ATO.SMSFAR.436246" diagnostics="DVR.ATO.SMSFAR.436246"
                test="not(  
                            not(rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                            and
                            (
                            sum(common:node-set(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or sum(common:node-set(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            or sum(common:node-set(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]))!= 0
                            )                
                      )"/>
        
        <!--
            IF ([SMSFAR117] + [SMSFAR118] + [SMSFAR119] + [SMSFAR120] + [SMSFAR121] + [SMSFAR122] + [SMSFAR123] + [SMSFAR124] + [SMSFAR125] + [SMSFAR126] + [SMSFAR127] + [SMSFAR128] + [SMSFAR129] + [SMSFAR130] + [SMSFAR131] + [SMSFAR132] + [SMSFAR133] + [SMSFAR134] + [SMSFAR135]) 
            <> 
            (([SMSFAR136] + [SMSFAR137] + [SMSFAR138]  + [SMSFAR139])+/- 5)
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR117] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsListed.Amount
            [SMSFAR118] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsUnlisted.Amount
            [SMSFAR119] = SMSFAR:RPI.Closing.JAus:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount
            [SMSFAR120] = SMSFAR:RPI.Closing.JAus:Assets.ManagedInvestments.Amount
            [SMSFAR121] = SMSFAR:RPI.Closing.JAus:Assets.CashAndLiquidAssets.Total.Amount
            [SMSFAR122] = SMSFAR:RP.JAus:Assets.DebtSecurities.Amount
            [SMSFAR123] = SMSFAR:RPI.Closing.JAus:Assets.LoansAndReceivables.Held.Amount
            [SMSFAR124] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesListed.Amount
            [SMSFAR125] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesUnlisted.Amount
            [SMSFAR126] = SMSFAR:RP.JAus:ProfitOrLoss.Investment.Derivatives.Amount
            [SMSFAR127] = SMSFAR:RP.JAus:Assets.Investment.PropertyNonResidential.Amount
            [SMSFAR128] = SMSFAR:RP.JAus:Assets.Investment.PropertyResidential.Amount
            [SMSFAR129] = SMSFAR:RP.JAus:Assets.Investment.Collectibles.Amount
            [SMSFAR130] = SMSFAR:RPI.Closing.JAus:Assets.Other.Amount
            [SMSFAR131] = SMSFAR:RPI.Closing.JForeign:Assets.Investment.EquitySecurities.Amount
            [SMSFAR132] = SMSFAR:RP.JForeign:Assets.Investment.PropertyNonResidential.Amount
            [SMSFAR133] = SMSFAR:RP.JForeign:Assets.Investment.PropertyResidential.Amount
            [SMSFAR134] = SMSFAR:RPI.Closing.JForeign:Assets.ManagedInvestments.Amount
            [SMSFAR135] = SMSFAR:RPI.Closing.JForeign:Assets.Other.Amount
            
            [SMSFAR136] = SMSFAR:RP:Liabilities.Borrowings.Amount
            [SMSFAR137] = SMSFAR:RP.Closing:Equity.MemberAccountBalance.Amount
            [SMSFAR138] = SMSFAR:RPI.Closing:Equity.NetAssetsNotAllocatedToMembers.Amount
            [SMSFAR139] = SMSFAR:RP:Liabilities.Other.Amount
        -->
        <let
          name="VR.ATO.SMSFAR.436153_ASSET_AMOUNT"
          value="sum(common:node-set(
            bafpo7.02.00:Assets.Investment.UnitTrustsListed.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo7.02.00:Assets.Investment.UnitTrustsUnlisted.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo7.02.00:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo7.02.04:Assets.CashAndLiquidAssets.Total.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo1.02.00:Assets.DebtSecurities.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo5.02.03:Assets.LoansAndReceivables.Held.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo7.02.00:Assets.Investment.EquitySecuritiesListed.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo7.02.00:Assets.Investment.EquitySecuritiesUnlisted.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpr2.02.00:ProfitOrLoss.Investment.Derivatives.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo7.02.04:Assets.Investment.Collectibles.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
            |bafpo1.02.00:Assets.Other.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo7.02.00:Assets.Investment.EquitySecurities.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo1.02.00:Assets.Other.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
            ))
            "/>
        <let
          name="VR.ATO.SMSFAR.436153_LIABILITY_AMOUNT"
          value="sum(common:node-set(
            bafpo1.02.00:Liabilities.Borrowings.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo1.02.00:Equity.MemberAccountBalance.Amount[@contextRef = $RP.CLOSING.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo1.02.04:Equity.NetAssetsNotAllocatedToMembers.Amount[@contextRef = $RPI.CLOSING.ContextId and not(@i:nil='true' or @i:nil='1')]
            |bafpo1.02.00:Liabilities.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
          ))"/>

        <assert id="VR.ATO.SMSFAR.436153" diagnostics="DVR.ATO.SMSFAR.436153"
                test="not(
                            math:abs($VR.ATO.SMSFAR.436153_ASSET_AMOUNT - $VR.ATO.SMSFAR.436153_LIABILITY_AMOUNT) &gt; 5
                           )"/>
        
        

        <!--
            IF [SMSFAR137] <> (SUM([SMSFAR223]) +/- 50)
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR137] = SMSFAR:RP.Closing:Equity.MemberAccountBalance.Amount
            [SMSFAR223] = SMSFAR:RP.Closing:SuperannuationBenefit.AccountBalance.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436156" diagnostics="DVR.ATO.SMSFAR.436156"
                test=" not(
                              sum(common:node-set(bafpo1.02.00:Equity.MemberAccountBalance.Amount[@contextRef = $RP.CLOSING.ContextId and not(@i:nil='true' or @i:nil='1')]))
                              &gt;
                              ( sum(common:node-set(smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationBenefit.AccountBalance.Amount[@contextRef = $RP.CLOSING.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                +50 )
                            or 
                              sum(common:node-set(bafpo1.02.00:Equity.MemberAccountBalance.Amount[@contextRef = $RP.CLOSING.ContextId and not(@i:nil='true' or @i:nil='1')]))
                              &lt;
                             ( sum(common:node-set(smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationBenefit.AccountBalance.Amount[@contextRef = $RP.CLOSING.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                -50 )
                           )"/>
        <!--
            IF [SMSFAR25] = FALSE AND [SMSFAR73] > 0 AND ([SMSFAR74] < ([SMSFAR73]*0.45) - 1) 
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR25] = SMSFAR:RP:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator
            [SMSFAR73] = SMSFAR:RP:Income.Taxable.Amount
            [SMSFAR74] = SMSFAR:RP:IncomeTax.TaxableGross.Amount
         -->
        <assert id="VR.ATO.SMSFAR.436108" diagnostics="DVR.ATO.SMSFAR.436108"
                test=" not(
                              emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                              and  bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                              and( 
                                sum(common:node-set(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                              &lt;
                               (0.45*sum(common:node-set(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) -1)
                                )
                           )"/>
        <!--
            IF [SMSFAR73] > 0 AND [SMSFAR74] <> NULL AND ([SMSFAR74] < ([SMSFAR73] * 0.15) - 1)  
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR73] = SMSFAR:RP:Income.Taxable.Amount
            [SMSFAR74] = SMSFAR:RP:IncomeTax.TaxableGross.Amount
         -->
        <assert id="VR.ATO.SMSFAR.436109" diagnostics="DVR.ATO.SMSFAR.436109"
                test=" not(                              
                              sum(common:node-set(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;0
                              and  rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                              and( 
                                sum(common:node-set(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                &lt;
                               (0.15*sum(common:node-set(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) -1)
                                )
                           )"/>

        <!--
            IF [SMSFAR74] <> NULL AND ([SMSFAR75] + [SMSFAR76] > [SMSFAR74])  
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR74] = SMSFAR:RP:IncomeTax.TaxableGross.Amount
            [SMSFAR75] = SMSFAR:RP:Income.InternationalDealings.TaxOffset.Amount
            [SMSFAR76] = SMSFAR:RP:IncomeTax.TaxOffsetsAndRebatesTotal.Amount
         -->
        <assert id="VR.ATO.SMSFAR.436112" diagnostics="DVR.ATO.SMSFAR.436112"
                test=" not(                              
                              rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                              and( 
                                     sum(common:node-set(
                                     bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                     rvctc1.02.03:IncomeTax.TaxOffsetsAndRebatesTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    ))
                                &gt;                                
                                    sum(common:node-set(
                                    rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    ))
                                 )
                           )"/>



        <!--
        IF [SMSFAR59] = ([SMSFAR33] + [SMSFAR34] + [SMSFAR35] + [SMSFAR36] + [SMSFAR38] + [SMSFAR39] + [SMSFAR40] + [SMSFAR42] + [SMSFAR43] + [SMSFAR44] + [SMSFAR45] + [SMSFAR46] + [SMSFAR47] + [SMSFAR49] + [SMSFAR50] + [SMSFAR51] - [SMSFAR52] + [SMSFAR53] + [SMSFAR55] + [SMSFAR56] + [SMSFAR57] + [SMSFAR58]) AND ([SMSFAR60] > 0 OR [SMSFAR61] > 0 OR [SMSFAR62] > 0 OR [SMSFAR63] > 0 OR [SMSFAR224] > 0 OR [SMSFAR64] > 0 OR [SMSFAR65] > 0 OR [SMSFAR66] > 0 OR [SMSFAR67] > 0 OR [SMSFAR68] > 0 OR [SMSFAR69] > 0 OR [SMSFAR70] > 0 OR [SMSFAR72] > 0) 
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR59] = SMSFAR:RP:Expense.PensionIncomeExemptDeduction.Amount
        [SMSFAR33] = SMSFAR:RP:Income.CapitalGainsNet.Amount
        [SMSFAR34] = SMSFAR:RP:Income.RentLeasingHiringGross.Amount
        [SMSFAR35] = SMSFAR:RP:Income.Interest.Gross.Amount
        [SMSFAR36] = SMSFAR:RP:Income.ForestryManagedInvestmentScheme.Amount
        [SMSFAR38] = SMSFAR:RP.JForeign:Income.Net.Amount
        [SMSFAR39] = SMSFAR:RP:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        [SMSFAR40] = SMSFAR:RP:Equity.InternationalDealings.ForeignFundTransfers.Amount
        [SMSFAR42] = SMSFAR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
        [SMSFAR43] = SMSFAR:RP:Income.PartnershipDistributionGross.Amount
        [SMSFAR44] = SMSFAR:RP:Income.DividendsUnfranked.Amount
        [SMSFAR45] = SMSFAR:RP:Income.DividendsFranked.Amount
        [SMSFAR46] = SMSFAR:RP:IncomeTax.FrankingCredits.Amount
        [SMSFAR47] = SMSFAR:RP:Income.TrustDistributionGross.Amount
        [SMSFAR49] = SMSFAR:RP:SuperannuationContribution.EmployerAssessable.Amount
        [SMSFAR50] = SMSFAR:RP:SuperannuationContribution.PersonalAssessable.Amount
        [SMSFAR51] = SMSFAR:RP:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
        [SMSFAR52] = SMSFAR:RP:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
        [SMSFAR53] = SMSFAR:RP:Income.Other.Amount
        [SMSFAR55] = SMSFAR:RP:Income.AssessableIncomeDueToFundTaxStatusChange.Amount
        [SMSFAR56] = SMSFAR:RP:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount
        [SMSFAR57] = SMSFAR:RP:Income.NonArmsLengthTrustDistributionsNet.Amount
        [SMSFAR58] = SMSFAR:RP:Income.NonArmsLengthOtherNet.Amount
        [SMSFAR60] = SMSFAR:RP.JAus:Expense.Interest.Amount
        [SMSFAR61] = SMSFAR:RP.JForeign:Expense.Interest.Amount
        [SMSFAR62] = SMSFAR:RP:Expense.CapitalWorksDeduction.Amount
        [SMSFAR63] = SMSFAR:RP:Expense.DepreciationAllowableDeduction.Amount
        [SMSFAR224] = SMSFAR:RP.JAus:TaxConcession.SmallBusinessAndGeneralBusinessTaxBreak.Amount
        [SMSFAR64] = SMSFAR:RP:Expense.PremiumsDeathOrDisability.Amount
        [SMSFAR65] = SMSFAR:RP:Expense.DeathBenefitLumpSumIncrease.Amount
        [SMSFAR66] = SMSFAR:RP:Expense.Operating.ApprovedAuditorFee.Amount
        [SMSFAR67] = SMSFAR:RP:Expense.Investment.Amount
        [SMSFAR68] = SMSFAR:RP:Expense.ManagementAndAdministration.Amount
        [SMSFAR69] = SMSFAR:RP:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
        [SMSFAR70] = SMSFAR:RP:Expense.DeductibleOther.Amount
        [SMSFAR72] = SMSFAR:RP:IncomeTax.Deduction.TaxLossesDeducted.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436084" diagnostics="DVR.ATO.SMSFAR.436084"
                test="not(
                (bafpr1.02.04:Expense.PensionIncomeExemptDeduction.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')] = 
                ( sum
                    (
                    common:node-set
                        (
                        bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')] 
                        |
                        bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        |
                        bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        |
                        bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        |
                        bafpr1.02.02:Income.Net.Amount[@contextRef=$RP.JFOREIGN.ContextId and not (@i:nil='true' or @i:nil='1')]
                        | 
                        rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')] 
                        | 
                        bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        | 
                        lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        | 
                        bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        | 
                        bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        | 
                        bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        | 
                        rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        | 
                        bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        | 
                        emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        | 
                        emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        | 
                        emsup.02.00:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        |                    
                        bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        |
                        bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        | 
                        bafpr1.02.04:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        | 
                        bafpr1.02.04:Income.NonArmsLengthTrustDistributionsNet.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        | 
                        bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]
                        )
                    ) 
                    -
                    sum
                    (
                    common:node-set
                        (
                        emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                    )
                )
            )
            and
            (
                sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or
                sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or 
                sum(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                or 
                sum(bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]) &gt; 0 
                or 
                sum(gfagc.02.01:TaxConcession.SmallBusinessAndGeneralBusinessTaxBreak.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or 
                sum(bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or 
                sum(bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]) &gt; 0
                or 
                sum(bafpr2.02.04:Expense.Operating.ApprovedAuditorFee.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                or 
                sum(bafpr1.02.05:Expense.Investment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                or 
                sum(bafpr1.02.05:Expense.ManagementAndAdministration.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]) &gt; 0
                or 
                sum(bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                or 
                sum(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.ContextId and not (@i:nil='true' or @i:nil='1')]) &gt; 0 
                or 
                sum(rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
            ) 
        )"/>

        <!--          
            IF ([SMSFAR25] = TRUE) AND  [SMSFAR51] > 0 AND 
               ([SMSFAR292]<>([SMSFAR51]*0.315) AND [SMSFAR292]<>([SMSFAR51]*0.015))
                    RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR25] = SMSFAR:RP:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator
            [SMSFAR51] = SMSFAR:RP:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
            [SMSFAR292] = SMSFAR:RP:IncomeTax.TFNNotQuotedContributionsTax.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436301" diagnostics="DVR.ATO.SMSFAR.436301"
                test="not(                 
                        emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and
                        round(sum(common:node-set(emsup.02.00:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) &gt; 0
                        and
                        (
                            round(100*sum(common:node-set(rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            !=
                            round(31.5*sum(common:node-set(emsup.02.00:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            and
                            round(100*sum(common:node-set(rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            !=
                            round(1.5*sum(common:node-set(emsup.02.00:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                      )"/>
        
        <!--
            IF ([SMSFAR25] = FALSE) AND ([SMSFAR292]<>([SMSFAR51] * 0.015))
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR25] = SMSFAR:RP:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator
            [SMSFAR292] = SMSFAR:RP:IncomeTax.TFNNotQuotedContributionsTax.Amount
            [SMSFAR51] = SMSFAR:RP:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
        -->

        <assert id="VR.ATO.SMSFAR.436302" diagnostics="DVR.ATO.SMSFAR.436302"
                test=" not(                 
                            emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                            and  
                             (
                                round(100*sum(common:node-set(rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                !=
                                round(1.5*sum(common:node-set(emsup.02.00:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                             )
                        )"/>

 
       
        <!--
            IF emsup.xx.xx:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount > 0 
            AND rvctc1.xx.xx:IncomeTax.TaxableGross.Amount = 0
                RETURN VALIDATION MESSAGE
            ENDIF
         -->
        <assert id="VR.ATO.GEN.434224" diagnostics="DVR.ATO.GEN.434224.SMSFAR"
                test=" not( 
                            sum(common:node-set(emsup.02.00:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;0
                            and
                            sum(common:node-set(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))=0
                         )"/>
        <!--
            IF ANY OCCURRENCE OF [SMSFAR159] <> NULL AND ([SMSFAR69] = NULL OR [SMSFAR69] = 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR159] = SMSFAR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code IN TUPLE(smsfar.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation )
            [SMSFAR69] = SMSFAR:RP:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436097" diagnostics="DVR.ATO.SMSFAR.436097"
                test="not(
                smsfar.0001.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation[not(@i:nil='true' or @i:nil='1')]/gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                and 
                (not (bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                or
                sum(common:node-set(bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                )
                )"/>

        <!--
            IF [SMSFAR140] = TRUE AND ([SMSFAR141] = 0 OR [SMSFAR141] = NULL) 
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR140] = SMSFAR:RP:SuperannuationRegulatoryInformation.LoanLeaseOrInvestInRelatedParties.Indicator
            [SMSFAR141] = SMSFAR:RP:SuperannuationRegulatoryInformation.LoanLeaseOrInvestInRelatedParties.Amount
         -->
        <assert id="VR.ATO.SMSFAR.436161" diagnostics="DVR.ATO.SMSFAR.436161"
                test=" not( 
                            emsup.02.00:SuperannuationRegulatoryInformation.LoanLeaseOrInvestInRelatedParties.Indicator[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            and
                            sum(common:node-set(emsup.02.00:SuperannuationRegulatoryInformation.LoanLeaseOrInvestInRelatedParties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))=0
                         )"/>

        <!--
            IF [SMSFAR141] > ([SMSFAR117] + [SMSFAR118] + [SMSFAR119] + [SMSFAR120] + [SMSFAR121] + [SMSFAR122] + [SMSFAR123] + [SMSFAR124] + [SMSFAR125] + [SMSFAR126] + [SMSFAR127] + [SMSFAR128] + [SMSFAR129] + [SMSFAR130] + [SMSFAR131] + [SMSFAR132] + [SMSFAR133] + [SMSFAR134] + [SMSFAR135]) 
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR141] = SMSFAR:RP:SuperannuationRegulatoryInformation.LoanLeaseOrInvestInRelatedParties.Amount
            [SMSFAR117] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsListed.Amount
            [SMSFAR118] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsUnlisted.Amount
            [SMSFAR119] = SMSFAR:RPI.Closing.JAus:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount
            [SMSFAR120] = SMSFAR:RPI.Closing.JAus:Assets.ManagedInvestments.Amount
            [SMSFAR121] = SMSFAR:RPI.Closing.JAus:Assets.CashAndLiquidAssets.Total.Amount
            
            [SMSFAR122] = SMSFAR:RP.JAus:Assets.DebtSecurities.Amount
            
            [SMSFAR123] = SMSFAR:RPI.Closing.JAus:Assets.LoansAndReceivables.Held.Amount
            
            [SMSFAR124] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesListed.Amount
            [SMSFAR125] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesUnlisted.Amount
            [SMSFAR126] = SMSFAR:RP.JAus:ProfitOrLoss.Investment.Derivatives.Amount
            [SMSFAR127] = SMSFAR:RP.JAus:Assets.Investment.PropertyNonResidential.Amount
            [SMSFAR128] = SMSFAR:RP.JAus:Assets.Investment.PropertyResidential.Amount
            [SMSFAR129] = SMSFAR:RP.JAus:Assets.Investment.Collectibles.Amount
            
            [SMSFAR130] = SMSFAR:RPI.Closing.JAus:Assets.Other.Amount
            [SMSFAR131] = SMSFAR:RPI.Closing.JForeign:Assets.Investment.EquitySecurities.Amount
            [SMSFAR132] = SMSFAR:RP.JForeign:Assets.Investment.PropertyNonResidential.Amount
            [SMSFAR133] = SMSFAR:RP.JForeign:Assets.Investment.PropertyResidential.Amount
            [SMSFAR134] = SMSFAR:RPI.Closing.JForeign:Assets.ManagedInvestments.Amount
            [SMSFAR135] = SMSFAR:RPI.Closing.JForeign:Assets.Other.Amount
                       
          -->
        <assert id="VR.ATO.SMSFAR.436162" diagnostics="DVR.ATO.SMSFAR.436162"
                test=" not( 
                            sum(common:node-set(emsup.02.00:SuperannuationRegulatoryInformation.LoanLeaseOrInvestInRelatedParties.Amount[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1')]))
                           &gt;
                            sum(common:node-set(
                            bafpo7.02.00:Assets.Investment.UnitTrustsListed.Amount [@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo7.02.00:Assets.Investment.UnitTrustsUnlisted.Amount [@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo7.02.00:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo7.02.04:Assets.CashAndLiquidAssets.Total.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo1.02.00:Assets.DebtSecurities.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo5.02.03:Assets.LoansAndReceivables.Held.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo7.02.00:Assets.Investment.EquitySecuritiesListed.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo7.02.00:Assets.Investment.EquitySecuritiesUnlisted.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpr2.02.00:ProfitOrLoss.Investment.Derivatives.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|    
                            bafpo7.02.04:Assets.Investment.Collectibles.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo1.02.00:Assets.Other.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo7.02.00:Assets.Investment.EquitySecurities.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|                  
                            bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo1.02.00:Assets.Other.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))
                         )"/>

        <!--
        IF ([SMSFAR70] = 0 OR [SMSFAR70] = NULL) AND [SMSFAR71] <> NULLORBLANK
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR70] = SMSFAR:RP:Expense.DeductibleOther.Amount
        [SMSFAR71] = SMSFAR:RP:Expense.DeductibleOther.Code
        -->
        <assert id="VR.ATO.SMSFAR.436100" diagnostics="DVR.ATO.SMSFAR.436100"
                test="not(
                (
                bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0
                or
                not(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                )
                and 
                bafpr1.02.04:Expense.DeductibleOther.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
        )"/>

        <!--
        IF [SMSFAR70] > 0 AND [SMSFAR71] = NULLORBLANK  
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR70] = SMSFAR:RP:Expense.DeductibleOther.Amount
        [SMSFAR71] = SMSFAR:RP:Expense.DeductibleOther.Code
        -->
        <assert id="VR.ATO.SMSFAR.436101" diagnostics="DVR.ATO.SMSFAR.436101"
                test="not(
                sum(common:node-set(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                and
                not(bafpr1.02.04:Expense.DeductibleOther.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                )"/>


        <!--
            IF [SMSFAR73] <> 
            ([SMSFAR33] + [SMSFAR34] + [SMSFAR35] + [SMSFAR36] + [SMSFAR38] + [SMSFAR39]
                + [SMSFAR40] + [SMSFAR42] + [SMSFAR43] + [SMSFAR44] + [SMSFAR45] + [SMSFAR46]
                + [SMSFAR47])
            + ([SMSFAR49] + [SMSFAR50] + [SMSFAR51] - [SMSFAR52]) 
            + ([SMSFAR53] + [SMSFAR55]) 
            + ([SMSFAR56] + [SMSFAR57] + [SMSFAR58]) 
            - ([SMSFAR59] + [SMSFAR60] + [SMSFAR61] + [SMSFAR62] + [SMSFAR63] 
                + [SMSFAR224] + [SMSFAR64] + [SMSFAR65] + [SMSFAR66] + [SMSFAR67] 
                + [SMSFAR68] + [SMSFAR69] + [SMSFAR70] + [SMSFAR72]) 
                
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR73] = SMSFAR:RP:Income.Taxable.Amount
            
            [SMSFAR33] = SMSFAR:RP:Income.CapitalGainsNet.Amount
            [SMSFAR34] = SMSFAR:RP:Income.RentLeasingHiringGross.Amount
            [SMSFAR35] = SMSFAR:RP:Income.Interest.Gross.Amount
            [SMSFAR36] = SMSFAR:RP:Income.ForestryManagedInvestmentScheme.Amount
            [SMSFAR38] = SMSFAR:RP.JForeign:Income.Net.Amount
            [SMSFAR39] = SMSFAR:RP:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [SMSFAR40] = SMSFAR:RP:Equity.InternationalDealings.ForeignFundTransfers.Amount
            [SMSFAR42] = SMSFAR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
            [SMSFAR43] = SMSFAR:RP:Income.PartnershipDistributionGross.Amount
            [SMSFAR44] = SMSFAR:RP:Income.DividendsUnfranked.Amount
            [SMSFAR45] = SMSFAR:RP:Income.DividendsFranked.Amount
            [SMSFAR46] = SMSFAR:RP:IncomeTax.FrankingCredits.Amount
            [SMSFAR47] = SMSFAR:RP:Income.TrustDistributionGross.Amount
            
            [SMSFAR49] = SMSFAR:RP:SuperannuationContribution.EmployerAssessable.Amount
            [SMSFAR50] = SMSFAR:RP:SuperannuationContribution.PersonalAssessable.Amount
            [SMSFAR51] = SMSFAR:RP:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
            [SMSFAR52] = SMSFAR:RP:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
            
            [SMSFAR53] = SMSFAR:RP:Income.Other.Amount
            [SMSFAR55] = SMSFAR:RP:Income.AssessableIncomeDueToFundTaxStatusChange.Amount
            
            [SMSFAR56] = SMSFAR:RP:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount
            [SMSFAR57] = SMSFAR:RP:Income.NonArmsLengthTrustDistributionsNet.Amount
            [SMSFAR58] = SMSFAR:RP:Income.NonArmsLengthOtherNet.Amount
            
            [SMSFAR59] = SMSFAR:RP:Expense.PensionIncomeExemptDeduction.Amount
            [SMSFAR60] = SMSFAR:RP.JAus:Expense.Interest.Amount
            [SMSFAR61] = SMSFAR:RP.JForeign:Expense.Interest.Amount
            [SMSFAR62] = SMSFAR:RP:Expense.CapitalWorksDeduction.Amount
            [SMSFAR63] = SMSFAR:RP:Expense.DepreciationAllowableDeduction.Amount
            [SMSFAR224] = SMSFAR:RP.JAus:TaxConcession.SmallBusinessAndGeneralBusinessTaxBreak.Amount
            [SMSFAR64] = SMSFAR:RP:Expense.PremiumsDeathOrDisability.Amount
            [SMSFAR65] = SMSFAR:RP:Expense.DeathBenefitLumpSumIncrease.Amount
            [SMSFAR66] = SMSFAR:RP:Expense.Operating.ApprovedAuditorFee.Amount
            [SMSFAR67] = SMSFAR:RP:Expense.Investment.Amount
            [SMSFAR68] = SMSFAR:RP:Expense.ManagementAndAdministration.Amount
            [SMSFAR69] = SMSFAR:RP:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
            [SMSFAR70] = SMSFAR:RP:Expense.DeductibleOther.Amount
            [SMSFAR72] = SMSFAR:RP:IncomeTax.Deduction.TaxLossesDeducted.Amount

        -->
        <!--<assert id="VR.ATO.SMSFAR.436105" diagnostics="DVR.ATO.SMSFAR.436105"
                test="not(
                bafpr1.02.02:Income.Taxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !=
                (
                    sum(common:node-set(
                    bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.02:Income.Net.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    ))
                )
                +
                (
                    sum(common:node-set(
                    emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |emsup.02.00:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    ))
                    -
                    sum(common:node-set(
                    emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    ))                
                )
                +
                (
                    sum(common:node-set(
                    bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    ))                
                )
                +
                (
                    sum(common:node-set(
                    bafpr1.02.04:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.04:Income.NonArmsLengthTrustDistributionsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    ))                
                )
                -
                (
                    sum(common:node-set(
                    bafpr1.02.04:Expense.PensionIncomeExemptDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |gfagc.02.01:TaxConcession.SmallBusinessAndGeneralBusinessTaxBreak.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr2.02.04:Expense.Operating.ApprovedAuditorFee.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.05:Expense.Investment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.05:Expense.ManagementAndAdministration.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    |rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    ))
                    
                )
                )"/>-->



        <!--                      
            IF [SMSFAR143] = TRUE AND ([SMSFAR144] = 0 OR [SMSFAR144] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR143] = SMSFAR:RP:SuperannuationRegulatoryInformation.InvestmentInRelatedParty.Indicator
            [SMSFAR144] = SMSFAR:RP:SuperannuationRegulatoryInformation.InvestmentInRelatedParty.Amount
         -->
        <assert id="VR.ATO.SMSFAR.436166" diagnostics="DVR.ATO.SMSFAR.436166"
                test=" not( 
                            emsup.02.00:SuperannuationRegulatoryInformation.InvestmentInRelatedParty.Indicator[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            and
                            sum(common:node-set(emsup.02.00:SuperannuationRegulatoryInformation.InvestmentInRelatedParty.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))=0
                         )"/>

        <!--
            IF [SMSFAR144] > ([SMSFAR117] + [SMSFAR118] + [SMSFAR119] + [SMSFAR120] + [SMSFAR121] + [SMSFAR122] + [SMSFAR123] + [SMSFAR124] + [SMSFAR125] + [SMSFAR126] + [SMSFAR127] + [SMSFAR128] + [SMSFAR129] + [SMSFAR130] + [SMSFAR131] + [SMSFAR132] + [SMSFAR133] + [SMSFAR134] + [SMSFAR135]) 
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR144] = SMSFAR:RP:SuperannuationRegulatoryInformation.InvestmentInRelatedParty.Amount
            [SMSFAR117] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsListed.Amount
            [SMSFAR118] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsUnlisted.Amount
            [SMSFAR119] = SMSFAR:RPI.Closing.JAus:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount
            [SMSFAR120] = SMSFAR:RPI.Closing.JAus:Assets.ManagedInvestments.Amount
            [SMSFAR121] = SMSFAR:RPI.Closing.JAus:Assets.CashAndLiquidAssets.Total.Amount
            [SMSFAR122] = SMSFAR:RP.JAus:Assets.DebtSecurities.Amount
            [SMSFAR123] = SMSFAR:RPI.Closing.JAus:Assets.LoansAndReceivables.Held.Amount
            [SMSFAR124] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesListed.Amount
            [SMSFAR125] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesUnlisted.Amount
            [SMSFAR126] = SMSFAR:RP.JAus:ProfitOrLoss.Investment.Derivatives.Amount
            [SMSFAR127] = SMSFAR:RP.JAus:Assets.Investment.PropertyNonResidential.Amount
            [SMSFAR128] = SMSFAR:RP.JAus:Assets.Investment.PropertyResidential.Amount
            [SMSFAR129] = SMSFAR:RP.JAus:Assets.Investment.Collectibles.Amount
            [SMSFAR130] = SMSFAR:RPI.Closing.JAus:Assets.Other.Amount
            [SMSFAR131] = SMSFAR:RPI.Closing.JForeign:Assets.Investment.EquitySecurities.Amount
            [SMSFAR132] = SMSFAR:RP.JForeign:Assets.Investment.PropertyNonResidential.Amount
            [SMSFAR133] = SMSFAR:RP.JForeign:Assets.Investment.PropertyResidential.Amount
            [SMSFAR134] = SMSFAR:RPI.Closing.JForeign:Assets.ManagedInvestments.Amount
            [SMSFAR135] = SMSFAR:RPI.Closing.JForeign:Assets.Other.Amount
                       
          -->
        <assert id="VR.ATO.SMSFAR.436167" diagnostics="DVR.ATO.SMSFAR.436167"
                test=" not(                        
                            sum(common:node-set(emsup.02.00:SuperannuationRegulatoryInformation.InvestmentInRelatedParty.Amount[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1')]))
                           &gt;
                            sum(common:node-set(
                            bafpo7.02.00:Assets.Investment.UnitTrustsListed.Amount [@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo7.02.00:Assets.Investment.UnitTrustsUnlisted.Amount [@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo7.02.00:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo7.02.04:Assets.CashAndLiquidAssets.Total.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo1.02.00:Assets.DebtSecurities.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo5.02.03:Assets.LoansAndReceivables.Held.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo7.02.00:Assets.Investment.EquitySecuritiesListed.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo7.02.00:Assets.Investment.EquitySecuritiesUnlisted.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpr2.02.00:ProfitOrLoss.Investment.Derivatives.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|    
                            bafpo7.02.04:Assets.Investment.Collectibles.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo1.02.00:Assets.Other.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo7.02.00:Assets.Investment.EquitySecurities.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|                  
                            bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo1.02.00:Assets.Other.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))
                         )"/>
        <!--
            IF [SMSFAR145] = TRUE AND ([SMSFAR146] = 0 OR [SMSFAR146] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR145] = SMSFAR:RP:SuperannuationRegulatoryInformation.AcquiredAssetsFromRelatedParties.Indicator
            [SMSFAR146] = SMSFAR:RP:SuperannuationRegulatoryInformation.AcquiredAssetsFromRelatedParties.Amount
       -->
        <assert id="VR.ATO.SMSFAR.436170" diagnostics="DVR.ATO.SMSFAR.436170"
                test=" not( 
                            emsup.02.00:SuperannuationRegulatoryInformation.AcquiredAssetsFromRelatedParties.Indicator[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            and
                            sum(common:node-set(emsup.02.00:SuperannuationRegulatoryInformation.AcquiredAssetsFromRelatedParties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))=0
                         )"/>

        <!--
            IF [SMSFAR146] > ([SMSFAR117] + [SMSFAR118] + [SMSFAR119] + [SMSFAR120] + [SMSFAR121] + [SMSFAR122] +
            [SMSFAR123] + [SMSFAR124] + [SMSFAR125] + [SMSFAR126] + [SMSFAR127] + [SMSFAR128] + [SMSFAR129] + 
            [SMSFAR130] + [SMSFAR131] + [SMSFAR132] + [SMSFAR133] + [SMSFAR134] + [SMSFAR135])
               RETURN VALIDATION MESSAGE
            ENDIF 
            [SMSFAR146] = SMSFAR:RP:SuperannuationRegulatoryInformation.AcquiredAssetsFromRelatedParties.Amount
            [SMSFAR117] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsListed.Amount
            [SMSFAR118] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsUnlisted.Amount
            [SMSFAR119] = SMSFAR:RPI.Closing.JAus:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount
            [SMSFAR120] = SMSFAR:RPI.Closing.JAus:Assets.ManagedInvestments.Amount
            [SMSFAR121] = SMSFAR:RPI.Closing.JAus:Assets.CashAndLiquidAssets.Total.Amount
            [SMSFAR122] = SMSFAR:RP.JAus:Assets.DebtSecurities.Amount
            [SMSFAR123] = SMSFAR:RPI.Closing.JAus:Assets.LoansAndReceivables.Held.Amount
            [SMSFAR124] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesListed.Amount
            [SMSFAR125] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesUnlisted.Amount
            [SMSFAR126] = SMSFAR:RP.JAus:ProfitOrLoss.Investment.Derivatives.Amount
            [SMSFAR127] = SMSFAR:RP.JAus:Assets.Investment.PropertyNonResidential.Amount
            [SMSFAR128] = SMSFAR:RP.JAus:Assets.Investment.PropertyResidential.Amount
            [SMSFAR129] = SMSFAR:RP.JAus:Assets.Investment.Collectibles.Amount
            [SMSFAR130] = SMSFAR:RPI.Closing.JAus:Assets.Other.Amount
            [SMSFAR131] = SMSFAR:RPI.Closing.JForeign:Assets.Investment.EquitySecurities.Amount
            [SMSFAR132] = SMSFAR:RP.JForeign:Assets.Investment.PropertyNonResidential.Amount
            [SMSFAR133] = SMSFAR:RP.JForeign:Assets.Investment.PropertyResidential.Amount
            [SMSFAR134] = SMSFAR:RPI.Closing.JForeign:Assets.ManagedInvestments.Amount
            [SMSFAR135] = SMSFAR:RPI.Closing.JForeign:Assets.Other.Amount
                       
          -->
        <assert id="VR.ATO.SMSFAR.436171" diagnostics="DVR.ATO.SMSFAR.436171"
                test=" not(                        
                            sum(common:node-set(emsup.02.00:SuperannuationRegulatoryInformation.AcquiredAssetsFromRelatedParties.Amount[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1')]))
                           &gt;
                            sum(common:node-set(
                            bafpo7.02.00:Assets.Investment.UnitTrustsListed.Amount [@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo7.02.00:Assets.Investment.UnitTrustsUnlisted.Amount [@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo7.02.00:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo7.02.04:Assets.CashAndLiquidAssets.Total.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo1.02.00:Assets.DebtSecurities.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo5.02.03:Assets.LoansAndReceivables.Held.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo7.02.00:Assets.Investment.EquitySecuritiesListed.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo7.02.00:Assets.Investment.EquitySecuritiesUnlisted.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpr2.02.00:ProfitOrLoss.Investment.Derivatives.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|    
                            bafpo7.02.04:Assets.Investment.Collectibles.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo1.02.00:Assets.Other.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo7.02.00:Assets.Investment.EquitySecurities.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|                  
                            bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo1.02.00:Assets.Other.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))
                         )"/>

        <!--
            IF pyin.xx.xx:Report.Amendment.Indicator = TRUE 
            AND (
                    pyin.xx.xx:Report.AmendmentSequence.Number = NULL 
                    OR 
                    pyin.xx.xx:Report.AmendmentType.Code = NULLORBLANK 
                    OR 
                    pyin.xx.xx:Report.AmendmentReason.Text = NULLORBLANK
                 )
               RETURN VALIDATION MESSAGE
            ENDIF        
        -->
        <assert id="VR.ATO.GEN.010028" diagnostics="DVR.ATO.GEN.010028.SMSFAR"
                test="not(
                        pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and
                        (
                             not(pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')])
                          or not(pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1')   and string-length(normalize-space(.)) !=0])
                          or not(pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                        )
                      )"/>

        <!--
            IF pyin.xx.xx:Report.Amendment.Indicator <> TRUE 
            AND 
                (
                    pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
                    OR pyin.xx.xx:Report.AmendmentType.Code <> NULLORBLANK 
                    OR pyin.xx.xx:Report.AmendmentReason.Text <> NULLORBLANK
                )
                    RETURN VALIDATION MESSAGE
            ENDIF        
        -->
        <assert id="VR.ATO.GEN.010029" diagnostics="DVR.ATO.GEN.010029"
                test="not(
                        not(pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                        and
                        (
                          pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                          or pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                          or pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                        )
                      )"/>

        <!--
            IF ALL OCCURRENCES OF([SMSFAR218] > 0) AND 
            [SMSFAR149] > ([SMSFAR117] + [SMSFAR118] + [SMSFAR119] + [SMSFAR120] + [SMSFAR121] +[SMSFAR122] + 
            [SMSFAR123] + [SMSFAR124] + [SMSFAR125] + [SMSFAR126] + [SMSFAR127] + [SMSFAR128] + [SMSFAR129] + [SMSFAR130] + 
            [SMSFAR131] + [SMSFAR132] + [SMSFAR133] + [SMSFAR134] + [SMSFAR135]) 
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR218] = SMSFAR:RP:SuperannuationContribution.MemberAllocatedEarningsOrLosses.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR149] = SMSFAR:RP:SuperannuationRegulatoryInformation.ReceiveInSpecieContributions.Amount
            [SMSFAR117] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsListed.Amount
            [SMSFAR118] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsUnlisted.Amount
            [SMSFAR119] = SMSFAR:RPI.Closing.JAus:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount
            [SMSFAR120] = SMSFAR:RPI.Closing.JAus:Assets.ManagedInvestments.Amount
            [SMSFAR121] = SMSFAR:RPI.Closing.JAus:Assets.CashAndLiquidAssets.Total.Amount
            [SMSFAR122] = SMSFAR:RP.JAus:Assets.DebtSecurities.Amount
            [SMSFAR123] = SMSFAR:RPI.Closing.JAus:Assets.LoansAndReceivables.Held.Amount
            [SMSFAR124] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesListed.Amount
            [SMSFAR125] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesUnlisted.Amount
            [SMSFAR126] = SMSFAR:RP.JAus:ProfitOrLoss.Investment.Derivatives.Amount
            [SMSFAR127] = SMSFAR:RP.JAus:Assets.Investment.PropertyNonResidential.Amount
            [SMSFAR128] = SMSFAR:RP.JAus:Assets.Investment.PropertyResidential.Amount
            [SMSFAR129] = SMSFAR:RP.JAus:Assets.Investment.Collectibles.Amount
            [SMSFAR130] = SMSFAR:RPI.Closing.JAus:Assets.Other.Amount
            [SMSFAR131] = SMSFAR:RPI.Closing.JForeign:Assets.Investment.EquitySecurities.Amount
            [SMSFAR132] = SMSFAR:RP.JForeign:Assets.Investment.PropertyNonResidential.Amount
            [SMSFAR133] = SMSFAR:RP.JForeign:Assets.Investment.PropertyResidential.Amount
            [SMSFAR134] = SMSFAR:RPI.Closing.JForeign:Assets.ManagedInvestments.Amount
            [SMSFAR135] = SMSFAR:RPI.Closing.JForeign:Assets.Other.Amount
                       
          -->
        <assert id="VR.ATO.SMSFAR.436176" diagnostics="DVR.ATO.SMSFAR.436176"
                test=" not(  
                             count(smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationContribution.MemberAllocatedEarningsOrLosses.Amount[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1')and number(.)&lt;=0])=0
                             and count (smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationContribution.MemberAllocatedEarningsOrLosses.Amount[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1')and number(.)&gt;0]) &gt; 0
                             and 
                           sum(common:node-set(emsup.02.00:SuperannuationRegulatoryInformation.ReceiveInSpecieContributions.Amount[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1')]))
                           &gt;
                            sum(common:node-set(
                            bafpo7.02.00:Assets.Investment.UnitTrustsListed.Amount [@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo7.02.00:Assets.Investment.UnitTrustsUnlisted.Amount [@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo7.02.00:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpo7.02.04:Assets.CashAndLiquidAssets.Total.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo1.02.00:Assets.DebtSecurities.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo5.02.03:Assets.LoansAndReceivables.Held.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo7.02.00:Assets.Investment.EquitySecuritiesListed.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo7.02.00:Assets.Investment.EquitySecuritiesUnlisted.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpr2.02.00:ProfitOrLoss.Investment.Derivatives.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]|    
                            bafpo7.02.04:Assets.Investment.Collectibles.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo1.02.00:Assets.Other.Amount[@contextRef = $RPI.CLOSING.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo7.02.00:Assets.Investment.EquitySecurities.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|                  
                            bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]|  
                            bafpo1.02.00:Assets.Other.Amount[@contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))
                         )"/>

        <!--
			IF [SMSFAR48] <> NULLORBLANK AND ([SMSFAR47] = 0 OR [SMSFAR47] = NULL) 
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR48] = SMSFAR:RP:Party.TrustType.Code
            [SMSFAR47] = SMSFAR:RP:Income.TrustDistributionGross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436061" diagnostics="DVR.ATO.SMSFAR.436061"
                test="not(
                         pyde.02.05:Party.TrustType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                         and sum(common:node-set(bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1')]))=0
                        )"/>
        <!--
			IF [SMSFAR47] > 0 AND [SMSFAR48] = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR47] = SMSFAR:RP:Income.TrustDistributionGross.Amount
            [SMSFAR48] = SMSFAR:RP:Party.TrustType.Code
        -->
        <assert id="VR.ATO.SMSFAR.436064" diagnostics="DVR.ATO.SMSFAR.436064"
                test="not(
                         not(pyde.02.05:Party.TrustType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                         and sum(common:node-set(bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId  and not(@i:nil='true' or @i:nil='1')]))&gt; 0
                        )"/>
        <!--
			IF CONTEXT(INT) = NULL AND RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier = NULLORBLANK
				RETURN VALIDATION MESSAGE
			ENDIF
        -->
        <assert id="VR.ATO.GEN.432417" diagnostics="DVR.ATO.GEN.432417.SMSFAR"
                test="not(
                        not($INT.ContextId)
                        and
                        not(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and 
                          not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                      )"/>

        <!--
            IF (pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer <> NULLORBLANK) and 
               (ABNALGORITHM(pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer) = FALSE)
                  RETURN VALIDATION MESSAGE
            ENDIF        
        -->
        <assert id="VR.ATO.GEN.434223" diagnostics="DVR.ATO.GEN.434223.SMSFAR"
                test="not(
                        pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') 
                          and @contextRef = $RP.ContextId                          
                          and string-length(normalize-space(.)) != 0 
                          and not(function:ValidateABN(.))]
                      )"/>

        <!--
            IF [SMSFAR28] = TRUE AND [SMSFAR29] = NULL  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR28] = SMSFAR:RP:OrganisationDetails.OperationCease.Indicator
            [SMSFAR29] = SMSFAR:RP:OrganisationDetails.OrganisationActivityStatusEnd.Date
        -->
        <assert id="VR.ATO.SMSFAR.436027" diagnostics="DVR.ATO.SMSFAR.436027"
                test="not(
                        pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.)='TRUE' or .='1')]
                        and
                        0 = count(pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                      )"/>

        <!--
            IF [SMSFAR29] < (([SMSFAR1] - 1)&"-07-01") OR [SMSFAR29] > ([SMSFAR1]&"-06-30")
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR29] = SMSFAR:RP:OrganisationDetails.OrganisationActivityStatusEnd.Date
            [SMSFAR1] = SMSFAR:RP:Report.TargetFinancial.Year
        -->
        <let name="prev_year" value="number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) - 1"/>
        <let name="curr_year" value="number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"/>
        <let name="year_begin" value="date:date(concat($prev_year, '-07-01'))"/>
        <let name="year_end" value="date:date(concat($curr_year, '-06-30'))"/>
        <let name="status_date" value="date:date(pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"/>

        <assert id="VR.ATO.SMSFAR.436029" diagnostics="DVR.ATO.SMSFAR.436029"
                test="not(
                           function:IsDate1GreaterThanDate2($year_begin, $status_date)
                        or function:IsDate1GreaterThanDate2($status_date, $year_end)
        )"/>

        <!--
            IF [SMSFAR33] > 0 AND [SMSFAR31] = FALSE  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR33] = SMSFAR:RP:Income.CapitalGainsNet.Amount
            [SMSFAR31] = SMSFAR:RP:CapitalGainsTax.Event.Indicator        
        -->
        <assert id="VR.ATO.SMSFAR.436031" diagnostics="DVR.ATO.SMSFAR.436031"
                test="not(
                        sum(common:node-set(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                          &gt; 0
                        and
                        rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and 
                          (exslt:uppercase(.)='FALSE' or .='0')]
                      )"/>

        <!--
            IF ([SMSFAR51] = 0 OR [SMSFAR51] = NULL) AND ([SMSFAR73] = 0 OR [SMSFAR73] = NULL) AND [SMSFAR74] > 0  
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR51] = SMSFAR:RP:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
            [SMSFAR73] = SMSFAR:RP:Income.Taxable.Amount
            [SMSFAR74] = SMSFAR:RP:IncomeTax.TaxableGross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436104" diagnostics="DVR.ATO.SMSFAR.436104"
                test="not(
                (not(emsup.02.00:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                or emsup.02.00:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0)
                and
                (not(bafpr1.02.02:Income.Taxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                or bafpr1.02.02:Income.Taxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 0)
                and
                rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                )"/>

        <!-- 
            IF [SMSFAR31] = TRUE AND [SMSFAR32] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR31] = SMSFAR:RP:CapitalGainsTax.Event.Indicator
            [SMSFAR32] = SMSFAR:RP:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
            
            XXXX
            VR.ATO.SMSFAR.436036
        -->
        <assert id="VR.ATO.SMSFAR.436036" diagnostics="DVR.ATO.SMSFAR.436036"
                test="not(
                        rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                          and (exslt:uppercase(.)='TRUE' or .='0')]
                        and 
                        not(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                          and string-length(normalize-space(.)) != 0])                          
                      )"/>

        <!--
            IF [SMSFAR73] < 0 AND ([SMSFAR59] = 0 OR [SMSFAR59] = NULL) AND ([SMSFAR85] = 0 OR [SMSFAR85] = NULL)  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR73] = SMSFAR:RP:Income.Taxable.Amount
            [SMSFAR59] = SMSFAR:RP:Expense.PensionIncomeExemptDeduction.Amount
            [SMSFAR85] = SMSFAR:RP.Closing.Y0Plus:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436082" diagnostics="DVR.ATO.SMSFAR.436082"
                test="not(
                        sum(common:node-set(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                          &lt; 0
                        and 
                        (
                          0 = sum(common:node-set(bafpr1.02.04:Expense.PensionIncomeExemptDeduction.Amount
                                       [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                          or not(bafpr1.02.04:Expense.PensionIncomeExemptDeduction.Amount
                                   [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                            
                        )
                        and 
                        (
                          0 = sum(common:node-set(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
                                       [@contextRef = $RP.CLOSING.Y0Plus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                          or not(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
                                   [@contextRef = $RP.CLOSING.Y0Plus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"/>

        <!--
            IF [SMSFAR42] > 0 AND [SMSFAR80] = NULL  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR42] = SMSFAR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
            [SMSFAR80] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436120" diagnostics="DVR.ATO.SMSFAR.436120"
                test="not(
                        sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
                              [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                          &gt; 0
                        and
                        not(rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
                              [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF COUNT(TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)) > 6 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436209" diagnostics="DVR.ATO.SMSFAR.436209"
                test="not(
                        count(smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')])
                          &gt; 6
                      )"/>

        <!--
            IF ([SMSFAR54] = "T" OR [SMSFAR71] = "T") AND [SMSFAR232] <> TRUE 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR54] = SMSFAR:RP:Income.Other.Code
            [SMSFAR71] = SMSFAR:RP:Expense.DeductibleOther.Code
            [SMSFAR232] = SMSFAR:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
        -->
        <assert id="VR.ATO.SMSFAR.436249" diagnostics="DVR.ATO.SMSFAR.436249"
              test="not(
                      (
                           bafpr1.02.05:Income.Other.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='T']
                        or bafpr1.02.04:Expense.DeductibleOther.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='T']
                      )
                      and
                      not(rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.)='TRUE' or .='1'])
                    )"/>

        <!--
            IF [SMSFAR59] > ([SMSFAR33] + [SMSFAR34] + [SMSFAR35] + [SMSFAR36] + [SMSFAR38] + [SMSFAR39] + [SMSFAR40] + [SMSFAR42] + [SMSFAR43] + [SMSFAR44] + [SMSFAR45] + [SMSFAR46] + [SMSFAR47] + [SMSFAR49] + [SMSFAR50] + [SMSFAR51] - [SMSFAR52] + [SMSFAR53] + [SMSFAR55] + [SMSFAR56] + [SMSFAR57] + [SMSFAR58]) 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR59] = SMSFAR:RP:Expense.PensionIncomeExemptDeduction.Amount
            [SMSFAR33] = SMSFAR:RP:Income.CapitalGainsNet.Amount
            [SMSFAR34] = SMSFAR:RP:Income.RentLeasingHiringGross.Amount
            [SMSFAR35] = SMSFAR:RP:Income.Interest.Gross.Amount
            [SMSFAR36] = SMSFAR:RP:Income.ForestryManagedInvestmentScheme.Amount
            [SMSFAR38] = SMSFAR:RP.JForeign:Income.Net.Amount
            [SMSFAR39] = SMSFAR:RP:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [SMSFAR40] = SMSFAR:RP:Equity.InternationalDealings.ForeignFundTransfers.Amount
            [SMSFAR42] = SMSFAR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
            [SMSFAR43] = SMSFAR:RP:Income.PartnershipDistributionGross.Amount
            [SMSFAR44] = SMSFAR:RP:Income.DividendsUnfranked.Amount
            [SMSFAR45] = SMSFAR:RP:Income.DividendsFranked.Amount
            [SMSFAR46] = SMSFAR:RP:IncomeTax.FrankingCredits.Amount
            [SMSFAR47] = SMSFAR:RP:Income.TrustDistributionGross.Amount
            [SMSFAR49] = SMSFAR:RP:SuperannuationContribution.EmployerAssessable.Amount
            [SMSFAR50] = SMSFAR:RP:SuperannuationContribution.PersonalAssessable.Amount
            [SMSFAR51] = SMSFAR:RP:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
            [SMSFAR52] = SMSFAR:RP:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
            [SMSFAR53] = SMSFAR:RP:Income.Other.Amount
            [SMSFAR55] = SMSFAR:RP:Income.AssessableIncomeDueToFundTaxStatusChange.Amount
            [SMSFAR56] = SMSFAR:RP:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount
            [SMSFAR57] = SMSFAR:RP:Income.NonArmsLengthTrustDistributionsNet.Amount
            [SMSFAR58] = SMSFAR:RP:Income.NonArmsLengthOtherNet.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436083" diagnostics="DVR.ATO.SMSFAR.436083"
                test="not(
                        round(100*sum(common:node-set(bafpr1.02.04:Expense.PensionIncomeExemptDeduction.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &gt;
                        round(100*sum(common:node-set(bafpr1.02.00:Income.CapitalGainsNet.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafpr1.02.02:Income.RentLeasingHiringGross.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafpr2.02.02:Income.Interest.Gross.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafpr1.02.02:Income.Net.Amount[
                                                       @contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafpr1.02.02:Income.PartnershipDistributionGross.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafpr1.02.05:Income.DividendsUnfranked.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafpr1.02.00:Income.DividendsFranked.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |rvctc1.02.03:IncomeTax.FrankingCredits.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafpr1.02.02:Income.TrustDistributionGross.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |emsup.02.00:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafpr1.02.04:Income.Other.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafpr1.02.04:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafpr1.02.04:Income.NonArmsLengthTrustDistributionsNet.Amount [
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                                       |bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[
                                                       @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"/>

        <!-- 
            IF [SMSFAR79] > 0 AND ([SMSFAR53] = NULL AND [SMSFAR43] = NULL AND [SMSFAR47] = NULL) 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR79] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
            [SMSFAR53] = SMSFAR:RP:Income.Other.Amount
            [SMSFAR43] = SMSFAR:RP:Income.PartnershipDistributionGross.Amount
            [SMSFAR47] = SMSFAR:RP:Income.TrustDistributionGross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436073" diagnostics="DVR.ATO.SMSFAR.436073"
                test="not(                        
                        round(100*sum(common:node-set(rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
                          [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) &gt; 0
                        and
                        (
                          not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and
                          not(bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and
                          not(bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"/>

        <!--
            IF [SMSFAR54] <> NULL AND ([SMSFAR53] = NULL OR [SMSFAR53] = 0)   
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR54] = SMSFAR:RP:Income.Other.Code
            [SMSFAR53] = SMSFAR:RP:Income.Other.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436074" diagnostics="DVR.ATO.SMSFAR.436074"
                test="not(
                        bafpr1.02.05:Income.Other.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and 
                        (
                             not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                          or 0 = sum(common:node-set(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        )
                      )"/>

        <!--
            IF [SMSFAR53] > 0 AND [SMSFAR54] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR53] = SMSFAR:RP:Income.Other.Amount
            [SMSFAR54] = SMSFAR:RP:Income.Other.Code
        -->
        <assert id="VR.ATO.SMSFAR.436076" diagnostics="DVR.ATO.SMSFAR.436076"
                test="not(
                        number(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        not(bafpr1.02.05:Income.Other.Code[@contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF [SMSFAR203] > 0 AND [SMSFAR201] <> NULLORBLANK AND ([SMSFAR219] = 0 OR [SMSFAR219] = NULL) AND ([SMSFAR49] = 0 OR [SMSFAR49] = NULL) 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR203] = SMSFAR:RP:SuperannuationContribution.EmployerContributions.Amount 
                          IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR201] = SMSFAR:RP:Identifiers.TaxFileNumber.Identifier 
                          IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR219] = SMSFAR:RP:SuperannuationRollover.Received.Amount 
                          IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR49]  = SMSFAR:RP:SuperannuationContribution.EmployerAssessable.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436066" diagnostics="DVR.ATO.SMSFAR.436066"
                test="not(
                        count(
                                smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')
                                and 
                                sum(common:node-set(
                                        emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;0
                                and pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.)!=0]
                                and sum(common:node-set(emsup.02.02:SuperannuationRollover.Received.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0]) &gt;0
                                and sum(common:node-set(emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 0
                      )"/>
       
    </rule>

    <rule context ="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(xbrli\prsnstrcnm3.xx.xx:PersonNameDetails)
            IF (pyde.xx.xx:PersonNameDetails.PersonNameType.Code <> "LGL") OR 
                (pyde.xx.xx:PersonNameDetails.Currency.Code <> "C") OR 
                (pyde.xx.xx:PersonNameDetails.Usage.Code <> "Contact")
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436294" diagnostics="DVR.ATO.SMSFAR.436294"
                test="not(
    	                      pyde.02.00:PersonNameDetails.PersonNameType.Code [not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) != 'LGL']
		                        or
		                        pyde.02.00:PersonNameDetails.Currency.Code [not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) != 'C']
		                        or
		                        pyde.02.05:PersonNameDetails.Usage.Code [not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) != 'CONTACT']

	                  )"/>

    </rule>

    <rule context="smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [SMSFAR197] CONTAINS SET("ACCUMULATED", "ACCUMULATION", "ACCOUNT", "RETIREMENT", "SUPERANNUATION", "COMPLYING", "ALLOCATED", "MARKET OR MARKET LINKED", "CONTRIBUTION", "INVESTMENT", "MISCELLANEOUS", "BASED", "SOLVENCY", "ADDITIONAL", "INTEREST", "LIFETIME", "FIXED TERM", "CONCESSIONAL", "NON CONCESSIONAL")
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR197] = SMSFAR:RP:PersonNameDetails.FamilyName.Text WHERE 
            ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") 
            AND 
            (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Identifier") 
            AND 
            (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) 
            IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails ) IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436291" diagnostics="DVR.ATO.SMSFAR.436291"
				test="not(
                        pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                        and regexp:test(.,'^(.*)(?i)(ACCUMULATED|ACCUMULATION|ACCOUNT|RETIREMENT|SUPERANNUATION|COMPLYING|ALLOCATED|MARKET OR MARKET LINKED|CONTRIBUTION|INVESTMENT|MISCELLANEOUS|BASED|SOLVENCY|ADDITIONAL|INTEREST|LIFETIME|FIXED TERM|CONCESSIONAL|NON CONCESSIONAL)(.*)$')]
                        and
                        pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL']
                        and
                        pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'IDENTIFIER']
                        and
                        pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and  exslt:uppercase(.) = 'C']
					)"/>

        <!--
            IF [SMSFAR197] CONTAINS SET(1-9)
               RETURN VALIDATION MESSAGE
            ENDIF  
            [SMSFAR197] = SMSFAR:RP:PersonNameDetails.FamilyName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = ""Identifier"") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = ""C"")) IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails ) IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert  id="VR.ATO.SMSFAR.436292" diagnostics="DVR.ATO.SMSFAR.436292"
                 test="not( 
                           regexp:test(
                             pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],
                             '^.*[1-9].*$')
                           and                  
                           exslt:uppercase(pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')]) = 'LGL'
                           and 
                           exslt:uppercase(pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) = 'IDENTIFIER'                                  
                           and
                           exslt:uppercase(pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) = 'C'                                                   
                          )"/>
        <!--
            IF [SMSFAR199] CONTAINS SET("ACCUMULATED", "ACCUMULATION", "ACCOUNT", "RETIREMENT", "SUPERANNUATION", "COMPLYING", "ALLOCATED", "MARKET OR MARKET LINKED", "CONTRIBUTION", "INVESTMENT", "MISCELLANEOUS", "BASED", "SOLVENCY", "ADDITIONAL", "INTEREST", "LIFETIME", "FIXED TERM", "CONCESSIONAL", "NON CONCESSIONAL")
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR199] = SMSFAR:RP:PersonNameDetails.GivenName.Text WHERE 
            ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") 
            AND 
            (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Identifier") 
            AND 
            (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) 
            IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails ) IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->


        <assert id="VR.ATO.SMSFAR.436293" diagnostics="DVR.ATO.SMSFAR.436293"
				test="not(
                        pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                        and regexp:test(.,'^(.*)(?i)(ACCUMULATED|ACCUMULATION|ACCOUNT|RETIREMENT|SUPERANNUATION|COMPLYING|ALLOCATED|MARKET OR MARKET LINKED|CONTRIBUTION|INVESTMENT|MISCELLANEOUS|BASED|SOLVENCY|ADDITIONAL|INTEREST|LIFETIME|FIXED TERM|CONCESSIONAL|NON CONCESSIONAL)(.*)$')]
                        and
                        pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL']
                        and
                        pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'IDENTIFIER']
                        and
                        pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and  exslt:uppercase(.) = 'C']
					)"/>


        <!--
            WHERE IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE (smsfar.0001.lodge.req.xx.xx:MemberInformation)
            IF (pyde.xx.xx:PersonNameDetails.PersonNameType.Code <> "LGL") OR 
                (pyde.xx.xx:PersonNameDetails.Currency.Code <> "C") OR 
                (pyde.xx.xx:PersonNameDetails.Usage.Code <> "Identifier")
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436297" diagnostics="DVR.ATO.SMSFAR.436297"
                test="not(
                        exslt:uppercase(./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 'LGL'
                        or
                        exslt:uppercase(./pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 'C'
                        or
                        exslt:uppercase(./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 'IDENTIFIER'
                      )"/>


        <!--
            IF [SMSFAR199] CONTAINS SET(1-9)
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR199] = SMSFAR:RP:PersonNameDetails.GivenName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Identifier") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) 
            IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails ) IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->

        <assert id="VR.ATO.SMSFAR.436298" diagnostics="DVR.ATO.SMSFAR.436298"
				test="not(
                        pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                        and regexp:test(.,'^.*[0-9].*$')]
                        and
                        pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL']
                        and
                        pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'IDENTIFIER']
                        and
                        pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and  exslt:uppercase(.) = 'C']
					)"/>
        <!--'^(.*)(?i)(0|1|2|3|4|5|6|7|8|9)(.*)$'-->

        <!--
                IF [SMSFAR200] CONTAINS SET("ACCUMULATED", "ACCUMULATION", "ACCOUNT", "RETIREMENT", "SUPERANNUATION", "COMPLYING", "ALLOCATED", "MARKET OR MARKET LINKED", "CONTRIBUTION", "INVESTMENT", "MISCELLANEOUS", "BASED", "SOLVENCY", "ADDITIONAL", "INTEREST", "LIFETIME", "FIXED TERM", "CONCESSIONAL", "NON CONCESSIONAL")
                   RETURN VALIDATION MESSAGE
                ENDIF  
                [SMSFAR200] = SMSFAR:RP:PersonNameDetails.OtherGivenName.Text WHERE
                ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL")
                AND 
                (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Identifier") 
                AND 
                (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) 
                IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails ) IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->


        <assert id="VR.ATO.SMSFAR.436299" diagnostics="DVR.ATO.SMSFAR.436299"
				test="not(
                        pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                        and regexp:test(.,'^(.*)(?i)(ACCUMULATED|ACCUMULATION|ACCOUNT|RETIREMENT|SUPERANNUATION|COMPLYING|ALLOCATED|MARKET OR MARKET LINKED|CONTRIBUTION|INVESTMENT|MISCELLANEOUS|BASED|SOLVENCY|ADDITIONAL|INTEREST|LIFETIME|FIXED TERM|CONCESSIONAL|NON CONCESSIONAL)(.*)$')]
                        and
                        pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL']
                        and
                        pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'IDENTIFIER']
                        and
                        pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and  exslt:uppercase(.) = 'C']
					)"/>

        <!--
            IF [SMSFAR200] CONTAINS SET(1-9)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR200] = SMSFAR:RP:PersonNameDetails.OtherGivenName.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Identifier") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) 
            IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails ) IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->

        <assert id="VR.ATO.SMSFAR.436305" diagnostics="DVR.ATO.SMSFAR.436305"
				test="not(
                        pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                        and regexp:test(.,'^.*[0-9].*$')]
                        and
                        pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'LGL']
                        and
                        pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'IDENTIFIER']
                        and
                        pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and  exslt:uppercase(.) = 'C']
					)"/>


    </rule>

    <rule context="phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF Context(INT) <> NULLORBLANK AND [SMSFAR184] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR184] = SMSFAR:INT:ElectronicContact.Telephone.Minimal.Number 
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = "03") 
            IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone )
  
        -->
        <assert id="VR.ATO.SMSFAR.436204" diagnostics="DVR.ATO.SMSFAR.436204"
                test="not(
                            $INT.Context
                            and not(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1')])
                            and pyde.02.00:ElectronicContact.Telephone.Usage.Code[not(@i:nil='true' or @i:nil='1') and . = '03']
                      )"/>

        <!--
            WHERE IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone)
                IF pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULL 
                    OR pyde.xx.xx:ElectronicContact.Telephone.Usage.Code <> "03" 
                    OR pyde.xx.xx:Electronic Contact.Telephone.ServiceLine.Code <> SET ("01", "02")
                        RETURN VALIDATION MESSAGE
                ENDIF
        -->
        <assert id="VR.ATO.GEN.432016" diagnostics="DVR.ATO.GEN.432016.SMSFAR"
                test="not(
                        not (pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1')])
                        or  (pyde.02.00:ElectronicContact.Telephone.Usage.Code[not(@i:nil='true' or @i:nil='1')] != '03')
                        or  (pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[not(@i:nil='true' or @i:nil='1') 
                               and not(regexp:test(.,'^(01|02)$'))])
                      )"/>
    </rule>

    <rule context="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF [SMSFAR281] = TRUE
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR281] = SMSFAR:RP:AddressDetails.OverseasAddress.Indicator 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = ""POS"") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = ""C"")) 
            IN TUPLE(addressdetails2.xx.xx:AddressDetails )
        -->
        <assert id="VR.ATO.SMSFAR.436251" diagnostics="DVR.ATO.SMSFAR.436251"
                test="not(
                            pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            and pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']
                            and pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                     
                      )"/>
        <!--
            IF [SMSFAR286] = TRUE
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR286] = SMSFAR:Auditor:AddressDetails.OverseasAddress.Indicator WHERE 
            ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
            (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
            IN TUPLE(addressdetails2.xx.xx:AddressDetails )
        -->
        <assert id="VR.ATO.SMSFAR.436283" diagnostics="DVR.ATO.SMSFAR.436283"
                test="not(
                            pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef = $AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                            and pyde.02.01:AddressDetails.Usage.Code[@contextRef = $AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']
                            and pyde.02.00:AddressDetails.Currency.Code[@contextRef = $AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']                     
                      )"/>

    </rule>

    <!-- 
        email1.02.00:ElectronicContactElectronicMail
    -->
    <rule context="email1.02.00:ElectronicContactElectronicMail[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(ElectronicContactElectronicMail1.xx.xx:ElectronicContactElectronicMail)
                IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = NULLORBLANK)
                  OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Usage.Code <> "03")
                    RETURN VALIDATION MESSAGE
                ENDIF
        -->
        <assert id="VR.ATO.GEN.436276" diagnostics="DVR.ATO.GEN.436276.SMSFAR"
                test="not(
                        not(pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        or (pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[not(@i:nil='true' or @i:nil='1')] != '03')
                      )"/>

        <!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN ".")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430232" diagnostics="DVR.ATO.GEN.430232"
                test="not(
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[string-length(normalize-space(.)) != 0 
                                 and not(@i:nil='true' or @i:nil='1') and not(regexp:test(.,'^(?i)(.*)(\x2E)(.*)$'))]
                      )"/>
    </rule>

    <!--
        smsfar.0001.lodge.req.02.00:MemberInformation
    -->
    <rule context="smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            IF [SMSFAR223] < ([SMSFAR217] + [SMSFAR218] + [SMSFAR219] - [SMSFAR220] - [SMSFAR221]) 
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR223] = SMSFAR:RP.Closing:SuperannuationBenefit.AccountBalance.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR217] = SMSFAR:RP:SuperannuationContribution.MemberTotal.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR218] = SMSFAR:RP:SuperannuationContribution.MemberAllocatedEarningsOrLosses.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR219] = SMSFAR:RP:SuperannuationRollover.Received.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR220] = SMSFAR:RP:SuperannuationRollover.Paid.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR221] = SMSFAR:RP:SuperannuationBenefit.Payments.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436239" diagnostics="DVR.ATO.SMSFAR.436239"
                test="not( 
                        sum(common:node-set(
                            emsup.02.01:SuperannuationBenefit.AccountBalance.Amount[@contextRef=$RP.CLOSING.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))
                        &lt; 
                            sum(common:node-set(
                                emsup.02.02:SuperannuationContribution.MemberTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                emsup.02.01:SuperannuationContribution.MemberAllocatedEarningsOrLosses.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                emsup.02.02:SuperannuationRollover.Received.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))
                            -
                            sum(common:node-set(
                                emsup.02.02:SuperannuationRollover.Paid.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                emsup.02.01:SuperannuationBenefit.Payments.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            ))
                        )"/>
        <!--
            WHERE IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            IF COUNT(TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails)) <> 1 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436210" diagnostics="DVR.ATO.SMSFAR.436210"
                test="not(
                        count(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]) != 1)
                     "/>

        <!--
            IF ANY OCCURRENCE OF([SMSFAR201]) = RP:entity.identifier.TFN
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR201] = SMSFAR:RP:Identifiers.TaxFileNumber.Identifier IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436212" diagnostics="DVR.ATO.SMSFAR.436212"
                test="not( 
                        count(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])!=0
                        and (pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = $RP.Identifier.TFN)
                        )
                      "/>


        <!--
            IF [SMSFAR201] = ANY OTHER OCCURRENCE OF([SMSFAR201])
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR201] = SMSFAR:RP:Identifiers.TaxFileNumber.Identifier IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436213" diagnostics="DVR.ATO.SMSFAR.436213"
                test="not(
                        pyid.02.00:Identifiers.TaxFileNumber.Identifier
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                        and .=../preceding-sibling::smsfar.0001.lodge.req.02.00:MemberInformation/pyid.02.00:Identifiers.TaxFileNumber.Identifier
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]]
                      )"/>
        <!-- 
            IF [SMSFAR202] < (([SMSFAR1] - 120)&""-07-01"")
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR202] = SMSFAR:RP:PersonDemographicDetails.Birth.Date IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR1] = SMSFAR:RP:Report.TargetFinancial.Year
        -->
        <let name="TargetFinancialYear" value="concat(number(../pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])-120,'-07-01')"/>

        <assert id="VR.ATO.SMSFAR.436273" diagnostics="DVR.ATO.SMSFAR.436273"
         test="not(
                   function:IsDate1GreaterThanDate2($TargetFinancialYear, pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                  )"/>

        <!-- 
            IF [SMSFAR202] > DATE(TODAY)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR202] = SMSFAR:RP:PersonDemographicDetails.Birth.Date IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436272" diagnostics="DVR.ATO.SMSFAR.436272"
         test="not(
                   function:IsDate1GreaterThanDate2(pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')], date:date-time())
                  )"/>
        <!--
            WHERE IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            IF [SMSFAR217] <> 
            ( [SMSFAR203] + [SMSFAR205] + [SMSFAR206] + [SMSFAR207] + [SMSFAR208] + [SMSFAR209] 
            + [SMSFAR210] + [SMSFAR211] + [SMSFAR212] + [SMSFAR213] + [SMSFAR214] + [SMSFAR215] + [SMSFAR216])
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR217] = SMSFAR:RP:SuperannuationContribution.MemberTotal.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR203] = SMSFAR:RP:SuperannuationContribution.EmployerContributions.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR205] = SMSFAR:RP:SuperannuationContribution.MemberContributions.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR206] = SMSFAR:RP:SuperannuationContribution.CapitalGainsTaxSmallBusinessRetirementExemption.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR207] = SMSFAR:RP:SuperannuationContribution.CapitalGainsTaxSmallBusinessExemption.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR208] = SMSFAR:RP:SuperannuationContribution.PersonalInjuryElection.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR209] = SMSFAR:RP:SuperannuationContribution.SpouseAndChildContributions.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR210] = SMSFAR:RP:SuperannuationContribution.FamilyAndFriendContributionsOther.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR211] = SMSFAR:RP:SuperannuationContribution.DirectedTerminationTaxableComponent.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR212] = SMSFAR:RP:SuperannuationContribution.ForeignSuperannuationFundAssessable.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR213] = SMSFAR:RP:SuperannuationContribution.ForeignSuperannuationFundNonAssessable.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR214] = SMSFAR:RP:SuperannuationContribution.TransferFromReserveAssessable.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR215] = SMSFAR:RP:SuperannuationContribution.TransferFromReserveNonAssessable.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR216] = SMSFAR:RP:SuperannuationContribution.TotalOther.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436230" diagnostics="DVR.ATO.SMSFAR.436230"
                test="not(
                sum(common:node-set(emsup.02.02:SuperannuationContribution.MemberTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                !=
                sum(common:node-set(
                            emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            emsup.02.02:SuperannuationContribution.MemberContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            emsup.02.02:SuperannuationContribution.CapitalGainsTaxSmallBusinessRetirementExemption.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            emsup.02.02:SuperannuationContribution.CapitalGainsTaxSmallBusinessExemption.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            emsup.02.02:SuperannuationContribution.PersonalInjuryElection.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            emsup.02.02:SuperannuationContribution.SpouseAndChildContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  |
                            emsup.02.02:SuperannuationContribution.FamilyAndFriendContributionsOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            emsup.02.01:SuperannuationContribution.DirectedTerminationTaxableComponent.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            emsup.02.02:SuperannuationContribution.ForeignSuperannuationFundAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            emsup.02.02:SuperannuationContribution.ForeignSuperannuationFundNonAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  |
                            emsup.02.02:SuperannuationContribution.TransferFromReserveAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            emsup.02.02:SuperannuationContribution.TransferFromReserveNonAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            emsup.02.02:SuperannuationContribution.TotalOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))
                      )"/>



        <!--
            WHERE IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            IF [SMSFAR197] <> NULLORBLANK AND [SMSFAR202] = NULL AND [SMSFAR201] = NULLORBLANK
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR197] = SMSFAR:RP:PersonNameDetails.FamilyName.Text 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = ""Identifier"") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = ""C"")) 
                IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails ) IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR202] = SMSFAR:RP:PersonDemographicDetails.Birth.Date IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR201] = SMSFAR:RP:Identifiers.TaxFileNumber.Identifier IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436215" diagnostics="DVR.ATO.SMSFAR.436215"
                test="not(
                        prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text
                            [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and exslt:uppercase(../pyde.02.00:PersonNameDetails.PersonNameType.Code)='LGL' 
                            and exslt:uppercase(../pyde.02.05:PersonNameDetails.Usage.Code)='IDENTIFIER'
                            and exslt:uppercase(../pyde.02.00:PersonNameDetails.Currency.Code)='C']
                            and not(pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] and string-length(.)!=0)
                      )"/>
        <!--
            WHERE IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            IF [SMSFAR202] >= [SMSFAR95]  
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR202] = SMSFAR:RP:PersonDemographicDetails.Birth.Date IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR95] = SMSFAR:RP:PersonDemographicDetails.Death.Date IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436216" diagnostics="DVR.ATO.SMSFAR.436216"
                test="not(
                        function:IsDate1GreaterOrEqualToDate2(
                            pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')], 
                            pyde.02.00:PersonDemographicDetails.Death.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            IF [SMSFAR195] = ANY OTHER OCCURRENCE OF([SMSFAR195])
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR195] = SMSFAR:RP:Report.ItemOrder.Number IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436205" diagnostics="DVR.ATO.SMSFAR.436205"
                test="not(
                        pyin.02.00:Report.ItemOrder.Number
                          [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                           and . = ../preceding-sibling::smsfar.0001.lodge.req.02.00:MemberInformation
                                       /pyin.02.00:Report.ItemOrder.Number
                                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]]
                      )"/>
        <!--
            WHERE IN TUPLE (smsfar.0001.lodge.req.xx.xx:MemberInformation)
            IF [SMSFAR195] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR195] = SMSFAR:RP:Report.ItemOrder.Number IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436207" diagnostics="DVR.ATO.SMSFAR.436207"
                test="not(
                        not(pyin.02.00:Report.ItemOrder.Number[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>       

        <!--
            WHERE IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            IF [SMSFAR222] <> NULL AND ([SMSFAR221] = 0 OR [SMSFAR221] = NULL) 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR222] = SMSFAR:RP:SuperannuationBenefit.Payments.Code IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR221] = SMSFAR:RP:SuperannuationBenefit.Payments.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436235" diagnostics="DVR.ATO.SMSFAR.436235"
                test="not(
                        emsup.02.01:SuperannuationBenefit.Payments.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        (
                          0 = round(100*sum(common:node-set(emsup.02.01:SuperannuationBenefit.Payments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          or
                          not(emsup.02.01:SuperannuationBenefit.Payments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"/>

        <!--
            IF [SMSFAR95] > DATE(TODAY)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR95] = SMSFAR:RP:PersonDemographicDetails.Death.Date IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436133" diagnostics="DVR.ATO.SMSFAR.436133"
                test="not(
                        function:IsDate1GreaterThanDate2
                        (
                          pyde.02.00:PersonDemographicDetails.Death.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')], 
                          date:date-time()
                        )
                      )"/>
        <!--
            WHERE IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            IF [SMSFAR221] > 0 AND [SMSFAR222] = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR221] = SMSFAR:RP:SuperannuationBenefit.Payments.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR222] = SMSFAR:RP:SuperannuationBenefit.Payments.Code IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436237" diagnostics="DVR.ATO.SMSFAR.436237"
                test="not(
                            sum(common:node-set(emsup.02.01:SuperannuationBenefit.Payments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;0
                            and
                            not(emsup.02.01:SuperannuationBenefit.Payments.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0])
                      )"/>

        <!--
            (WHERE IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            IF [SMSFAR197] AND [SMSFAR199] AND [SMSFAR202] AND [SMSFAR201]) = (ANY OTHER OCCURRENCE OF([SMSFAR197] AND [SMSFAR199] AND [SMSFAR202] AND [SMSFAR201]) IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR197] = SMSFAR:RP:PersonNameDetails.FamilyName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Identifier") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails ) IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR199] = SMSFAR:RP:PersonNameDetails.GivenName.Text WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Identifier") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails ) IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR202] = SMSFAR:RP:PersonDemographicDetails.Birth.Date IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
            [SMSFAR201] = SMSFAR:RP:Identifiers.TaxFileNumber.Identifier IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436211" diagnostics="DVR.ATO.SMSFAR.436211"
              test="not(
                      prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text
                            [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and exslt:uppercase(../pyde.02.00:PersonNameDetails.PersonNameType.Code)='LGL' 
                            and exslt:uppercase(../pyde.02.05:PersonNameDetails.Usage.Code)='IDENTIFIER'
                            and exslt:uppercase(../pyde.02.00:PersonNameDetails.Currency.Code)='C'
                            and exslt:uppercase(.)=exslt:uppercase(../../preceding-sibling::smsfar.0001.lodge.req.02.00:MemberInformation
                                    /prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text
                                    [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                    and exslt:uppercase(../pyde.02.00:PersonNameDetails.PersonNameType.Code)='LGL' 
                                    and exslt:uppercase(../pyde.02.05:PersonNameDetails.Usage.Code)='IDENTIFIER'
                                    and exslt:uppercase(../pyde.02.00:PersonNameDetails.Currency.Code)='C'])]
                               
                      and
                                           
                      prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text
                            [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and exslt:uppercase(../pyde.02.00:PersonNameDetails.PersonNameType.Code)='LGL' 
                            and exslt:uppercase(../pyde.02.05:PersonNameDetails.Usage.Code)='IDENTIFIER'
                            and exslt:uppercase(../pyde.02.00:PersonNameDetails.Currency.Code)='C'
                            and exslt:uppercase(.)=exslt:uppercase(../../preceding-sibling::smsfar.0001.lodge.req.02.00:MemberInformation
                                    /prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.GivenName.Text
                                    [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                    and exslt:uppercase(../pyde.02.00:PersonNameDetails.PersonNameType.Code)='LGL' 
                                    and exslt:uppercase(../pyde.02.05:PersonNameDetails.Usage.Code)='IDENTIFIER'
                                    and exslt:uppercase(../pyde.02.00:PersonNameDetails.Currency.Code)='C'])]
                                    
                      and

                      pyde.02.00:PersonDemographicDetails.Birth.Date
                            [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and .=../preceding-sibling::smsfar.0001.lodge.req.02.00:MemberInformation
                                    /pyde.02.00:PersonDemographicDetails.Birth.Date
                                    [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]]
                                    
                      and
                      
                      pyid.02.00:Identifiers.TaxFileNumber.Identifier
                            [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and string-length(.)!=0
                            and .=../preceding-sibling::smsfar.0001.lodge.req.02.00:MemberInformation
                                    /pyid.02.00:Identifiers.TaxFileNumber.Identifier
                                    [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.)!=0]]
                      
                    )"/>
        
    </rule>

    <!--
        smsfar.0001.lodge.req.02.00:MemberInformation/pyid.02.00:Identifiers.TaxFileNumber.Identifier
    -->
    <rule context="smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF LENGTH([SMSFAR201]) <  9
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR201] = SMSFAR:RP:Identifiers.TaxFileNumber.Identifier IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436214" diagnostics="DVR.ATO.SMSFAR.436214"
                test="not(
                        string-length(normalize-space(.)) &lt; 9
                        and @contextRef = $RP.ContextId
                      )"/>
    </rule>

    <!--
        smsfar.0001.lodge.req.02.00:TrusteeOrDirector
    -->
    <rule context="smsfar.0001.lodge.req.02.00:TrusteeOrDirector[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
            IF [SMSFAR175] <> NULLORBLANK AND [SMSFAR174] = NULLORBLANK 
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR175] = SMSFAR:RP:Identifiers.AustralianBusinessNumber.Identifier 
                        IN TUPLE(smsfar.0001.lodge.req.xx.xx:TrusteeOrDirector )
            [SMSFAR174] = SMSFAR:RP:OrganisationNameDetails.OrganisationalName.Text 
                            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                            IN TUPLE(organisationname1.xx.xx:OrganisationNameDetails ) 
                            IN TUPLE(smsfar.0001.lodge.req.xx.xx:TrusteeOrDirector )  
        -->
        <assert id="VR.ATO.SMSFAR.436201" diagnostics="DVR.ATO.SMSFAR.436201"
                test="not(
                        pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0]
                        and 
                        not(orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                        [
                        not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0
                        and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and exslt:uppercase(.) = 'MN']
                        ])
                      )" />

        <!--
            WHERE IN TUPLE(smsfar.0001.lodge.req.xx.xx:TrusteeOrDirector)
            IF COUNT(TUPLE (electroniccontacttelephone1.xx.xx:ElectronicContactTelephone))<> 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436287" diagnostics="DVR.ATO.SMSFAR.436287"
                test="not(
                        count(phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]) != 1                       
                      )"/>



    </rule>


    <rule context="smsfar.0001.lodge.req.02.00:TrusteeOrDirector[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE (smsfar.0001.lodge.req.xx.xx:TrusteeOrDirector)
            IF (pyde.xx.xx:PersonNameDetails.PersonNameType.Code <> "LGL") OR 
                (pyde.xx.xx:PersonNameDetails.Currency.Code <> "C") OR 
                (pyde.xx.xx:PersonNameDetails.Usage.Code <> "Contact")
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436296" diagnostics="DVR.ATO.SMSFAR.436296"
                test="not(
                        exslt:uppercase(./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 'LGL'
                        or
                        exslt:uppercase(./pyde.02.00:PersonNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 'C'
                        or
                        exslt:uppercase(./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != 'CONTACT'
                      )"/>
    </rule>

    <!--
        declaration2.02.01:Declaration
    -->

    <rule context="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF CONTEXT(INT) <> NULL AND COUNT([SMSFAR270]) <> 1
              RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR270] = SMSFAR:INT:Declaration.StatementType.Code IN TUPLE(declaration2.xx.xx:Declaration )
        -->
        <assert id="VR.ATO.SMSFAR.436288" diagnostics="DVR.ATO.SMSFAR.436288"
                test="not(
                        //xbrli:context[@id = $INT.ContextId and not(@i:nil='true' or @i:nil='1')] 
                        and count(pyin.02.03:Declaration.StatementType.Code[not(@i:nil='true' or @i:nil='1')]) != 1
                      )"/>
    </rule>
    <rule context="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE (personunstructuredname1.xx.xx:PersonUnstructuredName) IN TUPLE(declaration2.xx.xx:Declaration)
            IF pyde.xx.xx:PersonUnstructuredName.Usage.Code <> ""DeclarationSignatory""
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.436279" diagnostics="DVR.ATO.GEN.436279.SMSFAR"
                test="not(
                             exslt:uppercase(pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')]) != 'DECLARATIONSIGNATORY'
                      )"/>

    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/smsfar.0001.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation">

        <!--
            WHERE IN TUPLE(smsfar.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
            IF ([SMSFAR159] = ""PR"") AND (([SMSFAR160] = NULL) OR ([SMSFAR161] = NULL))
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR159] = SMSFAR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code IN TUPLE(smsfar.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation )
            [SMSFAR160] = SMSFAR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year IN TUPLE(smsfar.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation )
            [SMSFAR161] = SMSFAR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number IN TUPLE(smsfar.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation )
        -->
        <assert id="VR.ATO.SMSFAR.436188" diagnostics="DVR.ATO.SMSFAR.436188"
                test="not(
                        exslt:uppercase(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) ='PR'
                        and (
                            not(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or
                            not(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      ))"/>
        <!--
            WHERE IN TUPLE(smsfar.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
            IF gfagc.xx.xx:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code = ""AN"" 
                AND (gfagc.xx.xx:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year <> NULL 
                    OR gfagc.xx.xx:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number = NULL)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436308" diagnostics="DVR.ATO.SMSFAR.436308"
                test="not(
                            gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[not(@i:nil='true' or @i:nil='1')] ='AN'
                            and
                            (
                                gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year[not(@i:nil='true' or @i:nil='1')]
                                or
                                not(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[not(@i:nil='true' or @i:nil='1')])
                            )
                      )"/>
        <!--
            WHERE IN TUPLE(smsfar.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
            IF [SMSFAR159] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR159] = SMSFAR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code IN TUPLE(smsfar.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation )
        -->
        <assert id="VR.ATO.SMSFAR.436191" diagnostics="DVR.ATO.SMSFAR.436191"
                test="not(
                          not (gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>
        <!--
            WHERE IN TUPLE(smsfar.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
            IF [SMSFAR159] = 'PR' AND [SMSFAR161] > 999
               RETURN VALIDATION MESSAGE
            ENDIF 
            [SMSFAR159] = SMSFAR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code IN TUPLE(smsfar.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation )
            [SMSFAR161] = SMSFAR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number IN TUPLE(smsfar.0001.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation )
        -->
        <assert id="VR.ATO.SMSFAR.436192" diagnostics="DVR.ATO.SMSFAR.436192"
                test="not(
                          gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'PR'
                          and
                          gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 999
                      )"/>

    </rule>
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.02:Income.Interest.EarlyPaymentCredit.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
           IF [SMSFAR78] <> NULL AND [SMSFAR78] < 0.50  
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR78] = SMSFAR:RP:Income.Interest.EarlyPaymentCredit.Amount
         -->
        <assert id="VR.ATO.SMSFAR.436116" diagnostics="DVR.ATO.SMSFAR.436116"
                test=" not(  
                            @contextRef = $RP.ContextId and (number(.)&lt; 0.5)
                           )"/>
    </rule>

    <let name="targetfinancialyear" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true' or @i:nil='1')]" />
    <rule context="gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (gfagc.xx.xx:Tax Concession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year <> NULL) 
                AND (gfagc.xx.xx:Tax Concession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year < 1998
                OR gfagc.xx.xx:Tax Concession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year > pyin.xx.xx:Report.TargetFinancial.Year)
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430191" diagnostics="DVR.ATO.GEN.430191.SMSF"
                test="not(
                        number(.) &lt; number(1998)
                        or
                        number(.) &gt; number($targetfinancialyear)
                      )"/>"
    </rule>

</pattern>
