﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Declaration" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Declaration Common Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
        <!--
   	        IF (INT = NULLORBLANK AND (RP:pyin.xx.xx:Declaration.StatementAccepted.Indicator = NULL)) 
            OR (INT <> NULLORBLANK AND (INT:pyin.xx.xx:Declaration.StatementAccepted.Indicator)) = NULL))
                RETURN VALIDATION MESSAGE CMN.ATO.GEN.430249
            ENDIF
    -->
        <assert id="VR.ATO.GEN.430249" diagnostics="DVR.ATO.GEN.430249"
                  test=" not(
                        (
                          (count($INT.Context) &lt; 1) and  
                          not(declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Declaration.StatementAccepted.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                         )or 
                         (
                          (count($INT.Context) &gt; 0) and 
                         not(declaration2.02.01:Declaration/pyin.02.00:Declaration.StatementAccepted.Indicator[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')])
                         )
                     )"/>

    </rule>

    <rule context="declaration2.02.01:Declaration[not(@i:nil = 'true' or @i:nil='1')]">
        <!--                        
            WHERE IN TUPLE(Declaration2.xx.xx:Declaration)
            IF pyin.xx.xx:Declaration.StatementType.Code <> "TrueAndCorrect"
                OR pyin.xx.xx:Declaration.StatementAccepted.Indicator = FALSE 
                OR Declaration.SignatoryIdentifier.Text = NULLORBLANK 
                OR Declaration.Signature.Date = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430250" diagnostics="DVR.ATO.GEN.430250" 
                test="not(
                    pyin.02.03:Declaration.StatementType.Code[not(@i:nil ='true' or @i:nil ='1') and not(regexp:test(.,'^TrueAndCorrect$'))]
                    or pyin.02.00:Declaration.StatementAccepted.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')] 
                    or (count(pyin.02.00:Declaration.SignatoryIdentifier.Text[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')]) = 0)
                    or not(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')])
                )"/>
        <!--
            Rule ID: VR.ATO.GEN.430255
            
            IF pyde.xx.xx:Declaration.Signature.Date <> NULL 
            AND pyde.xx.xx:Declaration.Signature.Date > DATE(TODAY)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430255" diagnostics="DVR.ATO.GEN.430255"
                test=" not(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')])
                      or not(function:IsDate1GreaterThanDate2(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')], date:date-time()))
                     "/>

        
    </rule>
    <rule context="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--  
            Rule: VR.ATO.GEN.430252
            
            IF LENGTH(pyde.xx.xx:PersonUnstructuredName.FullName.Text) > 200
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430252" diagnostics="DVR.ATO.GEN.430252"
                test="not(string-length(normalize-space(.)) &gt; 200)"/>
        <!--
            Rule: VR.ATO.GEN.430253
            IF pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK 
                AND pyde.xx.xx:PersonUnstructuredName.FullName.Text <> SET("a-z", "A-Z", "-", " ")
                RETURN VALIDATION MESSAGE
            ENDIF
         -->
        <assert id="VR.ATO.GEN.430253" diagnostics="DVR.ATO.GEN.430253"
                test="(regexp:test(.,'^[- a-zA-Z]+$')or string-length(normalize-space(.))=0)"/>

    </rule>

</pattern>
