﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>
    <rule context="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier <> NULLORBLANK) AND (TFNALGORITHM (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier) = FALSE)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410031" diagnostics="DVR.ATO.GEN.410031.0"
                test="not(
                        string-length(normalize-space(.)) != 0 and not(function:ValidateTFN(.))
                      )"/>

        <!--string-length(normalize-space(.)) != 0 and not(function:ValidateTFN(.))-->

    </rule>
    <rule context="bafpo5.02.03:Assets.LoansAndReceivables.Held.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR123] <> NULL AND [SMSFAR123] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR123] = SMSFAR:RPI.Closing.JAus:Assets.LoansAndReceivables.Held.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436140" diagnostics="DVR.ATO.SMSFAR.436140"
                test="not(
                            @contextRef = $RPI.CLOSING.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                        )"/>
     </rule>
    
    <rule context="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND 
                (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247"
                test="not(
                        string-length(normalize-space(.)) != 0 and not(function:ValidateTAN(.))
                      )"/>
    </rule>
    
    <rule context="bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR33] <> NULL AND [SMSFAR33] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR33] = SMSFAR:RP:Income.CapitalGainsNet.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436040" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Income.RentLeasingHiringGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR34] <> NULL AND [SMSFAR34] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR34] = SMSFAR:RP:Income.RentLeasingHiringGross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436041" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr2.02.02:Income.Interest.Gross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR35] <> NULL AND [SMSFAR35] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR35] = SMSFAR:RP:Income.Interest.Gross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436042" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR36] <> NULL AND [SMSFAR36] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR36] = SMSFAR:RP:Income.ForestryManagedInvestmentScheme.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436043" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr2.02.04:Expense.Operating.ApprovedAuditorFee.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
           IF [SMSFAR66] <> NULL AND [SMSFAR66] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
           ENDIF
		   
           [SMSFAR66] = SMSFAR:RP:Expense.Operating.ApprovedAuditorFee.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436094" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR39] <> NULL AND [SMSFAR39] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR39] = SMSFAR:RP:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436048" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.05:Expense.Investment.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR67] <> NULL AND [SMSFAR67] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR67] = SMSFAR:RP:Expense.Investment.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436095" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR40] <> NULL AND [SMSFAR40] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR40] = SMSFAR:RP:Equity.InternationalDealings.ForeignFundTransfers.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436049" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR49] <> NULL AND [SMSFAR49] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR49] = SMSFAR:RP:SuperannuationContribution.EmployerAssessable.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436067" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR50] <> NULL AND [SMSFAR50] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR50] = SMSFAR:RP:SuperannuationContribution.PersonalAssessable.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436068" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="emsup.02.00:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR51] <> NULL AND [SMSFAR51] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR51] = SMSFAR:RP:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436070" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR52] <> NULL AND [SMSFAR52] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR52] = SMSFAR:RP:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436071" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Income.Other.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR53] <> NULL AND [SMSFAR53] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR53] = SMSFAR:RP:Income.Other.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436075" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.05:Expense.ManagementAndAdministration.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR68] <> NULL AND [SMSFAR68] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR68] = SMSFAR:RP:Expense.ManagementAndAdministration.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436096" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR42] <> NULL AND [SMSFAR42] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR42] = SMSFAR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436054" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Income.PartnershipDistributionGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR43] <> NULL AND [SMSFAR43] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR43] = SMSFAR:RP:Income.PartnershipDistributionGross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436055" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.05:Income.DividendsUnfranked.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR44] <> NULL AND [SMSFAR44] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR44] = SMSFAR:RP:Income.DividendsUnfranked.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436056" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.00:Income.DividendsFranked.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR45] <> NULL AND [SMSFAR45] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR45] = SMSFAR:RP:Income.DividendsFranked.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436058" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc1.02.03:IncomeTax.FrankingCredits.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR46] <> NULL AND [SMSFAR46] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR46] = SMSFAR:RP:IncomeTax.FrankingCredits.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436060" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR69] <> NULL AND [SMSFAR69] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR69] = SMSFAR:RP:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436098" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Income.TrustDistributionGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR47] <> NULL AND [SMSFAR47] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR47] = SMSFAR:RP:Income.TrustDistributionGross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436063" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.DeductibleOther.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR70] <> NULL AND [SMSFAR70] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR70] = SMSFAR:RP:Expense.DeductibleOther.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436099" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR72] <> NULL AND [SMSFAR72] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR72] = SMSFAR:RP:IncomeTax.Deduction.TaxLossesDeducted.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436103" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Income.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR73] <> NULL AND [SMSFAR73] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR73] = SMSFAR:RP:Income.Taxable.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436107" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
    </rule>

    <!--VR.ATO.SMSFAR.436300-->
    <rule context ="pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF(pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text STARTS WITH " ")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.SMSFAR.436300" diagnostics="DVR.ATO.SMSFAR.436300"
                test="not(
                        @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^[a-zA-Z](.*)$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR64] <> NULL AND [SMSFAR64] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR64] = SMSFAR:RP:Expense.PremiumsDeathOrDisability.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436092" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR47] <> NULL AND [SMSFAR47] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR47] = SMSFAR:RP:Income.TrustDistributionGross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436078" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR56] <> NULL AND [SMSFAR56] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR56] = SMSFAR:RP:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436079" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Income.NonArmsLengthTrustDistributionsNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR57] <> NULL AND [SMSFAR57] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR57] = SMSFAR:RP:Income.NonArmsLengthTrustDistributionsNet.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436080" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR58] <> NULL AND [SMSFAR58] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR58] = SMSFAR:RP:Income.NonArmsLengthOtherNet.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436081" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.PensionIncomeExemptDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR59] <> NULL AND [SMSFAR59] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR59] = SMSFAR:RP:Expense.PensionIncomeExemptDeduction.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436085" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR62] <> NULL AND [SMSFAR62] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR62] = SMSFAR:RP:Expense.CapitalWorksDeduction.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436088" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR63] <> NULL AND [SMSFAR63] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			   
            [SMSFAR63] = SMSFAR:RP:Expense.DepreciationAllowableDeduction.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436091" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpo7.02.00:Assets.Investment.UnitTrustsUnlisted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR118] <> NULL AND [SMSFAR118] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR118] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsUnlisted.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436135" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>
    
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]">
        <!--
        IF [SMSFAR223] <> NULL AND [SMSFAR223] <> MONETARY(U,13,2)
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR223] = SMSFAR:RP.Closing:SuperannuationBenefit.AccountBalance.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436240" diagnostics="DVR.ATO.SMSFAR.436240"
        test="not(
        emsup.02.01:SuperannuationBenefit.AccountBalance.Amount[@contextRef =$RP.CLOSING.ContextId and not(@i:nil='true' or @i:nil='1')and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
        )"/>

        <!-- 
            IF [SMSFAR209] <> NULL AND [SMSFAR209] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR209] = SMSFAR:RP:SuperannuationContribution.SpouseAndChildContributions.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436222" diagnostics="DVR.ATO.SMSFAR.436222"
                test="not(
                            emsup.02.02:SuperannuationContribution.SpouseAndChildContributions.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"/>
        <!-- 
            IF [SMSFAR210] <> NULL AND [SMSFAR210] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR210] = SMSFAR:RP:SuperannuationContribution.FamilyAndFriendContributionsOther.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436223" diagnostics="DVR.ATO.SMSFAR.436223"
                test="not(
                            emsup.02.02:SuperannuationContribution.FamilyAndFriendContributionsOther.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"/>
        <!-- 
            IF [SMSFAR211] <> NULL AND [SMSFAR211] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR211] = SMSFAR:RP:SuperannuationContribution.DirectedTerminationTaxableComponent.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)

        -->
        <assert id="VR.ATO.SMSFAR.436224" diagnostics="DVR.ATO.SMSFAR.436224"
                test="not(
                            emsup.02.01:SuperannuationContribution.DirectedTerminationTaxableComponent.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"/>
        <!-- 
            IF [SMSFAR212] <> NULL AND [SMSFAR212] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR212] = SMSFAR:RP:SuperannuationContribution.ForeignSuperannuationFundAssessable.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)

        -->
        <assert id="VR.ATO.SMSFAR.436225" diagnostics="DVR.ATO.SMSFAR.436225"
                test="not(
                            emsup.02.02:SuperannuationContribution.ForeignSuperannuationFundAssessable.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"/>
        <!-- 
            IF [SMSFAR213] <> NULL AND [SMSFAR213] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR213] = SMSFAR:RP:SuperannuationContribution.ForeignSuperannuationFundNonAssessable.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436226" diagnostics="DVR.ATO.SMSFAR.436226"
                test="not(
                            emsup.02.02:SuperannuationContribution.ForeignSuperannuationFundNonAssessable.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"/>
        <!-- 
            IF [SMSFAR214] <> NULL AND [SMSFAR214] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR214] = SMSFAR:RP:SuperannuationContribution.TransferFromReserveAssessable.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436227" diagnostics="DVR.ATO.SMSFAR.436227"
                test="not(
                            emsup.02.02:SuperannuationContribution.TransferFromReserveAssessable.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"/>
        <!-- 
            IF [SMSFAR215] <> NULL AND [SMSFAR215] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR215] = SMSFAR:RP:SuperannuationContribution.TransferFromReserveNonAssessable.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436228" diagnostics="DVR.ATO.SMSFAR.436228"
                test="not(
                            emsup.02.02:SuperannuationContribution.TransferFromReserveNonAssessable.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"/>
        <!-- 
            IF [SMSFAR216] <> NULL AND [SMSFAR216] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR216] = SMSFAR:RP:SuperannuationContribution.TotalOther.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436229" diagnostics="DVR.ATO.SMSFAR.436229"
                test="not(
                            emsup.02.02:SuperannuationContribution.TotalOther.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"/>
        <!-- 
            IF [SMSFAR217] <> NULL AND [SMSFAR217] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR217] = SMSFAR:RP:SuperannuationContribution.MemberTotal.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436231" diagnostics="DVR.ATO.SMSFAR.436231"
                test="not(
                            emsup.02.02:SuperannuationContribution.MemberTotal.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"/>
 
        <!-- 
            IF [SMSFAR219] <> NULL AND [SMSFAR219] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR219] = SMSFAR:RP:SuperannuationRollover.Received.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436233" diagnostics="DVR.ATO.SMSFAR.436233"
                test="not(
                            emsup.02.02:SuperannuationRollover.Received.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"/>
        <!-- 
            IF [SMSFAR220] <> NULL AND [SMSFAR220] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR220] = SMSFAR:RP:SuperannuationRollover.Paid.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436234" diagnostics="DVR.ATO.SMSFAR.436234"
                test="not(
                            emsup.02.02:SuperannuationRollover.Paid.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"/>
        <!-- 
            IF [SMSFAR221] <> NULL AND [SMSFAR221] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR221] = SMSFAR:RP:SuperannuationBenefit.Payments.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436236" diagnostics="DVR.ATO.SMSFAR.436236"
                test="not(
                            emsup.02.01:SuperannuationBenefit.Payments.Amount[@contextRef =$RP.ContextId and not(@i:nil='true' or @i:nil='1')and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                      )"/>



    </rule>

    <rule context="rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR85] <> NULL AND [SMSFAR85] <> MONETARY(U,11,0)
			   RETURN VALIDATION MESSAGE
			ENDIF
			
			[SMSFAR85] = SMSFAR:RP.Closing.Y0Plus:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436128" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.CLOSING.Y0Plus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR77] <> NULL AND [SMSFAR77] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR77] = SMSFAR:RP:InternationalDealings.AAMInterestSection102.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436115" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="bafpr2.02.02:Income.Interest.EarlyPaymentCredit.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR78] <> NULL AND [SMSFAR78] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR78] = SMSFAR:RP:Income.Interest.EarlyPaymentCredit.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436117" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR79] <> NULL AND [SMSFAR79] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR79] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436119" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR80] <> NULL AND [SMSFAR80] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR80] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436121" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc2.02.02:IncomeTax.FrankingCredits.Refundable.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR81] <> NULL AND [SMSFAR81] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR81] = SMSFAR:RP:IncomeTax.FrankingCredits.Refundable.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436122" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc1.02.03:IncomeTax.TaxOffsetTFNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR225] <> NULL AND [SMSFAR225] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR225] = SMSFAR:RP:IncomeTax.TaxOffsetTFNNotQuoted.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436242" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="bafpr1.02.02:Income.Net.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR38] <> NULL AND [SMSFAR38] <> MONETARY(S,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR38] = SMSFAR:RP.JForeign:Income.Net.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436047" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="bafpr1.02.04:Income.Gross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR37] <> NULL AND [SMSFAR37] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR37] = SMSFAR:RP.JForeign:Income.Gross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436046" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                      )"/>
    </rule>

    <rule context="rvctc1.02.03:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR226] <> NULL AND [SMSFAR226] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR226] = SMSFAR:RP:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436243" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc1.02.03:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR227] <> NULL AND [SMSFAR227] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR227] = SMSFAR:RP:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436244" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR298] <> NULL AND [SMSFAR298] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR298] = SMSFAR:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436304" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR82] <> NULL AND [SMSFAR82] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR82] = SMSFAR:RP:IncomeTax.LiabilityInstalmentsTotal.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436123" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR84] <> NULL AND [SMSFAR84] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR84] = SMSFAR:RP:IncomeTax.PayableOrRefundableTotal.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436277" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR203] <> NULL AND [SMSFAR203] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR203] = SMSFAR:RP:SuperannuationContribution.EmployerContributions.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436217" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.MemberContributions.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR205] <> NULL AND [SMSFAR205] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR205] = SMSFAR:RP:SuperannuationContribution.MemberContributions.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436218" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.CapitalGainsTaxSmallBusinessRetirementExemption.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR206] <> NULL AND [SMSFAR206] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR206] = SMSFAR:RP:SuperannuationContribution.CapitalGainsTaxSmallBusinessRetirementExemption.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436219" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.CapitalGainsTaxSmallBusinessExemption.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR207] <> NULL AND [SMSFAR207] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR207] = SMSFAR:RP:SuperannuationContribution.CapitalGainsTaxSmallBusinessExemption.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436220" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>
   
    <rule context="smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.PersonalInjuryElection.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR208] <> NULL AND [SMSFAR208] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR208] = SMSFAR:RP:SuperannuationContribution.PersonalInjuryElection.Amount IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436221" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                    )"/>
    </rule>

    <rule context="bafpo1.02.00:Assets.DebtSecurities.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR122] <> NULL AND [SMSFAR122] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR122] = SMSFAR:RP.JAus:Assets.DebtSecurities.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436139" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpo7.02.00:Assets.Investment.EquitySecuritiesListed.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR124] <> NULL AND [SMSFAR124] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR124] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesListed.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436141" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpo7.02.00:Assets.Investment.EquitySecuritiesUnlisted.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR125] <> NULL AND [SMSFAR125] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR125] = SMSFAR:RP.JAus:Assets.Investment.EquitySecuritiesUnlisted.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436142" diagnostics="DVR.ATO.MONEY.U.11.0"
            test="not(
                        @contextRef = $RP.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpr2.02.00:ProfitOrLoss.Investment.Derivatives.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR126] <> NULL AND [SMSFAR126] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR126] = SMSFAR:RP.JAus:ProfitOrLoss.Investment.Derivatives.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436143" diagnostics="DVR.ATO.MONEY.U.11.0"
            test="not(
                        @contextRef = $RP.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR127] <> NULL AND [SMSFAR127] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR127] = SMSFAR:RP.JAus:Assets.Investment.PropertyNonResidential.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436144" diagnostics="DVR.ATO.MONEY.U.11.0"
            test="not(
                        @contextRef = $RP.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>

        <!-- 
            IF [SMSFAR132] <> NULL AND [SMSFAR132] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR132] = SMSFAR:RP.JForeign:Assets.Investment.PropertyNonResidential.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436149" diagnostics="DVR.ATO.MONEY.U.11.0"
            test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpr1.02.05:Expense.Interest.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR60] <> NULL AND [SMSFAR60] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR60] = SMSFAR:RP.JAus:Expense.Interest.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436086" diagnostics="DVR.ATO.MONEY.U.11.0"
              test="not(
                        @contextRef = $RP.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>

        <!-- 
            IF [SMSFAR61] <> NULL AND [SMSFAR61] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR61] = SMSFAR:RP.JForeign:Expense.Interest.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436087" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>
    
    <rule context="rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR292] <> NULL AND [SMSFAR292] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR292] = SMSFAR:RP:IncomeTax.TFNNotQuotedContributionsTax.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436303" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>

    <rule context="bafpo7.02.00:Assets.Investment.UnitTrustsListed.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR117] <> NULL AND [SMSFAR117] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR117] = SMSFAR:RP.JAus:Assets.Investment.UnitTrustsListed.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436134" diagnostics="DVR.ATO.MONEY.U.11.0"
              test="not(
                        @contextRef = $RP.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>

    </rule>
    
    <rule context="rvctc1.02.01:IncomeTax.TaxableGross.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR74] <> NULL AND [SMSFAR74] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR74] = SMSFAR:RP:IncomeTax.TaxableGross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436111" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>

    <rule context="bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR75] <> NULL AND [SMSFAR75] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR75] = SMSFAR:RP:Income.InternationalDealings.TaxOffset.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436113" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>    

    <rule context="bafpo1.02.00:Liabilities.Borrowings.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR136] <> NULL AND [SMSFAR136] <> MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR136] = SMSFAR:RP:Liabilities.Borrowings.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436154" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpo1.02.00:Equity.MemberAccountBalance.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
        IF [SMSFAR137] <> NULL AND [SMSFAR137] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR137] = SMSFAR:RP.Closing:Equity.MemberAccountBalance.Amount
    -->
        <assert id="VR.ATO.SMSFAR.436157" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.CLOSING.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpo1.02.00:Liabilities.Other.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
        IF [SMSFAR139] <> NULL AND [SMSFAR139] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR139] = SMSFAR:RP:Liabilities.Other.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436159" diagnostics="DVR.ATO.MONEY.U.11.0"
                  test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="emsup.02.00:SuperannuationRegulatoryInformation.LoanLeaseOrInvestInRelatedParties.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
        IF [SMSFAR141] <> NULL AND [SMSFAR141] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR141] = SMSFAR:RP:SuperannuationRegulatoryInformation.LoanLeaseOrInvestInRelatedParties.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436163" diagnostics="DVR.ATO.MONEY.U.11.0"
                  test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
        
    </rule>
    
    <rule context="bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR128] <> NULL AND [SMSFAR128] <> MONETARY(U,11,0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR128] = SMSFAR:RP.JAus:Assets.Investment.PropertyResidential.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436145" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>

        <!-- 
            IF [SMSFAR133] <> NULL AND [SMSFAR133] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR133] = SMSFAR:RP.JForeign:Assets.Investment.PropertyResidential.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436150" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JFOREIGN.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="rvctc1.02.03:IncomeTax.TaxOffsetsAndRebatesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR76] <> NULL AND [SMSFAR76] <> MONETARY(U,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR76] = SMSFAR:RP:IncomeTax.TaxOffsetsAndRebatesTotal.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436114" diagnostics="DVR.ATO.MONEY.U.13.2"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>
    
    <rule context="bafpo7.02.04:Assets.Investment.Collectibles.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR129] <> NULL AND [SMSFAR129] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR129] = SMSFAR:RP.JAus:Assets.Investment.Collectibles.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436146" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>
   
    <rule context="bafpo1.02.00:Assets.Other.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR130] <> NULL AND [SMSFAR130] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR130] = SMSFAR:RPI.Closing.JAus:Assets.Other.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436147" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.CLOSING.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
        <!-- 
            IF [SMSFAR135] <> NULL AND [SMSFAR135] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR135] = SMSFAR:RPI.Closing.JForeign:Assets.Other.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436152" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>

    </rule>
   
    <rule context="bafpo7.02.00:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR119] <> NULL AND [SMSFAR119] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR119] = SMSFAR:RPI.Closing.JAus:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436136" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.CLOSING.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpo1.02.04:Assets.ManagedInvestments.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR134] <> NULL AND [SMSFAR134] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR134] = SMSFAR:RPI.Closing.JForeign:Assets.ManagedInvestments.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436151" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>

        <!--
            IF [SMSFAR120] <> NULL AND [SMSFAR120] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
             ENDIF
             [SMSFAR120] = SMSFAR:RPI.Closing.JAus:Assets.ManagedInvestments.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436137" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.CLOSING.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpo7.02.04:Assets.CashAndLiquidAssets.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR121] <> NULL AND [SMSFAR121] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR121] = SMSFAR:RPI.Closing.JAus:Assets.CashAndLiquidAssets.Total.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436138" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.CLOSING.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>
    
    <rule context="bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR65] <> NULL AND [SMSFAR65] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR65] = SMSFAR:RP:Expense.DeathBenefitLumpSumIncrease.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436093" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpr1.02.04:Income.GainsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR228] <> NULL AND [SMSFAR228] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR228] = SMSFAR:RP.TOFA:Income.GainsTotal.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436247" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.TOFA.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpr1.02.04:Expense.LossesTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR230] <> NULL AND [SMSFAR230] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR230] = SMSFAR:RP.TOFA:Expense.LossesTotal.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436248" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.TOFA.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="emsup.02.00:SuperannuationRegulatoryInformation.InvestmentInRelatedParty.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            MONETARY(U,11,0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR144] = SMSFAR:RP:SuperannuationRegulatoryInformation.InvestmentInRelatedParty.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436168" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
        
    </rule>

    <rule context="bafpo1.02.04:Equity.NetAssetsNotAllocatedToMembers.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF [SMSFAR138] <> NULL AND [SMSFAR138] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR138] = SMSFAR:RPI.Closing:Equity.NetAssetsNotAllocatedToMembers.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436158" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.CLOSING.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="emsup.02.00:SuperannuationRegulatoryInformation.AcquiredAssetsFromRelatedParties.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
        IF [SMSFAR146] <> NULL AND [SMSFAR146] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR146] = SMSFAR:RP:SuperannuationRegulatoryInformation.AcquiredAssetsFromRelatedParties.Amount
    -->
        <assert id="VR.ATO.SMSFAR.436172" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>

    </rule>

    <rule context="emsup.02.00:SuperannuationRegulatoryInformation.ReceiveInSpecieContributions.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!--
        IF [SMSFAR149] <> NULL AND [SMSFAR149] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR149] = SMSFAR:RP:SuperannuationRegulatoryInformation.ReceiveInSpecieContributions.Amount
    -->
        <assert id="VR.ATO.SMSFAR.436177" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    
    </rule>

    <rule context="gfagc.02.01:TaxConcession.SmallBusinessAndGeneralBusinessTaxBreak.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!-- 
        IF [SMSFAR224] <> NULL AND [SMSFAR224] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [SMSFAR224] = SMSFAR:RP.JAus:TaxConcession.SmallBusinessAndGeneralBusinessTaxBreak.Amount
    -->
        <assert id="VR.ATO.SMSFAR.436241" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RP.JAUS.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>        

    </rule>

    <rule context="bafpo7.02.00:Assets.Investment.EquitySecurities.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR131] <> NULL AND [SMSFAR131] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR131] = SMSFAR:RPI.Closing.JForeign:Assets.Investment.EquitySecurities.Amount
    -->
        <assert id="VR.ATO.SMSFAR.436148" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.CLOSING.JFOREIGN.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>

    </rule>

    <rule context="rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR86] <> NULL AND [SMSFAR86] <> MONETARY(U,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR86] = SMSFAR:RPI.Closing.Y0Plus:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436131" diagnostics="DVR.ATO.MONEY.U.11.0"
                test="not(
                        @contextRef = $RPI.CLOSING.Y0Plus.ContextId and not(regexp:test(.,'^[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR233] <> NULL AND [SMSFAR233] <> MONETARY(S,11,0)
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR233] = SMSFAR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436278" diagnostics="DVR.ATO.MONEY.S.11.0"
                test="not(
                        @contextRef = $RP.TOFA.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}$'))
                     )"/>
    </rule>

    <rule context="smsfar.0001.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationContribution.MemberAllocatedEarningsOrLosses.Amount[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF [SMSFAR218] <> NULL AND [SMSFAR218] <> MONETARY(S,13,2)
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR218] = SMSFAR:RP:SuperannuationContribution.MemberAllocatedEarningsOrLosses.Amount
            IN TUPLE(smsfar.0001.lodge.req.xx.xx:MemberInformation)
        -->
        <assert id="VR.ATO.SMSFAR.436232" diagnostics="DVR.ATO.MONEY.S.13.2"
                test="not(
                          @contextRef = $RP.ContextId and not(regexp:test(.,'^[-+]?[0-9]{1,11}(\.[0-9]{0,2})?$'))
                     )"/>
    </rule>
    
</pattern>


