﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!--
          IF COUNT (TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) IN TUPLE(smsfar.0001.lodge.req.xx.xx:TrusteeOrDirector)) <> 1
             RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.SMSFAR.436199" diagnostics="DVR.ATO.SMSFAR.436199"
            test="not(
                      count(smsfar.0001.lodge.req.02.00:TrusteeOrDirector[not(@i:nil='true' or @i:nil='1')]) = 0
                      or
                      count(smsfar.0001.lodge.req.02.00:TrusteeOrDirector[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]) != 1
					)"/>
		<!--
			IF COUNT [SMSFAR6] <> 1
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR6] = SMSFAR:RP:AddressDetails.Line1.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
            IN TUPLE(addressdetails2.xx.xx:AddressDetails)
        -->
		<assert id="VR.ATO.SMSFAR.436012" diagnostics="DVR.ATO.SMSFAR.436012"
				test="not(
						count(
							address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')
							and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']
							and ./pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']
							and ./pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]]
						) != 1
					)"/>
		
        <!--
            IF COUNT([SMSFAR11]) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR11] = SMSFAR:Auditor:PersonNameDetails.FamilyName.Text 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") 
                    AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Contact") 
                    AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")) 
                    IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails )
        -->
        <assert id="VR.ATO.SMSFAR.436014" diagnostics="DVR.ATO.SMSFAR.436014"
				test="not(
						count(
                        prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')
                        and ./pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1')  and exslt:uppercase(.) = 'LGL']
                        and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'CONTACT']
                        and ./pyde.02.00:PersonNameDetails.Currency.Code[@contextRef = $AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']
                        ]) != 1
					)"/>

		<!--
			IF [SMSFAR28] = NULL
			RETURN VALIDATION MESSAGE
			ENDIF
			
			[SMSFAR28] = SMSFAR:RP:OrganisationDetails.OperationCease.Indicator
        -->
		<assert id="VR.ATO.SMSFAR.436016" diagnostics="DVR.ATO.SMSFAR.436016"
                test="pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
            IF [SMSFAR23] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR23] = SMSFAR:Auditor:AuditorReport.Signature.Date
		-->
		<assert id="VR.ATO.SMSFAR.436020" diagnostics="DVR.ATO.SMSFAR.436020"
				test="emfsm.02.00:AuditorReport.Signature.Date[@contextRef = $AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
			IF [SMSFAR24] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR24] = SMSFAR:Auditor:AuditorReport.OpinionQualified.Indicator
		-->
		<assert id="VR.ATO.SMSFAR.436022" diagnostics="DVR.ATO.SMSFAR.436022"
				test="emfsm.02.03:AuditorReport.OpinionQualified.Indicator[@contextRef = $AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
			IF [SMSFAR25] = NULL
				RETURN VALIDATION MESSAGE
			ENDIF
			
			[SMSFAR25] = SMSFAR:RP:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator
        -->
		<assert id="VR.ATO.SMSFAR.436023" diagnostics="DVR.ATO.SMSFAR.436023"
                test="emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
			IF [SMSFAR26] = NULL
				RETURN VALIDATION MESSAGE
			ENDIF
			
			[SMSFAR26] = SMSFAR:RP:SuperannuationFundDetails.FundBenefitStructure.Code
        -->
		<assert id="VR.ATO.SMSFAR.436025" diagnostics="DVR.ATO.SMSFAR.436025"
                test="emsup.02.01:SuperannuationFundDetails.FundBenefitStructure.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
			IF [SMSFAR27] = NULL
				RETURN VALIDATION MESSAGE
			ENDIF
			
			[SMSFAR27] = SMSFAR:RP:SuperannuationFundDetails.FundAcceptGovernmentCoContributions.Indicator
        -->
		<assert id="VR.ATO.SMSFAR.436026" diagnostics="DVR.ATO.SMSFAR.436026"
                test="emsup.02.00:SuperannuationFundDetails.FundAcceptGovernmentCoContributions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
			IF [SMSFAR31] = NULL
				RETURN VALIDATION MESSAGE
			ENDIF
			
			[SMSFAR31] = SMSFAR:RP:CapitalGainsTax.Event.Indicator
        -->
		<assert id="VR.ATO.SMSFAR.436032" diagnostics="DVR.ATO.SMSFAR.436032"
                test="rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>		
		<!--
            IF [SMSFAR73] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR73] = SMSFAR:RP:Income.Taxable.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436106" diagnostics="DVR.ATO.SMSFAR.436106"
				test="bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        
        <!--
            IF [SMSFAR74] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR74] = SMSFAR:RP:IncomeTax.TaxableGross.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436110" diagnostics="DVR.ATO.SMSFAR.436110"
				test="rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
		
        <!--
			IF [SMSFAR84] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR84] = SMSFAR:RP:IncomeTax.PayableOrRefundableTotal.Amount
		-->
        <assert id="VR.ATO.SMSFAR.436126" diagnostics="DVR.ATO.SMSFAR.436126"
				test="rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
			IF [SMSFAR140] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR140] = SMSFAR:RP:SuperannuationRegulatoryInformation.LoanLeaseOrInvestInRelatedParties.Indicator
		-->
        <assert id="VR.ATO.SMSFAR.436160" diagnostics="DVR.ATO.SMSFAR.436160"
				test="emsup.02.00:SuperannuationRegulatoryInformation.LoanLeaseOrInvestInRelatedParties.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
			IF [SMSFAR142] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR142] = SMSFAR:RP:SuperannuationRegulatoryInformation.InHouseAssetsExceedingPercentageOfTotalAssets.Indicator
		-->
		<assert id="VR.ATO.SMSFAR.436164" diagnostics="DVR.ATO.SMSFAR.436164"
				test="emsup.02.00:SuperannuationRegulatoryInformation.InHouseAssetsExceedingPercentageOfTotalAssets.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
			IF [SMSFAR143] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR143] = SMSFAR:RP:SuperannuationRegulatoryInformation.InvestmentInRelatedParty.Indicator
		-->
		<assert id="VR.ATO.SMSFAR.436165" diagnostics="DVR.ATO.SMSFAR.436165"
				test="emsup.02.00:SuperannuationRegulatoryInformation.InvestmentInRelatedParty.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
		
        <!--
            IF [SMSFAR145] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR145] = SMSFAR:RP:SuperannuationRegulatoryInformation.AcquiredAssetsFromRelatedParties.Indicator
        -->
        <assert id="VR.ATO.SMSFAR.436169" diagnostics="DVR.ATO.SMSFAR.436169"
                test="emsup.02.00:SuperannuationRegulatoryInformation.AcquiredAssetsFromRelatedParties.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            IF [SMSFAR147] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR147] = SMSFAR:RP:SuperannuationRegulatoryInformation.ProvideFinancialAssistanceToRelatedMember.Indicator
        -->
        <assert id="VR.ATO.SMSFAR.436173" diagnostics="DVR.ATO.SMSFAR.436173"
                test="emsup.02.00:SuperannuationRegulatoryInformation.ProvideFinancialAssistanceToRelatedMember.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            IF [SMSFAR148] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR148] = SMSFAR:RP:SuperannuationRegulatoryInformation.ReceiveInSpecieContributions.Indicator        
        -->
        <assert id="VR.ATO.SMSFAR.436174" diagnostics="DVR.ATO.SMSFAR.436174"
                test="emsup.02.00:SuperannuationRegulatoryInformation.ReceiveInSpecieContributions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        
        <!--
            IF [SMSFAR150] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR150] = SMSFAR:RP:SuperannuationRegulatoryInformation.AllInvestmentsArmsLengthBasis.Indicator
        -->
        <assert id="VR.ATO.SMSFAR.436178" diagnostics="DVR.ATO.SMSFAR.436178"
                test="emsup.02.00:SuperannuationRegulatoryInformation.AllInvestmentsArmsLengthBasis.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        
        <!--
            IF [SMSFAR151] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR151] = SMSFAR:RP:SuperannuationRegulatoryInformation.BorrowedForPurposesNotPermissible.Indicator
        -->
        <assert id="VR.ATO.SMSFAR.436179" diagnostics="DVR.ATO.SMSFAR.436179"
                test="emsup.02.00:SuperannuationRegulatoryInformation.BorrowedForPurposesNotPermissible.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            IF [SMSFAR152] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [SMSFAR152] = SMSFAR:RP:SuperannuationRegulatoryInformation.PersonalUseOfAssetsBeforeRetirement.Indicator
        -->
        <assert id="VR.ATO.SMSFAR.436180" diagnostics="DVR.ATO.SMSFAR.436180"
                test="emsup.02.00:SuperannuationRegulatoryInformation.PersonalUseOfAssetsBeforeRetirement.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
			IF [SMSFAR153] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR153] = SMSFAR:RP:SuperannuationRegulatoryInformation.MoneyProdivedToMembersWithoutConditionsMet.Indicator
		-->
		<assert id="VR.ATO.SMSFAR.436181" diagnostics="DVR.ATO.SMSFAR.436181"
				test="emsup.02.00:SuperannuationRegulatoryInformation.MoneyProdivedToMembersWithoutConditionsMet.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
            IF [SMSFAR154] = NULL
				RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR154] = SMSFAR:RP:SuperannuationRegulatoryInformation.TrusteesReceiveRemuneration.Indicator
        -->
        <assert id="VR.ATO.SMSFAR.436182" diagnostics="DVR.ATO.SMSFAR.436182"
				test="emsup.02.00:SuperannuationRegulatoryInformation.TrusteesReceiveRemuneration.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        
		<!--
			IF [SMSFAR155] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR155] = SMSFAR:RP:SuperannuationRegulatoryInformation.DisqualifiedTrusteesOrDirectors.Indicator
		-->
        <assert id="VR.ATO.SMSFAR.436183" diagnostics="DVR.ATO.SMSFAR.436183"
				test="emsup.02.00:SuperannuationRegulatoryInformation.DisqualifiedTrusteesOrDirectors.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
       
		<!--
			IF [SMSFAR156] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR156] = SMSFAR:RP:SuperannuationRegulatoryInformation.AssetsAppropriatelyDocumented.Indicator
		-->
        <assert id="VR.ATO.SMSFAR.436184" diagnostics="DVR.ATO.SMSFAR.436184"
				test="emsup.02.00:SuperannuationRegulatoryInformation.AssetsAppropriatelyDocumented.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        
		<!--
			IF [SMSFAR157] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR157] = SMSFAR:RP:SuperannuationRegulatoryInformation.CarryOnABusiness.Indicator
		-->
        <assert id="VR.ATO.SMSFAR.436185" diagnostics="DVR.ATO.SMSFAR.436185"
				test="emsup.02.00:SuperannuationRegulatoryInformation.CarryOnABusiness.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
        
		<!--
			IF [SMSFAR158] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
			
            [SMSFAR158] = SMSFAR:RP:SuperannuationRegulatoryInformation.AuditorProvideOtherServices.Indicator
		-->
        <assert id="VR.ATO.SMSFAR.436186" diagnostics="DVR.ATO.SMSFAR.436186"
				test="emsup.02.00:SuperannuationRegulatoryInformation.AuditorProvideOtherServices.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
			IF COUNT TUPLE (xbrli/Organisationname1.xx.xx:OrganisationNameDetails 
				WHERE TUPLE ELEMENT (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
				AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK)) <> 1
               RETURN VALIDATION MESSAGE
            ENDIF
            
            IF COUNT [SMSFAR4] <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR4] = SMSFAR:RP:OrganisationNameDetails.OrganisationalName.Text WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") IN TUPLE(organisationname1.xx.xx:OrganisationNameDetails )
		-->
        <assert id="VR.ATO.SMSFAR.436274" diagnostics="DVR.ATO.SMSFAR.436274"
				test="not(
							count(orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')
							and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'MN']
							and ./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]
							]) != 1
						)"/>

		<!--
			IF (SMSFAR:RP:pyin.xx.xx:Report.TargetFinancial.Year = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
		-->
		<assert id="VR.ATO.SMSFAR.436275" diagnostics="DVR.ATO.SMSFAR.436275"
				test="pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>
		
        <!--
            IF COUNT [SMSFAR18] <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR18] = SMSFAR:Auditor:ElectronicContact.Telephone.Minimal.Number 
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = "03") 
            IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone )            
        -->
        
        
        <assert id="VR.ATO.SMSFAR.436281" diagnostics="DVR.ATO.SMSFAR.436281"
				test="not(
                            count(phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1')]) != 1
                            and
                            phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef=$AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1')] = '03'
						)"/>

        <!--
            IF COUNT [SMSFAR19] <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
            [SMSFAR19] = SMSFAR:Auditor:AddressDetails.Line1.Text 
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") 
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
            IN TUPLE(addressdetails2.xx.xx:AddressDetails )            
            
        -->

        <assert id="VR.ATO.SMSFAR.436282" diagnostics="DVR.ATO.SMSFAR.436282"
                test="not(
						                count(
							                      address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')
							                      and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'C']
							                      and ./pyde.02.01:AddressDetails.Usage.Code[@contextRef=$AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(.) = 'POS']
							                      and ./pyde.02.00:AddressDetails.Line1.Text[@contextRef=$AUDITOR.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]]
						                ) != 1
					               )"/>


        <!-- 
            IF [SMSFAR83] <> "180.00"
               RETURN VALIDATION MESSAGE
            ENDIF

            [SMSFAR83] = SMSFAR:RP:IncomeTax.SupervisoryLevy.Amount
        -->
        <assert id="VR.ATO.SMSFAR.436124" diagnostics="DVR.ATO.SMSFAR.436124"
                test="not(
                        round(100*sum(common:node-set(rvctc1.02.00:IncomeTax.SupervisoryLevy.Amount
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          != 180*100
                      )"/>
    </rule>
    

</pattern>
