﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Variables" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>XBRL Context Id variables that are applicable accross all of the SMSFAR services.</title>

	<!-- RP Context -->
	<let name="RP.Context" value="xbrli:xbrl/xbrli:context[
				not(@i:nil='true' or @i:nil='1') 
				and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
				and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
				and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
				xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
				xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
			]" />

	<!-- RP Context Id -->
	<let name="RP.ContextId" value="$RP.Context/@id" />
    
    
	<!-- INT Context -->
	<let name="INT.Context" value="xbrli:xbrl/xbrli:context[
				not(@i:nil='true' or @i:nil='1')
				and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
				xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
				xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]
            ]" />

	<!-- INT Context Id -->
	<let name="INT.ContextId" value="$INT.Context/@id" />

	<!-- AUDITOR Context -->
	<let name="AUDITOR.Context" value="xbrli:xbrl/xbrli:context[
				not(@i:nil='true' or @i:nil='1')
				and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
				xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
				xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Auditor$')]
            ]" />

	<!-- AUDITOR Context Id -->
	<let name="AUDITOR.ContextId" value="$AUDITOR.Context/@id" />

	<!-- RP.JAUS Context -->
	<let name="RP.JAUS.Context" value="xbrli:xbrl/xbrli:context[
				not(@i:nil='true' or @i:nil='1')
				and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
				xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1]
			]" />

	<!-- RP.JAUS Context Id -->
	<let name="RP.JAUS.ContextId" value="$RP.JAUS.Context/@id" />

    <!-- RP.TOFA Context -->
    <let name="RP.TOFA.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and regexp:test(., '^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]
            ]" />

    <!-- RP.TOFA Context Id -->
    <let name="RP.TOFA.ContextId" value="$RP.TOFA.Context/@id" />

    <!-- RP.CLOSING.Y0Plus Context -->
	<let name="RP.CLOSING.Y0Plus.Context" value="xbrli:xbrl/xbrli:context[
				not(@i:nil='true' or @i:nil='1')
				and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
				xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])
			]" />
	
	<!-- RP.CLOSING.Y0Plus Context Id -->
	<let name="RP.CLOSING.Y0Plus.ContextId" value="$RP.CLOSING.Y0Plus.Context/@id" />

    <!-- RP.JFOREIGN Context -->
    <let name="RP.JFOREIGN.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]
            ]" />

    <!-- RP.JFOREIGN Context Id -->
    <let name="RP.JFOREIGN.ContextId" value="$RP.JFOREIGN.Context/@id" />

    <!-- RP.CLOSING Context -->
    <let name="RP.CLOSING.Context" value="xbrli:xbrl/xbrli:context[
				not(@i:nil='true' or @i:nil='1')
				and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
				xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
			    and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])	
         ]" />

    <!-- RP.CLOSING Context Id -->
    <let name="RP.CLOSING.ContextId" value="$RP.CLOSING.Context/@id" />

    <!-- RPI.CLOSING Context -->
    <let name="RPI.CLOSING.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
              and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]
            ]" />

    <!-- RPI.CLOSING Context Id -->
    <let name="RPI.CLOSING.ContextId" value="$RPI.CLOSING.Context/@id" />
    
    <!-- RPI.CLOSING.JAUS Context -->
    <let name="RPI.CLOSING.JAUS.Context" value="xbrli:xbrl/xbrli:context[
				not(@i:nil='true' or @i:nil='1')
				and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
				xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]
			]" />
    
    <!-- RPI.CLOSING.JAUS Context Id -->
    <let name="RPI.CLOSING.JAUS.ContextId" value="$RPI.CLOSING.JAUS.Context/@id" />

    <!-- RPI.CLOSING.JFOREIGN Context -->
    <let name="RPI.CLOSING.JFOREIGN.Context" value="xbrli:xbrl/xbrli:context[
				not(@i:nil='true' or @i:nil='1')
				and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
				xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]
			]" />
    <!-- RPI.CLOSING.JFOREIGN Context Id -->
    <let name="RPI.CLOSING.JFOREIGN.ContextId" value="$RPI.CLOSING.JFOREIGN.Context/@id" />

    <!-- RPI.CLOSING.Y0Plus Context -->
    <let name="RPI.CLOSING.Y0Plus.Context" value="xbrli:xbrl/xbrli:context[
				not(@i:nil='true' or @i:nil='1')
				and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
				xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]
			]" />

    <!-- RPI.CLOSING.Y0Plus Context Id -->
    <let name="RPI.CLOSING.Y0Plus.ContextId" value="$RPI.CLOSING.Y0Plus.Context/@id" />

    <let name="RP.Identifier.TFN"
         value="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and contains(./xbrldi:explicitMember,'ReportingParty')]/xbrldi:explicitMember/../../xbrli:identifier[exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn']" />

</pattern>
