﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>Content Validations</title>


<rule
		context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TCS.426001
            
            IF [TCS5] <> NULLORBLANK AND [TCS6] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS5]  = RP:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code
            [TCS6]  = RP:bafpo6.xx.xx:Liabilities.ThinCapitalisation.GeneralToFinancialStatusChange.Indicator
        -->

<assert  id="VR.ATO.TCS.426001" diagnostics="DVR.ATO.TCS.426001" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code" test="not
	                    (
			                count(bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
	                        and
	                        count(bafpo6.02.02:Liabilities.ThinCapitalisation.GeneralToFinancialStatusChange.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                    )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426002

            IF ([TCS5] <> NULLORBLANK) AND ([TCS7] <>SET ("1","2","3","4"))
                RETURN VALIDATION MESSAGE
            ENDIF
        
        
            [TCS5]  = RP:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code
            [TCS7] = RP:bafpo6.02.02:Liabilities.ThinCapitalisation.AveragingMethodAdopted.Code
        
            This rule needs to be re written a defect has been raised.
            It is a cross filed and does not require the enum check.
        -->

<assert  id="VR.ATO.TCS.426002" diagnostics="DVR.ATO.TCS.426002" test="not
	                    (
			                count(bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
	                        and
	                        count(bafpo6.02.02:Liabilities.ThinCapitalisation.AveragingMethodAdopted.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') or regexp:test(.,'^(1|2|3|4)$')]) = 0
	                    )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426003
            
            IF ([TCS5] <> NULLORBLANK  AND [TCS10] = NULL)
	            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS5]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code
            [TCS10]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount
        -->

<assert  id="VR.ATO.TCS.426003" diagnostics="DVR.ATO.TCS.426003" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code" test="not
                        (
		                    count(bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            and
                            count(bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426004

            IF ([TCS14] > 0 AND [TCS5] <> SET('1','2','3','4','5','6'))
	            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS14]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.AssetsValueAverage.Amount
            [TCS5]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code
        -->

<assert  id="VR.ATO.TCS.426004" diagnostics="DVR.ATO.TCS.426004" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code" test="not
                        (
                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.AssetsValueAverage.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and 
                            bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and not(regexp:test(.,'^(1|2|3|4|5|6)$'))]
                        )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426005
            
            IF (([TCS16] > 0 OR [TCS17] > 0 ) AND [TCS5]  <>  SET('7','8'))
	            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS16] = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EquityCapitalAdjustedAverage.Amount
            [TCS17] = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.RiskWeightedAssetsAverageValue.Amount
            [TCS5] = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code
        -->

<assert  id="VR.ATO.TCS.426005" diagnostics="DVR.ATO.TCS.426005" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code" test="not
	                    (                		
	                        (	
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.EquityCapitalAdjustedAverage.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                            or
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.RiskWeightedAssetsAverageValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                        )	
	                        and
                            bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(7|8)$'))]
	                    )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426006
            
            IF(([TCS18] > 0 OR [TCS19] > 0 OR [TCS20] > 0 ) AND [TCS5] <> 7 )
	            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS18] = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EquityCapitalAttributableToOverseasPermanentEstablishments.Amount
            [TCS19] = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.ControlledForeignADIEntityEquityAverageValue.Amount
            [TCS20] = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.Tier1PrudentialCapitalDeduction.Amount
            [TCS5] = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code
        -->

<assert  id="VR.ATO.TCS.426006" diagnostics="DVR.ATO.TCS.426006" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code" test="not
	                    (
	                        (	
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.EquityCapitalAttributableToOverseasPermanentEstablishments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 	0
	                            or
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.ControlledForeignADIEntityEquityAverageValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 	0
	                            or
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.Tier1PrudentialCapitalDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 	0
	                        )	
	                        and
	                        bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] != 7
	                    )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426007
        
            IF (   (  [TCS21]   >    0    OR [TCS22]   >    0    )    AND [TCS5]  <>   8  )
	            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS21]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.RiskWeightedAssetsAttributableToAustralianPermanentEstablishmentsAverage.Amount
            [TCS22]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.DotationCapitalAverageValue.Amount
            [TCS5]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code
        -->

<assert  id="VR.ATO.TCS.426007" diagnostics="DVR.ATO.TCS.426007" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code" test="not
	                    (
                            (	
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.RiskWeightedAssetsAttributableToAustralianPermanentEstablishmentsAverage.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                            or
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.DotationCapitalAverageValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                        )	
	                        and
	                        bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] != 8
	                    )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426008

            IF (   (  [TCS23]   >    0    OR [TCS24]   >    0    OR [TCS25]   >    0    OR [TCS26]   >    0    )    AND [TCS5]  <>  SET('1','2','3','4','5','6'))
	            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS23]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.NonDebtLiabilitiesAverageValue.Amount
            [TCS24]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.AssociateEntityDebtAverageValue.Amount
            [TCS25]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.AssociateEntityEquityAverageValue.Amount
            [TCS26]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.AssociateEntityExcessAverageValue.Amount
            [TCS5]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code
        -->

<assert  id="VR.ATO.TCS.426008" diagnostics="DVR.ATO.TCS.426008" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code" test="not
	                    (
                            (
                                number(bafpo6.02.02:Liabilities.ThinCapitalisation.NonDebtLiabilitiesAverageValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or
                                number(bafpo6.02.02:Liabilities.ThinCapitalisation.AssociateEntityDebtAverageValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or
                                number(bafpo6.02.02:Liabilities.ThinCapitalisation.AssociateEntityEquityAverageValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or
                                number(bafpo6.02.02:Liabilities.ThinCapitalisation.AssociateEntityExcessAverageValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            )	
                            and
                            (
                                bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                and string-length(normalize-space(.)) != 0
                                and not(regexp:test(.,'^(1|2|3|4|5|6)$'))]
                            )
	                    )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426009

            IF  (   (  [TCS27]   >    0    OR [TCS28]   >    0    )    AND [TCS5]  <>  SET(  246  ) )
	            RETURN VALIDATION MESSAGE
            ENDIF

            [TCS27]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.ZeroCapitalAverage.Amount
            [TCS28]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.OnLentAverage.Amount
            [TCS5]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code
        -->

<assert  id="VR.ATO.TCS.426009" diagnostics="DVR.ATO.TCS.426009" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code" test="not
                        (
                            (
                                number(bafpo6.02.02:Liabilities.ThinCapitalisation.ZeroCapitalAverage.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                                or
                                number(bafpo6.02.02:Liabilities.ThinCapitalisation.OnLentAverage.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            )	
                            and
                            (
                                bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(2|4|6)$'))]
                            )
	                    )"></assert>
<!--

            Rule ID: VR.ATO.TCS.426010

            IF  (   (  [TCS29]   >    0    OR [TCS30]   >    0    )    AND [TCS5]  <>  SET(  12  ) )
                RETURN VALIDATION MESSAGE
            ENDIF

            [TCS29]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.ControlledForeignnonADIEntityEquityAverageValue.Amount
            [TCS30]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.ControlledForeignEntityDebtAverageValue.Amount
            [TCS5]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code
        -->

<assert  id="VR.ATO.TCS.426010" diagnostics="DVR.ATO.TCS.426010" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code" test="not
	                    (
	                        (	
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.ControlledForeignnonADIEntityEquityAverageValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                            or
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.ControlledForeignEntityDebtAverageValue.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                        )	
	                        and
	                        (
                                bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(1|2)$'))]
	                        )
	                    )"></assert>
<!--

            Rule ID: VR.ATO.TCS.426011

            IF (   (  [TCS32]   >    0    OR [TCS33]   >    0    )    AND [TCS5]  <> 7)
	            RETURN VALIDATION MESSAGE
            ENDIF

            [TCS32]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.WorldwideGroupCapitalRatio.Amount
            [TCS33]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.WorldwideCapital.Amount
            [TCS5]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code
        -->

<assert  id="VR.ATO.TCS.426011" diagnostics="DVR.ATO.TCS.426011" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code" test="not
	                    (
	                        (	
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideGroupCapitalRatio.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                            or
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideCapital.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                        )	
	                        and
	                        bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  != 7
	                    )"></assert>
<!--

            Rule ID: VR.ATO.TCS.426012

            IF (   (  [TCS34]   >    0    OR [TCS35]   >    0    OR [TCS36]   >    0    )    AND [TCS5]  <>  SET(  12  ) )
	            RETURN VALIDATION MESSAGE
            ENDIF

            [TCS34]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.WorldwideDebt.Amount
            [TCS35]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.WorldwideEquity.Amount
            [TCS36]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.WorldwideGearingDebt.Amount
            [TCS5]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code
        -->

<assert  id="VR.ATO.TCS.426012" diagnostics="DVR.ATO.TCS.426012" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code" test="not
	                    (
	                        (	
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideDebt.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                            or
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideEquity.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                            or
	                            number(bafpo6.02.02:Liabilities.ThinCapitalisation.WorldwideGearingDebt.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 	0
	                        )	
	                        and
	                        (
                                bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and not(regexp:test(.,'^(1|2)$'))]
	                        )
	                    )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426013

            IF ([TCS10] > 0 AND ([TCS13] <= 0 OR [TCS9] <= 0))
	            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS10]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount
            [TCS13]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.ExcessDebt.Amount
            [TCS9]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.DeductionDebt.Amount
        -->

<assert  id="VR.ATO.TCS.426013" diagnostics="DVR.ATO.TCS.426013" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebt.Amount" test="not
	                    (
			                number(bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
    	                    and
	                        (
	                            sum(common:node-set(bafpo6.02.02:Liabilities.ThinCapitalisation.ExcessDebt.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &lt;= 0
	                            or
	                            sum(common:node-set(bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebt.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &lt;= 0
	                        )	
	                    )"></assert>
<!--

            Rule ID: VR.ATO.TCS.426014

            IF ( [TCS13]   >    0    AND   (  [TCS10]   <=    0    OR [TCS9]   <=    0    )  )
	            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS13]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.ExcessDebt.Amount
            [TCS10]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount
            [TCS9]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.DeductionDebt.Amount
        -->

<assert  id="VR.ATO.TCS.426014" diagnostics="DVR.ATO.TCS.426014" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebt.Amount" test="not
	                    (
			                number(bafpo6.02.02:Liabilities.ThinCapitalisation.ExcessDebt.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
	                        and
	                        (
                                sum(common:node-set(bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebtDisallowed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &lt;= 0
	                            or
	                            sum(common:node-set(bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebt.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &lt;= 0
	                        )	
	                    )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426015
            
            IF ([TCS37] > [TCS9])
	            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS37]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EarningExemptDebtDeduction.Amount
            [TCS9]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.DeductionDebt.Amount
        -->

<assert  id="VR.ATO.TCS.426015" diagnostics="DVR.ATO.TCS.426015" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebt.Amount" test="not
	                    (
			                 sum(common:node-set(bafpo6.02.02:Liabilities.ThinCapitalisation.EarningExemptDebtDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 
	                         sum(common:node-set(bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebt.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                    )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426016
            
            IF ([TCS9] > [TCS38])
	            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS9]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.DeductionDebt.Amount
            [TCS38]  = TCS:$RP.ContextId:bafpo6.xx.xx:Liabilities.ThinCapitalisation.RelatedNonResidentsDebtDeduction.Amount
        -->

<assert  id="VR.ATO.TCS.426016" diagnostics="DVR.ATO.TCS.426016" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebt.Amount" test="not
	                    (
	                         sum(common:node-set(bafpo6.02.02:Liabilities.ThinCapitalisation.DeductionDebt.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 
                             sum(common:node-set(bafpo6.02.02:Liabilities.ThinCapitalisation.RelatedNonResidentsDebtDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                    )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426019
    
            IF ([TCS5] <> NULLORBLANK) AND ([TCS11] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS5] = RP:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code 
            [TCS11] = RP:bafpo6.xx.xx:Liabilities.ThinCapitalisation.DebtAdjustedAverage.Amount
        -->

<assert  id="VR.ATO.TCS.426019" diagnostics="DVR.ATO.TCS.426019" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.DebtAdjustedAverage.Amount" test="not
	                    (
			                count(bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
	                        and
	                        count(bafpo6.02.02:Liabilities.ThinCapitalisation.DebtAdjustedAverage.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                    )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426020
   
            IF ([TCS5] <> NULLORBLANK) AND ([TCS12] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TCS5] = RP:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code 
            [TCS12] = RP:bafpo6.xx.xx:Liabilities.ThinCapitalisation.AssetRevaluation.Amount 
        -->

<assert  id="VR.ATO.TCS.426020" diagnostics="DVR.ATO.TCS.426020" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.AssetRevaluation.Amount" test="not
	                    (
			                count(bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
	                        and
	                        count(bafpo6.02.02:Liabilities.ThinCapitalisation.AssetRevaluation.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
	                    )"></assert>
<!--
            Rule ID: VR.ATO.TCS.426021

            IF (RP:bafpo6.xx.xx:Liabilities.ThinCapitalisation.EntityType.Code <> NULLORBLANK) AND
            (RP:bafpo6.xx.xx:Liabilities.ThinCapitalisation.DebtMaximumAllowable.Amount = NULL) 
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.TCS.426021" diagnostics="DVR.ATO.TCS.426021" subject="bafpo6.02.02:Liabilities.ThinCapitalisation.DebtMaximumAllowable.Amount" test="not
                        (
	                        count(bafpo6.02.02:Liabilities.ThinCapitalisation.EntityType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            and
                            count(bafpo6.02.02:Liabilities.ThinCapitalisation.DebtMaximumAllowable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )"></assert>
</rule>
</pattern>