﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Address" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Address Common Validations</title>

    <rule context="pyde.02.00:AddressDetails.Line3.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyde.xx.xx:AddressDetails.Line3.Text <> NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410008" diagnostics="DVR.ATO.GEN.410008"
                test="string-length(normalize-space(.)) = 0"/>
    </rule>

    <rule context="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK)
                AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> SET ("ACT","NSW","NT","QLD","SA","VIC","WA","TAS","AAT"))
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <let name="ucName" value="exslt:uppercase(.)" />
        <assert id="VR.ATO.GEN.300003" diagnostics="DVR.ATO.GEN.300003"
                test="@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0 or                
                    $ucName = 'ACT' or 
                    $ucName = 'NSW' or 
                    $ucName = 'NT' or 
                    $ucName = 'QLD' or 
                    $ucName = 'SA' or 
                    $ucName = 'VIC' or 
                    $ucName = 'WA' or 
                    $ucName = 'TAS' or
                    $ucName = 'AAT'"/>
    </rule>

    <rule context="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.Usage.Code = ""BUS"") AND (pyde.xx.xx:AddressDetails.Currency.Code = ""P"")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430306" diagnostics="DVR.ATO.GEN.430306.TRT"
                test="not(
                        exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])='BUS'
                        and exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])='P'
                       )"/>

        <!-- 
            IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF pyde.xx.xx:AddressDetails.Currency.Code = NULLORBLANK
              RETURN VALIDATION MESSAGE
            END IF 
          -->
        <assert id="VR.ATO.GEN.410148" diagnostics="DVR.ATO.GEN.410148"
                test="pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') 
                        and string-length(normalize-space(.)) != 0]"/>

        <!-- 
            WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            END IF 
        -->
        <assert id="VR.ATO.GEN.410167" diagnostics="DVR.ATO.GEN.410167"
                test="pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') 
                        and string-length(normalize-space(.)) != 0]"/>

        <!--
            WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF ((pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "C/-") 
            AND (pyde.xx.xx:AddressDetails.Line2.Text = NULLORBLANK))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410002" diagnostics="DVR.ATO.GEN.410002"
                test="not(
                      pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and contains(exslt:uppercase(.), 'C/-')] and
                      not(pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                  )"/>

        <!--
            WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = TRUE) AND 
                (pyde.xx.xx:AddressDetails.Country.Code = NULLORBLANK)
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410191" diagnostics="DVR.ATO.GEN.410191"
                test="not(
                        pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and (exslt:uppercase(.) = 'TRUE' or . = '1')] 
                        and
                        not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                    )"/>

        <!--
            WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.Country.Code = "au") AND  
                (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = TRUE) 
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410211" diagnostics="DVR.ATO.GEN.410211"
                test="not(
                        pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and normalize-space(exslt:uppercase(.))='AU']  
                        and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                    )"/>

        <!--
            WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.Country.Code <> NULLORBLANK) 
                AND (pyde.xx.xx:AddressDetails.Country.Code <> "au")
                AND  (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = FALSE) 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410212" diagnostics="DVR.ATO.GEN.410212"
                test="not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
               and pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and normalize-space(exslt:uppercase(.))!='AU']  
                        and pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                    )"/>

        <!--
            WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.Line1.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410214" diagnostics="DVR.ATO.GEN.410214"
                test="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') 
                        and string-length(normalize-space(.)) != 0]"/>

        <!--
            WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.LocalityName.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430245" diagnostics="DVR.ATO.GEN.430245"
                test="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>

        <!-- 
            WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = FALSE) AND 
                (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS NUMERICS SET(0-9))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430246" diagnostics="DVR.ATO.GEN.430246"
                test="not(
                      pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')] and 
                      regexp:test(pyde.02.00:AddressDetails.LocalityName.Text,'^(.*)[0-9](.*)$')
                    )" />

        <!-- 
            WHERE IN TUPLE(addressdetails2.xx.xx:AddressDetails)
            IF pyde.xx.xx:AddressDetails.OverseasAddressIndicator = FALSE 
            AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code = NULLORBLANK 
                 OR pyde.xx.xx:AddressDetails.Postcode.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.434147" diagnostics="DVR.ATO.GEN.434147"
                test="not(
                        pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                        and(not(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            or not(pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))
                       )"/>
    </rule>

    <rule context="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyde.xx.xx:AddressDetails.Line2.Text = FOUND("C/-","C/O","C/","Care Of","CO"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428241" diagnostics="DVR.ATO.GEN.428241"
                test="not(regexp:test(.,'^(?i)(C\/- |C\/O |C\/ |Care Of |CO )(.*)$') or
                              regexp:test(.,'^(.*)(?i)( C\/- | C\/O | C\/ | Care Of | CO )(.*)$') or
                              regexp:test(.,'^(.*)(?i)( C\/-| C\/O| C\/| Care Of| CO)$') or
                              regexp:test(.,'^(?i)(C\/-|C\/O|C\/|Care Of|CO)$'))"/>

        <!-- 
            IF LENGTH(pyde.xx.xx:AddressDetails.Line2.Text) > 38
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410195" diagnostics="DVR.ATO.GEN.410195"
                test="not(
                        string-length(normalize-space(.)) &gt; 38
                      )"/>

        <!--
            IF (pyde.xx.xx:AddressDetails.Line2.Text CONTAINS "UNKNOWN")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428255" diagnostics="DVR.ATO.GEN.428255"
                test="not(
                            regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$')
                       )"/>
    </rule>

    <rule context="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS "UNKNOWN")
               RETURN VALIDATION MESSAGE
            ENDIF
         -->
        <assert id="VR.ATO.GEN.428256" diagnostics="DVR.ATO.GEN.428256"
                test="not(
                        regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$')
                      )"/>
    </rule>

    <rule context="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF LENGTH(pyde.xx.xx:AddressDetails.Line1.Text) > 38
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410194" diagnostics="DVR.ATO.GEN.410194.TRT"
                test="string-length(normalize-space(.)) &lt; 39"/>

        <!-- 
            IF (pyde.xx.xx:AddressDetails.Line1.Text = FOUND("AS ABOVE"))
              RETURN VALIDATION MESSAGE
            ENDIF 
        -->
        <assert id="VR.ATO.GEN.410205" diagnostics="DVR.ATO.GEN.410205.TRT"
                test="not(
                        contains(exslt:uppercase(.), 'AS ABOVE')
                      )"/>

        <!-- 
            IF (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "UNKNOWN")
                RETURN VALIDATION MESSAGE
            ENDIF
         -->
        <assert id="VR.ATO.GEN.428254" diagnostics="DVR.ATO.GEN.428254.TRT"
                 test="not(
                         regexp:test(.,'^(.*)(?i)UNKNOWN(.*)$')
                       )"/>

        <!--
            IF (pyde.02.00:AddressDetails.Line1.Text = FOUND("C/O","C/","Care Of","CO"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428240" diagnostics="DVR.ATO.GEN.428240.TRT" 
                test="not(
                        regexp:test(.,'^(?i)(C\/O |C\/ |Care Of |CO )(.*)$') or
                        regexp:test(.,'^(.*)(?i)( C\/O | C\/ | Care Of | CO )(.*)$') or
                        regexp:test(.,'^(.*)(?i)( C\/O| C\/| Care Of| CO)$') or
                        regexp:test(.,'^(?i)(C\/O|C\/|Care Of|CO)$')
                      )"/>
    </rule>
    
    <rule context="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN TUPLE(address2.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.Country.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Country.Code <> SET(DOMAIN(COUNTRY CODES)))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <let name="ucvalue" value="exslt:uppercase(.)" />
        <assert id="VR.ATO.GEN.410192" diagnostics="DVR.ATO.GEN.410192"
                test="string-length(normalize-space(.)) = 0 or
                    $ucvalue = 'AD' or
                    $ucvalue = 'AE' or
                    $ucvalue = 'AF' or
                    $ucvalue = 'AG' or
                    $ucvalue = 'AI' or
                    $ucvalue = 'AL' or
                    $ucvalue = 'AM' or
                    $ucvalue = 'AN' or
                    $ucvalue = 'AO' or
                    $ucvalue = 'AQ' or
                    $ucvalue = 'AR' or
                    $ucvalue = 'AS' or
                    $ucvalue = 'AT' or
                    $ucvalue = 'AU' or
                    $ucvalue = 'AW' or
                    $ucvalue = 'AX' or
                    $ucvalue = 'AZ' or
                    $ucvalue = 'BA' or
                    $ucvalue = 'BB' or
                    $ucvalue = 'BD' or
                    $ucvalue = 'BE' or
                    $ucvalue = 'BF' or
                    $ucvalue = 'BG' or
                    $ucvalue = 'BH' or
                    $ucvalue = 'BI' or
                    $ucvalue = 'BJ' or
                    $ucvalue = 'BL' or
                    $ucvalue = 'BM' or
                    $ucvalue = 'BN' or
                    $ucvalue = 'BO' or
                    $ucvalue = 'BR' or
                    $ucvalue = 'BS' or
                    $ucvalue = 'BT' or
                    $ucvalue = 'BV' or
                    $ucvalue = 'BW' or
                    $ucvalue = 'BY' or
                    $ucvalue = 'BZ' or
                    $ucvalue = 'CA' or
                    $ucvalue = 'CC' or
                    $ucvalue = 'CD' or
                    $ucvalue = 'CF' or
                    $ucvalue = 'CG' or
                    $ucvalue = 'CH' or
                    $ucvalue = 'CI' or
                    $ucvalue = 'CK' or
                    $ucvalue = 'CL' or
                    $ucvalue = 'CM' or
                    $ucvalue = 'CN' or
                    $ucvalue = 'CO' or
                    $ucvalue = 'CR' or
                    $ucvalue = 'CU' or
                    $ucvalue = 'CV' or
                    $ucvalue = 'CX' or
                    $ucvalue = 'CY' or
                    $ucvalue = 'CZ' or
                    $ucvalue = 'DE' or
                    $ucvalue = 'DJ' or
                    $ucvalue = 'DK' or
                    $ucvalue = 'DM' or
                    $ucvalue = 'DO' or
                    $ucvalue = 'DZ' or
                    $ucvalue = 'EC' or
                    $ucvalue = 'EE' or
                    $ucvalue = 'EG' or
                    $ucvalue = 'EH' or
                    $ucvalue = 'ER' or
                    $ucvalue = 'ES' or
                    $ucvalue = 'ET' or
                    $ucvalue = 'FI' or
                    $ucvalue = 'FJ' or
                    $ucvalue = 'FK' or
                    $ucvalue = 'FM' or
                    $ucvalue = 'FO' or
                    $ucvalue = 'FR' or
                    $ucvalue = 'GA' or
                    $ucvalue = 'GB' or
                    $ucvalue = 'GD' or
                    $ucvalue = 'GE' or
                    $ucvalue = 'GF' or
                    $ucvalue = 'GG' or
                    $ucvalue = 'GH' or
                    $ucvalue = 'GI' or
                    $ucvalue = 'GL' or
                    $ucvalue = 'GM' or
                    $ucvalue = 'GN' or
                    $ucvalue = 'GP' or
                    $ucvalue = 'GQ' or
                    $ucvalue = 'GR' or
                    $ucvalue = 'GS' or
                    $ucvalue = 'GT' or
                    $ucvalue = 'GU' or
                    $ucvalue = 'GW' or
                    $ucvalue = 'GY' or
                    $ucvalue = 'HK' or
                    $ucvalue = 'HM' or
                    $ucvalue = 'HN' or
                    $ucvalue = 'HR' or
                    $ucvalue = 'HT' or
                    $ucvalue = 'HU' or
                    $ucvalue = 'ID' or
                    $ucvalue = 'IE' or
                    $ucvalue = 'IL' or
                    $ucvalue = 'IM' or
                    $ucvalue = 'IN' or
                    $ucvalue = 'IO' or
                    $ucvalue = 'IQ' or
                    $ucvalue = 'IR' or
                    $ucvalue = 'IS' or
                    $ucvalue = 'IT' or
                    $ucvalue = 'JE' or
                    $ucvalue = 'JM' or
                    $ucvalue = 'JO' or
                    $ucvalue = 'JP' or
                    $ucvalue = 'KE' or
                    $ucvalue = 'KG' or
                    $ucvalue = 'KH' or
                    $ucvalue = 'KI' or
                    $ucvalue = 'KM' or
                    $ucvalue = 'KN' or
                    $ucvalue = 'KP' or
                    $ucvalue = 'KR' or
                    $ucvalue = 'KW' or
                    $ucvalue = 'KY' or
                    $ucvalue = 'KZ' or
                    $ucvalue = 'LA' or
                    $ucvalue = 'LB' or
                    $ucvalue = 'LC' or
                    $ucvalue = 'LI' or
                    $ucvalue = 'LK' or
                    $ucvalue = 'LR' or
                    $ucvalue = 'LS' or
                    $ucvalue = 'LT' or
                    $ucvalue = 'LU' or
                    $ucvalue = 'LV' or
                    $ucvalue = 'LY' or
                    $ucvalue = 'MA' or
                    $ucvalue = 'MC' or
                    $ucvalue = 'MD' or
                    $ucvalue = 'ME' or
                    $ucvalue = 'MF' or
                    $ucvalue = 'MG' or
                    $ucvalue = 'MH' or
                    $ucvalue = 'MK' or
                    $ucvalue = 'ML' or
                    $ucvalue = 'MM' or
                    $ucvalue = 'MN' or
                    $ucvalue = 'MO' or
                    $ucvalue = 'MP' or
                    $ucvalue = 'MQ' or
                    $ucvalue = 'MR' or
                    $ucvalue = 'MS' or
                    $ucvalue = 'MT' or
                    $ucvalue = 'MU' or
                    $ucvalue = 'MV' or
                    $ucvalue = 'MW' or
                    $ucvalue = 'MX' or
                    $ucvalue = 'MY' or
                    $ucvalue = 'MZ' or
                    $ucvalue = 'NA' or
                    $ucvalue = 'NC' or
                    $ucvalue = 'NE' or
                    $ucvalue = 'NF' or
                    $ucvalue = 'NG' or
                    $ucvalue = 'NI' or
                    $ucvalue = 'NL' or
                    $ucvalue = 'NO' or
                    $ucvalue = 'NP' or
                    $ucvalue = 'NR' or
                    $ucvalue = 'NU' or
                    $ucvalue = 'NZ' or
                    $ucvalue = 'OM' or
                    $ucvalue = 'PA' or
                    $ucvalue = 'PE' or
                    $ucvalue = 'PF' or
                    $ucvalue = 'PG' or
                    $ucvalue = 'PH' or
                    $ucvalue = 'PK' or
                    $ucvalue = 'PL' or
                    $ucvalue = 'PM' or
                    $ucvalue = 'PN' or
                    $ucvalue = 'PR' or
                    $ucvalue = 'PS' or
                    $ucvalue = 'PT' or
                    $ucvalue = 'PW' or
                    $ucvalue = 'PY' or
                    $ucvalue = 'QA' or
                    $ucvalue = 'RE' or
                    $ucvalue = 'RO' or
                    $ucvalue = 'RS' or
                    $ucvalue = 'RU' or
                    $ucvalue = 'RW' or
                    $ucvalue = 'SA' or
                    $ucvalue = 'SB' or
                    $ucvalue = 'SC' or
                    $ucvalue = 'SD' or
                    $ucvalue = 'SE' or
                    $ucvalue = 'SG' or
                    $ucvalue = 'SH' or
                    $ucvalue = 'SI' or
                    $ucvalue = 'SJ' or
                    $ucvalue = 'SK' or
                    $ucvalue = 'SL' or
                    $ucvalue = 'SM' or
                    $ucvalue = 'SN' or
                    $ucvalue = 'SO' or
                    $ucvalue = 'SR' or
                    $ucvalue = 'ST' or
                    $ucvalue = 'SV' or
                    $ucvalue = 'SY' or
                    $ucvalue = 'SZ' or
                    $ucvalue = 'TC' or
                    $ucvalue = 'TD' or
                    $ucvalue = 'TF' or
                    $ucvalue = 'TG' or
                    $ucvalue = 'TH' or
                    $ucvalue = 'TJ' or
                    $ucvalue = 'TK' or
                    $ucvalue = 'TL' or
                    $ucvalue = 'TM' or
                    $ucvalue = 'TN' or
                    $ucvalue = 'TO' or
                    $ucvalue = 'TR' or
                    $ucvalue = 'TT' or
                    $ucvalue = 'TV' or
                    $ucvalue = 'TW' or
                    $ucvalue = 'TZ' or
                    $ucvalue = 'UA' or
                    $ucvalue = 'UG' or
                    $ucvalue = 'UM' or
                    $ucvalue = 'US' or
                    $ucvalue = 'UY' or
                    $ucvalue = 'UZ' or
                    $ucvalue = 'VA' or
                    $ucvalue = 'VC' or
                    $ucvalue = 'VE' or
                    $ucvalue = 'VG' or
                    $ucvalue = 'VI' or
                    $ucvalue = 'VN' or
                    $ucvalue = 'VU' or
                    $ucvalue = 'WF' or
                    $ucvalue = 'WS' or
                    $ucvalue = 'YE' or
                    $ucvalue = 'YT' or
                    $ucvalue = 'ZA' or
                    $ucvalue = 'ZM' or
                    $ucvalue = 'ZW'"/>
    </rule>

    <rule context="pyde.02.00:AddressDetails.Line4.Text[not(@i:nil='true' or @i:nil='1')]">
        <!-- 
            IF (pyde.xx.xx:AddressDetails.Line4.Text <> NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF 
        -->
        <assert id="VR.ATO.GEN.410013" diagnostics="DVR.ATO.GEN.410013"
                test="string-length(normalize-space(.)) = 0"/>
    </rule>

    <rule context="pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyde.xx.xx:AddressDetails.Currency.Code <> NULLORBLANK)
            AND (pyde.xx.xx:AddressDetails.Currency.Code <> SET("C","P"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428202" diagnostics="DVR.ATO.GEN.428202"
                test="string-length(normalize-space(.)) = 0 or exslt:uppercase(.) = 'C' or exslt:uppercase(.) = 'P'"/>
    </rule>

</pattern>
