﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Cross Form Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/trt/trt_0001/trt.0001.lodge.request.02.00.report.xsd']]">

        <!--
            IF (COUNT(SCHEDULE = "CAS") = 1) AND
               ([CAS39] > 0 OR [CAS40] > 0)
               AND [TRT356] = NULL 
               AND [TRT357] = NULL
               AND [TRT358] = NULL
               AND [TRT359] = NULL 
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CAS39] = CAS:RP:bafpr1.xx.xx:Income.HedgingGains.Amount
            [CAS40] = CAS:RP:bafpr1.xx.xx:Expense.HedgingLosses.Amount
            [TRT356] = TRT:RP.TOFA:bafpr1.xx.xx:Income.GainsTotal.Amount
            [TRT357] = TRT:RP.TOFA:bafpr1.xx.xx:Expense.LossesTotal.Amount
            [TRT358] = TRT:RP.TOFA:bafpr1.xx.xx:Income.BalancingAdjustmentTotal.Amount
            [TRT359] = TRT:RP.TOFA:bafpr1.xx.xx:Income.FinancialArrangementsUnrealisedGains.Amount
        -->
        <assert id="VR.ATO.TRT.432359" diagnostics="DVR.ATO.TRT.432359"
                test="not(
                        count($CAS.Context) = 1
                        and
                        (
                          number($CAS.Context/bafpr1.02.02:Income.HedgingGains.Amount
                            [@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')])
                              &gt; 0
                          or
                          number($CAS.Context/bafpr1.02.02:Expense.HedgingLosses.Amount
                            [@contextRef=$RP.CAS.ContextId and not(@i:nil='true' or @i:nil='1')])
                              &gt; 0
                        )
                        and not(bafpr1.02.04:Income.GainsTotal.Amount
                          [@contextRef=$RP.TOFA.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(bafpr1.02.04:Expense.LossesTotal.Amount
                          [@contextRef=$RP.TOFA.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount
                          [@contextRef=$RP.TOFA.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount
                          [@contextRef=$RP.TOFA.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>

        <!--
            IF (COUNT(SCHEDULE = "CGTS") = 1) AND ([CGTS86] <> NULL OR [CGTS85] <> NULL OR [CGTS87] <> NULL OR [CGTS83] <> NULL OR [CGTS82] <> NULL OR [CGTS84] <> NULL OR [CGTS81] <> NULL) AND [TRT132] <> TRUE
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [CGTS86] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS85] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS87] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS83] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS82] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS84] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS81] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount
            [TRT132] = TRT:RP:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
        -->
        <assert id="VR.ATO.TRT.432185" diagnostics="DVR.ATO.TRT.432185"
                 test="not(
                        count($CGT.Context) = 1
                        and
                        (
                            $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $CGT.Context/rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                        and
                        not(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
                            [@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and (.='true' or .='1')])
                      )" />        
        
        <!--
            IF [TRT32] = "179" AND [TRT144] > 100000 AND (COUNT(SCHEDULE = "LS") = 0) 
            RETURN VALIDATION MESSAGE
            END IF
            
            [TRT32] = TRT:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [TRT144] = TRT:RP:rvctc2.xx.xx:IncomeTax.Deduction.TaxLossesDeducted.Amount
        -->
        <assert id="VR.ATO.TRT.432429" diagnostics="DVR.ATO.TRT.432429"
                test="not(
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.TRT.ContextId  and not(@i:nil='true' or @i:nil='1') and number(.)=179]
                        and number(rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 100000
                        and count($LOS.Context) = 0
                     )" />
        
        <!--
            IF [TRT132] = TRUE AND (COUNT(SCHEDULE = "CGTS") = 1) AND
            ([CGTS86] = NULL AND [CGTS85] = NULL AND [CGTS87] = NULL AND [CGTS83] = NULL AND [CGTS82] = NULL AND [CGTS84] = NULL AND [CGTS81] = NULL)  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT132] = TRT:RP:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
            [CGTS86] = CGTS:RP.ANA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS85] = CGTS:RP.ANA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS87] = CGTS:RP.ANA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS83] = CGTS:RP.AA.MI:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS82] = CGTS:RP.AA.MD:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS84] = CGTS:RP.AA.MO:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount
            [CGTS81] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount            
        -->
        <assert id="VR.ATO.TRT.432184" diagnostics="DVR.ATO.TRT.432184"
                test="not(
                        rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
                          [@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and (.='true' or .='1')]
                        and count($CGT.Context) = 1
                        and
                        (
                            not($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.ANA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not($CGT.Context/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentSchemeInterest.Amount[@contextRef=$RP.AA.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not($CGT.Context/rvctc3.02.02:Capital.Losses.ForestryManagedInvestmentSchemeInterestCurrent.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )    
                     )" />
        
        <!--
            IF  (COUNT(SCHEDULE = "RSPT") > 0) AND SUM([RSPT34]) <> [TRT91]
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [RSPT34] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.CapitalWorksDeduction.Amount
            [TRT91] = TRT:RP.JAus:bafpr1.xx.xx:Expense.CapitalWorksDeduction.Amount
        -->
        <assert id="VR.ATO.TRT.432124" diagnostics="DVR.ATO.TRT.432124"
                test="not(
                        count($RSPT.Context) &gt; 0
                        and
                        (
                            round(100*sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount
                              [@contextRef=$RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            !=
                            round(100*sum(common:node-set(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
                              [@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                     )"/>
        
        <!--
            IF ([TRT31] = "R") AND (COUNT(SCHEDULE = "IEE") = 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT31] = TRT:RP:Elections.InterposedEntityElectionRevocation.Code
        -->
        <assert id="VR.ATO.TRT.432020" diagnostics="DVR.ATO.TRT.432020"
                test="not(
                        rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code 
                            [@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] = 'R'
                        and count($IEE.Context) = 0
                     )"/>

        <!--    
            IF [TRT155] = TRUE AND (COUNT(SCHEDULE = "PSI") = 0) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT155] = TRT:RP:Remuneration.PersonalServicesIncome.MainIncomeReward.Indicator
        -->
        <assert id="VR.ATO.TRT.432226" diagnostics="DVR.ATO.TRT.432226"
                test="not(
                        lrla.02.09:Remuneration.PersonalServicesIncome.MainIncomeReward.Indicator 
                            [@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and count($PSI.Context) = 0
                     )"/>       
        
        <!--
            IF (COUNT(SCHEDULE = "RSPT") > 0) AND SUM([RSPT28]) <> [TRT90]
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [RSPT28] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.LoanInterest.Amount
            [TRT90] = TRT:RP.JAus:Expense.Interest.Amount
        -->
        <assert id="VR.ATO.TRT.432122" diagnostics="DVR.ATO.TRT.432122"
                test="not(
                        count($RSPT.Context) &gt; 0
                        and
                        (
                            round(100*sum(common:node-set($RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount
                              [@contextRef=$RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            !=                            
                            round(100*sum(common:node-set(bafpr1.02.05:Expense.Interest.Amount
                              [@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                     )"/>
        
        <!--
            IF  (COUNT(SCHEDULE = ""RSPT"") > 0) AND (SUM(ALL OCCURRENCES OF([RSPT20] + [RSPT21] + [RSPT22] + [RSPT23] + [RSPT24] + [RSPT25] + [RSPT26] + [RSPT27] + [RSPT29] + [RSPT30] + [RSPT31] + [RSPT32] + [RSPT33] + [RSPT35] + [RSPT36] + [RSPT37] + [RSPT38])) <> [TRT92])
            RETURN VALIDATION MESSAGE
            ENDIF 
            [RSPT20] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Marketing.Amount
            [RSPT21] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.BodyCorporate.Amount
            [RSPT22] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Borrowing.Amount
            [RSPT23] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Cleaning.Amount
            [RSPT24] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.CouncilRates.Amount
            [RSPT25] = RSPT:RP:bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
            [RSPT26] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Gardening.Amount
            [RSPT27] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Insurance.Amount
            [RSPT29] = RSPT:RP:bafpr1.xx.xx:Expense.LandTax.Amount
            [RSPT30] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.LegalFees.Amount
            [RSPT31] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.PestControl.Amount
            [RSPT32] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.AgentFeesCommission.Amount
            [RSPT33] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.RepairsAndMaintenance.Amount
            [RSPT35] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.OfficeSupplies.Amount
            [RSPT36] = RSPT:RP:bafpr1.xx.xx:Expense.Travel.Amount
            [RSPT37] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Water.Amount
            [RSPT38] = RSPT:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Sundry.Amount
            [TRT92] = TRT:RP.JAus:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        -->

        <assert id="VR.ATO.TRT.432126" diagnostics="DVR.ATO.TRT.432126"
        test="not(
                        count($RSPT.Context) &gt; 0
                        and
                        round(100*
                            sum(common:node-set(
                             $RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr1.02.00:Expense.LandTax.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr1.02.00:Expense.Travel.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RSPT.Context/bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))
                         !=
                         round(100*                        
                            sum(common:node-set(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))
                      )"/>

        <!--
            IF (COUNT(SCHEDULE = "LS") = 1) AND [LS52] <> [TRT146]  
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [LS52] = LS:RP.ALL:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
            [TRT146] = TRT:RPI.Closing:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
            
                        round(100*sum(common:node-set($LOS.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
                          [@contextRef=$RP.All.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        !=                            
                        round(100*sum(common:node-set(rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
                          [@contextRef=$RPI.Closing.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])))
        -->
        <assert id="VR.ATO.TRT.432215" diagnostics="DVR.ATO.TRT.432215"
                test="not(
                        count($LOS.Context) = 1
                        and
                        (
                            round(100*sum(common:node-set($LOS.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
                              [@contextRef=$RP.All.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            !=                            
                            round(100*sum(common:node-set(rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
                              [@contextRef=$RPI.Closing.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                     )"/>

        <!--
            IF (COUNT(SCHEDULE = ""CGTS"") = 1) AND ([CGTS62] + [CGTS63]) <> [TRT146]
            RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS62] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedCollectables.Amount
            [CGTS63] = CGTS:RP:rvctc3.xx.xx:Capital.Losses.CarriedForward.UnappliedOther.Amount
            [TRT146] = TRT:RPI.Closing:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
        -->
        <assert id="VR.ATO.TRT.432213" diagnostics="DVR.ATO.TRT.432213"
                test="not(
                         count($CGT.Context) = 1
                         and
                         sum(common:node-set(
                            $CGT.Context/rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedCollectables.Amount[not(@i:nil='true' or @i:nil='1')] |
                            $CGT.Context/rvctc3.02.02:Capital.Losses.CarriedForward.UnappliedOther.Amount[not(@i:nil='true' or @i:nil='1')]
                         ))
                         !=
                         sum(common:node-set(
                            rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[$RPI.Closing.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                         ))
                      )"/>



        <!--
        "IF ([TRT42] <> SET ( ""62100"",""62210"",""62220"",""62230"",""62290"",""62300"",""62400"",""63100"",""63210"",""63220"",""63300',""64110"",""64190"",""64200"") 
        OR (
        ([TRT46]+[TRT47]+[TRT49]+[TRT50]+[TRT52]+[TRT54]+[TRT55]+[TRT76]+[TRT77]+[TRT80]+[TRT81]+[TRT89]+[TRT93]+[TRT94]+[TRT96]+[TRT97]+[TRT121]+[TRT134]+[TRT135]+[TRT136]+[TRT140]) < 250000000)) 
        AND [TRT148] = TRUE 
        AND [TRT44] <> TRUE 
        AND ((COUNT(SCHEDULE = ""S25A"") = 1) 
        AND (COUNT(TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity)) =0) 
        AND [S25A10] = NULL AND [S25A11] = NULL AND [S25A12] = NULL AND [S25A13] = NULL AND [S25A14] = NULL AND [S25A15] = NULL AND [S25A16] = NULL AND [S25A17] = NULL AND [S25A18] = NULL AND [S25A19] = NULL AND [S25A20] = NULL AND [S25A21] = NULL AND [S25A22] = NULL AND [S25A23] = NULL AND [S25A24] = NULL AND [S25A25] = NULL AND [S25A26] = NULL AND [S25A27] = NULL AND [S25A28] = NULL AND [S25A29] = NULL AND [S25A30] = NULL AND [S25A31] = NULL AND [S25A32] = NULL AND [S25A33] = NULL AND [S25A34] = NULL AND [S25A35] = NULL AND [S25A36] = NULL AND [S25A37] = NULL AND [S25A38] = NULL AND [S25A39] = NULL AND [S25A40] = NULL AND [S25A41] = NULL AND [S25A42] = NULL AND [S25A43] = NULL 
        AND [S25A44] = NULLORBLANK AND [S25A45] = NULLORBLANK 
        AND (COUNT(TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod)) = 0) 
        AND [S25A48] = NULL AND [S25A49] = NULLORBLANK AND [S25A50] = NULLORBLANK AND [S25A51] = NULL AND [S25A52] = NULL)
        RETURN VALIDATION MESSAGE
        ENDIF
        [TRT42] = TRT:RP:OrganisationDetails.OrganisationIndustry2006Extended.Code
        [TRT148] = TRT:RP rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        
        [TRT46] = TRT:RP.Prim.JAus lrla.02.00 lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
        [TRT47] = TRT:RP.NonPrim.JAus lrla.02.00 lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
        [TRT49] = TRT:RP.NonPrim.JAus  lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
        [TRT50] = TRT:RP.Prim.JAus  gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        [TRT52] = TRT:RP.NonPrim.JAus  gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        [TRT54] = TRT:RP.Prim.JAus  bafpr1.02.04:Income.Other.Amount
        [TRT55] = TRT:RP.NonPrim.JAus  bafpr1.02.04:Income.Other.Amount
        [TRT76] = TRT:RP.Prim.JAus bafpr1.02.02:Income.PartnershipDistributionGross.Amount
        [TRT77] = TRT:RP.Prim.JAus bafpr1.02.02:Income.TrustDistributionGross.Amount
        [TRT80] = TRT:RP.NonPrim.JAus bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
        [TRT81] = TRT:RP.NonPrim.JAus  bafpr1.02.05:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount
        [TRT89] = TRT:RP.JAus bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount
        [TRT93] = TRT:RP.JAus bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount
        [TRT94] = TRT:RP.JAus bafpr2.02.02:Income.Interest.Gross.Amount
        [TRT96] = TRT:RP.JAus bafpr1.02.05:Income.DividendsUnfranked.Amount
        [TRT97] = TRT:RP.JAus bafpr1.02.00:Income.DividendsFranked.Amount
        [TRT121] = TRT:RP.JAus  bafpr1.02.04:Income.Other.Amount IN TUPLE(trt.0001.lodge.req.02.00:OtherAustralianIncome )
        [TRT134] = TRT:RP.JForeign.CFCLC  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        [TRT135] = TRT:RP.JForeign.CFC404  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        [TRT136] = TRT:RP.JForeign.CFCUC  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        [TRT140] = TRT:RP.JForeign  bafpr1.02.04:Income.Other.Amount
        
        [TRT44] = TRT:RP pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator
        
        [S25A10] = S25A:RP:bafpr1.xx.xx:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
        [S25A11] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
        [S25A12] = S25A:RP:bafpr1.xx.xx:Expense.TangiblePropertyOther.Amount
        [S25A13] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyOther.Amount
        [S25A14] = S25A:RP:bafpr1.02.04:Expense.Royalties.Amount
        [S25A15] = S25A:RP:bafpr1.xx.xx:Income.Royalties.Amount
        [S25A16] = S25A:RP:bafpr1.xx.xx:Expense.RentOtherThanRoyalties.Amount
        [S25A17] = S25A:RP:bafpr1.xx.xx:Income.RentOtherThanRoyalties.Amount
        [S25A18] = S25A:RP:bafpr1.xx.xx:Expense.IntangiblePropertyOther.Amount
        [S25A19] = S25A:RP:bafpr1.xx.xx:Income.IntangiblePropertyOther.Amount
        [S25A20] = S25A:RP:bafpr1.xx.xx:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
        [S25A21] = S25A:RP:bafpr1.xx.xx:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
        [S25A22] = S25A:RP:bafpr1.xx.xx:Expense.ServicesTechnicalAndConstruction.Amount
        [S25A23] = S25A:RP:bafpr1.xx.xx:Income.ServicesTechnicalAndConstruction.Amount
        [S25A24] = S25A:RP:bafpr1.xx.xx:Expense.ServicesResearchAndDevelopment.Amount
        [S25A25] = S25A:RP:bafpr1.xx.xx:Income.ServicesResearchAndDevelopment.Amount
        [S25A26] = S25A:RP:bafpr1.xx.xx:Expense.ServicesOther.Amount
        [S25A27] = S25A:RP:bafpr1.xx.xx:Income.ServicesOther.Amount
        [S25A28] = S25A:RP:bafpr1.xx.xx:Expense.InterestAndDiscounts.Amount
        [S25A29] = S25A:RP:bafpr1.xx.xx:Income.InterestAndDiscounts.Amount
        [S25A30] = S25A:RP:bafpr1.xx.xx:Expense.Insurance.Amount
        [S25A31] = S25A:RP:bafpr1.xx.xx:Income.Insurance.Amount
        [S25A32] = S25A:RP:bafpr1.xx.xx:Expense.OtherPayments.Amount
        [S25A33] = S25A:RP:bafpr1.xx.xx:Income.OtherPayments.Amount
        [S25A34] = S25A:RP.Opening:bafpo1.xx.xx:Liabilities.InterestBearingLoans.Amount
        [S25A35] = S25A:RP.Closing:bafpo1.xx.xx:Liabilities.InterestBearingLoans.Amount
        [S25A36] = S25A:RP.Opening:bafpo1.xx.xx:Assets.InterestBearingLoanReceivable.Amount
        [S25A37] = S25A:RP.Closing:bafpo1.xx.xx:Assets.InterestBearingLoanReceivable.Amount
        [S25A38] = S25A:RP.Opening:bafpo1.xx.xx:Liabilities.InterestFreeLoans.Amount
        [S25A39] = S25A:RP.Closing:bafpo1.xx.xx:Liabilities.InterestFreeLoans.Amount
        [S25A40] = S25A:RP.Opening:bafpo1.xx.xx:Assets.LoansAndReceivablesInterestFree.Amount
        [S25A41] = S25A:RP.Closing:bafpo1.xx.xx:Assets.LoansAndReceivablesInterestFree.Amount
        [S25A42] = S25A:RP:bafot.xx.xx:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
        [S25A43] = S25A:RP:bafot.xx.xx:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
        [S25A44] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
        [S25A45] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
        [S25A48] = S25A:RP:bafot.xx.xx:Miscellaneous.CapitalNature.Indicator
        [S25A49] = S25A:RP:bafot.xx.xx:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods )
        [S25A50] = S25A:RP:bafot.xx.xx:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
        [S25A51] = S25A:RP:bafot.xx.xx:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator
        [S25A52] = S25A:RP:bafot.xx.xx:Miscellaneous.NumberofRelatedParties.Count
        "	VR.ATO.TRT.432217	CMN.ATO.GEN.430125	
        Schedule 25A must include Interest in foreign companies or foreign trusts details-->

        <assert id="VR.ATO.TRT.432217" diagnostics="DVR.ATO.TRT.432217"
                 test="not( 
                    (
                    not(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(62100|62210|62220|62230|62290|62300|62400|63100|63210|63220|63300|64110|64190|64200)$')])
                    or
                    sum(common:node-set(
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.05:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            trt.0001.lodge.req.02.00:OtherAustralianIncome/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            ))  &lt; 250000000
                    )
                     and
                        (
                            rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        )
                    and 
                    not(pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                    and
                    count($S25A.Context) = 1
                    and
                    count($S25A.Context/s25a.0002.lodge.req.02.00:InternationalDealingsBusinessActivity) = 0
                    and
                    (not(
                    $S25A.Context/bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
	                $S25A.Context/bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
	                $S25A.Context/bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
	                $S25A.Context/bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.02:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.02:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.02:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Expense.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpr1.02.02:Expense.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpr1.02.02:Income.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafot.02.02:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') ]
	                and
                    $S25A.Context/bafot.02.02:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
	                and
                    $S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	                and
                    $S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                    and
                    count($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod) = 0
	                and
                    $S25A.Context/bafot.02.02:Miscellaneous.CapitalNature.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/s25a.0002.lodge.req.02.00:AcquisitionsAndDisposalsPricingMethods/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
	                and
                    $S25A.Context/bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                    and
                    $S25A.Context/bafot.02.02:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    and
                    $S25A.Context/bafot.02.02:Miscellaneous.NumberofRelatedParties.Count[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                    )
                    )
                 
                )"/>

        <!--
            IF 
            (
                [TRT148] = FALSE 
                AND (COUNT(SCHEDULE ="S25A") = 1) 
            )
            AND 
            (
             (COUNT(TUPLE(s25a.0002.lodge.req.xx.xx:InternationalDealingsBusinessActivity)) > 0) 
             OR [S25A10] > 0 OR [S25A11] > 0 OR [S25A12] > 0 OR [S25A13] > 0 
             OR [S25A14] > 0 OR [S25A15] > 0 OR [S25A16] > 0 OR [S25A17] > 0 
             OR [S25A18] > 0 OR [S25A19] > 0 OR [S25A20] > 0 OR [S25A21] > 0 
             OR [S25A22] > 0 OR [S25A23] > 0 OR [S25A24] > 0 OR [S25A25] > 0 
             OR [S25A26] > 0 OR [S25A27] > 0 OR [S25A28] > 0 OR [S25A29] > 0 
             OR [S25A30] > 0 OR [S25A31] > 0 OR [S25A32] > 0 OR [S25A33] > 0 
             OR [S25A34] > 0 OR [S25A35] > 0 OR [S25A36] > 0 OR [S25A37] > 0 
             OR [S25A38] > 0 OR [S25A39] > 0 OR [S25A40] > 0 OR [S25A41] > 0 
             OR [S25A42] <> NULL OR [S25A43] <> NULL 
             OR [S25A44] <> NULLORBLANK OR [S25A45] <> NULLORBLANK 
             OR (COUNT(TUPLE(s25a.0002.lodge.req.xx.xx:ArmsLengthPricingMethod)) > 0) 
             OR [S25A48] <> NULL 
             AND [S25A49] > 0 
             AND [S25A50] > 0 
             AND [S25A51] <> NULL 
             AND [S25A52] > 0
            )
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT148] = TRT:RP:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [S25A10] = S25A:RP:bafpr1.xx.xx:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A11] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount
            [S25A12] = S25A:RP:bafpr1.xx.xx:Expense.TangiblePropertyOther.Amount
            [S25A13] = S25A:RP:bafpr1.xx.xx:Income.TangiblePropertyOther.Amount
            [S25A14] = S25A:RP:bafpr1.xx.xx:Expense.Royalties.Amount
            [S25A15] = S25A:RP:bafpr1.xx.xx:Income.Royalties.Amount
            [S25A16] = S25A:RP:bafpr1.xx.xx:Expense.RentOtherThanRoyalties.Amount
            [S25A17] = S25A:RP:bafpr1.xx.xx:Income.RentOtherThanRoyalties.Amount
            [S25A18] = S25A:RP:bafpr1.xx.xx:Expense.IntangiblePropertyOther.Amount
            [S25A19] = S25A:RP:bafpr1.xx.xx:Income.IntangiblePropertyOther.Amount
            [S25A20] = S25A:RP:bafpr1.xx.xx:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A21] = S25A:RP:bafpr1.xx.xx:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount
            [S25A22] = S25A:RP:bafpr1.xx.xx:Expense.ServicesTechnicalAndConstruction.Amount
            [S25A23] = S25A:RP:bafpr1.xx.xx:Income.ServicesTechnicalAndConstruction.Amount
            [S25A24] = S25A:RP:bafpr1.xx.xx:Expense.ServicesResearchAndDevelopment.Amount
            [S25A25] = S25A:RP:bafpr1.xx.xx:Income.ServicesResearchAndDevelopment.Amount
            [S25A26] = S25A:RP:bafpr1.xx.xx:Expense.ServicesOther.Amount
            [S25A27] = S25A:RP:bafpr1.xx.xx:Income.ServicesOther.Amount
            [S25A28] = S25A:RP:bafpr1.xx.xx:Expense.InterestAndDiscounts.Amount
            [S25A29] = S25A:RP:bafpr1.xx.xx:Income.InterestAndDiscounts.Amount
            [S25A30] = S25A:RP:bafpr1.xx.xx:Expense.Insurance.Amount
            [S25A31] = S25A:RP:bafpr1.xx.xx:Income.Insurance.Amount
            [S25A32] = S25A:RP:bafpr1.xx.xx:Expense.OtherPayments.Amount
            [S25A33] = S25A:RP:bafpr1.xx.xx:Income.OtherPayments.Amount
            [S25A34] = S25A:RP.Opening:bafpo1.xx.xx:Liabilities.InterestBearingLoans.Amount
            [S25A35] = S25A:RP.Closing:bafpo1.xx.xx:Liabilities.InterestBearingLoans.Amount
            [S25A36] = S25A:RP.Opening:bafpo1.xx.xx:Assets.InterestBearingLoanReceivable.Amount
            [S25A37] = S25A:RP.Closing:bafpo1.xx.xx:Assets.InterestBearingLoanReceivable.Amount
            [S25A38] = S25A:RP.Opening:bafpo1.xx.xx:Liabilities.InterestFreeLoans.Amount
            [S25A39] = S25A:RP.Closing:bafpo1.xx.xx:Liabilities.InterestFreeLoans.Amount
            [S25A40] = S25A:RP.Opening:bafpo1.xx.xx:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A41] = S25A:RP.Closing:bafpo1.xx.xx:Assets.LoansAndReceivablesInterestFree.Amount
            [S25A42] = S25A:RP:bafot.xx.xx:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A43] = S25A:RP:bafot.xx.xx:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator
            [S25A44] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code
            [S25A45] = S25A:RP:bafot.xx.xx:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code
            [S25A48] = S25A:RP:bafot.xx.xx:Miscellaneous.CapitalNature.Indicator
            [S25A49] = S25A:RP:bafot.xx.xx:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code IN TUPLE(s25a.0002.lodge.req.xx.xx:AcquisitionsAndDisposalsPricingMethods )
            [S25A50] = S25A:RP:bafot.xx.xx:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code
            [S25A51] = S25A:RP:bafot.xx.xx:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator
            [S25A52] = S25A:RP:bafot.xx.xx:Miscellaneous.NumberofRelatedParties.Count
        -->
        <assert id="VR.ATO.TRT.432218" diagnostics="DVR.ATO.TRT.432218"
                test="not(
                        (
            		        rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and (.='false' or .='0')]
                            and
                            count($S25A.Context) = 1
                        )    
                        and
                        (
                            count($S25A.Context/s25a.0002.lodge.req.02.00:InternationalDealingsBusinessActivity[not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Income.TangiblePropertyStockInTradeAndRawMaterials.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Expense.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Income.TangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.04:Expense.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Income.Royalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Expense.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Income.RentOtherThanRoyalties.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            count($S25A.Context/bafpr1.02.00:Expense.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Income.IntangiblePropertyOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Expense.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Income.ServicesManagementFinancialAdministrativeMarketingAndTraining.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Expense.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.ServicesTechnicalAndConstruction.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Expense.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.ServicesResearchAndDevelopment.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Expense.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Income.ServicesOther.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Expense.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Income.InterestAndDiscounts.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Expense.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.00:Income.Insurance.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Expense.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.OtherPayments.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpo1.02.00:Liabilities.InterestBearingLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpo1.02.02:Assets.InterestBearingLoanReceivable.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpo1.02.00:Liabilities.InterestFreeLoans.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Opening.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            number($S25A.Context/bafpo1.02.02:Assets.LoansAndReceivablesInterestFree.Amount[@contextRef = $RP.Closing.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.ReceivedOrProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.ProvidedServicesPropertyProcessesRightsOrObligationsForNonMonetaryConsideration.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepOneAndTwoOfTaxationRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.IncomeAndExpenseItemsStepThreeTaxationOfRulingPercentageBracket.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            count($S25A.Context/s25a.0002.lodge.req.02.00:ArmsLengthPricingMethod[not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.CapitalNature.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            count($S25A.Context/s25a.0002.lodge.req.02.00:AcquisitionsAndDisposalsPricingMethods[not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/s25a.0002.lodge.req.02.00:AcquisitionsAndDisposalsPricingMethods[not(@i:nil='true' or @i:nil='1')]/bafot.02.02:Miscellaneous.AcquisitionsAndDisposalsPricingMethod.Code[@contextRef=$RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            and
                            number($S25A.Context/bafot.02.02:Miscellaneous.CapitalNaturePercentageBracketDollarValue.Code[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            and
                            $S25A.Context/bafot.02.02:Miscellaneous.NonResidentParticipationInCapitalManagementOrControlOfReportingParty.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            and
                            number($S25A.Context/rvctc4.02.00:Miscellaneous.NumberofRelatedParties.Count[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            &gt; 0
                        )    
                     )"/>

        <!--
            IF [TRT138] = FALSE AND (COUNT(SCHEDULE = "S25A") = 1) AND ([S25A53] > 0 OR [S25A54] > 0 OR [S25A55] > 0 OR [S25A56] > 0 OR [S25A57] > 0 OR [S25A58] > 0 OR [S25A59] > 0 OR [S25A60] > 0 OR [S25A61] > 0 OR [S25A62] > 0 OR [S25A63] > 0 OR [S25A64] > 0 OR [S25A65] > 0 OR [S25A66] > 0 OR [S25A67] > 0 OR [S25A68] > 0 OR [S25A69] > 0 OR [S25A70] > 0 OR [S25A71] > 0 OR [S25A72] > 0 OR [S25A73] > 0 OR [S25A76] <> NULL OR [S25A77] <> NULL OR [S25A78] <> NULL OR [S25A79] <> NULL OR [S25A80] <> NULL OR [S25A81] <> NULL OR [S25A82] <> NULL OR [S25A83] <> NULL OR [S25A84] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT138] = TRT:RP.JForeign:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
            [S25A53] = S25A:RP.Opening.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A54] = S25A:RP.Closing.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A55] = S25A:RP.Opening.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A56] = S25A:RP.Closing.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A57] = S25A:RP.Opening.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A58] = S25A:RP.Closing.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
            [S25A59] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A60] = S25A:RP.CFC404:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A61] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            
            [S25A62] = S25A:RP.All:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
            [S25A63] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
            [S25A64] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
            [S25A65] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A66] = S25A:RP.s404AndUnlisted:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
            [S25A67] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A68] = S25A:RP.CFC404:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A69] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
            [S25A70] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A71] = S25A:RP.CFC404:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A72] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
            [S25A73] = S25A:RP:bafpr1.xx.xx:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount
            [S25A76] = S25A:RP:bafot.xx.xx:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A77] = S25A:RP:bafot.xx.xx:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A78] = S25A:RP:bafot.xx.xx:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A79] = S25A:RP:bafot.xx.xx:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
            [S25A80] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
            [S25A81] = S25A:RP:bafot.xx.xx:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
            [S25A82] = S25A:RP:bafot.xx.xx:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
            [S25A83] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
            [S25A84] = S25A:RP:bafot.xx.xx:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator
        -->
        <assert id="VR.ATO.TRT.432201" diagnostics="DVR.ATO.TRT.432201"
                test="not(
                        bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[@contextRef = $RP.JForeign.TRT.ContextId and regexp:test(.,'^(false|0)$')]
                        and
                        count($S25A.Context) = 1
                        and
                        (
                            number($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or                            
                            number($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.All.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[@contextRef= $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef= $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef=$RP.s404andUnlisted.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            number($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or    
                            $S25A.Context/bafot.02.02:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            $S25A.Context/bafot.02.02:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                     )"/>

        <!--
            IF [TRT133] > 10000 AND [TRT44] <> TRUE AND  (COUNT(SCHEDULE = "CGTS") = 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT133] = TRT:RP:Income.CapitalGainsNet.Amount
            [TRT44] = TRT:RP:OrganisationDetails.TaxConsolidationStatus.Indicator
        -->
        <assert id="VR.ATO.TRT.432042" diagnostics="DVR.ATO.TRT.432042"
                test="not(
                         number(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                         &gt; 10000
                         and
                         not(pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                         and
                         count($CGT.Context) = 0
                     )"/>
        <!--
            IF [TRT65] <= 100000 AND (COUNT(SCHEDULE = ""CAS"") = 1)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT65] = TRT:RP.JAus:Expense.DepreciationandAmortisation.Amount
            VR.ATO.TRT.432068	CMN.ATO.GEN.430042
        -->
        <assert id="VR.ATO.TRT.432068" diagnostics="DVR.ATO.TRT.432068"
                test="not(
                        sum(common:node-set(
                            bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] 
                        )) &lt;= 100000 
                        and count($CAS.Context) = 1
                      )"/>
        <!--
            IF [TRT189] = NULL AND [TRT190] = NULL AND [TRT191] = NULL AND 
            [TRT65] > 100000 AND (COUNT(SCHEDULE = ""CAS"") = 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT189] = TRT:RP:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount
            [TRT190] = TRT:RP:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount
            [TRT191] = TRT:RP:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount
            [TRT65] = TRT:RP.JAus:Expense.DepreciationandAmortisation.Amount
        -->
        <assert id="VR.ATO.TRT.432069" diagnostics="DVR.ATO.TRT.432069"
                test="not(
                        not(bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount[@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not(bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount[@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and not(bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount[@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                        and sum(common:node-set(
                            bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )) &gt; 100000 
                        and count($CAS.Context) = 0
                        )"/>

        <!--
            IF [TRT1] <> NULL AND 
               (COUNT(SCHEDULE = ""IEE"") > 0) AND 
               (
                 ANY OCCURRENCE OF ([IEE116] = "R") AND
                 ([IEE82] <> [TRT1])
               )
                 RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT1]   = TRT:RP:Report.TargetFinancial.Year
            [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
            [IEE82]  = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->
        <assert id="VR.ATO.TRT.432011" diagnostics="DVR.ATO.TRT.432011"
                test="not(
                        pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and count($IEE.Context) &gt; 0
                        and count($IEE.Context/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')
                                    and . = 'R']) &gt; 0
                        and $IEE.Context/rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]
                            !=
                            pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"/>
        <!--
            IF [TRT30] = NULL AND (COUNT(SCHEDULE = ""IEE"") > 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [TRT30] = TRT:RP:Elections.InterposedEntityElectionStatus.Year
        -->
        <assert id="VR.ATO.TRT.432019" diagnostics="DVR.ATO.TRT.432019"
                test="not(
                        not(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and count($IEE.Context) &gt; 0
                      )"/>

        <!--
            IF [TRT29] = SET("R|V") AND (COUNT(SCHEDULE = "FTER") = 0)
                 RETURN VALIDATION MESSAGE
            ENDIF

            [TRT29] = TRT:RP:Elections.FamilyTrustElectionRevocation.Code        
        -->
        <assert id="VR.ATO.TRT.432017" diagnostics="DVR.ATO.TRT.432017"
                test="not(
                        rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') 
                          and regexp:test(.,'^(R|V)$')]
                        and
                        count($FTER.Context) = 0
                      )"/>

        <!--
            IF [TRT132] = TRUE AND (COUNT(SCHEDULE = "CGTS") = 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT132] = TRT:RP:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
        -->
        <assert id="VR.ATO.TRT.432187" diagnostics="DVR.ATO.TRT.432187"
                test="not(
                        rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
                          [@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and count($CGT.Context) = 0
                     )"/>
        <!--
        IF (
            [TRT42] <> SET ( ""62100"",""62210"",""62220"",""62230"",""62290"",""62300"",""62400"",""63100"",""63210"",""63220"",""63300',""64110"",""64190"",""64200""
           ) 
        OR
            (
                (
                    [TRT46]+[TRT47]+[TRT49]+[TRT50]+[TRT52]+[TRT54]+[TRT55]
                    +[TRT76]+[TRT77]+[TRT80]+[TRT81]+[TRT89]+[TRT93]+[TRT94]+
                    [TRT96]+[TRT97]+[TRT121]+[TRT134]+[TRT135]+[TRT136]+[TRT140]
                ) 
                < 250 000 000
            )
        ) 
        AND [TRT138] = TRUE
        AND [TRT44] <> TRUE
        AND (COUNT(SCHEDULE = ""S25A"") = 1) 
        AND ([S25A53] = NULL AND [S25A55] = NULL AND [S25A57] = NULL AND [S25A54] = NULL AND [S25A56] = NULL 
        AND  [S25A58] = NULL AND [S25A59] = NULL AND [S25A60] = NULL AND [S25A61] = NULL AND [S25A62] = NULL 
         AND [S25A63] = NULL AND [S25A64] = NULL AND [S25A65] = NULL AND [S25A66] = NULL AND [S25A67] = NULL 
         AND [S25A68] = NULL AND [S25A69] = NULL AND [S25A70] = NULL AND [S25A71] = NULL AND [S25A72] = NULL 
         AND [S25A73] = NULL AND [S25A76] = NULL AND [S25A77] = NULL AND [S25A78] = NULL AND [S25A79] = NULL 
         AND [S25A80] = NULL AND [S25A81] = NULL AND [S25A82] = NULL AND [S25A83] = NULL AND [S25A84] = NULL)
        
        RETURN VALIDATION MESSAGE
        ENDIF
        [TRT42] = TRT:RP:pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
        [TRT46] = TRT:RP.Prim.JAus  lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
        [TRT47] = TRT:RP.NonPrim.JAus  lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
        [TRT49] = TRT:RP.NonPrim.JAus  lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
        [TRT50] = TRT:RP.Prim.JAus  gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        [TRT52] = TRT:RP.NonPrim.JAus  gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        [TRT54] = TRT:RP.Prim.JAus  bafpr1.02.04:Income.Other.Amount
        [TRT55] = TRT:RP.NonPrim.JAus  bafpr1.02.04:Income.Other.Amount
        [TRT76] = TRT:RP.Prim.JAus bafpr1.02.02:Income.PartnershipDistributionGross.Amount
        [TRT77] = TRT:RP.Prim.JAus bafpr1.02.02:Income.TrustDistributionGross.Amount
        [TRT80] = TRT:RP.NonPrim.JAus bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
        [TRT81] = TRT:RP.NonPrim.JAus  bafpr1.02.05:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount
        [TRT89] = TRT:RP.JAus bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount
        [TRT93] = TRT:RP.JAus bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount
        [TRT94] = TRT:RP.JAus bafpr2.02.02:Income.Interest.Gross.Amount
        [TRT96] = TRT:RP.JAus bafpr1.02.05:Income.DividendsUnfranked.Amount
        [TRT97] = TRT:RP.JAus bafpr1.02.00:Income.DividendsFranked.Amount
        [TRT121] = TRT:RP.JAus  bafpr1.02.04:Income.Other.Amount IN TUPLE(trt.0001.lodge.req.02.00:OtherAustralianIncome )
        [TRT134] = TRT:RP.JForeign.CFCLC  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        [TRT135] = TRT:RP.JForeign.CFC404  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        [TRT136] = TRT:RP.JForeign.CFCUC  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        [TRT140] = TRT:RP.JForeign  bafpr1.02.04:Income.Other.Amount
        [TRT138] = TRT:RP.JForeign  bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
        [TRT44] = TRT:RP pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator
        [S25A53] = S25A:RP.Opening.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        [S25A55] = S25A:RP.Opening.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        [S25A57] = S25A:RP.Opening.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        [S25A54] = S25A:RP.Closing.CFCLC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        [S25A56] = S25A:RP.Closing.CFC404:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        [S25A58] = S25A:RP.Closing.CFCUC:bafot.xx.xx:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
        [S25A59] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
        [S25A60] = S25A:RP.CFC404:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
        [S25A61] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
        [S25A62] = S25A:RP.All:bafpr1.xx.xx:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount
        [S25A63] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount
        [S25A64] = S25A:RP:bafpr1.xx.xx:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
        [S25A65] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
        [S25A66] = S25A:RP.s404AndUnlisted:bafpr1.xx.xx:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount
        [S25A67] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
        [S25A68] = S25A:RP.CFC404:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
        [S25A69] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount
        [S25A70] = S25A:RP.CFCLC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
        [S25A71] = S25A:RP.CFC404:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
        [S25A72] = S25A:RP.CFCUC:bafpr1.xx.xx:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount
        [S25A73] = S25A:RP:bafpr1.xx.xx:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount
        [S25A76] = S25A:RP:bafot.xx.xx:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
        [S25A77] = S25A:RP:bafot.xx.xx:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
        [S25A78] = S25A:RP:bafot.xx.xx:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
        [S25A79] = S25A:RP:bafot.xx.xx:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator
        [S25A80] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator
        [S25A81] = S25A:RP:bafot.xx.xx:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator
        [S25A82] = S25A:RP:bafot.xx.xx:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator
        [S25A83] = S25A:RP:bafot.xx.xx:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator
        [S25A84] = S25A:RP:bafot.xx.xx:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator
        -->
        <assert id="VR.ATO.TRT.432200" diagnostics="DVR.ATO.TRT.432200"
                test="not(
                            (
                                not(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
                                    [@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') 
                                    and regexp:test(.,'^(62100|62210|62220|62230|62290|62300|62400|63100|63210|63220|63300|64110|64190|64200)$')])
                                or
                                sum(common:node-set(
                                    lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr1.02.05:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    trt.0001.lodge.req.02.00:OtherAustralianIncome/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAus.TRT.ContextId] |
                                    bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                )) &lt; 250000000
                            )
                           
        
                            and
                            bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
                                        [@contextRef = $RP.JForeign.TRT.ContextId and regexp:test(.,'^(true|1)$')]
                            and
                            not(pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator
                                    [@contextRef = $RP.TRT.ContextId and regexp:test(.,'^(true|1)$')])
                                    
                            and count($S25A.Context) = 1
                            and(
                                not($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Opening.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.DirectOrIndirectInterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef = $RP.Closing.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesAndControlledForeignTrustsAttributableIncome.Amount[@contextRef = $RP.All.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsWhereChangeOfResidenceOccurredAttributableIncomeTotal.Amount[@contextRef= $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.ControlledForeignCompaniesandControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef= $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.ForeignBranchProfitsOfAustralianCompaniesNonAssessableNonExemptIncome.Amount[@contextRef = $RP.s404andUnlisted.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedControlledForeignCompanyIncomeNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCLC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFC404.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.NonPortfolioDividendFromForeignCountryNonAssessableNonExemptIncome.Amount[@contextRef = $RP.CFCUC.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafpr1.02.02:Income.PaidOutOfAttributedForeignInvestmentFundNonAssessableNonExemptIncome.Amount[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.AccumulatedProfitsTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.AccumulatedLossesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.PaidUpCapitalTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.OtherAssetsAndReservesTransferredFromControlledForeignCompanyOrControlledForeignTrustOfUnlistedCountryToRelatedEntityInListedCountry.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.TransferOfPropertyOrServicesToNonResidentTrustEstate.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.BeneficiaryOfNonResidentTrustEstate.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.InterestInOrEntitlementToAcquireInterestInNonResidentTrustEstate.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.TransferBeneficiaryOrInterestInDiscretionaryNonResidentTrustEstate.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                                not($S25A.Context/bafot.02.02:Miscellaneous.AbilityToDirectlyOrIndirectlyControlOrDirectANonResidentTrust.Indicator[@contextRef = $RP.S25A.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                      )"/>
        <!--
            IF ([TRT145] + [TRT146]) > 100000 AND [TRT44] <> TRUE AND (COUNT(SCHEDULE = "LS") = 0)
                 RETURN VALIDATION MESSAGE
            ENDIF^^
            [TRT145] = TRT:RP.Closing:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
            [TRT146] = TRT:RPI.Closing:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
            [TRT44] = TRT:RP:OrganisationDetails.TaxConsolidationStatus.Indicator
        -->
        <assert id="VR.ATO.TRT.432210" diagnostics="DVR.ATO.TRT.432210"
                test="not(
                          sum(common:node-set(
                             rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Closing.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]
                           ))&gt;100000
                           and not(pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator[@contextRef=$RP.TRT.ContextId  and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                         and count($LOS.Context) = 0                             
                     )"/>

        <!--
            IF [TRT32] = "179" AND [TRT144] > 100000 AND (COUNT(SCHEDULE = "LS") = 1) 
            AND [LS15] = NULL AND [LS16] = NULL AND [LS17] = NULL AND [LS18] = NULL 
            AND [LS19] = NULL AND [LS53] = NULL 
             RETURN VALIDATION MESSAGE
            ENDIF
            [TRT32] = TRT:RP:OrganisationDetails.OrganisationType.Code
            [TRT144] = TRT:RP:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [LS15] = LS:RP.Y0:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS16] = LS:RP.Y0-1:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS17] = LS:RP.Y0-2:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS18] = LS:RP.Y0-3:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS19] = LS:RP.Y0-4:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
            [LS53] = LS:RP.Y0-5+:rvctc3.xx.xx:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
           
        -->
        <assert id="VR.ATO.TRT.432208" diagnostics="DVR.ATO.TRT.432208"
                test="not(
                         pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.TRT.ContextId  and not(@i:nil='true' or @i:nil='1') and number(.)=179]
                         and 
                         sum(common:node-set(
                              rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]
                           ))&gt;100000                         
                          and count($LOS.Context) =1   
                          and not($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and not($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-1.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and not($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-2.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and not($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-3.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and not($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-4.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and not($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-5P.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"/>

        <!--
            IF (COUNT(SCHEDULE = "LS") = 1) AND [LS50] <> [TRT145] 
                RETURN VALIDATION MESSAGE
            ENDIF
            [LS50] = LS:RP.ALL:rvctc3.xx.xx:Tax.Losses.CarriedForward.Total.Amount
            [TRT145] = TRT:RP.Closing:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
           
        -->
        <assert id="VR.ATO.TRT.432212" diagnostics="DVR.ATO.TRT.432212"
                test="not(
                            count($LOS.Context) =1 
                            and 
                            round(100*sum(common:node-set(
                             rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')])))
                             !=  
                            round(100* sum(common:node-set(
                                $LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.All.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          )"/>

        <!--
            IF 
               (
                [TRT42] <> SET ("62100","62210","62220","62230","62290","62300","62400","63100","63210","63220","63300',"64110","64190","64200")
                OR
                (
                  ([TRT46]+[TRT47]+[TRT49]+[TRT50]+[TRT52]+[TRT54]+[TRT55]+[TRT76]+[TRT77]+[TRT80]+[TRT81]+[TRT89]+[TRT93]+[TRT94]+[TRT96]+[TRT97]+
                   [TRT121]+[TRT134]+[TRT135]+[TRT136]+[TRT140]) < 250000000
                )
               )
               AND 
               (
                 [TRT148] = TRUE 
                 OR [TRT138] = TRUE
               )
               AND [TRT44] <> TRUE
               AND (COUNT(SCHEDULE = "S25A") = 0
            )
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT42]  = TRT:RP                 pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [TRT148] = TRT:RP                 rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [TRT46]  = TRT:RP.Prim.JAus       lrla.02.00 lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47]  = TRT:RP.NonPrim.JAus    lrla.02.00 lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49]  = TRT:RP.NonPrim.JAus    lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT50]  = TRT:RP.Prim.JAus       gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT52]  = TRT:RP.NonPrim.JAus    gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54]  = TRT:RP.Prim.JAus       bafpr1.02.04:Income.Other.Amount
            [TRT55]  = TRT:RP.NonPrim.JAus    bafpr1.02.04:Income.Other.Amount
            [TRT76]  = TRT:RP.Prim.JAus       bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [TRT77]  = TRT:RP.Prim.JAus       bafpr1.02.02:Income.TrustDistributionGross.Amount
            [TRT80]  = TRT:RP.NonPrim.JAus    bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
            [TRT81]  = TRT:RP.NonPrim.JAus    bafpr1.02.05:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount
            [TRT89]  = TRT:RP.JAus            bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount
            [TRT93]  = TRT:RP.JAus            bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount
            [TRT94]  = TRT:RP.JAus            bafpr2.02.02:Income.Interest.Gross.Amount
            [TRT96]  = TRT:RP.JAus            bafpr1.02.05:Income.DividendsUnfranked.Amount
            [TRT97]  = TRT:RP.JAus            bafpr1.02.00:Income.DividendsFranked.Amount
            [TRT121] = TRT:RP.JAus            bafpr1.02.04:Income.Other.Amount IN TUPLE(trt.0001.lodge.req.02.00:OtherAustralianIncome )
            [TRT134] = TRT:RP.JForeign.CFCLC  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JForeign.CFC404 bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JForeign.CFCUC  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT140] = TRT:RP.JForeign        bafpr1.02.04:Income.Other.Amount
            [TRT138] = TRT:RP.JForeign        bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
            [TRT44]  = TRT:RP                 pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator
        -->
        <assert id="VR.ATO.TRT.432219" diagnostics="DVR.ATO.TRT.432219"
                test="not(
                        (
                          not
                          (
                            pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
                            [not(@i:nil='true' or @i:nil='1')
                             and @contextRef = $RP.TRT.ContextId 
                             and regexp:test(.,'^(62100|62210|62220|62230|62290|62300|62400|63100|63210|63220|63300|64110|64190|64200)$')]
                          )
                          or
                          round(100*sum
                          (
                            common:node-set
                            (
                              (
                                lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.05:Income.TrustDistributionLessNetCapitalGainAndForeignIncome.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |                                
                                bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |                                
                                bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |                                
                                trt.0001.lodge.req.02.00:OtherAustralianIncome/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |                                
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |                                
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |                                
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] |                                
                                bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                              )
                            )
                          )) &lt; 100*250000000
                        )
                        and
                        (
                            rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
                              [@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') 
                               and regexp:test(.,'^(true|1)$')]
                            or 
                            bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
                              [@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1') 
                               and regexp:test(.,'^(true|1)$')]
                        )
                        and
                        not(pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator
                          [@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') 
                           and regexp:test(.,'^(true|1)$')])
                        and
                        count($S25A.Context) = 0
                      )" />


        <!--
           IF ([TRT46] + [TRT47]) > 0 AND (COUNT(SCHEDULE = "NIPSS") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF 
            [TRT46] = TRT:RP.Prim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.NonPrim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.TRT.432043" diagnostics="DVR.ATO.TRT.432043"
                test="not(
                          sum(common:node-set(
                             lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]|
                             lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]
                           ))&gt;0
                          and count($NIPSS.Context) = 0                             
                     )"/>
        <!--
            IF (COUNT(SCHEDULE = "NIPPS") > 0) AND SUM([NIPPS9]) <> [TRT46] + [TRT47]
                RETURN VALIDATION MESSAGE
            ENDIF
          
            [NIPSS9] =  NIPSS:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            [TRT46] = TRT:RP.Prim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.NonPrim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert id="VR.ATO.TRT.432044" diagnostics="DVR.ATO.TRT.432044"
                test="not(
                          round(100*sum(common:node-set(
                             lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]|
                             lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]
                           )))!=
                           round(100*sum(common:node-set(
                            $NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))                           
                          and count($NIPSS.Context) &gt; 0                             
                     )"/>
        <!--
            IF  (COUNT(SCHEDULE = "NIPSS") > 0) AND ([TRT49] + [TRT338] <> SUM([NIPPS4]))
                RETURN VALIDATION MESSAGE
            ENDIF^^
            [TRT49] = TRT:RP.NonPrim.JAus:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT338] = TRT:RP.Prim.JAus:Remuneration.PaymentToForeignResidentGross.Amount
             [NIPSS4] = NIPSS:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
            This iss error , Replace[NIPPS4] = [NIPSS4]
        -->
        <assert id="VR.ATO.TRT.432051" diagnostics="DVR.ATO.TRT.432051"
                test="not(
                          round(100*sum(common:node-set(
                             lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]|
                             lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]
                           )))!=
                           round(100*sum(common:node-set(
                            $NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))                           
                          and count($NIPSS.Context) &gt; 0                             
                     )"/>
        <!--
            IF ([TRT73] > 0) 
            AND 
            ((COUNT(SCHEDULE = ""NIPSS"") = 0) OR (SUM([NIPSS28]) <> [TRT73]))
            RETURN VALIDATION ERROR
            ENDIF
            [TRT73] = TRT:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            [NIPSS28] = NIPSS:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = ""DNOABN"") 
            IN TUPLE(nipss.0001.lodge.req.xx.xx:PAYGWithholding) IN TUPLE(nipss.0001.lodge.req.xx.xx:Payer)
        -->
        <assert id="VR.ATO.TRT.432088" diagnostics="DVR.ATO.TRT.432088"
                test="not(
                            sum(common:node-set(
                                rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]
                            )) &gt; 0
                            and 
                            (
                                count($NIPSS.Context) = 0   
                                or
                                sum(common:node-set(
                                    $NIPSS.Context/nipss.0001.lodge.req.02.00:Payer/
                                        nipss.0001.lodge.req.02.00:PAYGWithholding[./rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DNOABN']
                                        /rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                                            [@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1')]
                                ))
                                !=
                                sum(common:node-set(
                                    rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]
                                )) 
                            )
                      )"/>

        <!--
            IF (COUNT(SCHEDULE = "RSPT") > 0) 
                AND (SUM(ALL OCCURRENCES OF([RSPT18] + [RSPT19]))) <> [TRT89]
                    RETURN VALIDATION MESSAGE
            ENDIF
            
            [RSPT18] = RSPT:RP:bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
            [RSPT19] = RSPT:RP:bafpr2.xx.xx:Income.RealEstateProperty.RentalRelatedOther.Amount
            [TRT89] = TRT:RP.JAus:Income.Operating.RentalIncomeGross.Amount
        -->
        <assert id="VR.ATO.TRT.432116" diagnostics="DVR.ATO.TRT.432116"
                test="not(
                        count($RSPT.Context) > 0
                        and 
                        (
                          round(100*sum(common:node-set(
                            $RSPT.Context/bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            $RSPT.Context/bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          !=
                          round(100*sum(common:node-set(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                      )"/>

        <!--
            IF (COUNT(SCHEDULE = "CGTS") = 1) AND 
                [TRT133] <> ([CGTS59] + [CGTS60] + [CGTS61])
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT133] = TRT:RP:Income.CapitalGainsNet.Amount
            [CGTS59] = CGTS:RP.MI:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CGTS60] = CGTS:RP.MD:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CGTS61] = CGTS:RP.MO:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
        -->         
        <assert id="VR.ATO.TRT.432189" diagnostics="DVR.ATO.TRT.432189"
                test="not(
                        count($CGT.Context) = 1
                        and
                        (
                          round(100*sum(common:node-set(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          !=
                          round(100*sum(common:node-set(
                             $CGT.Context/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MI.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$CGT.Context/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MD.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$CGT.Context/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.MO.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                      )"/>

        <!--
            IF (COUNT(SCHEDULE = "IEE") > 0) AND RP:entity.identifier.TFN = (ANY OCCURRENCE OF([IEE50]) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [IEE50] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier
                      IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)
        -->
        <let name="RP.TRT.TFN" value="$RP.TRT.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and exslt:lowercase(@scheme) = 'http://www.ato.gov.au/tfn' and string-length(normalize-space(.)) != 0]"/>
        <assert id="VR.ATO.GEN.430008" diagnostics="DVR.ATO.GEN.430008.TRT"
                test="not(                    
                        count($IEE.Context) &gt; 0
                        and
                        count($IEE.Context
                                /iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]
                                    /pyid.02.00:Identifiers.TaxFileNumber.Identifier
                                        [@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and . = $RP.TRT.TFN]) &gt; 0
                      )"/>

        <!--    
           IF (COUNT(SCHEDULE = "RSPT") > 0) AND [TRT89] = NULL AND ([TRT90] = 0 OR [TRT90] = NULL) AND ([TRT91] = 0 OR [TRT91] = NULL) AND ([TRT92] = 0 OR [TRT92] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT89] = TRT:RP.JAus:bafpr2.xx.xx:Income.Operating.RentalIncomeGross.Amount
            [TRT90] = TRT:RP.JAus:bafpr1.xx.xx:Expense.Interest.Amount
            [TRT91] = TRT:RP.JAus:bafpr1.xx.xx:Expense.CapitalWorksDeduction.Amount
            [TRT92] = TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
       
       -->       
        <assert id="VR.ATO.TRT.432115" diagnostics="DVR.ATO.TRT.432115"
                test="not(
                          count($RSPT.Context) &gt;0 
                          and
                         (
                           not(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and  sum(common:node-set(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]))=0
                          and  sum(common:node-set(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]))=0
                          and sum(common:node-set(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]))=0
                          )
                     )"/>
        <!--    
          IF (COUNT(SCHEDULE = "RSPT") > 0) AND SUM([RSPT39]) <> ([TRT89] - [TRT90] - [TRT91] - [TRT92]) 
                RETURN VALIDATION MESSAGE
            ENDIF
            [RSPT39] = RSPT:RP:bafpr2.xx.xx:Income.RealEstateProperty.RentalNet.Amount
            [TRT89] = TRT:RP.JAus:bafpr2.xx.xx:Income.Operating.RentalIncomeGross.Amount
            [TRT90] = TRT:RP.JAus:bafpr1.xx.xx:Expense.Interest.Amount
            [TRT91] = TRT:RP.JAus:bafpr1.xx.xx:Expense.CapitalWorksDeduction.Amount
            [TRT92] = TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
       -->
        <assert id="VR.ATO.TRT.432117" diagnostics="DVR.ATO.TRT.432117"
                test="not(
                          count($RSPT.Context) &gt;0 
                          and
                        round(100*(  
                                   sum(common:node-set(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                   -
                                   sum(common:node-set(
                                      bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                      bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                      rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                      ))
                             ))!=
                         round(100*(                              
                                  sum(common:node-set( $RSPT.Context/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef = $RP.RSPT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                              ))                           
                     )"/>
        <!--    
            IF ([TRT89] <> NULL OR [TRT90] > 0 OR [TRT91] > 0 OR [TRT92] > 0) AND (COUNT(SCHEDULE = "RSPT") = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT89] = TRT:RP.JAus:bafpr2.xx.xx:Income.Operating.RentalIncomeGross.Amount
            [TRT90] = TRT:RP.JAus:bafpr1.xx.xx:Expense.Interest.Amount
            [TRT91] = TRT:RP.JAus:bafpr1.xx.xx:Expense.CapitalWorksDeduction.Amount
            [TRT92] = TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
       
       -->
        <assert id="VR.ATO.TRT.432120" diagnostics="DVR.ATO.TRT.432120"
                test="not(
                          count($RSPT.Context) =0 
                          and
                         (
                           bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                          or bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')and number(.) &gt;0 ]
                          or bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt;0 ]
                          or rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt;0 ]
                          )
                     )"/>

    </rule>

</pattern>
