﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Cross Form Validation Variables</title>
 
    <!-- TRT Context -->
    <let name="TRT.Context"
         value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/trt/trt_0001/trt.0001.lodge.request.02.00.report.xsd']]"/>
                                                                

    <!-- RP Context -->
    <let name="RP.TRT.Context" value="$TRT.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1') 
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
            ]"/>

    <!-- RP Context Id -->
    <let name="RP.TRT.ContextId" value="$RP.TRT.Context/@id"/>

    <!-- RP.Prim.JAus.Context Variables -->
    <let name="RP.Prim.JAus.TRT.Context"
          value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and regexp:test(., '^IndustryProductionType\.\d\d\.\d\d:PrimaryProduction$')]) = 1]
           ]" />

    <let name="RP.Prim.JAus.TRT.ContextId" value="$RP.Prim.JAus.TRT.Context/@id" />

    <!-- RP.NonPrim.JAus Context Variables -->
    <let name="RP.NonPrim.JAus.TRT.Context"
         value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and regexp:test(., '^IndustryProductionType\.\d\d\.\d\d:NonPrimaryProduction$')]) = 1]
           ]" />

    <let name="RP.NonPrim.JAus.TRT.ContextId" value="$RP.NonPrim.JAus.TRT.Context/@id" />


    <!-- RP.JForeign Context -->
    <let name="RP.JForeign.TRT.Context" value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]
            ]" />

    <!-- RP.JForeign Context Id -->
    <let name="RP.JForeign.TRT.ContextId" value="$RP.JForeign.TRT.Context/@id" />

    <!-- RP.JAus Context -->
    <let name="RP.JAus.TRT.Context" value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1]
            ]" />

    <!-- RP.JAus Context Id -->
    <let name="RP.JAus.TRT.ContextId" value="$RP.JAus.TRT.Context/@id" />



    <!-- RP.CFCLC.JForeign.Context Variables -->
    <let name="RP.CFCLC.JForeign.TRT.Context"
         value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />

    <let name="RP.CFCLC.JForeign.TRT.ContextId" value="$RP.CFCLC.JForeign.TRT.Context/@id" />

    <!-- RP.CFC404.JForeign.Context Variables -->
    <let name="RP.CFC404.JForeign.TRT.Context"
         value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />

    <let name="RP.CFC404.JForeign.TRT.ContextId" value="$RP.CFC404.JForeign.TRT.Context/@id" />

    <!-- RP.CFCUC.JForeign.Context Variables -->
    <let name="RP.CFCUC.JForeign.TRT.Context"
         value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and regexp:test(., '^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and regexp:test(., '^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
           ]" />

    <let name="RP.CFCUC.JForeign.TRT.ContextId" value="$RP.CFCUC.JForeign.TRT.Context/@id" />    
    
    
    <!-- INT Context -->
    <let name="INT.TRT.Context" value="$TRT.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:Intermediary$')]
            ]"/>

    <!-- INT Context Id -->
    <let name="INT.TRT.ContextId" value="$INT.TRT.Context/@id"/>

    <!-- RP.Closing.Y0Plus.TRT Context -->
    <let name="RP.Closing.Y0Plus.TRT.Context" value="$TRT.Context/xbrli:context[
				not(@i:nil='true' or @i:nil='1')
				and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
				xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])
			]" />

    <!-- RP.Closing.Y0Plus.TRT Context Id -->
    <let name="RP.Closing.Y0Plus.TRT.ContextId" value="$RP.Closing.Y0Plus.TRT.Context/@id" />

    <!-- RPI.Closing.Y0Plus.TRT Context -->
    <let name="RPI.Closing.Y0Plus.TRT.Context" value="$TRT.Context/xbrli:context[
				not(@i:nil='true' or @i:nil='1')
				and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
				xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]
			]" />

    <!-- RPI.Closing.Y0Plus.TRT Context Id -->
    <let name="RPI.Closing.Y0Plus.TRT.ContextId" value="$RPI.Closing.Y0Plus.TRT.Context/@id" />
    
    <!-- RP.TOFA Context -->
    <let name="RP.TOFA.TRT.Context" value="$TRT.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and regexp:test(., '^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]
            ]"/>

    <!-- RP.TOFA Context Id -->
    <let name="RP.TOFA.TRT.ContextId" value="$RP.TOFA.TRT.Context/@id"/>

    <!-- RP.Closing Context -->
    <let name="RP.Closing.TRT.Context" value="$TRT.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
				and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])
            ]"/>

    <!-- RP.Closing Context Id -->
    <let name="RP.Closing.TRT.ContextId" value="$RP.Closing.TRT.Context/@id"/>

    <!-- RPI.Closing Context -->
    <let name="RPI.Closing.TRT.Context" value="$TRT.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and regexp:test(., '^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]
            ]"/>

    <!-- RPI.Closing Context Id -->
    <let name="RPI.Closing.TRT.ContextId" value="$RPI.Closing.TRT.Context/@id"/>
    
</pattern>
