﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>


    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">


        <assert  id="VR.ATO.CTR.428136" diagnostics="DVR.ATO.CTR.428136" test="not(
                                (
                                    sum(common:node-set(rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                                    or 
                                    sum(common:node-set(rvctc1.02.00:IncomeTax.TaxLossesTransferredIn.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                                )
                                and  
                                sum(common:node-set(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId])) &lt; 0
                            )"></assert>
        
        <!--
            Rule ID: VR.ATO.GEN.428326
        
            IF [CTR309]<> [CTR308] * 0.315
               RETURN VALIDATION MESSAGE
            ENDIF^^
            [CTR309] = CTR:RP:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount
            [CTR308] = CTR:RP:Income.RetirementSavingsAccountTFNNotQuotedContributionsIncome.Amount
        -->
        <assert  id="VR.ATO.CTR.428326" diagnostics="DVR.ATO.CTR.428326" 
                 test="not(
                        sum(common:node-set(rvctc1.02.04:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) !=
                        (sum(common:node-set(bafpr1.02.05:Income.RetirementSavingsAccountTFNNotQuotedContributionsIncome.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.315)
                       )"></assert>

        <!--
            IF ([CTR252] > 0 OR [CTR254] > 0 OR [CTR255] > 0 OR [CTR256] > 0) 
            AND [CTR310] = NULL AND [CTR311] = NULL AND [CTR260] = NULL AND [CTR290] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR252] = CTR:RP.TOFA:Income.Total.Amount
            [CTR254] = CTR:RP.TOFA:Expense.Total.Amount
            [CTR255] = CTR:RP.TOFA:Income.OtherTotal.Amount
            [CTR256] = CTR:RP.TOFA:Expense.DeductibleOther.Amount
            [CTR310] = CTR:RP.TOFA:Income.GainsTotal.Amount
            [CTR311] = CTR:RP.TOFA:Expense.LossesTotal.Amount
            [CTR260] = CTR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
            [CTR290] = CTR:RP.TOFA:Income.FinancialArrangementsUnrealisedGains.Amount
        -->
        <assert id="VR.ATO.CTR.428330" diagnostics="DVR.ATO.CTR.428330"
                test="not(
                          (
                           sum(common:node-set(bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                           or sum(common:node-set(bafpr1.02.00:Expense.Total.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                           or sum(common:node-set(bafpr1.02.04:Income.OtherTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                           or sum(common:node-set(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                          )
                           and not(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                           and not(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                           and not(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                           and not(bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"/>

        <!--
            Rule ID: VR.ATO.GEN.428104
            
            IF ([CTR208] > 0) AND ([CTR58] = NULL)
             RETURN VALIDATION ERROR
            ENDIF
            
            [CTR208] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN")
            IN TUPLE(ctr.0002.lodge.req.xx.xx:ITPAYGWithholdingDetails)
            [CTR58] = CTR:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->
        <assert  id="VR.ATO.CTR.428104" diagnostics="DVR.ATO.CTR.428104"
                 subject="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount"
                 test="not(
                        ctr.0002.lodge.req.02.00:ITPAYGWithholdingDetails[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                        and exslt:uppercase(../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code)='DNOABN']
                        &gt; 0  
                        and 
                        count(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0   
                     )"></assert>
        
        <!--
            Rule ID: VR.ATO.GEN.428204
            
            IF COUNT ((pyde.xx.xx:AddressDetails.Usage.Code = ""POS"") > 2)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428204" diagnostics="DVR.ATO.GEN.428204" subject="address2.02.01:AddressDetails/pyde.02.01:AddressDetails.Usage.Code" test="not(count(address2.02.01:AddressDetails[exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code)='POS']) &gt; 2)"></assert>
        <!--
            Rule ID: VR.ATO.GEN.428205
            
            IF COUNT ((pyde.xx.xx:AddressDetails.Usage.Code = ""POS"") AND (pyde.xx.xx:AddressDetails.Currency.Code = ""C"")) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428205" diagnostics="DVR.ATO.GEN.428205" subject="address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Currency.Code" test="not(count(address2.02.01:AddressDetails
                          [exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code)='POS' 
                          and exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code)='C']) != 1)"></assert>
        <!--
            Rule ID:  VR.ATO.GEN.428217
            
            IF COUNT (pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C") > 3
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428217" diagnostics="DVR.ATO.GEN.428217" subject="pyde.02.00:OrganisationNameDetails.Currency.Code" test="not(count(//pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and exslt:uppercase(.)='C' and not(@i:nil='true' or @i:nil='1')] )  &gt; 3)"></assert>
        <!--
            Rule ID:  VR.ATO.GEN.428218
            
            IF COUNT (pyde.xx.xx:OrganisationNameDetails.Currency.Code = "P") > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428218" diagnostics="DVR.ATO.GEN.428218" subject="pyde.02.00:OrganisationNameDetails.Currency.Code" test="not(count(//pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and exslt:uppercase(.)='P' and not(@i:nil='true' or @i:nil='1')] )  &gt; 1)"></assert>
        <!--    Rule ID: VR.ATO.GEN.428224
                
                IF COUNT (pyde.xx.xx:PersonNameDetails.Currency.Code = ""C"") > 1
                RETURN VALIDATION MESSAGE
                END IF
            -->

        <assert  id="VR.ATO.GEN.428224" diagnostics="DVR.ATO.GEN.428224" subject="prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.Currency.Code" test="not(count(prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428018
            
            IF ([CTR14] <> NULLORBLANK) AND ([CTR12] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR14] = CTR:RP.Y0-1:pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier
            [CTR12] = CTR:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")
            AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "P"))
            IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)
        -->

        <assert  id="VR.ATO.CTR.428018" diagnostics="DVR.ATO.CTR.428018" subject="pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier" test="
                        not
                        (
                            count(pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            &gt; 0
                            and
	                        count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/
                            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[
                            @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and string-length(normalize-space(.)) != 0
                            and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                            and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'P'])
                            = 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428019
            
            IF [CTR12] <> NULLORBLANK AND [CTR13] = NULLORBLANK AND [CTR14] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR12] = CTR:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
                      WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "P"))
                      IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)
            [CTR13] = CTR:RP.Y0-1:pyid.xx.xx:Identifiers.AustralianRegisteredBodyNumber.Identifier
            [CTR14] = CTR:RP.Y0-1:pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier
        -->

        <assert  id="VR.ATO.CTR.428019" diagnostics="DVR.ATO.CTR.428019" subject="orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="
	                    not
	                    (
                            count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                             and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                             and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'P'])
                            &gt; 0
                            and
                            (
                                count(pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                = 0
                                and
                                count(pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                = 0
                            )
	                    )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428020
            
            IF ([CTR13] <> NULLORBLANK) AND ([CTR12] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR13] = CTR:RP.Y0-1:pyid.xx.xx:Identifiers.AustralianRegisteredBodyNumber.Identifier
            [CTR12] = CTR:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND
            (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "P"))
            IN TUPLE(orgname2.xx.xx:OrganisationNameDetails
        -->

        <assert  id="VR.ATO.CTR.428020" diagnostics="DVR.ATO.CTR.428020" subject="pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier" test="
                        not
                        (
                            count(pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            &gt; 0
                            and
	                        count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/
                            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[
                            @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and string-length(normalize-space(.)) != 0
                            and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN'
                            and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'P'])
                            = 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428031
            
            IF (CTR:RP:bafpr1.xx.xx:Income.FirstHomeSaverAccountCredited.Amount = NULLORBLANK)
            AND (CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code = "088")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428031" diagnostics="DVR.ATO.CTR.428031" subject="bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount" test="
	                    not
	                    (
			                pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            = '088'
	                        and
	                        count(bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            = 0
	                    )"></assert>
        <!--
            Rule ID:  VR.ATO.CTR.428041
            
            IF ([CTR58] > 0) AND 
            ([CTR208] > (([CTR58] * 0.50) +1))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR58] = CTR:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            [CTR208] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN") 
            IN TUPLE(ctr.0002.lodge.req.xx.xx:ITPAYGWithholdingDetails)
            
            IF ([CTR58] > 0) AND 
([CTR208] > (([CTR58] * 0.50) +1))
   RETURN VALIDATION MESSAGE
ENDIF^^
[CTR58] = CTR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
[CTR208] = CTR:RP:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN")
IN TUPLE(ctr.0002.lodge.req.xx.xx:ITPAYGWithholdingDetails)
        -->

        <assert  id="VR.ATO.CTR.428041" diagnostics="DVR.ATO.CTR.428041" test="
                 not
                 (
                    sum
                    (   
                        common:node-set
                            (
                                lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                    )
                    &gt; 0
                    and 
                    (
                        sum
                        (
                            common:node-set
                            (
                                ctr.0002.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN']
                            )
                        ) 
                       &gt; 
                        (
                        sum
                            (
                                common:node-set
                                    (
                                        (
                                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                        )
                                    * 0.5
                                    )
                               )
                                + 1
                         )
                        
                                
                    )
                )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428042
            
            IF ([CTR58] > 0) AND ([CTR208] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR58] = CTR:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            [CTR208] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN")
            IN TUPLE(ctr.0002.lodge.req.xx.xx:ITPAYGWithholdingDetails)
            
               
        -->

        <assert  id="VR.ATO.CTR.428042" diagnostics="DVR.ATO.CTR.428042" subject="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount" 
                 test="not(
                    sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                    and not(ctr.0002.lodge.req.02.00:ITPAYGWithholdingDetails[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN']))"/>





        <!--not
        (
        sum(common:node-set(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
        and
        not(ctr.0002.lodge.req.02.00:ITPAYGWithholdingDetails[not(@i:nil='true' or @i:nil='1')]/
        rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
        and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN'
        ])
        )-->




        <!--
            Rule ID: VR.ATO.CTR.428043
            
            IF ([CTR211] = NULL) AND (([CTR60] > 0) OR ([CTR61] > 0))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR211] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount
            [CTR60] = CTR:RP:bafpr1.xx.xx:Income.PartnershipDistributionGross.Amount
            [CTR61] = CTR:RP:bafpr1.xx.xx:Income.TrustDistributionGross.Amount
            IN TUPLE(ctr.0002.lodge.req.xx.xx:TrustDistributionIncome)
        -->

        <assert  id="VR.ATO.CTR.428043" diagnostics="DVR.ATO.CTR.428043" subject="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount" test="
                        not
                        (
                            count(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            = 0
                            and
                            (
                                number(bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                &gt; 0
                                or
                                number(ctr.0002.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                &gt; 0
                            )
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428045
        
            IF (([CTR207] > 0 ) AND ([CTR60] = NULL) AND ([CTR61] = NULL)) AND 
            ([CTR207] > (([CTR57] * 0.50) + 1))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR207] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
            WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW")
            IN TUPLE(ctr.0002.lodge.req.xx.xx:ITPAYGWithholdingDetails)
            [CTR60] = CTR:RP:bafpr1.xx.xx:Income.PartnershipDistributionGross.Amount
            [CTR61] = CTR:RP:bafpr1.xx.xx:Income.TrustDistributionGross.Amount
            IN TUPLE(ctr.0002.lodge.req.xx.xx:TrustDistributionIncome)
            [CTR57] = CTR:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
        -->
        <assert  id="VR.ATO.CTR.428045" diagnostics="DVR.ATO.CTR.428045"
                 subject="ctr.0002.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount" test="
                        not
                        (
	                        number(ctr.0002.lodge.req.02.00:ITPAYGWithholdingDetails[not(@i:nil='true' or @i:nil='1')]/
                            rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[
                            @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DFRW'])
                            &gt; 0                            
                            and
                            (	
                                count(bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0
                                and
                                count(ctr.0002.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0
                            )
                            and
	                        number(ctr.0002.lodge.req.02.00:ITPAYGWithholdingDetails[not(@i:nil='true' or @i:nil='1')]/
                            rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[
                            @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                            and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DFRW'])
                            &gt;
                            number(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) * 0.50 + 1
                        )"></assert>
        
        <!--    
            Rule ID: VR.ATO.CTR.428050
            
            IF ([CTR61] = NULL) AND (([CTR172] > 0) AND ([CTR173] = "T"))
                RETURN VALIDATION ERROR MESSAGE
            ENDIF
            
            [CTR61] = CTR:RP:bafpr1.xx.xx:Income.TrustDistributionGross.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:TrustDistributionIncome)
            [CTR172] = CTR:RP:bafpr1.xx.xx:Income.Net.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
            [CTR173] = CTR:RP:gfati.xx.xx:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)            
        -->

        <assert  id="VR.ATO.CTR.428050" diagnostics="DVR.ATO.CTR.428050" subject="bafpr1.02.02:Income.TrustDistributionGross.Amount" test="not(
                                count(ctr.0002.lodge.req.02.00:TrustDistributionIncome/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                                and
                                (
                                sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                                and
                                ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/gfati.02.00:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] = 'T'
                                )
                            )"></assert>
        <!--    
            Rule ID: VR.ATO.CTR.428058
        
            IF
	            (   (  [CTR59]  <>  NULLORBLANK   OR [CTR123]  <>  NULLORBLANK   OR [CTR124]  <>  NULLORBLANK   OR [CTR125]  <>  NULLORBLANK   )    AND [CTR73]   =   NULLORBLANK )
	            RETURN VALIDATION MESSAGE
            ENDIF
        
            [CTR59]  = CTR:$RP.ContextId:bafpr2.xx.xx:Income.SaleOfGoodsAndServices.Other.Amount
            [CTR123]  = CTR:$RPI.Opening.ContextId:bafpo7.xx.xx:Assets.Inventories.Total.Amount
            [CTR124]  = CTR:$RP.ContextId:bafpr2.xx.xx:Expense.Purchases.AndOtherCosts.Amount
            [CTR73]  = CTR:$RP.ContextId:bafpr2.xx.xx:Expense.Operating.CostOfSales.Amount
        -->

        <assert  id="VR.ATO.CTR.428058" diagnostics="DVR.ATO.CTR.428058" subject="bafpr2.02.02:Expense.Operating.CostOfSales.Amount" test="not(
                            (	
	                         count(bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                         or
	                         count(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef = $RPI.Opening.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
	                         or
	                         count(bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                             or
	                         count(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            )	
	                        and count(bafpr2.02.00:Expense.Operating.CostOfSales.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428061
            IF 
            (     
                (   ([CTR99] > 0) AND ([CTR84] = NULL)  ) 
                OR    
                (   ([CTR84] > 0) AND ([CTR99] = NULL)  )
            )
            AND(([CTR168] = NULL) AND ([CTR169] = NULL) AND ([CTR170] = NULL))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR99] = CTR:RP:bafpr1.xx.xx:Expense.DepreciationAllowableDeduction.Amount
            [CTR84] = CTR:RP:bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
            [CTR168] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount
            [CTR169] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount
            [CTR170] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount
        -->

        <assert  id="VR.ATO.CTR.428061" diagnostics="DVR.ATO.CTR.428061" subject="bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount" test="not(
                          ((
                            number(bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and count(bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                            )
                          or
                          (
                            number(bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            and count(bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0
                          ))
                          and
                          (
                            count(bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and count(bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            and count(bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          ))"></assert>
        
        <!--
            Rule ID: VR.ATO.CTR.428086
            
            IF ANY OCCURRENCE OF (([CTR165] = "PR") AND ([CTR166] > 999))
                RETURN VALIDATION MESSAGE
            ENDIF^^
            [CTR165] = CTR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code IN TUPLE(ctr.0002.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
            [CTR166] = CTR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number IN TUPLE(ctr.0002.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
        -->
        <assert  id="VR.ATO.CTR.428086" diagnostics="DVR.ATO.CTR.428086" subject="bafpr3.02.02:Income.Insurance.Taxable.Amount" test="not(count(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(63100|62400)$')]) = 0
                          and(
                                count(bafpr3.02.02:Income.Insurance.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or count(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CMPLY.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or count(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ORD.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or count(bafpr3.02.02:Income.Insurance.Taxable.Amount[@contextRef=$RP.CMPLY.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or count(bafpr3.02.02:Income.Insurance.FeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                           ))"></assert>
        <!--
            Rule Id: VR.ATO.CTR.428080
         
            IF (ANY OCCURRENCE OF ([CTR165] <> NULLORBLANK)) AND ([CTR100] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF^^
            [CTR165] = CTR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code
            IN TUPLE(ctr.0002.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
            [CTR100] = CTR:RP:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
        -->
        <assert  id="VR.ATO.CTR.428080" diagnostics="DVR.ATO.CTR.428080"
                 subject="ctr.0002.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation/gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code"
                 test="not(count(ctr.0002.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation[not(@i:nil='true' or @i:nil='1')]/gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code
                          [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                          and count(bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount) = 0)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428091
            
            IF [CTR49] = ""63100"" AND ([CTR179] = NULL OR [CTR180] = NULL OR [CTR181] = NULL OR [CTR182] = NULL OR [CTR183] = NULL)
            RETURN VALIDATION MESSAGE
            END IF
            [CTR49] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR179] = CTR:RP:bafpr3.xx.xx:Income.Insurance.Taxable.Amount
            [CTR180] = CTR:RP.CMPLY:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CTR181] = CTR:RP.ORD:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            
            [CTR182] = CTR:RP.CMPLY:bafpr3.xx.xx:Income.Insurance.Taxable.Amount
            [CTR183] = CTR:RP:bafpr3.xx.xx:Income.Insurance.FeesAndCharges.Amount
       -->

        <assert  id="VR.ATO.CTR.428091" diagnostics="DVR.ATO.CTR.428091" subject="bafpr3.02.02:Income.Insurance.Taxable.Amount" test="not(count(pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(63100)$')]) &gt; 0
                          and(count(bafpr3.02.02:Income.Insurance.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                              or count(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CMPLY.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                              or count(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ORD.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                              or count(bafpr3.02.02:Income.Insurance.Taxable.Amount[@contextRef=$RP.CMPLY.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                              or count(bafpr3.02.02:Income.Insurance.FeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0))"></assert>
        <!--
            Rule ID:  VR.ATO.CTR.428103
            
            IF ([CTR200] <> NULL) AND ([CTR200] > [CTR199])
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR200] = CTR:RP:gfati.xx.xx:TaxOffsetClaim.OtherRebatesAndTaxOffsets.Amount
            [CTR199] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
        -->

        <assert  id="VR.ATO.CTR.428103" diagnostics="DVR.ATO.CTR.428103" subject="gfati.02.01:TaxOffsetClaim.OtherRebatesAndTaxOffsets.Amount" test="not(
                              count(gfati.02.01:TaxOffsetClaim.OtherRebatesAndTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                              and
                              (
                               gfati.02.01:TaxOffsetClaim.OtherRebatesAndTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                              )
                            )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428110
        
            IF ([CTR194] = TRUE) AND
            ([CTR193] <> TRUE)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR194] = CTR:RP:rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
            [CTR193] = CTR:RP:rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactions.Indicator
        -->

        <assert  id="VR.ATO.CTR.428110" diagnostics="DVR.ATO.CTR.428110" subject="rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator" test="not(
                          rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                          and
                          rvctc4.02.00:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]  
                          )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428111
       
            IF ([CTR193] = FALSE) AND ([CTR194] <> FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR193] = CTR:RP:rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactions.Indicator
            [CTR194] = CTR:RP:rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        -->

        <assert  id="VR.ATO.CTR.428111" diagnostics="DVR.ATO.CTR.428111" subject="rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator" test="not(
                                rvctc4.02.00:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]  
                                and 
                                not(rvctc4.02.00:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')])
                              )"></assert>
        <!--
            Rule ID:  VR.ATO.CTR.428115
            
            IF [CTR195] = FALSE AND ([CTR156] > 0) OR ([CTR157] > 0) OR ([CTR158] > 0) OR ([CTR159] > 0) 
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR195] = CTR:RP:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
            [CTR156] = CTR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
            [CTR157] = CTR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
            [CTR158] = CTR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
            [CTR159] = CTR:RP:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
        -->
      <assert  id="VR.ATO.CTR.428115" diagnostics="DVR.ATO.CTR.428115" subject="rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator" test="not(
                               rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(false|0)$')]
                               and
                               (
                                 sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                                 or
                                 sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                                 or
                                 sum(common:node-set(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                                 or
                                 sum(common:node-set(rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                               )
                            )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428120
            
            IF (([CTR107] = NULL AND [CTR108] <> NULLORBLANK))
            OR (([CTR109] = NULL AND [CTR110] <> NULLORBLANK))
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR107] = CTR:RP.CTAUST:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount
            [CTR108] = CTR:RP.CTAUST:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.Group.Code
            [CTR109] = CTR:RP.CTFGN:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount
            [CTR110] = CTR:RP.CTFGN:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.Group.Code
        -->

        <assert  id="VR.ATO.CTR.428120" diagnostics="DVR.ATO.CTR.428120" subject="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount" test="
	                    not
	                    (
	                        (	
	                            count(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0
	                            and
	                            count(gfagc.02.01:TaxConcession.ResearchAndDevelopment.Group.Code[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                &gt; 0
                            )
                            or
                            (
	                            count(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0
	                            and
	                            count(gfagc.02.01:TaxConcession.ResearchAndDevelopment.Group.Code[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                &gt; 0
                            )
	                    )"></assert>
        <!--
            Rule ID:  VR.ATO.CTR.428125
            
            IF ([CTR89] = TRUE) AND ([CTR90] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
true            [CTR89] = CTR:RP:rvctc3.xx.xx:CapitalGainsTax.Event.Indicator
EXISTS          [CTR90] = CTR:RP:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
            -->

        <assert  id="VR.ATO.CTR.428125" diagnostics="DVR.ATO.CTR.428125" subject="rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator" test="
                    not(rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                    and count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)
                    "></assert>
        <!--
                      rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                      and 
                      rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                      or
                      not(rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                    

                    not(rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                    and count(rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)
                    

            Rule ID: VR.ATO.CTR.428129
            
            IF [CTR97] = NULL AND
            (
                ([CTR107] > 0) OR ([CTR109] > 0) OR ([CTR105] > 0) OR ([CTR106]) > 0 OR ([CTR119] > 0)
            )
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR97] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount
            [CTR107] = CTR:RP.CTAUST:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount
            [CTR109] = CTR:RP.CTFGN:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount
            [CTR105] = CTR:RP.CTAUST:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount
            [CTR106] = CTR:RP.CTFGN:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount
            [CTR119] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount
        -->

        <assert  id="VR.ATO.CTR.428129" diagnostics="DVR.ATO.CTR.428129" subject="gfagc.02.00:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount" test="not(count(gfagc.02.00:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and(
                          number(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount[@contextRef=$RP.CTAUST.ContextId]) &gt; 0   
                          or number(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount[@contextRef=$RP.CTFGN.ContextId]) &gt; 0
                          or number(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef=$RP.CTAUST.ContextId]) &gt; 0
                          or number(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef=$RP.CTFGN.ContextId]) &gt; 0
                          or number(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef=$RP.ContextId]) &gt; 0))"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428134
            
            IF ([CTR105] = NULL AND [CTR107] > 0) OR ([CTR106] = NULL AND [CTR109] > 0)
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR105] = CTR:RP.CTAUST:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount
            [CTR107] = CTR:RP.CTAUST:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount
            [CTR106] = CTR:RP.CTFGN:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount
            [CTR109] = CTR:RP.CTFGN:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount
        -->

        <assert  id="VR.ATO.CTR.428134" diagnostics="DVR.ATO.CTR.428134" subject="gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount" test="
	                    not
	                    (
                            (
	                            count(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0
	                            and
	                            number(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')])
	                            &gt; 0
	                        )	
	                        or
	                        (	
	                            count(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0
	                            and
	                            number(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')])
	                            &gt; 0
	                        )	
	                    )"></assert>
        <!--
            Rule: VR.ATO.CTR.428146
            
            IF 
                (([CTR172] <> NULL) AND ([CTR172] => [CTR120]) AND ([CTR171] > 50000))) AND 
                (([CTR171] < 75000) AND 
                (([CTR174] > (([CTR199] * 0.25) * (((75000 - [CTR171]) / 25000) + 1)))  OR 
                (([CTR174] < (([CTR199] * 0.25) * (((75000 - [CTR171]) / 25000) - 1)))))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            Formula reformatted with correct brackets:
            (
                ([CTR172] <> NULL) 
                AND 
                ([CTR172] => [CTR120]) 
                AND 
                ([CTR171] > 50000)
            )
            AND 
            (
                ([CTR171] < 75000) 
                AND 
                (
	                ([CTR174] > (([CTR199] * 0.25) * (((75000 - [CTR171]) / 25000) + 1)))
	                OR 
	                ([CTR174] < (([CTR199] * 0.25) * (((75000 - [CTR171]) / 25000) - 1)))
                )
            )

            [CTR172] = CTR:RP:bafpr1.02.02:Income.Net.Amount IN 
            TUPLE(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset)
            [CTR120] = CTR:RP:bafpr1.02.02:Income.Taxable.Amount
            [CTR171] = CTR:RP:bafpr1.02.04:Income.Total.Amount IN
            TUPLE(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset)
            [CTR174] = CTR:RP:gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount IN
            TUPLE(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset)
            [CTR199] = CTR:RP:rvctc1.02.01:IncomeTax.TaxableGross.Amount
            [CTR172] = ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
            [CTR120] = bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
            [CTR171] = ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
            [CTR174] = ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
            [CTR199] = rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
         -->

        <assert  id="VR.ATO.CTR.428146" diagnostics="DVR.ATO.CTR.428146" subject="bafpr1.02.02:Income.Net.Amount" test="
                        not
                        (
                            (
                                count(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                &gt; 0
                                and 
                                (
                                    sum(common:node-set(
                                    ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    &gt;=
                                    sum(common:node-set(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                ) 
                                and 
                                (
                                    sum(common:node-set(
                                    ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    &gt; 50000
                                ) 
			                )
                            and 
                            (
                                (
                                    sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    &lt; 75000
                                ) 
                                and 
                                (
	                                (
                                        sum(common:node-set(
                                        ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                        &gt;
                                        ((rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] * 0.25) * (((75000 - ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) div 25000) + 1))
                                    )
	                                or 
	                                (
                                        sum(common:node-set(
                                        ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                        &lt; 
                                        ((rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] * 0.25) * (((75000 - ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) div 25000) - 1))
                                    )
                                )
                            )
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428147
            
            IF
            ([CTR172] <> NULL) AND
            ([CTR172] < [CTR120]) AND
            ([CTR171] <= 50000) AND 
            (
                ([CTR174] > (([CTR199] * 0.25) * ([CTR172] / [CTR120]) + 1))
                OR 
                ([CTR174] < (([CTR199] * 0.25) * ([CTR172] / [CTR120]) - 1))
            )
            
           
                
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR172] = CTR:RP:bafpr1.xx.xx:Income.Net.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepreneursTaxOffset)
            [CTR120] = CTR:RP:bafpr1.xx.xx:Income.Taxable.Amount
            [CTR171] = CTR:RP:bafpr1.xx.xx:Income.Total.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepreneursTaxOffset)
            [CTR174] = CTR:RP:gfati.xx.xx:TaxOffsetClaim.Entrepreneurs.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepreneursTaxOffset)
            [CTR199] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
        -->

      <assert  id="VR.ATO.CTR.428147" diagnostics="DVR.ATO.CTR.428147" subject="ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.02:Income.Net.Amount" test="not
                        (
                            (count(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)
                            and
                            (
                                sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                &lt;
                                sum(common:node-set(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )
                            and
                            (sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &lt;= 50000)
                            and
                            (                                                                  
                                (
                                    sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))   
                                    &gt; 
                                    (sum(common:node-set(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.25)
                                    *
                                    (
                                        sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                        div 
                                        sum(common:node-set(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    ) + 1
                                )
                                or 
                                (
                                    sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                    &lt; 
                                    (sum(common:node-set(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.25)
                                    *
                                    (
                                        sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                        div
                                        sum(common:node-set(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    ) - 1 
                                )
                            )
                        )"></assert>

      <!-- 
        IF (([CTR203] + [CTR204]) = ([CTR205] + [CTR206] + [CTR207] + [CTR208] + [CTR209] + [CTR299] + [CTR210] + [CTR211]) AND ([CTR6] <> SET(""1"",""2"")))
           RETURN VALIDATION MESSAGE
        ENDIF
        [CTR203] = CTR:RP:IncomeTax.Payable.Amount
        [CTR204] = CTR:RP:InternationalDealings.AAMInterestSection102.Amount
        [CTR205] = CTR:RP:IncomeTax.LiabilityInstalmentsTotal.Amount
        [CTR206] = CTR:RP:Income.Interest.EarlyPaymentCredit.Amount
        [CTR207] = CTR:RP:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = ""DFRW"") IN TUPLE(ctr.0002.lodge.req.xx.xx:ITPAYGWithholdingDetails)
        [CTR208] = CTR:RP:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = ""DNOABN"") IN TUPLE(ctr.0002.lodge.req.xx.xx:ITPAYGWithholdingDetails)
        [CTR209] = CTR:RP:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount
        [CTR299] = CTR:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustTFNNotQuoted.Amount
        [CTR210] = CTR:RP:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount
        [CTR211] = CTR:RP:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount
        [CTR6] = CTR:RP:Report.Statement.Summary.PaymentRefundOrNil.Code        -->

        <assert  id="VR.ATO.CTR.428013" diagnostics="DVR.ATO.CTR.428013" subject="pyin.02.00:Report.Statement.Summary.PaymentRefundOrNil.Code" test="
                        not
                        (
                            (
                                sum(common:node-set(
                                    rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    | rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                ))
                                = 
                                sum(common:node-set(
                                    rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    | bafpr2.02.02:Income.Interest.EarlyPaymentCredit.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    | ctr.0002.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DFRW' or ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN')]
                                    | rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    | rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustTFNNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    | gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    | rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                ))
                             )
                             and 
                                pyin.02.00:Report.Statement.Summary.PaymentRefundOrNil.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(1|2)$')]
                             
                        )"></assert>
        <!--
            Rule ID: VR.ATO.GEN.428025
        
            IF (RP:pyde.xx.xx:AddressDetails.Line1.Text 
            WHERE((TUPLE ELEMENT pyde.xx.xx:AddressDetails.Usage.Code = ""POS"") AND (TUPLE ELEMENT pyde.xx.xx:AddressDetails.Currency.Code = ""C""))) 
            = (RP:pyde.xx.xx:AddressDetails.Line1.Text WHERE((TUPLE ELEMENT pyde.xx.xx:AddressDetails.Usage.Code = ""POS"") AND (TUPLE ELEMENT pyde.xx.xx:AddressDetails.Currency.Code = ""P"")))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428025" diagnostics="DVR.ATO.GEN.428025" subject="address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text" test="not(
                   address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text[exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code)='C' and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code)='POS']
                   =
                   address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text[exslt:uppercase(../pyde.02.00:AddressDetails.Currency.Code)='P' and exslt:uppercase(../pyde.02.01:AddressDetails.Usage.Code)='POS']
                    )"></assert>
        <!--
            Rule ID: VR.ATO.GEN.428046
        
            IF ([CTR207] > 0 ) AND 
            ([CTR57] = NULL) AND 
            ([CTR60] = NULL) AND 
            ([CTR61] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR207] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW") IN TUPLE(ctr.0002.lodge.req.xx.xx:ITPAYGWithholdingDetails)
            [CTR57] = CTR:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
            [CTR60] = CTR:RP:bafpr1.xx.xx:Income.PartnershipDistributionGross.Amount
            [CTR61] = CTR:RP:bafpr1.xx.xx:Income.TrustDistributionGross.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:TrustDistributionIncome)
        -->

        <assert  id="VR.ATO.CTR.428046" diagnostics="DVR.ATO.CTR.428046" subject="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount" test="not(
                               ctr.0002.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and exslt:uppercase(../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code)='DFRW'] &gt; 0  
                               and
                               count(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                             
                               and
                               count(ctr.0002.lodge.req.02.00:TrustDistributionIncome/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                               and
                               count(bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428047

            IF ([CTR60] = NULL) AND ANY OCCURRENCE OF (([CTR172] > 0) AND ([CTR173] = "P")) 
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR60] = CTR:RP:Income.PartnershipDistributionGross.Amount
            [CTR172] = CTR:RP:Income.Net.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
            [CTR173] = CTR:RP:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code
            IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
        -->
        <assert  id="VR.ATO.CTR.428047" diagnostics="DVR.ATO.CTR.428047"
                 subject="gfati.02.00:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code"
                 test="
	                    not
	                    (
			                count(bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            = 0
	                        and
	                        (	
	                            count(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/
                                bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                and number(.) &gt; 0
                                and ../gfati.02.00:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code = 'P'])
	                            &gt; 0
	                        )	
	                    )"></assert>
        <!--
            Rule ID:  VR.ATO.CTR.428148
            
           IF
([CTR172] <> NULL)
AND ([CTR172] < [CTR120])
 AND ([CTR171] > 50000) AND ([CTR171] < 75000)
 AND 

(
   ([CTR174] >
         (
             ([CTR199] * 0.25) * ([CTR172] / [CTR120]) * ( (75000 - [CTR171]) / 25000)           + 1)
   ) 
  OR 
   ([CTR174] < 
         (
             ([CTR199] * 0.25) * ([CTR172] / [CTR120]) * ((75000 - [CTR171]) / 25000) - 1)
    )
)
RETURN VALIDATION MESSAGE
ENDIF^^
[CTR172] = CTR:RP:Income.Net.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
[CTR120] = CTR:RP:Income.Taxable.Amount
[CTR171] = CTR:RP:Income.Total.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
[CTR174] = CTR:RP:TaxOffsetClaim.Entrepreneurs.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
[CTR199] = CTR:RP:IncomeTax.TaxableGross.Amount

        -->
      <assert  id="VR.ATO.CTR.428148" diagnostics="DVR.ATO.CTR.428148" subject="bafpr1.02.04:Income.Total.Amount" test="not(
                            (
                                count(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0   
                                and 
                                  sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                  &lt; 
                                  sum(common:node-set(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                and
                                  sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 50000
                                and
                                  sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &lt; 75000
                            )
                            and
                            (
                                (
                                    sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/
                                    gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    &gt;
                                    (sum(common:node-set(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.25) 
                                    * 
                                    (
                                        sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                        div 
                                        sum(common:node-set(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    ) 
                                    *
                                    (
                                        (75000 - sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                        div
                                        25000
                                    )
                                    + 1
                                )
                                
                             or  
                                (   
                                    sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    &lt;
                                    (sum(common:node-set(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.25)
                                    *
                                    (
                                        sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                        div
                                        sum(common:node-set(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    )
                                    *
                                    (
                                        (75000 - sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                        div
                                        25000
                                    )
                                    - 1
                                )      
                           
                            ))"></assert>
       
        <!--(
        [CTR174] < (([CTR199] * 0.25) * ([CTR172] / [CTR120]) * ((75000 - [CTR171]) / 25000) - 1))
        )
*
        (
        (
        75000
        -
        sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
        )
        div
        25000
        )
        +
        1

            Rule ID: VR.ATO.CTR.428149
            
            IF (([CTR121] <> NULL) AND ([CTR244] = NULLORBLANK)) OR 
            (([CTR244] <> NULLORBLANK) AND ([CTR121] = NULL))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR121] = CTR:RP:rvctc3.xx.xx:TaxRate.Designation.Rate 
            WHERE (TUPLE ELEMENT EXPLICIT rvctc3.xx.xx:TaxRate.Type.Code = "CurrencyTranslation")
            IN TUPLE(taxrate.xx.xx:TaxRate)
            [CTR244] = CTR:RP:bafot.xx.xx:Miscellaneous.FunctionalCurrency.Code
        -->

        <assert  id="VR.ATO.CTR.428149" diagnostics="DVR.ATO.CTR.428149" subject="rvctc3.02.00:TaxRate.Designation.Rate" test="
                        not
	                    (
                    	    (
	                            count(taxrate1.02.00:TaxRate[not(@i:nil='true' or @i:nil='1')]/
                                rvctc3.02.00:TaxRate.Designation.Rate[
                                @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                and ../rvctc3.02.00:TaxRate.Type.Code = 'CurrencyTranslation'])
                                &gt; 0                            
                                and
                                count(bafot.02.05:Miscellaneous.FunctionalCurrency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                = 0
                            )
                            or
                            (
                                count(bafot.02.05:Miscellaneous.FunctionalCurrency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                &gt; 0
                                and
                                count(taxrate1.02.00:TaxRate[not(@i:nil='true' or @i:nil='1')]/
                                rvctc3.02.00:TaxRate.Designation.Rate[
                                @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                and ../rvctc3.02.00:TaxRate.Type.Code = 'CurrencyTranslation'])
                                = 0       
                            )
	                    )"></assert>
        <!--
            IF ([CTR126] <> NULLORBLANK) AND ([CTR125] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR126] = CTR:RPI.Closing:bafpo7.xx.xx:Assets.Inventories.ValuationMethod.Code
            [CTR125] = CTR:RPI.Closing:bafpo7.xx.xx:Assets.Inventories.Total.Amount
        -->

        <assert  id="VR.ATO.CTR.428150" diagnostics="DVR.ATO.CTR.428150" subject="bafpo7.02.02:Assets.Inventories.ValuationMethod.Code" test="not(count(bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                          and count(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428151
        
            IF ([CTR126] = NULLORBLANK) AND ([CTR125] >0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR126] = CTR:RPI.Closing:bafpo7.xx.xx:Assets.Inventories.ValuationMethod.Code
            [CTR125] = CTR:RPI.Closing:bafpo7.xx.xx:Assets.Inventories.Total.Amount
        -->

        <assert  id="VR.ATO.CTR.428151" diagnostics="DVR.ATO.CTR.428151" subject="bafpo7.02.02:Assets.Inventories.ValuationMethod.Code" test="not(count(bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                          and number(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428152
            
            IF ([CTR129] < [CTR128])
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR129] = CTR:RPI:bafpo1.xx.xx:Assets.CurrentTotal.Amount
            [CTR128] = CTR:RPI:bafpo1.xx.xx:Assets.TradeandReceivablesOther.Amount
        -->

        <assert  id="VR.ATO.CTR.428152" diagnostics="DVR.ATO.CTR.428152" subject="bafpo1.02.00:Assets.TradeandReceivablesOther.Amount" test="not(number(bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                    &lt; number(bafpo1.02.00:Assets.TradeandReceivablesOther.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]))"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428153
        
            IF  ([CTR130]<[CTR129])
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR130] = CTR:RPI.Closing:bafpo1.xx.xx:Assets.Total.Amount
            [CTR129] = CTR:RPI.Closing:bafpo1.xx.xx:Assets.CurrentTotal.Amount
        -->

        <assert  id="VR.ATO.CTR.428153" diagnostics="DVR.ATO.CTR.428153" subject="bafpo1.02.00:Assets.CurrentTotal.Amount" test="not(number(bafpo1.02.00:Assets.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])
                        &lt; number(bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]))"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428154
            
            IF ([CTR136] <> ([CTR130] - [CTR133]))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR136] = CTR:RP:bafpo1.xx.xx:Equity.ShareholderFunds.Amount
            [CTR130] = CTR:RPI.Closing:bafpo1.xx.xx:Assets.Total.Amount
            [CTR133] = CTR:RPI.Closing:bafpo1.xx.xx:Liabilities.Total.Amount
        -->
        <let
           name="VR_428154_EQUITY"
           value="sum(common:node-set(bafpo1.02.02:Equity.ShareholderFunds.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>

        <let
          name="VR_428154_ASSETS_MINUS_LIABILITIES"
          value="sum(common:node-set(bafpo1.02.00:Assets.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]))
                 - 
                 sum(common:node-set(bafpo1.02.00:Liabilities.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]))"/>
        
        
           <assert  id="VR.ATO.CTR.428154" diagnostics="DVR.ATO.CTR.428154" subject="bafpo1.02.02:Equity.ShareholderFunds.Amount" 
                    test="not($VR_428154_EQUITY != $VR_428154_ASSETS_MINUS_LIABILITIES)"></assert>

        <!--
            Rule ID: VR.ATO.CTR.428157
        
            IF ([CTR143] <> NULL) AND ([CTR144] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR143] = CTR:RP:bafpo2.xx.xx:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Amount
            [CTR144] = CTR:RP:bafpo2.xx.xx:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Indicator
        -->

        <assert  id="VR.ATO.CTR.428157" diagnostics="DVR.ATO.CTR.428157" subject="bafpo2.02.02:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Indicator" test="
                        not
                        (
                            bafpo2.02.02:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            and
                            count(bafpo2.02.02:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428158

            IF ([CTR143] = NULL) AND ([CTR144] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR143] = CTR:RP:bafpo2.xx.xx:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Amount
            [CTR144] = CTR:RP:bafpo2.xx.xx:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Indicator
         -->

        <assert  id="VR.ATO.CTR.428158" diagnostics="DVR.ATO.CTR.428158" subject="bafpo2.02.02:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Indicator" test="not(
                                count (bafpo2.02.02:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0
                                and                        
                                bafpo2.02.02:Equity.Dividends.UnfrankedNonPortfolioAccountBalance.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                              )
                          "></assert>
        <!--
            Rule ID: VR.ATO.CTR.428160

            IF ([CTR163] > 0) AND 
            ([CTR164] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR163] = CTR:RP:bafpr2.xx.xx:Expense.Interest.FinancialInstitutionExemptPaid.Amount
            [CTR164] = CTR:RP:rvctc4.xx.xx:InternationalDealings.DoubleTaxAgreementFinancialInstitutionsWithholdingExemptionCountry.Code
        -->

        <assert  id="VR.ATO.CTR.428160" diagnostics="DVR.ATO.CTR.428160" subject="rvctc4.02.03:InternationalDealings.DoubleTaxAgreementFinancialInstitutionsWithholdingExemptionCountry.Code" test="not
	                    (
			                number(bafpr2.02.02:Expense.Interest.FinancialInstitutionExemptPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
	                        and
	                        count(rvctc4.02.03:InternationalDealings.DoubleTaxAgreementFinancialInstitutionsWithholdingExemptionCountry.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
	                    )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428164
        
            IF (CTR:RP:bafpo5.xx.xx:Assets.LoansAndReceivables.RelatedParties.Amount > 0) AND (CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code <> "027")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428164" diagnostics="DVR.ATO.CTR.428164" subject="bafpo5.02.01:Assets.LoansAndReceivables.RelatedParties.Amount" test="not(
			              bafpo5.02.01:Assets.LoansAndReceivables.RelatedParties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                          and string-length(normalize-space(.)) != 0] &gt; 0
	                      and
	                      not(pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(027)$')])
	                      )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428165

            IF ([CTR146] = NULLORBLANK) AND ([CTR145] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR146] = CTR:RP:bafpo1.xx.xx:Assets.LoansAndReceivablesAction.Code
            [CTR145] = CTR:RP:bafpo5.xx.xx:Assets.LoansAndReceivables.RelatedParties.Amount
        -->

        <assert  id="VR.ATO.CTR.428165" diagnostics="DVR.ATO.CTR.428165" subject="bafpo1.02.02:Assets.LoansAndReceivablesAction.Code" test="not(
                          not(bafpo1.02.02:Assets.LoansAndReceivablesAction.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  
                          and bafpo5.02.01:Assets.LoansAndReceivables.RelatedParties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                          )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428167
            
            IF ( [CTR151] > 0 AND [CTR152] = NULLORBLANK )
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR151]  = CTR:RP:lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount
            [CTR152]  = CTR:RP:lrla.02.05:Remuneration.WagesAndSalariesAction.Code
        -->

        <assert  id="VR.ATO.CTR.428167" diagnostics="DVR.ATO.CTR.428167" subject="lrla.02.05:Remuneration.WagesAndSalariesAction.Code" test="not
                        (
		                    number(lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0
                            and
                            count(lrla.02.05:Remuneration.WagesAndSalariesAction.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428182
            
            IF (([CTR200] + ([CTR201] + [CTR202]) > [CTR199]))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR200] = CTR:RP:gfati.xx.xx:TaxOffsetClaim.OtherRebatesAndTaxOffsets.Amount
            [CTR201] = CTR:RP:bafpr3.xx.xx:Income.InternationalDealings.TaxOffset.Amount
            [CTR202] = CTR:RP.Y0-1:gfati.xx.xx:TaxOffsetClaim.FrankingDeficit.Amount
            [CTR199] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
        -->

        <assert  id="VR.ATO.CTR.428182" diagnostics="DVR.ATO.CTR.428182" subject="gfati.02.01:TaxOffsetClaim.FrankingDeficit.Amount" test="
	                    not
	                    (
                            sum(common:node-set(
			                gfati.02.01:TaxOffsetClaim.OtherRebatesAndTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                        bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                        gfati.02.01:TaxOffsetClaim.FrankingDeficit.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        &gt; 
                            sum(common:node-set(
	                        rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                    )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428173
            
            IF ([CTR247] <> NULL) AND (([CTR248] = NULL) OR ([CTR249] = NULL))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR247] = CTR:RP:bafpr1.xx.xx:Income.FirstHomeSaverAccountCredited.Amount
            [CTR248] = CTR:RP:bafpr1.xx.xx:Expense.FirstHomeSaverAccountFeesAndCharges.Amount
            [CTR249] = CTR:RP:bafpr1.xx.xx:Income.FirstHomeSaverAccountCreditedNet.Amount
        -->

        <assert  id="VR.ATO.CTR.428173" diagnostics="DVR.ATO.CTR.428173" subject="bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount" test="not(
                            count(bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and 
                            (
                             count(bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0 
                             or
                             count(bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            )
                          )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428183
        
            IF ([CTR203] <> ([CTR199] - ([CTR201]+ [CTR202] + [CTR200])))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR203] = CTR:RP:rvctc1.xx.xx:IncomeTax.Payable.Amount
            [CTR199] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
            [CTR201] = CTR:RP:bafpr3.xx.xx:Income.InternationalDealings.TaxOffset.Amount
            [CTR202] = CTR:RP.Y0-1:gfati.xx.xx:TaxOffsetClaim.FrankingDeficit.Amount
            [CTR200] = CTR:RP:gfati.xx.xx:TaxOffsetClaim.OtherRebatesAndTaxOffsets.Amount
        -->

        <assert  id="VR.ATO.CTR.428183" diagnostics="DVR.ATO.CTR.428183"
                 test="
                 not
                 (
                    round
                    (
                        sum
                        (
                            common:node-set
                            (
                                rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                        )
                        *100
                    )
                    !=
                    round
                    (
                        sum
                        (
                            common:node-set
                            (
                                rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                        )
                        *100
                    )
                    -
                    round(sum
                    (
                        common:node-set
                        (   
                            bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            gfati.02.01:TaxOffsetClaim.FrankingDeficit.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |
                            gfati.02.01:TaxOffsetClaim.OtherRebatesAndTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                    )
                    *100
                )
            )                
        "/>
        <!--
            Rule ID: VR.ATO.CTR.428184
            
            IF([CTR212] <> 
                (ABSVALUE(
                        [CTR203] + [CTR204] 
                        - 
                        ([CTR205] + [CTR206] + [CTR207] + [CTR208] + [CTR209] + [CTR210] + [CTR211]))
                 ))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR212] = CTR:RP:rvctc1.xx.xx:IncomeTax.Total.Amount
            [CTR203] = CTR:RP:rvctc1.xx.xx:IncomeTax.Payable.Amount
            [CTR204] = CTR:RP:rvctc4.xx.xx:InternationalDealings.AAMInterestSection102.Amount
            [CTR205] = CTR:RP:rvctc1.xx.xx:IncomeTax.LiabilityInstalmentsTotal.Amount
            [CTR206] = CTR:RP:bafpr2.xx.xx:Income.Interest.EarlyPaymentCredit.Amount
            [CTR207] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
                        WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = ""DFRW"") 
                        IN TUPLE(ctr.0002.lodge.req.xx.xx:ITPAYGWithholdingDetails)
                        
            [CTR208] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
                        WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = ""DNOABN"") 
                        IN TUPLE(ctr.0002.lodge.req.xx.xx:ITPAYGWithholdingDetails)
                        
            [CTR209] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount
            [CTR210] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount
            [CTR211] = CTR:RP:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount
        -->

      <!--IF ([CTR212] <> 
      ( ABSVALUE
       ( [CTR203] + [CTR204] –
        (  [CTR205] + [CTR206] + [CTR207] + [CTR208] + [CTR209] + [CTR299] +      [CTR210] + [CTR211])
       )
     )
    )
  RETURN VALIDATION MESSAGE
  ENDIF^^
  [CTR212] = CTR:RP:IncomeTax.Total.Amount
  [CTR203] = CTR:RP:IncomeTax.Payable.Amount
  [CTR204] = CTR:RP:InternationalDealings.AAMInterestSection102.Amount
  [CTR205] = CTR:RP:IncomeTax.LiabilityInstalmentsTotal.Amount
  [CTR206] = CTR:RP:Income.Interest.EarlyPaymentCredit.Amount
  [CTR207] = CTR:RP:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
              WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DFRW") 
              IN TUPLE(ctr.0002.lodge.req.xx.xx:ITPAYGWithholdingDetails)
              
  [CTR208] = CTR:RP:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount 
               WHERE (TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = "DNOABN") 
               IN TUPLE(ctr.0002.lodge.req.xx.xx:ITPAYGWithholdingDetails)
               
  [CTR209] = CTR:RP:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount
  [CTR299] = CTR:RP:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustTFNNotQuoted.Amount
  [CTR210] = CTR:RP:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount
  [CTR211] = CTR:RP:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount-->

      <assert  id="VR.ATO.CTR.428184" diagnostics="DVR.ATO.CTR.428184" subject="rvctc1.02.01:IncomeTax.Total.Amount" test="sum(common:node-set(rvctc1.02.01:IncomeTax.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            = 
                            math:abs
                            (
                                sum(common:node-set(
                                    rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                ))
                                -
                                sum(common:node-set(
                                    rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |bafpr2.02.02:Income.Interest.EarlyPaymentCredit.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |ctr.0002.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DFRW']
                                    |ctr.0002.lodge.req.02.00:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DNOABN']
                                    |rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustTFNNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    |rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                ))
                          )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428186
        
            IF (([CTR53] = SET(""1"",""2"")) AND ([CTR205] = NULL))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR53] = CTR:RP:pyde.xx.xx:OrganisationDetails.TaxConsolidationStatus.Code
            [CTR205] = CTR:RP:rvctc1.xx.xx:IncomeTax.LiabilityInstalmentsTotal.Amount
        -->

        <assert  id="VR.ATO.CTR.428186" diagnostics="DVR.ATO.CTR.428186" subject="rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount" test="not(count(pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(1|2)$')]) &gt; 0
                          and count(rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428216
            
            IF COUNT(((pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND
               (pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C") AND
               (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK))
               IN TUPLE xbrli\orgname2.xx.xx:OrganisationNameDetails) <> 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428216" diagnostics="DVR.ATO.CTR.428216" subject="orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="
	                    not
	                    (
                            count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                             and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                             and exslt:uppercase(../pyde.02.00:OrganisationNameDetails.Currency.Code) = 'C'])
                            != 1
	                    )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428220

            IF (INT <> NULL)  AND [CTR216] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR216] = CTR:INT:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = "03")
            IN TUPLE(pyde.xx.xx:ElectronicContactTelephone)
            
            NOTE 1. This rule has been intentionally implemented in 2 contexts because it needs to be evaluated
            from both the root xbrl context and ElectronicContactTelephone tuple context. 
            If there is no INT:ElectronicContactTelephone tuple, the error message *must* still be returned
            and that's why we've implemented it in the xbrl context.
            
            The rule is also implemented in the tuple context so we can report the correct tuple
            index when multiple ElectronicContactTelephone exist. (Refer to defect 1539).
            
            NOTE 2. The reason for this line:  
            "count(phone1.02.00:ElectronicContactTelephone/*[@contextRef = $INT.ContextId]) = 0"
            is to prevent this rule from firing if an INT:ElectronicContactTelephone tuple exists. If it does, the other VR.ATO.CTR.428220 rule
            will be run and the tuple index will be reported in the location path.
        -->

        <assert  id="VR.ATO.CTR.428220" diagnostics="DVR.ATO.CTR.428220" subject="phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number" test="
                        not
                        (
                            count($INT.ContextId) &gt; 0
                            and
                            count(phone1.02.00:ElectronicContactTelephone/*[@contextRef = $INT.ContextId]) = 0
                            and
                            count(phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number
                            [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 
                             and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03'])
                            = 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428221

            IF COUNT(((pyde.xx.xx:AddressDetails.Usage.Code = "BUS") AND
                   pyde.xx.xx:AddressDetails.Currency.Code = "C") AND
                   (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK))
                   IN TUPLE(address2.xx.xx:AddressDetails)) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428221" diagnostics="DVR.ATO.CTR.428221" subject="address2.02.01:AddressDetails/pyde.02.00:AddressDetails.Line1.Text" test="
	                    not
	                    (
                            count(address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                             and ../pyde.02.01:AddressDetails.Usage.Code = 'BUS'
                             and ../pyde.02.00:AddressDetails.Currency.Code = 'C'])
                            != 1
	                    )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428225

            IF (CONTEXT(INT) <> NULL) AND [CTR214] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR214] = CTR:INT:pyde.xx.xx:PersonUnstructuredName.FullName.Text 
                        WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Contact") 
                        IN TUPLE(prsnunstrcnm1.xx.xx:PersonUnstructuredName)
        -->

        <assert  id="VR.ATO.CTR.428225" diagnostics="DVR.ATO.CTR.428225" subject="prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.00:PersonUnstructuredName.FullName.Text" test="prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.00:PersonUnstructuredName.FullName.Text
                            [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') 
                                and string-length(normalize-space(.)) != 0 
                                and ../pyde.02.05:PersonUnstructuredName.Usage.Code = 'Contact']
                          or not($INT.ContextId)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428226

            IF [CTR219] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR219] = CTR:RP:pyde.xx.xx:PersonNameDetails.FamilyName.Text
            WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND
            (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "DeclarationSignatory"))
            IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails)
        -->

        <assert  id="VR.ATO.CTR.428226" diagnostics="DVR.ATO.CTR.428226" subject="prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text" test="
	                    not
	                    (
                            count(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                             and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL'
                             and ../pyde.02.05:PersonNameDetails.Usage.Code = 'DeclarationSignatory'])
                            = 0
	                    )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428235

            IF(INT <> NULLORBLANK) AND ([CTR215] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR215] = CTR:INT:pyde.xx.xx:ElectronicContact.Telephone.Area.Code
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = "03")
            IN TUPLE(pyde.xx.xx:OrganisationDetails.OrganisationActivityStatus.Code)

        -->

        <assert  id="VR.ATO.CTR.428235" diagnostics="DVR.ATO.CTR.428235" subject="phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Area.Code" test="
                        not
                        (
                            count($INT.ContextId) &gt; 0
                            and
                            count(phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Area.Code
                            [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                             and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03'])
                            = 0
                        )"></assert>
        
        <!--
            Rule ID: VR.ATO.CTR.428266
            
            IF COUNT(TUPLE(ctr.0002.lodge.req.xx.xx:ForestryManagedInvestmentScheme)) > 99
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.CTR.428266" diagnostics="DVR.ATO.CTR.428266"
                subject="ctr.0002.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation[not(@i:nil='true' or @i:nil='1')]/gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code"
                test="count(ctr.0002.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation) &lt; 100"></assert>
        
        <!--
            Rule ID: VR.ATO.CTR.428267
        
            IF COUNT(TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)) > 25
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428267" diagnostics="DVR.ATO.CTR.428267" subject="ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.02:Income.Net.Amount" test="not(count(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset/bafpr1.02.02:Income.Net.Amount) &gt; 25)"></assert>
        <!--
            Rule ID:  VR.ATO.CTR.428268
            
            IF (COUNT(pyde:OrganisationNameDetails.OrganisationalNameType.Code = "MN") > 4) 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428268" diagnostics="DVR.ATO.CTR.428268" subject="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code" test="not(count(//pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and exslt:uppercase(.)='MN' and not(@i:nil='true' or @i:nil='1')] )  &gt; 4)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428290
            
            IF (IN TUPLE(ctr.lodge.req.xx.xx:UltimateHoldingCompany) 
                OR IN TUPLE(ctr.lodge.req.xx.xx:ImmediateHoldingCompany)) 
                AND (pyde.xx.xx:OrganisationNameDetails.Currency.Code <> ""C"")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428290" diagnostics="DVR.ATO.CTR.428290" subject="ctr.0002.lodge.req.02.00:ImmediateHoldingCompany/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.Currency.Code" test="not(count(ctr.0002.lodge.req.02.00:ImmediateHoldingCompany/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.Currency.Code[exslt:uppercase(.)!='C']) &gt; 0
                          or count(ctr.0002.lodge.req.02.00:UltimateHoldingCompany/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.Currency.Code[exslt:uppercase(.)!='C']) &gt; 0)"></assert>
        <!--
              Rule ID: VR.ATO.CTR.428145
              IF (
                   ([CTR172] <> NULL) AND ([CTR172] >= [CTR120]) AND ([CTR171] <= 50000)
               ) 
               AND 
                  (
                    ([CTR174] > ([CTR199] * 0.25 + 1)) OR ([CTR174] < ([CTR199] * 0.25) -1)
                  )
                 RETURN VALIDATION MESSAGE
                ENDIF^^
      [CTR172] = CTR:RP:Income.Net.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
      [CTR120] = CTR:RP:Income.Taxable.Amount
      [CTR171] = CTR:RP:Income.Total.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
     [CTR174] = CTR:RP:TaxOffsetClaim.Entrepreneurs.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
     [CTR199] = CTR:RP:IncomeTax.TaxableGross.Amount
          -->


        <!--
        IF [CTR309] > 0 AND( [CTR308] = 0 OR [CTR308] = NULL)
        RETURN VALIDATION MESSAGE
        ENDIF

        [CTR309] = CTR:RP:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount
        [CTR308] = CTR:RP:Income.RetirementSavingsAccountTFNNotQuotedContributionsIncome.Amount

        VR.ATO.CTR.428327	CMN.ATO.CTR.428327
        -->
        <assert  id="VR.ATO.CTR.428327" diagnostics="DVR.ATO.CTR.428327" 
                 subject="bafpr1.02.04:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount" 
                 test="not(
sum(common:node-set(rvctc1.02.04:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) > 0
and
sum(common:node-set(
bafpr1.02.05:Income.RetirementSavingsAccountTFNNotQuotedContributionsIncome.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                 ))=0
                 )"/>
        

        <assert  id="VR.ATO.CTR.428145" diagnostics="DVR.ATO.CTR.428145" subject="bafpr1.02.02:Income.Net.Amount" test="
                      not 
                      (
                        (
                          ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                           and
                          ( 
                             sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                             &gt;
                             sum(common:node-set(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))
                             or
                             sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                             = sum(common:node-set( bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))
                          )  
                          and
                          (
                            sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &lt; 50000
                            or
                            sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = 50000
                          )
                        )
                        and
                        (
                           sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])) 
                           &gt; ((sum(common:node-set(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])) * 0.25) + 1)
                          or
                           sum(common:node-set(ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]/gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])) 
                           &lt; ((sum(common:node-set(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])) * 0.25) - 1)
                        )
                      ) 
	                  "></assert>

        <!--
        Rule: VR.ATO.GEN.432040
        
        IF COUNT (TUPLE(financialinstitutionaccount1.xx.xx:FinancialInstitutionAccount)) > 1
        RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.GEN.432040" diagnostics="DVR.ATO.GEN.432040" test="not( 
                count(fininstacc1.02.00:FinancialInstitutionAccount) &gt; 1)
                "/>

        <!--
            IF([CTR253] = TRUE) AND 
            (([CTR252] = NULL) OR ([CTR252] = 0)) AND 
            (([CTR254] = NULL) OR ([CTR254] = 0)) AND 
            (([CTR255] = NULL) OR ([CTR255] = 0)) AND 
            (([CTR256] = NULL) OR ([CTR256] = 0)) AND
            
            (([CTR310] = NULL) OR ([CTR310] = 0)) AND
            (([CTR311] = NULL) OR ([CTR311] = 0)) AND
            
            (([CTR260] = NULL) OR ([CTR260] = 0)) AND 
            (([CTR290] = NULL) OR ([CTR290] = 0))
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR253] = CTR:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
            [CTR252] = CTR:RP.TOFA:Income.Total.Amount
            [CTR254] = CTR:RP.TOFA:Expense.Total.Amount
            [CTR255] = CTR:RP.TOFA:Income.OtherTotal.Amount
            [CTR256] = CTR:RP.TOFA:Expense.DeductibleOther.Amount
            [CTR310] = CTR:RP.TOFA:Income.GainsTotal.Amount
            [CTR311] = CTR:RP.TOFA:Expense.LossesTotal.Amount
            [CTR260] = CTR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
            [CTR290] = CTR:RP.TOFA:Income.FinancialArrangementsUnrealisedGains.Amount            
        -->
        <assert id="VR.ATO.CTR.428055" diagnostics="DVR.ATO.CTR.428055"
                test="not(
                        rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]
                        and
                        (
                            not(bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or
                            number(bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            = 0
                        )	
                        and
                        (	
                            not(bafpr1.02.00:Expense.Total.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or
                            number(bafpr1.02.00:Expense.Total.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            = 0
                        )	
                        and
                        (	
                            not(bafpr1.02.04:Income.OtherTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or
                            number(bafpr1.02.04:Income.OtherTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            = 0
                        )	
                        and
                        (	
                            not(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or
                            number(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            = 0
                        )
                        and
                        (	
                            not(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or
                            number(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            = 0
                        )	
                        and
                        (	
                            not(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or
                            number(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            = 0
                        )	                        
                        and
                        (	
                            not(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or
                            number(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            = 0
                        )	
                        and
                        (
                            not(bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or
                            number(bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])
                            = 0
                        )	
	                  )"/>

        <!--
            IF ([CTR253] <> TRUE) AND 
            (([CTR252] > 0) OR ([CTR254] > 0) OR 
            ([CTR255] > 0) OR ([CTR256] > 0) OR 
            ([CTR310] > 0) OR ([CTR311] > 0) OR 
            (([CTR260] <> 0) AND ([CTR260] <> NULL)) OR 
            ([CTR290] > 0))
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR253] = CTR:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
            [CTR252] = CTR:RP.TOFA:Income.Total.Amount
            [CTR254] = CTR:RP.TOFA:Expense.Total.Amount
            [CTR255] = CTR:RP.TOFA:Income.OtherTotal.Amount
            [CTR256] = CTR:RP.TOFA:Expense.DeductibleOther.Amount
            [CTR310] = CTR:RP.TOFA:Income.GainsTotal.Amount
            [CTR311] = CTR:RP.TOFA:Expense.LossesTotal.Amount
            [CTR260] = CTR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
            [CTR290] = CTR:RP.TOFA:Income.FinancialArrangementsUnrealisedGains.Amount
        -->
        <assert id="VR.ATO.CTR.428056" diagnostics="DVR.ATO.CTR.428056"
                test="not(
                        not(rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')])
                        and
                        (
                          number(bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          or	
                          number(bafpr1.02.00:Expense.Total.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          or
                          number(bafpr1.02.04:Income.OtherTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          or
                          number(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          or
                          number(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          or
                          number(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          or
                          (
                            sum(common:node-set(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) != 0
                          )
                          or
                          number(bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        )
                      )" />        
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.03:OrganisationDetails.OrganisationType.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428026
            
            TODO: Review item raised with Brendan Kee 20/5/10 - conflicting rule VR.ATO.CTR.428035.
            UpdateComment: CR244 - Changed [CTR54] to [CTR49]

IF ([CTR52] = SET("054","174")) AND (([CTR51] <> NULLORBLANK) OR ([CTR54] <> NULLORBLANK) OR ([CTR49] <> "62400"))
   RETURN VALIDATION MESSAGE
ENDIF

[CTR49] = CTR:RP:pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
[CTR51] = CTR:RP:pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code
[CTR52] = CTR:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code
[CTR54] = CTR:RP:pyde.02.03:OrganisationDetails.ActivityEvent.Code

[CTR10] = CTR:RP:pyde.02.00:OrganisationDetails.OrganisationActivityStatus.Code
        -->

        <assert  id="VR.ATO.CTR.428026" diagnostics="DVR.ATO.CTR.428026" test="
                        not
                        (
                            self::node()[@contextRef = $RP.ContextId and (. = '054' or . = '174')] 
                            and
                            (	
                                ../pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                or
                                ../pyde.02.03:OrganisationDetails.ActivityEvent.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                or
                                ../pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and (. != '62400')]
                            )	
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428030
            
            IF ([CTR52] <> SET("054","174")) AND ([CTR51] = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR52] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [CTR51] = CTR:RP:pyde.xx.xx:Residency.TaxPurposesOrganisationStatus.Code
        -->

        <assert  id="VR.ATO.CTR.428030" diagnostics="DVR.ATO.CTR.428030" test="
                        not
                        (
                            self::node()[@contextRef = $RP.ContextId and not(regexp:test(.,'^(054|174)$'))] 
                            and
                            (	
                                count(../pyde.02.00:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                = 0
                            )	
                        )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule Id: VR.ATO.CTR.428064
            
            IF ([CTR91] > 0) AND ([CTR89] <> TRUE)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR91] = CTR:RP:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CTR89] = CTR:RP:rvctc3.xx.xx:CapitalGainsTax.Event.Indicator
        -->

        <assert  id="VR.ATO.CTR.428064" diagnostics="DVR.ATO.CTR.428064" test="not(number(self::node()[@contextRef = $RP.ContextId]) &gt; 0
                          and count(../rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(true|1)$')]) = 0)"></assert>
    </rule>

    <rule  context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID:  VR.ATO.CTR.428126
            CR(s): 375
  
            IF ([CTR89] = FALSE) AND ([CTR90] = TRUE)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CTR89] = CTR:RP:rvctc3.xx.xx:CapitalGainsTax.Event.Indicator
            [CTR90] = CTR:RP:rvctc3.xx.xx:CapitalGainsTax.ForestryManagedInvestmentScheme.Indicator
        -->

        <assert  id="VR.ATO.CTR.428126" diagnostics="DVR.ATO.CTR.428126" test="not
                          (
                              ../rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (. = 'false' or . = '0')]
                              and 
                              @contextRef = $RP.ContextId
                              and
                              (. = 'true' or . = '1')
                          )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.05:Expense.RetirementSavingsAccountsDeductionTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
              Rule ID: VR.ATO.CTR.428176
              
              IF ([CTR188] > ([CTR187]+[CTR186])) AND ([CTR190] > 0)
                RETURN VALIDATION MESSAGE
              ENDIF
              
              [CTR188] = CTR:RP:bafpr1.02.05:Expense.RetirementSavingsAccountsDeductionTotal.Amount
              [CTR187] = CTR:RP:bafpr1.02.05:Income.RetirementSavingsAccountAssessableContributions.Amount
              [CTR186] = CTR:RP:bafpr1.02.05:Income.RetirementSavingsAccountGross.Amount
              [CTR190] = CTR:RP:bafpr1.02.05:Income.RetirementSavingsAccountsTaxableNet.Amount
        -->

        <assert  id="VR.ATO.CTR.428176" diagnostics="DVR.ATO.CTR.428176" test="not
	                (
			                number(self::node()[@contextRef = $RP.ContextId]) &gt; 
	                      (	
	                        sum(common:node-set(../bafpr1.02.05:Income.RetirementSavingsAccountAssessableContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |../bafpr1.02.05:Income.RetirementSavingsAccountGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                      )	
	                    and
	                      number(../bafpr1.02.05:Income.RetirementSavingsAccountsTaxableNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;	0
                  )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.428119
            
            IF ([CTR210] > (([CTR119] * 0.3) + 1) OR 
            ([CTR210] < ([CTR119] * 0.3) - 1))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR210] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount
            [CTR119] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount
        -->

        <assert  id="VR.ATO.CTR.428119" diagnostics="DVR.ATO.CTR.428119" test="not(
                               (sum(common:node-set(self::node()[@contextRef = $RP.ContextId])) &gt; ((sum(common:node-set(../gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.3) + 1) )
                                or
                               (sum(common:node-set(self::node()[@contextRef = $RP.ContextId])) &lt; ((sum(common:node-set(../gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.3) - 1) )
                            )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428131
            
            IF ([CTR210] > 0) AND 
            (([CTR97] = NULL) OR
             ([CTR119] <= 0) OR 
             ([CTR105] = NULL))
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR210] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount
            [CTR97] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount
            [CTR119] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount
            [CTR105] = CTR:RP.CTAUST:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount
        -->

        <assert  id="VR.ATO.CTR.428131" diagnostics="DVR.ATO.CTR.428131" test="
                        not
                        (
                            number(self::node()[@contextRef = $RP.ContextId]) &gt; 0
                            and
                            (
                                count(../gfagc.02.00:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                                or
                                count(../gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt; 0]) = 0
                                or
                                count(../gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            )
                        )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428105

            IF ([CTR204] <> NULL) AND ([CTR204] > [CTR199])
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR204] = CTR:RP:rvctc4.xx.xx:InternationalDealings.AAMInterestSection102.Amount
            [CTR199] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
        -->

        <assert  id="VR.ATO.CTR.428105" diagnostics="DVR.ATO.CTR.428105" subject="rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount" test="not
                          (
                            self::node()[@contextRef = $RP.ContextId]  
                          and 
                            sum(common:node-set(self::node()[@contextRef = $RP.ContextId])) 
                            &gt; 
                            sum(common:node-set(../rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                          )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.00:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID:  VR.ATO.CTR.428130
            
            IF ([CTR97] > 0 OR [CTR119] > 0) AND 
            (([CTR105] = NULL AND [CTR106] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR97] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount
            [CTR119] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount
            [CTR105] = CTR:RP.CTAUST:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount
            [CTR106] = CTR:RP.CTFGN:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount
        -->

        <assert  id="VR.ATO.CTR.428130" diagnostics="DVR.ATO.CTR.428130" test="not((self::node()[@contextRef = $RP.ContextId] &gt; 0
                           or ../gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0)
                           and 
                                (
                                    count(../gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                                    and 
                                    count(../gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                                )
                    )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428044 (rule updated Feb 8, 2012)
            
            IF ([CTR120] <>(
                (
                    [CTR57]+[CTR58]+[CTR59]+[CTR60]+[CTR61]+[CTR63]+[CTR64]+[CTR65]+[CTR66]+[CTR67]+[CTR68]+[CTR70]+[CTR252]+[CTR71]
                )
                - 
                (
                    [CTR72]+[CTR73]+[CTR74]+[CTR75]+[CTR76]+[CTR77]+[CTR78]+[CTR79]+[CTR80]+[CTR81]+[CTR82]+[CTR83]+[CTR84]+[CTR85]+[CTR86]+[CTR87]+[CTR254] + [CTR88]
                ) 
                + 
                (
                    [CTR91]+[CTR92]+[CTR93]+[CTR94]+[CTR255]+[CTR95]+[CTR96]+[CTR97]+[CTR119]
                ) 
                - 
                (
                    [CTR98]+[CTR99]+[CTR245]+[CTR100]+[CTR101]+[CTR102]+[CTR103]+[CTR104]+[CTR105]+[CTR106]+[CTR107]+[CTR109]+[CTR111]+[CTR112]+[CTR113]+[CTR114]+[CTR115]+[CTR256]
                )
                -
                (
                    [CTR116]+[CTR117]+[CTR118]
                )
           ))
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR120] = CTR:RP:bafpr1.xx.xx:Income.Taxable.Amount
            [CTR57] = CTR:RP:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
            [CTR58] = CTR:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            [CTR59] = CTR:RP:bafpr2.xx.xx:Income.SaleOfGoodsAndServices.Other.Amount
            [CTR60] = CTR:RP:bafpr1.xx.xx:Income.PartnershipDistributionGross.Amount
            [CTR61] = CTR:RP:bafpr1.xx.xx:Income.TrustDistributionGross.Amount
            IN TUPLE(ctr.0002.lodge.req.xx.xx:TrustDistributionIncome)
            [CTR63] = CTR:RP:bafpr1.xx.xx:Income.ForestryManagedInvestmentScheme.Amount
            [CTR64] = CTR:RP:bafpr2.xx.xx:Income.Interest.Gross.Amount
            [CTR65] = CTR:RP:bafpr1.xx.xx:Income.RentLeasingHiringGross.Amount
            [CTR66] = CTR:RP:bafpr1.xx.xx:Income.DividendsTotal.Amount
            [CTR67] = CTR:RP:lrla.xx.xx:Remuneration.FringeBenefits.EmployeeContribution.Amount
            [CTR68] = CTR:RP:gfagg.xx.xx:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [CTR70] = CTR:RP:bafpr1.xx.xx:Income.AssetRevaluationsUnrealisedGains.Amount
            [CTR252] = CTR:RP.TOFA:bafpr1.xx.xx:Income.Total.Amount
            [CTR71] = CTR:RP:bafpr1.xx.xx:Income.OtherGross.Amount
            [CTR72] = CTR:RP:bafpr1.xx.xx:Expense.ForeignResidentWithholding.Amount
            [CTR73] = CTR:RP:bafpr2.xx.xx:Expense.Operating.CostOfSales.Amount
            [CTR74] = CTR:RP:lrla.xx.xx:Remuneration.WagesAndSalaries.ContractorandConsultantPayments.Amount
            [CTR75] = CTR:RP:emsup.xx.xx:SuperannuationContribution.EmployerContributions.Amount
            [CTR76] = CTR:RP:bafpr2.xx.xx:Expense.Operating.BadDebts.Amount
            [CTR77] = CTR:RP.JAus:bafpr2.xx.xx:Expense.Operating.Lease.Amount
            [CTR78] = CTR:RP.JForeign:bafpr2.xx.xx:Expense.Operating.Lease.Amount
            [CTR79] = CTR:RP:bafpr2.xx.xx:Expense.Operating.Rent.Amount
            [CTR80] = CTR:RP.JAus:bafpr2.xx.xx:Expense.Operating.Interest.Amount
            [CTR81] = CTR:RP.JForeign:bafpr2.xx.xx:Expense.Operating.Interest.Amount
            [CTR82] = CTR:RP.JAus:bafpr2.xx.xx:Expense.Operating.RoyaltiesTotal.Amount
            [CTR83] = CTR:RP.JForeign:bafpr2.xx.xx:Expense.Operating.RoyaltiesTotal.Amount
            [CTR84] = CTR:RP:bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
            [CTR85] = CTR:RP:bafpr2.xx.xx:Expense.Operating.MotorVehicle.Amount
            [CTR86] = CTR:RP:bafpr2.xx.xx:Expense.Operating.RepairsAndMaintenance.Amount
            [CTR87] = CTR:RP:bafpr1.xx.xx:Expense.AssetRevaluationsUnrealisedLosses.Amount
            [CTR254] = CTR:RP.TOFA:bafpr1.xx.xx:Expense.Total.Amount
            [CTR88] = CTR:RP:bafpr1.xx.xx:Expense.Other.Amount
            [CTR91] = CTR:RP:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
            [CTR92] = CTR:RP:bafpr1.xx.xx:Expense.NonDeductibleExemptIncome.Amount
            [CTR93] = CTR:RP:rvctc2.xx.xx:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
            [CTR94] = CTR:RP:rvctc2.xx.xx:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [CTR255] = CTR:RP.TOFA:bafpr1.xx.xx:Income.OtherTotal.Amount
            [CTR95] = CTR:RP:bafpr1.xx.xx:Income.AssessableOther.Amount
            [CTR96] = CTR:RP:bafpr1.xx.xx:Expense.NonDeductible.Amount
            [CTR97] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount
            [CTR119] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount
            [CTR98] = CTR:RP:bafpr1.xx.xx:Expense.FlowOnDividendDeduction.Amount
            [CTR99] = CTR:RP:bafpr1.xx.xx:Expense.DepreciationAllowableDeduction.Amount
            [CTR245] = CTR:RP:gfagc.xx.xx:TaxConcession.SmallBusinessAndGeneralBusinessTaxBreak.Amount
            [CTR100] = CTR:RP:bafpr1.xx.xx:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
            [CTR101] = CTR:RP:bafpr1.xx.xx:Expense.CapitalExpenditureImmediateDeduction.Amount
            [CTR102] = CTR:RP:bafpr1.xx.xx:Expense.ProjectPoolAllowableDeduction.Amount
            [CTR103] = CTR:RP:bafpr1.xx.xx:Expense.CapitalWorksDeduction.Amount
            [CTR104] = CTR:RP:bafpr1.xx.xx:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
            [CTR105] = CTR:RP.CTAUST:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount
            [CTR106] = CTR:RP.CTFGN:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount
            [CTR107] = CTR:RP.CTAUST:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount
            [CTR109] = CTR:RP.CTFGN:gfagc.xx.xx:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount
            [CTR111] = CTR:RP.Y0:gfagc.xx.xx:TaxConcession.ImmediateAllowableTaxDeductionLandcareOperationsExpenditureAndDeductionForDeclineInValueOfWaterFacility.Amount
            [CTR112] = CTR:RP:bafpr1.xx.xx:Expense.EnvironmentalProtectionDeduction.Amount
            [CTR113] = CTR:RP:gfagc.xx.xx:TaxConcession.OffshoreBankingUnitAdjustment.Amount
            [CTR114] = CTR:RP:bafpr1.xx.xx:Income.Exempt.Amount
            [CTR115] = CTR:RP:bafpr1.xx.xx:Income.NotincludedInAssessableOther.Amount
            [CTR256] = CTR:RP.TOFA:bafpr1.xx.xx:Expense.DeductibleOther.Amount
            [CTR116] = CTR:RP:bafpr1.xx.xx:Expense.DeductibleOther.Amount
            [CTR117] = CTR:RP:rvctc2.xx.xx:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [CTR118] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxLossesTransferredIn.Amount
        
        
        -->
        <let
                    name="VR_ATO_CTR_428044_POS_SET_A"
                    value="sum(common:node-set(../lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                      
                                            |../bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../ctr.0002.lodge.req.02.00:TrustDistributionIncome/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]   
                                            |../bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]   
                                            |../bafpr1.02.05:Income.DividendsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]   
                                            |../lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]   
                                            |../gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]   
                                            |../bafpr1.02.02:Income.AssetRevaluationsUnrealisedGains.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr1.02.02:Income.OtherGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  ))" />
        <let
                    name="VR_ATO_CTR_428044_NEG_SET_A"
                    value="sum(common:node-set(../bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr2.02.00:Expense.Operating.CostOfSales.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../lrla.02.05:Remuneration.WagesAndSalaries.ContractorandConsultantPayments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr2.02.00:Expense.Operating.BadDebts.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr2.02.00:Expense.Operating.Lease.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr2.02.00:Expense.Operating.Lease.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr2.02.00:Expense.Operating.Rent.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr2.02.02:Expense.Operating.Interest.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr2.02.02:Expense.Operating.Interest.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr2.02.00:Expense.Operating.MotorVehicle.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr2.02.00:Expense.Operating.RepairsAndMaintenance.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr1.02.02:Expense.AssetRevaluationsUnrealisedLosses.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr1.02.00:Expense.Total.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr1.02.00:Expense.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  ))" />
        <let
                    name="VR_ATO_CTR_428044_POS_SET_B"
                    value=" sum(common:node-set(../bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr1.02.02:Expense.NonDeductibleExemptIncome.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr1.02.04:Income.OtherTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr1.02.02:Income.AssessableOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../bafpr1.02.02:Expense.NonDeductible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../gfagc.02.00:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                            |../gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  ))" />
        <let
                    name="VR_ATO_CTR_428044_NEG_SET_B"
                    value=" sum(common:node-set(../bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../bafpr1.02.02:Expense.DepreciationAllowableDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../gfagc.02.01:TaxConcession.SmallBusinessAndGeneralBusinessTaxBreak.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../bafpr1.02.02:Expense.CapitalExpenditureImmediateDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncludingExtraIncremental.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../gfagc.02.00:TaxConcession.ImmediateAllowableTaxDeductionLandcareOperationsExpenditureAndDeductionForDeclineInValueOfWaterFacility.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../bafpr1.02.02:Expense.EnvironmentalProtectionDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../bafpr1.02.02:Income.Exempt.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../bafpr1.02.02:Income.NotincludedInAssessableOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]))" />
        <let
                    name="VR_ATO_CTR_428044_NEG_SET_C"
                    value=" sum(common:node-set(../bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../rvctc1.02.00:IncomeTax.TaxLossesTransferredIn.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            ))" />


        <assert  id="VR.ATO.CTR.428044" diagnostics="DVR.ATO.CTR.428044" test="not(
                            sum(common:node-set(self::node()[@contextRef = $RP.ContextId]))
                            !=
                            $VR_ATO_CTR_428044_POS_SET_A
                            -
                            $VR_ATO_CTR_428044_NEG_SET_A
                            +
                            $VR_ATO_CTR_428044_POS_SET_B
                            -
                            $VR_ATO_CTR_428044_NEG_SET_B
                            -
                            $VR_ATO_CTR_428044_NEG_SET_C)"></assert>
        <!--
              Rule: VR.ATO.CTR.428139  
              
              IF ([CTR49] = "62230") AND 
                (([CTR120] > 49999) AND ([CTR120] < 150000)) AND 
                ([CTR199] <>(([CTR120] - 49999) * 0.45) +/- 1) 
                  RETURN VALIDATION MESSAGE
              ENDIF

              [CTR49] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
              [CTR120] = CTR:RP:bafpr1.xx.xx:Income.Taxable.Amount
              [CTR199] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
                    
   
        -->

        <assert  id="VR.ATO.CTR.428139" diagnostics="DVR.ATO.CTR.428139" test="
                not
                (
                  sum(common:node-set(../pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) = '62230'
                  and
                  (
                    sum(common:node-set(self::node()[@contextRef = $RP.ContextId]))&gt; '49999'
                    and
                    sum(common:node-set(self::node()[@contextRef = $RP.ContextId]))&lt; '150000'
                  )
                  and
                  (
                  math:abs
                  (
                    sum(common:node-set(../rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                    -
                    (sum(common:node-set(self::node()[@contextRef = $RP.ContextId] - 49999))*0.45)
                  ))&gt;1
                )"></assert>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[not(@i:nil='true' or @i:nil='1')]">


        <!--    
            Rule ID: VR.ATO.CTR.428057
        
            IF([CTR151]<> NULL) AND 
            ([CTR151] > ([CTR72] + [CTR73] + [CTR74] + [CTR75] + [CTR76] + [CTR77] + [CTR78] + [CTR79] + 
            [CTR80] + [CTR81] + [CTR82] + [CTR83] + [CTR84] + [CTR85] + [CTR86] + [CTR87] + [CTR88] + [CTR254]))
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR151] = CTR:RP:lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount
            [CTR72] = CTR:RP:bafpr1.02.02:Expense.ForeignResidentWithholding.Amount
            [CTR73] = CTR:RP:bafpr2.02.00:Expense.Operating.CostOfSales.Amount
            [CTR74] = CTR:RP:lrla.02.05:Remuneration.WagesAndSalaries.ContractorandConsultantPayments.Amount
            [CTR75] = CTR:RP:emsup.02.02:SuperannuationContribution.EmployerContributions.Amount
            [CTR76] = CTR:RP:bafpr2.02.00:Expense.Operating.BadDebts.Amount
            [CTR77] = CTR:RP.JAUS:bafpr2.02.00:Expense.Operating.Lease.Amount
            [CTR78] = CTR:RP.JFOREIGN:bafpr2.02.00:Expense.Operating.Lease.Amount
            [CTR79] = CTR:RP:bafpr2.02.00:Expense.Operating.Rent.Amount
            [CTR80] = CTR:RP.JAUS:bafpr2.02.02:Expense.Operating.Interest.Amount
            [CTR81] = CTR:RP.JFOREIGN:bafpr2.02.02:Expense.Operating.Interest.Amount
            [CTR82] = CTR:RP.JAUS:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
            [CTR83] = CTR:RP.JFOREIGN:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
            [CTR84] = CTR:RP:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
            [CTR85] = CTR:RP:bafpr2.02.00:Expense.Operating.MotorVehicle.Amount
            [CTR86] = CTR:RP:bafpr2.02.00:Expense.Operating.RepairsAndMaintenance.Amount
            [CTR87] = CTR:RP:bafpr1.02.02:Expense.AssetRevaluationsUnrealisedLosses.Amount
            [CTR88] = CTR:RP:bafpr1.02.00:Expense.Other.Amount
            [CTR254] = CTR:RP.TOFA:bafpr1.02.00:Expense.Total.Amount 
        -->
        <assert id="VR.ATO.CTR.428057" diagnostics="DVR.ATO.CTR.428057" test="not(
                @contextRef = $RP.ContextId 
                                and
                             round(sum(common:node-set(self::node()[@contextRef = $RP.ContextId])) * 100)   
                             &gt;
                 (
                    round(sum(common:node-set(../bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or 

@i:nil='1')]
                    | ../bafpr2.02.00:Expense.Operating.CostOfSales.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    | ../lrla.02.05:Remuneration.WagesAndSalaries.ContractorandConsultantPayments.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or 

@i:nil='1')] 
                    | ../emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    | ../bafpr2.02.00:Expense.Operating.BadDebts.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    | ../bafpr2.02.00:Expense.Operating.Lease.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    | ../bafpr2.02.00:Expense.Operating.Lease.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    | ../bafpr2.02.00:Expense.Operating.Rent.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    | ../bafpr2.02.02:Expense.Operating.Interest.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    | ../bafpr2.02.02:Expense.Operating.Interest.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    | ../bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                    | ../bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    | ../bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    | ../bafpr2.02.00:Expense.Operating.MotorVehicle.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    | ../bafpr2.02.00:Expense.Operating.RepairsAndMaintenance.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    | ../bafpr1.02.02:Expense.AssetRevaluationsUnrealisedLosses.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                    | ../bafpr1.02.00:Expense.Other.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                    | ../bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)
                )
         )"/>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsIncludesFuel.Indicator[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428052
            Note: This rule is correct as reflected in CR 299 
        
            IF ([CTR69] <> NULL) AND (([CTR68] <= 0) OR ([CTR68] = NULL))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR69] = CTR:RP:gfagg.xx.xx:GovernmentFunding.GovernmentIndustryPaymentsIncludesFuel.Indicator
            [CTR68] = CTR:RP:gfagg.xx.xx:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        -->

        <assert  id="VR.ATO.CTR.428052" diagnostics="DVR.ATO.CTR.428052" test="not(
                                @contextRef = $RP.ContextId 
                                and
                                    (count(../gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                                or 
                                    sum(common:node-set(../gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &lt;= 0))"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.02:Expense.Interest.FinancialInstitutionExemptPaid.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID:  VR.ATO.CTR.428060
            
            IF ([CTR163] > 0) AND ([CTR81] <= 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR163] = CTR:RP:bafpr2.xx.xx:Expense.Interest.FinancialInstitutionExemptPaid.Amount
            [CTR81] = CTR:RP.JForeign:bafpr2.xx.xx:Expense.Operating.Interest.Amount
        -->

        <assert  id="VR.ATO.CTR.428060" diagnostics="DVR.ATO.CTR.428060" subject="bafpr2.02.02:Expense.Interest.FinancialInstitutionExemptPaid.Amount" test="not(
                                sum(common:node-set(self::node()[@contextRef = $RP.ContextId])) &gt; 0
                                and 
                                sum(common:node-set(../bafpr2.02.02:Expense.Operating.Interest.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')])) &lt;= 0
                            )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428014
            
            IF ([CTR3] = 11110047)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR3] = CTR:INT:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier
        -->

        <assert  id="VR.ATO.CTR.428014" diagnostics="DVR.ATO.CTR.428014" test="
	                    not
	                    (
			                self::node()[@contextRef = $INT.ContextId and . = '11110047']
	                    )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.01:IncomeTax.TaxableGross.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428188

            IF ([CTR120] > 0) AND ([CTR199] > (([CTR120]* 0.55) +1))
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR120] = CTR:RP:bafpr1.xx.xx:Income.Taxable.Amount
            [CTR199] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
        -->

        <assert  id="VR.ATO.CTR.428188" diagnostics="DVR.ATO.CTR.428188" test="not(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
	                          and
	                          (	
	                            self::node()[@contextRef = $RP.ContextId ]
	                            &gt; 
	                            (../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] * 0.55)+ 1
                              )	
                            )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428137
            
            IF (( ([CTR120] <= 0)  AND (CTR199 > 0) ) 
                      OR ( ([CTR120] > 0) 
                              AND ([CTR52] <> SET("139","163")) 
                              AND ([CTR49] <> SET("62230","63100","87900","95599","95510","95591","99010","99020","99030","99040","99050","99060","99070")) 
                              AND ([CTR247] = NULL) 
                              AND ([CTR199] < (([CTR120] * 0.30) – 1) ) )
                  RETURN VALIDATION MESSAGE
            ENDIF

            [CTR120] = CTR:RP:bafpr1.xx.xx:Income.Taxable.Amount
            [CTR52] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code 
            [CTR49] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR247] = CTR:RP:bafpr1.xx.xx:Income.FirstHomeSaverAccountCredited.Amount
            [CTR199] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
        -->



      <assert id="VR.ATO.CTR.428137" diagnostics="DVR.ATO.CTR.428137"
                      test="not
                        (
                            (
                                sum(common:node-set(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                &lt;= 0
                                and
                                sum(common:node-set(../rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                &gt; 0
                            )
                            or
                            (
                                sum(common:node-set(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                &gt; 0
                                and
                                not(../pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(139|163)$')])
                                and
                                not(../pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(62230|63100|87900|95599|95510|95591|99010|99020|99030|99040|99050|99060|99070)$')])
                                and
                                not(../bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                and
                                (
                                    (
                                      sum(common:node-set(../rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100
                                      &lt;
                                      (sum(common:node-set(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.30 - 1) * 100
                                    )
                                )
                            )	
                     )"/>
        <!--
            Rule ID: VR.ATO.CTR.428138
            
            IF ([CTR49] = "62230") AND 
                (
                    (
                        ([CTR120] > 0) AND ([CTR120] < 50000) 
                        OR 
                        ([CTR120] > 149999)
                    ) 
                    AND 
                    ([CTR199] <> (
                                    ([CTR120] * 0.30) +/- 1
                                 )
                    ) 
                )
                    
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR49] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [CTR120] = CTR:RP:bafpr1.xx.xx:Income.Taxable.Amount
            [CTR199] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
        -->

        <assert  id="VR.ATO.CTR.428138" diagnostics="DVR.ATO.CTR.428138" test="
                    not
                    (
                        ../pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(62230)$')]                    
                        and
                        (	
                            (
                                number(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                &gt; 0
                                and
                                number(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                &lt; 50000
                            )
                            or
                            number(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt;
                            149999
                        )
                        and
                        math:abs(	
                        number(self::node()[@contextRef = $RP.ContextId])
                        -
                        number(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        * 0.30)
                        &gt; 1	
                    )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428140
            
            IF ([CTR199] < (([CTR120] * 0.15) - 1)) AND (CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code = "163")
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR199] = CTR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
            [CTR120] = CTR:RP:bafpr1.xx.xx:Income.Taxable.Amount
        -->

        <assert  id="VR.ATO.CTR.428140" diagnostics="DVR.ATO.CTR.428140" subject="rvctc1.02.01:IncomeTax.TaxableGross.Amount" test="not(
			                    sum(common:node-set(self::node()[@contextRef = $RP.ContextId]))
	                            &lt;( (sum(common:node-set(../bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.15) - 1)	
	                            and ../pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] = '163'
	                        )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID:  VR.ATO.CTR.428122
            
            IF ([CTR84] < ([CTR168] + [CTR169] + [CTR170]))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR84] = CTR:RP:bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
            [CTR168] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount
            [CTR169] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount
            [CTR170] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount             
         -->

        <assert  id="VR.ATO.CTR.428122" diagnostics="DVR.ATO.CTR.428122" test="not(sum(common:node-set(self::node()[@contextRef = $RP.ContextId]))
                          &lt; (
                          sum(common:node-set(../bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                          |../bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                          |../bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))))"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428062
        
            IF (([CTR84] > ([CTR97] + [CTR96])) 
            AND (([CTR168] = NULL) AND ([CTR169] = NULL) AND ([CTR170] = NULL)))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR84] = CTR:RP:bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
            [CTR97] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount
            [CTR96] = CTR:RP:bafpr1.xx.xx:Expense.NonDeductible.Amount
            [CTR168] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount
            [CTR169] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount
            [CTR170] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount
            -->

        <assert  id="VR.ATO.CTR.428062" diagnostics="DVR.ATO.CTR.428062" test="not((sum(common:node-set(self::node()[@contextRef = $RP.ContextId ]))
                          &gt; sum(common:node-set(../gfagc.02.00:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                          |../bafpr1.02.02:Expense.NonDeductible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          and count(../bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                          and count(../bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                          and count(../bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0)"></assert>
        <!--
        Rule ID: VR.ATO.CTR.428063
        
            IF ([CTR84] > 0) 
                AND (([CTR96] = NULL) OR ([CTR96] = 0)) 
                AND (([CTR97] = NULL) OR ([CTR97] = 0)) 
                AND ([CTR168] = NULL) 
                AND ([CTR169] = NULL) 
                AND ([CTR170] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR84] = CTR:RP:bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
            [CTR96] = CTR:RP:bafpr1.xx.xx:Expense.NonDeductible.Amount
            [CTR97] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount
            [CTR168] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount
            [CTR169] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount
            [CTR170] = CTR:RP:bafpr3.xx.xx:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount
        -->

        <assert  id="VR.ATO.CTR.428063" diagnostics="DVR.ATO.CTR.428063" test="not(
                        number(self::node()[@contextRef = $RP.ContextId ]) &gt; 0
                        and
                        (
                            count(../bafpr1.02.02:Expense.NonDeductible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                            or number(../bafpr1.02.02:Expense.NonDeductible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                        )
                        and
                        (
                            count(../gfagc.02.00:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) =0
                            or number(../gfagc.02.00:TaxConcession.ResearchandDevelopment.WriteBackOfAccountingExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                        )
                        and (count(../bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLowCost.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) =0)
                        and (count(../bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityGeneralPool.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) =0)
                        and (count(../bafpr3.02.02:Expense.DepreciatingAssets.SmallBusinessEntityLongLifePool.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) =0)
                        )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428169
        
            IF [CTR201] > ([CTR154] + [CTR156] + [CTR157] + [CTR158] + [CTR159])
               RETURN VALIDATION MESSAGE
            ENDIF
            [CTR201] = CTR:RP:Income.InternationalDealings.TaxOffset.Amount
            [CTR154] = CTR:RP:Income.InternationalDealings.Net.Amount
            [CTR156] = CTR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
            [CTR157] = CTR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
            [CTR158] = CTR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
            [CTR159] = CTR:RP:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
        -->
        <assert  id="VR.ATO.CTR.428169" diagnostics="DVR.ATO.CTR.428169"
                 test="not(
                                sum(common:node-set(self::node()[@contextRef = $RP.ContextId])) &gt; 0                    
                                and
                                    (
                                        sum(common:node-set(self::node()[@contextRef = $RP.ContextId]))                    
                                        &gt;
                                            (sum(common:node-set(../bafpr3.02.02:Income.InternationalDealings.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]
                                            |../rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                        )))
                                    )
                            )
                        "></assert>
        
        <!--
            Rule ID: VR.ATO.CTR.428170
        
            IF [CTR201] > 0 AND
            ([CTR154] = NULL) AND
            ([CTR156] = NULL) AND
            ([CTR157] = NULL) AND
            ([CTR158] = NULL) AND
            ([CTR159] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF^^
            [CTR201] = CTR:RP:Income.InternationalDealings.TaxOffset.Amount
            [CTR154] = CTR:RP:Income.InternationalDealings.Net.Amount
            [CTR156] = CTR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
            [CTR157] = CTR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
            [CTR158] = CTR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
            [CTR159] = CTR:RP:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
        -->
        <assert  id="VR.ATO.CTR.428170" diagnostics="DVR.ATO.CTR.428170" test="not(
                          number(self::node()[@contextRef = $RP.ContextId]) &gt; 0
                          and count(../bafpr3.02.02:Income.InternationalDealings.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and count(../bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and count(../bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and count(../bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and count(../rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0  
                          )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428175
            
            IF (([CTR247] <> NULL) OR ([CTR248] <> NULL) OR ([CTR249] <> NULL)) AND ([CTR247] < [CTR248]) AND ([CTR249] <> 0)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR247] = CTR:RP:bafpr1.xx.xx:Income.FirstHomeSaverAccountCredited.Amount
            [CTR248] = CTR:RP:bafpr1.xx.xx:Expense.FirstHomeSaverAccountFeesAndCharges.Amount
            [CTR249] = CTR:RP:bafpr1.xx.xx:Income.FirstHomeSaverAccountCreditedNet.Amount
        -->

        <assert  id="VR.ATO.CTR.428175" diagnostics="DVR.ATO.CTR.428175" test="not(
                                (count(../bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or count(../bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or self::node()[@contextRef = $RP.ContextId ])
                                and 
                                ( sum(common:node-set(../bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &lt; sum(common:node-set(../bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) )
                                and sum(common:node-set(self::node()[@contextRef = $RP.ContextId ])) != 0
                            )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428174
            
            IF (([CTR249] <> NULL) OR ([CTR247] <> NULL) OR ([CTR248] <> NULL)) AND 
            ([CTR247] >= [CTR248]) AND ([CTR249] <> ([CTR247] - [CTR248]))
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR249] = CTR:RP:bafpr1.xx.xx:Income.FirstHomeSaverAccountCreditedNet.Amount
            [CTR247] = CTR:RP:bafpr1.xx.xx:Income.FirstHomeSaverAccountCredited.Amount
            [CTR248] = CTR:RP:bafpr1.xx.xx:Expense.FirstHomeSaverAccountFeesAndCharges.Amount
        -->

        <assert  id="VR.ATO.CTR.428174" diagnostics="DVR.ATO.CTR.428174" test="not(
                                (
                                @contextRef = $RP.ContextId 
                                or
                                count(../bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                or
                                count(../bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                                )
                                and
                                (
                                sum(common:node-set(../bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;= sum(common:node-set(../bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                )
                                and
                                (
                                 sum(common:node-set(self::node()[@contextRef = $RP.ContextId])) != sum(common:node-set(../bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) - sum(common:node-set(../bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                )
                            )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.00:Liabilities.NonCurrentTradeAndOtherPayables.Amount[not(@i:nil='true' or @i:nil='1')  and string-length(normalize-space(.)) != 0]">

        <!--
            Rule ID: VR.ATO.CTR.428155
            
            IF
	            ( [CTR131]  <>  NULLORBLANK   AND [CTR132]   <  [CTR131] )
	            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR131]  = CTR:$RPI.Closing.ContextId:bafpo1.xx.xx:Liabilities.NonCurrentTradeAndOtherPayables.Amount
            [CTR132]  = CTR:$RPI.Closing.ContextId:bafpo1.xx.xx:Liabilities.CurrentTotal.Amount

         -->

        <assert  id="VR.ATO.CTR.428155" diagnostics="DVR.ATO.CTR.428155" test="
                        not
                        (
		                    @contextRef = $RPI.Closing.ContextId 
                            and
                            (
                                number(../bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])
                                &lt; 
                                number(self::node()[@contextRef = $RPI.Closing.ContextId])
                            )
                        )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.00:Liabilities.CurrentTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428156
            
            IF ([CTR132] <> NULL) AND ([CTR133] < [CTR132])
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR132] = CTR:RPI:bafpo1.xx.xx:Liabilities.CurrentTotal.Amount
            [CTR133] = CTR:RPI:bafpo1.xx.xx:Liabilities.Total.Amount
        -->

        <assert  id="VR.ATO.CTR.428156" diagnostics="DVR.ATO.CTR.428156" test="
                        not
                        (
		                   @contextRef = $RPI.Closing.ContextId
                           and
                            (
                                number(../bafpo1.02.00:Liabilities.Total.Amount[@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])
                                &lt; 
                                number(self::node()[@contextRef = $RPI.Closing.ContextId])
                            )
                        )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.03:InternationalDealings.DoubleTaxAgreementFinancialInstitutionsWithholdingExemptionCountry.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

        <!--
            Rule ID: VR.ATO.CTR.428161

            IF ([CTR164] <> NULLORBLANK) AND ([CTR163] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR164] = CTR:RP:rvctc4.xx.xx:InternationalDealings.DoubleTaxAgreementFinancialInstitutionsWithholdingExemptionCountry.Code
            [CTR163] = CTR:RP:bafpr2.xx.xx:Expense.Interest.FinancialInstitutionExemptPaid.Amount
        -->

        <assert  id="VR.ATO.CTR.428161" diagnostics="DVR.ATO.CTR.428161" test="not
	                    (
                           @contextRef = $RP.ContextId
                            and
			                count(../bafpr2.02.02:Expense.Interest.FinancialInstitutionExemptPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0 
	                    )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.02:Assets.LoansAndReceivablesAction.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

        <!--
            Rule ID: VR.ATO.CTR.428166
        
            IF ([CTR146] <> NULLORBLANK) AND ([CTR145] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR146] = CTR:RP:bafpo1.xx.xx:Assets.LoansAndReceivablesAction.Code
            [CTR145] = CTR:RP:bafpo5.xx.xx:Assets.LoansAndReceivables.RelatedParties.Amount
        -->

        <assert  id="VR.ATO.CTR.428166" diagnostics="DVR.ATO.CTR.428166" test="not(
                          @contextRef = $RP.ContextId 
                          and 
                          count(../bafpo5.02.01:Assets.LoansAndReceivables.RelatedParties.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.05:Remuneration.WagesAndSalariesAction.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

        <!--
            Rule ID: VR.ATO.CTR.428168

            IF ([CTR152] <> NULLORBLANK) AND ([CTR151] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR152]  = CTR:RP:lrla.02.05:Remuneration.WagesAndSalariesAction.Code
            [CTR151]  = CTR:RP:lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount
        -->

        <assert  id="VR.ATO.CTR.428168" diagnostics="DVR.ATO.CTR.428168" test="not
	                    (
			                @contextRef = $RP.ContextId 
	                        and
	                        count(../lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )"></assert>
    </rule>

    <rule
            context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">

        <!--
            Rule ID: VR.ATO.CTR.428021
            
            IF ([CTR14] <> NULLORBLANK) AND ([CTR13] <> NULLBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR14] = CTR:RP.Y0-1:pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier
            [CTR13] = CTR:RP.Y0-1:pyid.xx.xx:Identifiers.AustralianRegisteredBodyNumber.Identifier
        -->

        <assert  id="VR.ATO.CTR.428021" diagnostics="DVR.ATO.CTR.428021" test="
                        not
                        (
                           @contextRef = $RP.Y0-1.ContextId
                            and
                            count(../pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            &gt; 0
                        )"></assert>
    </rule>

    <rule
            context="bafpr2.02.02:Income.Interest.EarlyPaymentCredit.Amount[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428185
        
            IF ([CTR206] <> NULL) AND ([CTR206] < 0.50)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR206] = CTR:RP:bafpr2.xx.xx:Income.Interest.EarlyPaymentCredit.Amount
        -->

        <assert  id="VR.ATO.CTR.428185" diagnostics="DVR.ATO.CTR.428185" test="not(@contextRef = $RP.ContextId  and . &lt; 0.50)"></assert>
    </rule>

    <rule
            context="gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[ not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID:  VR.ATO.CTR.428118
            
            IF ([CTR119] >= 3500000)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR119] = CTR:RP:gfagc.xx.xx:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount
        -->

        <assert  id="VR.ATO.CTR.428118" diagnostics="DVR.ATO.CTR.428118" test="not(@contextRef = $RP.ContextId and (. &gt;= 3500000))"></assert>
    </rule>

    <rule
            context="xbrli:xbrl/ctr.0002.lodge.req.02.00:ImmediateHoldingCompany[not(@i:nil='true' or @i:nil='1')]">

        <!--
        Rule ID: VR.ATO.CTR.428024      
        IF ([CTR47] <> NULLORBLANK) AND ([CTR46] = NULLORBLANK)
   RETURN VALIDATION MESSAGE
ENDIF^^
[CTR47] = CTR:RP:Identifiers.AustralianBusinessNumber.Identifier IN TUPLE(ctr.0002.lodge.req.xx.xx::ImmediateHoldingCompany)
[CTR46] = CTR:RP:OrganisationNameDetails.OrganisationalName.Text WHERE 
((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C"))
IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)
IN TUPLE(ctr.0002.lodge.req.xx.xx::ImmediateHoldingCompany)
      -->

        <assert  id="VR.ATO.CTR.428024" diagnostics="DVR.ATO.CTR.428024" subject="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier" test="
                  (
                    pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                    and
	                  (
                      orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/
                      pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')] = 'MN' 
                      and
                      orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/
                      pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')] = 'C'
                      and
                      orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/
                      pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                    )
                  )
                  or not
                  (
                    pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                  )
	              "></assert>
        <!--
            Rule ID: VR.ATO.GEN.428040
            
            IF (pyid.xx.xx:IdentifiersAustralianBusinessNumberIdentifer <> NULLORBLANK) 
            and (ABNALGORITHM(pyid.xx.xx:IdentifiersAustralianBusinessNumber.Identifer) = FALSE)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428040" diagnostics="DVR.ATO.GEN.428040" subject="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier" test="function:ValidateABN(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
                            [not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                          or count(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
                            [not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0"></assert>
    </rule>

    <rule
            context="xbrli:xbrl/ctr.0002.lodge.req.02.00:UltimateHoldingCompany[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.000413

            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) 
                AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  "" - "" )
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000413" diagnostics="DVR.ATO.GEN.000413" subject="orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" test="not(count(orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                          [not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0]) &gt; 0
                          and count(orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                          [not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(.*)-(.*)$')]) &gt; 0)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428022
            
            IF (([CTR45] <> NULLORBLANK) OR ([CTR44] <> NULLORBLANK)) AND ([CTR43] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
        
            [CTR45] = CTR:RP:pyde.xx.xx:Residency.TaxPurposesCountry.Code IN TUPLE(ctr.0002.lodge.req.xx.xx::UltimateHoldingCompany)
            [CTR44] = CTR:RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier IN TUPLE(ctr.0002.lodge.req.xx.xx::UltimateHoldingCompany)
            [CTR43] = CTR:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
                        WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                        AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
                        IN TUPLE(orgname2.xx.xx:OrganisationNameDetails) IN TUPLE(ctr.0002.lodge.req.xx.xx:UltimateHoldingCompany)
        -->

        <assert  id="VR.ATO.CTR.428022" diagnostics="DVR.ATO.CTR.428022" subject="pyde.02.00:Residency.TaxPurposesCountry.Code" test="not((count(pyde.02.00:Residency.TaxPurposesCountry.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                      or pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                      and count(orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                      [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                      and string-length(normalize-space(.)) != 0
                      and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code='MN'
                      and ../pyde.02.00:OrganisationNameDetails.Currency.Code='C']) = 0)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428023

            IF
              ( [CTR44]  <>  NULLORBLANK   AND [CTR45]  <>  NULLORBLANK )
              RETURN VALIDATION MESSAGE
            ENDIF

            [CTR44]  = CTR:$RP.ContextId:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
            (IN TUPLE (ctr.0002.lodge.req.02.00:UltimateHoldingCompany))
            [CTR45]  = CTR:$RP.ContextId:pyde.02.00:Residency.TaxPurposesCountry.Code
            (IN TUPLE (ctr.0002.lodge.req.02.00:UltimateHoldingCompany))
        -->

        <assert  id="VR.ATO.CTR.428023" diagnostics="DVR.ATO.CTR.428023" subject="pyde.02.00:Residency.TaxPurposesCountry.Code" test="not(
                    count(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    and
                    count(pyde.02.00:Residency.TaxPurposesCountry.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428269
        
            WHERE TUPLE(ctr.0002.lodge.req.xx.xx:UltimateHoldingCompany) EXISTS
            IF SUBTUPLE (orgname2.xx.xx:OrganisationNameDetails = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428269" diagnostics="DVR.ATO.CTR.428269" subject="orgname2.02.00:OrganisationNameDetails" test="not(count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')])=0)"></assert>
    </rule>

    <rule
            context="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.GEN.428206
            
            IF COUNT ((pyde.xx.xx:AddressDetails.Usage.Code = ""POS"") AND (pyde.xx.xx:AddressDetails.Currency.Code = ""P"")) > 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428206" diagnostics="DVR.ATO.GEN.428206" subject="pyde.02.00:AddressDetails.Currency.Code" test="not(count(pyde.02.01:AddressDetails.Usage.Code[exslt:uppercase(.)='POS']) &gt; 0
                          and count(pyde.02.00:AddressDetails.Currency.Code[exslt:uppercase(.)='P']) &gt; 0
                          and count(../address2.02.01:AddressDetails[exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code)='POS' 
                          and exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code)='P']) &gt; 1 )"></assert>
        <!--
            Rule ID: VR.ATO.GEN.000012
        
            IF ( (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator) = FALSE )
            AND ( (pyde.xx.xx:AddressDetails.StateOrTerritory.Code) = NULLORBLANK )
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000012" diagnostics="DVR.ATO.GEN.000012" subject="pyde.02.00:AddressDetails.StateOrTerritory.Code" test="not(pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                          and count(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)"></assert>
        <!--
            Rule ID: VR.ATO.GEN.428023
            
            IF COUNT(((pyde.xx.xx:AddressDetails.Usage.Code = ""POS"") 
                    AND (pyde.xx.xx:AddressDetails.Currency.Code = ""C"") 
                    AND (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK)) 
                    IN TUPLE(address2.xx.xx:AddressDetails)) <> 1
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428023" diagnostics="DVR.ATO.GEN.428023" subject="pyde.02.00:AddressDetails.Line1.Text" test="not(exslt:uppercase(pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')])='C'
                          and exslt:uppercase(pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')])='POS'
                          and count(pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ])!= 1)"></assert>
        <!--
            RuleID: VR.ATO.GEN.428026
        
            IF ((pyde.xx.xx:AddressDetails.Line1.Text CONTAINS ""C/-"") AND (pyde.xx.xx:AddressDetails.Line 2.Text = NULLORBLANK))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428026" diagnostics="DVR.ATO.GEN.428026" subject="pyde.02.00:AddressDetails.Line1.Text" test="not(count(pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and regexp:test(exslt:uppercase(.),'^(.*)(C\/-)(.*)$')]) &gt; 0
                          and count(pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ]) = 0)"></assert>
        <!--
            Rule ID: VR.ATO.GEN.428030
        
            IF (pyde.xx.xx:AddressDetails.Line3.Text <> NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428030" diagnostics="DVR.ATO.GEN.428030" subject="pyde.02.00:AddressDetails.Line3.Text" test="not(count(pyde.02.00:AddressDetails.Line3.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0)"></assert>
        <!--
            Rule ID: VR.ATO.GEN.428033
            
            IF (pyde.xx.xx:AddressDetails.Line4.Text <> NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428033" diagnostics="DVR.ATO.GEN.428033" subject="pyde.02.00:AddressDetails.Line4.Text" test="not(count(pyde.02.00:AddressDetails.Line4.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0)"></assert>
        <!--
            Rule ID: VR.ATO.GEN.428037
            
            IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = FALSE) 
                AND (pyde.xx.xx:Address Details.Line 1.Text = NULLORBLANK) 
                AND (pyde.xx.xx:Address Details.Line 2.Text = NULLORBLANK) 
                AND (pyde.xx.xx:Address Details.Line 3.Text = NULLORBLANK) 
                AND (pyde.xx.xx:Address Details.Line 4.Text = NULLORBLANK) 
                AND (pyde.xx.xx:Address Details.Locality Name.Text = NULLORBLANK) 
                AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code = NULLORBLANK) 
                AND (pyde.xx.xx:Address Details.Postcode.Text = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428037" diagnostics="DVR.ATO.GEN.428037" subject="pyde.02.00:AddressDetails.Line1.Text" test="not(pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and regexp:test(.,'^(false|0)$')]
                         and count(pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                         and count(pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                         and count(pyde.02.00:AddressDetails.Line3.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                         and count(pyde.02.00:AddressDetails.Line4.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                         and count(pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                         and count(pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                         and count(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)"></assert>
        <!--
            Rule ID: VR.ATO.GEN.000468
            
            IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK)
            AND (pyde.xx.xx:AddressDetails.Currency.Code <> SET(""C"",""P""))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000468" diagnostics="DVR.ATO.GEN.000468" subject="pyde.02.00:AddressDetails.Currency.Code" test="not(count(pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                          and pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')and not(regexp:test(exslt:uppercase(.),'^(C|P)$'))])"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428108
    
            IF pyde.xx.xx:AddressDetails.Country.Code <> NULL
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428108" diagnostics="DVR.ATO.CTR.428108" subject="pyde.02.00:AddressDetails.Country.Code" test="
                        not
                        (
                            count(pyde.02.00:AddressDetails.Country.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0    
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428193
            
            IF COUNT ((pyde.xx.xx:AddressDetails.Usage.Code = ""BUS"") > 1)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428193" diagnostics="DVR.ATO.CTR.428193" subject="pyde.02.01:AddressDetails.Usage.Code" test="not(
                     
                            pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')] ='BUS'
                            and count(../address2.02.01:AddressDetails/pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and .='BUS']) &gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428215
        
            IF (pyde.xx.xx:AddressDetails.CountryName.Text) <> NULL
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.CTR.428215" diagnostics="DVR.ATO.CTR.428215" subject="pyde.02.00:AddressDetails.CountryName.Text" test="
                        not
                        (
                            count(pyde.02.00:AddressDetails.CountryName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0    
                        )"></assert>
    </rule>

    <rule
            context="phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428220

            IF (INT <> NULL)  AND [CTR216] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR216] = CTR:INT:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = "03")
            IN TUPLE(pyde.xx.xx:ElectronicContactTelephone)
            
            NOTE 1. This rule has been intentionally implemented in 2 contexts because it needs to be evaluated
            from both the root xbrl context and ElectronicContactTelephone tuple context. 
            If there is no INT:ElectronicContactTelephone tuple, the error message *must* still be returned
            and that's why we've implemented it in the xbrl context.
            
            The rule is also implemented in the tuple context so we can report the correct tuple
            index when multiple ElectronicContactTelephone exist. (Refer to defect 1539).
        -->

        <assert  id="VR.ATO.CTR.428220" diagnostics="DVR.ATO.CTR.428220" subject="phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number" test="
                        not
                        (
                            count($INT.ContextId) &gt; 0
                            and
                            *[@contextRef = $INT.ContextId]
                            and
                            count(pyde.02.00:ElectronicContact.Telephone.Minimal.Number
                            [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 
                             and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03'])
                            = 0
                        )"></assert>
    </rule>

    <rule
            context="ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428141

            IF ([CTR174] > 0) AND (([CTR172] <= 0) OR ([CTR172] = NULL))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR174] = CTR:RP:gfati.xx.xx:TaxOffsetClaim.Entrepreneurs.Amount
            IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
            [CTR172] = CTR:RP:bafpr1.xx.xx:Income.Net.Amount
            IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
        -->
        <assert  id="VR.ATO.CTR.428141" diagnostics="DVR.ATO.CTR.428141" subject="gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount" test="
                        not
                        (
                            number(gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            and
                            (
                                count(bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0
                                or
                                number(bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                &lt;= 0
                            )
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428142
            
            IF ([CTR173] = NULLORBLANK) AND ([CTR172] > 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR173] = CTR:RP:gfati.xx.xx:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code
            IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
            [CTR172] = CTR:RP:bafpr1.xx.xx:Income.Net.Amount
            IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
        -->

        <assert  id="VR.ATO.CTR.428142" diagnostics="DVR.ATO.CTR.428142" subject="gfati.02.00:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code" test="
	                    not
	                    (
                            count(gfati.02.00:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                            and    
		                    number(bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0
	                    )"></assert>
        
        <!--
            Rule ID: VR.ATO.CTR.428143
        
            IF ([CTR173] <> NULLORBLANK) AND (([CTR172] <= 0) OR ([CTR172] = NULL))
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR173] = CTR:RP:gfati.xx.xx:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
            [CTR172] = CTR:RP:bafpr1.xx.xx:Income.Net.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
        -->

        <assert  id="VR.ATO.CTR.428143" diagnostics="DVR.ATO.CTR.428143" test="not(
                           
                           
                    count(gfati.02.00:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    
                    and(
                    
                    bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &lt;= 0
                    
                    or
                    
                     count(bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                    
                    )
                    
                    
                    
                         )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428144
        
            IF (COUNT([CTR173] = "C") > 1)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR173] = CTR:RP:gfati.xx.xx:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
        -->

        <assert  id="VR.ATO.CTR.428144" diagnostics="DVR.ATO.CTR.428144" test="not(count(gfati.02.00:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0 and regexp:test(.,'^C$')]) &gt; 1)"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428159

            IF ([CTR171] <> NULL) AND ([CTR171] >= 75000)
                RETURN VALIDATION MESSAGE
            ENDIF
            [CTR171] = CTR:RP:bafpr1.xx.xx:Income.Total.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
        -->
        <assert  id="VR.ATO.CTR.428159" diagnostics="DVR.ATO.CTR.428159"
                 subject="bafpr1.02.04:Income.Total.Amount"
                 test="not(
                          bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] &gt;= 75000
                          )"></assert>
        <!--
          Rule ID: VR.ATO.CTR.428162
          
          IF ([CTR172] > 0) AND (([CTR171] <= 0) OR ([CTR171] = NULL))
            RETURN VALIDATION MESSAGE
          ENDIF
          [CTR172]  = CTR:$RP.ContextId:bafpr1.02.02:Income.Net.Amount(IN TUPLE (ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset))
          [CTR171]  = CTR:$RP.ContextId:bafpr1.02.04:Income.Total.Amount(IN TUPLE (ctr.0002.lodge.req.02.00:EntrepreneursTaxOffset))
        -->
        <assert  id="VR.ATO.CTR.428162" diagnostics="DVR.ATO.CTR.428162"
                 subject="bafpr1.02.02:Income.Net.Amount"
                 test="
                        not
                        (
                          bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]&gt; 0
                          and
                          (
                            bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] =	0 
                            or
                            bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] &lt;	0 
                            or
                            not (bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                          )
                         )          
                        "></assert>
        
        <!--
            Rule ID: VR.ATO.CTR.428163
            
            IF ([CTR171] <> NULL) AND (([CTR172] <=0) OR ([CTR172] = NULL))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR171] = CTR:RP:bafpr1.xx.xx:Income.Total.Amount
            IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
            [CTR172] = CTR:RP:bafpr1.xx.xx:Income.Net.Amount
            IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepeneursTaxOffset)
        -->
        <assert  id="VR.ATO.CTR.428163" diagnostics="DVR.ATO.CTR.428163"
                 subject="bafpr1.02.02:Income.Net.Amount"
                 test="
                        not
                        (
                            bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            (
                                count(bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0
                                or
                                number(bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                &lt;= 0
                            )
                        )"></assert>
        <!--
        Rule ID: VR.ATO.CTR.428172
        
        IF (([CTR174] <> NULL) OR ([CTR173] <> NULLORBLANK) OR ([CTR172] <> NULL) OR ([CTR171] <> NULL)) AND 
          (([CTR174] = NULL) OR ([CTR173] = NULLORBLANK) OR ([CTR172] = NULL) OR ([CTR171] = NULL))
          RETURN VALDIATION MESSAGE
        ENDIF
        
        [CTR174] = CTR:RP:gfati.xx.xx:TaxOffsetClaim.Entrepreneurs.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepreneursTaxOffset)
        [CTR173] = CTR:RP:gfati.xx.xx:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepreneursTaxOffset)
        [CTR172] = CTR:RP:bafpr1.xx.xx:Income.Net.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepreneursTaxOffset)
        [CTR171] = CTR:RP:bafpr1.xx.xx:Income.Total.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:EntrepreneursTaxOffset)
      -->

        <assert  id="VR.ATO.CTR.428172" diagnostics="DVR.ATO.CTR.428172"
                 subject="gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount"
                 test="
                  not (
                        (
                          gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] or
                          gfati.02.00:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0] or
                          bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] or
                          bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        ) 
                        and
                        (
                          not(gfati.02.00:TaxOffsetClaim.Entrepreneurs.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) or
                          not(gfati.02.00:TaxOffsetClaim.SmallBusinessEntityIncomeNet.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) or
                          not(bafpr1.02.02:Income.Net.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) or
                          not(bafpr1.02.04:Income.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"></assert>
    </rule>

    <rule
            context="ctr.0002.lodge.req.02.00:ForestryManagedInvestmentSchemeRulingInformation[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428083
            
            WHERE IN TUPLE(ctr.0002.lodge.request.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
                IF gfagc.xx.xx:Tax Concession.Forestry Managed Investment Scheme Product Or Private Ruling.Code = ""AN""
            AND (
                gfagc.xx.xx:Tax Concession.Forestry Managed Investment Scheme Product Or Private Ruling.Year <> NULL
                OR 
                gfagc.xx.xx:Tax Concession.Forestry Managed Investment Scheme Product Or Private Ruling.Number = NULL
                )
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.CTR.428083" diagnostics="DVR.ATO.CTR.428083"
                 subject="gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code"
                 test="not(count(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[exslt:uppercase(.)='AN' and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                      and(count(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                      or count(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0))"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428084
            
           IF ANY OCCURRENCE OF (([CTR165] = "PR")) AND (([CTR167] = NULL) OR ([CTR166] = NULL))
            RETURN VALIDATION MESSAGE
            ENDIF^^
            [CTR165] = CTR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code IN TUPLE(ctr.0002.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
            [CTR167] = CTR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year IN TUPLE(ctr.0002.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
            [CTR166] = CTR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number IN TUPLE(ctr.0002.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
        -->
        <assert  id="VR.ATO.CTR.428084" diagnostics="DVR.ATO.CTR.428084"
                 subject="gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code"
                 test="
                    not(
                    
                        gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[exslt:uppercase(.)='PR' and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and 
                        (  
                          count (gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          or 
                          count (gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                         )
                    
                       )
                    "></assert>
        <!--
            Rule ID: VR.ATO.CTR.428085
            
            IF (ANY OCCURRENCE OF ([CTR165] = NULLORBLANK)) AND ([CTR166] <> NULL)
            RETURN VALIDATION MESSAGE
            ENDIF^^
            [CTR165] = CTR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code IN TUPLE(ctr.0002.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
            [CTR166] = CTR:RP:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number IN TUPLE(ctr.0002.lodge.req.xx.xx:ForestryManagedInvestmentSchemeRulingInformation)
        -->
        <assert  id="VR.ATO.CTR.428085" diagnostics="DVR.ATO.CTR.428085" subject="gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code" test="not(count(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                          and count(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)"></assert>
        
        <!--
            Rule ID: VR.ATO.CTR.428239
            
            IF ANY OCCURRENCE OF (([CTR165] = "PR") AND ([CTR166] > 999))
                RETURN VALIDATION MESSAGE
            ENDIF

            [CTR165] = CTR:RP:gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code IN TUPLE(ctr.0002.lodge.req.02.00:ForestryManagedInvestmentScheme)
            [CTR166] = CTR:RP:gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number IN TUPLE(ctr.0002.lodge.req.02.00:ForestryManagedInvestmentScheme)
        -->

        <assert  id="VR.ATO.CTR.428239" diagnostics="DVR.ATO.CTR.428239" subject="gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code" test="not
                        (
                            gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'PR'
                            and
                            number(gfagc.02.00:TaxConcession.ForestryManagedInvestmentSchemeProductOrPrivateRuling.Number[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 999
                        )"></assert>
    </rule>

    <rule
            context="ctr.0002.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428048
            
            IF ([CTR62] = NULLORBLANK)  AND ([CTR61] > 0)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR62] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code IN TUPLE(ctr.0002.lodge.req.xx.xx:TrustDistributionIncome)
            [CTR61] = CTR:RP:bafpr1.xx.xx:Income.TrustDistributionGross.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:TrustDistributionIncome)
       -->

        <assert  id="VR.ATO.CTR.428048" diagnostics="DVR.ATO.CTR.428048" subject="pyde.02.03:OrganisationDetails.OrganisationType.Code" test="
                        not
                        (
                            count(pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            = 0
                            and
                            number(bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            &gt; 0
                        )"></assert>
        <!--
            Rule ID: VR.ATO.CTR.428049
            
            IF ([CTR62] <> NULLORBLANK) AND (([CTR61] <= 0) or ([CTR61] = NULL))
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR62] = CTR:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code IN TUPLE(ctr.0002.lodge.req.xx.xx:TrustDistributionIncome)
            [CTR61] = CTR:RP:bafpr1.xx.xx:Income.TrustDistributionGross.Amount IN TUPLE(ctr.0002.lodge.req.xx.xx:TrustDistributionIncome)
        -->

        <assert  id="VR.ATO.CTR.428049" diagnostics="DVR.ATO.CTR.428049" subject="pyde.02.03:OrganisationDetails.OrganisationType.Code" test="
                        not
                        (
                            count(pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            &gt; 0
                            and
                            (
                                count(bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                = 0
                                or
                                number(bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                &lt;= 0
                            )
                        )"></assert>
    </rule>

    <rule
            context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--                       
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = FOUND(""Pship"",""P'ship"",""P/ship""))
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.428242" diagnostics="DVR.ATO.GEN.428242" test="not(regexp:test(.,'^(.*)(?i)(Pship|P\x27ship|P/ship)(.*)$'))"></assert>
    </rule>

    <rule
            context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428177
        
            IF ([CTR222] <> NULLORBLANK) AND ([CTR221] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CTR222] = CTR:RP:pyde.xx.xx:PersonNameDetails.OtherGivenName.Text 
                WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") 
                IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails)
                
            [CTR221] = CTR:RP:pyde.xx.xx:PersonNameDetails.GivenName.Text 
                WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = ""LGL"") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = ""DeclarationSignatory"")) 
                IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails)
    	-->

        <assert  id="VR.ATO.CTR.428177" diagnostics="DVR.ATO.CTR.428177" subject="pyde.02.00:PersonNameDetails.GivenName.Text" test="not(
                              count(pyde.02.00:PersonNameDetails.PersonNameType.Code    [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 and .='LGL'                ]) &gt; 0
                          and count(pyde.02.00:PersonNameDetails.OtherGivenName.Text    [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0                            ]) &gt; 0
                          and count(pyde.02.05:PersonNameDetails.Usage.Code             [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 and .='DeclarationSignatory']) &gt; 0
                          and count(pyde.02.00:PersonNameDetails.GivenName.Text         [not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0                            ]) = 0
                          )"></assert>
    </rule>

    <rule
            context="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">

        <!--
        - -IF ([CTR214] <> NULLORBLANK) AND ([CTR214] CONTAINS "" - "")
        - -RETURN VALIDATION MESSAGE
        - -ENDIF
        - -[CTR214] = CTR:INT:pyde.xx.xx:PersonUnstructuredName.FullName.Text 
        - -WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = ""Contact"") 
        - -IN TUPLE(pyde.xx.xx:OrganisationDetails.OrganisationBranch.Code)
        
        NOTE: the above text from CTR360 v1.4 is incorrect, please use text below, Change request has been created. 
        This request has been registered as CR Id 217 the 360 will be updated in future version
        
        IF ([CTR214] <> NULLORBLANK) AND ([CTR214] CONTAINS "" - "")
        RETURN VALIDATION MESSAGE
        ENDIF
        [CTR214] = CTR:INT:pyde.xx.xx:PersonUnstructuredName.FullName.Text 
        WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = ""Contact"") 
        IN TUPLE(prsnunstrcnm1.xx.xx:PersonUnstructuredName)
    -->

        <assert  id="VR.ATO.CTR.428054" diagnostics="DVR.ATO.CTR.428054" subject="pyde.02.00:PersonUnstructuredName.FullName.Text" test="not(count(pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1') 
                          and @contextRef = $INT.ContextId and string-length(normalize-space(.)) != 0 and exslt:uppercase(.)='CONTACT']) &gt; 0
                          and count(pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $INT.ContextId 
                          and string-length(normalize-space(.)) != 0 and regexp:test(.,'^(.*)-(.*)$')]) &gt; 0)"></assert>
    </rule>
    <!-- xsd-datatype-VR.ATO.GEN.000427 -->

    <rule
            name="VR.ATO.GEN.410040"
            context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1')]">
        <extends
                    rule="VR-ATO-GEN-000427" />
        <extends
                    rule="VR-ATO-GEN-410201" />
    </rule>
    <!-- xsd-datatype-VR.ATO.GEN.000439  -->

    <rule
            name="VR.ATO.GEN.000434"
            context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1')]">
        <extends
                    rule="VR-ATO-GEN-000439" />
    </rule>
    <!-- xsd-datatype-VR.ATO.GEN.000451 -->

    <rule
            name="VR.ATO.GEN.000451"
            context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]">
        <extends
                    rule="VR-ATO-GEN-000451" />
    </rule>
    <!-- xsd-datatype-VR.ATO.GEN.410205 -->

    <rule
            name="VR.ATO.GEN.410205"
            context="address2.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
        <extends
                    rule="VR.ATO.GEN.410205" />
    </rule>
    <!-- xsd-datatype-VR.ATO.GEN.000413, 000414, 000416, 000417, 410038, 410039, 410206 -->

    <rule
            name="VR.ATO.GEN.000416"
            context="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
        <extends
                    rule="VR-ATO-GEN-000416" />
    </rule>

    <rule
            context="rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Rule ID: VR.ATO.CTR.428038
        
            IF ([CTR56] <> NULLORBLANK) AND ([CTR56] <> "R")
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [CTR56] = CTR:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
        -->

        <assert  id="VR.ATO.CTR.428038" diagnostics="DVR.ATO.CTR.428038" test="@contextRef != $RP.ContextId or string-length(normalize-space(.)) = 0 or exslt:uppercase(.) = 'R'"></assert>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]">


        <!--
        Rule VR.ATO.GEN.432267
        
        IF (pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text) <> NULLORBLANK OR (pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionName.Text <> NULLORBLANK)
        RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert id="VR.ATO.GEN.432267" diagnostics="DVR.ATO.GEN.432267" test="not
                (
                pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and @contextRef = $RP.ContextId]
                or
                pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and @contextRef = $RP.ContextId]
                )"/>

        <!--
        Rule: VR.ATO.GEN.432032
        
        WHERE IN TUPLE(financialinstitutionaccount1.xx.xx:FinancialInstitutionAccount)
        IF pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number = NULLORBLANK OR 
        pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number = NULLORBLANK OR 
        pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text = NULLORBLANK
        RETURN VALIDATION MESSAGE
        ENDIF
        -->
        <assert id="VR.ATO.GEN.432032" diagnostics="DVR.ATO.GEN.432032" test="not
                (
                not(
                pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and @contextRef = $RP.ContextId]) or not(
                pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and @contextRef = $RP.ContextId]) or not(
                pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not (@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and @contextRef = $RP.ContextId])
                )
                "/>
        
        <!--
        Rule: VR.ATO.GEN.432035
        
        IF pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> NULLORBLANK AND 
        (pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> SET(012001-999999) OR LENGTH(pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number) <> 6)
        RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert id="VR.ATO.GEN.432035" diagnostics="DVR.ATO.GEN.432035" test="not
                (
                
                pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[not((@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId  and (string-length(normalize-space(.)) = 0)) and not(regexp:test(., '^(01200[1-9]|0120[1-9][0-9]|012[1-9][0-9]{2}|01[3-9][0-9]{3}|0[2-9][0-9]{4}|[1-9][0-9]{5})$'))]
                
                )"/>

        

        <!--
        Rule: VR.ATO.GEN.432036
        
        IF pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number CONTAINS SET("'", " ")
        THEN RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert id="VR.ATO.GEN.432036" diagnostics="DVR.ATO.GEN.432036" test="not
                (
                pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[not((@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId  and (string-length(normalize-space(.)) = 0)) and (regexp:test(., '^(.*)\x27|\x20(.*)$'))]
                )"/>
        
        <!--
        Rule: VR.ATO.GEN.432037
         
        IF pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text CONTAINS SET("_", "!", "@", "$", "%", "]", "[", "?", "=", ":", ";", """, ",")
        RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert id="VR.ATO.GEN.432037" diagnostics="DVR.ATO.GEN.432037" test="not
                (
                pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not((@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId  and (string-length(normalize-space(.)) = 0)) and (regexp:test(., '^(.*)\x5F|\x21|\x40|\x24|\x25|\x5D|\x5B|\x3F|\x3D|\x3A|\x3B|\x22|\x2C(.*)$'))]
                )"/>
       
        
    </rule>

</pattern>
