﻿<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:function="http://www.ato.gov.au/IS/2009/02" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:common="http://exslt.org/common" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:service="http://sbr.gov.au/comn/prelodge.02.service" xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:gfagc.02.00="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.00.data" xmlns:gfagc.02.01="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.01.data" xmlns:gfagg.02.01="http://sbr.gov.au/icls/gfa/gfagg/gfagg.02.01.data" xmlns:bafpr3.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.02.data" xmlns:lrla.02.05="http://sbr.gov.au/icls/lr/lrla/lrla.02.05.data" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" xmlns:RaD.0002.prv="http://sbr.gov.au/rprt/ato/rad/rad.0002.private.02.00.module" xmlns:RaD.0002="http://sbr.gov.au/rprt/ato/rad/rad.0002.lodge.request.02.00.report" xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" xmlns:bafpo7.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data" xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data"><!--
      Implementers: please note that overriding process-prolog or process-root is
      the preferred method for meta-stylesheets to use where possible.
    -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" />

<!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable>
        <msxsl:script language="C#" implements-prefix="function">

        public bool IsDate(string dateToCheck)
        {
            DateTime dt;
            return DateTime.TryParse(dateToCheck, out dt);
        }

        public bool IsInt(string intToCheck)
        {
            Int32 i;
            return Int32.TryParse(intToCheck, out i);
        }

        public bool IsLong(string longToCheck)
        {
            long l;
            return long.TryParse(longToCheck, out l);
        }

    public bool IsDate1GreaterThanDate2(string date1, string date2)
    {
        bool b = false;
        
        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) > DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public bool IsDate1GreaterOrEqualToDate2(string date1, string date2)
    {
        bool b = false;

        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) >= DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public int GetDateYear(string date)
    {
      int year = 0;

      if (IsDate(date))
      {
        year = DateTime.Parse(date).Year;
      }

      return year;
    }

    public int DateToFinancialYear(DateTime date)
    {
        return DateToFinancialYear(date, 7);
    }

    public int DateToFinancialYear(DateTime date, int financialYearStartMonth)
    {
        return financialYearStartMonth > date.Month ? date.Year : date.Year + 1;
    }

    public bool ValidateABN(string abn)
    {
      string cleanABN = abn.Replace(" ", string.Empty);
           
      if (cleanABN.Length != 11)
          return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanABN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19 };
      int weightedSum = (Int32.Parse(cleanABN[0].ToString()) - 1) * weighingFactors[0];

      for (int i = cleanABN.Length; i > 1; i--)
      {
          weightedSum += Int32.Parse(cleanABN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 89;
      return (remainder == 0);
    }

    public bool ValidateTAN(string tan)
    {
      string cleanTAN = tan.Replace(" ", string.Empty);
      if (cleanTAN.Length != 8)
        return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanTAN, out result);
      if (!convertOK)
      {
        return false;
      }

      int[] weighingFactors = {7,9,8,4,6,3,5,1};
      int weightedSum = 0;
      for (int i = cleanTAN.Length; i > 0; i--)
      {
        weightedSum += Int32.Parse(cleanTAN[i-1].ToString()) * weighingFactors[i-1];
      }

      int remainder = weightedSum % 11;
      return (remainder == 0);
    }

    public static bool ValidateTFN(string tfn)
    {
      bool isValid = false;
      string cleanTFN = tfn.Replace(" ", string.Empty).TrimStart(new char[] {'0'});
      
      if (cleanTFN.Length == 8 || cleanTFN.Length == 9)
      {
          cleanTFN = cleanTFN.Length == 8 ? cleanTFN.Insert(7, "0") : cleanTFN;

          Int64 result;
          bool convertOK = Int64.TryParse(cleanTFN, out result);

          if (convertOK)
          {
              int[] weighingFactors = { 1, 4, 3, 7, 5, 8, 6, 9, 10 };
              int weightedSum = 0;

              for (int i = cleanTFN.Length; i > 0; i--)
              {
                  weightedSum += Int32.Parse(cleanTFN[i - 1].ToString()) * weighingFactors[i - 1];
              }

              isValid = (weightedSum % 11 == 0);
          }
      }

      return isValid;
    }

    public static bool ValidateACN(string acn)
    {
      string cleanACN = acn.Replace(" ", string.Empty);
      if (cleanACN.Length != 9)
      {
          return false;
      }

      Int64 result;
      bool convertOK = Int64.TryParse(cleanACN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 8, 7, 6, 5, 4, 3, 2, 1 };
      int checkDigit = Int32.Parse(cleanACN[8].ToString());

      int weightedSum = 0;
      for (int i = cleanACN.Length - 1; i > 0; i--)
      {
          weightedSum += Int32.Parse(cleanACN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 10;
      return checkDigit == (10 - remainder) % 10;
    }

        public int GetFBTYear(string date)
        {
            int fbtYear = 0;
            if (IsDate(date))
            {
                DateTime dateTime = DateTime.Parse(date);
                int year = dateTime.Year;
                if (dateTime.Month > 3)
                {
                    fbtYear = year + 1;
                }
                else
                {
                    fbtYear = year;
                }
            }
            return fbtYear;
        }
        public int GetCurrentFBTYear()
        {
            return GetFBTYear(DateTime.Now.ToString("yyyy-MM-dd"));
        }

        
        </msxsl:script>
        <xsl:output method="xml" omit-xml-declaration="no" standalone="yes" indent="no" xmlns:isns="http://www.ato.gov.au/IS/2009/02" />

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /><xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" /><xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if></xsl:when><xsl:otherwise><xsl:text>*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text><xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" /><xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
          @<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
      This mode can be used to generate prefixed XPath for humans
      (Top-level element has index)
    -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA METADATA-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M37" /><xsl:apply-templates select="/" mode="M39" /></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
        PATTERN VariablesXBRL Context Id variables that are applicable accross all of the RaD services.-->
<xsl:variable name="RP.Identifier.TFN" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and contains(./xbrldi:explicitMember,'ReportingParty')]/xbrldi:explicitMember/../../xbrli:identifier[translate(@scheme,'A..Z','a..z')= 'http://www.ato.gov.au/tfn']" /><xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]            ]" /><xsl:variable name="RP.ContextId" select="$RP.Context/@id" /><xsl:variable name="RP.CTAUST.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1]            ]" /><xsl:variable name="RP.CTAUST.ContextId" select="$RP.CTAUST.Context/@id" /><xsl:variable name="RP.CTFGN.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1]            ]" /><xsl:variable name="RP.CTFGN.ContextId" select="$RP.CTFGN.Context/@id" /><xsl:variable name="RP.CTBSE.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and (count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Base$')]) = 1)]            ]" /><xsl:variable name="RP.CTBSE.ContextId" select="$RP.CTBSE.Context/@id" /><xsl:variable name="RP.CTAUSTS.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:AustralianStandard$')]) = 1]            ]" /><xsl:variable name="RP.CTAUSTS.ContextId" select="$RP.CTAUSTS.Context/@id" /><xsl:variable name="RP.CTAUSTC.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:AustralianConcessional$')]) = 1]            ]" /><xsl:variable name="RP.CTAUSTC.ContextId" select="$RP.CTAUSTC.Context/@id" /><xsl:variable name="GM.CTAUST.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1]            ]" /><xsl:variable name="GM.CTAUST.ContextId" select="$GM.CTAUST.Context/@id" /><xsl:variable name="GM.CTFGN.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1]            ]" /><xsl:variable name="GM.CTFGN.ContextId" select="$GM.CTFGN.Context/@id" /><xsl:variable name="RP.Y0-1.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]            ]" /><xsl:variable name="RP.Y0-1.ContextId" select="$RP.Y0-1.Context/@id" /><xsl:variable name="RP.Y0-2.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]            ]" /><xsl:variable name="RP.Y0-2.ContextId" select="$RP.Y0-2.Context/@id" /><xsl:variable name="RP.CTAUST.Y0.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]            ]" /><xsl:variable name="RP.CTAUST.Y0.ContextId" select="$RP.CTAUST.Y0.Context/@id" /><xsl:variable name="RP.CTAUST.Y0-1.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]            ]" /><xsl:variable name="RP.CTAUST.Y0-1.ContextId" select="$RP.CTAUST.Y0-1.Context/@id" /><xsl:variable name="RP.CTAUST.Y0-2.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]            ]" /><xsl:variable name="RP.CTAUST.Y0-2.ContextId" select="$RP.CTAUST.Y0-2.Context/@id" /><xsl:variable name="RP.CTAUST.Y0-3.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]            ]" /><xsl:variable name="RP.CTAUST.Y0-3.ContextId" select="$RP.CTAUST.Y0-3.Context/@id" /><xsl:variable name="RP.CTFGN.Y0.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]            ]" /><xsl:variable name="RP.CTFGN.Y0.ContextId" select="$RP.CTFGN.Y0.Context/@id" /><xsl:variable name="RP.CTFGN.Y0-1.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]            ]" /><xsl:variable name="RP.CTFGN.Y0-1.ContextId" select="$RP.CTFGN.Y0-1.Context/@id" /><xsl:variable name="RP.CTFGN.Y0-2.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]            ]" /><xsl:variable name="RP.CTFGN.Y0-2.ContextId" select="$RP.CTFGN.Y0-2.Context/@id" /><xsl:variable name="RP.CTFGN.Y0-3.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]            ]" /><xsl:variable name="RP.CTFGN.Y0-3.ContextId" select="$RP.CTFGN.Y0-3.Context/@id" /><xsl:variable name="GM.CTAUST.Y0.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]            ]" /><xsl:variable name="GM.CTAUST.Y0.ContextId" select="$GM.CTAUST.Y0.Context/@id" /><xsl:variable name="GM.CTAUST.Y0-1.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]            ]" /><xsl:variable name="GM.CTAUST.Y0-1.ContextId" select="$GM.CTAUST.Y0-1.Context/@id" /><xsl:variable name="GM.CTAUST.Y0-2.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]            ]" /><xsl:variable name="GM.CTAUST.Y0-2.ContextId" select="$GM.CTAUST.Y0-2.Context/@id" /><xsl:variable name="GM.CTAUST.Y0-3.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]            ]" /><xsl:variable name="GM.CTAUST.Y0-3.ContextId" select="$GM.CTAUST.Y0-3.Context/@id" /><xsl:variable name="GM.CTFGN.Y0.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]            ]" /><xsl:variable name="GM.CTFGN.Y0.ContextId" select="$GM.CTFGN.Y0.Context/@id" /><xsl:variable name="GM.CTFGN.Y0-1.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]            ]" /><xsl:variable name="GM.CTFGN.Y0-1.ContextId" select="$GM.CTFGN.Y0-1.Context/@id" /><xsl:variable name="GM.CTFGN.Y0-2.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]            ]" /><xsl:variable name="GM.CTFGN.Y0-2.ContextId" select="$GM.CTFGN.Y0-2.Context/@id" /><xsl:variable name="GM.CTFGN.Y0-3.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]            ]" /><xsl:variable name="GM.CTFGN.Y0-3.ContextId" select="$GM.CTFGN.Y0-3.Context/@id" /><xsl:template match="text()" priority="-1" mode="M37" /><xsl:template match="@*|node()" priority="-2" mode="M37"><xsl:apply-templates select="@*|*" mode="M37" /></xsl:template>

<!--
        PATTERN Content-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl" priority="1000" mode="M39">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="   count(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') or string-length(normalize-space(.))!= 0] )=0   or(                count(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.))!= 0])&gt;0  and  count(pyid.02.00:Identifiers.InnovationRegistrationNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])&gt;0)   " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422011</isns:Code><isns:Description>AusIndustry/Innovation Registration Number is missing and Research and Development Tax Offset claimed. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyid:Identifiers.InnovationRegistrationNumber.Identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (   sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))  != (        sum(common:node-set(          bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|         lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|          bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|         bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|         bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|         bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|         bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|         bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|         bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|         bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|         bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))       -        sum(common:node-set(          bafpr3.02.02:Income.ResearchAndDevelopment.DisposalProfits.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]|          bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))                        )     ) " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422015</isns:Code><isns:Description>Please check total of Claimable at 100% column </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))  != ( sum(common:node-set(     bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))     -   sum(common:node-set( bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))    )  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422024</isns:Code><isns:Description>Please check Total of Claimable at 125% column </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (         sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=   sum(common:node-set(        bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))  )    " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422031</isns:Code><isns:Description>The Plant and pilot deductions pre 29 Jan 2001 (including disposal losses) Base Amount is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (        sum(common:node-set(bafpr3.02.02:Income.ResearchAndDevelopment.DisposalProfits.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))    !=    sum(common:node-set(bafpr3.02.02:Income.ResearchAndDevelopment.DisposalProfits.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))  ) " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422032</isns:Code><isns:Description>Please check base amount of Item 8 - Pre 29 January 2001 Disposal Profits </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Income.ResearchAndDevelopment.DisposalProfits.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (      sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  != sum(common:node-set(       bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422033</isns:Code><isns:Description>Please check base amount of Item 9. Plant and Depreciating Assets Post 29 January 2001 </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (  sum(common:node-set( bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(          bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|         bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422034</isns:Code><isns:Description>Please check base amount of Item 10. Post 29 January 2001 Disposal Losses </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  ( sum(common:node-set(bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(       bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))  ) " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422035</isns:Code><isns:Description>Please check base amount of Item 11. Post 29 January 2001 Disposal Profits. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  ( sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  != sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422036</isns:Code><isns:Description>Please check base amount of Item 12. Core Technology - Deductible Amount. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  ( sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  != sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422037</isns:Code><isns:Description>Please check base amount of Item 13. Interest or Amounts in the Nature of Interest </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  ( sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  != sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422038</isns:Code><isns:Description>Please check base amount of Item 14. Residual Feedstock Expenditure </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (   sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))  != sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))   or  (   ( sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))  &lt; ( sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))       * 1.25 ) - 1    )   or  (     sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))  &gt; ( sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))     * 1.25 ) +1   )   )   or  ( sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]))   !=   sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]))   )  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422040</isns:Code><isns:Description>The Claims including Concessions are incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (  (     (sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]  |lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]  |lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]  |bafpr3.02.02:Expense.ResearchAndDevelopment.AggregateAdjustments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]   ))&gt; 20000)     and   (  sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))      != (sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]         |gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))         )     )     )            or  (     (( sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]   |lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]   |lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]   |bafpr3.02.02:Expense.ResearchAndDevelopment.AggregateAdjustments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))   ) &lt;  20001)    and  (     (sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))      &gt;(           (sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))             + (sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))                * 1.25)              + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))             - sum(common:node-set(bafpr3.02.02:Income.ResearchAndDevelopment.DisposalProfits.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))             + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))             + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))             + (sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))               * 1.25 )              - sum(common:node-set(bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))             -(sum(common:node-set(bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))              * 1.25)               + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))             + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))             + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))           )+ 1          )       )      or    ( sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))      &lt;(          (sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))           +(sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))              * 1.25)            + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))           - sum(common:node-set(bafpr3.02.02:Income.ResearchAndDevelopment.DisposalProfits.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))           + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))           + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))           +(sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))             * 1.25)            - sum(common:node-set(bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))           -(sum(common:node-set(bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))             * 1.25)            + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))           + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))           + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))         ) - 1       )     )      ) )   )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422016</isns:Code><isns:Description>The Total Claim - Claimable at 125% is incorrect. Please check calculations. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (       (  gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]       = 'true'       or  gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimForeignOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]        = 'true'    )    and  (     (  ( sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))      + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))       + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))      -( sum(common:node-set(gfagg.02.01:ResearchAndDevelopment.GrantsAndRecoupmentsOnAustralianOwnedRandDIncrementalExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))       * 2 )       )      &gt;  0    and     (       sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]))       &gt;        ( sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))         + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))         + sum(common:node-set(lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))         + sum(common:node-set(lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))         + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))         + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))         + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))         + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))         + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))         + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))         + sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))         + sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))          -( sum(common:node-set(gfagg.02.01:ResearchAndDevelopment.GrantsAndRecoupmentsOnAustralianOwnedRandDIncrementalExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))          * 2)         + 1)        or         ( sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]))          &lt;          ( sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))           + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))           + sum(common:node-set(lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))           + sum(common:node-set(lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))           + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))           + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))           + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))           + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))           + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))           + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))           + sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))           + sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))           - ( sum(common:node-set(gfagg.02.01:ResearchAndDevelopment.GrantsAndRecoupmentsOnAustralianOwnedRandDIncrementalExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))            * 2)           - 1)          )        )       )      or      (           ( sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set( bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))       + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))      + sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]))      + sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]))      -( sum(common:node-set(gfagg.02.01:ResearchAndDevelopment.GrantsAndRecoupmentsOnAustralianOwnedRandDIncrementalExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') ]))       * 2 )       ) &lt;= 0      and       sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]))      !=    0      )      )  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422017</isns:Code><isns:Description>Australian owned R and D incremental tax concession - Company Year 0 Reduced Expenditure is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(            sum(common:node-set(                     gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]                                     ))                  !=                     sum(common:node-set(                     gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]                     |                     gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]))              )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422047</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (   sum(common:node-set(                 gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]                 ))       !=       sum(common:node-set(        gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') ]       |        gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTAUST.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]))   )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422049</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (   sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=    sum(common:node-set(         gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]|        gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTAUST.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422050</isns:Code><isns:Description>Australian owned R and D incremental tax concession - Group Totals Year-2 is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(          gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]|        gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTAUST.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]))   )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422052</isns:Code><isns:Description>Australian owned R and D incremental tax concession - Group Totals Year-3 is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="       not(  (         sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt;0         and          sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]))         &gt;  20000         )    and    (           ( sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))         &lt;          (           sum(common:node-set(               bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|              bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|              gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]))           - 1           +             ( sum(common:node-set(               bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|              lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|              bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|              bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|              bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|               bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|              bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|              bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]           ))*1.25)         )         )       or       (            sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))         &gt;           (             sum(common:node-set(              bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|              bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|              gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]))             + 1          + (sum(common:node-set(                bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|                lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|                bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|                bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|                 bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|                 bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|                 bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|                bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]              ))*1.25)           )        )            )or     (              sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))&gt;0          and           sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]))          &lt;  20001          and           sum(common:node-set(              bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))           &gt;  0                 and         (                        sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))         &lt;          (                     sum(common:node-set(             bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]))            +            sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]             ))*1.25             - 1          )       or       sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))       &gt;        (         sum(common:node-set(             bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|            bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|             gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]))          +            sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]             ))*1.25           + 1         )      )      )      )         " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422020</isns:Code><isns:Description>Label Y, Part F is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (     (   not(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  or  not(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  or  not(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  or  not(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  )   and  (   gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  or  gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  or  gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  or  gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTAUST.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  )    )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422055</isns:Code><isns:Description>If Part D Label Q or R or S or T has a value, then all of labels Q,R,S and T must be completed. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (        (        sum(common:node-set(       bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|     bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|      lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]|     lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]|     bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|    bafpr3.02.02:Expense.ResearchAndDevelopment.AggregateAdjustments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]     ))&lt;= 20000     )    and  (    (  sum(common:node-set(       bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]     )) &lt;= 0      )   and    (sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]))    &gt;  0    )   )  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422021</isns:Code><isns:Description>The Company is ineligible to claim the R and D Incremental Concession. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (       (  (gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimForeignOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]       = 'true')       or      (gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]       = 'true')    )      and   (       (  ( sum(common:node-set(               bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]|               gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustmentForeignOwned.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))           -              sum(common:node-set(gfagg.02.01:ResearchAndDevelopment.GrantsandRecoupmentsAttributableToForeignOwnedExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))           * 2             )&gt;  0          )    and     (         ( (             sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]))          &gt;          (            sum(common:node-set(                  bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]|                 gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustmentForeignOwned.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))            - (sum(common:node-set(gfagg.02.01:ResearchAndDevelopment.GrantsandRecoupmentsAttributableToForeignOwnedExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))              * 2 )              + 1            )           )           or        (            sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]))          &lt;          (             sum(common:node-set(                  bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]|                  gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustmentForeignOwned.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))            - ( sum(common:node-set(gfagg.02.01:ResearchAndDevelopment.GrantsandRecoupmentsAttributableToForeignOwnedExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))             * 2 )                 - 1            )         )           ))       or     (        (           (sum(common:node-set(              bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]|             gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustmentForeignOwned.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))           - ( sum(common:node-set(gfagg.02.01:ResearchAndDevelopment.GrantsandRecoupmentsAttributableToForeignOwnedExpenditure.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))          * 2)             )&lt;= 0        )      and      ( sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]))     !=    0     )    )     )   )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422041</isns:Code><isns:Description>The Foreign owned R and D incremental tax concession - Company Year 0 Reduced Expenditure is incorrect </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(           gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]|          gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422060</isns:Code><isns:Description>The Foreign owned R and D incremental tax concession - Group Totals Year 0 is incorrect </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=   sum(common:node-set(         gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]|       gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTFGN.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422061</isns:Code><isns:Description>The Foreign owned R and D incremental tax concession - Group Totals Year-1 is incorrect </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=    sum(common:node-set(     gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]|    gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTFGN.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422062</isns:Code><isns:Description>The Foreign owned R and D incremental tax concession - Group Totals Year-2 is incorrect </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(         gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]|       gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTFGN.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422063</isns:Code><isns:Description>The Foreign owned R and D incremental tax concession - Group Totals Year-3 is incorrect </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (     (     gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  !=    gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  and  gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  &gt;  20000  )   or  (   gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  !=    0  and  (  gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  &lt; 20000  or  gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  = 20000  )  )    )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422044</isns:Code><isns:Description>The Total claim - Foreign owned R and D Exp is incorrect </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (     (   not(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  or  not(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  or  not(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  or  not(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  )   and  (   gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  or  gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  or  gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  or  gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount[@contextRef = $RP.CTFGN.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  )    )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422064</isns:Code><isns:Description>The Foreign owned R and D incremental tax concession - Group Totals row is invalid </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  = 'true'  and  (              ( sum(common:node-set(        bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|     bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|      lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|      lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.AggregateAdjustments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))     &gt;  20000)    or     (              (sum(common:node-set(        bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|       lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.AggregateAdjustments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))      &lt;= 20000)                 and           ( sum(common:node-set(          bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|        bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))       &gt;  0        )           )   )     and  (  gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  )  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422022</isns:Code><isns:Description>The Australian owned R and D - extra incremental 50% deduction concession is incorrect </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(        bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422014</isns:Code><isns:Description>The Contracted Expenditure RRA - Base Amount is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(        lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|      lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|      lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422026</isns:Code><isns:Description>The Salary Expenditure Base Amount is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(         bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422027</isns:Code><isns:Description>The Other R and D Expenditure Base Amount is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(         bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|        bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422028</isns:Code><isns:Description>The Contract - Other Base Amount is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(         bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|        bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422029</isns:Code><isns:Description>The Contract Plant Leasing Base Amount is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(       bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|     bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]) )  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422030</isns:Code><isns:Description>The Eligible Feedstock Expenditure - Base Amount is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(         bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422039</isns:Code><isns:Description>The Total of Allocated Base Amounts - Base Amount is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetClaim.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  = 'true'  and  ( sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') ]))  != sum(common:node-set(         bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|     bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.AggregateAdjustments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))     )  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422018</isns:Code><isns:Description>The R and D Tax Offset - Company's Aggregate Amount is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregateTotal.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(        gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]|      gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount[@contextRef = $GM.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422053</isns:Code><isns:Description>Group total of Aggregate R and D amount column is incorrect </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregateTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetTurnoverTotal.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(        gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]|      gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $GM.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422048</isns:Code><isns:Description>Group total of Entity turnover column is incorrect </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetTurnoverTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    (    sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))   &lt;    (     (sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))   * 0.30)-1   )   )   or  (     sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))   &gt;    (     (sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))    * 0.30)+1    )     )  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422054</isns:Code><isns:Description>The R and D Tax Offset (Part F Label U) is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetClaim.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  = 'false'  and  (   not(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  or  not(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  or  not(gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  )    )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422057</isns:Code><isns:Description>R and D tax offset claim is NO. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetClaim.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  = 'false'  and   (sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')]))  &gt; 0)  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422058</isns:Code><isns:Description>Australian owned R and D incremental tax concession - Company Year 0 Reduced Expenditure is incorrect. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimForeignOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  = 'false'  and  (     sum(common:node-set(gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]))     &gt; 0  )   )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422066</isns:Code><isns:Description>The Foreign owned incremental tax concession section (Part D) is invalid </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimForeignOwned.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="       not(        (  gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]        = 'true' or         gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimForeignOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]        = 'true'      ) and     (       not( gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0])       or not( gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])       or not( gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])       or not( gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])       or not( gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])       or not( gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0])       or not( gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])       or not(gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])       )     )   " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422067</isns:Code><isns:Description>The Australian or Foreign owned R and D incremental tax concessions are being claimed, however not all required labels are completed </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]))  !=  sum(common:node-set(        bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]|       lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]|       bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]|      bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1')]))  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422025</isns:Code><isns:Description>The Total of allocated base amounts - Foreign owned R and D Exp is incorrect </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimForeignOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  = 'true'  and  (                     sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))  &lt;= 20000  )   )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422042</isns:Code><isns:Description>The company is ineligible to claim the Foreign owned R and D incremental tax concession </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (   ( gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  = 'true')  and  (    sum(common:node-set(   bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]|   bafpr3.02.02:Expense.ResearchAndDevelopment.AggregateAdjustments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]   ))&lt;= 20000    )   and   (    sum(common:node-set(   bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1') ]|   bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1') ]    )) &lt;= 0   )   )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422023</isns:Code><isns:Description>The company is ineligible to claim the Australian owned R and D incremental tax concession </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (   sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))  != (       sum(common:node-set(           bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]|         lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]|         bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]|        bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]|        bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]|        bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]|        bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]|        bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]|        bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]|        bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]|        bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]|         bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))      -      sum(common:node-set(          bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]|         bafpr3.02.02:Income.ResearchAndDevelopment.DisposalProfits.Amount[@contextRef = $RP.CTBSE.ContextId and not(@i:nil='true' or @i:nil='1')]))      )     )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422013</isns:Code><isns:Description>Please check Total of Allocated Base Amount </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not      (((sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;  0)      and((       not(sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')]))))   and(      not(sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')])))))      and(((      sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetTurnoverTotal.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')])))&gt;  4999999)      or((      sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregateTotal.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')])))&gt;  1000000)      or((      sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')])))&lt;  20001)))      or(((      sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;  0)       and((      sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTS.ContextId and not(@i:nil='true' or @i:nil='1')])))   +   (sum(common:node-set(bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount[@contextRef = $RP.CTAUSTC.ContextId and not(@i:nil='true' or @i:nil='1')])))&gt;  0)      and((      sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetTurnoverTotal.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;  4999999)      or(      sum(common:node-set(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregateTotal.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt;  1000000)))))      " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422019</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="   not( gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimForeignOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]        = 'true'       and       (             gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTFGN.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]         or gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTFGN.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]         or gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTFGN.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]         or gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]       )       and      (          count(orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTFGN.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTFGN.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0        or( not(orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTFGN.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $GM.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])           and orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTFGN.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTFGN.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = 'MN'          )       )  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422004</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]     = 'true'    and   (      gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTAUST.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]     or gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTAUST.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]     or gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTAUST.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]     or gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $GM.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]   )  and   (        count(orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTAUST.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTAUST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0     or       ( not(orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTAUST.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $GM.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])        and orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTAUST.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTAUST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = 'MN'       )           )   )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422001</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (  (orgname1.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])    and orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTAUST.ContextId],'MN')]  and   (   not(gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  or  not(gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  )   )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422091</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (      (   (gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  or  (gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  )  and   (      count(orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTAUST.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTAUST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0     or      ( not(orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTAUST.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])      and orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTAUST.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTAUST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = 'MN'      )                )  )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422056</isns:Code><isns:Description>There is an amount in Aggregate R and D amount or Entity Turnover and it is necessary to complete the Entity Name and Tax File Number </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]  = 'true'  and  (   (gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  or  (gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  or  (gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  or  (gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTAUST.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])  )   and  (      count(orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTAUST.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTAUST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0     or      ( not(orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTAUST.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])      and orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTAUST.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTAUST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = 'MN'      )                )                   )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422051</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (   (     gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount[@contextRef = $GM.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]     or gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $GM.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]   )   and  (     count(orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTAUST.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTAUST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0     or      ( not(orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTAUST.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $GM.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])      and orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTAUST.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTAUST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = 'MN'      )        )  )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422002</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="    not( orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $GM.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]   and orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTAUST.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $GM.CTAUST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = 'MN'   )   or   ( gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount[@contextRef = $GM.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]    and gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $GM.CTAUST.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]       )   " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422003</isns:Code><isns:Description>
            </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/gfagc:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="  not  (    gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimForeignOwned.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]     = 'true'   and   (        gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]    or gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]    or gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]    or gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount[@contextRef = $RP.CTFGN.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]   )   and  (      count(orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTFGN.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTFGN.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0     or     ( not(orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTFGN.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.CTFGN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])       and orgname1.02.00:OrganisationNameDetails[contains (./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTFGN.ContextId],'MN')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.CTFGN.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = 'MN'     )      )    )  " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422065</isns:Code><isns:Description>The Foreign owned R and D incremental tax concession - Company row is incorrect </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M39" /></xsl:template><xsl:template match="text()" priority="-1" mode="M39" /><xsl:template match="@*|node()" priority="-2" mode="M39"><xsl:apply-templates select="@*|*" mode="M39" /></xsl:template></xsl:stylesheet>