﻿<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:function="http://www.ato.gov.au/IS/2009/02" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:common="http://exslt.org/common" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:service="http://sbr.gov.au/comn/prelodge.02.service" xmlns:orgname1.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:gfagc.02.00="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.00.data" xmlns:gfagc.02.01="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.01.data" xmlns:gfagg.02.01="http://sbr.gov.au/icls/gfa/gfagg/gfagg.02.01.data" xmlns:bafpr3.02.02="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.02.data" xmlns:lrla.02.05="http://sbr.gov.au/icls/lr/lrla/lrla.02.05.data" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyde.02.03="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" xmlns:RaD.0002.prv="http://sbr.gov.au/rprt/ato/rad/rad.0002.private.02.00.module" xmlns:RaD.0002="http://sbr.gov.au/rprt/ato/rad/rad.0002.lodge.request.02.00.report" xmlns:bafpo6.02.05="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" xmlns:bafpo7.02.04="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data" xmlns:rvctc4.02.03="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data"><!--
      Implementers: please note that overriding process-prolog or process-root is
      the preferred method for meta-stylesheets to use where possible.
    -->
<xsl:param name="archiveDirParameter" /><xsl:param name="archiveNameParameter" /><xsl:param name="fileNameParameter" /><xsl:param name="fileDirParameter" />

<!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable>
        <msxsl:script language="C#" implements-prefix="function">

        public bool IsDate(string dateToCheck)
        {
            DateTime dt;
            return DateTime.TryParse(dateToCheck, out dt);
        }

        public bool IsInt(string intToCheck)
        {
            Int32 i;
            return Int32.TryParse(intToCheck, out i);
        }

        public bool IsLong(string longToCheck)
        {
            long l;
            return long.TryParse(longToCheck, out l);
        }

    public bool IsDate1GreaterThanDate2(string date1, string date2)
    {
        bool b = false;
        
        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) > DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public bool IsDate1GreaterOrEqualToDate2(string date1, string date2)
    {
        bool b = false;

        if (IsDate(date1))
        {
          if (IsDate(date2))
          {
            if (DateTime.Parse(date1) >= DateTime.Parse(date2))
            {
                b = true;
            }
          }
        }

        return b;
    }

    public int GetDateYear(string date)
    {
      int year = 0;

      if (IsDate(date))
      {
        year = DateTime.Parse(date).Year;
      }

      return year;
    }

    public int DateToFinancialYear(DateTime date)
    {
        return DateToFinancialYear(date, 7);
    }

    public int DateToFinancialYear(DateTime date, int financialYearStartMonth)
    {
        return financialYearStartMonth > date.Month ? date.Year : date.Year + 1;
    }

    public bool ValidateABN(string abn)
    {
      string cleanABN = abn.Replace(" ", string.Empty);
           
      if (cleanABN.Length != 11)
          return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanABN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 10, 1, 3, 5, 7, 9, 11, 13, 15, 17, 19 };
      int weightedSum = (Int32.Parse(cleanABN[0].ToString()) - 1) * weighingFactors[0];

      for (int i = cleanABN.Length; i > 1; i--)
      {
          weightedSum += Int32.Parse(cleanABN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 89;
      return (remainder == 0);
    }

    public bool ValidateTAN(string tan)
    {
      string cleanTAN = tan.Replace(" ", string.Empty);
      if (cleanTAN.Length != 8)
        return false;

      Int64 result;
      bool convertOK = Int64.TryParse(cleanTAN, out result);
      if (!convertOK)
      {
        return false;
      }

      int[] weighingFactors = {7,9,8,4,6,3,5,1};
      int weightedSum = 0;
      for (int i = cleanTAN.Length; i > 0; i--)
      {
        weightedSum += Int32.Parse(cleanTAN[i-1].ToString()) * weighingFactors[i-1];
      }

      int remainder = weightedSum % 11;
      return (remainder == 0);
    }

    public static bool ValidateTFN(string tfn)
    {
      bool isValid = false;
      string cleanTFN = tfn.Replace(" ", string.Empty).TrimStart(new char[] {'0'});
      
      if (cleanTFN.Length == 8 || cleanTFN.Length == 9)
      {
          cleanTFN = cleanTFN.Length == 8 ? cleanTFN.Insert(7, "0") : cleanTFN;

          Int64 result;
          bool convertOK = Int64.TryParse(cleanTFN, out result);

          if (convertOK)
          {
              int[] weighingFactors = { 1, 4, 3, 7, 5, 8, 6, 9, 10 };
              int weightedSum = 0;

              for (int i = cleanTFN.Length; i > 0; i--)
              {
                  weightedSum += Int32.Parse(cleanTFN[i - 1].ToString()) * weighingFactors[i - 1];
              }

              isValid = (weightedSum % 11 == 0);
          }
      }

      return isValid;
    }

    public static bool ValidateACN(string acn)
    {
      string cleanACN = acn.Replace(" ", string.Empty);
      if (cleanACN.Length != 9)
      {
          return false;
      }

      Int64 result;
      bool convertOK = Int64.TryParse(cleanACN, out result);
      if (!convertOK)
      {
          return false;
      }

      int[] weighingFactors = { 8, 7, 6, 5, 4, 3, 2, 1 };
      int checkDigit = Int32.Parse(cleanACN[8].ToString());

      int weightedSum = 0;
      for (int i = cleanACN.Length - 1; i > 0; i--)
      {
          weightedSum += Int32.Parse(cleanACN[i - 1].ToString()) * weighingFactors[i - 1];
      }

      int remainder = weightedSum % 10;
      return checkDigit == (10 - remainder) % 10;
    }

        public int GetFBTYear(string date)
        {
            int fbtYear = 0;
            if (IsDate(date))
            {
                DateTime dateTime = DateTime.Parse(date);
                int year = dateTime.Year;
                if (dateTime.Month > 3)
                {
                    fbtYear = year + 1;
                }
                else
                {
                    fbtYear = year;
                }
            }
            return fbtYear;
        }
        public int GetCurrentFBTYear()
        {
            return GetFBTYear(DateTime.Now.ToString("yyyy-MM-dd"));
        }

        
        </msxsl:script>
        <xsl:output method="xml" omit-xml-declaration="no" standalone="yes" indent="no" xmlns:isns="http://www.ato.gov.au/IS/2009/02" />

<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path" /></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path" /><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()" /><xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" /><xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if></xsl:when><xsl:otherwise><xsl:text>*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text><xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" /><xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if></xsl:otherwise></xsl:choose></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
          @<xsl:value-of select="name()" /></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()" /><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()" /><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path" /><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" /></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" /></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" /></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:value-of select="concat('.@', name())" /></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path" /><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" /></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
      This mode can be used to generate prefixed XPath for humans
      (Top-level element has index)
    -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)" /><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" /><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*" /></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>n</xsl:text><xsl:number count="node()" /></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*" /><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))" /><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')" /></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1" />

<!--SCHEMA METADATA-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M37" /><xsl:apply-templates select="/" mode="M38" /><xsl:apply-templates select="/" mode="M40" /><xsl:apply-templates select="/" mode="M42" /></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
        PATTERN VariablesXBRL Context Id variables that are applicable accross all of the RaD services.-->
<xsl:variable name="RP.Identifier.TFN" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and contains(./xbrldi:explicitMember,'ReportingParty')]/xbrldi:explicitMember/../../xbrli:identifier[translate(@scheme,'A..Z','a..z')= 'http://www.ato.gov.au/tfn']" /><xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]            ]" /><xsl:variable name="RP.ContextId" select="$RP.Context/@id" /><xsl:variable name="RP.CTAUST.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1]            ]" /><xsl:variable name="RP.CTAUST.ContextId" select="$RP.CTAUST.Context/@id" /><xsl:variable name="RP.CTFGN.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1]            ]" /><xsl:variable name="RP.CTFGN.ContextId" select="$RP.CTFGN.Context/@id" /><xsl:variable name="RP.CTBSE.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and (count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Base$')]) = 1)]            ]" /><xsl:variable name="RP.CTBSE.ContextId" select="$RP.CTBSE.Context/@id" /><xsl:variable name="RP.CTAUSTS.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:AustralianStandard$')]) = 1]            ]" /><xsl:variable name="RP.CTAUSTS.ContextId" select="$RP.CTAUSTS.Context/@id" /><xsl:variable name="RP.CTAUSTC.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:AustralianConcessional$')]) = 1]            ]" /><xsl:variable name="RP.CTAUSTC.ContextId" select="$RP.CTAUSTC.Context/@id" /><xsl:variable name="GM.CTAUST.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1]            ]" /><xsl:variable name="GM.CTAUST.ContextId" select="$GM.CTAUST.Context/@id" /><xsl:variable name="GM.CTFGN.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1]            ]" /><xsl:variable name="GM.CTFGN.ContextId" select="$GM.CTFGN.Context/@id" /><xsl:variable name="RP.Y0-1.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]            ]" /><xsl:variable name="RP.Y0-1.ContextId" select="$RP.Y0-1.Context/@id" /><xsl:variable name="RP.Y0-2.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]            ]" /><xsl:variable name="RP.Y0-2.ContextId" select="$RP.Y0-2.Context/@id" /><xsl:variable name="RP.CTAUST.Y0.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]            ]" /><xsl:variable name="RP.CTAUST.Y0.ContextId" select="$RP.CTAUST.Y0.Context/@id" /><xsl:variable name="RP.CTAUST.Y0-1.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]            ]" /><xsl:variable name="RP.CTAUST.Y0-1.ContextId" select="$RP.CTAUST.Y0-1.Context/@id" /><xsl:variable name="RP.CTAUST.Y0-2.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]            ]" /><xsl:variable name="RP.CTAUST.Y0-2.ContextId" select="$RP.CTAUST.Y0-2.Context/@id" /><xsl:variable name="RP.CTAUST.Y0-3.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]            ]" /><xsl:variable name="RP.CTAUST.Y0-3.ContextId" select="$RP.CTAUST.Y0-3.Context/@id" /><xsl:variable name="RP.CTFGN.Y0.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]            ]" /><xsl:variable name="RP.CTFGN.Y0.ContextId" select="$RP.CTFGN.Y0.Context/@id" /><xsl:variable name="RP.CTFGN.Y0-1.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]            ]" /><xsl:variable name="RP.CTFGN.Y0-1.ContextId" select="$RP.CTFGN.Y0-1.Context/@id" /><xsl:variable name="RP.CTFGN.Y0-2.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]            ]" /><xsl:variable name="RP.CTFGN.Y0-2.ContextId" select="$RP.CTFGN.Y0-2.Context/@id" /><xsl:variable name="RP.CTFGN.Y0-3.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]            ]" /><xsl:variable name="RP.CTFGN.Y0-3.ContextId" select="$RP.CTFGN.Y0-3.Context/@id" /><xsl:variable name="GM.CTAUST.Y0.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]            ]" /><xsl:variable name="GM.CTAUST.Y0.ContextId" select="$GM.CTAUST.Y0.Context/@id" /><xsl:variable name="GM.CTAUST.Y0-1.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]            ]" /><xsl:variable name="GM.CTAUST.Y0-1.ContextId" select="$GM.CTAUST.Y0-1.Context/@id" /><xsl:variable name="GM.CTAUST.Y0-2.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]            ]" /><xsl:variable name="GM.CTAUST.Y0-2.ContextId" select="$GM.CTAUST.Y0-2.Context/@id" /><xsl:variable name="GM.CTAUST.Y0-3.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]            ]" /><xsl:variable name="GM.CTAUST.Y0-3.ContextId" select="$GM.CTAUST.Y0-3.Context/@id" /><xsl:variable name="GM.CTFGN.Y0.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$')]) = 1]            ]" /><xsl:variable name="GM.CTFGN.Y0.ContextId" select="$GM.CTFGN.Y0.Context/@id" /><xsl:variable name="GM.CTFGN.Y0-1.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$')]) = 1]            ]" /><xsl:variable name="GM.CTFGN.Y0-1.ContextId" select="$GM.CTFGN.Y0-1.Context/@id" /><xsl:variable name="GM.CTFGN.Y0-2.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$')]) = 1]            ]" /><xsl:variable name="GM.CTFGN.Y0-2.ContextId" select="$GM.CTFGN.Y0-2.Context/@id" /><xsl:variable name="GM.CTFGN.Y0-3.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and regexp:test(., '^RprtPyType\.\d\d\.\d\d:GroupMember$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$')]) = 1]            ]" /><xsl:variable name="GM.CTFGN.Y0-3.ContextId" select="$GM.CTFGN.Y0-3.Context/@id" /><xsl:template match="text()" priority="-1" mode="M37" /><xsl:template match="@*|node()" priority="-2" mode="M37"><xsl:apply-templates select="@*|*" mode="M37" /></xsl:template>

<!--
        PATTERN ContextRule validations for contexts that are applicable accross all of the RaD services.-->


	<!--
      RULE -->
<xsl:template match="xbrli:xbrl" priority="1002" mode="M38">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 1                 " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.200007</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id = $GM.CTFGN.ContextId]) &gt; 20)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$GM.CTAUST.ContextId]) &gt; 20)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$GM.CTAUST.Y0.ContextId]) &gt; 20)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$GM.CTFGN.Y0.ContextId]) &gt; 20)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$GM.CTAUST.Y0-1.ContextId]) &gt; 20)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$GM.CTFGN.Y0-1.ContextId]) &gt; 20)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$GM.CTAUST.Y0-2.ContextId]) &gt; 20)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$GM.CTFGN.Y0-2.ContextId]) &gt; 20)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$GM.CTAUST.Y0-3.ContextId]) &gt; 20)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$GM.CTFGN.Y0-3.ContextId]) &gt; 20)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.CTAUSTS.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.CTAUST.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.CTFGN.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.CTBSE.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.CTAUSTC.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.Y0-1.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.Y0-2.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.CTAUST.Y0.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.CTFGN.Y0.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.CTAUST.Y0-1.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.CTFGN.Y0-1.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.CTAUST.Y0-2.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.CTFGN.Y0-2.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.CTAUST.Y0-3.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[@id=$RP.CTFGN.Y0-3.ContextId]) &gt; 1)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422100</isns:Code><isns:Description>The schedule contains an invalid number of context instances.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M38" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M38">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                 " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001001</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:period/xbrli:startDate</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                 " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001001</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:period/xbrli:endDate</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not                 (                   xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] and                   xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] and                                      function:IsDate1GreaterOrEqualToDate2                   (                     xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')],                     xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                   )                 )                 " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.200009</isns:Code><isns:Description>Period start date must be prior to Period end date</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:period/xbrli:endDate</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@id and string-length(normalize-space(@id)) != 0                 " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.200007</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="(count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[contains(@dimension,'ReportPartyTypeDimension') and not(contains(.,'ReportingParty'))]) = 0)                 or (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[contains(@dimension,'ReportPartyTypeDimension') and not(contains(.,'GroupMember'))]) = 0)" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422103</isns:Code><isns:Description>Invalid ReportingParty entity segment detail supplied.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:explicitMember</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="((count(xbrli:entity/xbrli:segment/xbrldi:explicitMember                         [regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and                            not (regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0$'))])= 0) or                         (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember                           [regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and                            not (regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus1$'))])= 0) or                         (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember                           [regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and                            not (regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus2$'))])= 0) or                         (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember                           [regexp:test(@dimension, '^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and                            not (regexp:test(., '^RelPrdDrtn\.\d\d\.\d\d:Y0Minus3$'))])= 0))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422105</isns:Code><isns:Description>Invalid 'Relative Period Duration' detail supplied.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:explicitMember</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2])= 0                         or((count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and not(regexp:test(., '^ConcessionType\.\d\d\.\d\d:Foreign$'))])=0)                         or (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and not(regexp:test(., '^ConcessionType\.\d\d\.\d\d:Australian$'))])=0)                                                  or ((count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^RprtPyTypeType.\d\d\.\d\d:ReportingPartyDimension$') and not(regexp:test(., '^RprtPyTypeType\.\d\d\.\d\d:ReportingParty$'))])=0)                         and (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and not(regexp:test(., '^ConcessionType\.\d\d\.\d\d:Base$'))])=0))                                                  or ((count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^RprtPyTypeType.\d\d\.\d\d:ReportingPartyDimension$') and not(regexp:test(., '^RprtPyTypeType\.\d\d\.\d\d:ReportingParty$'))])=0)                         and (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and not(regexp:test(., '^ConcessionType\.\d\d\.\d\d:AustralianStandard$'))])=0))                                                  or ((count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^RprtPyTypeType.\d\d\.\d\d:ReportingPartyDimension$') and not(regexp:test(., '^RprtPyTypeType\.\d\d\.\d\d:ReportingParty$'))])=0)                         and (count(xbrli:entity/xbrli:segment/xbrldi:explicitMember[regexp:test(@dimension, '^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and not(regexp:test(., '^ConcessionType\.\d\d\.\d\d:AustralianConcessional$'))])=0)))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422104</isns:Code><isns:Description>Invalid "Concession Type" detail supplied.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:explicitMember</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M38" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:context/xbrli:entity" priority="1000" mode="M38">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(xbrli:identifier)) &gt; 0" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001020</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not                 (                   xbrli:identifier[not(@i:nil='true' or @i:nil='1')] and                   not(xbrli:identifier[not(@i:nil='true' or @i:nil='1') and (@scheme = 'http://www.ato.gov.au/tfn')])                 )" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001021</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not(./xbrli:segment[not(@i:nil='true' or @i:nil='1')]/                     xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and                      regexp:test(@dimension, '^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and                      regexp:test(., '^RprtPyType\.\d\d\.\d\d:(ReportingParty)$')]) or                 xbrli:identifier[translate(@scheme,'A..Z','a..z') = 'http://www.ato.gov.au/tfn'] = $RP.Identifier.TFN" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001023</isns:Code><isns:Description>Unexpected TFN mismatch with Reporting Party</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M38" /></xsl:template><xsl:template match="text()" priority="-1" mode="M38" /><xsl:template match="@*|node()" priority="-2" mode="M38"><xsl:apply-templates select="@*|*" mode="M38" /></xsl:template>

<!--
        PATTERN LengthData length rule validations for RDS-->


	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.AggregateAdjustments.Amount" priority="1033" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount" priority="1032" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount" priority="1031" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount" priority="1030" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount" priority="1029" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount" priority="1028" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount" priority="1027" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount" priority="1026" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount" priority="1025" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount" priority="1024" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount" priority="1023" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount" priority="1022" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $GM.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount" priority="1021" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $GM.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchandDevelopment.TaxOffsetAggregateTotal.Amount" priority="1020" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetTurnoverTotal.Amount" priority="1019" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchandDevelopment.TaxOffsetEligible.Amount" priority="1018" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount" priority="1017" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}(\.[0-9]{0,2})?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagg.02.01:ResearchAndDevelopment.EntitlementToGovernmentGrantsAndRecoupmentsRelatingToActivitiesAndProjectsClaimed.Amount" priority="1016" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount" priority="1015" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUST.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount" priority="1014" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount" priority="1013" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount" priority="1012" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Income.ResearchAndDevelopment.DisposalProfits.Amount" priority="1011" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount" priority="1010" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount" priority="1009" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTBSE.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount" priority="1008" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount" priority="1007" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagg.02.01:ResearchAndDevelopment.GrantsAndRecoupmentsOnAustralianOwnedRandDIncrementalExpenditure.Amount" priority="1006" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagg.02.01:ResearchAndDevelopment.GrantsandRecoupmentsAttributableToForeignOwnedExpenditure.Amount" priority="1005" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount" priority="1004" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUST.Y0.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUST.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUST.Y0-2.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUST.Y0-3.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $GM.CTAUST.Y0.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $GM.CTAUST.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $GM.CTAUST.Y0-2.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $GM.CTAUST.Y0-3.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.Y0.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.Y0-2.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.Y0-3.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $GM.CTFGN.Y0.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $GM.CTFGN.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $GM.CTFGN.Y0-2.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $GM.CTFGN.Y0-3.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount" priority="1003" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUST.Y0.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUST.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUST.Y0-2.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUST.Y0-3.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.Y0.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.Y0-1.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.Y0-2.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTFGN.Y0-3.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount" priority="1002" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTS.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.CTAUSTC.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustmentForeignOwned.Amount" priority="1001" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@contextRef != $RP.ContextId or @i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?[0-9]{1,11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:xbrl/orgname1.02.00:OrganisationNameDetails" priority="1000" mode="M40">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and . != 'MN'])" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDS.422099</isns:Code><isns:Description>Organisation Name Type Code must be 'MN'</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="count(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')])=0                        or string-length(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')])=0                        or regexp:test(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')and string-length(normalize-space(.)) != 0],'^(.*)[a-zA-Z0-9](.*)$')                 " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410039</isns:Code><isns:Description>Organisation name must contain at least one alpha or numeric character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="                 not (not(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                 and                 (pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                 )                                                   " /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410147</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template><xsl:template match="text()" priority="-1" mode="M40" /><xsl:template match="@*|node()" priority="-2" mode="M40"><xsl:apply-templates select="@*|*" mode="M40" /></xsl:template>

<!--
        PATTERN DataTypesData type rule validations for RDS-->


	<!--
      RULE -->
<xsl:template match="xbrli:startDate" priority="1050" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or (regexp:test(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="xbrli:endDate" priority="1049" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or (regexp:test(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.))" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001008</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier" priority="1048" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{11}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier" priority="1047" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{9}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier" priority="1046" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{9}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.FamilyName.Text" priority="1045" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;\x27\|\-_=\\/@#$%\*=&amp;&quot;])*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.GivenName.Text" priority="1044" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;\x27\|\-_=\\/@#$%\*=&amp;&quot;])*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text" priority="1043" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;\x27\|\-_=\\/@#$%\*=&amp;&quot;])*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.OtherGivenName.Text" priority="1042" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;\x27\|\-_=\\/@#$%\*=&amp;&quot;])*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:PersonUnstructuredName.FullName.Text" priority="1041" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;\x27\|\-_=\\/@#$%\*=&amp;&quot;])*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Postcode.Text" priority="1040" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{4}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.TaxAgentNumber.Identifier" priority="1039" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[0-9]{8}$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyid.02.00:Identifiers.TaxFileNumber.Identifier" priority="1038" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^([0-9])*$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001017</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregate.Amount" priority="1037" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount" priority="1036" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.AllocatedTotal.Amount" priority="1035" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.RegisteredResearchAgencyContractedExpenditure.Amount" priority="1034" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExcludingExtraIncremental.Amount" priority="1033" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditure.Amount" priority="1032" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.00:TaxConcession.ResearchAndDevelopment.TaxOffsetEligible.Amount" priority="1031" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.ExtraIncremental.Amount" priority="1030" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="lrla.02.05:Remuneration.WagesAndSalaries.Salary.Amount" priority="1029" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount" priority="1028" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.Contract.Amount" priority="1027" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.PlantLeasing.Amount" priority="1026" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.Feedstock.Amount" priority="1025" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.PlantPilotDeductions.Amount" priority="1024" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Income.ResearchAndDevelopment.DisposalProfits.Amount" priority="1023" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount" priority="1022" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.BalancingLosses.Amount" priority="1021" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Income.ResearchAndDevelopment.BalancingProfits.Amount" priority="1020" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.CoreTechnology.Amount" priority="1019" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.InterestOrAmountsInTheNatureOfInterest.Amount" priority="1018" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.ResidualFeedstock.Amount" priority="1017" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.Claims.Amount" priority="1016" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionReducedExpenditureTotal.Amount" priority="1015" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetTurnoverTotal.Amount" priority="1014" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.00:TaxConcession.ResearchandDevelopment.TaxOffsetAggregateTotal.Amount" priority="1013" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.00:TaxConcession.ResearchandDevelopment.CalculatedTaxOffset.Amount" priority="1012" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="bafpr3.02.02:Expense.ResearchAndDevelopment.AggregateAdjustments.Amount" priority="1011" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount" priority="1010" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagg.02.01:ResearchAndDevelopment.EntitlementToGovernmentGrantsAndRecoupmentsRelatingToActivitiesAndProjectsClaimed.Amount" priority="1009" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagg.02.01:ResearchAndDevelopment.GrantsAndRecoupmentsOnAustralianOwnedRandDIncrementalExpenditure.Amount" priority="1008" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagg.02.01:ResearchandDevelopment.GrantsAndRecoupmentsAttributableToForeignOwnedExpenditure.Amount" priority="1007" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustment.Amount" priority="1006" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionAdjustmentForeignOwned.Amount" priority="1005" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^[-+]?\d+(\.\d+)?$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001009</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimAustralianOwned.Indicator" priority="1004" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^(0|1|true|false)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.TaxOffsetClaim.Indicator" priority="1003" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^(0|1|true|false)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityAndClaimForeignOwned.Indicator" priority="1002" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^(0|1|true|false)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="gfagc.02.01:TaxConcession.ResearchAndDevelopment.IncrementalTaxConcessionEligibilityPriorYear.Indicator" priority="1001" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^(0|1|true|false)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template>

	<!--
      RULE -->
<xsl:template match="pyin.02.00:Report.Amendment.Indicator" priority="1000" mode="M42">

		<!--
      ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or regexp:test(.,'^(0|1|true|false)$')" /><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001010</isns:Code><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2" /></Location><PropertyName i:nil="true" /><Severity>Error</Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template><xsl:template match="text()" priority="-1" mode="M42" /><xsl:template match="@*|node()" priority="-2" mode="M42"><xsl:apply-templates select="@*|*" mode="M42" /></xsl:template></xsl:stylesheet>